import { DiagramTypes } from './Diagram.enums';
export declare type Diagrams = Array<DiagramTypes> | DiagramTypes;
export declare type Values = Array<number> | Array<Array<number>>;
declare type MultipleSingleChart = {
    dates: Array<string>;
    values: Values;
    names?: Array<string>;
};
export declare type ChartValues = {
    [key: string]: number;
};
export declare type MultipleChartValues = {
    [key: string]: MultipleSingleChart;
};
export declare type ChartMap = Map<string, number>;
export declare type HistogramView = {
    title: string;
    value: number;
    percent: number;
};
export declare type PieView = {
    name: string;
    value: number;
    y: number;
};
export declare type LinearView = {
    dates: Array<string>;
    values: {
        [key: string]: Values;
    };
    names?: Array<string>;
};
export declare type ChartsPlaceholderConfig = {
    noDataText: string;
    buttons?: Array<{
        title: string;
        url: Array<string>;
    }>;
};
export declare type ChartConfigType = {
    tooltip?: any;
    exporting?: Object;
    credits?: Object;
    chart?: Object;
    title?: Object;
    yAxis?: Object;
    xAxis?: Object;
    legend?: Object;
    plotOptions?: Object;
};
export {};
