import { OnChanges, OnInit, AfterViewInit, OnDestroy } from '@angular/core';
import { SpinnerService } from '../../../spinners';
import { ChartConfigType, Diagrams } from '../../Diagrams.types';
import { DiagramsService } from '../../DiagramsService';
import * as i0 from "@angular/core";
export declare class DiagramComponent implements AfterViewInit, OnInit, OnChanges, OnDestroy {
    private diagramsService;
    private spinner;
    types: Diagrams;
    id: string;
    charts: any;
    placeholderConfig: any;
    name: string;
    width: number;
    classes: {
        [key: string]: string;
    };
    additionalProperty: string;
    customConfig: ChartConfigType;
    views: Array<string>;
    currentView: string;
    private chart;
    private states;
    private state;
    constructor(diagramsService: DiagramsService, spinner: SpinnerService);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    ngOnChanges(): void;
    ngOnDestroy(): void;
    checkData(charts: any): string;
    setViews(types: Diagrams): void;
    addViews(types: Diagrams, position?: number): void;
    switchCurrentView(view: string): void;
    private convertTypesToTypesArray;
    private convertViewForTemplate;
    private getQniqueViews;
    private getViews;
    private addNewViewInCurrentPosition;
    static ɵfac: i0.ɵɵFactoryDeclaration<DiagramComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DiagramComponent, "diagram", never, { "types": "types"; "id": "placement"; "charts": "charts"; "placeholderConfig": "placeholderConfig"; "name": "name"; "width": "gridWidth"; "classes": "additionalClasses"; "additionalProperty": "additionalDiagramProperty"; "customConfig": "config"; }, {}, never, never, false>;
}
