import { OnInit, EventEmitter } from '@angular/core';
import { ActivatedRoute, Router } from '@angular/router';
import { FormControl } from '@angular/forms';
import { Subject } from 'rxjs';
import { ChangePageEventType } from './paginator.types';
import { Select } from '../custom-select';
import { LanguageService } from '../language-service';
import { KeyboardService } from '../keyboard-service';
import { SpinnerService } from '../spinners';
import * as i0 from "@angular/core";
export declare class PaginatorComponentClass implements OnInit {
    private activated;
    private router;
    private langService;
    private keyboardService;
    private spinner;
    viewStartLimit: number;
    incomingData: Subject<Array<any>>;
    outcomingData: Subject<Array<any>>;
    optionsRows: Array<Select>;
    isShowPaginatorOptions: boolean;
    pageValue: number;
    perPage: number;
    usePaginatorSpinner: boolean;
    noDataMode: boolean;
    totalRows: Subject<number>;
    changePageEvent: EventEmitter<ChangePageEventType>;
    private incomingDataSubscription;
    private queryParamsSubscription;
    dropdownVisible: boolean;
    private totalRowsSubscription;
    dataLength: number;
    selectRows: FormControl;
    dataArray: Array<any>;
    private renderArray;
    private totalPages;
    private dataStartIndex;
    private dataEndIndex;
    private currentPageIndex;
    phrase: string;
    viewStartNumber: number;
    viewEndNumber: number;
    paginationValuesArray: Array<number | string>;
    showNext: boolean;
    showPrev: boolean;
    lang: LanguageService;
    constructor(activated: ActivatedRoute, router: Router, langService: LanguageService, keyboardService: KeyboardService, spinner: SpinnerService);
    private prepareData;
    private preparePhrase;
    private prepareView;
    private sendData;
    changedRowsOptionsValue(rows: any): void;
    changePage(newPage: any, firstPage?: boolean): boolean;
    ngOnInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<PaginatorComponentClass, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<PaginatorComponentClass, "epom-paginator", never, { "viewStartLimit": "viewStartLimit"; "incomingData": "incoming"; "outcomingData": "outcoming"; "optionsRows": "optionsRows"; "isShowPaginatorOptions": "isShowPaginatorOptions"; "pageValue": "pageValue"; "perPage": "perPage"; "usePaginatorSpinner": "usePaginatorSpinner"; "noDataMode": "noDataMode"; "totalRows": "totalRows"; }, { "changePageEvent": "changePageEvent"; }, never, never, false>;
}
