import { OnDestroy, OnInit } from '@angular/core';
import { FormControl, FormGroup } from '@angular/forms';
import { BehaviorSubject } from 'rxjs';
import { BidListItem, Campaign } from '../../../types';
import { BidMultipliersEnum, DayOfWeek } from '../../../constants';
import { BidModifiersCalculation } from './calculate-modifiers.types';
import * as i0 from "@angular/core";
export declare class CalculateModifiersComponent implements OnInit, OnDestroy {
    campaign: Campaign;
    bidModifiers: Array<BidListItem>;
    campaignBidPrice: number;
    bidModifiersToCalculate: BidModifiersCalculation;
    private bidMultiplierOptions;
    bidMultipliersEnum: typeof BidMultipliersEnum;
    bidModifiersGroup: FormGroup;
    daysOfWeek: BehaviorSubject<Array<DayOfWeek>>;
    timeControl: FormControl<string>;
    private subscription;
    private startDate;
    private endDate;
    private timeHour;
    private operatorsSortOrder;
    ngOnInit(): void;
    ngOnDestroy(): void;
    datePicked(event: {
        picked: boolean;
    }): void;
    parseDateTimeName(dateTimeString: any): {
        startDate: number;
        endDate: number;
        startTime: number;
        endTime: number;
    };
    findAcceptableDateTime(): void;
    private mergeSameOperations;
    private mergeItems;
    private twoSignAfterComma;
    static ɵfac: i0.ɵɵFactoryDeclaration<CalculateModifiersComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CalculateModifiersComponent, "epom-popup-calculate-modifiers", never, { "campaign": "campaign"; "bidModifiers": "bidModifiers"; }, {}, never, never, false>;
}
