import { ElementRef, Renderer2 } from '@angular/core';
import { FormBuilder, FormGroup } from '@angular/forms';
import { FileUploader } from 'ng2-file-upload';
import { Router } from '@angular/router';
import { PopupServiceClass } from './popup.service';
import { IPopupSettings, PopupFields } from './popup.interface';
import { KeyboardService } from '../keyboard-service';
import { BasePopup } from './helpers/base-popup';
import * as i0 from "@angular/core";
export declare class PopupComponentClass extends BasePopup {
    private popupService;
    private formBuilder;
    private renderer;
    private router;
    private keyboardService;
    popupFormElement: ElementRef;
    exitMessage: string;
    private popupSubscription;
    modalShowed: boolean;
    modalDisplayNone: boolean;
    private hash;
    popupData: any;
    popupForm: FormGroup;
    private selectData;
    private abstractData;
    private limitSelection;
    isSubmitAvailable: boolean;
    readonly defaultPopupData: IPopupSettings;
    dataStreams: {};
    uploader: FileUploader;
    hasBaseDropZoneOver: boolean;
    addFileError: boolean;
    addFileErrorMsg: string;
    showEmptyAllColumnsErrorMsg: boolean;
    formEl: any;
    private fileuploadListeners;
    private customElementForm;
    protected readonly codemirrorOptions: {
        lineNumbers: boolean;
        theme: string;
        mode: string;
    };
    getVisibleFields(): PopupFields[];
    constructor(popupService: PopupServiceClass, formBuilder: FormBuilder, renderer: Renderer2, router: Router, keyboardService: KeyboardService);
    fileOverBase(isOverBase: boolean): void;
    createPopup(data: any): boolean;
    showHideUploadFields(uploadType: any): void;
    removeFile(filename: string): void;
    open(): void;
    closeButton(): void;
    checkAvailabilityForm(isFormValid: boolean): void;
    sendSelectQuery(response: any): void;
    close(event?: any): void;
    buttonClick(message: string): void;
    updateSelectedItems(eventData: any): void;
    updateAbstractData(eventData: any): void;
    updateFormData(data: any): void;
    sendFeedback(message: string): boolean;
    private manageDisabledControls;
    private disabledControlsValueChanges;
    updateData(e: any): void;
    offsetHandler(offset: number): void;
    searchHandler(text: string): void;
    manageRadioButtons(): void;
    private enableManualUpload;
    static ɵfac: i0.ɵɵFactoryDeclaration<PopupComponentClass, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<PopupComponentClass, "epom-popup", never, {}, {}, never, never, false>;
}
