declare type TileSection = {
    [key: string]: {
        name: string;
        boxClass: string;
        value: string;
    };
};
declare type TilesSections = {
    [key: string]: TileSection;
};
declare type LayoutStrategy = {
    [key: number]: Array<string>;
};
export declare type PlaceholderConfig = {
    insideComponent?: boolean;
    title?: string;
    noDataText: string;
    buttons?: Array<{
        title: string;
        url: Array<string>;
    }>;
};
export declare type Config = {
    tilesSections?: TilesSections;
    layoutStrategy?: LayoutStrategy;
    rows?: number;
    header?: Array<number>;
    body?: Array<number | Array<number>>;
    align?: Array<string>;
    chartsConfig?: PlaceholderConfig;
};
export {};
