import { Owner } from './supervisor-management.types';
import { FormControl } from '@angular/forms';
import { BehaviorSubject } from 'rxjs';
import { Select } from '../custom-select';
export declare type BidItems = {
    id?: string;
    entity?: string;
    multiplier?: number;
    type?: 'SITE' | 'APP';
    editMode?: boolean;
    newMode?: boolean;
    groupedByCampaign?: string;
    valueFormControl?: FormControl;
    valueIcon?: string;
    groupedByCampaignFormControl?: FormControl;
    campaignsList?: BehaviorSubject<Select[]>;
    name?: string;
    tempId?: number;
};
export declare type BidListItem = {
    global?: boolean;
    id?: string;
    items?: Array<BidItems>;
    itemsCount?: number;
    name?: string | null;
    status?: 'ENABLED' | 'ARCHIVED' | 'DISABLED' | string;
    created?: number;
    updated?: number;
    type?: string;
    hidden?: boolean;
    linkedCampaignsCount?: number;
    readOnly?: boolean;
    operationValue?: OperationType;
    operation?: string;
    owner?: Owner;
    link?: string[];
    typeToDisplay?: string;
    operationHTML?: string;
    groupedByCampaigns?: boolean;
    groupedCampaignIds?: string[];
    canEdit?: boolean;
    groupedByCampaign?: string;
    tempId?: number;
    viewType?: string;
};
export declare type DropdownItems = {
    action: string | boolean;
    title: string;
    icon: string | boolean;
};
export declare type GridState = {
    class: string;
    name: string;
};
export declare type ListMicromanagement = {
    name: string;
    status: string;
    type: string;
    global: boolean;
    operation?: any;
    items?: any;
};
export declare type BidItemsForUpdate = {
    id: string;
    multiplier: number;
};
export declare type BidDateTimeForm = {
    endDate: number;
    endTime: number;
    multiplierValue: number;
    startDate: number;
    startTime: number;
};
export declare type OperationType = {
    iconClass: string;
    name: string;
    value?: string;
};
export declare type BidModifiersDeleteBlockers = {
    campaigns: {
        id: string;
        name: string;
    }[];
    rules: {
        id: string;
        name: string;
    }[];
};
