import * as i0 from '@angular/core';
import { Injectable, EventEmitter, isDevMode, Directive, Input, Component, Output, HostListener, NgModule, ViewChild, HostBinding, Inject, ChangeDetectionStrategy, Pipe, Injector, forwardRef, CUSTOM_ELEMENTS_SCHEMA } from '@angular/core';
import * as i1 from '@angular/common/http';
import { HttpParams, HttpClientModule, HttpRequest, HttpHeaders } from '@angular/common/http';
import { BehaviorSubject, Subject, interval, first, Subscription, fromEvent, EMPTY, map, timer, skip, take, filter, of, tap as tap$1, takeUntil as takeUntil$1 } from 'rxjs';
import * as i1$1 from '@angular/common';
import { CommonModule, DOCUMENT, NgClass, NgIf, NgStyle } from '@angular/common';
import * as i1$4 from '@angular/platform-browser';
import { BrowserModule } from '@angular/platform-browser';
import * as i1$2 from '@angular/router';
import { RouterModule, NavigationStart, RouterLinkWithHref } from '@angular/router';
import { tap, debounceTime, distinctUntilChanged, takeUntil, switchMap, map as map$1 } from 'rxjs/operators';
import * as i3 from '@angular/material/progress-spinner';
import { MatProgressSpinnerModule } from '@angular/material/progress-spinner';
import * as i2 from '@angular/forms';
import { FormsModule, ReactiveFormsModule, FormControl, FormGroup, NgControl, FormControlName, FormGroupDirective, NgModel, NG_VALUE_ACCESSOR, Validators, FormArray } from '@angular/forms';
import { trigger, state, style, transition, animate } from '@angular/animations';
import * as i3$1 from '@angular/material/checkbox';
import { MatCheckboxModule } from '@angular/material/checkbox';
import dayjs from 'dayjs/esm';
import * as i1$3 from 'ngx-daterangepicker-material';
import { DaterangepickerDirective, NgxDaterangepickerMd } from 'ngx-daterangepicker-material';
import { cloneDeep, range, merge } from 'lodash';
import * as Highcharts from 'highcharts';
import $$1 from 'jquery';
import * as i8 from 'ng2-file-upload';
import { FileUploader, FileUploadModule } from 'ng2-file-upload';
import * as i6 from 'angular2-text-mask';
import { TextMaskModule } from 'angular2-text-mask';
import * as i9 from '@angular/material/slide-toggle';
import { MatSlideToggleModule } from '@angular/material/slide-toggle';
import * as i3$2 from 'ng2-trim-directive';
import { InputTrimModule } from 'ng2-trim-directive';
import * as i13 from '@ctrl/ngx-codemirror';
import { CodemirrorModule } from '@ctrl/ngx-codemirror';
import * as i4 from '@angular/material/tooltip';
import { MatTooltipModule } from '@angular/material/tooltip';
import { MatSliderModule } from '@angular/material/slider';
import { MatTreeModule } from '@angular/material/tree';
import { MatFormFieldModule } from '@angular/material/form-field';
import { MatIconModule } from '@angular/material/icon';
import { MatButtonModule } from '@angular/material/button';

class ApiService {
    constructor(http) {
        this.http = http;
        this._apiUrl = '';
    }
    get apiUrl() {
        return this._apiUrl;
    }
    set apiUrl(url) {
        this._apiUrl = url;
    }
    exportData(url) {
        return this.http.get(this.fullUrl(url), {
            responseType: 'blob',
        });
    }
    request(method, url, options = {}) {
        return this.http.request(method, url, this.createHttpRequestOptions(options));
    }
    getJson(url, options = {}) {
        return this.http.get(this.fullUrl(url), this.createHttpRequestOptions(options));
    }
    postJson(url, body, options = {}) {
        return this.http.post(this.fullUrl(url), body, this.createHttpRequestOptions(options));
    }
    putJson(url, body, options = {}) {
        return this.http.put(this.fullUrl(url), body, this.createHttpRequestOptions(options));
    }
    patchJson(url, body, options = {}) {
        return this.http.patch(this.fullUrl(url), body, this.createHttpRequestOptions(options));
    }
    deleteJson(url, options = {}) {
        return this.http.delete(this.fullUrl(url), this.createHttpRequestOptions(options));
    }
    getXml(url, options = {}) {
        return this.http.get(this.fullUrl(url), { ...this.createHttpRequestOptions(options), responseType: 'text' });
    }
    postXml(url, body, options = {}) {
        return this.http.post(this.fullUrl(url), body, { ...this.createHttpRequestOptions(options), responseType: 'text' });
    }
    fullUrl(url) {
        const splittedUrl = url.split('//');
        const firstElementIsProtocol = splittedUrl[0] === '' || splittedUrl[0].includes(':');
        return splittedUrl.length === 2 && firstElementIsProtocol ? url : this._apiUrl + url;
    }
    createHttpRequestOptions(options) {
        let params = new HttpParams();
        Object.keys(options).forEach((optionKey) => {
            const value = options[optionKey];
            if (Array.isArray(value)) {
                value.forEach((v) => {
                    params = params.append(optionKey, String(v));
                });
            }
            else if (value !== null && value !== undefined) {
                params = params.append(optionKey, String(value));
            }
        });
        return { params };
    }
}
ApiService.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: ApiService, deps: [{ token: i1.HttpClient }], target: i0.ɵɵFactoryTarget.Injectable });
ApiService.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: ApiService });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: ApiService, decorators: [{
            type: Injectable
        }], ctorParameters: function () { return [{ type: i1.HttpClient }]; } });

class BreadcrumbsService {
    constructor() {
        this.currentBreadcrumbs = [];
        this.newBreadcrumbsRequest = new EventEmitter();
        this.newBreadcrumbsResponse = new EventEmitter();
    }
    setBreadcrumbs(newBreadcrumbs) {
        this.currentBreadcrumbs = newBreadcrumbs;
        this.newBreadcrumbsRequest.emit(newBreadcrumbs);
    }
    getBreadcrumbs() {
        return this.currentBreadcrumbs;
    }
}
BreadcrumbsService.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: BreadcrumbsService, deps: [], target: i0.ɵɵFactoryTarget.Injectable });
BreadcrumbsService.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: BreadcrumbsService });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: BreadcrumbsService, decorators: [{
            type: Injectable
        }] });

class ChartsService {
    constructor() {
        this.emitEvent = new BehaviorSubject(null);
    }
}
ChartsService.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: ChartsService, deps: [], target: i0.ɵɵFactoryTarget.Injectable });
ChartsService.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: ChartsService });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: ChartsService, decorators: [{
            type: Injectable
        }] });

const loggerConfig = {
    production: 'INFO',
    development: 'ERROR',
    dateEnabled: true,
};
const loggerLevelsArray = ['INFO', 'LOG', 'WARN', 'ERROR'];

function loggerCreate(componentName, logLevel) {
    const logger = new LoggerClass(componentName);
    logLevel ? logger.setLevel(logLevel) : logger.setDefaultLevel();
    return logger;
}
function _window() {
    return window;
}
class LoggerClass {
    constructor(ComponentName) {
        this.ComponentName = ComponentName;
        this.logLevels = loggerLevelsArray;
        this.componentName = '';
        this.maxLogs = 1000;
        this.sessionStartMessage = 'Session started';
        this.addZero = function (num) {
            return (num > 9 ? '' : '0') + num;
        };
        if (!this.nativeWindow.__diagnose) {
            this.nativeWindow.__diagnose = () => {
                this.drawDiagnose(this.storageGet('diagnose') || []);
            };
            this.nativeWindow.__diagnoseSession = () => {
                const logs = this.storageGet('diagnose') || [];
                const indexFrom = logs.map((logItem) => logItem.messages[0]).lastIndexOf(this.sessionStartMessage);
                this.drawDiagnose(indexFrom === -1 ? logs : logs.slice(indexFrom));
            };
            this.nativeWindow.__diagnoseClean = () => {
                this.storageSet('diagnose', []);
            };
            this.nativeWindow.__diagnoseAlways = () => {
                this.storageSet('log_level', 'ERROR');
            };
        }
        this.componentName = ComponentName;
        this.globalLogLevel = !isDevMode() ? loggerConfig.production : loggerConfig.development;
        if (this.storageGet('log_level')) {
            this.globalLogLevel = this.storageGet('log_level');
        }
        this.componentLogLevels = this.storageGet('componentLogLevels') ? this.storageGet('componentLogLevels') : {};
        if (this.componentName === 'AppComponent') {
            this.colored(this.sessionStartMessage, 'grey');
        }
    }
    get nativeWindow() {
        return _window();
    }
    storageGet(key) {
        try {
            const data = window.sessionStorage.getItem(key);
            return (data) ? JSON.parse(data) : false;
        }
        catch (e) {
            return false;
        }
    }
    storageSet(key, data) {
        window.sessionStorage.setItem(key, JSON.stringify(data));
    }
    isFire(level) {
        if (this.componentLogLevels[this.componentName]) {
            return (this.logLevels.indexOf(this.componentLogLevels[this.componentName]) >= this.logLevels.indexOf(level));
        }
        else {
            return (this.logLevels.indexOf(this.globalLogLevel) >= this.logLevels.indexOf(level));
        }
    }
    getReadableTime(date) {
        return `${this.addZero(date.getHours())}:${this.addZero(date.getMinutes())}:${this.addZero(date.getSeconds())}`;
    }
    createMessagePrefix(logItem) {
        let dateChunk = '';
        if (loggerConfig.dateEnabled) {
            dateChunk = `[${this.getReadableTime(new Date(logItem.timestamp))}]`;
        }
        return `%c${logItem.level}${dateChunk}[${logItem.componentName}]`;
    }
    setLevel(level) {
        this.componentLogLevels[this.componentName] = level;
        this.storageSet('componentLogLevels', this.componentLogLevels);
    }
    setDefaultLevel() {
        this.setLevel(this.globalLogLevel);
    }
    colored(message, color) {
        this.saveAndDraw('LOG', [message], `color:${color}`);
    }
    /* eslint-disable prefer-rest-params */
    info() {
        this.saveAndDraw('INFO', arguments, 'color:blue');
    }
    log() {
        this.saveAndDraw('LOG', arguments, 'color:#315a31');
    }
    warn() {
        this.saveAndDraw('WARN', arguments, 'color:#7b653b');
    }
    error() {
        this.saveAndDraw('ERROR', arguments, 'color:red');
    }
    /* eslint-enable */
    saveAndDraw(level, messages, style) {
        let logs = (this.storageGet('diagnose') || []);
        const logItem = {
            timestamp: new Date().getTime(),
            level,
            messages: Array.from(messages),
            style,
            componentName: this.componentName,
        };
        logs.push(logItem);
        const difference = logs.length - this.maxLogs;
        if (difference > 0) {
            logs = logs.slice(difference);
        }
        this.storageSet('diagnose', logs);
        const method = level.toLowerCase();
        if (this.isFire(level) && console[method]) {
            this.drawItem(logItem);
        }
    }
    drawDiagnose(logs) {
        console.log(`========== S T A R T (${logs.length}) ==========`);
        logs.forEach((logItem) => {
            this.drawItem(logItem);
        });
        console.log('========== E N D ==========');
    }
    drawItem(logItem) {
        const prefix = this.createMessagePrefix(logItem);
        const method = logItem.level.toLowerCase();
        Array.prototype.unshift.call(logItem.messages, prefix, logItem.style);
        console[method].apply(console, logItem.messages);
    }
}

/*
 * Public API Surface of epom-ui-foundation
 */

class SpinnerService {
    constructor() {
        this.spinnerEvent = new Subject();
        this.spinnersHeap = {};
        this.defaultPlacement = 'content';
        this.logger = loggerCreate(this.constructor['name']);
    }
    emitEvent(state, placement) {
        if (state === null) {
            delete this.spinnersHeap[placement];
            return;
        }
        if (typeof this.spinnersHeap[placement] === 'boolean' && this.spinnersHeap[placement] === state) {
            return;
        }
        else {
            this.spinnersHeap[placement] = state;
        }
        this.spinnerEvent.next({ state, placement });
    }
    open(placement = this.defaultPlacement) {
        this.logger.log(`spinner.open(placement: ${placement})`);
        this.emitEvent(true, placement);
    }
    close(placement = this.defaultPlacement) {
        this.logger.log(`spinner.close(placement: ${placement})`);
        this.emitEvent(false, placement);
    }
    closeWithTimeout(timeout = 0, placement = this.defaultPlacement) {
        setTimeout(() => this.close(placement), timeout);
    }
    resetState(placement = this.defaultPlacement) {
        this.emitEvent(null, placement);
    }
    isOpened(placement = this.defaultPlacement) {
        return this.spinnersHeap[placement];
    }
}
SpinnerService.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: SpinnerService, deps: [], target: i0.ɵɵFactoryTarget.Injectable });
SpinnerService.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: SpinnerService });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: SpinnerService, decorators: [{
            type: Injectable
        }], ctorParameters: function () { return []; } });

class SpinnerDirective {
    constructor(renderer, element) {
        this.renderer = renderer;
        this.prevState = null;
        this.logger = loggerCreate(this.constructor['name']);
        this.element = element.nativeElement;
    }
    ngOnChanges() {
        this.prevState = (this.prevState !== null) ? this.prevState : this.spinnerState;
        if (this.spinnerState === this.prevState) {
            return false;
        }
        (this.spinnerState) ? this.show() : this.hide();
        this.prevState = this.spinnerState;
    }
    show() {
        this.renderer.addClass(this.element, 'show');
        this.renderer.removeClass(this.element, 'hide');
        interval(1000).pipe(first(), tap(() => {
            this.renderer.addClass(this.element, 'in');
        })).subscribe();
    }
    hide() {
        this.renderer.removeClass(this.element, 'in');
        interval(800).pipe(first(), tap(() => {
            this.renderer.removeClass(this.element, 'show');
            this.renderer.addClass(this.element, 'hide');
        })).subscribe();
    }
}
SpinnerDirective.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: SpinnerDirective, deps: [{ token: i0.Renderer2 }, { token: i0.ElementRef }], target: i0.ɵɵFactoryTarget.Directive });
SpinnerDirective.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "14.3.0", type: SpinnerDirective, selector: "[spinnerState]", inputs: { spinnerState: "spinnerState", placement: "placement" }, usesOnChanges: true, ngImport: i0 });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: SpinnerDirective, decorators: [{
            type: Directive,
            args: [{
                    selector: '[spinnerState]',
                }]
        }], ctorParameters: function () { return [{ type: i0.Renderer2 }, { type: i0.ElementRef }]; }, propDecorators: { spinnerState: [{
                type: Input
            }], placement: [{
                type: Input
            }] } });

class DropdownComponentClass {
    constructor(_eref, renderer) {
        this._eref = _eref;
        this.renderer = renderer;
        this.state = { visible: false, readyToClose: false };
        this.closeDropdownOnSelection = false;
        this.close = new EventEmitter();
        this.visibilityChange = new EventEmitter();
    }
    onDocumentClick(event) {
        if (!this._eref.nativeElement.contains(event.target) &&
            !event.target.classList.contains('dropdown-item') &&
            this.state.readyToClose) {
            this.state.visible = false;
            this.state.readyToClose = false;
            this.close.emit(event);
        }
        if (this.toggleButton.contains(event.target) && this.state.visible) {
            this.state.readyToClose = true;
        }
        if (this.closeDropdownOnSelection && this._eref.nativeElement.contains(event.target) && this.state.visible) {
            this.state.visible = false;
            this.state.readyToClose = false;
            this.close.emit(event);
        }
        this.visibilityChange.emit(this.state.visible);
    }
    ngAfterViewInit() {
        this.onButtonClick = this.renderer.listen(this.toggleButton, 'click', () => (this.state.visible = true));
    }
    ngOnDestroy() {
        this.onButtonClick();
    }
}
DropdownComponentClass.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: DropdownComponentClass, deps: [{ token: i0.ElementRef }, { token: i0.Renderer2 }], target: i0.ɵɵFactoryTarget.Component });
DropdownComponentClass.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.3.0", type: DropdownComponentClass, selector: "epom-dropdown", inputs: { toggleButton: "toggleButton", position: "position", marginTop: "marginTop", width: "width", state: "state", closeDropdownOnSelection: "closeDropdownOnSelection" }, outputs: { close: "close", visibilityChange: "visibilityChange" }, host: { listeners: { "document:click": "onDocumentClick($event)" } }, ngImport: i0, template: "<div\n  [ngClass]=\"state.visible ? 'open-drop' : 'close-drop'\"\n  class=\"{{position ? 'custom-dropdown ' + position : 'custom-dropdown'}}\"\n  [ngStyle]=\"{'margin-top': marginTop, 'width': width}\"\n>\n  <ng-content></ng-content>\n</div>\n", dependencies: [{ kind: "directive", type: i1$1.NgClass, selector: "[ngClass]", inputs: ["class", "ngClass"] }, { kind: "directive", type: i1$1.NgStyle, selector: "[ngStyle]", inputs: ["ngStyle"] }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: DropdownComponentClass, decorators: [{
            type: Component,
            args: [{ selector: 'epom-dropdown', template: "<div\n  [ngClass]=\"state.visible ? 'open-drop' : 'close-drop'\"\n  class=\"{{position ? 'custom-dropdown ' + position : 'custom-dropdown'}}\"\n  [ngStyle]=\"{'margin-top': marginTop, 'width': width}\"\n>\n  <ng-content></ng-content>\n</div>\n" }]
        }], ctorParameters: function () { return [{ type: i0.ElementRef }, { type: i0.Renderer2 }]; }, propDecorators: { toggleButton: [{
                type: Input,
                args: ['toggleButton']
            }], position: [{
                type: Input,
                args: ['position']
            }], marginTop: [{
                type: Input,
                args: ['marginTop']
            }], width: [{
                type: Input,
                args: ['width']
            }], state: [{
                type: Input,
                args: ['state']
            }], closeDropdownOnSelection: [{
                type: Input,
                args: ['closeDropdownOnSelection']
            }], close: [{
                type: Output,
                args: ['close']
            }], visibilityChange: [{
                type: Output
            }], onDocumentClick: [{
                type: HostListener,
                args: ['document:click', ['$event']]
            }] } });

class DropdownModule {
}
DropdownModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: DropdownModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
DropdownModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "14.3.0", ngImport: i0, type: DropdownModule, declarations: [DropdownComponentClass], imports: [CommonModule], exports: [DropdownComponentClass] });
DropdownModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: DropdownModule, imports: [CommonModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: DropdownModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [
                        CommonModule,
                    ],
                    declarations: [
                        DropdownComponentClass,
                    ],
                    exports: [
                        DropdownComponentClass,
                    ],
                }]
        }] });

// export * from './dropdown.module';

class SpinnerAbstractComponent {
    constructor(spinnerService, renderer) {
        this.spinnerService = spinnerService;
        this.renderer = renderer;
        this.isOpened = false;
        this.placement = 'content';
        this.config = {};
        this.autoopen = false;
        this.logger = loggerCreate(this.constructor['name']);
    }
    toggleElement() {
        if (!this.toggleFadeElement) {
            return;
        }
        this.renderer.addClass(this.toggleFadeElement, 'fade-hidden');
        if (this.isOpened) {
            this.renderer.addClass(this.toggleFadeElement, 'fade-hidden');
        }
        else {
            this.renderer.removeClass(this.toggleFadeElement, 'fade-hidden');
        }
    }
    ngOnInit() {
        if (this.autoopen) {
            this.isOpened = this.autoopen;
        }
        this.logger.log(`spinner.subscribe {placement: ${this.placement}, isOpened: ${this.isOpened}}`);
        this.spinnerEventSubscription = this.spinnerService.spinnerEvent.subscribe(spinnerStateEvent => {
            if (this.placement !== spinnerStateEvent.placement) {
                return false;
            }
            this.isOpened = spinnerStateEvent.state;
            this.toggleElement();
        });
    }
    ngAfterViewInit() {
        this.toggleElement();
    }
    ngOnDestroy() {
        this.spinnerService.resetState(this.placement);
        this.spinnerEventSubscription.unsubscribe();
    }
}
SpinnerAbstractComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: SpinnerAbstractComponent, deps: [{ token: SpinnerService }, { token: i0.Renderer2 }], target: i0.ɵɵFactoryTarget.Injectable });
SpinnerAbstractComponent.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: SpinnerAbstractComponent });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: SpinnerAbstractComponent, decorators: [{
            type: Injectable
        }], ctorParameters: function () { return [{ type: SpinnerService }, { type: i0.Renderer2 }]; }, propDecorators: { placement: [{
                type: Input
            }], config: [{
                type: Input
            }], toggleFadeElement: [{
                type: Input
            }], autoopen: [{
                type: Input
            }] } });

class StorageService {
    constructor() {
        this.storagePrefix = 'stored_';
        this.store = {
            getItem: (key) => this.store[key],
            setItem: this.setInObject,
            resources: {},
        };
        this.notRemovableList = ['diagnose', 'sidebar'];
    }
    get(key, defaultValueInCaseOfAbsent = undefined) {
        const prefixedKey = this.withPrefix(key);
        const store = this.getRightStorage(prefixedKey);
        return (store) ? JSON.parse(store.getItem(prefixedKey)) : defaultValueInCaseOfAbsent;
    }
    setPrefix(prefix) {
        this.storagePrefix = `${prefix}_`;
    }
    setInLocal(key, value) {
        window.localStorage.setItem(this.withPrefix(key), JSON.stringify(value));
    }
    setInSession(key, value) {
        window.sessionStorage.setItem(this.withPrefix(key), JSON.stringify(value));
    }
    setInObject(key, value) {
        this.store[this.withPrefix(key)] = JSON.stringify(value);
    }
    clear(key) {
        const prefixedKey = this.withPrefix(key);
        const store = this.getRightStorage(prefixedKey);
        if (store !== undefined && store.removeItem) {
            store.removeItem(prefixedKey);
            return true;
        }
        return false;
    }
    setResource(key, value) {
        this.store.resources[this.withPrefix(key)] = value;
    }
    getResource(key) {
        const resources = { ...this.store.resources };
        return resources[key];
    }
    withPrefix(key) {
        return this.storagePrefix + key;
    }
    getRightStorage(key) {
        const local = window.localStorage;
        const session = window.sessionStorage;
        if (local.getItem(key)) {
            return local;
        }
        if (session.getItem(key)) {
            return session;
        }
        if (this.store.getItem(key)) {
            const store = { ...this.store, resources: undefined };
            return store;
        }
        return false;
    }
}

class SpinnerDefaultComponent extends SpinnerAbstractComponent {
    constructor(spinnerService, renderer, storageService) {
        super(spinnerService, renderer);
        this.storageService = storageService;
        this.isWhiteLable = false;
        this.isWhiteLable = !!this.storageService.get('settingsWL');
    }
}
SpinnerDefaultComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: SpinnerDefaultComponent, deps: [{ token: SpinnerService }, { token: i0.Renderer2 }, { token: StorageService }], target: i0.ɵɵFactoryTarget.Component });
SpinnerDefaultComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.3.0", type: SpinnerDefaultComponent, selector: "epom-spinner-default", usesInheritance: true, ngImport: i0, template: "<div class=\"modal modal-spinner\" tabindex=\"-1\" [spinnerState]=\"isOpened\" [placement]=\"placement\">\n  <div class=\"double-bounce\">\n    <mat-spinner [diameter]=\"48\"></mat-spinner>\n  </div>\n  <div class=\"modal-backdrop grey fade in show modal-backdrop-spinner\"></div>\n</div>\n", dependencies: [{ kind: "component", type: i3.MatProgressSpinner, selector: "mat-progress-spinner, mat-spinner", inputs: ["color", "diameter", "strokeWidth", "mode", "value"], exportAs: ["matProgressSpinner"] }, { kind: "directive", type: SpinnerDirective, selector: "[spinnerState]", inputs: ["spinnerState", "placement"] }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: SpinnerDefaultComponent, decorators: [{
            type: Component,
            args: [{ selector: 'epom-spinner-default', template: "<div class=\"modal modal-spinner\" tabindex=\"-1\" [spinnerState]=\"isOpened\" [placement]=\"placement\">\n  <div class=\"double-bounce\">\n    <mat-spinner [diameter]=\"48\"></mat-spinner>\n  </div>\n  <div class=\"modal-backdrop grey fade in show modal-backdrop-spinner\"></div>\n</div>\n" }]
        }], ctorParameters: function () { return [{ type: SpinnerService }, { type: i0.Renderer2 }, { type: StorageService }]; } });

class SpinnerTilesPlaceholderComponent {
    constructor(spinnerService, renderer) {
        this.spinnerService = spinnerService;
        this.renderer = renderer;
        this.placeholderTileClassNames = [];
        this.isOpened = false;
        this.placement = 'content';
        this.config = {};
        this.autoopen = false;
        this.logger = loggerCreate(this.constructor['name']);
    }
    toggleElement() {
        if (!this.toggleFadeElement) {
            return;
        }
        this.renderer.addClass(this.toggleFadeElement, 'fade-hidden');
        if (this.isOpened) {
            this.renderer.addClass(this.toggleFadeElement, 'fade-hidden');
        }
        else {
            this.renderer.removeClass(this.toggleFadeElement, 'fade-hidden');
        }
    }
    ngOnInit() {
        if (this.autoopen) {
            this.isOpened = this.autoopen;
        }
        this.logger.log(`spinner.subscribe {placement: ${this.placement}, isOpened: ${this.isOpened}}`);
        this.spinnerEventSubscription = this.spinnerService.spinnerEvent.subscribe(spinnerStateEvent => {
            if (this.placement !== spinnerStateEvent.placement) {
                return false;
            }
            this.isOpened = spinnerStateEvent.state;
            this.toggleElement();
        });
    }
    ngAfterViewInit() {
        this.toggleElement();
    }
    ngOnDestroy() {
        this.spinnerService.resetState(this.placement);
        this.spinnerEventSubscription.unsubscribe();
    }
    ngAfterContentInit() {
        const tilesSectionsKeys = Object.keys(this.config.tilesSections);
        this.placeholderTileClassNames = tilesSectionsKeys
            .map((key, index) => this.config.layoutStrategy[tilesSectionsKeys.length][index]);
    }
}
SpinnerTilesPlaceholderComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: SpinnerTilesPlaceholderComponent, deps: [{ token: SpinnerService }, { token: i0.Renderer2 }], target: i0.ɵɵFactoryTarget.Component });
SpinnerTilesPlaceholderComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.3.0", type: SpinnerTilesPlaceholderComponent, selector: "epom-spinner-tiles-placeholder", inputs: { placement: "placement", config: "config", toggleFadeElement: "toggleFadeElement", autoopen: "autoopen" }, ngImport: i0, template: "<div class=\"component-placeholder component-tiles-placeholder fade-hidden\" [ngClass]=\"{'fade-visible': isOpened}\">\n  <div class=\"row row-8-cols row-space-20\">\n    <div [ngClass]=\"placeholderTileClassName\" *ngFor=\"let placeholderTileClassName of placeholderTileClassNames\">\n      <div class=\"box box-bordered\">\n        <div class=\"box-body widget-num-vertical\">\n          <span class=\"box-title\"></span>\n          <span class=\"box-num\"></span>\n        </div>\n      </div>\n    </div>\n  </div>\n</div>\n", dependencies: [{ kind: "directive", type: i1$1.NgClass, selector: "[ngClass]", inputs: ["class", "ngClass"] }, { kind: "directive", type: i1$1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: SpinnerTilesPlaceholderComponent, decorators: [{
            type: Component,
            args: [{ selector: 'epom-spinner-tiles-placeholder', template: "<div class=\"component-placeholder component-tiles-placeholder fade-hidden\" [ngClass]=\"{'fade-visible': isOpened}\">\n  <div class=\"row row-8-cols row-space-20\">\n    <div [ngClass]=\"placeholderTileClassName\" *ngFor=\"let placeholderTileClassName of placeholderTileClassNames\">\n      <div class=\"box box-bordered\">\n        <div class=\"box-body widget-num-vertical\">\n          <span class=\"box-title\"></span>\n          <span class=\"box-num\"></span>\n        </div>\n      </div>\n    </div>\n  </div>\n</div>\n" }]
        }], ctorParameters: function () { return [{ type: SpinnerService }, { type: i0.Renderer2 }]; }, propDecorators: { placement: [{
                type: Input
            }], config: [{
                type: Input
            }], toggleFadeElement: [{
                type: Input
            }], autoopen: [{
                type: Input
            }] } });

class SpinnerTilesNoDataComponent {
    constructor(spinnerService, renderer) {
        this.spinnerService = spinnerService;
        this.renderer = renderer;
        this.placeholderTileClassNames = [];
        this.isOpened = false;
        this.placement = 'content';
        this.config = {};
        this.autoopen = false;
        this.logger = loggerCreate(this.constructor['name']);
    }
    toggleElement() {
        if (!this.toggleFadeElement) {
            return;
        }
        this.renderer.addClass(this.toggleFadeElement, 'fade-hidden');
        if (this.isOpened) {
            this.renderer.addClass(this.toggleFadeElement, 'fade-hidden');
        }
        else {
            this.renderer.removeClass(this.toggleFadeElement, 'fade-hidden');
        }
    }
    ngOnInit() {
        if (this.autoopen) {
            this.isOpened = this.autoopen;
        }
        this.logger.log(`spinner.subscribe {placement: ${this.placement}, isOpened: ${this.isOpened}}`);
        this.spinnerEventSubscription = this.spinnerService.spinnerEvent.subscribe(spinnerStateEvent => {
            if (this.placement !== spinnerStateEvent.placement) {
                return false;
            }
            this.isOpened = spinnerStateEvent.state;
            this.toggleElement();
        });
    }
    ngAfterViewInit() {
        this.toggleElement();
    }
    ngOnDestroy() {
        this.spinnerService.resetState(this.placement);
        this.spinnerEventSubscription.unsubscribe();
    }
    ngAfterContentInit() {
        const tilesSectionsKeys = Object.keys(this.config.tilesSections);
        this.placeholderTileClassNames = tilesSectionsKeys
            .map((key, index) => this.config.layoutStrategy[tilesSectionsKeys.length][index]);
    }
}
SpinnerTilesNoDataComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: SpinnerTilesNoDataComponent, deps: [{ token: SpinnerService }, { token: i0.Renderer2 }], target: i0.ɵɵFactoryTarget.Component });
SpinnerTilesNoDataComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.3.0", type: SpinnerTilesNoDataComponent, selector: "epom-spinner-tiles-no-data", inputs: { placement: "placement", config: "config", toggleFadeElement: "toggleFadeElement", autoopen: "autoopen" }, ngImport: i0, template: "<div class=\"component-no-data component-tiles-no-data fade-hidden\" [ngClass]=\"{'fade-visible': isOpened}\">\n  <div class=\"row row-8-cols row-space-20\">\n    <div [ngClass]=\"placeholderTileClassName\" *ngFor=\"let placeholderTileClassName of placeholderTileClassNames\">\n      <div class=\"box box-bordered\">\n        <div class=\"box-body widget-num-vertical\">\n          <span class=\"box-title\"></span>\n          <span class=\"box-num\"></span>\n        </div>\n      </div>\n    </div>\n  </div>\n</div>\n", dependencies: [{ kind: "directive", type: i1$1.NgClass, selector: "[ngClass]", inputs: ["class", "ngClass"] }, { kind: "directive", type: i1$1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: SpinnerTilesNoDataComponent, decorators: [{
            type: Component,
            args: [{ selector: 'epom-spinner-tiles-no-data', template: "<div class=\"component-no-data component-tiles-no-data fade-hidden\" [ngClass]=\"{'fade-visible': isOpened}\">\n  <div class=\"row row-8-cols row-space-20\">\n    <div [ngClass]=\"placeholderTileClassName\" *ngFor=\"let placeholderTileClassName of placeholderTileClassNames\">\n      <div class=\"box box-bordered\">\n        <div class=\"box-body widget-num-vertical\">\n          <span class=\"box-title\"></span>\n          <span class=\"box-num\"></span>\n        </div>\n      </div>\n    </div>\n  </div>\n</div>\n" }]
        }], ctorParameters: function () { return [{ type: SpinnerService }, { type: i0.Renderer2 }]; }, propDecorators: { placement: [{
                type: Input
            }], config: [{
                type: Input
            }], toggleFadeElement: [{
                type: Input
            }], autoopen: [{
                type: Input
            }] } });

class SpinnerTableNoDataComponent {
    constructor(spinnerService, renderer) {
        this.spinnerService = spinnerService;
        this.renderer = renderer;
        this.isOpened = false;
        this.placement = 'content';
        this.config = {};
        this.autoopen = false;
        this.searchData = null;
        this.openStatePosition = '';
        this.logger = loggerCreate(this.constructor['name']);
    }
    toggleElement() {
        if (!this.toggleFadeElement) {
            return;
        }
        this.renderer.addClass(this.toggleFadeElement, 'fade-hidden');
        if (this.isOpened) {
            this.renderer.addClass(this.toggleFadeElement, 'fade-hidden');
        }
        else {
            this.renderer.removeClass(this.toggleFadeElement, 'fade-hidden');
        }
    }
    ngOnInit() {
        if (this.autoopen) {
            this.isOpened = this.autoopen;
        }
        this.logger.log(`spinner.subscribe {placement: ${this.placement}, isOpened: ${this.isOpened}}`);
        this.spinnerEventSubscription = this.spinnerService.spinnerEvent.subscribe((spinnerStateEvent) => {
            if (this.placement !== spinnerStateEvent.placement) {
                return false;
            }
            this.isOpened = spinnerStateEvent.state;
            this.toggleElement();
        });
    }
    ngAfterViewInit() {
        this.toggleElement();
    }
    ngOnDestroy() {
        this.spinnerService.resetState(this.placement);
        this.spinnerEventSubscription.unsubscribe();
    }
    ngOnChanges(changes) {
        if (changes.config) {
            this.placeholderConfig = changes.config.currentValue ? changes.config.currentValue.placeholderConfig : null;
        }
    }
}
SpinnerTableNoDataComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: SpinnerTableNoDataComponent, deps: [{ token: SpinnerService }, { token: i0.Renderer2 }], target: i0.ɵɵFactoryTarget.Component });
SpinnerTableNoDataComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.3.0", type: SpinnerTableNoDataComponent, selector: "epom-spinner-table-no-data", inputs: { placement: "placement", config: "config", toggleFadeElement: "toggleFadeElement", autoopen: "autoopen", searchData: "searchData", openStatePosition: "openStatePosition" }, usesOnChanges: true, ngImport: i0, template: "<div\n  class=\"component-no-data component-table-no-data fade-hidden\"\n  [style.border-top]=\"'none'\"\n  [ngClass]=\"{'fade-visible': isOpened}\"\n  [style.position]=\"isOpened ? 'relative' : 'absolute'\"\n>\n  <ng-container *ngIf=\"placeholderConfig && placeholderConfig.noDataText && !searchData\">\n    {{ placeholderConfig.noDataText }}\n    <div *ngIf=\"placeholderConfig.buttons\">\n      <div *ngFor=\"let buttonItem of placeholderConfig.buttons\">\n        <button class=\"button button-primary\" [routerLink]=\"buttonItem.url\">\n          {{ buttonItem.title }}\n        </button>\n      </div>\n    </div>\n  </ng-container>\n  <ng-container *ngIf=\"(!placeholderConfig || !placeholderConfig.noDataText) && !searchData\">\n    <div class=\"config-no-data\">No available data to show.</div>\n  </ng-container>\n  <ng-container *ngIf=\"searchData && searchData.length\">\n    <div class=\"config-search-no-data\">\n      No results for \u201C<span class=\"search-no-data\">{{ searchData }}</span\n      >\u201D\n    </div>\n  </ng-container>\n</div>\n", styles: [".config-title{font-size:var(--font-headline-3);font-weight:var(--font-weight-bold);line-height:24px;color:var(--neutral-on-main-neutral-color);margin-bottom:8px}.config-no-data{color:var(--neutral-outline-color);font-size:var(--font-body-2);font-weight:var(--font-weight-regular);line-height:21px}.config-search-no-data{font-size:12px;line-height:18px;color:var(--neutral-outline-color)}.button-list{margin-top:16px}.inside-component .config-title{font-size:var(--font-headline-4);line-height:21px}.inside-component .config-no-data{font-size:var(--font-caption);line-height:18px}.component-table-no-data{border-radius:0 0 3px 3px;border:1px solid var(--neutral-outline-variant-color, #c4c6d0)}.search-no-data{font-size:12px;line-height:18px;color:var(--neutral-on-main-neutral-color, #1a1c1e);font-weight:var(--font-weight-semibold)}\n"], dependencies: [{ kind: "directive", type: i1$1.NgClass, selector: "[ngClass]", inputs: ["class", "ngClass"] }, { kind: "directive", type: i1$1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i1$2.RouterLink, selector: ":not(a):not(area)[routerLink]", inputs: ["queryParams", "fragment", "queryParamsHandling", "state", "relativeTo", "preserveFragment", "skipLocationChange", "replaceUrl", "routerLink"] }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: SpinnerTableNoDataComponent, decorators: [{
            type: Component,
            args: [{ selector: 'epom-spinner-table-no-data', template: "<div\n  class=\"component-no-data component-table-no-data fade-hidden\"\n  [style.border-top]=\"'none'\"\n  [ngClass]=\"{'fade-visible': isOpened}\"\n  [style.position]=\"isOpened ? 'relative' : 'absolute'\"\n>\n  <ng-container *ngIf=\"placeholderConfig && placeholderConfig.noDataText && !searchData\">\n    {{ placeholderConfig.noDataText }}\n    <div *ngIf=\"placeholderConfig.buttons\">\n      <div *ngFor=\"let buttonItem of placeholderConfig.buttons\">\n        <button class=\"button button-primary\" [routerLink]=\"buttonItem.url\">\n          {{ buttonItem.title }}\n        </button>\n      </div>\n    </div>\n  </ng-container>\n  <ng-container *ngIf=\"(!placeholderConfig || !placeholderConfig.noDataText) && !searchData\">\n    <div class=\"config-no-data\">No available data to show.</div>\n  </ng-container>\n  <ng-container *ngIf=\"searchData && searchData.length\">\n    <div class=\"config-search-no-data\">\n      No results for \u201C<span class=\"search-no-data\">{{ searchData }}</span\n      >\u201D\n    </div>\n  </ng-container>\n</div>\n", styles: [".config-title{font-size:var(--font-headline-3);font-weight:var(--font-weight-bold);line-height:24px;color:var(--neutral-on-main-neutral-color);margin-bottom:8px}.config-no-data{color:var(--neutral-outline-color);font-size:var(--font-body-2);font-weight:var(--font-weight-regular);line-height:21px}.config-search-no-data{font-size:12px;line-height:18px;color:var(--neutral-outline-color)}.button-list{margin-top:16px}.inside-component .config-title{font-size:var(--font-headline-4);line-height:21px}.inside-component .config-no-data{font-size:var(--font-caption);line-height:18px}.component-table-no-data{border-radius:0 0 3px 3px;border:1px solid var(--neutral-outline-variant-color, #c4c6d0)}.search-no-data{font-size:12px;line-height:18px;color:var(--neutral-on-main-neutral-color, #1a1c1e);font-weight:var(--font-weight-semibold)}\n"] }]
        }], ctorParameters: function () { return [{ type: SpinnerService }, { type: i0.Renderer2 }]; }, propDecorators: { placement: [{
                type: Input
            }], config: [{
                type: Input
            }], toggleFadeElement: [{
                type: Input
            }], autoopen: [{
                type: Input
            }], searchData: [{
                type: Input
            }], openStatePosition: [{
                type: Input
            }] } });

class SpinnerTablePlaceholderComponent {
    constructor(spinnerService, renderer) {
        this.spinnerService = spinnerService;
        this.renderer = renderer;
        this.isOpened = false;
        this.placement = 'content';
        this.config = {};
        this.autoopen = false;
        this.defaultPlaceholderLinesCount = 3;
        this.logger = loggerCreate(this.constructor['name']);
    }
    toggleElement() {
        if (!this.toggleFadeElement) {
            return;
        }
        this.renderer.addClass(this.toggleFadeElement, 'fade-hidden');
        if (this.isOpened) {
            this.renderer.addClass(this.toggleFadeElement, 'fade-hidden');
        }
        else {
            this.renderer.removeClass(this.toggleFadeElement, 'fade-hidden');
        }
    }
    ngOnInit() {
        if (this.autoopen) {
            this.isOpened = this.autoopen;
        }
        this.logger.log(`spinner.subscribe {placement: ${this.placement}, isOpened: ${this.isOpened}}`);
        this.spinnerEventSubscription = this.spinnerService.spinnerEvent.subscribe((spinnerStateEvent) => {
            if (this.placement !== spinnerStateEvent.placement) {
                return false;
            }
            this.isOpened = spinnerStateEvent.state;
            this.toggleElement();
        });
    }
    ngAfterViewInit() {
        this.toggleElement();
    }
    ngOnDestroy() {
        this.spinnerService.resetState(this.placement);
        this.spinnerEventSubscription.unsubscribe();
    }
    generatePlaceholderLines(linesCount = this.defaultPlaceholderLinesCount) {
        return Array(linesCount).fill(0);
    }
    generateArrayForSubItems(arrayOrNumber) {
        return Array.isArray(arrayOrNumber) ? arrayOrNumber : [arrayOrNumber];
    }
    ngAfterContentInit() {
        const placeholderLines = this.generatePlaceholderLines(this.config.rows);
        const aligns = this.config.align || [];
        const body = this.config.body || [];
        this.placeholderElements = placeholderLines.map(() => body.map((bodyItem, index) => ({
            subItems: this.generateArrayForSubItems(bodyItem),
            alignClass: aligns[index] ? `text-${aligns[index]}` : '',
        })));
    }
    cancelRequest() {
        if (this.subscription && this.subscription?.length && this.subscription[0] instanceof Subscription) {
            this.subscription.forEach((sub) => {
                sub.unsubscribe();
            });
        }
    }
}
SpinnerTablePlaceholderComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: SpinnerTablePlaceholderComponent, deps: [{ token: SpinnerService }, { token: i0.Renderer2 }], target: i0.ɵɵFactoryTarget.Component });
SpinnerTablePlaceholderComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.3.0", type: SpinnerTablePlaceholderComponent, selector: "epom-spinner-table-placeholder", inputs: { placement: "placement", config: "config", toggleFadeElement: "toggleFadeElement", autoopen: "autoopen", subscription: "subscription" }, ngImport: i0, template: "<div class=\"component-placeholder fade-hidden\" [ngClass]=\"{'fade-visible': isOpened}\">\n  <table class=\"table\">\n    <thead>\n      <tr>\n        <th *ngFor=\"let headerItem of config.header; let i = index\" class=\"text-{{ config.align[i] }}\">\n          <span class=\"line-spinner line-spinner-w-{{ headerItem }}\"></span>\n        </th>\n      </tr>\n    </thead>\n    <tbody>\n      <tr *ngFor=\"let lineItem of placeholderElements\">\n        <td *ngFor=\"let cellItem of lineItem\" [ngClass]=\"cellItem.alignClass\">\n          <span *ngFor=\"let subItem of cellItem.subItems\" class=\"line-spinner line-spinner-w-{{ subItem }}\"></span>\n        </td>\n      </tr>\n    </tbody>\n  </table>\n  <button *ngIf=\"subscription\" class=\"request-cancel-button button button-error\" (click)=\"cancelRequest()\">\n    Cancel\n  </button>\n</div>\n", styles: [".request-cancel-button{position:absolute;left:calc(50% - 39px);bottom:-104px}\n"], dependencies: [{ kind: "directive", type: i1$1.NgClass, selector: "[ngClass]", inputs: ["class", "ngClass"] }, { kind: "directive", type: i1$1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: SpinnerTablePlaceholderComponent, decorators: [{
            type: Component,
            args: [{ selector: 'epom-spinner-table-placeholder', template: "<div class=\"component-placeholder fade-hidden\" [ngClass]=\"{'fade-visible': isOpened}\">\n  <table class=\"table\">\n    <thead>\n      <tr>\n        <th *ngFor=\"let headerItem of config.header; let i = index\" class=\"text-{{ config.align[i] }}\">\n          <span class=\"line-spinner line-spinner-w-{{ headerItem }}\"></span>\n        </th>\n      </tr>\n    </thead>\n    <tbody>\n      <tr *ngFor=\"let lineItem of placeholderElements\">\n        <td *ngFor=\"let cellItem of lineItem\" [ngClass]=\"cellItem.alignClass\">\n          <span *ngFor=\"let subItem of cellItem.subItems\" class=\"line-spinner line-spinner-w-{{ subItem }}\"></span>\n        </td>\n      </tr>\n    </tbody>\n  </table>\n  <button *ngIf=\"subscription\" class=\"request-cancel-button button button-error\" (click)=\"cancelRequest()\">\n    Cancel\n  </button>\n</div>\n", styles: [".request-cancel-button{position:absolute;left:calc(50% - 39px);bottom:-104px}\n"] }]
        }], ctorParameters: function () { return [{ type: SpinnerService }, { type: i0.Renderer2 }]; }, propDecorators: { placement: [{
                type: Input
            }], config: [{
                type: Input
            }], toggleFadeElement: [{
                type: Input
            }], autoopen: [{
                type: Input
            }], subscription: [{
                type: Input
            }] } });

class SpinnerButtonComponent {
    constructor(spinnerService, renderer) {
        this.spinnerService = spinnerService;
        this.renderer = renderer;
        this.isOpened = false;
        this.placement = 'content';
        this.config = {};
        this.autoopen = false;
        this.logger = loggerCreate(this.constructor['name']);
    }
    toggleElement() {
        if (!this.toggleFadeElement) {
            return;
        }
        this.renderer.addClass(this.toggleFadeElement, 'fade-hidden');
        if (this.isOpened) {
            this.renderer.addClass(this.toggleFadeElement, 'fade-hidden');
        }
        else {
            this.renderer.removeClass(this.toggleFadeElement, 'fade-hidden');
        }
    }
    ngOnInit() {
        if (this.autoopen) {
            this.isOpened = this.autoopen;
        }
        this.logger.log(`spinner.subscribe {placement: ${this.placement}, isOpened: ${this.isOpened}}`);
        this.spinnerEventSubscription = this.spinnerService.spinnerEvent.subscribe(spinnerStateEvent => {
            if (this.placement !== spinnerStateEvent.placement) {
                return false;
            }
            this.isOpened = spinnerStateEvent.state;
            this.toggleElement();
        });
    }
    ngAfterViewInit() {
        this.toggleElement();
    }
    ngOnDestroy() {
        this.spinnerService.resetState(this.placement);
        this.spinnerEventSubscription.unsubscribe();
    }
}
SpinnerButtonComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: SpinnerButtonComponent, deps: [{ token: SpinnerService }, { token: i0.Renderer2 }], target: i0.ɵɵFactoryTarget.Component });
SpinnerButtonComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.3.0", type: SpinnerButtonComponent, selector: "epom-spinner-button", inputs: { placement: "placement", config: "config", toggleFadeElement: "toggleFadeElement", autoopen: "autoopen" }, ngImport: i0, template: "<div class=\"btn-spinner\" [ngClass]=\"{'fade-visible': isOpened, 'fade-hidden': !isOpened}\">\n    <div class=\"btn-spinner-bounce-1\"></div>\n    <div class=\"btn-spinner-bounce-2\"></div>\n</div>\n", dependencies: [{ kind: "directive", type: i1$1.NgClass, selector: "[ngClass]", inputs: ["class", "ngClass"] }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: SpinnerButtonComponent, decorators: [{
            type: Component,
            args: [{ selector: 'epom-spinner-button', template: "<div class=\"btn-spinner\" [ngClass]=\"{'fade-visible': isOpened, 'fade-hidden': !isOpened}\">\n    <div class=\"btn-spinner-bounce-1\"></div>\n    <div class=\"btn-spinner-bounce-2\"></div>\n</div>\n" }]
        }], ctorParameters: function () { return [{ type: SpinnerService }, { type: i0.Renderer2 }]; }, propDecorators: { placement: [{
                type: Input
            }], config: [{
                type: Input
            }], toggleFadeElement: [{
                type: Input
            }], autoopen: [{
                type: Input
            }] } });

class SpinnerChartsPlaceholderComponent extends SpinnerAbstractComponent {
    constructor(spinnerService, renderer) {
        super(spinnerService, renderer);
        this.spinnerService = spinnerService;
        this.renderer = renderer;
        this.isOpened = false;
        this.placement = 'content';
        this.config = {};
        this.autoopen = false;
        this.loggerService = loggerCreate(this.constructor['name']);
    }
    toggleElement() {
        if (!this.toggleFadeElement) {
            return;
        }
        this.renderer.addClass(this.toggleFadeElement, 'fade-hidden');
        if (this.isOpened) {
            this.renderer.addClass(this.toggleFadeElement, 'fade-hidden');
        }
        else {
            this.renderer.removeClass(this.toggleFadeElement, 'fade-hidden');
        }
    }
    ngOnInit() {
        if (this.autoopen) {
            this.isOpened = this.autoopen;
        }
        this.loggerService.log(`spinner.subscribe {placement: ${this.placement}, isOpened: ${this.isOpened}}`);
        this.spinnerEvent2Subscription = this.spinnerService.spinnerEvent.subscribe(spinnerStateEvent => {
            if (this.placement !== spinnerStateEvent.placement) {
                return false;
            }
            this.isOpened = spinnerStateEvent.state;
            this.toggleElement();
        });
    }
    ngAfterViewInit() {
        this.toggleElement();
    }
    ngOnDestroy() {
        this.spinnerService.resetState(this.placement);
        this.spinnerEvent2Subscription.unsubscribe();
    }
}
SpinnerChartsPlaceholderComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: SpinnerChartsPlaceholderComponent, deps: [{ token: SpinnerService }, { token: i0.Renderer2 }], target: i0.ɵɵFactoryTarget.Component });
SpinnerChartsPlaceholderComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.3.0", type: SpinnerChartsPlaceholderComponent, selector: "epom-spinner-charts-placeholder", inputs: { placement: "placement", config: "config", toggleFadeElement: "toggleFadeElement", autoopen: "autoopen" }, usesInheritance: true, ngImport: i0, template: "<div class=\"component-placeholder component-charts-placeholder fade-hidden\" [ngClass]=\"{'fade-visible': isOpened}\">\n        <div class=\"component-charts-updating-spinner\">\n            <div class=\"component-charts-updating-spinner\">\n                <div class=\"double-bounce-light\">\n                    <div class=\"double-bounce-container\">\n                    </div>\n                </div>\n                Loading...\n            </div>\n        </div>\n</div>\n", dependencies: [{ kind: "directive", type: i1$1.NgClass, selector: "[ngClass]", inputs: ["class", "ngClass"] }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: SpinnerChartsPlaceholderComponent, decorators: [{
            type: Component,
            args: [{ selector: 'epom-spinner-charts-placeholder', template: "<div class=\"component-placeholder component-charts-placeholder fade-hidden\" [ngClass]=\"{'fade-visible': isOpened}\">\n        <div class=\"component-charts-updating-spinner\">\n            <div class=\"component-charts-updating-spinner\">\n                <div class=\"double-bounce-light\">\n                    <div class=\"double-bounce-container\">\n                    </div>\n                </div>\n                Loading...\n            </div>\n        </div>\n</div>\n" }]
        }], ctorParameters: function () { return [{ type: SpinnerService }, { type: i0.Renderer2 }]; }, propDecorators: { placement: [{
                type: Input
            }], config: [{
                type: Input
            }], toggleFadeElement: [{
                type: Input
            }], autoopen: [{
                type: Input
            }] } });

class SpinnerChartsNoDataComponent {
    constructor(spinnerService, renderer) {
        this.spinnerService = spinnerService;
        this.renderer = renderer;
        this.isOpened = false;
        this.placement = 'content';
        this.config = {};
        this.autoopen = false;
        this.logger = loggerCreate(this.constructor['name']);
    }
    toggleElement() {
        if (!this.toggleFadeElement) {
            return;
        }
        this.renderer.addClass(this.toggleFadeElement, 'fade-hidden');
        if (this.isOpened) {
            this.renderer.addClass(this.toggleFadeElement, 'fade-hidden');
        }
        else {
            this.renderer.removeClass(this.toggleFadeElement, 'fade-hidden');
        }
    }
    ngOnInit() {
        if (this.autoopen) {
            this.isOpened = this.autoopen;
        }
        this.logger.log(`spinner.subscribe {placement: ${this.placement}, isOpened: ${this.isOpened}}`);
        this.spinnerEventSubscription = this.spinnerService.spinnerEvent.subscribe((spinnerStateEvent) => {
            if (this.placement !== spinnerStateEvent.placement) {
                return false;
            }
            this.isOpened = spinnerStateEvent.state;
            this.toggleElement();
        });
    }
    ngAfterViewInit() {
        this.toggleElement();
    }
    ngOnDestroy() {
        this.spinnerService.resetState(this.placement);
        this.spinnerEventSubscription.unsubscribe();
    }
    ngOnChanges(changes) {
        if (changes.config) {
            this.chartsConfig = changes.config.currentValue ? changes.config.currentValue.chartsConfig : null;
        }
    }
}
SpinnerChartsNoDataComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: SpinnerChartsNoDataComponent, deps: [{ token: SpinnerService }, { token: i0.Renderer2 }], target: i0.ɵɵFactoryTarget.Component });
SpinnerChartsNoDataComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.3.0", type: SpinnerChartsNoDataComponent, selector: "epom-spinner-charts-no-data", inputs: { placement: "placement", config: "config", toggleFadeElement: "toggleFadeElement", autoopen: "autoopen" }, usesOnChanges: true, ngImport: i0, template: "<div\n  data-qa=\"spinner-charts-no-data\"\n  class=\"component-no-data component-charts-no-data fade-hidden\"\n  [ngClass]=\"{'fade-visible': isOpened, 'inside-component': chartsConfig?.insideComponent}\"\n>\n  <ng-container *ngIf=\"chartsConfig && chartsConfig.title\">\n    <div data-qa=\"spinner-no-data-title\" class=\"config-title\">{{ chartsConfig.title }}</div>\n  </ng-container>\n  <ng-container *ngIf=\"chartsConfig && chartsConfig.noDataText\">\n    <div data-qa=\"spinner-no-data-text\" class=\"config-no-data\">{{ chartsConfig.noDataText }}</div>\n    <div *ngIf=\"chartsConfig.buttons\">\n      <div class=\"button-list\" *ngFor=\"let buttonItem of chartsConfig.buttons\">\n        <button\n          data-qa=\"spinner-no-data-button\"\n          *ngIf=\"!chartsConfig.insideComponent\"\n          class=\"button button-primary\"\n          [routerLink]=\"buttonItem.url\"\n        >\n          {{ buttonItem.title }}\n        </button>\n        <a\n          data-qa=\"spinner-no-data-link\"\n          *ngIf=\"chartsConfig.insideComponent\"\n          class=\"button-link button-link-primary\"\n          [routerLink]=\"buttonItem.url\"\n        >\n          {{ buttonItem.title }}\n        </a>\n      </div>\n    </div>\n  </ng-container>\n  <ng-container *ngIf=\"!chartsConfig || !chartsConfig.noDataText\">\n    <div class=\"config-no-data\">No available data to show.</div>\n  </ng-container>\n</div>\n", styles: [".config-title{font-size:var(--font-headline-3);font-weight:var(--font-weight-bold);line-height:24px;color:var(--neutral-on-main-neutral-color);margin-bottom:8px}.config-no-data{color:var(--neutral-outline-color);font-size:var(--font-body-2);font-weight:var(--font-weight-regular);line-height:21px}.config-search-no-data{font-size:12px;line-height:18px;color:var(--neutral-outline-color)}.button-list{margin-top:16px}.inside-component .config-title{font-size:var(--font-headline-4);line-height:21px}.inside-component .config-no-data{font-size:var(--font-caption);line-height:18px}.component-table-no-data{border-radius:0 0 3px 3px;border:1px solid var(--neutral-outline-variant-color, #c4c6d0)}.search-no-data{font-size:12px;line-height:18px;color:var(--neutral-on-main-neutral-color, #1a1c1e);font-weight:var(--font-weight-semibold)}\n"], dependencies: [{ kind: "directive", type: i1$1.NgClass, selector: "[ngClass]", inputs: ["class", "ngClass"] }, { kind: "directive", type: i1$1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i1$2.RouterLink, selector: ":not(a):not(area)[routerLink]", inputs: ["queryParams", "fragment", "queryParamsHandling", "state", "relativeTo", "preserveFragment", "skipLocationChange", "replaceUrl", "routerLink"] }, { kind: "directive", type: i1$2.RouterLinkWithHref, selector: "a[routerLink],area[routerLink]", inputs: ["target", "queryParams", "fragment", "queryParamsHandling", "state", "relativeTo", "preserveFragment", "skipLocationChange", "replaceUrl", "routerLink"] }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: SpinnerChartsNoDataComponent, decorators: [{
            type: Component,
            args: [{ selector: 'epom-spinner-charts-no-data', template: "<div\n  data-qa=\"spinner-charts-no-data\"\n  class=\"component-no-data component-charts-no-data fade-hidden\"\n  [ngClass]=\"{'fade-visible': isOpened, 'inside-component': chartsConfig?.insideComponent}\"\n>\n  <ng-container *ngIf=\"chartsConfig && chartsConfig.title\">\n    <div data-qa=\"spinner-no-data-title\" class=\"config-title\">{{ chartsConfig.title }}</div>\n  </ng-container>\n  <ng-container *ngIf=\"chartsConfig && chartsConfig.noDataText\">\n    <div data-qa=\"spinner-no-data-text\" class=\"config-no-data\">{{ chartsConfig.noDataText }}</div>\n    <div *ngIf=\"chartsConfig.buttons\">\n      <div class=\"button-list\" *ngFor=\"let buttonItem of chartsConfig.buttons\">\n        <button\n          data-qa=\"spinner-no-data-button\"\n          *ngIf=\"!chartsConfig.insideComponent\"\n          class=\"button button-primary\"\n          [routerLink]=\"buttonItem.url\"\n        >\n          {{ buttonItem.title }}\n        </button>\n        <a\n          data-qa=\"spinner-no-data-link\"\n          *ngIf=\"chartsConfig.insideComponent\"\n          class=\"button-link button-link-primary\"\n          [routerLink]=\"buttonItem.url\"\n        >\n          {{ buttonItem.title }}\n        </a>\n      </div>\n    </div>\n  </ng-container>\n  <ng-container *ngIf=\"!chartsConfig || !chartsConfig.noDataText\">\n    <div class=\"config-no-data\">No available data to show.</div>\n  </ng-container>\n</div>\n", styles: [".config-title{font-size:var(--font-headline-3);font-weight:var(--font-weight-bold);line-height:24px;color:var(--neutral-on-main-neutral-color);margin-bottom:8px}.config-no-data{color:var(--neutral-outline-color);font-size:var(--font-body-2);font-weight:var(--font-weight-regular);line-height:21px}.config-search-no-data{font-size:12px;line-height:18px;color:var(--neutral-outline-color)}.button-list{margin-top:16px}.inside-component .config-title{font-size:var(--font-headline-4);line-height:21px}.inside-component .config-no-data{font-size:var(--font-caption);line-height:18px}.component-table-no-data{border-radius:0 0 3px 3px;border:1px solid var(--neutral-outline-variant-color, #c4c6d0)}.search-no-data{font-size:12px;line-height:18px;color:var(--neutral-on-main-neutral-color, #1a1c1e);font-weight:var(--font-weight-semibold)}\n"] }]
        }], ctorParameters: function () { return [{ type: SpinnerService }, { type: i0.Renderer2 }]; }, propDecorators: { placement: [{
                type: Input
            }], config: [{
                type: Input
            }], toggleFadeElement: [{
                type: Input
            }], autoopen: [{
                type: Input
            }] } });

class SpinnerImagePlaceholderComponent {
    constructor(spinnerService, renderer) {
        this.spinnerService = spinnerService;
        this.renderer = renderer;
        this.isOpened = false;
        this.placement = 'content';
        this.config = {};
        this.autoopen = false;
        this.logger = loggerCreate(this.constructor['name']);
    }
    toggleElement() {
        if (!this.toggleFadeElement) {
            return;
        }
        this.renderer.addClass(this.toggleFadeElement, 'fade-hidden');
        if (this.isOpened) {
            this.renderer.addClass(this.toggleFadeElement, 'fade-hidden');
        }
        else {
            this.renderer.removeClass(this.toggleFadeElement, 'fade-hidden');
        }
    }
    ngOnInit() {
        if (this.autoopen) {
            this.isOpened = this.autoopen;
        }
        this.logger.log(`spinner.subscribe {placement: ${this.placement}, isOpened: ${this.isOpened}}`);
        this.spinnerEventSubscription = this.spinnerService.spinnerEvent.subscribe(spinnerStateEvent => {
            if (this.placement !== spinnerStateEvent.placement) {
                return false;
            }
            this.isOpened = spinnerStateEvent.state;
            this.toggleElement();
        });
    }
    ngAfterViewInit() {
        this.toggleElement();
    }
    ngOnDestroy() {
        this.spinnerService.resetState(this.placement);
        this.spinnerEventSubscription.unsubscribe();
    }
}
SpinnerImagePlaceholderComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: SpinnerImagePlaceholderComponent, deps: [{ token: SpinnerService }, { token: i0.Renderer2 }], target: i0.ɵɵFactoryTarget.Component });
SpinnerImagePlaceholderComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.3.0", type: SpinnerImagePlaceholderComponent, selector: "epom-spinner-image-placeholder", inputs: { placement: "placement", config: "config", toggleFadeElement: "toggleFadeElement", autoopen: "autoopen" }, ngImport: i0, template: "<div class=\"component-placeholder thumbnail-spinner modal-spinner fade-hidden\"\n     [ngClass]=\"{'fade-visible': isOpened}\"\n>\n    <div class=\"double-bounce\">\n        <div class=\"double-bounce-container\">\n            <div class=\"double-bounce1\"></div>\n            <div class=\"double-bounce2\"></div>\n        </div>\n    </div>\n    <div class=\"modal-backdrop grey fade in show modal-backdrop-spinner\"></div>\n</div>\n", dependencies: [{ kind: "directive", type: i1$1.NgClass, selector: "[ngClass]", inputs: ["class", "ngClass"] }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: SpinnerImagePlaceholderComponent, decorators: [{
            type: Component,
            args: [{ selector: 'epom-spinner-image-placeholder', template: "<div class=\"component-placeholder thumbnail-spinner modal-spinner fade-hidden\"\n     [ngClass]=\"{'fade-visible': isOpened}\"\n>\n    <div class=\"double-bounce\">\n        <div class=\"double-bounce-container\">\n            <div class=\"double-bounce1\"></div>\n            <div class=\"double-bounce2\"></div>\n        </div>\n    </div>\n    <div class=\"modal-backdrop grey fade in show modal-backdrop-spinner\"></div>\n</div>\n" }]
        }], ctorParameters: function () { return [{ type: SpinnerService }, { type: i0.Renderer2 }]; }, propDecorators: { placement: [{
                type: Input
            }], config: [{
                type: Input
            }], toggleFadeElement: [{
                type: Input
            }], autoopen: [{
                type: Input
            }] } });

class SpinnerForAnalyticsQueryComponent {
    constructor(spinnerService, renderer) {
        this.spinnerService = spinnerService;
        this.renderer = renderer;
        this.isOpened = false;
        this.placement = 'content';
        this.subscription = null;
        this.toggleFadeElements = [];
        this.height = 'auto';
        this.cancelRequestEmitter = new EventEmitter();
        this.logger = loggerCreate(this.constructor['name']);
    }
    ngOnInit() {
        this.logger.log(`spinner.subscribe {placement: ${this.placement}, isOpened: ${this.isOpened}}`);
        this.spinnerEventSubscription = this.spinnerService.spinnerEvent.subscribe((spinnerStateEvent) => {
            if (this.placement !== spinnerStateEvent.placement) {
                return false;
            }
            this.isOpened = spinnerStateEvent.state;
            this.toggleElement();
        });
    }
    ngAfterViewInit() {
        this.toggleElement();
    }
    ngOnDestroy() {
        this.spinnerService.resetState(this.placement);
        this.spinnerEventSubscription.unsubscribe();
    }
    toggleElement() {
        if (!this.toggleFadeElements.length) {
            return;
        }
        this.toggleFadeElements.forEach((element) => {
            this.renderer.addClass(element, 'hidden');
            if (this.isOpened) {
                this.renderer.addClass(element, 'hidden');
            }
            else {
                this.renderer.removeClass(element, 'hidden');
            }
        });
    }
    cancelRequest() {
        if (this.subscription && this.subscription?.length && this.subscription[0] instanceof Subscription) {
            this.subscription.forEach((sub) => {
                sub.unsubscribe();
                this.toggleElement();
                this.cancelRequestEmitter.emit();
            });
        }
    }
}
SpinnerForAnalyticsQueryComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: SpinnerForAnalyticsQueryComponent, deps: [{ token: SpinnerService }, { token: i0.Renderer2 }], target: i0.ɵɵFactoryTarget.Component });
SpinnerForAnalyticsQueryComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.3.0", type: SpinnerForAnalyticsQueryComponent, selector: "spinner-for-analytics-query", inputs: { placement: "placement", subscription: "subscription", toggleFadeElements: "toggleFadeElements", height: "height" }, outputs: { cancelRequestEmitter: "cancelRequestEmitter" }, ngImport: i0, template: "<div class=\"analytics-spinner\" [style.height]=\"height\" *ngIf=\"isOpened\">\n  <div class=\"spinner-container\">\n    <mat-spinner [diameter]=\"48\"></mat-spinner>\n    <span>Getting Report...</span>\n    <button class=\"button button-outlined-grey\" (click)=\"cancelRequest()\">Cancel</button>\n  </div>\n</div>\n", styles: [".analytics-spinner{display:flex;justify-content:center;align-items:center;gap:10px;flex:1 0 0;background-color:var(--main-static-color);border-radius:4px}.analytics-spinner span{color:var(--neutral-on-main-neutral-color, #1a1c1e)}.analytics-spinner .spinner-container{display:flex;flex-direction:column;align-items:center;gap:24px}\n"], dependencies: [{ kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "component", type: i3.MatProgressSpinner, selector: "mat-progress-spinner, mat-spinner", inputs: ["color", "diameter", "strokeWidth", "mode", "value"], exportAs: ["matProgressSpinner"] }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: SpinnerForAnalyticsQueryComponent, decorators: [{
            type: Component,
            args: [{ selector: 'spinner-for-analytics-query', template: "<div class=\"analytics-spinner\" [style.height]=\"height\" *ngIf=\"isOpened\">\n  <div class=\"spinner-container\">\n    <mat-spinner [diameter]=\"48\"></mat-spinner>\n    <span>Getting Report...</span>\n    <button class=\"button button-outlined-grey\" (click)=\"cancelRequest()\">Cancel</button>\n  </div>\n</div>\n", styles: [".analytics-spinner{display:flex;justify-content:center;align-items:center;gap:10px;flex:1 0 0;background-color:var(--main-static-color);border-radius:4px}.analytics-spinner span{color:var(--neutral-on-main-neutral-color, #1a1c1e)}.analytics-spinner .spinner-container{display:flex;flex-direction:column;align-items:center;gap:24px}\n"] }]
        }], ctorParameters: function () { return [{ type: SpinnerService }, { type: i0.Renderer2 }]; }, propDecorators: { placement: [{
                type: Input
            }], subscription: [{
                type: Input
            }], toggleFadeElements: [{
                type: Input
            }], height: [{
                type: Input
            }], cancelRequestEmitter: [{
                type: Output,
                args: ['cancelRequestEmitter']
            }] } });

class SpinnerModule {
}
SpinnerModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: SpinnerModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
SpinnerModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "14.3.0", ngImport: i0, type: SpinnerModule, declarations: [SpinnerDirective,
        SpinnerDefaultComponent,
        SpinnerButtonComponent,
        SpinnerTablePlaceholderComponent,
        SpinnerTableNoDataComponent,
        SpinnerTilesPlaceholderComponent,
        SpinnerTilesNoDataComponent,
        SpinnerChartsPlaceholderComponent,
        SpinnerChartsNoDataComponent,
        SpinnerImagePlaceholderComponent,
        SpinnerForAnalyticsQueryComponent], imports: [CommonModule, BrowserModule, RouterModule, DropdownModule, MatProgressSpinnerModule], exports: [SpinnerDirective,
        SpinnerDefaultComponent,
        SpinnerButtonComponent,
        SpinnerTablePlaceholderComponent,
        SpinnerTableNoDataComponent,
        SpinnerTilesPlaceholderComponent,
        SpinnerTilesNoDataComponent,
        SpinnerChartsPlaceholderComponent,
        SpinnerChartsNoDataComponent,
        SpinnerImagePlaceholderComponent,
        SpinnerForAnalyticsQueryComponent] });
SpinnerModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: SpinnerModule, providers: [SpinnerService], imports: [CommonModule, BrowserModule, RouterModule, DropdownModule, MatProgressSpinnerModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: SpinnerModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [CommonModule, BrowserModule, RouterModule, DropdownModule, MatProgressSpinnerModule],
                    providers: [SpinnerService],
                    declarations: [
                        SpinnerDirective,
                        SpinnerDefaultComponent,
                        SpinnerButtonComponent,
                        SpinnerTablePlaceholderComponent,
                        SpinnerTableNoDataComponent,
                        SpinnerTilesPlaceholderComponent,
                        SpinnerTilesNoDataComponent,
                        SpinnerChartsPlaceholderComponent,
                        SpinnerChartsNoDataComponent,
                        SpinnerImagePlaceholderComponent,
                        SpinnerForAnalyticsQueryComponent,
                    ],
                    exports: [
                        SpinnerDirective,
                        SpinnerDefaultComponent,
                        SpinnerButtonComponent,
                        SpinnerTablePlaceholderComponent,
                        SpinnerTableNoDataComponent,
                        SpinnerTilesPlaceholderComponent,
                        SpinnerTilesNoDataComponent,
                        SpinnerChartsPlaceholderComponent,
                        SpinnerChartsNoDataComponent,
                        SpinnerImagePlaceholderComponent,
                        SpinnerForAnalyticsQueryComponent,
                    ],
                }]
        }] });

/* eslint-disable comma-dangle */
const CONFIG_HELPER = {
    'highcharts-conf': {
        exporting: {
            enabled: false,
        },
        credits: {
            enabled: false,
        },
        chart: {
            type: 'spline',
            spacingBottom: 30,
            style: { fontFamily: 'Open sans' },
            plotBackgroundColor: null,
            plotBorderWidth: null,
            plotShadow: false,
            backgroundColor: 'none',
        },
        colors: [
            'var(--diagrams-primary-color)',
            '#6f79dd',
            '#38ce9f',
            '#ff9c00',
            '#fd5249',
            '#ffdb13',
            '#ce3788',
            '#ea2bff',
            '#007bff',
            '#6610f2',
            '#ffc107',
            '#fd7e14',
            '#e83e8c',
            '#17a2b8',
            '#20c997',
            '#6c757d',
        ],
        title: { text: '' },
        xAxis: {
            tickmarkPlacement: 'between',
            tickWidth: 1,
            tickColor: 'var(--neutral-outline-variant-color)',
            lineColor: 'var(--neutral-outline-variant-color)',
            labels: {
                y: 24,
                style: {
                    color: 'var(--neutral-outline-color)',
                    fontSize: '12px',
                },
            },
        },
        yAxis: {
            labels: {
                style: {
                    color: 'var(--neutral-outline-color)',
                    fontSize: '10px',
                },
            },
            title: { text: '' },
            gridLineColor: 'var(--neutral-outline-variant-color)',
        },
        plotOptions: {
            area: {
                fillOpacity: 0.5,
            },
            line: {
                animation: false,
                dataLabels: { enabled: true },
                enableMouseTracking: false,
            },
            pie: {
                allowPointSelect: false,
                cursor: 'pointer',
                dataLabels: {
                    enabled: false,
                },
            },
            series: {
                marker: {
                    symbol: 'circle',
                    radius: 4,
                    states: { hover: { radius: 6 } },
                },
            },
        },
        legend: {
            enabled: true,
            itemDistance: 24,
            symbolHeight: 12,
            symbolWidth: 10,
            symbolRadius: 5,
            itemMarginBottom: 8,
            itemWidth: 224,
            align: 'left',
            itemStyle: {
                width: 190,
                color: '#1A1C1E',
                fontFamily: 'Open sans',
                fontWeight: '400',
                fontSize: '14px',
            },
        },
        tooltip: {
            useHTML: true,
            headerFormat: '<div style="margin:6px 6px 2px 6px; font-size: 12px; font-weight: 400; line-height: 18px; color: #A9ABB4;">' +
                '{point.key}</div>',
            pointFormat: '<div style="margin: 0 6px 6px 1.7px; font-size: 13px; font-weight: 400; line-height: 20px; ' +
                'color: #E3E2E6;"><span style="font-size: 14px; margin-left: 3px; color:{series.color};">●</span> ' +
                '{series.name}: {point.y}</div>',
            borderWidth: 0,
            backgroundColor: '#1A1C1E',
            shadow: false,
            borderRadius: 4,
        },
    },
    'chart-admin-conf': {
        exporting: {
            enabled: false,
        },
        credits: {
            enabled: false,
        },
        tooltip: {
            useHTML: true,
            pointFormat: '<b>{point.y}</b>',
            borderWidth: 0,
            backgroundColor: '#FFFFFF',
            style: {
                boxShadow: '0px 1px 5px 0px rgba(0, 0, 0, 0.15), -1px 0px 20px 0px rgba(24, 28, 34, 0.05)',
            },
        },
        chart: {
            type: 'area',
            spacingBottom: 30,
            style: { fontFamily: 'Open sans' },
            plotBackgroundColor: null,
            plotBorderWidth: null,
            plotShadow: false,
            backgroundColor: 'none',
        },
        title: { text: '' },
        yAxis: {
            title: { text: '' },
            gridLineColor: '#DDD',
        },
        plotOptions: {
            line: {
                animation: false,
                dataLabels: { enabled: true },
                enableMouseTracking: false,
            },
            area: {
                fillOpacity: 0.5,
            },
            pie: {
                allowPointSelect: false,
                cursor: 'pointer',
                dataLabels: {
                    enabled: false,
                },
            },
        },
        legend: { enabled: false },
    },
    'pie-conf': {
        exporting: {
            enabled: false,
        },
        credits: {
            enabled: false,
        },
        chart: {
            type: 'pie',
            spacingBottom: 30,
            style: { fontFamily: 'Open sans' },
            plotBackgroundColor: null,
            plotBorderWidth: null,
            plotShadow: false,
            backgroundColor: 'none',
        },
        colors: [
            '#6f79dd',
            '#38ce9f',
            '#ff9c00',
            '#fd5249',
            '#ffdb13',
            '#ce3788',
            '#ea2bff',
            '#007bff',
            '#6610f2',
            '#ffc107',
            '#fd7e14',
            '#e83e8c',
            '#17a2b8',
            '#20c997',
            '#6c757d',
        ],
        title: { text: '' },
        yAxis: {
            title: { text: '' },
            gridLineColor: '#DDD',
        },
        tooltip: {
            useHTML: true,
            headerFormat: '<div style="margin:6px 6px 2px 6px; font-size: 12px; font-weight: 400; line-height: 18px; color: #A9ABB4;">' +
                '{point.key}</div>',
            pointFormat: '<div style="margin: 0 6px 6px 6px; font-size: 13px; font-weight: 400;' +
                ' line-height: 20px; color: #E3E2E6;"> {series.name}: {point.percentage:.1f}%</div>',
            borderWidth: 0,
            backgroundColor: '#1A1C1E',
            shadow: false,
        },
        plotOptions: {
            pie: {
                allowPointSelect: true,
                cursor: 'pointer',
                dataLabels: {
                    enabled: false,
                    format: '{point.name}',
                },
            },
        },
    },
};

const STATES$1 = {
    PENDING: 'PENDING',
    DATA: 'DATA',
    EMPTY: 'EMPTY',
};
class ChartsComponentClass {
    constructor(chartsService, spinner) {
        this.chartsService = chartsService;
        this.spinner = spinner;
        this.data = null;
        this.state = STATES$1.PENDING;
        this.setupNameProperty = 'highcharts-conf';
        this.highchart = require('highcharts');
        require('highcharts/modules/exporting')(this.highchart);
        this.highchart.setOptions({
            lang: {
                thousandsSep: ',',
            },
        });
    }
    checkData(charts) {
        const hasValues = Object.keys(charts).some((chartKey) => {
            const items = charts[chartKey].values;
            return items.length && items.some(item => item > 0);
        });
        return hasValues ? STATES$1.DATA : STATES$1.EMPTY;
    }
    ngOnInit() {
        this.chart = this.charts[0].dbKey;
    }
    ngAfterViewInit() {
        this.newDataSubscription = this.chartsService.emitEvent.subscribe(success => {
            if (success && success.event === 'RecievedNewData') {
                this.state = this.checkData(success.data.chartData);
                if (success && this.state === STATES$1.DATA) {
                    this.spinner.close('charts-no-data');
                    this.setData(success.data.chartData);
                }
                else {
                    this.spinner.open('charts-no-data');
                }
                this.spinner.close('charts-placeholder');
            }
        });
        if (this.chartsIframeElement && this.chartsIframeElement.nativeElement) {
            const frameWindow = this.chartsIframeElement.nativeElement.contentWindow;
            this.chartsIframeElementSubscription = fromEvent(frameWindow, 'resize').subscribe(() => {
                if (this.chartInstance && this.chartInstance.reflow) {
                    this.chartInstance.reflow();
                }
            });
        }
    }
    setData(data) {
        this.data = data;
        this.setupChart();
    }
    setupChart() {
        const data = this.data[this.chart];
        let chartSetup = {
            exporting: {
                enabled: false,
            },
            credits: {
                enabled: false,
            },
            chart: {
                type: 'line', style: { fontFamily: 'Open sans' },
            },
            colors: ['#0fa5de', '#38ce9f', '#ff9c00', '#fd5249', '#ffdb13'],
            title: { text: '' },
            xAxis: {
                categories: (data && data.dates) ? data.dates : [], // dates
            },
            yAxis: {
                title: { text: '' }, gridLineColor: '#DDD',
            },
            plotOptions: {
                line: {
                    animation: false,
                    dataLabels: { enabled: true }, enableMouseTracking: false,
                },
            },
            legend: { enabled: false },
            series: [{
                    name: 'Tokyo',
                    data: (data && data.values) ? data.values : [], //values
                }],
        };
        chartSetup = { ...chartSetup, ...CONFIG_HELPER[this.setupNameProperty] };
        if (this.chartsElement && this.chartsElement.nativeElement) {
            this.chartInstance = this.highchart.chart(this.chartsElement.nativeElement, chartSetup);
        }
    }
    switchChart(chart) {
        this.chart = chart;
        this.setupChart();
    }
    ngOnDestroy() {
        this.newDataSubscription ? this.newDataSubscription.unsubscribe() : null;
        this.chartsIframeElementSubscription ? this.chartsIframeElementSubscription.unsubscribe() : null;
        this.chartsService.emitEvent.next(null);
    }
}
ChartsComponentClass.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: ChartsComponentClass, deps: [{ token: ChartsService }, { token: SpinnerService }], target: i0.ɵɵFactoryTarget.Component });
ChartsComponentClass.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.3.0", type: ChartsComponentClass, selector: "epom-charts", inputs: { charts: ["chartsSections", "charts"], setupNameProperty: "setupNameProperty" }, viewQueries: [{ propertyName: "chartsElement", first: true, predicate: ["chartsElement"], descendants: true }, { propertyName: "chartsIframeElement", first: true, predicate: ["chartsIframeElement"], descendants: true }], ngImport: i0, template: "<div class=\"component-container component-charts-container\">\n    <div class=\"component-data component-charts-data\" #chartsData>\n        <div class=\"col-xs-12 nopadding\">\n            <div class=\"box\">\n                <div class=\"box-header\">\n                    <div class=\"row\">\n                        <div class=\"col-xs-4\"></div>\n                        <div class=\"col-xs-8 text-right\">\n                            <ul class=\"list-select\">\n                                <li *ngFor=\"let item of charts\" (click)=\"switchChart(item.dbKey)\"\n                                    [class.active]=\"chart === item.dbKey\">{{item.name}}\n                                </li>\n                            </ul>\n                        </div>\n                    </div>\n                </div>\n                <div class=\"box-body\">\n                    <iframe frameborder=\"0\" class=\"component-charts-iframe\" #chartsIframeElement></iframe>\n                    <div class=\"component-charts-element-container\" #chartsElement></div>\n                </div>\n            </div>\n        </div>\n    </div>\n    <epom-spinner-charts-no-data placement=\"charts-no-data\"></epom-spinner-charts-no-data>\n    <epom-spinner-charts-placeholder placement=\"charts-placeholder\" [autoopen]=\"true\"\n                                     [toggleFadeElement]=\"chartsData\"></epom-spinner-charts-placeholder>\n</div>\n", dependencies: [{ kind: "directive", type: i1$1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "component", type: SpinnerChartsPlaceholderComponent, selector: "epom-spinner-charts-placeholder", inputs: ["placement", "config", "toggleFadeElement", "autoopen"] }, { kind: "component", type: SpinnerChartsNoDataComponent, selector: "epom-spinner-charts-no-data", inputs: ["placement", "config", "toggleFadeElement", "autoopen"] }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: ChartsComponentClass, decorators: [{
            type: Component,
            args: [{ selector: 'epom-charts', template: "<div class=\"component-container component-charts-container\">\n    <div class=\"component-data component-charts-data\" #chartsData>\n        <div class=\"col-xs-12 nopadding\">\n            <div class=\"box\">\n                <div class=\"box-header\">\n                    <div class=\"row\">\n                        <div class=\"col-xs-4\"></div>\n                        <div class=\"col-xs-8 text-right\">\n                            <ul class=\"list-select\">\n                                <li *ngFor=\"let item of charts\" (click)=\"switchChart(item.dbKey)\"\n                                    [class.active]=\"chart === item.dbKey\">{{item.name}}\n                                </li>\n                            </ul>\n                        </div>\n                    </div>\n                </div>\n                <div class=\"box-body\">\n                    <iframe frameborder=\"0\" class=\"component-charts-iframe\" #chartsIframeElement></iframe>\n                    <div class=\"component-charts-element-container\" #chartsElement></div>\n                </div>\n            </div>\n        </div>\n    </div>\n    <epom-spinner-charts-no-data placement=\"charts-no-data\"></epom-spinner-charts-no-data>\n    <epom-spinner-charts-placeholder placement=\"charts-placeholder\" [autoopen]=\"true\"\n                                     [toggleFadeElement]=\"chartsData\"></epom-spinner-charts-placeholder>\n</div>\n" }]
        }], ctorParameters: function () { return [{ type: ChartsService }, { type: SpinnerService }]; }, propDecorators: { chartsElement: [{
                type: ViewChild,
                args: ['chartsElement']
            }], chartsIframeElement: [{
                type: ViewChild,
                args: ['chartsIframeElement']
            }], charts: [{
                type: Input,
                args: ['chartsSections']
            }], setupNameProperty: [{
                type: Input,
                args: ['setupNameProperty']
            }] } });

class ChartsModule {
}
ChartsModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: ChartsModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
ChartsModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "14.3.0", ngImport: i0, type: ChartsModule, declarations: [ChartsComponentClass], imports: [BrowserModule,
        RouterModule,
        SpinnerModule], exports: [ChartsComponentClass] });
ChartsModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: ChartsModule, providers: [
        ChartsService,
    ], imports: [BrowserModule,
        RouterModule,
        SpinnerModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: ChartsModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [
                        BrowserModule,
                        RouterModule,
                        SpinnerModule,
                    ],
                    declarations: [
                        ChartsComponentClass,
                    ],
                    providers: [
                        ChartsService,
                    ],
                    exports: [
                        ChartsComponentClass,
                    ],
                }]
        }] });

var DIRECTION_ENUM;
(function (DIRECTION_ENUM) {
    DIRECTION_ENUM["DOWN"] = "options-down";
    DIRECTION_ENUM["UP"] = "options-up";
})(DIRECTION_ENUM || (DIRECTION_ENUM = {}));

class CreateSelectOptionComponent {
    constructor() {
        this.text = '';
        this.dataQa = '';
        this.styles = {};
        this.createHandler = new EventEmitter();
    }
}
CreateSelectOptionComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: CreateSelectOptionComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
CreateSelectOptionComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.3.0", type: CreateSelectOptionComponent, selector: "epom-create-select-option", inputs: { text: "text", dataQa: "dataQa", styles: "styles" }, outputs: { createHandler: "createHandler" }, ngImport: i0, template: "<a\n  *ngIf=\"text\"\n  class=\"button-link button-link-big button-link-primary button-link-small-icon create-select-item\"\n  [attr.data-qa]=\"dataQa\"\n  [ngStyle]=\"styles\"\n  (click)=\"createHandler.emit()\"\n>\n  <span class=\"material-icons material-icons-outlined\">add_circle_outline</span>{{ text }}\n</a>\n", styles: [".create-select-item{display:flex;align-items:center;gap:4px;width:-moz-fit-content;width:fit-content}\n"], dependencies: [{ kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i1$1.NgStyle, selector: "[ngStyle]", inputs: ["ngStyle"] }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: CreateSelectOptionComponent, decorators: [{
            type: Component,
            args: [{ selector: 'epom-create-select-option', template: "<a\n  *ngIf=\"text\"\n  class=\"button-link button-link-big button-link-primary button-link-small-icon create-select-item\"\n  [attr.data-qa]=\"dataQa\"\n  [ngStyle]=\"styles\"\n  (click)=\"createHandler.emit()\"\n>\n  <span class=\"material-icons material-icons-outlined\">add_circle_outline</span>{{ text }}\n</a>\n", styles: [".create-select-item{display:flex;align-items:center;gap:4px;width:-moz-fit-content;width:fit-content}\n"] }]
        }], propDecorators: { text: [{
                type: Input
            }], dataQa: [{
                type: Input
            }], styles: [{
                type: Input
            }], createHandler: [{
                type: Output
            }] } });

const KEYCODE_ESC$1 = 27;
const animations$1 = [
    trigger('dropdown', [
        state('void', style({
            height: '0px',
        })),
        transition('* => *', animate(0)),
    ]),
];
class SelectComponentClass {
    constructor() {
        this.valuesStream = EMPTY;
        this.useClearButton = true;
        this.clearLikeOption = false;
        this.subtitle = '';
        this.placeholder = 'Please select';
        this.selectedDefaultIndex = null;
        this.selectedDefaultValue = null;
        this.formElement = null;
        this.multiple = false;
        this.search = true;
        this.disable = false;
        this.required = false;
        this.direction = DIRECTION_ENUM.DOWN;
        this.maxItems = null;
        this.dataQa = '';
        this.canRemoveLastItem = true;
        this.showFlag = false;
        this.readOnly = false;
        this.withDescription = false;
        this.withOperation = false;
        this.isEmptyStateDescription = true;
        this.createSelectOptionText = '';
        this.selectedItemsOnTop = true;
        this.startTypingText = '';
        this.isSearchDelay = false;
        this.dropdownPosition = 'absolute';
        this.valueChanged = new EventEmitter();
        this.createOptionHandler = new EventEmitter();
        this.searchHandler = new EventEmitter();
        this.dirty = false;
        this.selected = [];
        this.selectState = false;
        this.searchString = '';
        this.valueFromSelect = false;
        this.valuesInit = [];
        this.documentClickObservable$ = fromEvent(document, 'click');
        this.untouched = true;
        this.search$ = new Subject();
        this.destroy$ = new Subject();
    }
    get disabledClass() {
        return this.disable;
    }
    get isEmptyStateMode() {
        return this.searchString.length && !this.valuesList?.length && !this.showPlaceholder();
    }
    ngOnInit() {
        this.search$
            .pipe(debounceTime(300), distinctUntilChanged(), takeUntil(this.destroy$))
            .subscribe((query) => this.processSearch(query));
        this.title = this.placeholder;
        if (this.formElement) {
            this.error = !this.formElement.valid;
            this.formElementSubscription = this.formElement.valueChanges.subscribe((newValue) => {
                this.error = !this.formElement.valid;
                this.prepareDataAndChangeByValue(newValue);
            });
        }
        this.valuesSubscription = this.valuesStream.subscribe((values) => {
            this.valuesList = values;
            this.valuesInit = [...values];
            const defaultIndexStatement = this.selectedDefaultIndex !== null, formStatement = this.formElement && this.formElement.value, defaultValueStatement = this.selectedDefaultValue !== null || formStatement;
            const value = (formStatement ? this.formElement.value : null) || this.selectedDefaultValue;
            defaultIndexStatement && !defaultValueStatement && this.updateByIndex(this.selectedDefaultIndex);
            if (value) {
                this.prepareDataAndChangeByValue(value);
            }
        });
    }
    ngAfterViewInit() {
        this.clickSubscription = fromEvent(this.selectBoxRef.nativeElement, 'click')
            .pipe(map((event) => {
            this.untouched = false;
            const isSearch = this.searchField && event.target === this.searchField.nativeElement;
            const isClear = this.selectClear && event.target === this.selectClear.nativeElement;
            const isTitle = this.selectTitle && event.target === this.selectTitle.nativeElement;
            const isSearchIcon = this.searchIcon && event.target === this.searchIcon.nativeElement;
            const isClearIcon = this.clearIcon && event.target === this.clearIcon.nativeElement;
            const isEmptyState = this.emptyState && this.emptyState.nativeElement.contains(event.target);
            const canClose = this.multiple && !isTitle && this.selectState;
            return !isClear && !canClose && !isSearch && !isSearchIcon && !isClearIcon && !isEmptyState;
        }))
            .subscribe((canClose) => {
            if (canClose && !this.disable && !this.readOnly) {
                this.changeState();
            }
        });
    }
    changeState(newState = null) {
        if (newState === false) {
            this.dirty = true;
        }
        // TODO: newState by default NULL, but you never use changeState(true) so ... ?
        this.selectState = newState === null ? !this.selectState : newState;
        if (!this.selectState) {
            this.searchString = '';
            this.documentClickSubscription.unsubscribe && this.documentClickSubscription.unsubscribe();
            return;
        }
        timer(100).subscribe(() => {
            if (this.searchField && this.searchField.nativeElement) {
                this.searchField.nativeElement.setAttribute('autocomplete', 'off');
                this.searchField.nativeElement.focus();
            }
        });
        this.valuesList = this.valuesInit;
        this.markAsSelected();
        if (this.valuesList && this.valuesList.length && this.multiple && this.selectedItemsOnTop) {
            const selected = this.valuesList.filter((item) => item.selected);
            const unSelected = this.valuesList.filter((item) => !item.selected);
            this.valuesList = [...selected, ...unSelected];
        }
        this.documentClickSubscription = this.documentClickObservable$.pipe(skip(1)).subscribe((event) => {
            const selectInBox = this.valuesBox?.nativeElement?.contains(event.target) ||
                this.selectValues?.nativeElement?.contains(event.target);
            if (!selectInBox) {
                // TODO: changeState inside subscription that inside changeState ?
                this.changeState(false);
                this.documentClickSubscription.unsubscribe();
            }
        });
    }
    clear() {
        this.selected = [];
        this.applyNewValue();
    }
    markAsSelected() {
        if (this.valuesList) {
            this.valuesList.map((item) => {
                item.selected = this.selected.filter((x) => x.value === item.value).length > 0;
                return item;
            });
        }
    }
    onSearchInput(keyEvent) {
        if (keyEvent.keyCode === KEYCODE_ESC$1) {
            this.changeState(false);
        }
        if (this.isSearchDelay) {
            this.search$.next(this.searchString);
        }
        else {
            this.processSearch(this.searchString);
        }
    }
    processSearch(query) {
        this.searchHandler.emit(query);
        const safeRegexString = query
            .trim()
            .toLowerCase()
            .replace(/[-[\]{}()*+?.,\\^$|#\s]/g, '\\$&');
        this.valuesList = [...this.valuesInit].filter((item) => item.name.toLowerCase().match(safeRegexString) ||
            (item.email && item.email.toLowerCase().match(safeRegexString)));
    }
    prepareDataAndChangeByValue(values) {
        if (this.valueFromSelect) {
            this.valueFromSelect = false;
            return;
        }
        if (values instanceof Array) {
            if (values.length === 0) {
                this.clear();
            }
            for (const value of values) {
                this.updateByValue(value);
            }
        }
        else {
            this.updateByValue(values);
        }
    }
    updateByIndex(index) {
        const current = this.valuesList[index];
        let indexOfSelected = null;
        if (!current) {
            return;
        }
        if (this.multiple) {
            this.selected.forEach((item, index) => {
                if (item.value === current.value) {
                    indexOfSelected = index;
                }
            });
            if (indexOfSelected !== null) {
                if (!(this.selected.length === 1 && !this.canRemoveLastItem)) {
                    this.selected.splice(indexOfSelected, 1);
                }
            }
            else {
                this.selected.push(current);
            }
            if (this.maxItems && this.selected.length > this.maxItems) {
                this.selected.splice(this.selected.length - 1, 1);
            }
        }
        else {
            this.selected = [current];
        }
        this.applyNewValue();
    }
    updateByValue(value) {
        if (!value) {
            this.clear();
            return;
        }
        if (!this.valuesList) {
            return;
        }
        const current = this.valuesList
            .map((valueItem) => {
            return valueItem.value !== value ? false : valueItem;
        })
            .filter((arrayValue) => arrayValue);
        if (current.length < 1) {
            return;
        }
        current.forEach((currentItem) => {
            if (!this.selected.find((selectedItem) => selectedItem.value === currentItem.value)) {
                this.selected.push(currentItem);
            }
        });
        this.applyNewValue();
    }
    applyNewValue() {
        let title = '', value = [];
        if (this.selected.length === 1) {
            title = this.selected[0].name;
            value = value.concat(this.selected[0].value);
        }
        else if (this.selected.length > 1) {
            for (const item of this.selected) {
                title += item.name + ', ';
                value = value.concat(item.value);
            }
            title = title.substr(0, title.length - 2);
        }
        else {
            title = this.placeholder;
        }
        this.markAsSelected();
        this.title = title;
        if (this.formElement) {
            this.valueFromSelect = true;
            this.formElement.setValue(value);
        }
        this.valueChanged.emit(value);
    }
    ngOnDestroy() {
        [
            this.clickSubscription,
            this.valuesSubscription,
            this.formElementSubscription,
            this.documentClickSubscription,
        ].forEach((subscription) => subscription && subscription.unsubscribe());
        this.destroy$.next();
        this.destroy$.complete();
    }
    clearSearchInput() {
        this.searchString = '';
        this.onSearchInput('');
    }
    updateCheckboxState(option, i) {
        this.updateByIndex(i);
        option.selected = this.valuesList.find((item) => item.value === option.value).selected;
    }
    showPlaceholder() {
        //TODO: needed for autotests
        if (!this.useClearButton ||
            !this.clearLikeOption ||
            !this.placeholder?.length ||
            !this.searchString?.trim().length) {
            return false;
        }
        return this.placeholder.trim().toLowerCase() === this.searchString.trim().toLowerCase();
    }
}
SelectComponentClass.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: SelectComponentClass, deps: [], target: i0.ɵɵFactoryTarget.Component });
SelectComponentClass.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.3.0", type: SelectComponentClass, selector: "custom-select", inputs: { valuesStream: "valuesStream", useClearButton: ["useClear", "useClearButton"], clearLikeOption: "clearLikeOption", subtitle: "subtitle", placeholder: "placeholder", selectedDefaultIndex: "selectedDefaultIndex", selectedDefaultValue: "selectedDefaultValue", formElement: "formElement", multiple: "multiple", search: "search", disable: "disable", required: "required", direction: "direction", maxItems: "maxItems", dataQa: "dataQa", canRemoveLastItem: "canRemoveLastItem", showFlag: "showFlag", readOnly: "readOnly", width: "width", withDescription: "withDescription", withOperation: "withOperation", isEmptyStateDescription: "isEmptyStateDescription", createSelectOptionText: "createSelectOptionText", selectedItemsOnTop: "selectedItemsOnTop", startTypingText: "startTypingText", isSearchDelay: "isSearchDelay", dropdownPosition: "dropdownPosition" }, outputs: { valueChanged: "valueChanged", createOptionHandler: "createOptionHandler", searchHandler: "searchHandler" }, host: { properties: { "class.ng-invalid": "this.error", "class.ng-dirty": "this.dirty", "class.disabled": "this.disabledClass" } }, viewQueries: [{ propertyName: "selectTitle", first: true, predicate: ["selectTitle"], descendants: true }, { propertyName: "selectValues", first: true, predicate: ["selectValues"], descendants: true }, { propertyName: "selectBoxRef", first: true, predicate: ["selectBox"], descendants: true }, { propertyName: "valuesBox", first: true, predicate: ["valuesBox"], descendants: true }, { propertyName: "selectClear", first: true, predicate: ["selectClear"], descendants: true }, { propertyName: "searchField", first: true, predicate: ["searchField"], descendants: true }, { propertyName: "searchIcon", first: true, predicate: ["searchIcon"], descendants: true }, { propertyName: "clearIcon", first: true, predicate: ["clearIcon"], descendants: true }, { propertyName: "selectValueItem", first: true, predicate: ["selectValueItem"], descendants: true }, { propertyName: "emptyState", first: true, predicate: ["emptyState"], descendants: true }], ngImport: i0, template: "<div class=\"select-wrapper\" [attr.data-qa]=\"dataQa\" #selectBox>\n  <div\n    class=\"select-title\"\n    [ngClass]=\"{\n      opened: selectState,\n      disabled: disable,\n      'ng-invalid': error,\n      required: required,\n      'options-up': direction === 'options-up',\n      'options-down': direction === 'options-down',\n      'ng-untouched': untouched,\n      'ng-dirty': dirty,\n      'read-only': readOnly,\n      pointer: !readOnly\n    }\"\n    [ngStyle]=\"width && {width: width + 'px'}\"\n    #selectTitle\n  >\n    <label class=\"subtitle\" *ngIf=\"subtitle && subtitle.length\">{{ subtitle }}</label>\n    <label\n      *ngIf=\"title && title.length && !selected?.length\"\n      [ngClass]=\"{'title-with-subtitle': subtitle && subtitle.length}\"\n      class=\"title\"\n    >\n      {{ selected && selected.length ? '' : title }}</label\n    >\n    <div *ngIf=\"selected && selected.length\" class=\"selected-list\" [attr.data-qa]=\"'selectedList'\">\n      <div *ngFor=\"let selectedItem of selected; let i = index\">\n        <span\n          [attr.data-qa]=\"'selectedFlag'\"\n          *ngIf=\"showFlag && selectedItem['alpha2Code']\"\n          class=\"fi fi-{{\n            selectedItem['alpha2Code'].toLowerCase() === 'uk' ? 'gb' : selectedItem['alpha2Code'].toLowerCase()\n          }}\"\n        ></span>\n        <label [attr.data-qa]=\"'selectedItem'\">\n          <span class=\"operation-sign\" *ngIf=\"withOperation\">{{ selectedItem.iconClass }}</span\n          >{{ selectedItem.name }}\n          <span class=\"optional-label-text\">{{ selectedItem.optionalName }}</span>\n          <span *ngIf=\"withDescription\" class=\"option-description\"> \u2013 {{ selectedItem.description }}</span>\n          {{ selected.length === i + 1 ? '' : ', ' }}</label\n        >\n      </div>\n    </div>\n    <span\n      class=\"material-icons material-icons-outlined\"\n      [attr.data-qa]=\"'dropDownArrow'\"\n      [class.default-cursor]=\"readOnly\"\n    >\n      arrow_drop_down\n    </span>\n  </div>\n  <div\n    [attr.data-qa]=\"'valuesBox'\"\n    class=\"valuesBox\"\n    [ngClass]=\"{\n      'options-up': direction === 'options-up',\n      'options-down': direction === 'options-down'\n    }\"\n    #valuesBox\n    *ngIf=\"selectState\"\n    [@dropdown]=\"selectState\"\n    [ngStyle]=\"dropdownPosition==='fixed' && {width: selectBox.offsetWidth +'px', position: dropdownPosition}\"\n  >\n    <input\n      [attr.data-qa]=\"'searchInput'\"\n      type=\"text\"\n      name=\"search\"\n      [(ngModel)]=\"searchString\"\n      #searchField\n      (keyup)=\"onSearchInput($event)\"\n      placeholder=\"Quick search\"\n      *ngIf=\"search\"\n    />\n    <span\n      [attr.data-qa]=\"'searchIcon'\"\n      *ngIf=\"search\"\n      #searchIcon\n      [ngClass]=\"{hidden: searchString.length}\"\n      class=\"search-wrap material-icons material-icons-outlined\"\n      >search</span\n    >\n    <span\n      [attr.data-qa]=\"'clearSearchIcon'\"\n      *ngIf=\"search\"\n      #clearIcon\n      [ngClass]=\"{hidden: !searchString.length}\"\n      (click)=\"clearSearchInput()\"\n      class=\"close-wrap material-icons search-icon search-icon-close button-icon button-icon-large button-icon-outline\"\n      >close</span\n    >\n\n    <div\n      *ngIf=\"\n        valuesList?.length > 0 ||\n        !!createSelectOptionText ||\n        (useClearButton && clearLikeOption && (!searchString.length || showPlaceholder()))\n      \"\n      [attr.data-qa]=\"'valueList'\"\n      class=\"select-values custom-scrollbar\"\n      #selectValues\n    >\n      <div\n        [attr.data-qa]=\"'clearValue'\"\n        class=\"select-value pointer clear\"\n        [class.placeholder-selected]=\"!selected?.length\"\n        (click)=\"clear()\"\n        [ngClass]=\"{selected: !selected?.length}\"\n        *ngIf=\"useClearButton && clearLikeOption && (!searchString.length || showPlaceholder())\"\n      >\n        {{ placeholder }}\n      </div>\n      <div\n        [attr.data-qa]=\"option.canNotBeSelected ? 'notValue' : 'selectValue'\"\n        class=\"select-value pointer\"\n        [ngClass]=\"{\n          selected: option.selected,\n          disabled: this.maxItems && this.selected.length === this.maxItems && !option.selected,\n          'option-title': option.title,\n          'option-can-not-be-selected': option.canNotBeSelected,\n          'option-separator': option.separator\n        }\"\n        *ngFor=\"let option of valuesList; let i = index\"\n        (click)=\"option.canNotBeSelected ? $event?.stopPropagation() : updateByIndex(i)\"\n      >\n        <mat-checkbox\n          [attr.data-qa]=\"'selectValueCheckbox'\"\n          [disabled]=\"\n            (this.selected.length === 1 && !this.canRemoveLastItem && option.selected) ||\n            (this.maxItems && this.selected.length === this.maxItems && !option.selected)\n          \"\n          *ngIf=\"multiple && !option.canNotBeSelected\"\n          (change)=\"updateCheckboxState(option, i)\"\n          (click)=\"$event?.stopPropagation()\"\n          [(ngModel)]=\"option.selected\"\n        ></mat-checkbox>\n        <span\n          [attr.data-qa]=\"'selectValueFlag'\"\n          *ngIf=\"showFlag && option['alpha2Code']\"\n          class=\"fi fi-{{ option['alpha2Code'].toLowerCase() === 'uk' ? 'gb' : option['alpha2Code'].toLowerCase() }}\"\n        ></span>\n        <label [attr.data-qa]=\"'selectValueName'\" class=\"option-name\"\n          ><span class=\"operation-sign\" *ngIf=\"withOperation\">{{ option.iconClass }}</span\n          >{{ option.name + (option.optionalName ? ' ' + option.optionalName : '') }}\n          <span *ngIf=\"withDescription\" class=\"option-description\"> \u2013 {{ option.description }}</span>\n        </label>\n        <span [attr.data-qa]=\"'selectValueBadge'\" *ngIf=\"option['badge']\" class=\"badge badge-item\">{{\n          option.badge\n        }}</span>\n      </div>\n\n      <epom-create-select-option\n        *ngIf=\"!isEmptyStateMode\"\n        [text]=\"createSelectOptionText\"\n        [dataQa]=\"'createSelectOption'\"\n        [styles]=\"{margin: '6px 12px 7px'}\"\n        (createHandler)=\"createOptionHandler.emit()\"\n      ></epom-create-select-option>\n    </div>\n\n    <div *ngIf=\"search && !!startTypingText && !searchString && !valuesList?.length\" class=\"select-typing-state\">\n      {{ startTypingText }}\n    </div>\n\n    <span\n      [attr.data-qa]=\"'clearValueButton'\"\n      class=\"select-clear pointer\"\n      #selectClear\n      (click)=\"clear()\"\n      [ngClass]=\"{'select-hidden': selectState}\"\n      *ngIf=\"useClearButton && !clearLikeOption\"\n      >Clear</span\n    >\n    <div\n      #emptyState\n      class=\"empty-state select-empty-state\"\n      [attr.data-qa]=\"'selectEmptyState'\"\n      *ngIf=\"isEmptyStateMode\"\n    >\n      <div>\n        <div [attr.data-qa]=\"'selectEmptyStateTitle'\" class=\"empty-state-title\">\n          No results for \u201C{{ searchString }}\u201D\n        </div>\n        <div\n          *ngIf=\"isEmptyStateDescription\"\n          class=\"empty-state-description\"\n          [attr.data-qa]=\"'selectEmptyStateDescription'\"\n        >\n          Try updating your search to find what you\u2019re looking for.\n        </div>\n\n        <epom-create-select-option\n          [text]=\"createSelectOptionText\"\n          [dataQa]=\"'createSelectOptionEmptyState'\"\n          [styles]=\"{'margin-top': '8px'}\"\n          (createHandler)=\"createOptionHandler.emit()\"\n        ></epom-create-select-option>\n      </div>\n    </div>\n  </div>\n</div>\n", styles: [".option-description{color:var(--neutral-outline-color)}.option-title{color:var(--neutral-outline-color);padding-left:8px}.option-separator{position:relative;margin-top:32px}.option-separator:before{content:\"\";position:absolute;top:-16px;left:0;width:100%;height:1px;background-color:var(--neutral-outline-variant-color)}.select-value:has(+ .option-separator){margin-bottom:16px}:host.form-control{padding:0;border:0;background:transparent}:host.form-control:read-only:not(:disabled){background-color:transparent!important}.read-only{border:none;background-color:var(--neutral-neutral-color)}.optional-label-text{color:var(--neutral-outline-color)}.option-can-not-be-selected:hover{background:none;cursor:default}.operation-sign{display:flex;align-items:center;justify-content:center;color:var(--themePrimButtonsBg-color);font-weight:600;margin-right:8px;width:17px}.default-cursor{cursor:default!important}.placeholder-selected{font-weight:600}.select-typing-state{color:var(--neutral-outline-color);padding:16px 12px;background:var(--neutral-main-neutral-color);border:1px solid var(--themePrimButtonsBg-color);border-top:none;border-radius:0 0 4px 4px;line-height:21px}\n"], dependencies: [{ kind: "directive", type: i1$1.NgClass, selector: "[ngClass]", inputs: ["class", "ngClass"] }, { kind: "directive", type: i1$1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i1$1.NgStyle, selector: "[ngStyle]", inputs: ["ngStyle"] }, { kind: "directive", type: i2.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i2.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i2.NgModel, selector: "[ngModel]:not([formControlName]):not([formControl])", inputs: ["name", "disabled", "ngModel", "ngModelOptions"], outputs: ["ngModelChange"], exportAs: ["ngModel"] }, { kind: "component", type: i3$1.MatCheckbox, selector: "mat-checkbox", inputs: ["disableRipple", "color", "tabIndex"], exportAs: ["matCheckbox"] }, { kind: "component", type: CreateSelectOptionComponent, selector: "epom-create-select-option", inputs: ["text", "dataQa", "styles"], outputs: ["createHandler"] }], animations: animations$1 });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: SelectComponentClass, decorators: [{
            type: Component,
            args: [{ selector: 'custom-select', animations: animations$1, template: "<div class=\"select-wrapper\" [attr.data-qa]=\"dataQa\" #selectBox>\n  <div\n    class=\"select-title\"\n    [ngClass]=\"{\n      opened: selectState,\n      disabled: disable,\n      'ng-invalid': error,\n      required: required,\n      'options-up': direction === 'options-up',\n      'options-down': direction === 'options-down',\n      'ng-untouched': untouched,\n      'ng-dirty': dirty,\n      'read-only': readOnly,\n      pointer: !readOnly\n    }\"\n    [ngStyle]=\"width && {width: width + 'px'}\"\n    #selectTitle\n  >\n    <label class=\"subtitle\" *ngIf=\"subtitle && subtitle.length\">{{ subtitle }}</label>\n    <label\n      *ngIf=\"title && title.length && !selected?.length\"\n      [ngClass]=\"{'title-with-subtitle': subtitle && subtitle.length}\"\n      class=\"title\"\n    >\n      {{ selected && selected.length ? '' : title }}</label\n    >\n    <div *ngIf=\"selected && selected.length\" class=\"selected-list\" [attr.data-qa]=\"'selectedList'\">\n      <div *ngFor=\"let selectedItem of selected; let i = index\">\n        <span\n          [attr.data-qa]=\"'selectedFlag'\"\n          *ngIf=\"showFlag && selectedItem['alpha2Code']\"\n          class=\"fi fi-{{\n            selectedItem['alpha2Code'].toLowerCase() === 'uk' ? 'gb' : selectedItem['alpha2Code'].toLowerCase()\n          }}\"\n        ></span>\n        <label [attr.data-qa]=\"'selectedItem'\">\n          <span class=\"operation-sign\" *ngIf=\"withOperation\">{{ selectedItem.iconClass }}</span\n          >{{ selectedItem.name }}\n          <span class=\"optional-label-text\">{{ selectedItem.optionalName }}</span>\n          <span *ngIf=\"withDescription\" class=\"option-description\"> \u2013 {{ selectedItem.description }}</span>\n          {{ selected.length === i + 1 ? '' : ', ' }}</label\n        >\n      </div>\n    </div>\n    <span\n      class=\"material-icons material-icons-outlined\"\n      [attr.data-qa]=\"'dropDownArrow'\"\n      [class.default-cursor]=\"readOnly\"\n    >\n      arrow_drop_down\n    </span>\n  </div>\n  <div\n    [attr.data-qa]=\"'valuesBox'\"\n    class=\"valuesBox\"\n    [ngClass]=\"{\n      'options-up': direction === 'options-up',\n      'options-down': direction === 'options-down'\n    }\"\n    #valuesBox\n    *ngIf=\"selectState\"\n    [@dropdown]=\"selectState\"\n    [ngStyle]=\"dropdownPosition==='fixed' && {width: selectBox.offsetWidth +'px', position: dropdownPosition}\"\n  >\n    <input\n      [attr.data-qa]=\"'searchInput'\"\n      type=\"text\"\n      name=\"search\"\n      [(ngModel)]=\"searchString\"\n      #searchField\n      (keyup)=\"onSearchInput($event)\"\n      placeholder=\"Quick search\"\n      *ngIf=\"search\"\n    />\n    <span\n      [attr.data-qa]=\"'searchIcon'\"\n      *ngIf=\"search\"\n      #searchIcon\n      [ngClass]=\"{hidden: searchString.length}\"\n      class=\"search-wrap material-icons material-icons-outlined\"\n      >search</span\n    >\n    <span\n      [attr.data-qa]=\"'clearSearchIcon'\"\n      *ngIf=\"search\"\n      #clearIcon\n      [ngClass]=\"{hidden: !searchString.length}\"\n      (click)=\"clearSearchInput()\"\n      class=\"close-wrap material-icons search-icon search-icon-close button-icon button-icon-large button-icon-outline\"\n      >close</span\n    >\n\n    <div\n      *ngIf=\"\n        valuesList?.length > 0 ||\n        !!createSelectOptionText ||\n        (useClearButton && clearLikeOption && (!searchString.length || showPlaceholder()))\n      \"\n      [attr.data-qa]=\"'valueList'\"\n      class=\"select-values custom-scrollbar\"\n      #selectValues\n    >\n      <div\n        [attr.data-qa]=\"'clearValue'\"\n        class=\"select-value pointer clear\"\n        [class.placeholder-selected]=\"!selected?.length\"\n        (click)=\"clear()\"\n        [ngClass]=\"{selected: !selected?.length}\"\n        *ngIf=\"useClearButton && clearLikeOption && (!searchString.length || showPlaceholder())\"\n      >\n        {{ placeholder }}\n      </div>\n      <div\n        [attr.data-qa]=\"option.canNotBeSelected ? 'notValue' : 'selectValue'\"\n        class=\"select-value pointer\"\n        [ngClass]=\"{\n          selected: option.selected,\n          disabled: this.maxItems && this.selected.length === this.maxItems && !option.selected,\n          'option-title': option.title,\n          'option-can-not-be-selected': option.canNotBeSelected,\n          'option-separator': option.separator\n        }\"\n        *ngFor=\"let option of valuesList; let i = index\"\n        (click)=\"option.canNotBeSelected ? $event?.stopPropagation() : updateByIndex(i)\"\n      >\n        <mat-checkbox\n          [attr.data-qa]=\"'selectValueCheckbox'\"\n          [disabled]=\"\n            (this.selected.length === 1 && !this.canRemoveLastItem && option.selected) ||\n            (this.maxItems && this.selected.length === this.maxItems && !option.selected)\n          \"\n          *ngIf=\"multiple && !option.canNotBeSelected\"\n          (change)=\"updateCheckboxState(option, i)\"\n          (click)=\"$event?.stopPropagation()\"\n          [(ngModel)]=\"option.selected\"\n        ></mat-checkbox>\n        <span\n          [attr.data-qa]=\"'selectValueFlag'\"\n          *ngIf=\"showFlag && option['alpha2Code']\"\n          class=\"fi fi-{{ option['alpha2Code'].toLowerCase() === 'uk' ? 'gb' : option['alpha2Code'].toLowerCase() }}\"\n        ></span>\n        <label [attr.data-qa]=\"'selectValueName'\" class=\"option-name\"\n          ><span class=\"operation-sign\" *ngIf=\"withOperation\">{{ option.iconClass }}</span\n          >{{ option.name + (option.optionalName ? ' ' + option.optionalName : '') }}\n          <span *ngIf=\"withDescription\" class=\"option-description\"> \u2013 {{ option.description }}</span>\n        </label>\n        <span [attr.data-qa]=\"'selectValueBadge'\" *ngIf=\"option['badge']\" class=\"badge badge-item\">{{\n          option.badge\n        }}</span>\n      </div>\n\n      <epom-create-select-option\n        *ngIf=\"!isEmptyStateMode\"\n        [text]=\"createSelectOptionText\"\n        [dataQa]=\"'createSelectOption'\"\n        [styles]=\"{margin: '6px 12px 7px'}\"\n        (createHandler)=\"createOptionHandler.emit()\"\n      ></epom-create-select-option>\n    </div>\n\n    <div *ngIf=\"search && !!startTypingText && !searchString && !valuesList?.length\" class=\"select-typing-state\">\n      {{ startTypingText }}\n    </div>\n\n    <span\n      [attr.data-qa]=\"'clearValueButton'\"\n      class=\"select-clear pointer\"\n      #selectClear\n      (click)=\"clear()\"\n      [ngClass]=\"{'select-hidden': selectState}\"\n      *ngIf=\"useClearButton && !clearLikeOption\"\n      >Clear</span\n    >\n    <div\n      #emptyState\n      class=\"empty-state select-empty-state\"\n      [attr.data-qa]=\"'selectEmptyState'\"\n      *ngIf=\"isEmptyStateMode\"\n    >\n      <div>\n        <div [attr.data-qa]=\"'selectEmptyStateTitle'\" class=\"empty-state-title\">\n          No results for \u201C{{ searchString }}\u201D\n        </div>\n        <div\n          *ngIf=\"isEmptyStateDescription\"\n          class=\"empty-state-description\"\n          [attr.data-qa]=\"'selectEmptyStateDescription'\"\n        >\n          Try updating your search to find what you\u2019re looking for.\n        </div>\n\n        <epom-create-select-option\n          [text]=\"createSelectOptionText\"\n          [dataQa]=\"'createSelectOptionEmptyState'\"\n          [styles]=\"{'margin-top': '8px'}\"\n          (createHandler)=\"createOptionHandler.emit()\"\n        ></epom-create-select-option>\n      </div>\n    </div>\n  </div>\n</div>\n", styles: [".option-description{color:var(--neutral-outline-color)}.option-title{color:var(--neutral-outline-color);padding-left:8px}.option-separator{position:relative;margin-top:32px}.option-separator:before{content:\"\";position:absolute;top:-16px;left:0;width:100%;height:1px;background-color:var(--neutral-outline-variant-color)}.select-value:has(+ .option-separator){margin-bottom:16px}:host.form-control{padding:0;border:0;background:transparent}:host.form-control:read-only:not(:disabled){background-color:transparent!important}.read-only{border:none;background-color:var(--neutral-neutral-color)}.optional-label-text{color:var(--neutral-outline-color)}.option-can-not-be-selected:hover{background:none;cursor:default}.operation-sign{display:flex;align-items:center;justify-content:center;color:var(--themePrimButtonsBg-color);font-weight:600;margin-right:8px;width:17px}.default-cursor{cursor:default!important}.placeholder-selected{font-weight:600}.select-typing-state{color:var(--neutral-outline-color);padding:16px 12px;background:var(--neutral-main-neutral-color);border:1px solid var(--themePrimButtonsBg-color);border-top:none;border-radius:0 0 4px 4px;line-height:21px}\n"] }]
        }], propDecorators: { valuesStream: [{
                type: Input,
                args: ['valuesStream']
            }], useClearButton: [{
                type: Input,
                args: ['useClear']
            }], clearLikeOption: [{
                type: Input,
                args: ['clearLikeOption']
            }], subtitle: [{
                type: Input,
                args: ['subtitle']
            }], placeholder: [{
                type: Input,
                args: ['placeholder']
            }], selectedDefaultIndex: [{
                type: Input,
                args: ['selectedDefaultIndex']
            }], selectedDefaultValue: [{
                type: Input,
                args: ['selectedDefaultValue']
            }], formElement: [{
                type: Input,
                args: ['formElement']
            }], multiple: [{
                type: Input,
                args: ['multiple']
            }], search: [{
                type: Input,
                args: ['search']
            }], disable: [{
                type: Input,
                args: ['disable']
            }], required: [{
                type: Input,
                args: ['required']
            }], direction: [{
                type: Input,
                args: ['direction']
            }], maxItems: [{
                type: Input,
                args: ['maxItems']
            }], dataQa: [{
                type: Input,
                args: ['dataQa']
            }], canRemoveLastItem: [{
                type: Input,
                args: ['canRemoveLastItem']
            }], showFlag: [{
                type: Input,
                args: ['showFlag']
            }], readOnly: [{
                type: Input,
                args: ['readOnly']
            }], width: [{
                type: Input,
                args: ['width']
            }], withDescription: [{
                type: Input,
                args: ['withDescription']
            }], withOperation: [{
                type: Input,
                args: ['withOperation']
            }], isEmptyStateDescription: [{
                type: Input
            }], createSelectOptionText: [{
                type: Input
            }], selectedItemsOnTop: [{
                type: Input,
                args: ['selectedItemsOnTop']
            }], startTypingText: [{
                type: Input
            }], isSearchDelay: [{
                type: Input
            }], dropdownPosition: [{
                type: Input
            }], valueChanged: [{
                type: Output,
                args: ['valueChanged']
            }], createOptionHandler: [{
                type: Output
            }], searchHandler: [{
                type: Output
            }], selectTitle: [{
                type: ViewChild,
                args: ['selectTitle']
            }], selectValues: [{
                type: ViewChild,
                args: ['selectValues']
            }], selectBoxRef: [{
                type: ViewChild,
                args: ['selectBox']
            }], valuesBox: [{
                type: ViewChild,
                args: ['valuesBox']
            }], selectClear: [{
                type: ViewChild,
                args: ['selectClear']
            }], searchField: [{
                type: ViewChild,
                args: ['searchField']
            }], searchIcon: [{
                type: ViewChild,
                args: ['searchIcon']
            }], clearIcon: [{
                type: ViewChild,
                args: ['clearIcon']
            }], selectValueItem: [{
                type: ViewChild,
                args: ['selectValueItem']
            }], emptyState: [{
                type: ViewChild,
                args: ['emptyState']
            }], error: [{
                type: HostBinding,
                args: ['class.ng-invalid']
            }], dirty: [{
                type: HostBinding,
                args: ['class.ng-dirty']
            }], disabledClass: [{
                type: HostBinding,
                args: ['class.disabled']
            }] } });

class SelectModule {
}
SelectModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: SelectModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
SelectModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "14.3.0", ngImport: i0, type: SelectModule, declarations: [SelectComponentClass, CreateSelectOptionComponent], imports: [CommonModule, BrowserModule, FormsModule, MatCheckboxModule], exports: [SelectComponentClass] });
SelectModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: SelectModule, imports: [CommonModule, BrowserModule, FormsModule, MatCheckboxModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: SelectModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [CommonModule, BrowserModule, FormsModule, MatCheckboxModule],
                    declarations: [SelectComponentClass, CreateSelectOptionComponent],
                    exports: [SelectComponentClass],
                    providers: [],
                }]
        }] });

/*
 * Public API Surface of epom-ng2-custom-select
 */

const previous = { start: null, end: null, enabled: false };
const datePickerOpeningState$ = new BehaviorSubject(null);
function today() {
    const d = new Date();
    let month = String(d.getMonth() + 1);
    let day = String(d.getDate());
    const year = d.getFullYear();
    if (month.length < 2) {
        month = '0' + month;
    }
    if (day.length < 2) {
        day = '0' + day;
    }
    return [year, month, day].join('-');
}
class DataRangeComponentClass {
    constructor(document, renderer, elementRef, cdr) {
        this.document = document;
        this.renderer = renderer;
        this.elementRef = elementRef;
        this.cdr = cdr;
        this.opens = 'left';
        this.drops = 'down';
        this.customRange = true;
        this.showPreviousPeriodChekbox = new BehaviorSubject(false);
        this.comparePreviousPeriod = false;
        this.previousCheckboxLabel = 'Compare to prev. period';
        this.filterUpdate = new EventEmitter();
        this.maxDate = null;
        this.minDate = null;
        this.selected = null;
        this.rangesTable = {
            Today: [dayjs(), dayjs()],
            Yesterday: [dayjs().subtract(1, 'days'), dayjs().subtract(1, 'days')],
            'Last 7 days': [dayjs().subtract(6, 'days'), dayjs()],
            'Last 30 days': [dayjs().subtract(29, 'days'), dayjs()],
            'This month': [dayjs().startOf('month'), dayjs().endOf('month')],
            'Last month': [dayjs().subtract(1, 'month').startOf('month'), dayjs().subtract(1, 'month').endOf('month')],
        };
        this.invalidDates = [dayjs().add(2, 'days'), dayjs().add(3, 'days'), dayjs().add(5, 'days')];
        this.locale = {
            format: 'DD.MM.YYYY',
            displayFormat: 'DD.MM.YYYY',
            separator: ' - ',
            cancelLabel: 'Cancel',
            applyLabel: 'Apply',
        };
        this.isDataStored = false;
        this.isInvalidDate = (m) => {
            return this.invalidDates.some((d) => d.isSame(m, 'day'));
        };
        this.logger = loggerCreate(this.constructor.name);
    }
    set setMaxDate(val) {
        if (val) {
            const day = val.split('.');
            this.maxDate = dayjs([day[1], day[0], day[2]].join('-')).add(23, 'hour').add(59, 'minute').add(59, 'second');
        }
    }
    set setMinDate(val) {
        if (val) {
            const day = val.split('.');
            this.minDate = dayjs([day[1], day[0], day[2]].join('-')).add(23, 'hour').add(59, 'minute').add(59, 'second');
        }
    }
    ngOnInit() {
        this.selected = {
            start: dayjs(this.startRange[0]),
            end: dayjs(this.startRange[1]),
            compare: this.showPreviousPeriodChekbox.value,
        };
        datePickerOpeningState$.subscribe((enabled) => {
            previous.start = this.previousRange?.[0];
            previous.end = this.previousRange?.[1];
            previous.enabled = enabled;
            this.datepicker?.setPosition();
            if (this.datepicker?.picker) {
                this.datepicker?.picker.renderCalendar('left');
                this.datepicker?.picker.renderCalendar('right');
                this.logger.log('datePickerOpeningState$' + this.document.querySelector('.md-drppicker')?.querySelector('.buttons_input'));
            }
        });
    }
    ngAfterViewInit() {
        this.cdr.detectChanges();
        this.changeButtonsClass();
        this.logger.log('ngAfterViewInit' + this.document.querySelector('.md-drppicker')?.querySelector('.buttons_input'));
        document.querySelector('.ranges li:is(:nth-child(7)) button')?.addEventListener('click', () => {
            this.changeButtonsClass();
            this.datepicker?.setPosition();
            this.logger.log('Custom range clicked' + this.document.querySelector('.md-drppicker')?.querySelector('.buttons_input'));
        });
        this.showPreviousPeriodChekbox.subscribe((showPreviousPeriodChekbox) => {
            if (showPreviousPeriodChekbox) {
                const parent = document.createElement('div');
                const checkbox = document.createElement('input');
                const label = document.createElement('label');
                checkbox.setAttribute('type', 'checkbox');
                checkbox.setAttribute('id', 'compare-checkbox');
                checkbox.checked = this.comparePreviousPeriod;
                this.checkbox = checkbox;
                label.setAttribute('for', 'compare-checkbox');
                label.innerText = this.previousCheckboxLabel;
                parent.setAttribute('class', 'compare-date');
                parent.appendChild(checkbox);
                parent.appendChild(label);
                if (this.elementRef.nativeElement.querySelector('.ranges')) {
                    this.elementRef.nativeElement.querySelector('.ranges').appendChild(parent);
                }
                checkbox.addEventListener('change', (event) => {
                    this.comparePreviousPeriod = event.target.checked;
                    datePickerOpeningState$.next(this.comparePreviousPeriod);
                    if (this.datepicker.picker.chosenRange !== 'Custom range') {
                        this.datepicker.picker.showCalInRanges = event.target.checked;
                        setTimeout(() => {
                            this.changeButtonsClass();
                            this.datepicker.setPosition();
                            this.logger.log('showPreviousPeriodChekbox' +
                                this.document.querySelector('.md-drppicker')?.querySelector('.buttons_input'));
                        });
                    }
                });
            }
            else {
                if (this.document.querySelector('.ranges')?.contains(this.document.querySelector('.compare-date'))) {
                    this.document.querySelector('.ranges')?.removeChild(this.document.querySelector('.compare-date'));
                }
                this.logger.log('dont showPreviousPeriodChekbox' +
                    this.document.querySelector('.md-drppicker')?.querySelector('.buttons_input'));
                datePickerOpeningState$.next(false);
            }
        });
    }
    changeButtonsClass() {
        const cancelButton = this.elementRef.nativeElement.querySelector('.btn.btn-default');
        const applyButton = this.elementRef.nativeElement.querySelector('.btn:not(.btn-default)');
        this.logger.log('Cancel button find' + cancelButton);
        this.logger.log('Apply button find' + applyButton);
        if (cancelButton) {
            cancelButton.className = 'button button-outlined';
        }
        if (applyButton) {
            applyButton.className = 'button button-primary';
        }
        this.logger.log('buttonsChanged' + this.document.querySelector('.md-drppicker')?.querySelector('.buttons_input'));
    }
    saveData(e) {
        if (this.selected.start.format('YYYY-MM-DD') === this.startRange[0] &&
            this.selected.end.format('YYYY-MM-DD') === this.startRange[1]) {
            return;
        }
        datePickerOpeningState$.next(this.comparePreviousPeriod && this.showPreviousPeriodChekbox.value);
        const end = this.selected.start.subtract(1, 'day').format('YYYY-MM-DD');
        const start = dayjs(this.selected.start - this.selected.end.diff(this.selected.start)).format('YYYY-MM-DD');
        const rangeValue = {
            from: dayjs(this.selected.start).format('YYYY-MM-DD'),
            to: dayjs(this.selected.end).format('YYYY-MM-DD'),
        };
        rangeValue.comparePreviousPeriod = this.comparePreviousPeriod;
        rangeValue.fromPrevious = start;
        rangeValue.toPrevious = end;
        this.isDataStored = true;
        this.filterUpdate.emit(rangeValue);
    }
    onClick() {
        if (!this.isDataStored) {
            this.isDataStored = true;
            this.ngOnInit();
            datePickerOpeningState$.next(this.comparePreviousPeriod && this.showPreviousPeriodChekbox.value);
            if (this.checkbox && !this.datepicker?.picker?.showCalInRanges) {
                this.checkbox.checked = false;
            }
            this.changeButtonsClass();
            this.logger.log('Click' + this.document.querySelector('.md-drppicker')?.querySelector('.buttons_input'));
            [...this.document.querySelectorAll('button')]
                .find((a) => a.textContent.includes('Custom range'))
                .addEventListener('click', () => {
                this.changeButtonsClass();
                this.datepicker?.setPosition();
                this.logger.log('Custom range Click' + this.document.querySelector('.md-drppicker')?.querySelector('.buttons_input'));
            });
        }
    }
    isCustomDate(date) {
        const correctDate = date.subtract(23, 'hour').subtract(59, 'minute').subtract(59, 'second');
        const formattedDate = date.format('YYYY-MM-DD');
        if (formattedDate === today()) {
            return 'today';
        }
        if (previous.enabled && (previous.start || previous.end)) {
            if (formattedDate === previous.start && formattedDate === previous.end) {
                return 'previous previous-range previous-limit-start previous-limit-end';
            }
            if (formattedDate === previous.start) {
                return 'previous previous-range previous-limit-start';
            }
            if (formattedDate === previous.end) {
                return 'previous previous-range previous-limit-end';
            }
            if (dayjs(previous.start).isAfter(correctDate) && dayjs(previous.end).isBefore(correctDate)) {
                return 'previous previous-range';
            }
        }
        return false;
    }
    onEnterSubmit(e) {
        this.datepicker.picker.clickApply(e);
    }
    onRangeClicked(e) {
        this.comparePreviousPeriod = false;
        this.datepicker.setPosition();
    }
    endDateChangedHandler() {
        if (this.datepicker?.picker) {
            const start = this.datepicker?.picker?.startDate;
            const end = this.datepicker?.picker.endDate;
            previous.start = start.subtract(1, 'day').format('YYYY-MM-DD');
            previous.end = dayjs(start - end.diff(start)).format('YYYY-MM-DD');
            this.datepicker?.picker.renderCalendar('left');
            this.datepicker?.picker.renderCalendar('right');
            this.logger.log('endDateChangedHandler' + this.document.querySelector('.md-drppicker')?.querySelector('.buttons_input'));
        }
    }
    ngOnDestroy() {
        this.showPreviousPeriodChekbox.unsubscribe();
        datePickerOpeningState$.next(null);
    }
    inputChanged($event) {
        this.datepicker.inputChanged($event);
    }
    startDateChangedHandler() {
        timer(10)
            .pipe(take(1))
            .subscribe(() => {
            if (this.datepicker.picker.chosenRange === 'Custom range') {
                this.datepicker?.setPosition();
                this.changeButtonsClass();
                this.logger.log('startDateChangedHandler' + this.document.querySelector('.md-drppicker')?.querySelector('.buttons_input'));
            }
        });
        this.datepicker.picker.renderTimePicker('left');
        this.datepicker.picker.renderTimePicker('right');
    }
}
DataRangeComponentClass.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: DataRangeComponentClass, deps: [{ token: DOCUMENT }, { token: i0.Renderer2 }, { token: i0.ElementRef }, { token: i0.ChangeDetectorRef }], target: i0.ɵɵFactoryTarget.Component });
DataRangeComponentClass.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.3.0", type: DataRangeComponentClass, selector: "epom-daterange", inputs: { opens: "opens", drops: "drops", startRange: ["start-range", "startRange"], previousRange: ["previous-range", "previousRange"], ranges: "ranges", customRange: "customRange", showPreviousPeriodChekbox: "showPreviousPeriodChekbox", comparePreviousPeriod: "comparePreviousPeriod", previousCheckboxLabel: "previousCheckboxLabel", setMaxDate: ["maxDate", "setMaxDate"], setMinDate: ["minDate", "setMinDate"] }, outputs: { filterUpdate: "filterUpdate" }, viewQueries: [{ propertyName: "datepicker", first: true, predicate: DaterangepickerDirective, descendants: true }], ngImport: i0, template: "<div class=\"input-with-icon datarangepicker-input pull-right\">\n  <label>\n    <input\n      type=\"text\"\n      class=\"form-control\"\n      [class.focused-input]=\"datepicker?.picker.isShown\"\n      (click)=\"onClick()\"\n      ngxDaterangepickerMd\n      [(ngModel)]=\"selected\"\n      [showCustomRangeLabel]=\"true\"\n      [alwaysShowCalendars]=\"false\"\n      [ranges]=\"rangesTable\"\n      [singleDatePicker]=\"false\"\n      [locale]=\"locale\"\n      [opens]=\"opens\"\n      [drops]=\"drops\"\n      [linkedCalendars]=\"true\"\n      [isInvalidDate]=\"isInvalidDate\"\n      [isCustomDate]=\"isCustomDate\"\n      (rangeClicked)=\"onRangeClicked($event)\"\n      [showClearButton]=\"false\"\n      [showCancel]=\"true\"\n      [maxDate]=\"maxDate\"\n      [minDate]=\"minDate\"\n      [autoApply]=\"false\"\n      startKey=\"start\"\n      firstMonthDayClass=\"first-month-day\"\n      emptyWeekRowClass=\"empty-week-row\"\n      emptyWeekColumnClass=\"empty-week-column\"\n      endKey=\"end\"\n      placeholder=\"Select date\"\n      [showRangeLabelOnInput]=\"false\"\n      (datesUpdated)=\"saveData($event)\"\n      (startDateChanged)=\"startDateChangedHandler()\"\n      (endDateChanged)=\"endDateChangedHandler()\"\n      (keyup.enter)=\"onEnterSubmit($event)\"\n    />\n    <span class=\"material-icons calendar-icon\">event</span>\n  </label>\n</div>\n", styles: [".datarangepicker-input{min-width:220px}.datarangepicker-input .calendar-icon{color:var(--themePrimButtonsBg-color)!important}.datarangepicker-input .focused-input{box-shadow:none;border-color:var(--themePrimButtonsBg-color)}.datarangepicker-input label{position:relative;margin-bottom:0}:host ::ng-deep .md-drppicker{display:grid;grid-template-columns:276px 276px 216px;text-align:center;font-family:Open Sans!important;padding:0!important;margin-top:4px!important}:host ::ng-deep .md-drppicker:not(.double){display:flex}:host ::ng-deep .md-drppicker .calendar{height:315px;margin:0!important}:host ::ng-deep .md-drppicker .calendar .calendar-table{padding:0 12px 4px}:host ::ng-deep .md-drppicker .calendar.left{grid-area:1/1/2/2}:host ::ng-deep .md-drppicker .calendar.right{grid-area:1/2/2/3}:host ::ng-deep .md-drppicker .buttons{grid-area:2/1/3/3}:host ::ng-deep .md-drppicker .ranges{grid-area:1/3/3/4}:host ::ng-deep .button{width:96px}:host ::ng-deep .buttons{right:215px}\n"], dependencies: [{ kind: "directive", type: i1$3.DaterangepickerDirective, selector: "input[ngxDaterangepickerMd]", inputs: ["minDate", "maxDate", "autoApply", "alwaysShowCalendars", "showCustomRangeLabel", "linkedCalendars", "dateLimit", "singleDatePicker", "showWeekNumbers", "showISOWeekNumbers", "showDropdowns", "isInvalidDate", "isCustomDate", "isTooltipDate", "showClearButton", "customRangeDirection", "ranges", "opens", "drops", "firstMonthDayClass", "lastMonthDayClass", "emptyWeekRowClass", "emptyWeekColumnClass", "firstDayOfNextMonthClass", "lastDayOfPreviousMonthClass", "keepCalendarOpeningWithRange", "showRangeLabelOnInput", "showCancel", "lockStartDate", "timePicker", "timePicker24Hour", "timePickerIncrement", "timePickerSeconds", "closeOnAutoApply", "endKeyHolder", "startKey", "locale", "endKey"], outputs: ["change", "rangeClicked", "datesUpdated", "startDateChanged", "endDateChanged", "clearClicked"] }, { kind: "directive", type: i2.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i2.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i2.NgModel, selector: "[ngModel]:not([formControlName]):not([formControl])", inputs: ["name", "disabled", "ngModel", "ngModelOptions"], outputs: ["ngModelChange"], exportAs: ["ngModel"] }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: DataRangeComponentClass, decorators: [{
            type: Component,
            args: [{ selector: 'epom-daterange', template: "<div class=\"input-with-icon datarangepicker-input pull-right\">\n  <label>\n    <input\n      type=\"text\"\n      class=\"form-control\"\n      [class.focused-input]=\"datepicker?.picker.isShown\"\n      (click)=\"onClick()\"\n      ngxDaterangepickerMd\n      [(ngModel)]=\"selected\"\n      [showCustomRangeLabel]=\"true\"\n      [alwaysShowCalendars]=\"false\"\n      [ranges]=\"rangesTable\"\n      [singleDatePicker]=\"false\"\n      [locale]=\"locale\"\n      [opens]=\"opens\"\n      [drops]=\"drops\"\n      [linkedCalendars]=\"true\"\n      [isInvalidDate]=\"isInvalidDate\"\n      [isCustomDate]=\"isCustomDate\"\n      (rangeClicked)=\"onRangeClicked($event)\"\n      [showClearButton]=\"false\"\n      [showCancel]=\"true\"\n      [maxDate]=\"maxDate\"\n      [minDate]=\"minDate\"\n      [autoApply]=\"false\"\n      startKey=\"start\"\n      firstMonthDayClass=\"first-month-day\"\n      emptyWeekRowClass=\"empty-week-row\"\n      emptyWeekColumnClass=\"empty-week-column\"\n      endKey=\"end\"\n      placeholder=\"Select date\"\n      [showRangeLabelOnInput]=\"false\"\n      (datesUpdated)=\"saveData($event)\"\n      (startDateChanged)=\"startDateChangedHandler()\"\n      (endDateChanged)=\"endDateChangedHandler()\"\n      (keyup.enter)=\"onEnterSubmit($event)\"\n    />\n    <span class=\"material-icons calendar-icon\">event</span>\n  </label>\n</div>\n", styles: [".datarangepicker-input{min-width:220px}.datarangepicker-input .calendar-icon{color:var(--themePrimButtonsBg-color)!important}.datarangepicker-input .focused-input{box-shadow:none;border-color:var(--themePrimButtonsBg-color)}.datarangepicker-input label{position:relative;margin-bottom:0}:host ::ng-deep .md-drppicker{display:grid;grid-template-columns:276px 276px 216px;text-align:center;font-family:Open Sans!important;padding:0!important;margin-top:4px!important}:host ::ng-deep .md-drppicker:not(.double){display:flex}:host ::ng-deep .md-drppicker .calendar{height:315px;margin:0!important}:host ::ng-deep .md-drppicker .calendar .calendar-table{padding:0 12px 4px}:host ::ng-deep .md-drppicker .calendar.left{grid-area:1/1/2/2}:host ::ng-deep .md-drppicker .calendar.right{grid-area:1/2/2/3}:host ::ng-deep .md-drppicker .buttons{grid-area:2/1/3/3}:host ::ng-deep .md-drppicker .ranges{grid-area:1/3/3/4}:host ::ng-deep .button{width:96px}:host ::ng-deep .buttons{right:215px}\n"] }]
        }], ctorParameters: function () { return [{ type: Document, decorators: [{
                    type: Inject,
                    args: [DOCUMENT]
                }] }, { type: i0.Renderer2 }, { type: i0.ElementRef }, { type: i0.ChangeDetectorRef }]; }, propDecorators: { opens: [{
                type: Input,
                args: ['opens']
            }], drops: [{
                type: Input,
                args: ['drops']
            }], startRange: [{
                type: Input,
                args: ['start-range']
            }], previousRange: [{
                type: Input,
                args: ['previous-range']
            }], ranges: [{
                type: Input,
                args: ['ranges']
            }], customRange: [{
                type: Input,
                args: ['customRange']
            }], showPreviousPeriodChekbox: [{
                type: Input,
                args: ['showPreviousPeriodChekbox']
            }], comparePreviousPeriod: [{
                type: Input,
                args: ['comparePreviousPeriod']
            }], previousCheckboxLabel: [{
                type: Input,
                args: ['previousCheckboxLabel']
            }], datepicker: [{
                type: ViewChild,
                args: [DaterangepickerDirective]
            }], filterUpdate: [{
                type: Output
            }], setMaxDate: [{
                type: Input,
                args: ['maxDate']
            }], setMinDate: [{
                type: Input,
                args: ['minDate']
            }] } });

const AUTH_MESSAGES = {
    USERNAME: 'Username',
    ENTER_USERNAME: 'Enter username',
    PASSWORD: 'Password',
    ENTER_PASSWORD: 'Enter password',
    EMAIL: 'Email',
    ENTER_EMAIL: 'Enter email',
    FORGOT_PASSWORD: 'Forgot password?',
    SIGN_IN: 'Sign In',
    RECOVERY_PASSWORD: 'Recovery password',
    ALREADY_HAVE_ACCOUNT: 'I already have an account',
    NOT_VALID_USER: 'The username or password is\u00A0incorrect.',
    CREDENTIALS_IS_WRONG: 'Authorization failed. Wrong credentials',
    AUTH_ATTEMPTS_LIMIT_IS_REACHED: 'Authorization failed. Attempts limit is reached',
    TOKEN_IS_WRONG: 'Authorization failed. Token is wrong',
    TOKEN_IS_EXPIRED: 'Authorization failed. Token is expired',
    TOKEN_IS_DISABLED: 'Authorization failed. Token is disabled',
    ACCOUNT_IS_WAITING_FOR_APPROVAL: 'Authorization failed. Account is waiting for approval',
    ACCOUNT_IS_REJECTED: 'Authorization failed. Account is rejected',
    ACCOUNT_IS_DISABLED: 'Authorization failed. Account is disabled',
    ACCOUNT_IS_DELETED: 'Authorization failed. Account is deleted',
    LOGIN_CORRECT: 'Welcome to Demand Side Platform!',
    REGISTER_CORRECT: 'User was successful registered',
    REGISTER_CORRECT_CONTACT_SHORTLY: 'Thank you for registration. We will contact you shortly.',
    RECOVER_CORRECT: 'Letter was sent on your email',
    FORGOT_CORRECT: 'Email has been sent successfully. Thank You.',
    FORGOT_WRONG_EMAIL: 'Provide a valid email address, please.',
    FORGOT_NETWORK_ERROR: 'Network error. Try again later or contact support team.',
    REGISTRATION_SERVER_ERROR: 'Registration failed. Server error',
    LOGIN_SERVER_ERROR: 'Authorization failed. Server error',
    RECOVER_SERVER_ERROR: 'Recovery failed. Server error',
    ADVERTISER_NOT_ONE: 'Your advertiser account is misconfigured, please ask your account manager.',
    ADVERTISER_CANNOT_CHECK: 'Can\'t check your account. Contact\u00A0support\u00A0for\u00A0details.',
    PASSWORDS_DONT_MATCH: '\'Password\' and \'Confirm password\' fields does\'t match',
};

const ANALYTICS_MESSAGES = {
    ANALYTIC_GET_ERROR: 'Error occurs when trying to load analytics, try later or contact administrator',
    ANALYTICS_BLOCK_ERROR: 'Error when trying to block resource',
    BLOCK_SOURCE: 'Block source',
    BLOCKED_SOURCE: 'Source is blocked',
    ANALYTICS_SOURCE_BLOCKED: 'Source successfully blocked.',
    ANALYTICS_ERROR_WHEN_SORT: 'error when trying to sort analytics data',
    ANALYTICS_ERROR_WHEN_RENDER_CHARTS: 'Error when updating charts',
};

const CAMPAIGNS_MESSAGES = {
    CAMPAIGN_CREATED: 'Campaign created successfully!',
    CAMPAIGN_NOT_CREATED: 'An error occurred while creating a campaign. Try later, please.',
    CAMPAIGN_SAVED: 'Campaign changes saved.',
    CAMPAIGN_NOT_SAVED: 'Campaign changes not saved. Try later, please.',
    CAMPAIGN_COPY_QUESTION: 'Do you want to copy this campaign?',
    CAMPAIGN_COPIED: 'Campaign copied successfully!',
    CAMPAIGN_EDITED: 'Campaign successfully edited',
    NEW_CAMPAIGN: 'Create new campaign',
    CAMPAIGN_WILL_REMOVE: 'Campaign is being removed.',
    CAMPAIGN_REMOVED: 'Campaign removed.',
    NO_CREATED_YET: 'No created campaign yet',
    NOT_FOUND: 'Campaign with this ID not found.',
    DELETED: 'Campaign with this ID was deleted.',
    REDIRECT: 'We redirect you to campaign list.',
    CHECKBOXES_OS_REQUIRED: 'Should stay a minimum one.',
    MIN_CPM_LOADING: 'Wait for update min cpm price',
    CAMPAIGNS_ERROR_GET_LIST: 'Error occurs when trying to load campaigns list, try later or contact administrator',
    CAMPAIGNS_ERROR_GET_SINGLE: 'Error occurs when trying to load category data, try later or contact administrator',
    CAMPAIGNS_ERROR_GET_SINGLE_CAMPAIGN_EDIT: 'Error occurs when trying to load category data, ' + 'try later or contact administrator',
    CAMPAIGNS_GEO_POPUP: 'Select Geo Positions',
    CAMPAIGNS_FILTER_POPUP: 'Select Filters',
    CAMPAIGNS_LANGUAGE_POPUP: 'Select Languages',
    CAMPAIGNS_CATEGORY_POPUP: 'Select Categories',
    CAMPAIGNS_SSP_POPUP: 'Select Ssps',
    CAMPAIGNS_BIDDER_ERROR: 'Cant enable bidder without Daily max Spend or max daily Impressions',
};

const COMMON_MESSAGES = {
    NO_DATA: 'No data available.',
    LOADING: 'Loading...',
    UNDO: 'Undo',
    BLOCKED: 'Blocked',
    UNKNOWN_API_ERROR: 'Unknown API error, please try again later.',
    ACTION_TERMINATED: 'Action terminated.',
    FORM_INCORRECT: 'Fill out all required fields, please.',
    INCORRECT_VALUE: 'Incorrect value.',
    CANNOT_SWITCH: 'Can\'t switch. Try again later, please.',
    CANNOT_REMOVE: 'Can\'t remove. Try again later, please.',
    LEAVE_CONFIRM: `Some changes have not been saved yet, if you close the page now some data might be lost!
  Please wait a few more seconds.`,
    NETWORK_ERROR: 'Network Issues. Please try again later.',
    SWITCHER_ERROR_DRAFT: 'Cannot change status of a draft, please submit for approval first.',
    CHANGES_SAVED: 'Changes saved successfully.',
    CHANGES_NOT_SAVED: 'Changes not saved. Try later, please.',
    COPY_SUCCESS: 'Copied successfully.',
    COPY_ERROR: 'Can\'t copy. Try again later, please.',
    COPY: 'Copy',
    EDIT: 'Edit',
    DELETE: 'Delete',
    ON: 'On',
    OFF: 'Off',
    NUMBER_OF_COPIES: 'Number of copies',
    PRICING: 'Pricing',
    NAME: 'Name',
    FIRST_NAME: 'First name',
    LAST_NAME: 'Last name',
    USERNAME: 'Username',
    EMAIL: 'Email',
    PHONE: 'Phone',
    COMPANY: 'Company',
    INCLUDE: 'Include',
    EXCLUDE: 'Exclude',
    PREVIOUS: 'Previous',
    PREV: 'Prev',
    NEXT: 'Next',
    SAVE: 'Save',
    TOTAL: 'Total',
    DAILY: 'Daily',
    TYPE: 'Type',
    URL: 'URL',
    SIZE: 'Size',
    UPLOAD: 'Upload',
    FILTER_NO_RESULTS: 'No items meet the filter criteria.',
    TODAY: 'Today',
    YESTERDAY: 'Yesterday',
    LAST_7: 'Last 7 days',
    LAST_30: 'Last 30 days',
    THIS_MONTH: 'This month',
    LAST_MONTH: 'Last month',
    ITEMS: 'Items',
    ONE: 'One',
    ITEM: 'Item',
    TERMS: 'Terms and Conditions',
    DASHBOARD: 'Dashboard',
    CAMPAIGNS: 'Campaigns',
    ANALYTICS: 'Analytics',
    BLOCKED_SOURCES: 'Blocked sources',
    SETTINGS: 'Settings',
    LOGOUT: 'Log out',
    CANCEL: 'Cancel',
};

const CREATIVES_MESSAGES = {
    CREATIVES_ERROR_GET_LIST: 'Error occurs when trying to load list of creatives, try later or contact administrator',
    CREATIVES_ERROR_GET_SINGLE: 'Error occurs when trying to load creative data, try later or contact administrator',
    CREATIVES_ERROR_GET_CAMPAIGNS: 'Error occurs when trying to load campaign info',
    CREATIVE_CREATED: 'Creative created successfully!',
    CREATIVE_EDITED: 'Campaign changes saved.',
    CREATIVES_ERROR_WHEN_CHANGE_STATUS: 'Error when trying to change status',
    MODERATION_SUCCESS: 'Creative moderated successfully',
    MODERATION_ERROR: 'Creative not moderated',
};

const SETTINGS_MESSAGES = {
    SETTINGS_USER_INFORMATION_ERROR: 'Can\'t load data. Try again later, please.',
    SETTINGS_CHANGE_PASSWORD_CONFIRM_FAILED: 'Confirm password does not match.',
    SETTINGS_CHANGE_PASSWORD_CHANGED: 'Password successfully changed!',
    SETTINGS_CHANGE_PASSWORD_NETWORK_ERROR: 'Can\'t change password. Try again later, please.',
    SETTINGS_DELETE_ROLE_FAILED: 'Cannot delete user role. Try again later, please.',
    SETTINGS_DELETE_ROLE_OK: 'User role has been deleted.',
    CANNOT_LOAD_DATA: 'Can\'t load data. Try again later, please.',
    USER_INFO: 'User Information',
    CHANGE_PASSWORD: 'Change password',
    CURRENT_PASSWORD: 'Current Password',
    NEW_PASSWORD: 'New Password',
    CONFIRM_NEW_PASSWORD: 'Confirm new password',
};

const BLOCKED_SOURCES_MESSAGES = {
    TABLE_DATE: 'Date',
    TABLE_SOURCE: 'Source id',
    TABLE_CAMPAIGN: 'Campaign',
    TABLE_BANNER: 'Banner',
    TABLE_SOURCE_STATUS: 'Status',
    ACTIONS: 'Actions',
    NO_BLOCKED_YET: 'No blocked sources yet',
    SOURCE_UNBLOCK_SUCCESS: 'Source successfully unblocked',
    SOURCE_UNBLOCK_ERROR: 'Can\'t unblock source',
    ALL_CAMPAIGN_NUM_BANNERS: 'All campaign %s banner(s)',
    ALL_NUM_BANNERS: 'All %s banner(s)',
    ALL_NUM_CAMPAIGNS: 'All %s campaign(s)',
    BLOCKED_CANNOT_LOAD: 'Can\'t load blocked sources info.',
    RESTORE_RESOURCE: 'Restore resource',
};

const DASHBOARD_MESSAGES = {
    IMPRESSIONS: 'Impressions',
    CLICKS: 'Clicks',
    CONVERSIONS: 'Conversions',
    ECPM: 'eCPM',
    AD_SPEND: 'Ad Spend',
    CONVERSE: 'Converse',
    SPENDING: 'Spending',
    MORE_STATS: 'View more stats',
    GET_TILES_ERROR: 'Error while getting tiles data',
    GET_CHARTS_ERROR: 'Error while getting charts data',
    '7_DAYS_PERF': 'Last 7 days performance',
};

const ENDPOINT_MESSAGES = {
    ENDPOINT_CREATED: 'Endpoint created successfully',
    ENDPOINT_EDIT_SUCCESSFUL: 'Endpoint edited successfully',
    ENDPOINT_CREATE_ERROR: 'Error when creating new endpoint',
    ENDPOINT_SAVE_ERROR: 'Error when saving endpoint',
    ENDPOINT_GET_LIST_ERROR: 'Error while getting endpoints list',
    ERROR_WHILE_GETTING_SSPS_LIST: 'Error while getting SSPs list',
    ERROR_CREATING_OR_EDITING_SSP: 'Error managing SSP',
    ERROR_DELETING_SSP: 'SSP_MESSAGES.errorDeletingSSP)',
    ADDED_SUCCESSFULLY: 'SSP managed successfully',
    DELETED_SUCCESSFULLY: 'SSP deleted successfully',
    LINKED_SUCCESSFULLY: 'SSP Endpoints linked successfully',
    UNLINKED_SUCCESSFULLY: 'SSP Endpoints unlinked successfully',
    ERROR_LINK_SSP: 'Error linking SSP Endpoints',
    ERROR_UNLINK_SSP: 'Error unlinking SSP Endpoints',
    ERROR_EMPTY_UNLINK: 'Error: nothing to unlink',
    ERROR_INVALID_FORM: 'Error: form is incorrect',
};

const FILTERS_MESSAGES = {
    ERROR_GETTING_FILTERS_LIST: 'Error while trying to get filters list',
    ERROR_DELETING_FILTER: 'Error in deleting operation',
    ERROR_CREATING_LIST: 'Error in creating operation',
    ERROR_EDITING_LIST: 'Error in editing operation',
    ERROR_WHILE_GETTING_SINGLE_FILTER: 'Error while getting entities of filter',
    ERROR_WHILE_DELETING_SINGLE_FILTER: 'Error while deleting entities of filter',
    ERROR_WHILE_CREATING_SINGLE_FILTER: 'Error while creating entities of filter',
    ERROR_400: ' [Not valid parameters in form]',
};

const USERS = {
    USER_SAVED: 'User saved successfully',
    PASSWORD_RESET: 'Password reset successfully',
    USER_REMOVED: 'User removed successfully',
    USER_CREATED: 'User created successfully',
    USER_ERROR_CREATING: 'Error while creating user',
    USER_ERROR_EDITING: 'Error while editing user',
    USER_PASSWORD_SAVED: 'Password changed successfully',
    USER_PASSWORD_ERROR: 'Error while changing password',
    INVALID_FIRST_NAME: 'Registration failed, invalid first name',
    INVALID_LAST_NAME: 'Registration failed, invalid last name',
    INVALID_EMAIL: 'Registration failed, invalid email',
    INVALID_PASSWORD: 'Registration failed, invalid password',
    PASSWORD_DOESNT_MATCH: 'Password doesn\'t match',
    LOGIN_ALREADY_REGISTERED: 'This e-mail already taken',
    EMAIL_ALREADY_USED: 'This e-mail already taken',
    SETTINGS_TOKEN_IS_WRONG: 'Edit failed. Token is wrong',
    SETTINGS_TOKEN_IS_EXPIRED: 'Edit failed. Token is expired',
    SETTINGS_TOKEN_IS_DISABLED: 'Edit failed. Token is disabled',
    SETTINGS_ACCOUNT_IS_WAITING_FOR_APPROVAL: 'Edit failed. Account is waiting for approval',
    SETTINGS_ACCOUNT_IS_REJECTED: 'Edit failed. Account is rejected',
    SETTINGS_ACCOUNT_IS_DISABLED: 'Edit failed. Account is disabled',
    SETTINGS_ACCOUNT_IS_DELETED: 'Edit failed. Account is deleted',
};

const MEDIA_PLANING = {
    PLANING_ALL_FILTERS_ERROR: 'Failed to add domains to filters',
    PLANING_ALL_FILTERS_ADDED: 'Successful add domains to all filters',
    PLANING_FILTERS_ADDED_WITH_ERRORS: '%1$d domains added to filters with errors',
};

const MESSAGES = {
    ...COMMON_MESSAGES,
    ...AUTH_MESSAGES,
    ...ANALYTICS_MESSAGES,
    ...CAMPAIGNS_MESSAGES,
    ...CREATIVES_MESSAGES,
    ...SETTINGS_MESSAGES,
    ...BLOCKED_SOURCES_MESSAGES,
    ...DASHBOARD_MESSAGES,
    ...ENDPOINT_MESSAGES,
    ...FILTERS_MESSAGES,
    ...USERS,
    ...MEDIA_PLANING,
};

class LanguageService {
    constructor() {
        this.usedLang = 'en';
        this.setMessages(MESSAGES);
    }
    setMessages(messages, isReplace = true) {
        this.messages = isReplace ? messages : { ...this.messages, ...messages };
    }
    setMessage(key, message) {
        this.messages[key] = message;
    }
    p(phrase) {
        phrase = (!this.messages[phrase]) ? phrase : this.messages[phrase];
        return phrase;
    }
    useLang(languageShortCode) {
        this.usedLang = (languageShortCode) ? languageShortCode : this.usedLang;
    }
    print(phrase) {
        return this.p(phrase);
    }
}
LanguageService.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: LanguageService, deps: [], target: i0.ɵɵFactoryTarget.Injectable });
LanguageService.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: LanguageService });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: LanguageService, decorators: [{
            type: Injectable
        }], ctorParameters: function () { return []; } });

class DataRangeModule {
}
DataRangeModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: DataRangeModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
DataRangeModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "14.3.0", ngImport: i0, type: DataRangeModule, declarations: [DataRangeComponentClass], imports: [CommonModule, BrowserModule, i1$3.NgxDaterangepickerMd, FormsModule, MatCheckboxModule], exports: [DataRangeComponentClass] });
DataRangeModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: DataRangeModule, providers: [LanguageService], imports: [CommonModule, BrowserModule, NgxDaterangepickerMd.forRoot(), FormsModule, MatCheckboxModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: DataRangeModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [CommonModule, BrowserModule, NgxDaterangepickerMd.forRoot(), FormsModule, MatCheckboxModule],
                    declarations: [DataRangeComponentClass],
                    exports: [DataRangeComponentClass],
                    providers: [LanguageService],
                }]
        }] });

class DelayedActionsService {
    constructor() {
        this.chain = {};
        this.actionsFlow = new Subject();
    }
    generateHash() {
        return Math.random();
    }
    parseArray(data, callback) {
        if (Array.isArray(data)) {
            for (const dataItem of data) {
                callback(dataItem);
            }
            data.forEach(callback.bind(this));
        }
        else if (!isNaN(data)) {
            callback(data);
        }
    }
    addAction(callback, time = 1500, blocker) {
        const hash = this.generateHash();
        this.actionsFlow.next({ 'pending': hash });
        this.chain[hash] = {
            blocker,
            cb: callback,
            timer: (time) ? setTimeout(() => {
                this.actionsFlow.next({ 'done': hash });
                callback();
                this.chain[hash] = undefined;
            }, time) : false,
        };
        return hash;
    }
    rejectAction(hash) {
        this.parseArray(hash, (hash) => {
            clearTimeout(this.chain[hash].timer);
            this.chain[hash] = undefined;
            this.actionsFlow.next({ 'rejected': hash });
        });
    }
    forceActions(hash) {
        this.parseArray(hash, (hash) => {
            clearTimeout(this.chain[hash].timer);
            this.chain[hash].cb();
            this.chain[hash] = undefined;
            this.actionsFlow.next({ 'done': hash });
        });
    }
    countActionsInProcess() {
        return Object.keys(this.chain).reduce((acc, item) => (this.chain.hasOwnProperty(item) && this.chain[item] && this.chain[item].blocker) ? acc + 1 : acc, 0);
    }
}
DelayedActionsService.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: DelayedActionsService, deps: [], target: i0.ɵɵFactoryTarget.Injectable });
DelayedActionsService.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: DelayedActionsService });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: DelayedActionsService, decorators: [{
            type: Injectable
        }] });

const DEFAULT_CLASSES = {
    col: '',
    box: 'box-bordered',
};
const STATES = {
    PENDING: 'PENDING',
    DATA: 'DATA',
    EMPTY: 'EMPTY',
};
const MS_DAYTIME_INTERVAL = {
    months: 24 * 3600 * 1000 * 31,
    weeks: 24 * 3600 * 1000 * 7,
    days: 24 * 3600 * 1000,
    hours: 3600 * 1000,
};

var DiagramTypes;
(function (DiagramTypes) {
    DiagramTypes[DiagramTypes["pie"] = 0] = "pie";
    DiagramTypes[DiagramTypes["horizontalHistogram"] = 1] = "horizontalHistogram";
    DiagramTypes[DiagramTypes["linear"] = 2] = "linear";
})(DiagramTypes || (DiagramTypes = {}));
var Type;
(function (Type) {
    Type[Type["placement"] = 0] = "placement";
    Type[Type["diagram"] = 1] = "diagram";
})(Type || (Type = {}));

const chartValues = {
    firstProp: 22,
    secondProp: 33,
    thirdProp: 42,
    fourthProp: 76,
    fifthProp: 46,
    sixthProp: 123,
    seventhProp: 98,
    eightProp: 65,
    nineProp: 67,
    tenProp: 23,
};
const chartValuesSumm = Object.keys(chartValues).reduce((acc, prop) => acc + chartValues[prop], 0);

class DiagramsService {
    constructor() {
        this.emitEvent = new BehaviorSubject(null);
        this.diagramsList = new Map();
        this.diagramsValues = new Map();
    }
    generateHash() {
        return Math.round(Math.random() * (9999 - 1) + 1);
    }
    getNewDiagramHash(diagrams) {
        const hash = this.generateHash();
        if (diagrams.has(hash)) {
            return this.getNewDiagramHash(diagrams);
        }
        return hash;
    }
    registerDiagram(placementName) {
        const placement = this.diagramsList.get(placementName);
        const values = this.diagramsValues.has(placementName) ? this.diagramsValues.get(placementName) : {};
        const hash = this.getNewDiagramHash(placement);
        placement.set(hash, new BehaviorSubject(values));
        return placement.get(hash);
    }
    registerPlacement(placement) {
        this.diagramsList.set(placement, new Map());
    }
    setValues(placement, values) {
        if (!placement || !values) {
            return;
        }
        this.diagramsValues.set(placement, values);
        const placementMap = this.diagramsList.get(placement);
        if (placementMap) {
            placementMap.forEach(subject => subject.next(values));
        }
    }
}
DiagramsService.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: DiagramsService, deps: [], target: i0.ɵɵFactoryTarget.Injectable });
DiagramsService.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: DiagramsService });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: DiagramsService, decorators: [{
            type: Injectable
        }] });

class HistogramComponent {
    constructor(diagramsService, cb) {
        this.diagramsService = diagramsService;
        this.cb = cb;
        this.charts$ = new BehaviorSubject(null);
        this.viewCharts = null;
        this.total = 0;
    }
    ngOnInit() {
        this.charts$ = this.diagramsService.registerDiagram(this.placement);
        this.charts$.subscribe(charts => {
            this.total = this.getTotal(charts);
            this.viewCharts = this.convertCharts(charts);
            this.cb.markForCheck();
        });
    }
    convertCharts(charts) {
        const oneHandredPersonts = 100;
        return Object.keys(charts).map((chart) => ({
            title: chart,
            value: charts[chart],
            percent: oneHandredPersonts * charts[chart] / this.total,
        }));
    }
    getTotal(object) {
        return Object.keys(object).reduce((total, prop) => total + object[prop], 0);
    }
}
HistogramComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: HistogramComponent, deps: [{ token: DiagramsService }, { token: i0.ChangeDetectorRef }], target: i0.ɵɵFactoryTarget.Component });
HistogramComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.3.0", type: HistogramComponent, selector: "histogram", inputs: { placement: "placement" }, ngImport: i0, template: `
    <div class="table-view table-view-chart">
      <div class="row" *ngFor="let chart of viewCharts">
        <div class="col-xs-6">{{chart.title}}</div>
        <div class="col-xs-6">{{chart.value}}</div>
        <span class="line-chart-item" [ngStyle]="{width: chart.percent + '%'}"></span>
      </div>
    </div>
  `, isInline: true, dependencies: [{ kind: "directive", type: i1$1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1$1.NgStyle, selector: "[ngStyle]", inputs: ["ngStyle"] }], changeDetection: i0.ChangeDetectionStrategy.OnPush });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: HistogramComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'histogram',
                    template: `
    <div class="table-view table-view-chart">
      <div class="row" *ngFor="let chart of viewCharts">
        <div class="col-xs-6">{{chart.title}}</div>
        <div class="col-xs-6">{{chart.value}}</div>
        <span class="line-chart-item" [ngStyle]="{width: chart.percent + '%'}"></span>
      </div>
    </div>
  `,
                    changeDetection: ChangeDetectionStrategy.OnPush,
                }]
        }], ctorParameters: function () { return [{ type: DiagramsService }, { type: i0.ChangeDetectorRef }]; }, propDecorators: { placement: [{
                type: Input
            }] } });

class PieComponent {
    constructor(diagramsService) {
        this.diagramsService = diagramsService;
        this.additionalProperty = 'default';
        this.charts$ = new BehaviorSubject(null);
        this.charts = null;
        this.total = 0;
        this.highchart = Highcharts;
    }
    ngAfterViewInit() {
        this.charts$ = this.diagramsService.registerDiagram(this.placement);
        this.charts$.subscribe(chartsConfig => {
            const { charts } = chartsConfig;
            if (!Object.keys(charts)?.length) {
                return false;
            }
            this.charts = charts;
            this.configurateAndBuildCharts(charts);
        });
    }
    configurateAndBuildCharts(charts) {
        const config = this.buildHighChartsLinearConfig(charts);
        this.buildChart(config);
    }
    buildHighChartsLinearConfig(chartsValues) {
        const config = {
            ...cloneDeep(CONFIG_HELPER['pie-conf']),
            legend: { enabled: false },
        };
        if (this.additionalProperty === 'pie') {
            config.chart.type = 'pie';
        }
        return {
            ...config,
            series: [chartsValues],
        };
    }
    buildChart(config) {
        this.highchart.setOptions({ lang: { thousandsSep: ',' } });
        this.chartInstance = this.highchart.chart(this.pieChart.nativeElement, config);
    }
}
PieComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: PieComponent, deps: [{ token: DiagramsService }], target: i0.ɵɵFactoryTarget.Component });
PieComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.3.0", type: PieComponent, selector: "pie", inputs: { placement: "placement", name: "name", additionalProperty: "additionalProperty" }, viewQueries: [{ propertyName: "pieChart", first: true, predicate: ["pieChart"], descendants: true }], ngImport: i0, template: "<div #pieChart class=\"pie-chart\"></div>\n", changeDetection: i0.ChangeDetectionStrategy.OnPush });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: PieComponent, decorators: [{
            type: Component,
            args: [{ selector: 'pie', changeDetection: ChangeDetectionStrategy.OnPush, template: "<div #pieChart class=\"pie-chart\"></div>\n" }]
        }], ctorParameters: function () { return [{ type: DiagramsService }]; }, propDecorators: { placement: [{
                type: Input
            }], name: [{
                type: Input
            }], additionalProperty: [{
                type: Input
            }], pieChart: [{
                type: ViewChild,
                args: ['pieChart']
            }] } });

class LinearComponent {
    constructor(diagramsService) {
        this.diagramsService = diagramsService;
        this.additionalProperty = 'default';
        this.charts$ = new BehaviorSubject(null);
        this.charts = null;
        this.total = 0;
        this.highchart = Highcharts;
        this.sections = [];
        this.selectedSection = null;
        this.sectionSortOrder = ['Impressions', 'Clicks', 'Conversions', 'Spend'];
    }
    ngOnInit() {
        this.chartViewType = this.additionalProperty;
        this.charts$ = this.diagramsService.registerDiagram(this.placement);
        this.charts$.subscribe((chartsConfig) => {
            const getSections = this.getSections(chartsConfig);
            if (getSections) {
                this.sections = this.sortSections(getSections.sections);
                this.selectedSection = getSections.selected;
            }
            const { charts } = chartsConfig;
            if (!Object.keys(charts)?.length) {
                return false;
            }
            this.charts = charts;
            this.configurateAndBuildCharts(charts);
        });
    }
    ngOnChanges() {
        if (this.charts) {
            this.configurateAndBuildCharts(this.charts);
        }
    }
    sortSections(sections) {
        return sections.sort((a, b) => {
            let indexA = this.sectionSortOrder.indexOf(a.name);
            let indexB = this.sectionSortOrder.indexOf(b.name);
            if (indexA === -1) {
                indexA = this.sectionSortOrder.length;
            }
            if (indexB === -1) {
                indexB = this.sectionSortOrder.length;
            }
            return indexA - indexB;
        });
    }
    getSections(chartsConfig) {
        const sections = chartsConfig.chartsSections;
        if (!sections) {
            return null;
        }
        if (!this.selectedSection) {
            this.selectedSection = sections?.find((item) => item?.selectedByDefault)?.dbKey;
        }
        const selected = this.selectedSection !== null && sections?.find((item) => item?.dbKey === this.selectedSection)
            ? this.selectedSection
            : sections?.[0]?.dbKey;
        return { sections, selected };
    }
    configurateAndBuildCharts(charts) {
        let config = this.buildHighChartsLinearConfig(charts);
        if (this.customConfig) {
            config = {
                ...config,
                ...cloneDeep(this.customConfig),
            };
        }
        this.buildChart(config);
    }
    buildHighChartsLinearConfig(chartsValues) {
        const dates = chartsValues.dates;
        const values = chartsValues.charts || {};
        const config = values?.[this.selectedSection]?.length > 1
            ? cloneDeep(CONFIG_HELPER['highcharts-conf'])
            : { ...cloneDeep(CONFIG_HELPER['highcharts-conf']), legend: { enabled: false } };
        if (this.additionalProperty === 'percentage') {
            config.plotOptions.area['stacking'] = 'percent';
        }
        if (this.additionalProperty === 'pie') {
            config.chart.type = 'pie';
        }
        values[this.selectedSection] = values?.[this.selectedSection]?.map((item) => ({
            ...item,
            marker: {
                symbol: 'circle',
                radius: 4,
                states: { hover: { radius: 6 } },
                lineWidth: 1,
            },
        }));
        return {
            ...config,
            xAxis: {
                ...config.xAxis,
                categories: dates,
            },
            series: values[this.selectedSection],
        };
    }
    buildChart(config) {
        this.highchart.setOptions({ lang: { thousandsSep: ',' } });
        config.plotOptions['series'] = this.seriesClickHandler();
        this.chartInstance = this.highchart.chart(this.linearChart?.nativeElement, config);
    }
    changeChartView(chartView) {
        this.chartViewType = chartView;
        this.configurateAndBuildCharts(this.charts);
    }
    changeCurrentSection(section) {
        this.selectedSection = section;
        this.configurateAndBuildCharts(this.charts);
    }
    applyChanges() {
        this.configurateAndBuildCharts(this.charts);
    }
    getSelectedSectionName() {
        return this.sections.find((item) => item.dbKey === this.selectedSection)?.name;
    }
    seriesClickHandler() {
        return {
            events: {
                legendItemClick(event) {
                    const chart = this.chart;
                    if (event.browserEvent.ctrlKey || event.browserEvent.metaKey) {
                        if (event.target.visible) {
                            chart.series.find((item) => item.index === event.target.index).hide();
                        }
                        else {
                            chart.series.find((item) => item.index === event.target.index).show();
                        }
                    }
                    else {
                        const visibleCount = chart.series.filter((item) => item.visible).length;
                        if (visibleCount === 1 && event.target.visible) {
                            chart.series.forEach((s) => {
                                if (!s.visible) {
                                    s.show();
                                }
                            });
                        }
                        else if (!event.target.visible) {
                            chart.series.find((item) => item.index === event.target.index).show();
                        }
                        else {
                            chart.series.forEach((legend) => {
                                if (legend.index === event.target.index) {
                                    legend.show();
                                }
                                else {
                                    legend.hide();
                                }
                            });
                        }
                    }
                    return false;
                },
            },
        };
    }
}
LinearComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: LinearComponent, deps: [{ token: DiagramsService }], target: i0.ɵɵFactoryTarget.Component });
LinearComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.3.0", type: LinearComponent, selector: "linear", inputs: { placement: "placement", name: "name", additionalProperty: "additionalProperty", customConfig: "customConfig" }, viewQueries: [{ propertyName: "linearChart", first: true, predicate: ["linearChart"], descendants: true }], usesOnChanges: true, ngImport: i0, template: "<div class=\"box-header\">\n  <div class=\"row\">\n    <div class=\"col-xs-8\"></div>\n    <div class=\"col-xs-4 dropdown dropdown-wrapper linear-dropdown\">\n      <button\n        class=\"button pull-right dropdown dropdown-wrapper dropdown-toggle\"\n        [class.open]=\"dropdownVisible\"\n        #chartSettingsButton\n        type=\"button\"\n      >\n        <span class=\"dropdown-title\">Metric:</span>\n        {{ getSelectedSectionName() }}\n        <span class=\"material-icons material-icons-outlined\">arrow_drop_down</span>\n      </button>\n      <epom-dropdown\n        [toggleButton]=\"chartSettingsButton\"\n        [closeDropdownOnSelection]=\"true\"\n        (visibilityChange)=\"dropdownVisible = $event\"\n      >\n        <ul class=\"dropdown dropdown-left\">\n          <li *ngFor=\"let section of sections\">\n            <a [class.active]=\"selectedSection === section.dbKey\" (click)=\"changeCurrentSection(section.dbKey)\">\n              {{ section.name }}\n            </a>\n          </li>\n        </ul>\n      </epom-dropdown>\n    </div>\n  </div>\n</div>\n\n<div #linearChart class=\"linear-chart\"></div>\n", styles: ["::ng-deep g.highcharts-label.highcharts-tooltip{filter:drop-shadow(0px 0px 1px rgba(255,255,255,.4)) drop-shadow(-1px 0px 20px rgba(24,28,34,.05)) drop-shadow(0px 4px 4px rgba(0,0,0,.25))}.linear-chart{margin-top:16px}.linear-dropdown{padding:0;margin-right:15px;width:224px;float:right}.linear-dropdown button{width:100%}:host ::ng-deep .highcharts-point{stroke-width:0!important}:host ::ng-deep .highcharts-point.highcharts-point-hover{stroke-width:1!important}\n"], dependencies: [{ kind: "directive", type: i1$1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "component", type: DropdownComponentClass, selector: "epom-dropdown", inputs: ["toggleButton", "position", "marginTop", "width", "state", "closeDropdownOnSelection"], outputs: ["close", "visibilityChange"] }], changeDetection: i0.ChangeDetectionStrategy.OnPush });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: LinearComponent, decorators: [{
            type: Component,
            args: [{ selector: 'linear', changeDetection: ChangeDetectionStrategy.OnPush, template: "<div class=\"box-header\">\n  <div class=\"row\">\n    <div class=\"col-xs-8\"></div>\n    <div class=\"col-xs-4 dropdown dropdown-wrapper linear-dropdown\">\n      <button\n        class=\"button pull-right dropdown dropdown-wrapper dropdown-toggle\"\n        [class.open]=\"dropdownVisible\"\n        #chartSettingsButton\n        type=\"button\"\n      >\n        <span class=\"dropdown-title\">Metric:</span>\n        {{ getSelectedSectionName() }}\n        <span class=\"material-icons material-icons-outlined\">arrow_drop_down</span>\n      </button>\n      <epom-dropdown\n        [toggleButton]=\"chartSettingsButton\"\n        [closeDropdownOnSelection]=\"true\"\n        (visibilityChange)=\"dropdownVisible = $event\"\n      >\n        <ul class=\"dropdown dropdown-left\">\n          <li *ngFor=\"let section of sections\">\n            <a [class.active]=\"selectedSection === section.dbKey\" (click)=\"changeCurrentSection(section.dbKey)\">\n              {{ section.name }}\n            </a>\n          </li>\n        </ul>\n      </epom-dropdown>\n    </div>\n  </div>\n</div>\n\n<div #linearChart class=\"linear-chart\"></div>\n", styles: ["::ng-deep g.highcharts-label.highcharts-tooltip{filter:drop-shadow(0px 0px 1px rgba(255,255,255,.4)) drop-shadow(-1px 0px 20px rgba(24,28,34,.05)) drop-shadow(0px 4px 4px rgba(0,0,0,.25))}.linear-chart{margin-top:16px}.linear-dropdown{padding:0;margin-right:15px;width:224px;float:right}.linear-dropdown button{width:100%}:host ::ng-deep .highcharts-point{stroke-width:0!important}:host ::ng-deep .highcharts-point.highcharts-point-hover{stroke-width:1!important}\n"] }]
        }], ctorParameters: function () { return [{ type: DiagramsService }]; }, propDecorators: { placement: [{
                type: Input
            }], name: [{
                type: Input
            }], additionalProperty: [{
                type: Input
            }], customConfig: [{
                type: Input
            }], linearChart: [{
                type: ViewChild,
                args: ['linearChart']
            }] } });

class DiagramComponent {
    constructor(diagramsService, spinner) {
        this.diagramsService = diagramsService;
        this.spinner = spinner;
        this.types = [];
        this.width = 6;
        this.classes = {};
        this.views = [];
        this.states = STATES;
        this.state = STATES.PENDING;
    }
    ngOnInit() {
        this.setViews(this.types);
        this.diagramsService.registerPlacement(this.id);
        this.diagramsService.setValues(this.id, this.charts);
        [this.currentView] = this.views;
        this.classes = { ...DEFAULT_CLASSES, ...this.classes };
        this.diagramsService.emitEvent.subscribe(success => {
            if (success && success.event === 'RecievedNewData') {
                this.state = this.checkData(success.data.chartData);
                if (this.state === STATES.DATA) {
                    this.spinner.close('charts-no-data');
                }
                else {
                    this.spinner.open('charts-no-data');
                }
            }
            if (success && success.event === '400 Error') {
                this.spinner.open('charts-no-data');
            }
        });
    }
    ngAfterViewInit() {
        if (this.charts.hasOwnProperty('chartsSections')) {
            this.chart = this.charts.chartsSections[0].dbKey;
        }
    }
    ngOnChanges() {
        this.diagramsService.setValues(this.id, this.charts);
    }
    ngOnDestroy() {
        this.diagramsService.emitEvent.next(null);
    }
    checkData(charts) {
        const hasValues = charts.some((chart) => {
            return chart.result.length;
        });
        return hasValues ? this.states.DATA : this.states.EMPTY;
    }
    setViews(types) {
        const typesArray = this.convertTypesToTypesArray(types);
        this.views = this.getViews(typesArray);
    }
    addViews(types, position) {
        const typesArray = this.convertTypesToTypesArray(types);
        const views = this.getViews(typesArray);
        this.views = this.addNewViewInCurrentPosition(views, position);
    }
    switchCurrentView(view) {
        this.currentView = view;
    }
    convertTypesToTypesArray(types) {
        return (Array.isArray(types)) ? types : [types];
    }
    convertViewForTemplate(typesArray) {
        return typesArray
            .filter(view => !isNaN(view))
            .map(view => DiagramTypes[view]);
    }
    getQniqueViews(views) {
        return views.filter(view => !this.views.includes(DiagramTypes[view]));
    }
    getViews(typesArray) {
        const views = this.convertViewForTemplate(typesArray);
        return this.getQniqueViews(views);
    }
    addNewViewInCurrentPosition(view, position) {
        const viewLocalCopy = [...this.views];
        const beforeNewView = viewLocalCopy.splice(0, position);
        return [...beforeNewView, ...view, ...viewLocalCopy];
    }
}
DiagramComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: DiagramComponent, deps: [{ token: DiagramsService }, { token: SpinnerService }], target: i0.ɵɵFactoryTarget.Component });
DiagramComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.3.0", type: DiagramComponent, selector: "diagram", inputs: { types: "types", id: ["placement", "id"], charts: "charts", placeholderConfig: "placeholderConfig", name: "name", width: ["gridWidth", "width"], classes: ["additionalClasses", "classes"], additionalProperty: ["additionalDiagramProperty", "additionalProperty"], customConfig: ["config", "customConfig"] }, usesOnChanges: true, ngImport: i0, template: "<div class=\"component-container component-diagram-container\">\n    <div class=\"col-md-{{width}} col-xlg-{{width/2}} {{classes.col}}\" #chartsData>\n        <div class=\"box-primary box-diagram {{classes.box}}\">\n            <div class=\"box-header\" *ngIf=\"name || views.length > 1\">\n                <div class=\"row\">\n                    <div class=\"col-xs-{{width}}\">\n                        {{name}}\n                    </div>\n                    <div class=\"col-xs-{{width}}\">\n                        <ul class=\"list-select list-type-select\" *ngIf=\"views.length > 1\">\n                            <li *ngFor=\"let view of views\" [ngClass]=\"{active: view === currentView}\" (click)=\"switchCurrentView(view)\">\n                                <i [ngClass]=\"{\n                                'icon-chart_horizontal': view === 'horizontalHistogram',\n                                'icon-pie': view === 'pie',\n                                'icon-linear': view === 'linear'\n                                }\" ></i>\n                            </li>\n                        </ul>\n                    </div>\n                </div>\n            </div>\n            <div *ngIf=\"currentView === 'horizontalHistogram'\" class=\"box-table\">\n                <histogram [placement]=\"id\"></histogram>\n            </div>\n            <div *ngIf=\"currentView === 'pie'\" class=\"box-table\">\n                <pie [placement]=\"id\" [name]=\"name\" [additionalProperty]=\"additionalProperty\"></pie>\n            </div>\n            <div *ngIf=\"currentView === 'linear'\" class=\"box-table\">\n                <linear [placement]=\"id\" [name]=\"name\" [additionalProperty]=\"additionalProperty\" [customConfig]=\"customConfig\"></linear>\n            </div>\n        </div>\n    </div>\n    <epom-spinner-charts-no-data\n      placement=\"charts-no-data\"\n      [toggleFadeElement]=\"chartsData\"\n      [config] = \"placeholderConfig\"\n    >\n    </epom-spinner-charts-no-data>\n</div>\n", dependencies: [{ kind: "directive", type: i1$1.NgClass, selector: "[ngClass]", inputs: ["class", "ngClass"] }, { kind: "directive", type: i1$1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "component", type: SpinnerChartsNoDataComponent, selector: "epom-spinner-charts-no-data", inputs: ["placement", "config", "toggleFadeElement", "autoopen"] }, { kind: "component", type: HistogramComponent, selector: "histogram", inputs: ["placement"] }, { kind: "component", type: PieComponent, selector: "pie", inputs: ["placement", "name", "additionalProperty"] }, { kind: "component", type: LinearComponent, selector: "linear", inputs: ["placement", "name", "additionalProperty", "customConfig"] }], changeDetection: i0.ChangeDetectionStrategy.OnPush });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: DiagramComponent, decorators: [{
            type: Component,
            args: [{ selector: 'diagram', changeDetection: ChangeDetectionStrategy.OnPush, template: "<div class=\"component-container component-diagram-container\">\n    <div class=\"col-md-{{width}} col-xlg-{{width/2}} {{classes.col}}\" #chartsData>\n        <div class=\"box-primary box-diagram {{classes.box}}\">\n            <div class=\"box-header\" *ngIf=\"name || views.length > 1\">\n                <div class=\"row\">\n                    <div class=\"col-xs-{{width}}\">\n                        {{name}}\n                    </div>\n                    <div class=\"col-xs-{{width}}\">\n                        <ul class=\"list-select list-type-select\" *ngIf=\"views.length > 1\">\n                            <li *ngFor=\"let view of views\" [ngClass]=\"{active: view === currentView}\" (click)=\"switchCurrentView(view)\">\n                                <i [ngClass]=\"{\n                                'icon-chart_horizontal': view === 'horizontalHistogram',\n                                'icon-pie': view === 'pie',\n                                'icon-linear': view === 'linear'\n                                }\" ></i>\n                            </li>\n                        </ul>\n                    </div>\n                </div>\n            </div>\n            <div *ngIf=\"currentView === 'horizontalHistogram'\" class=\"box-table\">\n                <histogram [placement]=\"id\"></histogram>\n            </div>\n            <div *ngIf=\"currentView === 'pie'\" class=\"box-table\">\n                <pie [placement]=\"id\" [name]=\"name\" [additionalProperty]=\"additionalProperty\"></pie>\n            </div>\n            <div *ngIf=\"currentView === 'linear'\" class=\"box-table\">\n                <linear [placement]=\"id\" [name]=\"name\" [additionalProperty]=\"additionalProperty\" [customConfig]=\"customConfig\"></linear>\n            </div>\n        </div>\n    </div>\n    <epom-spinner-charts-no-data\n      placement=\"charts-no-data\"\n      [toggleFadeElement]=\"chartsData\"\n      [config] = \"placeholderConfig\"\n    >\n    </epom-spinner-charts-no-data>\n</div>\n" }]
        }], ctorParameters: function () { return [{ type: DiagramsService }, { type: SpinnerService }]; }, propDecorators: { types: [{
                type: Input,
                args: ['types']
            }], id: [{
                type: Input,
                args: ['placement']
            }], charts: [{
                type: Input,
                args: ['charts']
            }], placeholderConfig: [{
                type: Input,
                args: ['placeholderConfig']
            }], name: [{
                type: Input,
                args: ['name']
            }], width: [{
                type: Input,
                args: ['gridWidth']
            }], classes: [{
                type: Input,
                args: ['additionalClasses']
            }], additionalProperty: [{
                type: Input,
                args: ['additionalDiagramProperty']
            }], customConfig: [{
                type: Input,
                args: ['config']
            }] } });

class DiagramsModule {
}
DiagramsModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: DiagramsModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
DiagramsModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "14.3.0", ngImport: i0, type: DiagramsModule, declarations: [DiagramComponent,
        HistogramComponent,
        PieComponent,
        LinearComponent], imports: [BrowserModule,
        SpinnerModule,
        CommonModule,
        DropdownModule], exports: [DiagramComponent] });
DiagramsModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: DiagramsModule, providers: [
        DiagramsService,
    ], imports: [BrowserModule,
        SpinnerModule,
        CommonModule,
        DropdownModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: DiagramsModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [
                        BrowserModule,
                        SpinnerModule,
                        CommonModule,
                        DropdownModule,
                    ],
                    providers: [
                        DiagramsService,
                    ],
                    declarations: [
                        DiagramComponent,
                        HistogramComponent,
                        PieComponent,
                        LinearComponent,
                    ],
                    exports: [
                        DiagramComponent,
                    ],
                }]
        }] });

class InputCounterComponent {
    constructor() {
        this.step = 0.01;
        this.minQuantity = 0;
        this.showIcon = false;
        this.iconColor = 'var(--themePrimButtonsBg-color)';
        this.isMaterialIcon = true;
        this.showQuantityButton = true;
        this.placeholder = '';
        this.isReadOnly = false;
        this.iconPosition = 'left';
        this.isIconOperationSign = false;
    }
    get isInvalid() {
        return this.formControl.invalid;
    }
    get isDirty() {
        return this.formControl.dirty;
    }
    get value() {
        return Number(this.formControl.value);
    }
    increaseQuantity() {
        if (!this.maxQuantity || this.value < this.maxQuantity) {
            const value = Math.round((this.value + Number(this.step)) * 100) / 100;
            this.onQuantityChange(value);
        }
    }
    decreaseQuantity() {
        if (!this.minQuantity || this.value > this.minQuantity) {
            const value = Math.round((this.value - Number(this.step)) * 100) / 100;
            this.onQuantityChange(value);
        }
    }
    onQuantityChange(event) {
        if (event) {
            this.formControl.setValue(event);
        }
    }
}
InputCounterComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: InputCounterComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
InputCounterComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.3.0", type: InputCounterComponent, selector: "epom-input-counter", inputs: { step: "step", minQuantity: "minQuantity", maxQuantity: "maxQuantity", icon: "icon", formControl: "formControl", showIcon: "showIcon", iconColor: "iconColor", isMaterialIcon: "isMaterialIcon", showQuantityButton: "showQuantityButton", placeholder: "placeholder", isReadOnly: "isReadOnly", iconPosition: "iconPosition", isIconOperationSign: "isIconOperationSign" }, host: { properties: { "class.ng-invalid": "this.isInvalid", "class.ng-dirty": "this.isDirty" } }, ngImport: i0, template: "<div class=\"input-container form-control-wrapper\" [ngClass]=\"{'input-with-buttons': showQuantityButton}\">\n  <div class=\"quantity\">\n    <span\n      *ngIf=\"showIcon\"\n      [ngStyle]=\"{color: iconColor}\"\n      [class]=\"'icon ' + iconPosition\"\n      [ngClass]=\"{\n        'material-icons material-icons-outlined arrow-up': isMaterialIcon,\n        'operation-sign': isIconOperationSign\n      }\"\n      >{{ icon }}\n    </span>\n    <input\n      class=\"form-control\"\n      type=\"number\"\n      [ngClass]=\"{\n        'input-with-icon': showIcon && iconPosition === 'left',\n        'input-with-operation-sign': showIcon && iconPosition === 'left' && isIconOperationSign\n      }\"\n      [min]=\"minQuantity\"\n      [max]=\"maxQuantity\"\n      [step]=\"step\"\n      [formControl]=\"formControl\"\n      [placeholder]=\"placeholder\"\n      [readonly]=\"isReadOnly\"\n    />\n    <div class=\"quantity-nav\" *ngIf=\"showQuantityButton\">\n      <div class=\"quantity-button quantity-up\" (click)=\"increaseQuantity()\">\n        <span class=\"material-icons material-icons-outlined arrow-up\">arrow_drop_up</span>\n      </div>\n      <div class=\"quantity-button quantity-down\" (click)=\"decreaseQuantity()\">\n        <span class=\"material-icons material-icons-outlined arrow-down\">arrow_drop_down</span>\n      </div>\n    </div>\n  </div>\n</div>\n", styles: [".input-container{position:relative;max-width:720px}.input-container input{width:100%;padding-left:20px}.input-container .icon{position:absolute;left:12px;width:12px;font-size:20px;z-index:1}.input-container .icon.operation-sign{display:flex;justify-content:center;width:17px;font-size:14px;height:21px}.input-container .right{right:12px;left:auto}.input-container .icon.material-icons{width:20px;height:20px}.quantity{display:flex;align-items:center;position:relative}input[type=number]::-webkit-inner-spin-button,input[type=number]::-webkit-outer-spin-button{-webkit-appearance:none;margin:0}input[type=number]{-moz-appearance:textfield}.quantity input{height:36px;float:left;display:block;margin:0;padding:7px 30px 8px 12px;border:1px solid var(--neutral-outline-variant-color, #c4c6d0)}.quantity .input-with-icon{padding:7px 12px 8px 40px}.quantity .input-with-operation-sign{padding:7px 12px 8px 37px}.input-with-buttons .quantity .input-with-icon{padding:7px 30px 8px 28px}.quantity input:focus{outline:0}.quantity-nav{float:left;position:relative;height:36px}.quantity-button{position:relative;cursor:pointer;border:1px solid var(--neutral-outline-variant-color, #c4c6d0);width:20px;height:18px;text-align:center;color:var(--light-basic-outline, #74777f);transform:translate(-21px);-webkit-user-select:none;user-select:none}.quantity-button span{font-size:18px}.quantity-button:hover{background-color:var(--neutral-on-main-neutral-8-color, rgba(68, 71, 79, .08));border:1px solid var(--neutral-outline-variant-color, #c4c6d0)}.quantity-button:active{background-color:var(--neutral-on-main-neutral-12-color, rgba(68, 71, 79, .08));border:1px solid var(--neutral-outline-variant-color, #c4c6d0)}.quantity-button.quantity-up{position:absolute;height:calc(50% - 1px);top:1px;border-top:none;border-right:none;border-top-right-radius:3px;border-bottom:1px solid var(--neutral-outline-variant-color, #c4c6d0)}.quantity-button.quantity-down{position:absolute;bottom:1px;height:calc(50% - 1px);border-bottom:none;border-right:none;border-bottom-right-radius:3px;border-top:none}:host.form-control{padding:0;border:0;background:transparent!important}\n"], dependencies: [{ kind: "directive", type: i2.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i2.NumberValueAccessor, selector: "input[type=number][formControlName],input[type=number][formControl],input[type=number][ngModel]" }, { kind: "directive", type: i2.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i2.MinValidator, selector: "input[type=number][min][formControlName],input[type=number][min][formControl],input[type=number][min][ngModel]", inputs: ["min"] }, { kind: "directive", type: i2.MaxValidator, selector: "input[type=number][max][formControlName],input[type=number][max][formControl],input[type=number][max][ngModel]", inputs: ["max"] }, { kind: "directive", type: i1$1.NgClass, selector: "[ngClass]", inputs: ["class", "ngClass"] }, { kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i2.FormControlDirective, selector: "[formControl]", inputs: ["formControl", "disabled", "ngModel"], outputs: ["ngModelChange"], exportAs: ["ngForm"] }, { kind: "directive", type: i1$1.NgStyle, selector: "[ngStyle]", inputs: ["ngStyle"] }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: InputCounterComponent, decorators: [{
            type: Component,
            args: [{ selector: 'epom-input-counter', template: "<div class=\"input-container form-control-wrapper\" [ngClass]=\"{'input-with-buttons': showQuantityButton}\">\n  <div class=\"quantity\">\n    <span\n      *ngIf=\"showIcon\"\n      [ngStyle]=\"{color: iconColor}\"\n      [class]=\"'icon ' + iconPosition\"\n      [ngClass]=\"{\n        'material-icons material-icons-outlined arrow-up': isMaterialIcon,\n        'operation-sign': isIconOperationSign\n      }\"\n      >{{ icon }}\n    </span>\n    <input\n      class=\"form-control\"\n      type=\"number\"\n      [ngClass]=\"{\n        'input-with-icon': showIcon && iconPosition === 'left',\n        'input-with-operation-sign': showIcon && iconPosition === 'left' && isIconOperationSign\n      }\"\n      [min]=\"minQuantity\"\n      [max]=\"maxQuantity\"\n      [step]=\"step\"\n      [formControl]=\"formControl\"\n      [placeholder]=\"placeholder\"\n      [readonly]=\"isReadOnly\"\n    />\n    <div class=\"quantity-nav\" *ngIf=\"showQuantityButton\">\n      <div class=\"quantity-button quantity-up\" (click)=\"increaseQuantity()\">\n        <span class=\"material-icons material-icons-outlined arrow-up\">arrow_drop_up</span>\n      </div>\n      <div class=\"quantity-button quantity-down\" (click)=\"decreaseQuantity()\">\n        <span class=\"material-icons material-icons-outlined arrow-down\">arrow_drop_down</span>\n      </div>\n    </div>\n  </div>\n</div>\n", styles: [".input-container{position:relative;max-width:720px}.input-container input{width:100%;padding-left:20px}.input-container .icon{position:absolute;left:12px;width:12px;font-size:20px;z-index:1}.input-container .icon.operation-sign{display:flex;justify-content:center;width:17px;font-size:14px;height:21px}.input-container .right{right:12px;left:auto}.input-container .icon.material-icons{width:20px;height:20px}.quantity{display:flex;align-items:center;position:relative}input[type=number]::-webkit-inner-spin-button,input[type=number]::-webkit-outer-spin-button{-webkit-appearance:none;margin:0}input[type=number]{-moz-appearance:textfield}.quantity input{height:36px;float:left;display:block;margin:0;padding:7px 30px 8px 12px;border:1px solid var(--neutral-outline-variant-color, #c4c6d0)}.quantity .input-with-icon{padding:7px 12px 8px 40px}.quantity .input-with-operation-sign{padding:7px 12px 8px 37px}.input-with-buttons .quantity .input-with-icon{padding:7px 30px 8px 28px}.quantity input:focus{outline:0}.quantity-nav{float:left;position:relative;height:36px}.quantity-button{position:relative;cursor:pointer;border:1px solid var(--neutral-outline-variant-color, #c4c6d0);width:20px;height:18px;text-align:center;color:var(--light-basic-outline, #74777f);transform:translate(-21px);-webkit-user-select:none;user-select:none}.quantity-button span{font-size:18px}.quantity-button:hover{background-color:var(--neutral-on-main-neutral-8-color, rgba(68, 71, 79, .08));border:1px solid var(--neutral-outline-variant-color, #c4c6d0)}.quantity-button:active{background-color:var(--neutral-on-main-neutral-12-color, rgba(68, 71, 79, .08));border:1px solid var(--neutral-outline-variant-color, #c4c6d0)}.quantity-button.quantity-up{position:absolute;height:calc(50% - 1px);top:1px;border-top:none;border-right:none;border-top-right-radius:3px;border-bottom:1px solid var(--neutral-outline-variant-color, #c4c6d0)}.quantity-button.quantity-down{position:absolute;bottom:1px;height:calc(50% - 1px);border-bottom:none;border-right:none;border-bottom-right-radius:3px;border-top:none}:host.form-control{padding:0;border:0;background:transparent!important}\n"] }]
        }], propDecorators: { step: [{
                type: Input
            }], minQuantity: [{
                type: Input
            }], maxQuantity: [{
                type: Input
            }], icon: [{
                type: Input
            }], formControl: [{
                type: Input
            }], showIcon: [{
                type: Input
            }], iconColor: [{
                type: Input
            }], isMaterialIcon: [{
                type: Input
            }], showQuantityButton: [{
                type: Input
            }], placeholder: [{
                type: Input
            }], isReadOnly: [{
                type: Input
            }], iconPosition: [{
                type: Input,
                args: ['iconPosition']
            }], isIconOperationSign: [{
                type: Input,
                args: ['isIconOperationSign']
            }], isInvalid: [{
                type: HostBinding,
                args: ['class.ng-invalid']
            }], isDirty: [{
                type: HostBinding,
                args: ['class.ng-dirty']
            }] } });

class InputCounterModule {
}
InputCounterModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: InputCounterModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
InputCounterModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "14.3.0", ngImport: i0, type: InputCounterModule, declarations: [InputCounterComponent], imports: [FormsModule, NgClass, NgIf, ReactiveFormsModule, NgStyle], exports: [InputCounterComponent] });
InputCounterModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: InputCounterModule, imports: [FormsModule, ReactiveFormsModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: InputCounterModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [FormsModule, NgClass, NgIf, ReactiveFormsModule, NgStyle],
                    declarations: [InputCounterComponent],
                    exports: [InputCounterComponent],
                    providers: [],
                }]
        }] });

class HTMLMetaService {
    constructor(titleService, store) {
        this.titleService = titleService;
        this.store = store;
    }
    setTitle(title) {
        const storeData = this.store.get('settingsWL');
        if (!storeData || !storeData.companyName) {
            this.titleService.setTitle(`${title}`);
        }
        else {
            this.titleService.setTitle(`${title} | ${storeData.companyName}`);
        }
    }
}
HTMLMetaService.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: HTMLMetaService, deps: [{ token: i1$4.Title }, { token: StorageService }], target: i0.ɵɵFactoryTarget.Injectable });
HTMLMetaService.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: HTMLMetaService });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: HTMLMetaService, decorators: [{
            type: Injectable
        }], ctorParameters: function () { return [{ type: i1$4.Title }, { type: StorageService }]; } });

/*
 * Public API Surface of epom-ng2-html-meta-service
 */

const keyboardCodes = {
    escape: 27,
    enter: 13,
    arrowRight: 39,
    arrowLeft: 37,
    arrowUp: 38,
    arrowDown: 40,
    tab: 9,
    shift: 16,
    control: 17,
    alt: 18,
    meta: 91,
    backspace: 8,
    space: 327,
    a: 65,
    b: 66,
    c: 67,
    d: 68,
    e: 69,
    f: 70,
    g: 71,
    h: 72,
    i: 73,
    j: 74,
    k: 75,
    l: 76,
    m: 77,
    n: 78,
    o: 79,
    p: 80,
    q: 81,
    r: 82,
    s: 83,
    t: 84,
    u: 85,
    w: 87,
    v: 86,
    x: 88,
    y: 89,
    z: 90,
    1: 49,
    2: 50,
    3: 51,
    4: 52,
    5: 53,
    6: 54,
    7: 55,
    8: 56,
    9: 57,
    0: 48,
    '-': 189,
    '=': 187,
};

class KeyboardService {
    constructor() {
        this.logger = loggerCreate(this.constructor['name']);
        this.logger.log('KeyboardService loaded');
    }
    listen(keyNameOrKeyNames) {
        const listenKeys = (typeof keyNameOrKeyNames === 'string') ? [keyNameOrKeyNames] : keyNameOrKeyNames;
        this.logger.log(`Someone wants listen «${listenKeys.join('», «')}»`);
        const listenedKeyNames = listenKeys.filter(keyName => keyboardCodes[keyName]);
        const listenedKeyNamesMissed = listenKeys.filter(keyName => !keyboardCodes[keyName]);
        const listenedKeyCodes = listenedKeyNames.map(keyName => keyboardCodes[keyName]);
        if (listenedKeyCodes.length) {
            if (listenedKeyNamesMissed.length) {
                this.logger.error(`KeyCode missed for «${listenedKeyNamesMissed.join('», «')}»`);
            }
            this.logger.log(`Keyboard listener added for «${listenedKeyNames.join('», «')}» (${listenedKeyCodes.join('), (')})`);
            return fromEvent(document, 'keyup').pipe(filter((keyEvent) => listenedKeyCodes.includes(keyEvent.keyCode) && keyEvent.nodeName !== 'INPUT'), map((keyEvent) => Object.keys(keyboardCodes).find(key => keyboardCodes[key] === keyEvent.keyCode)));
        }
        else {
            this.logger.error('KeyCodes missed');
            return EMPTY;
        }
    }
}
KeyboardService.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: KeyboardService, deps: [], target: i0.ɵɵFactoryTarget.Injectable });
KeyboardService.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: KeyboardService });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: KeyboardService, decorators: [{
            type: Injectable
        }], ctorParameters: function () { return []; } });

const LAYOUT_MEDIATOR_EVENTS = {
    SIDEBAR_TOGGLED: 'sidebarToggled',
    LAYOUT_CHANGED: 'layoutChanged',
};

const { SIDEBAR_TOGGLED, LAYOUT_CHANGED } = LAYOUT_MEDIATOR_EVENTS;
class LayoutChangeMediator {
    constructor(pubSub) {
        pubSub.$sub(SIDEBAR_TOGGLED, () => pubSub.$pub(LAYOUT_CHANGED));
    }
}

const USER_MEDIATOR_EVENTS = {
    USER_INFORMATION_CHANGED: 'userInfoChanged',
    USER_LOGGED_IN: 'userLoggedIn',
    USER_LOGGED_OUT: 'userLoggedOut',
    APP_USE_INFO_CHANGED_HOOK: 'appUseInfoChangedHook',
    APP_USE_LOGGED_IN_HOOK: 'appUseLoggedInHook',
    APP_USE_LOGGED_OUT_HOOK: 'appUseLoggedOutHook',
};

const { USER_INFORMATION_CHANGED, USER_LOGGED_IN, USER_LOGGED_OUT, APP_USE_INFO_CHANGED_HOOK, APP_USE_LOGGED_IN_HOOK, APP_USE_LOGGED_OUT_HOOK } = USER_MEDIATOR_EVENTS;
class UsersChangedMediator {
    constructor(pubSub) {
        pubSub.$sub(USER_INFORMATION_CHANGED, () => pubSub.$pub(APP_USE_INFO_CHANGED_HOOK));
        pubSub.$sub(USER_LOGGED_IN, () => pubSub.$pub(APP_USE_LOGGED_IN_HOOK));
        pubSub.$sub(USER_LOGGED_OUT, () => pubSub.$pub(APP_USE_LOGGED_OUT_HOOK));
    }
}

class NotifierService {
    constructor() {
        this.notifyFlow = new Subject();
        this.clearNotifiesFlow = new EventEmitter();
        this.chain = {};
        this.actionsFlow = new Subject();
    }
    pushNotify(notify, status, isPermamently = false, isDeletable = true, activeTime) {
        this.notifyFlow.next({ notify, status, isPermamently, isDeletable, activeTime });
    }
    clearAllNotifies() {
        this.clearNotifiesFlow.emit(true);
    }
    generateHash() {
        return Math.random();
    }
    parseArray(data, callback) {
        if (Array.isArray(data)) {
            for (const dataItem of data) {
                callback(dataItem);
            }
            data.forEach(callback.bind(this));
        }
        else if (!isNaN(data)) {
            callback(data);
        }
    }
    addAction(callback, time = 1500, blocker) {
        const hash = this.generateHash();
        this.actionsFlow.next({ 'pending': hash });
        this.chain[hash] = {
            blocker,
            cb: callback,
            timer: (time) ? setTimeout(() => {
                this.actionsFlow.next({ 'done': hash });
                callback();
                this.chain[hash] = undefined;
            }, time) : false,
        };
        return hash;
    }
    rejectAction(hash) {
        this.parseArray(hash, (hash) => {
            clearTimeout(this.chain[hash].timer);
            this.chain[hash] = undefined;
            this.actionsFlow.next({ 'rejected': hash });
        });
    }
    forceActions(hash) {
        this.parseArray(hash, (hash) => {
            clearTimeout(this.chain[hash].timer);
            this.chain[hash].cb();
            this.chain[hash] = undefined;
            this.actionsFlow.next({ 'done': hash });
        });
    }
    countActionsInProcess() {
        return Object.keys(this.chain).reduce((acc, item) => (this.chain.hasOwnProperty(item) && this.chain[item] && this.chain[item].blocker) ? acc + 1 : acc, 0);
    }
}
NotifierService.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: NotifierService, deps: [], target: i0.ɵɵFactoryTarget.Injectable });
NotifierService.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: NotifierService });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: NotifierService, decorators: [{
            type: Injectable
        }] });

class NotifierComponentClass {
    constructor(notifierService) {
        this.notifierService = notifierService;
        this.showTimer = 7000;
        this.max = 5;
        this.notifiesStack = [];
        this.timer$ = timer(10);
        this.notifySubscription = this.notifierService.notifyFlow.subscribe((response) => {
            const { notify, status, isPermamently, isDeletable } = response;
            const timer = isPermamently ? null : this.showTimer;
            const actionId = this.notifierService.addAction(() => this.clearNotification(actionId), timer);
            this.notifiesStack.push({ id: actionId, message: notify, type: status, begin: true, isDeletableNotifier: isDeletable });
            this.slide(actionId);
            if (this.notifiesStack.length > this.max) {
                this.notifiesStack.splice(0, 1);
            }
        });
        this.clearSubscription = this.notifierService.clearNotifiesFlow.subscribe(this.clearAllNotifies.bind(this));
    }
    clearNotification(id) {
        this.notifierService.rejectAction(id);
        for (let i = 0; i < this.notifiesStack.length; i += 1) {
            if (this.notifiesStack[i].id === id) {
                this.notifiesStack.splice(i, 1);
            }
        }
    }
    clearAllNotifies() {
        for (let i = 0; i < this.notifiesStack.length; i += 1) {
            this.notifierService.rejectAction(this.notifiesStack[i].id);
        }
        this.notifiesStack = [];
    }
    slide(id) {
        const currentNotify = this.notifiesStack.find((item) => item.id === id);
        this.timer$.subscribe(() => currentNotify.begin = false);
    }
    getNotificationIcon(type) {
        switch (type) {
            case 'success':
                return 'check_circle';
            case 'error':
                return 'error';
            case 'warning':
                return 'warning';
            case 'info':
                return 'info';
        }
    }
}
NotifierComponentClass.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: NotifierComponentClass, deps: [{ token: NotifierService }], target: i0.ɵɵFactoryTarget.Component });
NotifierComponentClass.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.3.0", type: NotifierComponentClass, selector: "epom-notifier", inputs: { showTimer: ["time", "showTimer"], max: ["maxNotes", "max"] }, ngImport: i0, template: "<div class=\"notifications-list\">\n  <ul>\n    <li *ngFor=\"let note of notifiesStack\" class=\"notifications-item\" [ngClass]=\"{'begin': note.begin}\">\n      <span class=\"material-icons {{note.type}}\">{{getNotificationIcon(note.type)}}</span>\n      <span class=\"notifications-text\">{{note.message}}</span>\n      <span class=\"material-icons material-icons-outlined close\"\n        *ngIf=\"note.isDeletableNotifier\"\n        (click)=\"clearNotification(note.id)\">close</span>\n    </li>\n  </ul>\n</div>\n", styles: [".notifications-list{position:fixed;bottom:24px;right:24px;z-index:99999;width:396px;padding:0}.notifications-list ul{margin:0;padding:0}.notifications-list li{gap:16px;display:flex;flex-wrap:nowrap;padding:16px;position:relative;line-height:21px;border-radius:4px;right:0;margin-top:8px;font-size:var(--font-body-2);font-weight:var(--font-weight-regular);transition:1s ease all;background:var(--neutral-inverse-surface-color, #2f3033);color:var(--neutral-on-inverse-surface-color, #f1f0f4)}span.material-icons{font-size:var(--font-headline-2);margin:3px 0 2px}span.material-icons.close{color:var(--outline-variant-light);font-size:var(--font-body-1);cursor:pointer;opacity:1}.notifications-text{width:100%;max-width:296px;overflow:auto;word-wrap:break-word}.notifications-item span.success{color:var(--success-container-color)}.notifications-item span.warning{color:var(--warning-container-color, #ffefd5)}.notifications-item span.info{color:var(--neutral-main-neutral-color, #ffffff)}.notifications-item span.error{color:var(--error-container-color, #ffdad6)}\n"], dependencies: [{ kind: "directive", type: i1$1.NgClass, selector: "[ngClass]", inputs: ["class", "ngClass"] }, { kind: "directive", type: i1$1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: NotifierComponentClass, decorators: [{
            type: Component,
            args: [{ selector: 'epom-notifier', template: "<div class=\"notifications-list\">\n  <ul>\n    <li *ngFor=\"let note of notifiesStack\" class=\"notifications-item\" [ngClass]=\"{'begin': note.begin}\">\n      <span class=\"material-icons {{note.type}}\">{{getNotificationIcon(note.type)}}</span>\n      <span class=\"notifications-text\">{{note.message}}</span>\n      <span class=\"material-icons material-icons-outlined close\"\n        *ngIf=\"note.isDeletableNotifier\"\n        (click)=\"clearNotification(note.id)\">close</span>\n    </li>\n  </ul>\n</div>\n", styles: [".notifications-list{position:fixed;bottom:24px;right:24px;z-index:99999;width:396px;padding:0}.notifications-list ul{margin:0;padding:0}.notifications-list li{gap:16px;display:flex;flex-wrap:nowrap;padding:16px;position:relative;line-height:21px;border-radius:4px;right:0;margin-top:8px;font-size:var(--font-body-2);font-weight:var(--font-weight-regular);transition:1s ease all;background:var(--neutral-inverse-surface-color, #2f3033);color:var(--neutral-on-inverse-surface-color, #f1f0f4)}span.material-icons{font-size:var(--font-headline-2);margin:3px 0 2px}span.material-icons.close{color:var(--outline-variant-light);font-size:var(--font-body-1);cursor:pointer;opacity:1}.notifications-text{width:100%;max-width:296px;overflow:auto;word-wrap:break-word}.notifications-item span.success{color:var(--success-container-color)}.notifications-item span.warning{color:var(--warning-container-color, #ffefd5)}.notifications-item span.info{color:var(--neutral-main-neutral-color, #ffffff)}.notifications-item span.error{color:var(--error-container-color, #ffdad6)}\n"] }]
        }], ctorParameters: function () { return [{ type: NotifierService }]; }, propDecorators: { showTimer: [{
                type: Input,
                args: ['time']
            }], max: [{
                type: Input,
                args: ['maxNotes']
            }] } });

class NotifierModule {
}
NotifierModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: NotifierModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
NotifierModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "14.3.0", ngImport: i0, type: NotifierModule, declarations: [NotifierComponentClass], imports: [CommonModule], exports: [NotifierComponentClass] });
NotifierModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: NotifierModule, providers: [NotifierService], imports: [CommonModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: NotifierModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [
                        CommonModule,
                    ],
                    exports: [NotifierComponentClass],
                    declarations: [NotifierComponentClass],
                    providers: [NotifierService],
                }]
        }] });

class PaginatorComponentClass {
    constructor(activated, router, langService, keyboardService, spinner) {
        this.activated = activated;
        this.router = router;
        this.langService = langService;
        this.keyboardService = keyboardService;
        this.spinner = spinner;
        this.viewStartLimit = 4;
        this.incomingData = null;
        this.outcomingData = null;
        this.isShowPaginatorOptions = false;
        this.pageValue = 1;
        this.perPage = 10;
        this.usePaginatorSpinner = true;
        this.noDataMode = false;
        this.totalRows = null;
        this.changePageEvent = new EventEmitter();
        this.dropdownVisible = false;
        this.dataArray = [];
        this.renderArray = [];
        this.paginationValuesArray = null;
        this.lang = this.langService;
        this.keyboardService.listen(['arrowRight', 'arrowLeft']).subscribe((pressedKey) => {
            if (!document.getElementsByTagName('epom-paginator')?.length ||
                (document.getElementsByTagName('epom-popup') &&
                    document.getElementsByTagName('epom-popup')[0].children[0].className === 'modal fade in show')) {
                return;
            }
            this.changePage(pressedKey === 'arrowRight' ? 'next' : 'prev');
        });
    }
    prepareData(sendData = true) {
        if (this.usePaginatorSpinner) {
            this.spinner.open();
        }
        if (this.dataLength === 0) {
            if (!this.noDataMode) {
                this.outcomingData.next([]);
                this.phrase = '0 items';
            }
            this.spinner.close();
            return false;
        }
        this.totalPages = Math.ceil(this.dataLength / this.perPage);
        this.renderArray = [];
        this.currentPageIndex = this.pageValue - 1;
        // Render first page if user asked for non-existing page
        if (this.currentPageIndex >= this.totalPages) {
            this.changePage(1, true);
            this.spinner.close();
            return false;
        }
        this.dataStartIndex = this.currentPageIndex * this.perPage;
        this.dataEndIndex = this.dataStartIndex + this.perPage;
        this.dataEndIndex = this.dataEndIndex < this.dataLength ? this.dataEndIndex : this.dataLength;
        // need to include lodash
        this.renderArray = [];
        for (const i of range(this.dataStartIndex, this.dataEndIndex)) {
            this.renderArray.push(this.dataArray[i]);
        }
        this.prepareView();
        this.preparePhrase();
        this.sendData(sendData);
        this.spinner.close();
    }
    preparePhrase() {
        if (this.dataLength === 1) {
            this.phrase = this.langService.print('1') + ' ' + this.langService.print('ITEM').toLowerCase();
        }
        else {
            this.phrase = this.dataLength + ' ' + this.langService.print('ITEMS').toLowerCase();
        }
    }
    prepareView() {
        this.viewStartNumber = this.dataStartIndex + 1;
        this.viewEndNumber = this.dataEndIndex;
        this.paginationValuesArray = [];
        for (const paginationValue of range(1, this.totalPages + 1)) {
            if (this.totalPages < 9) {
                this.paginationValuesArray.push(paginationValue);
            }
            else {
                if (paginationValue >= this.pageValue - this.viewStartLimit &&
                    paginationValue <= this.pageValue + this.viewStartLimit) {
                    this.paginationValuesArray.push(paginationValue);
                }
                else if (paginationValue === 1) {
                    this.paginationValuesArray.push(paginationValue);
                    if (this.pageValue - this.viewStartLimit > 2) {
                        this.paginationValuesArray.push('...');
                    }
                }
                else if (paginationValue === this.totalPages) {
                    if (this.pageValue + this.viewStartLimit < this.totalPages - 1) {
                        this.paginationValuesArray.push('...');
                    }
                    this.paginationValuesArray.push(paginationValue);
                }
            }
        }
        this.showPrev = this.currentPageIndex > 0;
        this.showNext = this.currentPageIndex < this.totalPages - 1;
    }
    sendData(sendData = true) {
        if (sendData) {
            this.changePageEvent.emit({ currentPageIndex: this.currentPageIndex, perPage: this.perPage });
        }
        if (!this.noDataMode) {
            this.outcomingData.next(this.renderArray);
        }
    }
    changedRowsOptionsValue(rows) {
        this.perPage = rows;
        this.prepareData();
    }
    changePage(newPage, firstPage = false) {
        if (newPage === this.pageValue || firstPage) {
            return false;
        }
        newPage = newPage === 'prev' ? this.pageValue - 1 : newPage === 'next' ? this.pageValue + 1 : newPage;
        newPage = newPage < 1 ? 1 : newPage > this.totalPages ? this.totalPages : newPage;
        this.pageValue = newPage;
        this.prepareData();
        this.router.navigate([], { queryParamsHandling: 'preserve', queryParams: { page: newPage } });
        const table = document.getElementsByClassName('table')[0];
        table ? table.scrollIntoView({ behavior: 'smooth' }) : window.scroll({ top: 0, behavior: 'smooth' });
        return false;
    }
    ngOnInit() {
        if (!this.noDataMode) {
            this.incomingDataSubscription = this.incomingData.subscribe((response) => {
                this.dataArray = response;
                this.dataLength = this.dataArray.length;
                this.prepareData(false);
            });
        }
        else {
            this.totalRowsSubscription = this.totalRows.subscribe((rows) => {
                this.dataArray = [];
                this.dataLength = rows;
                this.prepareData(false);
            });
        }
        this.selectRows = new FormControl(this.perPage);
        this.queryParamsSubscription = this.activated.queryParams.subscribe((response) => {
            response['pageValue'] && this.changePage(parseInt(response['pageValue'], 10));
        });
    }
    ngOnDestroy() {
        if (this.totalRowsSubscription) {
            this.totalRowsSubscription.unsubscribe();
        }
    }
}
PaginatorComponentClass.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: PaginatorComponentClass, deps: [{ token: i1$2.ActivatedRoute }, { token: i1$2.Router }, { token: LanguageService }, { token: KeyboardService }, { token: SpinnerService }], target: i0.ɵɵFactoryTarget.Component });
PaginatorComponentClass.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.3.0", type: PaginatorComponentClass, selector: "epom-paginator", inputs: { viewStartLimit: "viewStartLimit", incomingData: ["incoming", "incomingData"], outcomingData: ["outcoming", "outcomingData"], optionsRows: "optionsRows", isShowPaginatorOptions: "isShowPaginatorOptions", pageValue: "pageValue", perPage: "perPage", usePaginatorSpinner: "usePaginatorSpinner", noDataMode: "noDataMode", totalRows: "totalRows" }, outputs: { changePageEvent: "changePageEvent" }, ngImport: i0, template: "<div class=\"pagination-container\">\n  <div class=\"row\">\n    <div class=\"col-xs-4\">\n      <div class=\"pagination-info\">\n        <span *ngIf=\"(dataArray.length > 0 && dataArray.length <= perPage) || dataArray.length === 0 && !noDataMode\"\n          >{{ phrase }}</span\n        >\n        <span *ngIf=\"dataArray.length > perPage\"\n          >{{ viewStartNumber }} \u2013 {{ viewEndNumber }} of {{ dataArray.length }}</span\n        >\n        <div\n          *ngIf=\"isShowPaginatorOptions && optionsRows && dataArray.length\"\n          class=\"analytics-dropdown dropdown dropdown-wrapper pagination-dropdown\"\n          [attr.data-qa]=\"dropdownVisible ? 'dropdownVisible' : 'dropdownHidden'\"\n        >\n          <button\n            [attr.data-qa]=\"'dropdownToogle'\"\n            class=\"button-outlined dropdown-toggle\"\n            [class.open]=\"dropdownVisible\"\n            #paginatorButton\n            type=\"button\"\n          >\n            {{ perPage }}\n            <span class=\"material-icons material-icons-outlined\">arrow_drop_down</span>\n          </button>\n          <!--TODO: Ad [closeDropdownOnSelection]=\"true\" to dropdown after merge EPROG-6948-->\n          <epom-dropdown [toggleButton]=\"paginatorButton\" (visibilityChange)=\"dropdownVisible = $event\">\n            <ul class=\"dropdown dropdown-left\" [attr.data-qa]=\"'dropdown-paginator-list'\">\n              <li *ngFor=\"let row of optionsRows\">\n                <a\n                  [ngClass]=\"perPage === row.value ? 'active' : ''\"\n                  (click)=\"changedRowsOptionsValue(row.value)\"\n                  [attr.data-qa]=\"perPage === row.value ? 'selected-option-' + row.value : 'option-' + row.value\"\n                >\n                  {{ row.name }}\n                </a>\n              </li>\n            </ul>\n          </epom-dropdown>\n        </div>\n      </div>\n    </div>\n    <div class=\"col-xs-8 text-right pagination-wrapper\">\n      <nav>\n        <ul class=\"pagination\" *ngIf=\"(noDataMode && dataLength > perPage) || dataArray.length > perPage\">\n          <li class=\"pagination-step\" *ngIf=\"showPrev\" (click)=\"changePage('prev')\" [attr.data-qa]=\"'pagination-prev'\">\n            <a href=\"#\">{{ lang.print('PREV') }}</a>\n          </li>\n          <li *ngFor=\"let p of paginationValuesArray\" [ngClass]=\"{active: p === pageValue}\">\n            <a\n              *ngIf=\"p !== '...'\"\n              href=\"#\"\n              [attr.data-qa]=\"p === pageValue ? 'pagination-current-' + p : 'pagination-' + p\"\n              (click)=\"changePage(p)\"\n              >{{ p }}</a\n            >\n            <span *ngIf=\"p === '...'\">...</span>\n          </li>\n          <li class=\"pagination-step\" *ngIf=\"showNext\" [attr.data-qa]=\"'pagination-next'\" (click)=\"changePage('next')\">\n            <a href=\"#\">{{ lang.print('NEXT') }}</a>\n          </li>\n        </ul>\n      </nav>\n    </div>\n  </div>\n</div>\n", dependencies: [{ kind: "directive", type: i1$1.NgClass, selector: "[ngClass]", inputs: ["class", "ngClass"] }, { kind: "directive", type: i1$1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "component", type: DropdownComponentClass, selector: "epom-dropdown", inputs: ["toggleButton", "position", "marginTop", "width", "state", "closeDropdownOnSelection"], outputs: ["close", "visibilityChange"] }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: PaginatorComponentClass, decorators: [{
            type: Component,
            args: [{ selector: 'epom-paginator', template: "<div class=\"pagination-container\">\n  <div class=\"row\">\n    <div class=\"col-xs-4\">\n      <div class=\"pagination-info\">\n        <span *ngIf=\"(dataArray.length > 0 && dataArray.length <= perPage) || dataArray.length === 0 && !noDataMode\"\n          >{{ phrase }}</span\n        >\n        <span *ngIf=\"dataArray.length > perPage\"\n          >{{ viewStartNumber }} \u2013 {{ viewEndNumber }} of {{ dataArray.length }}</span\n        >\n        <div\n          *ngIf=\"isShowPaginatorOptions && optionsRows && dataArray.length\"\n          class=\"analytics-dropdown dropdown dropdown-wrapper pagination-dropdown\"\n          [attr.data-qa]=\"dropdownVisible ? 'dropdownVisible' : 'dropdownHidden'\"\n        >\n          <button\n            [attr.data-qa]=\"'dropdownToogle'\"\n            class=\"button-outlined dropdown-toggle\"\n            [class.open]=\"dropdownVisible\"\n            #paginatorButton\n            type=\"button\"\n          >\n            {{ perPage }}\n            <span class=\"material-icons material-icons-outlined\">arrow_drop_down</span>\n          </button>\n          <!--TODO: Ad [closeDropdownOnSelection]=\"true\" to dropdown after merge EPROG-6948-->\n          <epom-dropdown [toggleButton]=\"paginatorButton\" (visibilityChange)=\"dropdownVisible = $event\">\n            <ul class=\"dropdown dropdown-left\" [attr.data-qa]=\"'dropdown-paginator-list'\">\n              <li *ngFor=\"let row of optionsRows\">\n                <a\n                  [ngClass]=\"perPage === row.value ? 'active' : ''\"\n                  (click)=\"changedRowsOptionsValue(row.value)\"\n                  [attr.data-qa]=\"perPage === row.value ? 'selected-option-' + row.value : 'option-' + row.value\"\n                >\n                  {{ row.name }}\n                </a>\n              </li>\n            </ul>\n          </epom-dropdown>\n        </div>\n      </div>\n    </div>\n    <div class=\"col-xs-8 text-right pagination-wrapper\">\n      <nav>\n        <ul class=\"pagination\" *ngIf=\"(noDataMode && dataLength > perPage) || dataArray.length > perPage\">\n          <li class=\"pagination-step\" *ngIf=\"showPrev\" (click)=\"changePage('prev')\" [attr.data-qa]=\"'pagination-prev'\">\n            <a href=\"#\">{{ lang.print('PREV') }}</a>\n          </li>\n          <li *ngFor=\"let p of paginationValuesArray\" [ngClass]=\"{active: p === pageValue}\">\n            <a\n              *ngIf=\"p !== '...'\"\n              href=\"#\"\n              [attr.data-qa]=\"p === pageValue ? 'pagination-current-' + p : 'pagination-' + p\"\n              (click)=\"changePage(p)\"\n              >{{ p }}</a\n            >\n            <span *ngIf=\"p === '...'\">...</span>\n          </li>\n          <li class=\"pagination-step\" *ngIf=\"showNext\" [attr.data-qa]=\"'pagination-next'\" (click)=\"changePage('next')\">\n            <a href=\"#\">{{ lang.print('NEXT') }}</a>\n          </li>\n        </ul>\n      </nav>\n    </div>\n  </div>\n</div>\n" }]
        }], ctorParameters: function () { return [{ type: i1$2.ActivatedRoute }, { type: i1$2.Router }, { type: LanguageService }, { type: KeyboardService }, { type: SpinnerService }]; }, propDecorators: { viewStartLimit: [{
                type: Input
            }], incomingData: [{
                type: Input,
                args: ['incoming']
            }], outcomingData: [{
                type: Input,
                args: ['outcoming']
            }], optionsRows: [{
                type: Input,
                args: ['optionsRows']
            }], isShowPaginatorOptions: [{
                type: Input,
                args: ['isShowPaginatorOptions']
            }], pageValue: [{
                type: Input,
                args: ['pageValue']
            }], perPage: [{
                type: Input,
                args: ['perPage']
            }], usePaginatorSpinner: [{
                type: Input,
                args: ['usePaginatorSpinner']
            }], noDataMode: [{
                type: Input,
                args: ['noDataMode']
            }], totalRows: [{
                type: Input,
                args: ['totalRows']
            }], changePageEvent: [{
                type: Output
            }] } });

class PaginatorModule {
}
PaginatorModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: PaginatorModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
PaginatorModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "14.3.0", ngImport: i0, type: PaginatorModule, declarations: [PaginatorComponentClass], imports: [CommonModule, SelectModule, DropdownModule], exports: [PaginatorComponentClass] });
PaginatorModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: PaginatorModule, providers: [LanguageService], imports: [CommonModule, SelectModule, DropdownModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: PaginatorModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [CommonModule, SelectModule, DropdownModule],
                    exports: [PaginatorComponentClass],
                    declarations: [PaginatorComponentClass],
                    providers: [LanguageService],
                }]
        }] });

// export * from './paginator.component';

class CapitalizePipeClass {
    transform(text) {
        return (text !== '') ? text[0].toUpperCase() + text.substring(1) : text;
    }
}
CapitalizePipeClass.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: CapitalizePipeClass, deps: [], target: i0.ɵɵFactoryTarget.Pipe });
CapitalizePipeClass.ɵpipe = i0.ɵɵngDeclarePipe({ minVersion: "14.0.0", version: "14.3.0", ngImport: i0, type: CapitalizePipeClass, name: "capitalize" });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: CapitalizePipeClass, decorators: [{
            type: Pipe,
            args: [{
                    name: 'capitalize',
                }]
        }] });

class CustomFormatPipeClass {
    transform(value, type, precision) {
        if (type === '') {
            return value;
        }
        if (type === 'percent') {
            value = String(value).replace('%', '').trim();
            if (isNaN(Number(value))) {
                return '0.00%';
            }
            const roundedValue = Math.round(Number(value) * Math.pow(10, precision)) / Math.pow(10, precision);
            let formattedValue = roundedValue.toString();
            if (Number.isInteger(roundedValue)) {
                formattedValue = formattedValue + '.00';
            }
            return formattedValue + '%';
        }
        if (type === 'integer-coma') {
            value = parseInt(value, 10).toString();
            // TODO: sometimes this is addSegment(), sometimes replace. WHY? what for is dat func?????
            return value.replace(/\B(?=(\d{3})+(?!\d))/g, ',');
        }
        if (type === 'integer-space') {
            value = parseInt(value, 10).toString();
            return value.replace(/\B(?=(\d{3})+(?!\d))/g, ' ');
        }
        if (type === 'integer-space-2') {
            value = parseInt(value, 10).toString();
            const space = '\u00A0';
            return value.replace(/\B(?=(\d{3})+(?!\d))/g, space);
        }
        if (type === 'float') {
            value = Number.isInteger(value) ? parseFloat(value).toFixed() : parseFloat(value).toFixed(precision);
            return value.startsWith('-0') ? '0.00' : value;
        }
        if (type === 'float-round') {
            const factor = Math.pow(10, precision);
            value = Math.round(parseFloat(value) * factor) / factor;
            value = value.toLocaleString('en-US', { minimumFractionDigits: precision, maximumFractionDigits: precision });
            return parseFloat(value) === 0 ? '0.00' : value;
        }
        if (type === 'float-2') {
            value = parseFloat(value).toFixed(precision).startsWith('-0') ? '0.00' : parseFloat(value).toFixed(precision);
            return value < 1 ? value : this.addSegments(value, ',');
        }
        if (type === 'currency') {
            const numberValue = parseFloat(value);
            if (isNaN(numberValue)) {
                return value;
            }
            const formatter = new Intl.NumberFormat('en-US', {
                style: 'currency',
                currency: 'USD',
                minimumFractionDigits: precision,
                maximumFractionDigits: precision,
            });
            return formatter.format(numberValue);
        }
        if (type === 'integer-2') {
            return parseFloat(value)
                .toFixed(2)
                .replace(/(\d)(?=(\d{3})+\.)/g, '$1,');
        }
        if (type === 'integer-string') {
            const stringValue = parseInt(value, 10).toString();
            if (stringValue.length < 3) {
                return value;
            }
            else if (stringValue.length < 7) {
                return (parseFloat(value) / 1000).toFixed(1) + 'k';
            }
            else if (stringValue.length < 10) {
                return (parseFloat(value) / 1000000).toFixed(1) + 'M';
            }
            else {
                return (parseFloat(value) / 1000000000).toFixed(1) + 'B';
            }
        }
        if (type === 'integer-string-2') {
            const stringValue = parseInt(value, 10).toString();
            if (stringValue.length < 7) {
                return value;
            }
            else if (stringValue.length < 10) {
                return (parseFloat(value) / 1000000).toFixed(1) + 'M';
            }
            else {
                return (parseFloat(value) / 1000000000).toFixed(1) + 'B';
            }
        }
        if (type === 'round-with-precision') {
            const factor = Math.pow(10, precision);
            return Math.round(value * factor) / factor;
        }
        return value;
    }
    addSegments(value, delimiter) {
        return value.replace(/\B(?=(\d{3})+(?!\d))/g, delimiter);
    }
}
CustomFormatPipeClass.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: CustomFormatPipeClass, deps: [], target: i0.ɵɵFactoryTarget.Pipe });
CustomFormatPipeClass.ɵpipe = i0.ɵɵngDeclarePipe({ minVersion: "14.0.0", version: "14.3.0", ngImport: i0, type: CustomFormatPipeClass, name: "customFormat" });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: CustomFormatPipeClass, decorators: [{
            type: Pipe,
            args: [{
                    name: 'customFormat',
                }]
        }] });

class RemoveParamsPipeClass {
    transform(text) {
        return text.split('?')[0];
    }
}
RemoveParamsPipeClass.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: RemoveParamsPipeClass, deps: [], target: i0.ɵɵFactoryTarget.Pipe });
RemoveParamsPipeClass.ɵpipe = i0.ɵɵngDeclarePipe({ minVersion: "14.0.0", version: "14.3.0", ngImport: i0, type: RemoveParamsPipeClass, name: "removeParams" });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: RemoveParamsPipeClass, decorators: [{
            type: Pipe,
            args: [{
                    name: 'removeParams',
                }]
        }] });

class SafePipeClass {
    constructor(sanitizer) {
        this.sanitizer = sanitizer;
    }
    transform(url) {
        return this.sanitizer.bypassSecurityTrustResourceUrl(url);
    }
}
SafePipeClass.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: SafePipeClass, deps: [{ token: i1$4.DomSanitizer }], target: i0.ɵɵFactoryTarget.Pipe });
SafePipeClass.ɵpipe = i0.ɵɵngDeclarePipe({ minVersion: "14.0.0", version: "14.3.0", ngImport: i0, type: SafePipeClass, name: "safe" });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: SafePipeClass, decorators: [{
            type: Pipe,
            args: [{ name: 'safe' }]
        }], ctorParameters: function () { return [{ type: i1$4.DomSanitizer }]; } });

class KeyValuePipeClass {
    transform(value) {
        const keys = [];
        for (const key in value) {
            keys.push({ key, value: value[key] });
        }
        return keys;
    }
}
KeyValuePipeClass.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: KeyValuePipeClass, deps: [], target: i0.ɵɵFactoryTarget.Pipe });
KeyValuePipeClass.ɵpipe = i0.ɵɵngDeclarePipe({ minVersion: "14.0.0", version: "14.3.0", ngImport: i0, type: KeyValuePipeClass, name: "keyValue" });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: KeyValuePipeClass, decorators: [{
            type: Pipe,
            args: [{ name: 'keyValue' }]
        }] });

// import * as $ from 'jquery';
class DropdownDirective {
    constructor(ref) {
        document.addEventListener('click', (event) => {
            if ($(ref.nativeElement).find(event.target).length > 0) {
                event.preventDefault();
                $(ref.nativeElement).toggleClass('open');
            }
            else {
                $(ref.nativeElement).removeClass('open');
            }
        });
    }
}
DropdownDirective.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: DropdownDirective, deps: [{ token: i0.ElementRef }], target: i0.ɵɵFactoryTarget.Directive });
DropdownDirective.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "14.3.0", type: DropdownDirective, selector: "[dropDown]", ngImport: i0 });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: DropdownDirective, decorators: [{
            type: Directive,
            args: [{
                    selector: '[dropDown]',
                }]
        }], ctorParameters: function () { return [{ type: i0.ElementRef }]; } });

class LinkPreventer {
    clickListener(event) {
        event.preventDefault();
    }
}
LinkPreventer.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: LinkPreventer, deps: [], target: i0.ɵɵFactoryTarget.Directive });
LinkPreventer.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "14.3.0", type: LinkPreventer, selector: "[link-preventer]", host: { listeners: { "click": "clickListener($event)" } }, ngImport: i0 });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: LinkPreventer, decorators: [{
            type: Directive,
            args: [{
                    selector: '[link-preventer]',
                }]
        }], propDecorators: { clickListener: [{
                type: HostListener,
                args: ['click', ['$event']]
            }] } });

class ToggleDirective {
    constructor() {
        this.closeOnBlur = false;
    }
    onClick() {
        this.animate();
    }
    animate() {
        let animatingElement;
        if (typeof this.animatingElement === 'string') {
            animatingElement = document.querySelector(this.animatingElement);
        }
        else {
            animatingElement = this.animatingElement;
        }
        if (!animatingElement) {
            return;
        }
        const isVisible = $$1(animatingElement).is(':visible');
        const animationMethod = isVisible ? 'slideUp' : 'slideDown';
        $$1(animatingElement).stop()[animationMethod]();
    }
}
ToggleDirective.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: ToggleDirective, deps: [], target: i0.ɵɵFactoryTarget.Directive });
ToggleDirective.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "14.3.0", type: ToggleDirective, selector: "[toggle]", inputs: { animatingElement: ["toggle", "animatingElement"], closeOnBlur: "closeOnBlur" }, host: { listeners: { "click": "onClick()" } }, ngImport: i0 });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: ToggleDirective, decorators: [{
            type: Directive,
            args: [{
                    selector: '[toggle]',
                }]
        }], propDecorators: { animatingElement: [{
                type: Input,
                args: ['toggle']
            }], closeOnBlur: [{
                type: Input,
                args: ['closeOnBlur']
            }], onClick: [{
                type: HostListener,
                args: ['click']
            }] } });

class FocusDirective {
    constructor(elementRef) {
        this.element = elementRef.nativeElement;
    }
    changeByValue(setFocus) {
        if (setFocus) {
            this.element.focus();
        }
        else {
            this.element.blur();
        }
    }
    ngOnInit() {
        if (typeof this.focus === 'boolean') {
            this.changeByValue(this.focus);
        }
        else {
            this.changeByValue(true);
        }
    }
    ngOnChanges() {
        if (typeof this.focus === 'boolean') {
            this.changeByValue(this.focus);
        }
    }
}
FocusDirective.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: FocusDirective, deps: [{ token: i0.ElementRef }], target: i0.ɵɵFactoryTarget.Directive });
FocusDirective.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "14.3.0", type: FocusDirective, selector: "[focus]", inputs: { focus: "focus" }, usesOnChanges: true, ngImport: i0 });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: FocusDirective, decorators: [{
            type: Directive,
            args: [{
                    selector: '[focus]',
                }]
        }], ctorParameters: function () { return [{ type: i0.ElementRef }]; }, propDecorators: { focus: [{
                type: Input,
                args: ['focus']
            }] } });

class FocusToInvalidInputDirective {
    onSubmit(event) {
        const element = event.target.querySelector('.ng-invalid');
        if (element !== null) {
            element.focus();
        }
    }
}
FocusToInvalidInputDirective.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: FocusToInvalidInputDirective, deps: [], target: i0.ɵɵFactoryTarget.Directive });
FocusToInvalidInputDirective.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "14.3.0", type: FocusToInvalidInputDirective, selector: "[focusToInvalidInput]", inputs: { focus: ["focusToInvalidInput", "focus"] }, host: { listeners: { "submit": "onSubmit($event)" } }, ngImport: i0 });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: FocusToInvalidInputDirective, decorators: [{
            type: Directive,
            args: [{
                    selector: '[focusToInvalidInput]',
                }]
        }], propDecorators: { focus: [{
                type: Input,
                args: ['focusToInvalidInput']
            }], onSubmit: [{
                type: HostListener,
                args: ['submit', [
                        '$event',
                    ]]
            }] } });

class ButtonWithCounterComponent {
    constructor() {
        this.counter = new BehaviorSubject(0);
        this.icon = 'checklist';
        this.link = null;
    }
}
ButtonWithCounterComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: ButtonWithCounterComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
ButtonWithCounterComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.3.0", type: ButtonWithCounterComponent, selector: "[button-with-counter]", inputs: { counter: "counter", icon: ["icon-class", "icon"], link: "link" }, ngImport: i0, template: `
    <a class="button-counter-container" [routerLink]="link">
      <span class="material-icons material-icons-outlined button-icon button-icon-small"
        >{{ icon }}
        <span class="bubble" *ngIf="(counter | async) > 0">{{ counter | async }}</span>
      </span>
    </a>
  `, isInline: true, styles: ["span.material-icons{font-size:18px;color:var(--themePrimButtonsBg-color)}.bubble{top:-2px;right:-8px;height:19px;font-family:Open Sans,sans-serif;font-style:normal;background-color:var(--error-default-color);font-weight:var(--font-weight-semibold)}.button-icon:hover{background-color:transparent}a.button-counter-container{border-radius:50%!important;padding:5px!important;height:30px!important}a.button-counter-container:hover{background-color:var(--themePrimButtonsBg-8-color, #38ce9f)!important}a.button-counter-container:active,a.button-counter-container:focus{background-color:var(--themePrimButtonsBg-12-color, #38ce9f)!important}\n"], dependencies: [{ kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i1$2.RouterLinkWithHref, selector: "a[routerLink],area[routerLink]", inputs: ["target", "queryParams", "fragment", "queryParamsHandling", "state", "relativeTo", "preserveFragment", "skipLocationChange", "replaceUrl", "routerLink"] }, { kind: "pipe", type: i1$1.AsyncPipe, name: "async" }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: ButtonWithCounterComponent, decorators: [{
            type: Component,
            args: [{ selector: '[button-with-counter]', template: `
    <a class="button-counter-container" [routerLink]="link">
      <span class="material-icons material-icons-outlined button-icon button-icon-small"
        >{{ icon }}
        <span class="bubble" *ngIf="(counter | async) > 0">{{ counter | async }}</span>
      </span>
    </a>
  `, styles: ["span.material-icons{font-size:18px;color:var(--themePrimButtonsBg-color)}.bubble{top:-2px;right:-8px;height:19px;font-family:Open Sans,sans-serif;font-style:normal;background-color:var(--error-default-color);font-weight:var(--font-weight-semibold)}.button-icon:hover{background-color:transparent}a.button-counter-container{border-radius:50%!important;padding:5px!important;height:30px!important}a.button-counter-container:hover{background-color:var(--themePrimButtonsBg-8-color, #38ce9f)!important}a.button-counter-container:active,a.button-counter-container:focus{background-color:var(--themePrimButtonsBg-12-color, #38ce9f)!important}\n"] }]
        }], propDecorators: { counter: [{
                type: Input,
                args: ['counter']
            }], icon: [{
                type: Input,
                args: ['icon-class']
            }], link: [{
                type: Input,
                args: ['link']
            }] } });

class NumberSuffixPipe {
    transform(number, args) {
        if (isNaN(number)) {
            return null;
        } // will only work value is a number
        if (number === null) {
            return null;
        }
        let abs = Math.abs(number);
        const rounder = Math.pow(10, 2);
        if (number < 0) {
            return number;
        }
        let key = '';
        const powers = [
            { key: 'Q', value: Math.pow(10, 15) },
            { key: 'T', value: Math.pow(10, 12) },
            { key: 'B', value: Math.pow(10, 9) },
            { key: 'M', value: Math.pow(10, 6) },
            { key: 'K', value: 1000 },
        ];
        for (let i = 0; i < powers.length; i++) {
            let reduced = abs / powers[i].value;
            reduced = Math.round(reduced * rounder) / rounder;
            if (reduced >= 1) {
                abs = reduced;
                key = powers[i].key;
                break;
            }
        }
        return abs + key;
    }
}
NumberSuffixPipe.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: NumberSuffixPipe, deps: [], target: i0.ɵɵFactoryTarget.Pipe });
NumberSuffixPipe.ɵpipe = i0.ɵɵngDeclarePipe({ minVersion: "14.0.0", version: "14.3.0", ngImport: i0, type: NumberSuffixPipe, name: "numberSuffix" });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: NumberSuffixPipe, decorators: [{
            type: Pipe,
            args: [{
                    name: 'numberSuffix',
                }]
        }] });

class PipesDirectivesModule {
}
PipesDirectivesModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: PipesDirectivesModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
PipesDirectivesModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "14.3.0", ngImport: i0, type: PipesDirectivesModule, declarations: [CapitalizePipeClass,
        CustomFormatPipeClass,
        RemoveParamsPipeClass,
        SafePipeClass,
        KeyValuePipeClass,
        DropdownDirective,
        LinkPreventer,
        ToggleDirective,
        FocusDirective,
        FocusToInvalidInputDirective,
        NumberSuffixPipe,
        ButtonWithCounterComponent], imports: [CommonModule, BrowserModule, RouterModule], exports: [CapitalizePipeClass,
        CustomFormatPipeClass,
        RemoveParamsPipeClass,
        SafePipeClass,
        KeyValuePipeClass,
        DropdownDirective,
        LinkPreventer,
        ToggleDirective,
        FocusDirective,
        FocusToInvalidInputDirective,
        ButtonWithCounterComponent,
        NumberSuffixPipe] });
PipesDirectivesModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: PipesDirectivesModule, imports: [CommonModule, BrowserModule, RouterModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: PipesDirectivesModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [CommonModule, BrowserModule, RouterModule],
                    declarations: [
                        CapitalizePipeClass,
                        CustomFormatPipeClass,
                        RemoveParamsPipeClass,
                        SafePipeClass,
                        KeyValuePipeClass,
                        DropdownDirective,
                        LinkPreventer,
                        ToggleDirective,
                        FocusDirective,
                        FocusToInvalidInputDirective,
                        NumberSuffixPipe,
                        ButtonWithCounterComponent,
                    ],
                    exports: [
                        CapitalizePipeClass,
                        CustomFormatPipeClass,
                        RemoveParamsPipeClass,
                        SafePipeClass,
                        KeyValuePipeClass,
                        DropdownDirective,
                        LinkPreventer,
                        ToggleDirective,
                        FocusDirective,
                        FocusToInvalidInputDirective,
                        ButtonWithCounterComponent,
                        NumberSuffixPipe,
                    ],
                }]
        }] });

class PopupServiceClass {
    constructor() {
        this.popup = new BehaviorSubject(0);
        this.popupFeedback = new Subject();
    }
    popupCreate(data) {
        const hash = new Date().getTime();
        data.hash = hash;
        this.popup.next(data);
        return hash;
    }
    popupClose() {
        this.popup.next({ popupClose: true });
    }
    disableBodyOverflow() {
        const styleAttribute = document.body.getAttribute('style');
        document.body.setAttribute('style', `${styleAttribute} overflow: hidden;`);
    }
    enableBodyOverflow() {
        const styleAttribute = document.body.getAttribute('style');
        if (styleAttribute) {
            document.body.setAttribute('style', `${styleAttribute.replace(/ overflow: hidden;/g, '')}`);
        }
    }
}
PopupServiceClass.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: PopupServiceClass, deps: [], target: i0.ɵɵFactoryTarget.Injectable });
PopupServiceClass.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: PopupServiceClass });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: PopupServiceClass, decorators: [{
            type: Injectable
        }] });

class BasePopup {
    getButton(type) {
        if (!type) {
            return '';
        }
        if (type.includes('default')) {
            return 'outlined-grey';
        }
        if (type.includes('success')) {
            return 'success';
        }
        if (type.includes('primary')) {
            return 'primary';
        }
        if (type.includes('error')) {
            return 'error';
        }
        return type;
    }
}

var BidMultipliersEnum;
(function (BidMultipliersEnum) {
    BidMultipliersEnum["SITE_URL_OR_BUNDLE"] = "DOMAIN_OR_BUNDLE";
    BidMultipliersEnum["DEVICE_TYPE"] = "DEVICE_MAKE";
    BidMultipliersEnum["TAG_ID"] = "TAG_ID";
    BidMultipliersEnum["APP_NAME"] = "APP_NAME";
    BidMultipliersEnum["ZIP"] = "ZIP";
    BidMultipliersEnum["PUBLISHER_ID"] = "PUBLISHER_ID";
    BidMultipliersEnum["SITE_APP_ID"] = "SITE_APP_ID";
    BidMultipliersEnum["DATE_TIME_TYPE"] = "DATE_TIME";
    BidMultipliersEnum["COUNTRY_TYPE"] = "COUNTRY";
})(BidMultipliersEnum || (BidMultipliersEnum = {}));
const BID_MULTIPLIER_OPTIONS = [
    { name: 'Site URL or Bundle', value: BidMultipliersEnum.SITE_URL_OR_BUNDLE },
    { name: 'Tag ID', value: BidMultipliersEnum.TAG_ID },
    { name: 'Site/App ID', value: BidMultipliersEnum.SITE_APP_ID },
    { name: 'Publisher ID', value: BidMultipliersEnum.PUBLISHER_ID },
    { name: 'Zip code', value: BidMultipliersEnum.ZIP },
    { name: 'App Name', value: BidMultipliersEnum.APP_NAME },
    { name: 'Device Make', value: BidMultipliersEnum.DEVICE_TYPE },
    { name: 'Date & Time ', value: BidMultipliersEnum.DATE_TIME_TYPE },
    { name: 'Country', value: BidMultipliersEnum.COUNTRY_TYPE },
];

const DAYS_OF_WEEK = [
    {
        name: 'Sun',
        value: 'SUNDAY',
        checked: false,
        index: 7,
    },
    {
        name: 'Mon',
        value: 'MONDAY',
        checked: false,
        index: 1,
    },
    {
        name: 'Tue',
        value: 'TUESDAY',
        checked: false,
        index: 2,
    },
    {
        name: 'Wed',
        value: 'WEDNESDAY',
        checked: false,
        index: 3,
    },
    {
        name: 'Thu',
        value: 'THURSDAY',
        checked: false,
        index: 4,
    },
    {
        name: 'Fri',
        value: 'FRIDAY',
        checked: false,
        index: 5,
    },
    {
        name: 'Sat',
        value: 'SATURDAY',
        checked: false,
        index: 6,
    },
];

const FILTER_TYPES = [
    { name: 'Site Domain / App Bundle', enum: 'DOMAIN_OR_BUNDLE' },
    { name: 'Tag ID', enum: 'ID_TAG' },
    { name: 'Site ID / App ID', enum: 'SITE_ID' },
    { name: 'Publisher ID', enum: 'PUBLISHER_ID' },
    { name: 'Zip code', enum: 'ZIP' },
    { name: 'App Name', enum: 'APP_NAME' },
    { name: 'User IP', enum: 'IP' },
    { name: 'Device Make', enum: 'DEVICE_MAKE' },
];
const FILTER_ENUM = {
    DOMAIN_OR_BUNDLE: 'Site Domain / App Bundle',
    ID_TAG: 'Tag ID',
    SITE_ID: 'Site ID / App ID',
    PUBLISHER_ID: 'Publisher ID',
    ZIP: 'Zip code',
    APP_NAME: 'App Name',
    IP: 'User IP',
    DEVICE_MAKE: 'Device Make',
};
const DROPDOWN_OPTIONS = [
    { action: 'column-1', title: '1 Column', icon: 'icon-list1' },
    { action: 'column-2', title: '2 Column', icon: 'icon-list2' },
    { action: 'column-3', title: '3 Column', icon: 'icon-list3' },
];
const LINKED_FILTERS_POPUP_SETTINGS = {
    sortField: 'name',
    buttons: [
        { class: 'default', text: 'Cancel', event: 'close-button' },
        { class: 'primary', text: 'Save', event: 'submit' },
    ],
    width: 'lg',
};

const DEFAULT_CODEMIRROR_OPTIONS = {
    lineNumbers: true,
    theme: 'default',
    mode: 'markdown',
};

class NameFormErrorComponent {
    constructor() {
        this.isSubmitted = false;
        this.control = null;
    }
}
NameFormErrorComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: NameFormErrorComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
NameFormErrorComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.3.0", type: NameFormErrorComponent, selector: "epom-name-form-error", inputs: { isSubmitted: "isSubmitted", control: "control" }, ngImport: i0, template: "<section *ngIf=\"control?.errors && isSubmitted\" class=\"error-block\" [attr.data-qa]=\"'nameErrorMessage'\">\n  <div *ngIf=\"control?.errors['required']\">Field is required.</div>\n  <div *ngIf=\"control?.errors['maxlength']\">\n    Error: no more than {{ control?.errors['maxlength']?.requiredLength }} characters.\n  </div>\n</section>\n", styles: [".error-block{font-size:12px;line-height:18px;color:var(--error-default-color);margin-top:4px}\n"], dependencies: [{ kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: NameFormErrorComponent, decorators: [{
            type: Component,
            args: [{ selector: 'epom-name-form-error', template: "<section *ngIf=\"control?.errors && isSubmitted\" class=\"error-block\" [attr.data-qa]=\"'nameErrorMessage'\">\n  <div *ngIf=\"control?.errors['required']\">Field is required.</div>\n  <div *ngIf=\"control?.errors['maxlength']\">\n    Error: no more than {{ control?.errors['maxlength']?.requiredLength }} characters.\n  </div>\n</section>\n", styles: [".error-block{font-size:12px;line-height:18px;color:var(--error-default-color);margin-top:4px}\n"] }]
        }], propDecorators: { isSubmitted: [{
                type: Input
            }], control: [{
                type: Input
            }] } });

class SortByPipe {
    transform(data, field) {
        data.sort((a, b) => {
            if (a[field] === undefined && b[field] === undefined) {
                return 0;
            }
            if (a[field] === undefined) {
                return -1;
            }
            if (b[field] === undefined) {
                return 1;
            }
            let firstValue = a[field];
            let secondValue = b[field];
            // use case-insensitive comparison fom strings
            if (SortByPipe.isString(firstValue) && SortByPipe.isString(secondValue)) {
                firstValue = firstValue.toLowerCase();
                secondValue = secondValue.toLowerCase();
            }
            if (firstValue < secondValue) {
                return -1;
            }
            else if (firstValue > secondValue) {
                return 1;
            }
            return 0;
        });
        return data;
    }
    static isString(value) {
        return typeof value === 'string' || value instanceof String;
    }
}
SortByPipe.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: SortByPipe, deps: [], target: i0.ɵɵFactoryTarget.Pipe });
SortByPipe.ɵpipe = i0.ɵɵngDeclarePipe({ minVersion: "14.0.0", version: "14.3.0", ngImport: i0, type: SortByPipe, name: "sortBy" });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: SortByPipe, decorators: [{
            type: Pipe,
            args: [{
                    name: 'sortBy',
                }]
        }] });

class PopupSelectComponentClass {
    constructor() {
        this.rightColumnTitle = 'Selected';
        this.zeroSelectedItemsText = '0';
        this.zeroLeftColumnItemsText = '';
        this.popupSelectOutput = new EventEmitter();
        this.updateData = new EventEmitter();
        this.isSearchDelay = false;
        this.offsetHandler = new EventEmitter();
        this.searchHandler = new EventEmitter();
        this.searchString = '';
        this.include = true;
        this.type = 'WHITE';
        this._searchData$ = new Subject();
        this.offset = 0;
        this.filterInput = of({ value: 1, name: 'qwe' });
        this.activeFiltersToShow = '';
        this.form = new FormGroup({
            country: new FormControl(''),
        });
        this.search$ = new Subject();
        this.destroy$ = new Subject();
    }
    ngOnInit() {
        this._searchData$.pipe(debounceTime(300), distinctUntilChanged()).subscribe((res) => {
            this.onCountryChanged(this.countryCode, this.searchString, res.showMore, res.search);
        });
        this.popupSelectOutput.emit(this.selectedSet);
        this.search$
            .pipe(debounceTime(300), distinctUntilChanged(), takeUntil(this.destroy$))
            .subscribe(() => this.filter());
    }
    ngAfterViewChecked() {
        if (this.popUpContent) {
            const parentHeight = this.popUpContent.nativeElement.parentElement.offsetHeight;
            const initialHeight = this.popUpContent.nativeElement.offsetHeight;
            const newMinHeight = Math.min(initialHeight, parentHeight);
            this.popUpContent.nativeElement.style.minHeight = `${newMinHeight}px`;
        }
    }
    ngOnChanges() {
        this.filteredItems = this.filtersArr;
        const selectedArray = Array.from(this.selectedSet);
        this.filteredItems.forEach((item) => {
            this.updateIsAddDisabled(item, selectedArray);
        });
        const selectedElement = this.filtersArr.find((x) => x.type !== undefined && x.hidden === true);
        if (this.inputInclude !== undefined) {
            this.include = this.inputInclude;
        }
        else if (this.filtersArr && selectedElement && selectedElement.type) {
            this.include = selectedElement.type === 'WHITE';
        }
        this.type = this.include ? 'WHITE' : 'BLACK';
        const uniqueDataMap = Array.from(new Map(this.filteredItems?.map((fi) => ({ value: fi.type, name: fi.viewType }))?.map((item) => [item.value, item]))?.values());
        this.filterInput = of(uniqueDataMap);
    }
    addToSelected(item, index, type) {
        if (item['expanded']) {
            this.expand(item, index);
        }
        if (item.parent) {
            this.filteredItems.find((disabledItem) => disabledItem.name === item.parent).disableAdd = true;
        }
        this.filteredItems[index].hidden = true;
        item.type = type;
        this.selectedSet.add(item);
        this.popupSelectOutput.emit(this.selectedSet);
    }
    expand(item, index) {
        const finder = item.id ? 'id' : 'name';
        item['expanded'] = !item['expanded'];
        item['subcategories'] = item['subcategories'].map((i) => {
            i['name'] = i['description'];
            i['shifted'] = true;
            i['parent'] = item.id || item.name;
            return i;
        });
        const selectedItems = [];
        this.selectedSet.forEach((item) => selectedItems.push(item.name));
        const cats = item['subcategories']
            .filter((x) => !selectedItems.includes(x.name))
            .map((el) => Object.assign({}, el, { hidden: false }));
        const filtersIndex = this.filtersArr.findIndex((filtersItem) => filtersItem.value === item.value);
        if (item['expanded']) {
            this.filtersArr[filtersIndex]['expanded'] = true;
            this.filtersArr.splice(filtersIndex + 1, 0, ...cats);
        }
        else {
            this.filtersArr[filtersIndex]['expanded'] = false;
            this.filtersArr = this.filtersArr.filter((ft) => !item['subcategories'].find((el) => el[finder] === ft[finder]));
        }
        this.filterData();
    }
    clearSelected() {
        this.selectedSet.forEach((item) => {
            if (!item.global || item?.isRemovable) {
                this.deleteFromSelected(item, false);
            }
        });
        this.popupSelectOutput.emit(this.selectedSet);
        this.filterData();
    }
    deleteFromSelected(item, updateNeeded = true) {
        this.selectedSet.delete(item);
        if (item['parent']) {
            const parent = this.filtersArr.find((x) => x['name'] === item['parent']);
            if (parent) {
                if (parent['subcategories'].findIndex((x) => x['name'] === item['name']) < 0) {
                    parent['subcategories'].push(item);
                }
                if (parent['expanded']) {
                    if (this.filtersArr.findIndex((x) => x['name'] === item['name']) < 0) {
                        const parentIndex = this.filtersArr.findIndex((x) => x['name'] === item['parent']);
                        this.filtersArr.splice(parentIndex + 1, 0, item);
                        delete this.filtersArr[parentIndex + 1].type;
                        delete this.filtersArr[parentIndex + 1].hidden;
                    }
                    else {
                        const finder = item.id ? 'id' : 'name';
                        const itemInFilter = this.filtersArr.find((x) => x[finder] === item[finder]);
                        if (itemInFilter) {
                            delete itemInFilter.type;
                            delete itemInFilter.hidden;
                        }
                    }
                }
                this.filterData();
                this.updateIsAddDisabled(parent, Array.from(this.selectedSet));
            }
        }
        else {
            const finder = item.id ? 'id' : 'name';
            const itemInFilter = this.filtersArr.find((x) => x[finder] === item[finder]);
            if (itemInFilter) {
                delete itemInFilter.type;
                delete itemInFilter.hidden;
            }
        }
        if (this.isCountrySelect && !this.countryCode) {
            this.filteredItems = this.filteredItems.filter((fi) => fi.name !== item.name);
        }
        if (updateNeeded) {
            this.popupSelectOutput.emit(this.selectedSet);
        }
    }
    swapInclude() {
        this.include = !this.include;
        this.type = this.include ? 'WHITE' : 'BLACK';
        this.selectedSet.forEach((item) => {
            item.type = this.type;
        });
        this.popupSelectOutput.emit(this.selectedSet);
    }
    onSearchInput() {
        if (this.isSearchDelay) {
            this.search$.next(this.searchString);
        }
        else {
            this.filter();
        }
    }
    filter() {
        this.offset = 0;
        this.searchHandler.emit(this.searchString);
        if (this.isCountrySelect) {
            this._searchData$.next({ showMore: false, search: true });
            return;
        }
        if (!this.searchString.length) {
            this.filtersArr.forEach((el, index) => {
                if (el['expanded']) {
                    this.expand(el, index);
                }
            });
            this.filteredItems = this.filtersArr;
            return;
        }
        if (!this.searchString.trim().length) {
            this.filteredItems = this.filtersArr;
            return;
        }
        const cats = this.filtersArr.filter((item) => !item['expanded'] && item['subcategories'] && item['subcategories'].length);
        cats.forEach((el) => {
            if (!el['expanded']) {
                this.expand(el, this.filtersArr.findIndex((item) => item === el));
            }
        });
        this.filterData();
    }
    filterData() {
        const search = this.searchString
            .trim()
            .split(' ')
            .filter((item) => item);
        const searchedValues = this.filtersArr.filter((item) => {
            return search.every((value) => item.name.toLowerCase().includes(value.toLowerCase()) ||
                item.subcategories?.some((sub) => sub.name.toLowerCase().includes(value.toLowerCase())));
        });
        searchedValues.forEach((x, i) => {
            const parentCat = x['shifted']
                ? this.filtersArr.find((item) => item.id === x['parent'] || item.name === x['parent'])
                : null;
            const searchForParent = searchedValues.find((item) => item === parentCat);
            if (x['shifted'] && parentCat && !searchForParent) {
                i === 0 ? searchedValues.unshift(parentCat) : searchedValues.splice(i, 0, parentCat);
            }
        });
        this.filteredItems = searchedValues;
    }
    onCountryChanged(cCode, cName, showMore = false, search = false) {
        this.countryCode = cCode;
        this.updateData.emit({ cCode, cName, showMore, search, selected: this.selectedSet });
    }
    showMore() {
        this.offset++;
        if (this.isCountrySelect) {
            this._searchData$.next({ showMore: true, search: false });
            this._searchData$.next({ showMore: true, search: false });
        }
        this.offsetHandler.emit(this.offset);
    }
    clearSearchInput() {
        this.searchString = '';
        this.filter();
    }
    filterChanged(filterTypes, cName) {
        const transformedNames = filterTypes.map((type) => FILTER_ENUM[type] || type);
        this.activeFiltersToShow = transformedNames.join(', ');
        if (!filterTypes.length) {
            this.filteredItems = this.filtersArr;
            return;
        }
        this.filteredItems = this.filtersArr.filter((fd) => filterTypes.includes(fd.filterType));
    }
    updateIsAddDisabled(item, selectedArray) {
        if (item.subcategories?.length) {
            item.disableAdd = selectedArray.some((x) => x['parent'] === item['name']);
        }
    }
    isLeftColumnHidden() {
        return this.filteredItems.every((item) => item.hidden);
    }
    ngOnDestroy() {
        this.destroy$.next();
        this.destroy$.complete();
    }
}
PopupSelectComponentClass.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: PopupSelectComponentClass, deps: [], target: i0.ɵɵFactoryTarget.Component });
PopupSelectComponentClass.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.3.0", type: PopupSelectComponentClass, selector: "epom-popup-select", inputs: { filtersArr: "filtersArr", isDisabled: "isDisabled", selectedSet: "selectedSet", itemType: "itemType", popupType: "popupType", limitSelection: "limitSelection", inputInclude: ["includeType", "inputInclude"], sortField: "sortField", isCountrySelect: "isCountrySelect", countryData: "countryData", isShowMoreAvailable: "isShowMoreAvailable", showFilter: "showFilter", emptyListMessage: "emptyListMessage", rightColumnTitle: "rightColumnTitle", zeroSelectedItemsText: "zeroSelectedItemsText", zeroLeftColumnItemsText: "zeroLeftColumnItemsText", isSearchDelay: "isSearchDelay" }, outputs: { popupSelectOutput: "popupSelectOutput", updateData: "updateData", offsetHandler: "offsetHandler", searchHandler: "searchHandler" }, viewQueries: [{ propertyName: "search", first: true, predicate: ["search"], descendants: true }, { propertyName: "popUpContent", first: true, predicate: ["popUpContent"], descendants: true }], usesOnChanges: true, ngImport: i0, template: "<div class=\"select-popup-content\" #popUpContent>\n  <div class=\"column column-left pr-20\">\n    <label class=\"control-label table-list-label select-popup-label\" [attr.data-qa]=\"'availableLabel'\">Available</label>\n    <div *ngIf=\"isCountrySelect\" class=\"form-control-wrapper\" [attr.data-qa]=\"'Country'\">\n      <custom-select\n        [dataQa]=\"'countrySelect'\"\n        [valuesStream]=\"countryData\"\n        [placeholder]=\"'Select country'\"\n        [clearLikeOption]=\"false\"\n        [multiple]=\"false\"\n        [useClear]=\"false\"\n        [showFlag]=\"true\"\n        [search]=\"true\"\n        (valueChanged)=\"onCountryChanged($event, searchString)\"\n      ></custom-select>\n      <label class=\"control-label select-label\" [attr.data-qa]=\"'countryLabel'\">Select Country</label>\n    </div>\n\n    <div class=\"form-control-wrapper search-container mt-16 mb-16\" *ngIf=\"!isCountrySelect || countryCode\">\n      <input\n        type=\"text\"\n        class=\"form-control\"\n        id=\"inputSuccess2\"\n        aria-describedby=\"inputSuccess2Status\"\n        [(ngModel)]=\"searchString\"\n        (ngModelChange)=\"onSearchInput()\"\n        placeholder=\"Search\"\n        [attr.data-qa]=\"'searchInput'\"\n      />\n      <span\n        *ngIf=\"searchString.length\"\n        class=\"material-icons material-icons-outlined button-icon button-icon-large button-icon-outline search-icon\"\n        [attr.data-qa]=\"'searchClose'\"\n        (click)=\"clearSearchInput()\"\n        aria-hidden=\"true\"\n        >close</span\n      >\n      <span\n        *ngIf=\"!searchString.length\"\n        class=\"material-icons material-icons-outlined search-icon\"\n        aria-hidden=\"true\"\n        [attr.data-qa]=\"'searchIcon'\"\n      >\n        search\n      </span>\n    </div>\n\n    <div *ngIf=\"showFilter\" class=\"form-group mt-24\" [attr.data-qa]=\"'Filter'\">\n      <div class=\"form-control-wrapper\">\n        <custom-select\n          [dataQa]=\"'filterSelect'\"\n          [valuesStream]=\"filterInput\"\n          [placeholder]=\"'Select Filter type'\"\n          [clearLikeOption]=\"false\"\n          [multiple]=\"true\"\n          [useClear]=\"false\"\n          [showFlag]=\"true\"\n          [search]=\"true\"\n          (valueChanged)=\"filterChanged($event, searchString)\"\n        ></custom-select>\n        <label class=\"control-label select-label\">Filter type</label>\n      </div>\n    </div>\n\n    <div *ngIf=\"isLeftColumnHidden()\" class=\"mt-24 text-center description-text\">\n      <ng-container *ngIf=\"!searchString && activeFiltersToShow; else noFilters\">\n        No filters with the\n        <span class=\"description-text-accent\"> {{ activeFiltersToShow }} </span>\n        type.\n      </ng-container>\n      <ng-template #noFilters> {{ searchString ? '' : zeroLeftColumnItemsText }} </ng-template>\n      <ng-container *ngIf=\"searchString\">\n        No results for \u201C<span class=\"description-text-accent\">{{ searchString }}</span>\u201D.\n      </ng-container>\n    </div>\n\n    <ul class=\"table-list\" [ngClass]=\"{'mt-24': !isCountrySelect && !showFilter}\">\n      <ng-container *ngFor=\"let item of (filteredItems | sortBy: sortField || ''); let index = index\">\n        <li\n          class=\"table-list-item-card table-list-item-card-include\"\n          [ngClass]=\"{'ml-44': !!item['shifted']}\"\n          *ngIf=\"!item['hidden']\"\n        >\n          <div class=\"select-rows\">\n            <span\n              class=\"material-icons material-icons-outlined button-icon button-icon-outline button-icon-large\"\n              *ngIf=\"(item['subcategories'] || []).length\"\n              [attr.data-qa]=\"(item['subcategories'] || []).length && !item['expanded'] ? 'expandDown' : 'expandUp'\"\n              (click)=\"expand(item, index)\"\n            >\n              {{ (item['subcategories'] || []).length && !item['expanded'] ? 'arrow_right' : 'arrow_drop_down' }}\n            </span>\n            <span *ngIf=\"!item['url']\" class=\"filter-name-span\">\n              {{ item.name }}\n              <span\n                *ngIf=\"item?.description?.length && item?.showDescription\"\n                matTooltip=\"Click to learn more\"\n                matTooltipPosition=\"right\"\n                [closeOnBlur]=\"false\"\n                [toggle]=\"'#description' + index\"\n                [attr.data-qa]=\"'info'\"\n                class=\"material-icons material-icons-outlined button-icon-small button-icon button-icon-outline\"\n                >info</span\n              >\n            </span>\n\n            <span *ngIf=\"!!item['url']\">\n              <a class=\"link\" [routerLink]=\"item.url\">{{ item.name }}</a>\n            </span>\n            <span *ngIf=\"item['badge']\" class=\"badge badge-item\">{{ item.badge }}</span>\n            <div class=\"status-switcher-list\" *ngIf=\"popupType !== 'filtersListMedia' && !isDisabled\">\n              <button\n                [disabled]=\"item.disableAdd\"\n                class=\"button button-exclude\"\n                [attr.data-qa]=\"'addToBlackSelectedItems'\"\n                (click)=\"addToSelected(item, index, 'BLACK')\"\n              >\n                <span class=\"material-icons material-icons-outlined\">remove_circle_outline</span>Exclude\n              </button>\n              <button\n                [disabled]=\"item.disableAdd\"\n                class=\"button button-include\"\n                [attr.data-qa]=\"'addToWhiteSelectedItems'\"\n                (click)=\"addToSelected(item, index, 'WHITE')\"\n              >\n                <span class=\"material-icons material-icons-outlined\">add_circle_outline</span>Include\n              </button>\n            </div>\n            <span class=\"status-switcher-list\" *ngIf=\"popupType === 'filtersListMedia'\">\n              <span\n                *ngIf=\"!isDisabled\"\n                class=\"status-switcher\"\n                [attr.data-qa]=\"'addToSelectedItems'\"\n                (click)=\"addToSelected(item, index)\"\n              >\n                add\n              </span>\n            </span>\n          </div>\n          <div class=\"info-property-sm\" *ngIf=\"item.viewType\">\n            Type: <span class=\"info-property-value\">{{ item.viewType }}</span>\n          </div>\n          <div\n            class=\"select-description\"\n            [id]=\"'description' + index\"\n            *ngIf=\"item?.description?.length && item?.showDescription\"\n          >\n            {{ item?.description }}\n          </div>\n        </li>\n      </ng-container>\n    </ul>\n    <button\n      *ngIf=\"isShowMoreAvailable | async\"\n      class=\"button button-outlined mt-8\"\n      [attr.data-qa]=\"'showMore'\"\n      (click)=\"showMore()\"\n    >\n      Show more\n    </button>\n  </div>\n\n  <hr class=\"vertical-line\" />\n\n  <div class=\"column column-right\">\n    <div class=\"clear-filters\">\n      <span *ngIf=\"!isDisabled\" class=\"control-label table-list-label select-popup-label\"\n        >{{ rightColumnTitle ? rightColumnTitle : 'Selected' }} ({{ selectedSet.size ? selectedSet.size :\n        zeroSelectedItemsText || '0' }})\n        <span\n          *ngIf=\"selectedSet.size !== 0\"\n          class=\"pull-right button-link\"\n          [attr.data-qa]=\"'clearAllSelectedItems'\"\n          (click)=\"clearSelected()\"\n        >\n          Clear all\n        </span>\n      </span>\n    </div>\n\n    <div *ngIf=\"selectedSet.size === 0\" class=\"text-center description-text\">{{ emptyListMessage }}</div>\n\n    <ul class=\"table-list\">\n      <li *ngFor=\"let item of selectedSet;  let i = index\" class=\"selected-item\">\n        <div class=\"table-list-item-card\" [attr.data-qa]=\"item['type'] !== 'BLACK' ? 'Included' : 'Excluded'\">\n          <div class=\"select-rows select-rows-included\">\n            <span *ngIf=\"!item['url']\" class=\"filter-name-span\"\n              >{{ item.name }}\n              <span\n                *ngIf=\"item?.description?.length && item?.showDescription\"\n                matTooltip=\"Click to learn more\"\n                matTooltipPosition=\"right\"\n                [closeOnBlur]=\"false\"\n                [toggle]=\"'#selected-desc' + i\"\n                [attr.data-qa]=\"'info'\"\n                class=\"material-icons material-icons-outlined button-icon-small button-icon button-icon-outline\"\n                >info</span\n              >\n            </span>\n            <span *ngIf=\"!!item['url']\"\n              ><a class=\"link\" [routerLink]=\"item.url\">{{ item.name }}</a>\n              <span\n                *ngIf=\"item?.description?.length && item?.showDescription\"\n                matTooltip=\"Click to learn more\"\n                matTooltipPosition=\"right\"\n                [closeOnBlur]=\"false\"\n                [toggle]=\"'#selected-desc' + i\"\n                [attr.data-qa]=\"'info'\"\n                class=\"material-icons material-icons-outlined button-icon-small button-icon button-icon-outline\"\n                >info</span\n              >\n            </span>\n            <span *ngIf=\"item['badge']\" class=\"badge badge-item\">{{ item.badge }}</span>\n            <span\n              class=\"status-wrapper\"\n              [ngClass]=\"{'status-wrapper-success': item['type'] !== 'BLACK', 'status-wrapper-error': item['type'] === 'BLACK'}\"\n            >\n              <span class=\"material-icons\">circle</span>\n              {{ item['type'] === 'BLACK' ? 'Excluded' : 'Included' }}</span\n            >\n          </div>\n          <div class=\"info-property-sm\" *ngIf=\"item.viewType\">\n            Type: <span class=\"info-property-value\">{{ item.viewType }}</span>\n          </div>\n          <div\n            class=\"select-description\"\n            [id]=\"'selected-desc' + i\"\n            *ngIf=\"item?.description?.length && item?.showDescription\"\n          >\n            {{ item?.description }}\n          </div>\n        </div>\n        <span\n          *ngIf=\"!isDisabled\"\n          type=\"button\"\n          class=\"material-icons material-icons-outlined button-icon-small button-icon button-icon-outline\"\n          [attr.data-qa]=\"'deleteSelectedItem'\"\n          (click)=\"deleteFromSelected(item)\"\n        >\n          close\n        </span>\n      </li>\n    </ul>\n  </div>\n</div>\n", styles: [":host{flex:1}.select-popup-label{color:var(--neutral-on-main-neutral-color, #1a1c1e);font-size:var(--font-headline-4);font-weight:var(--font-weight-bold);line-height:21px;margin-bottom:16px}.table-list>li.selected-item{display:flex;justify-content:space-between;gap:25px;align-items:center}.table-list>li.selected-item .icon>svg{margin-right:4px}.url-item{display:flex;font-size:12px;font-weight:600;color:var(--themePrimButtonsBg-color);line-height:18px;text-decoration-line:underline;text-decoration-style:solid;-webkit-text-decoration-skip-ink:none;text-decoration-skip-ink:none;text-decoration-thickness:auto;text-underline-offset:auto;text-underline-position:from-font;word-wrap:break-word;word-break:break-word}\n"], dependencies: [{ kind: "directive", type: i1$1.NgClass, selector: "[ngClass]", inputs: ["class", "ngClass"] }, { kind: "directive", type: i1$1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i2.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i2.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i2.NgModel, selector: "[ngModel]:not([formControlName]):not([formControl])", inputs: ["name", "disabled", "ngModel", "ngModelOptions"], outputs: ["ngModelChange"], exportAs: ["ngModel"] }, { kind: "directive", type: ToggleDirective, selector: "[toggle]", inputs: ["toggle", "closeOnBlur"] }, { kind: "component", type: SelectComponentClass, selector: "custom-select", inputs: ["valuesStream", "useClear", "clearLikeOption", "subtitle", "placeholder", "selectedDefaultIndex", "selectedDefaultValue", "formElement", "multiple", "search", "disable", "required", "direction", "maxItems", "dataQa", "canRemoveLastItem", "showFlag", "readOnly", "width", "withDescription", "withOperation", "isEmptyStateDescription", "createSelectOptionText", "selectedItemsOnTop", "startTypingText", "isSearchDelay", "dropdownPosition"], outputs: ["valueChanged", "createOptionHandler", "searchHandler"] }, { kind: "directive", type: i1$2.RouterLinkWithHref, selector: "a[routerLink],area[routerLink]", inputs: ["target", "queryParams", "fragment", "queryParamsHandling", "state", "relativeTo", "preserveFragment", "skipLocationChange", "replaceUrl", "routerLink"] }, { kind: "directive", type: i4.MatTooltip, selector: "[matTooltip]", exportAs: ["matTooltip"] }, { kind: "pipe", type: i1$1.AsyncPipe, name: "async" }, { kind: "pipe", type: SortByPipe, name: "sortBy" }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: PopupSelectComponentClass, decorators: [{
            type: Component,
            args: [{ selector: 'epom-popup-select', template: "<div class=\"select-popup-content\" #popUpContent>\n  <div class=\"column column-left pr-20\">\n    <label class=\"control-label table-list-label select-popup-label\" [attr.data-qa]=\"'availableLabel'\">Available</label>\n    <div *ngIf=\"isCountrySelect\" class=\"form-control-wrapper\" [attr.data-qa]=\"'Country'\">\n      <custom-select\n        [dataQa]=\"'countrySelect'\"\n        [valuesStream]=\"countryData\"\n        [placeholder]=\"'Select country'\"\n        [clearLikeOption]=\"false\"\n        [multiple]=\"false\"\n        [useClear]=\"false\"\n        [showFlag]=\"true\"\n        [search]=\"true\"\n        (valueChanged)=\"onCountryChanged($event, searchString)\"\n      ></custom-select>\n      <label class=\"control-label select-label\" [attr.data-qa]=\"'countryLabel'\">Select Country</label>\n    </div>\n\n    <div class=\"form-control-wrapper search-container mt-16 mb-16\" *ngIf=\"!isCountrySelect || countryCode\">\n      <input\n        type=\"text\"\n        class=\"form-control\"\n        id=\"inputSuccess2\"\n        aria-describedby=\"inputSuccess2Status\"\n        [(ngModel)]=\"searchString\"\n        (ngModelChange)=\"onSearchInput()\"\n        placeholder=\"Search\"\n        [attr.data-qa]=\"'searchInput'\"\n      />\n      <span\n        *ngIf=\"searchString.length\"\n        class=\"material-icons material-icons-outlined button-icon button-icon-large button-icon-outline search-icon\"\n        [attr.data-qa]=\"'searchClose'\"\n        (click)=\"clearSearchInput()\"\n        aria-hidden=\"true\"\n        >close</span\n      >\n      <span\n        *ngIf=\"!searchString.length\"\n        class=\"material-icons material-icons-outlined search-icon\"\n        aria-hidden=\"true\"\n        [attr.data-qa]=\"'searchIcon'\"\n      >\n        search\n      </span>\n    </div>\n\n    <div *ngIf=\"showFilter\" class=\"form-group mt-24\" [attr.data-qa]=\"'Filter'\">\n      <div class=\"form-control-wrapper\">\n        <custom-select\n          [dataQa]=\"'filterSelect'\"\n          [valuesStream]=\"filterInput\"\n          [placeholder]=\"'Select Filter type'\"\n          [clearLikeOption]=\"false\"\n          [multiple]=\"true\"\n          [useClear]=\"false\"\n          [showFlag]=\"true\"\n          [search]=\"true\"\n          (valueChanged)=\"filterChanged($event, searchString)\"\n        ></custom-select>\n        <label class=\"control-label select-label\">Filter type</label>\n      </div>\n    </div>\n\n    <div *ngIf=\"isLeftColumnHidden()\" class=\"mt-24 text-center description-text\">\n      <ng-container *ngIf=\"!searchString && activeFiltersToShow; else noFilters\">\n        No filters with the\n        <span class=\"description-text-accent\"> {{ activeFiltersToShow }} </span>\n        type.\n      </ng-container>\n      <ng-template #noFilters> {{ searchString ? '' : zeroLeftColumnItemsText }} </ng-template>\n      <ng-container *ngIf=\"searchString\">\n        No results for \u201C<span class=\"description-text-accent\">{{ searchString }}</span>\u201D.\n      </ng-container>\n    </div>\n\n    <ul class=\"table-list\" [ngClass]=\"{'mt-24': !isCountrySelect && !showFilter}\">\n      <ng-container *ngFor=\"let item of (filteredItems | sortBy: sortField || ''); let index = index\">\n        <li\n          class=\"table-list-item-card table-list-item-card-include\"\n          [ngClass]=\"{'ml-44': !!item['shifted']}\"\n          *ngIf=\"!item['hidden']\"\n        >\n          <div class=\"select-rows\">\n            <span\n              class=\"material-icons material-icons-outlined button-icon button-icon-outline button-icon-large\"\n              *ngIf=\"(item['subcategories'] || []).length\"\n              [attr.data-qa]=\"(item['subcategories'] || []).length && !item['expanded'] ? 'expandDown' : 'expandUp'\"\n              (click)=\"expand(item, index)\"\n            >\n              {{ (item['subcategories'] || []).length && !item['expanded'] ? 'arrow_right' : 'arrow_drop_down' }}\n            </span>\n            <span *ngIf=\"!item['url']\" class=\"filter-name-span\">\n              {{ item.name }}\n              <span\n                *ngIf=\"item?.description?.length && item?.showDescription\"\n                matTooltip=\"Click to learn more\"\n                matTooltipPosition=\"right\"\n                [closeOnBlur]=\"false\"\n                [toggle]=\"'#description' + index\"\n                [attr.data-qa]=\"'info'\"\n                class=\"material-icons material-icons-outlined button-icon-small button-icon button-icon-outline\"\n                >info</span\n              >\n            </span>\n\n            <span *ngIf=\"!!item['url']\">\n              <a class=\"link\" [routerLink]=\"item.url\">{{ item.name }}</a>\n            </span>\n            <span *ngIf=\"item['badge']\" class=\"badge badge-item\">{{ item.badge }}</span>\n            <div class=\"status-switcher-list\" *ngIf=\"popupType !== 'filtersListMedia' && !isDisabled\">\n              <button\n                [disabled]=\"item.disableAdd\"\n                class=\"button button-exclude\"\n                [attr.data-qa]=\"'addToBlackSelectedItems'\"\n                (click)=\"addToSelected(item, index, 'BLACK')\"\n              >\n                <span class=\"material-icons material-icons-outlined\">remove_circle_outline</span>Exclude\n              </button>\n              <button\n                [disabled]=\"item.disableAdd\"\n                class=\"button button-include\"\n                [attr.data-qa]=\"'addToWhiteSelectedItems'\"\n                (click)=\"addToSelected(item, index, 'WHITE')\"\n              >\n                <span class=\"material-icons material-icons-outlined\">add_circle_outline</span>Include\n              </button>\n            </div>\n            <span class=\"status-switcher-list\" *ngIf=\"popupType === 'filtersListMedia'\">\n              <span\n                *ngIf=\"!isDisabled\"\n                class=\"status-switcher\"\n                [attr.data-qa]=\"'addToSelectedItems'\"\n                (click)=\"addToSelected(item, index)\"\n              >\n                add\n              </span>\n            </span>\n          </div>\n          <div class=\"info-property-sm\" *ngIf=\"item.viewType\">\n            Type: <span class=\"info-property-value\">{{ item.viewType }}</span>\n          </div>\n          <div\n            class=\"select-description\"\n            [id]=\"'description' + index\"\n            *ngIf=\"item?.description?.length && item?.showDescription\"\n          >\n            {{ item?.description }}\n          </div>\n        </li>\n      </ng-container>\n    </ul>\n    <button\n      *ngIf=\"isShowMoreAvailable | async\"\n      class=\"button button-outlined mt-8\"\n      [attr.data-qa]=\"'showMore'\"\n      (click)=\"showMore()\"\n    >\n      Show more\n    </button>\n  </div>\n\n  <hr class=\"vertical-line\" />\n\n  <div class=\"column column-right\">\n    <div class=\"clear-filters\">\n      <span *ngIf=\"!isDisabled\" class=\"control-label table-list-label select-popup-label\"\n        >{{ rightColumnTitle ? rightColumnTitle : 'Selected' }} ({{ selectedSet.size ? selectedSet.size :\n        zeroSelectedItemsText || '0' }})\n        <span\n          *ngIf=\"selectedSet.size !== 0\"\n          class=\"pull-right button-link\"\n          [attr.data-qa]=\"'clearAllSelectedItems'\"\n          (click)=\"clearSelected()\"\n        >\n          Clear all\n        </span>\n      </span>\n    </div>\n\n    <div *ngIf=\"selectedSet.size === 0\" class=\"text-center description-text\">{{ emptyListMessage }}</div>\n\n    <ul class=\"table-list\">\n      <li *ngFor=\"let item of selectedSet;  let i = index\" class=\"selected-item\">\n        <div class=\"table-list-item-card\" [attr.data-qa]=\"item['type'] !== 'BLACK' ? 'Included' : 'Excluded'\">\n          <div class=\"select-rows select-rows-included\">\n            <span *ngIf=\"!item['url']\" class=\"filter-name-span\"\n              >{{ item.name }}\n              <span\n                *ngIf=\"item?.description?.length && item?.showDescription\"\n                matTooltip=\"Click to learn more\"\n                matTooltipPosition=\"right\"\n                [closeOnBlur]=\"false\"\n                [toggle]=\"'#selected-desc' + i\"\n                [attr.data-qa]=\"'info'\"\n                class=\"material-icons material-icons-outlined button-icon-small button-icon button-icon-outline\"\n                >info</span\n              >\n            </span>\n            <span *ngIf=\"!!item['url']\"\n              ><a class=\"link\" [routerLink]=\"item.url\">{{ item.name }}</a>\n              <span\n                *ngIf=\"item?.description?.length && item?.showDescription\"\n                matTooltip=\"Click to learn more\"\n                matTooltipPosition=\"right\"\n                [closeOnBlur]=\"false\"\n                [toggle]=\"'#selected-desc' + i\"\n                [attr.data-qa]=\"'info'\"\n                class=\"material-icons material-icons-outlined button-icon-small button-icon button-icon-outline\"\n                >info</span\n              >\n            </span>\n            <span *ngIf=\"item['badge']\" class=\"badge badge-item\">{{ item.badge }}</span>\n            <span\n              class=\"status-wrapper\"\n              [ngClass]=\"{'status-wrapper-success': item['type'] !== 'BLACK', 'status-wrapper-error': item['type'] === 'BLACK'}\"\n            >\n              <span class=\"material-icons\">circle</span>\n              {{ item['type'] === 'BLACK' ? 'Excluded' : 'Included' }}</span\n            >\n          </div>\n          <div class=\"info-property-sm\" *ngIf=\"item.viewType\">\n            Type: <span class=\"info-property-value\">{{ item.viewType }}</span>\n          </div>\n          <div\n            class=\"select-description\"\n            [id]=\"'selected-desc' + i\"\n            *ngIf=\"item?.description?.length && item?.showDescription\"\n          >\n            {{ item?.description }}\n          </div>\n        </div>\n        <span\n          *ngIf=\"!isDisabled\"\n          type=\"button\"\n          class=\"material-icons material-icons-outlined button-icon-small button-icon button-icon-outline\"\n          [attr.data-qa]=\"'deleteSelectedItem'\"\n          (click)=\"deleteFromSelected(item)\"\n        >\n          close\n        </span>\n      </li>\n    </ul>\n  </div>\n</div>\n", styles: [":host{flex:1}.select-popup-label{color:var(--neutral-on-main-neutral-color, #1a1c1e);font-size:var(--font-headline-4);font-weight:var(--font-weight-bold);line-height:21px;margin-bottom:16px}.table-list>li.selected-item{display:flex;justify-content:space-between;gap:25px;align-items:center}.table-list>li.selected-item .icon>svg{margin-right:4px}.url-item{display:flex;font-size:12px;font-weight:600;color:var(--themePrimButtonsBg-color);line-height:18px;text-decoration-line:underline;text-decoration-style:solid;-webkit-text-decoration-skip-ink:none;text-decoration-skip-ink:none;text-decoration-thickness:auto;text-underline-offset:auto;text-underline-position:from-font;word-wrap:break-word;word-break:break-word}\n"] }]
        }], propDecorators: { filtersArr: [{
                type: Input,
                args: ['filtersArr']
            }], isDisabled: [{
                type: Input,
                args: ['isDisabled']
            }], selectedSet: [{
                type: Input,
                args: ['selectedSet']
            }], itemType: [{
                type: Input,
                args: ['itemType']
            }], popupType: [{
                type: Input,
                args: ['popupType']
            }], limitSelection: [{
                type: Input,
                args: ['limitSelection']
            }], inputInclude: [{
                type: Input,
                args: ['includeType']
            }], sortField: [{
                type: Input,
                args: ['sortField']
            }], isCountrySelect: [{
                type: Input,
                args: ['isCountrySelect']
            }], countryData: [{
                type: Input,
                args: ['countryData']
            }], isShowMoreAvailable: [{
                type: Input,
                args: ['isShowMoreAvailable']
            }], showFilter: [{
                type: Input,
                args: ['showFilter']
            }], emptyListMessage: [{
                type: Input,
                args: ['emptyListMessage']
            }], rightColumnTitle: [{
                type: Input,
                args: ['rightColumnTitle']
            }], zeroSelectedItemsText: [{
                type: Input,
                args: ['zeroSelectedItemsText']
            }], zeroLeftColumnItemsText: [{
                type: Input,
                args: ['zeroLeftColumnItemsText']
            }], popupSelectOutput: [{
                type: Output,
                args: ['popupSelectOutput']
            }], updateData: [{
                type: Output,
                args: ['updateData']
            }], isSearchDelay: [{
                type: Input
            }], offsetHandler: [{
                type: Output
            }], searchHandler: [{
                type: Output
            }], search: [{
                type: ViewChild,
                args: ['search']
            }], popUpContent: [{
                type: ViewChild,
                args: ['popUpContent']
            }] } });

class GeoSelectComponentClass {
    constructor(formBuilder) {
        this.formBuilder = formBuilder;
        this.isDisabled = false;
        this.chousenGeo = new EventEmitter();
        this.newTargets = new EventEmitter();
        this.targets = [];
        this.countriesMap = [{ alpha2Code: 'US', value: 'USA', name: 'United States' }];
        this.geoForm = this.formBuilder.group({
            country: [],
            state: [],
            city: [],
        });
        this.geoForm.get('country').valueChanges.subscribe((value) => {
            this.geoForm.get('state').setValue(null);
            this.chousenGeo.emit({ type: 'states', val: value });
        });
        this.geoForm.get('state').valueChanges.subscribe((value) => {
            this.geoForm.get('city').setValue(null);
            this.chousenGeo.emit({ type: 'cities', val: value });
        });
    }
    addTarget(ruleStr) {
        if (!this.geoForm.get('country').value || this.geoForm.get('country').value.length === 0) {
            return false;
        }
        const target = {
            country: this.geoForm.get('country').value[0],
            countryName: this.countriesMap.filter((country) => this.geoForm.get('country').value[0] === country.value)[0]
                .name,
            rule: ruleStr,
        };
        if (this.geoForm.get('state').value) {
            target['state'] = this.geoForm.get('state').value[0];
        }
        if (this.geoForm.get('city').value) {
            target['city'] = this.geoForm.get('city').value[0];
        }
        const existing = this.targets.find((existingTarget) => {
            if (target.country === existingTarget.country &&
                target['state'] === existingTarget.state &&
                target['city'] === existingTarget.city) {
                return existingTarget;
            }
        });
        if (!existing) {
            this.targets.push(target);
        }
        this.emitTargets();
    }
    removeTarget(index) {
        this.targets.splice(index, 1);
        this.emitTargets();
    }
    clearTargets() {
        this.targets = [];
        this.emitTargets();
    }
    emitTargets() {
        this.newTargets.emit(this.targets);
    }
    ngOnInit() {
        this.countries.subscribe((x) => {
            this.countriesMap = this.countriesMap.concat(x);
            if (this.initial) {
                this.initial.map((initial) => {
                    initial.countryName = this.countriesMap.filter((country) => initial.country === country.value)[0].name;
                    return initial;
                });
                this.targets = this.initial;
                this.emitTargets();
            }
        });
    }
}
GeoSelectComponentClass.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: GeoSelectComponentClass, deps: [{ token: i2.FormBuilder }], target: i0.ɵɵFactoryTarget.Component });
GeoSelectComponentClass.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.3.0", type: GeoSelectComponentClass, selector: "epom-popup-geo", inputs: { isDisabled: "isDisabled", countries: ["countriesStream", "countries"], states: ["statesStream", "states"], cities: ["citiesStream", "cities"], initial: ["initialValues", "initial"] }, outputs: { chousenGeo: "chousenGeo", newTargets: "newTargets" }, ngImport: i0, template: "<div class=\"select-popup-content\">\n  <form [formGroup]=\"geoForm\" class=\"column column-left\">\n    <div class=\"form-control-wrapper\" [attr.data-qa]=\"'Country'\">\n      <custom-select\n        [valuesStream]=\"countries\"\n        [placeholder]=\"'Select Country'\"\n        [formElement]=\"geoForm.get('country')\"\n        [useClear]=\"true\"\n        [clearLikeOption]=\"true\"\n        [showFlag]=\"true\"\n      ></custom-select>\n      <label class=\"control-label select-label\">Country</label>\n    </div>\n    <div class=\"form-control-wrapper mt-16\" [attr.data-qa]=\"'Region'\">\n      <custom-select\n        [valuesStream]=\"states\"\n        [placeholder]=\"'Select State'\"\n        [formElement]=\"geoForm.get('state')\"\n        [useClear]=\"true\"\n        [clearLikeOption]=\"true\"\n      ></custom-select>\n      <label class=\"control-label select-label\">Region</label>\n    </div>\n    <div class=\"form-control-wrapper mt-16\" [attr.data-qa]=\"'City'\">\n      <custom-select\n        [valuesStream]=\"cities\"\n        [placeholder]=\"'Select City'\"\n        [formElement]=\"geoForm.get('city')\"\n        [useClear]=\"true\"\n        [clearLikeOption]=\"true\"\n      ></custom-select>\n      <label class=\"control-label select-label\">City</label>\n    </div>\n\n    <section class=\"geo-button-section mt-16\">\n      <button\n        class=\"button button-error button-with-icon\"\n        [attr.data-qa]=\"'excludeTargeting'\"\n        (click)=\"addTarget('EXCLUDE')\"\n      >\n        <span class=\"material-icons material-icons-outlined\">remove_circle_outline</span>Exclude\n      </button>\n\n      <button\n        class=\"button button-success button-with-icon\"\n        [attr.data-qa]=\"'includeTargeting'\"\n        (click)=\"addTarget('INCLUDE')\"\n      >\n        <span class=\"material-icons material-icons-outlined\">add_circle_outline</span>Include\n      </button>\n    </section>\n  </form>\n\n  <hr class=\"vertical-line\" />\n\n  <div class=\"column column-right\">\n    <section class=\"selected-top-header\">\n      <span class=\"geo-selected-title\">Selected ({{ targets.length ? targets.length : 'Any' }})</span>\n      <a *ngIf=\"targets.length\" class=\"button-link button-link-big button-link-primary\" (click)=\"clearTargets()\">\n        Clear all\n      </a>\n    </section>\n\n    <section *ngIf=\"!targets.length\" class=\"geo-empty-state\">No geo restrictions for campaign targeting.</section>\n\n    <section class=\"geo-list\">\n      <div *ngFor=\"let target of targets; let i = index\" class=\"geo-item-block\">\n        <div class=\"geo-item\">\n          <div>\n            {{target.countryName}}<span *ngIf=\"target.state\">, {{target.state}}</span\n            ><span *ngIf=\"target.city\">, {{target.city === 'Kiev' ? 'Kyiv' : target.city}}</span>\n          </div>\n\n          <ng-container *ngIf=\"target['rule'] === 'INCLUDE'; else excludeBlock\">\n            <span class=\"geo-status geo-include-status\">\n              <label class=\"icon\">\n                <svg height=\"10\" width=\"10\" xmlns=\"http://www.w3.org/2000/svg\">\n                  <circle class=\"geo-include-circle\" r=\"5\" cx=\"5\" cy=\"5\" />\n                </svg>\n              </label>\n              <span class=\"geo-status-marked-text\">Included</span>\n            </span>\n          </ng-container>\n\n          <ng-template #excludeBlock>\n            <span class=\"geo-status geo-exclude-status\">\n              <label class=\"icon\">\n                <svg height=\"10\" width=\"10\" xmlns=\"http://www.w3.org/2000/svg\">\n                  <circle class=\"geo-exclude-circle\" r=\"5\" cx=\"5\" cy=\"5\" />\n                </svg>\n              </label>\n              <span class=\"geo-status-marked-text\">Excluded</span>\n            </span>\n          </ng-template>\n        </div>\n\n        <span\n          class=\"material-icons material-icons-outlined button-icon button-icon-middle button-icon-outline\"\n          matTooltip=\"Remove\"\n          [matTooltipPosition]=\"'above'\"\n          [attr.data-qa]=\"'deleteFromSelected'\"\n          (click)=\"removeTarget(i)\"\n        >\n          close\n        </span>\n      </div>\n    </section>\n  </div>\n</div>\n", styles: [":host{flex:1}.geo-body-modal{display:flex;justify-content:space-between;gap:16px}.selected-top-header{display:flex;align-items:center;justify-content:space-between;padding-bottom:16px}.geo-selected-title{font-weight:700;line-height:21px}.geo-button-section{display:flex;align-items:center;justify-content:end;gap:16px}.geo-select-menu{width:477px;padding-bottom:16px}.geo-selected-block{width:100%}.geo-list{display:flex;flex-direction:column;gap:8px;max-height:509px}.geo-item-block{display:flex;align-items:center;justify-content:space-between;gap:21px}.geo-item{display:flex;align-items:center;justify-content:space-between;gap:10px;width:100%;padding:11px 24px 11px 16px;border-radius:4px;border:1px solid var(--neutral-outline-variant-color)}.geo-status{display:flex;align-items:center;font-size:12px;line-height:18px;gap:4px}.geo-status label{margin-bottom:0}.geo-status .geo-status-marked-text{width:51px}.geo-include-status{color:var(--light-success)}.geo-exclude-status{color:var(--error-default-color)}.geo-include-circle{fill:var(--light-success)}.geo-exclude-circle{fill:var(--error-default-color)}.geo-empty-state{display:flex;justify-content:center;font-size:12px;color:var(--neutral-outline-color);line-height:18px}@media (max-height: 820px){.geo-selected-block .geo-list{max-height:428px}}\n"], dependencies: [{ kind: "directive", type: i1$1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i2.ɵNgNoValidate, selector: "form:not([ngNoForm]):not([ngNativeValidate])" }, { kind: "directive", type: i2.NgControlStatusGroup, selector: "[formGroupName],[formArrayName],[ngModelGroup],[formGroup],form:not([ngNoForm]),[ngForm]" }, { kind: "directive", type: i2.FormGroupDirective, selector: "[formGroup]", inputs: ["formGroup"], outputs: ["ngSubmit"], exportAs: ["ngForm"] }, { kind: "component", type: SelectComponentClass, selector: "custom-select", inputs: ["valuesStream", "useClear", "clearLikeOption", "subtitle", "placeholder", "selectedDefaultIndex", "selectedDefaultValue", "formElement", "multiple", "search", "disable", "required", "direction", "maxItems", "dataQa", "canRemoveLastItem", "showFlag", "readOnly", "width", "withDescription", "withOperation", "isEmptyStateDescription", "createSelectOptionText", "selectedItemsOnTop", "startTypingText", "isSearchDelay", "dropdownPosition"], outputs: ["valueChanged", "createOptionHandler", "searchHandler"] }, { kind: "directive", type: i4.MatTooltip, selector: "[matTooltip]", exportAs: ["matTooltip"] }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: GeoSelectComponentClass, decorators: [{
            type: Component,
            args: [{ selector: 'epom-popup-geo', template: "<div class=\"select-popup-content\">\n  <form [formGroup]=\"geoForm\" class=\"column column-left\">\n    <div class=\"form-control-wrapper\" [attr.data-qa]=\"'Country'\">\n      <custom-select\n        [valuesStream]=\"countries\"\n        [placeholder]=\"'Select Country'\"\n        [formElement]=\"geoForm.get('country')\"\n        [useClear]=\"true\"\n        [clearLikeOption]=\"true\"\n        [showFlag]=\"true\"\n      ></custom-select>\n      <label class=\"control-label select-label\">Country</label>\n    </div>\n    <div class=\"form-control-wrapper mt-16\" [attr.data-qa]=\"'Region'\">\n      <custom-select\n        [valuesStream]=\"states\"\n        [placeholder]=\"'Select State'\"\n        [formElement]=\"geoForm.get('state')\"\n        [useClear]=\"true\"\n        [clearLikeOption]=\"true\"\n      ></custom-select>\n      <label class=\"control-label select-label\">Region</label>\n    </div>\n    <div class=\"form-control-wrapper mt-16\" [attr.data-qa]=\"'City'\">\n      <custom-select\n        [valuesStream]=\"cities\"\n        [placeholder]=\"'Select City'\"\n        [formElement]=\"geoForm.get('city')\"\n        [useClear]=\"true\"\n        [clearLikeOption]=\"true\"\n      ></custom-select>\n      <label class=\"control-label select-label\">City</label>\n    </div>\n\n    <section class=\"geo-button-section mt-16\">\n      <button\n        class=\"button button-error button-with-icon\"\n        [attr.data-qa]=\"'excludeTargeting'\"\n        (click)=\"addTarget('EXCLUDE')\"\n      >\n        <span class=\"material-icons material-icons-outlined\">remove_circle_outline</span>Exclude\n      </button>\n\n      <button\n        class=\"button button-success button-with-icon\"\n        [attr.data-qa]=\"'includeTargeting'\"\n        (click)=\"addTarget('INCLUDE')\"\n      >\n        <span class=\"material-icons material-icons-outlined\">add_circle_outline</span>Include\n      </button>\n    </section>\n  </form>\n\n  <hr class=\"vertical-line\" />\n\n  <div class=\"column column-right\">\n    <section class=\"selected-top-header\">\n      <span class=\"geo-selected-title\">Selected ({{ targets.length ? targets.length : 'Any' }})</span>\n      <a *ngIf=\"targets.length\" class=\"button-link button-link-big button-link-primary\" (click)=\"clearTargets()\">\n        Clear all\n      </a>\n    </section>\n\n    <section *ngIf=\"!targets.length\" class=\"geo-empty-state\">No geo restrictions for campaign targeting.</section>\n\n    <section class=\"geo-list\">\n      <div *ngFor=\"let target of targets; let i = index\" class=\"geo-item-block\">\n        <div class=\"geo-item\">\n          <div>\n            {{target.countryName}}<span *ngIf=\"target.state\">, {{target.state}}</span\n            ><span *ngIf=\"target.city\">, {{target.city === 'Kiev' ? 'Kyiv' : target.city}}</span>\n          </div>\n\n          <ng-container *ngIf=\"target['rule'] === 'INCLUDE'; else excludeBlock\">\n            <span class=\"geo-status geo-include-status\">\n              <label class=\"icon\">\n                <svg height=\"10\" width=\"10\" xmlns=\"http://www.w3.org/2000/svg\">\n                  <circle class=\"geo-include-circle\" r=\"5\" cx=\"5\" cy=\"5\" />\n                </svg>\n              </label>\n              <span class=\"geo-status-marked-text\">Included</span>\n            </span>\n          </ng-container>\n\n          <ng-template #excludeBlock>\n            <span class=\"geo-status geo-exclude-status\">\n              <label class=\"icon\">\n                <svg height=\"10\" width=\"10\" xmlns=\"http://www.w3.org/2000/svg\">\n                  <circle class=\"geo-exclude-circle\" r=\"5\" cx=\"5\" cy=\"5\" />\n                </svg>\n              </label>\n              <span class=\"geo-status-marked-text\">Excluded</span>\n            </span>\n          </ng-template>\n        </div>\n\n        <span\n          class=\"material-icons material-icons-outlined button-icon button-icon-middle button-icon-outline\"\n          matTooltip=\"Remove\"\n          [matTooltipPosition]=\"'above'\"\n          [attr.data-qa]=\"'deleteFromSelected'\"\n          (click)=\"removeTarget(i)\"\n        >\n          close\n        </span>\n      </div>\n    </section>\n  </div>\n</div>\n", styles: [":host{flex:1}.geo-body-modal{display:flex;justify-content:space-between;gap:16px}.selected-top-header{display:flex;align-items:center;justify-content:space-between;padding-bottom:16px}.geo-selected-title{font-weight:700;line-height:21px}.geo-button-section{display:flex;align-items:center;justify-content:end;gap:16px}.geo-select-menu{width:477px;padding-bottom:16px}.geo-selected-block{width:100%}.geo-list{display:flex;flex-direction:column;gap:8px;max-height:509px}.geo-item-block{display:flex;align-items:center;justify-content:space-between;gap:21px}.geo-item{display:flex;align-items:center;justify-content:space-between;gap:10px;width:100%;padding:11px 24px 11px 16px;border-radius:4px;border:1px solid var(--neutral-outline-variant-color)}.geo-status{display:flex;align-items:center;font-size:12px;line-height:18px;gap:4px}.geo-status label{margin-bottom:0}.geo-status .geo-status-marked-text{width:51px}.geo-include-status{color:var(--light-success)}.geo-exclude-status{color:var(--error-default-color)}.geo-include-circle{fill:var(--light-success)}.geo-exclude-circle{fill:var(--error-default-color)}.geo-empty-state{display:flex;justify-content:center;font-size:12px;color:var(--neutral-outline-color);line-height:18px}@media (max-height: 820px){.geo-selected-block .geo-list{max-height:428px}}\n"] }]
        }], ctorParameters: function () { return [{ type: i2.FormBuilder }]; }, propDecorators: { isDisabled: [{
                type: Input,
                args: ['isDisabled']
            }], countries: [{
                type: Input,
                args: ['countriesStream']
            }], states: [{
                type: Input,
                args: ['statesStream']
            }], cities: [{
                type: Input,
                args: ['citiesStream']
            }], initial: [{
                type: Input,
                args: ['initialValues']
            }], chousenGeo: [{
                type: Output,
                args: ['chousenGeo']
            }], newTargets: [{
                type: Output,
                args: ['newTargets']
            }] } });

class GeoSspSelectComponentClass {
    constructor(formBuilder) {
        this.formBuilder = formBuilder;
        this.isDisabled = false;
        this.chousenGeo = new EventEmitter();
        this.newTargets = new EventEmitter();
        this.targets = [];
        this.countriesMap = [{ alpha2Code: 'US', value: 'USA', name: 'United States' }];
        this.geoForm = this.formBuilder.group({
            country: [],
            state: [],
            city: [],
        });
        this.geoForm.get('country').valueChanges.subscribe((value) => {
            this.geoForm.get('state').setValue(null);
            this.chousenGeo.emit({ type: 'states', val: value });
        });
        this.geoForm.get('state').valueChanges.subscribe((value) => {
            this.geoForm.get('city').setValue(null);
            this.chousenGeo.emit({ type: 'cities', val: value });
        });
    }
    addGeo() {
        if (!this.geoForm.get('country').value || this.geoForm.get('country').value.length === 0) {
            return false;
        }
        const target = {
            country: this.geoForm.get('country').value[0],
            countryName: this.countriesMap.filter((country) => this.geoForm.get('country').value[0] === country.value)[0]
                .name,
        };
        if (this.geoForm.get('state').value) {
            target['state'] = this.geoForm.get('state').value[0];
        }
        if (this.geoForm.get('city').value) {
            target['city'] = this.geoForm.get('city').value[0];
        }
        const existing = this.targets.find((existingTarget) => {
            if (target.country === existingTarget.country &&
                target['state'] === existingTarget.state &&
                target['city'] === existingTarget.city) {
                return existingTarget;
            }
        });
        if (!existing) {
            this.targets.push(target);
        }
        this.emitTargets(true);
    }
    removeTarget(index) {
        this.targets.splice(index, 1);
        this.emitTargets(false);
    }
    clearTargets() {
        this.targets = [];
        this.emitTargets(false);
    }
    emitTargets(disable) {
        if (disable) {
            this.geoForm.disable();
        }
        else {
            this.geoForm.enable();
        }
        this.newTargets.emit(this.targets);
    }
    ngOnInit() {
        this.countries.subscribe((x) => {
            this.countriesMap = this.countriesMap.concat(x);
            if (this.initial) {
                this.initial.map((initial) => {
                    initial.countryName = this.countriesMap.filter((country) => initial.country === country.value)[0].name;
                    return initial;
                });
                this.targets = this.initial;
                this.emitTargets(this.targets.length);
            }
        });
    }
}
GeoSspSelectComponentClass.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: GeoSspSelectComponentClass, deps: [{ token: i2.FormBuilder }], target: i0.ɵɵFactoryTarget.Component });
GeoSspSelectComponentClass.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.3.0", type: GeoSspSelectComponentClass, selector: "epom-popup-geo-ssp", inputs: { isDisabled: "isDisabled", countries: ["countriesStream", "countries"], states: ["statesStream", "states"], cities: ["citiesStream", "cities"], initial: ["initialValues", "initial"] }, outputs: { chousenGeo: "chousenGeo", newTargets: "newTargets" }, ngImport: i0, template: "<div class=\"row\">\n  <div class=\"col-md-6 col-right-border no-overflow\">\n    <form [formGroup]=\"geoForm\">\n      <div class=\"form-group\" [attr.data-qa]=\"'Country'\">\n        <div class=\"form-control-wrapper\">\n          <custom-select\n            class=\"form-control\"\n            [valuesStream]=\"countries\"\n            [placeholder]=\"'Select country'\"\n            [formElement]=\"geoForm.get('country')\"\n            [useClear]=\"true\"\n            [clearLikeOption]=\"true\"\n            [showFlag]=\"true\"\n            [disable]=\"geoForm.get('country').disabled\"\n          ></custom-select>\n          <label class=\"control-label select-label\">Country</label>\n        </div>\n      </div>\n      <div class=\"form-group\" [attr.data-qa]=\"'Region'\">\n        <div class=\"form-control-wrapper\">\n          <custom-select\n            class=\"form-control\"\n            [valuesStream]=\"states\"\n            [placeholder]=\"'Select State'\"\n            [formElement]=\"geoForm.get('state')\"\n            [useClear]=\"true\"\n            [clearLikeOption]=\"true\"\n            [disable]=\"geoForm.get('state').disabled\"\n          ></custom-select>\n          <label class=\"control-label select-label\">Region</label>\n        </div>\n      </div>\n      <div class=\"form-group\" [attr.data-qa]=\"'City'\">\n        <div class=\"form-control-wrapper\">\n          <custom-select\n            class=\"form-control\"\n            [valuesStream]=\"cities\"\n            [placeholder]=\"'Select City'\"\n            [formElement]=\"geoForm.get('city')\"\n            [useClear]=\"true\"\n            [clearLikeOption]=\"true\"\n            [disable]=\"geoForm.get('city').disabled\"\n          ></custom-select>\n          <label class=\"control-label select-label\">City</label>\n        </div>\n      </div>\n      <div class=\"form-group text-right\">\n        <button\n          class=\"pull-right button button-success button-with-icon\"\n          [disabled]=\"targets.length >= 1\"\n          [attr.data-qa]=\"'includeTargeting'\"\n          (click)=\"addGeo()\"\n        >\n          <span class=\"material-icons material-icons-outlined\">add_circle_outline</span>\n          Include\n        </button>\n      </div>\n    </form>\n  </div>\n  <div class=\"col-md-6\">\n    <div class=\"column-right\">\n      <h4 class=\"headline-4\">\n        Selected Country ({{ targets.length }})\n        <span class=\"pull-right button-link\" [attr.data-qa]=\"'clearAll'\" (click)=\"clearTargets()\">Clear all</span>\n      </h4>\n      <ul class=\"table-list\">\n        <li class=\"selected-item\" *ngFor=\"let target of targets; let i = index\">\n          <div class=\"table-list-item-card\">\n            <div class=\"select-rows select-rows-included\">\n              <span class=\"filter-name-span\">\n                <span>\n                  {{ target.countryName }}<span *ngIf=\"target.state\">, {{ target.state }}</span\n                  ><span *ngIf=\"target.city\">, {{ target.city }}</span></span\n                >\n              </span>\n              <span\n                class=\"status-wrapper\"\n                [ngClass]=\"{'status-wrapper-success': target['type'] !== 'BLACK', 'status-wrapper-error': target['type'] === 'BLACK'}\"\n              >\n                <span class=\"material-icons\">circle</span>\n                {{ target['type'] === 'BLACK' ? 'Excluded' : 'Included' }}</span\n              >\n            </div>\n          </div>\n          <span\n            type=\"button\"\n            class=\"material-icons material-icons-outlined button-icon-small button-icon button-icon-outline\"\n            [attr.data-qa]=\"'removeTarget'\"\n            (click)=\"removeTarget(i)\"\n            >close</span\n          >\n        </li>\n      </ul>\n    </div>\n  </div>\n</div>\n", styles: [":host{height:364px;display:block}:host .row{height:inherit}:host .row .col-right-border{height:inherit}.column-right{padding-right:20px}\n"], dependencies: [{ kind: "directive", type: i1$1.NgClass, selector: "[ngClass]", inputs: ["class", "ngClass"] }, { kind: "directive", type: i1$1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i2.ɵNgNoValidate, selector: "form:not([ngNoForm]):not([ngNativeValidate])" }, { kind: "directive", type: i2.NgControlStatusGroup, selector: "[formGroupName],[formArrayName],[ngModelGroup],[formGroup],form:not([ngNoForm]),[ngForm]" }, { kind: "directive", type: i2.FormGroupDirective, selector: "[formGroup]", inputs: ["formGroup"], outputs: ["ngSubmit"], exportAs: ["ngForm"] }, { kind: "component", type: SelectComponentClass, selector: "custom-select", inputs: ["valuesStream", "useClear", "clearLikeOption", "subtitle", "placeholder", "selectedDefaultIndex", "selectedDefaultValue", "formElement", "multiple", "search", "disable", "required", "direction", "maxItems", "dataQa", "canRemoveLastItem", "showFlag", "readOnly", "width", "withDescription", "withOperation", "isEmptyStateDescription", "createSelectOptionText", "selectedItemsOnTop", "startTypingText", "isSearchDelay", "dropdownPosition"], outputs: ["valueChanged", "createOptionHandler", "searchHandler"] }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: GeoSspSelectComponentClass, decorators: [{
            type: Component,
            args: [{ selector: 'epom-popup-geo-ssp', template: "<div class=\"row\">\n  <div class=\"col-md-6 col-right-border no-overflow\">\n    <form [formGroup]=\"geoForm\">\n      <div class=\"form-group\" [attr.data-qa]=\"'Country'\">\n        <div class=\"form-control-wrapper\">\n          <custom-select\n            class=\"form-control\"\n            [valuesStream]=\"countries\"\n            [placeholder]=\"'Select country'\"\n            [formElement]=\"geoForm.get('country')\"\n            [useClear]=\"true\"\n            [clearLikeOption]=\"true\"\n            [showFlag]=\"true\"\n            [disable]=\"geoForm.get('country').disabled\"\n          ></custom-select>\n          <label class=\"control-label select-label\">Country</label>\n        </div>\n      </div>\n      <div class=\"form-group\" [attr.data-qa]=\"'Region'\">\n        <div class=\"form-control-wrapper\">\n          <custom-select\n            class=\"form-control\"\n            [valuesStream]=\"states\"\n            [placeholder]=\"'Select State'\"\n            [formElement]=\"geoForm.get('state')\"\n            [useClear]=\"true\"\n            [clearLikeOption]=\"true\"\n            [disable]=\"geoForm.get('state').disabled\"\n          ></custom-select>\n          <label class=\"control-label select-label\">Region</label>\n        </div>\n      </div>\n      <div class=\"form-group\" [attr.data-qa]=\"'City'\">\n        <div class=\"form-control-wrapper\">\n          <custom-select\n            class=\"form-control\"\n            [valuesStream]=\"cities\"\n            [placeholder]=\"'Select City'\"\n            [formElement]=\"geoForm.get('city')\"\n            [useClear]=\"true\"\n            [clearLikeOption]=\"true\"\n            [disable]=\"geoForm.get('city').disabled\"\n          ></custom-select>\n          <label class=\"control-label select-label\">City</label>\n        </div>\n      </div>\n      <div class=\"form-group text-right\">\n        <button\n          class=\"pull-right button button-success button-with-icon\"\n          [disabled]=\"targets.length >= 1\"\n          [attr.data-qa]=\"'includeTargeting'\"\n          (click)=\"addGeo()\"\n        >\n          <span class=\"material-icons material-icons-outlined\">add_circle_outline</span>\n          Include\n        </button>\n      </div>\n    </form>\n  </div>\n  <div class=\"col-md-6\">\n    <div class=\"column-right\">\n      <h4 class=\"headline-4\">\n        Selected Country ({{ targets.length }})\n        <span class=\"pull-right button-link\" [attr.data-qa]=\"'clearAll'\" (click)=\"clearTargets()\">Clear all</span>\n      </h4>\n      <ul class=\"table-list\">\n        <li class=\"selected-item\" *ngFor=\"let target of targets; let i = index\">\n          <div class=\"table-list-item-card\">\n            <div class=\"select-rows select-rows-included\">\n              <span class=\"filter-name-span\">\n                <span>\n                  {{ target.countryName }}<span *ngIf=\"target.state\">, {{ target.state }}</span\n                  ><span *ngIf=\"target.city\">, {{ target.city }}</span></span\n                >\n              </span>\n              <span\n                class=\"status-wrapper\"\n                [ngClass]=\"{'status-wrapper-success': target['type'] !== 'BLACK', 'status-wrapper-error': target['type'] === 'BLACK'}\"\n              >\n                <span class=\"material-icons\">circle</span>\n                {{ target['type'] === 'BLACK' ? 'Excluded' : 'Included' }}</span\n              >\n            </div>\n          </div>\n          <span\n            type=\"button\"\n            class=\"material-icons material-icons-outlined button-icon-small button-icon button-icon-outline\"\n            [attr.data-qa]=\"'removeTarget'\"\n            (click)=\"removeTarget(i)\"\n            >close</span\n          >\n        </li>\n      </ul>\n    </div>\n  </div>\n</div>\n", styles: [":host{height:364px;display:block}:host .row{height:inherit}:host .row .col-right-border{height:inherit}.column-right{padding-right:20px}\n"] }]
        }], ctorParameters: function () { return [{ type: i2.FormBuilder }]; }, propDecorators: { isDisabled: [{
                type: Input,
                args: ['isDisabled']
            }], countries: [{
                type: Input,
                args: ['countriesStream']
            }], states: [{
                type: Input,
                args: ['statesStream']
            }], cities: [{
                type: Input,
                args: ['citiesStream']
            }], initial: [{
                type: Input,
                args: ['initialValues']
            }], chousenGeo: [{
                type: Output,
                args: ['chousenGeo']
            }], newTargets: [{
                type: Output,
                args: ['newTargets']
            }] } });

// const WIDTH: IPopupDefault.Width = {
//     large:'lg',
//     medium: 'md',
//     small: 'sm'
// };
//
// const BUTTONS: IPopupDefault.Buttons = {
//     cancel: {'class': 'default', 'text': 'Cancel', 'event': 'close-button'},
//     ok: {'class': 'primary', 'text': 'OK', 'event': 'submit'}
// };
const POPUP_DEFAULTS = {
    WIDTH: {
        large: 'lg',
        medium: 'md',
        small: 'sm',
    },
    BUTTONS: {
        cancel: { class: 'default', text: 'Cancel', event: 'close-button' },
        ok: { class: 'primary', text: 'OK', event: 'submit' },
        archive: { class: 'primary', text: 'Archive', event: 'submit' },
        create: { class: 'primary', text: 'Create', event: 'submit' },
        save: { class: 'primary', text: 'Save', event: 'submit' },
    },
};
const STRIPE_CARD_OPTIONS = {
    base: {
        color: '#32325D',
        fontWeight: 500,
        fontFamily: 'Open Sans',
        fontSize: '16px',
        fontSmoothing: 'antialiased',
        '::placeholder': {
            color: '#CFD7DF',
        },
        ':-webkit-autofill': {
            color: '#e39f48',
        },
    },
    invalid: {
        color: '#E25950',
        '::placeholder': {
            color: '#FFCCA5',
        },
    },
};
const STRIPE_ELEMENTS_OPTIONS = {
    focus: 'focused',
    empty: 'empty',
    invalid: 'invalid',
};
const USE_3D_SECURE = ['required', 'recommended', 'optional'];
const CONDITIONS_LIST = [
    { name: 'this or newer', value: 'LE', iconClass: '=>' },
    { name: 'equals', value: 'EQ', iconClass: '=' },
    { name: 'this or older', value: 'GE', iconClass: '<=' },
];
const CONDITIONS_METRIC_LIST = [
    { name: 'grater than', value: 'greaterThan', iconClass: '>' },
    { name: 'equals', value: 'equalTo', iconClass: '=' },
    { name: 'less than', value: 'lessThan', iconClass: '<' },
];
const POPUP_MESSAGES = {
    ARCHIVING_PAUSE: 'Archiving will pause all its activities and it will no longer be active.',
    ACTION_CANNOT_BE_UNDONE: 'This action cannot be undone.',
};

class CheckboxButtonComponent {
    constructor(injector) {
        this.injector = injector;
        this.infoText = null;
        this.isInfoHovered = false;
        this.subscription = new Subscription();
    }
    ngOnInit() {
        this.setComponentControl();
    }
    ngOnDestroy() {
        this.subscription.unsubscribe();
    }
    setComponentControl() {
        const injectedControl = this.injector.get(NgControl);
        switch (injectedControl.constructor) {
            case NgModel: {
                const { control, update } = injectedControl;
                this.ngModelChange = update;
                this.formControl = control;
                break;
            }
            case FormControlName: {
                this.formControl = this.injector.get(FormGroupDirective).getControl(injectedControl);
                break;
            }
            default: {
                this.formControl = injectedControl.form;
                break;
            }
        }
    }
    setHoverState(isHovered) {
        this.isInfoHovered = isHovered;
    }
    writeValue() {
        // default ControlValueAccessor implementation
    }
    registerOnChange() {
        // default ControlValueAccessor implementation
    }
    registerOnTouched() {
        // default ControlValueAccessor implementation
    }
}
CheckboxButtonComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: CheckboxButtonComponent, deps: [{ token: Injector }], target: i0.ɵɵFactoryTarget.Component });
CheckboxButtonComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.3.0", type: CheckboxButtonComponent, selector: "epom-checkbox-button", inputs: { label: "label", description: "description", name: "name", value: "value", id: "id", semibold: "semibold", fullWidth: "fullWidth", indeterminate: "indeterminate", infoText: "infoText" }, providers: [
        {
            provide: NG_VALUE_ACCESSOR,
            multi: true,
            useExisting: forwardRef(() => CheckboxButtonComponent),
        },
    ], ngImport: i0, template: "<mat-checkbox\n  class=\"checkbox-button\"\n  [class.checkbox-button-description]=\"description\"\n  [class.full-width]=\"fullWidth\"\n  [formControl]=\"formControl\"\n  (change)=\"ngModelChange?.emit($event.checked)\"\n  [indeterminate]=\"indeterminate\"\n>\n  <div class=\"checkbox-button-label\">\n    <span [class.semi-bold]=\"semibold\" class=\"checkbox-label\">{{ label }}<ng-content></ng-content></span>\n    <div class=\"checkbox-button-description-text\">{{ description }}</div>\n  </div>\n\n  <span\n    *ngIf=\"infoText\"\n    class=\"checkbox-info-label material-icons material-icons-outlined button-icon button-icon-small\"\n    [matTooltip]=\"infoText\"\n    [ngClass]=\"{'button-icon-primary': isInfoHovered, 'button-icon-outline': !isInfoHovered}\"\n    (mouseenter)=\"setHoverState(true)\"\n    (mouseleave)=\"setHoverState(false)\"\n  >\n    info\n  </span>\n</mat-checkbox>\n", styles: [".full-width{width:100%}mat-checkbox{display:block}.checkbox-label{display:flex;align-items:center;gap:8px}.checkbox-info-label{position:absolute;top:8px;margin-left:8px}\n"], dependencies: [{ kind: "directive", type: i1$1.NgClass, selector: "[ngClass]", inputs: ["class", "ngClass"] }, { kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i2.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i2.FormControlDirective, selector: "[formControl]", inputs: ["formControl", "disabled", "ngModel"], outputs: ["ngModelChange"], exportAs: ["ngForm"] }, { kind: "component", type: i3$1.MatCheckbox, selector: "mat-checkbox", inputs: ["disableRipple", "color", "tabIndex"], exportAs: ["matCheckbox"] }, { kind: "directive", type: i4.MatTooltip, selector: "[matTooltip]", exportAs: ["matTooltip"] }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: CheckboxButtonComponent, decorators: [{
            type: Component,
            args: [{ selector: 'epom-checkbox-button', providers: [
                        {
                            provide: NG_VALUE_ACCESSOR,
                            multi: true,
                            useExisting: forwardRef(() => CheckboxButtonComponent),
                        },
                    ], template: "<mat-checkbox\n  class=\"checkbox-button\"\n  [class.checkbox-button-description]=\"description\"\n  [class.full-width]=\"fullWidth\"\n  [formControl]=\"formControl\"\n  (change)=\"ngModelChange?.emit($event.checked)\"\n  [indeterminate]=\"indeterminate\"\n>\n  <div class=\"checkbox-button-label\">\n    <span [class.semi-bold]=\"semibold\" class=\"checkbox-label\">{{ label }}<ng-content></ng-content></span>\n    <div class=\"checkbox-button-description-text\">{{ description }}</div>\n  </div>\n\n  <span\n    *ngIf=\"infoText\"\n    class=\"checkbox-info-label material-icons material-icons-outlined button-icon button-icon-small\"\n    [matTooltip]=\"infoText\"\n    [ngClass]=\"{'button-icon-primary': isInfoHovered, 'button-icon-outline': !isInfoHovered}\"\n    (mouseenter)=\"setHoverState(true)\"\n    (mouseleave)=\"setHoverState(false)\"\n  >\n    info\n  </span>\n</mat-checkbox>\n", styles: [".full-width{width:100%}mat-checkbox{display:block}.checkbox-label{display:flex;align-items:center;gap:8px}.checkbox-info-label{position:absolute;top:8px;margin-left:8px}\n"] }]
        }], ctorParameters: function () { return [{ type: i0.Injector, decorators: [{
                    type: Inject,
                    args: [Injector]
                }] }]; }, propDecorators: { label: [{
                type: Input
            }], description: [{
                type: Input
            }], name: [{
                type: Input
            }], value: [{
                type: Input
            }], id: [{
                type: Input
            }], semibold: [{
                type: Input
            }], fullWidth: [{
                type: Input
            }], indeterminate: [{
                type: Input
            }], infoText: [{
                type: Input
            }] } });

class PopupSelectVersionsComponentClass {
    constructor() {
        this.popupSelectedOutput = new EventEmitter();
        this.checkAvailabilityForm = new EventEmitter();
        this.conditionsList = of(CONDITIONS_LIST);
        this.destroy$ = new Subject();
    }
    ngOnInit() {
        this.targetingForm = cloneDeep(this.initialFormState);
        this.disableVersionControlsByInit();
        this.trackCheckboxChanges();
    }
    changeCheckboxState(event, control) {
        if (event.target) {
            this.manageVersionControl(event.target.checked, this.targetingForm.get([control, 'version']));
            this.emitData();
        }
        else {
            this.targetingForm.get([control, 'relation']).patchValue(event[0]);
        }
        this.emitData();
    }
    emitData() {
        this.popupSelectedOutput.emit(this.targetingForm.value);
        this.checkAvailabilityForm.emit(this.targetingForm.valid);
    }
    disableVersionControlsByInit() {
        const formValue = this.targetingForm.value;
        Object.keys(formValue).forEach((key) => {
            const controlValue = this.targetingForm.get(key).value;
            if (!key.includes('TargetType') && !controlValue['checked']) {
                this.targetingForm.get([key, 'version']).disable();
            }
        });
    }
    trackCheckboxChanges() {
        Object.keys(this.targetingForm.controls).forEach((key) => {
            const controlGroup = this.targetingForm.get(key);
            if (controlGroup && controlGroup.get('checked')) {
                controlGroup
                    .get('checked')
                    .valueChanges.pipe(takeUntil(this.destroy$))
                    .subscribe((isChecked) => {
                    this.manageVersionControl(isChecked, controlGroup.get('version'));
                    this.emitData();
                });
            }
        });
    }
    manageVersionControl(isChecked, versionControl) {
        if (isChecked) {
            versionControl.enable();
        }
        else {
            versionControl.disable();
            versionControl.setValue(null);
        }
    }
    ngOnDestroy() {
        this.destroy$.next();
        this.destroy$.complete();
    }
}
PopupSelectVersionsComponentClass.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: PopupSelectVersionsComponentClass, deps: [], target: i0.ɵɵFactoryTarget.Component });
PopupSelectVersionsComponentClass.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.3.0", type: PopupSelectVersionsComponentClass, selector: "epom-popup-select-versions", inputs: { initialFormState: "initialFormState", targetingData: "targetingData" }, outputs: { popupSelectedOutput: "popupSelectedOutput", checkAvailabilityForm: "checkAvailabilityForm" }, ngImport: i0, template: "<div class=\"versions-header-select\">\n  <div class=\"select-target-width\"><label class=\"control-label select-versions-label\">Target</label></div>\n  <div class=\"select-condition-width\"><label class=\"control-label select-versions-label\">Condition</label></div>\n  <div class=\"select-version-width\"><label class=\"control-label select-versions-label\">Version</label></div>\n</div>\n\n<main class=\"select-version-block\" [formGroup]=\"targetingForm\">\n  <div class=\"select-version-group\" *ngFor=\"let target of targetingData; let i = index;\">\n    <div class=\"select-target-checkbox\" [formGroupName]=\"target.controlValue\">\n      <epom-checkbox-button\n        formControlName=\"checked\"\n        [label]=\"target.viewValue\"\n        [fullWidth]=\"true\"\n      ></epom-checkbox-button>\n    </div>\n    <div class=\"select-condition-menu\" [formGroupName]=\"target.controlValue\">\n      <custom-select\n        [valuesStream]=\"conditionsList\"\n        [clearLikeOption]=\"false\"\n        [multiple]=\"false\"\n        [useClear]=\"true\"\n        [search]=\"false\"\n        [withOperation]=\"true\"\n        [disable]=\"targetingForm.get([target.controlValue, 'version']).disabled\"\n        [selectedDefaultValue]=\"\n          targetingForm.get([target.controlValue, 'relation']) ? targetingForm.get([target.controlValue, 'relation']).value : null\n        \"\n        (valueChanged)=\"changeCheckboxState($event, target.controlValue)\"\n      >\n      </custom-select>\n    </div>\n    <div class=\"select-version-input form-control-wrapper\" [formGroupName]=\"target.controlValue\">\n      <input\n        type=\"text\"\n        class=\"form-control select-version-input\"\n        placeholder=\"Version\"\n        formControlName=\"version\"\n        (input)=\"emitData()\"\n      />\n    </div>\n  </div>\n</main>\n", styles: [".select-versions-label{color:var(--neutral-on-main-neutral-color)}.versions-header-select{display:flex;align-items:center;justify-content:space-between;gap:12px;margin-bottom:4px}.select-target-width{width:198px}.select-condition-width{width:232px}.select-version-width,.select-target-checkbox{width:198px}.select-condition-menu{width:232px}.select-version-input{height:36px;width:198px}.select-version-block{display:flex;flex-direction:column;gap:16px}.select-version-group{display:flex;align-items:center;justify-content:space-between;gap:12px}\n"], dependencies: [{ kind: "directive", type: i1$1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i2.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i2.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i2.NgControlStatusGroup, selector: "[formGroupName],[formArrayName],[ngModelGroup],[formGroup],form:not([ngNoForm]),[ngForm]" }, { kind: "directive", type: i2.FormGroupDirective, selector: "[formGroup]", inputs: ["formGroup"], outputs: ["ngSubmit"], exportAs: ["ngForm"] }, { kind: "directive", type: i2.FormControlName, selector: "[formControlName]", inputs: ["formControlName", "disabled", "ngModel"], outputs: ["ngModelChange"] }, { kind: "directive", type: i2.FormGroupName, selector: "[formGroupName]", inputs: ["formGroupName"] }, { kind: "component", type: SelectComponentClass, selector: "custom-select", inputs: ["valuesStream", "useClear", "clearLikeOption", "subtitle", "placeholder", "selectedDefaultIndex", "selectedDefaultValue", "formElement", "multiple", "search", "disable", "required", "direction", "maxItems", "dataQa", "canRemoveLastItem", "showFlag", "readOnly", "width", "withDescription", "withOperation", "isEmptyStateDescription", "createSelectOptionText", "selectedItemsOnTop", "startTypingText", "isSearchDelay", "dropdownPosition"], outputs: ["valueChanged", "createOptionHandler", "searchHandler"] }, { kind: "component", type: CheckboxButtonComponent, selector: "epom-checkbox-button", inputs: ["label", "description", "name", "value", "id", "semibold", "fullWidth", "indeterminate", "infoText"] }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: PopupSelectVersionsComponentClass, decorators: [{
            type: Component,
            args: [{ selector: 'epom-popup-select-versions', template: "<div class=\"versions-header-select\">\n  <div class=\"select-target-width\"><label class=\"control-label select-versions-label\">Target</label></div>\n  <div class=\"select-condition-width\"><label class=\"control-label select-versions-label\">Condition</label></div>\n  <div class=\"select-version-width\"><label class=\"control-label select-versions-label\">Version</label></div>\n</div>\n\n<main class=\"select-version-block\" [formGroup]=\"targetingForm\">\n  <div class=\"select-version-group\" *ngFor=\"let target of targetingData; let i = index;\">\n    <div class=\"select-target-checkbox\" [formGroupName]=\"target.controlValue\">\n      <epom-checkbox-button\n        formControlName=\"checked\"\n        [label]=\"target.viewValue\"\n        [fullWidth]=\"true\"\n      ></epom-checkbox-button>\n    </div>\n    <div class=\"select-condition-menu\" [formGroupName]=\"target.controlValue\">\n      <custom-select\n        [valuesStream]=\"conditionsList\"\n        [clearLikeOption]=\"false\"\n        [multiple]=\"false\"\n        [useClear]=\"true\"\n        [search]=\"false\"\n        [withOperation]=\"true\"\n        [disable]=\"targetingForm.get([target.controlValue, 'version']).disabled\"\n        [selectedDefaultValue]=\"\n          targetingForm.get([target.controlValue, 'relation']) ? targetingForm.get([target.controlValue, 'relation']).value : null\n        \"\n        (valueChanged)=\"changeCheckboxState($event, target.controlValue)\"\n      >\n      </custom-select>\n    </div>\n    <div class=\"select-version-input form-control-wrapper\" [formGroupName]=\"target.controlValue\">\n      <input\n        type=\"text\"\n        class=\"form-control select-version-input\"\n        placeholder=\"Version\"\n        formControlName=\"version\"\n        (input)=\"emitData()\"\n      />\n    </div>\n  </div>\n</main>\n", styles: [".select-versions-label{color:var(--neutral-on-main-neutral-color)}.versions-header-select{display:flex;align-items:center;justify-content:space-between;gap:12px;margin-bottom:4px}.select-target-width{width:198px}.select-condition-width{width:232px}.select-version-width,.select-target-checkbox{width:198px}.select-condition-menu{width:232px}.select-version-input{height:36px;width:198px}.select-version-block{display:flex;flex-direction:column;gap:16px}.select-version-group{display:flex;align-items:center;justify-content:space-between;gap:12px}\n"] }]
        }], propDecorators: { initialFormState: [{
                type: Input,
                args: ['initialFormState']
            }], targetingData: [{
                type: Input,
                args: ['targetingData']
            }], popupSelectedOutput: [{
                type: Output,
                args: ['popupSelectedOutput']
            }], checkAvailabilityForm: [{
                type: Output,
                args: ['checkAvailabilityForm']
            }] } });

class SelectWithSwapComponent extends PopupSelectComponentClass {
}
SelectWithSwapComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: SelectWithSwapComponent, deps: null, target: i0.ɵɵFactoryTarget.Component });
SelectWithSwapComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.3.0", type: SelectWithSwapComponent, selector: "epom-popup-select-with-swap", usesInheritance: true, ngImport: i0, template: "<div class=\"row row-border-top row-space-40\">\n  <div class=\"col-md-6 col-right-border\">\n    <label class=\"control-label table-list-label\">Available Filters</label>\n    <div class=\"form-group has-feedback\">\n      <input type=\"text\" class=\"form-control\" placeholder=\"Search...\" id=\"inputSuccess2\" aria-describedby=\"inputSuccess2Status\"\n             [(ngModel)]=\"searchString\" (ngModelChange)=\"filter()\">\n      <i class=\"icon-search form-control-feedback\" aria-hidden=\"true\"></i>\n    </div>\n    <ul class=\"table-list\">\n      <li *ngFor=\"let item of (filteredItems | sortBy:'name'); let index = index\">\n        <div class=\"table-list-item\" *ngIf=\"!item['hidden']\">\n          <span *ngIf=\"!item['url']\" [title]=\"item.name\" class=\"filter-name-span\">{{item.name}}</span>\n          <span *ngIf=\"!!item['url']\" class=\"filter-name-span\"><a [title]=\"item.name\" [routerLink]=\"item.url\">{{item.name}}</a></span>\n          <span class=\"status-switcher-list\">\n              <span *ngIf=\"!isDisabled\" class=\"status-switcher status-switcher-allow\" (click)=\"addToSelected(item, index, type)\">add</span>\n          </span>\n        </div>\n      </li>\n    </ul>\n  </div>\n  <div class=\"col-md-6 col-left-border\">\n    <label *ngIf=\"!isDisabled\" class=\"control-label table-list-label text-success\">\n      <span class=\"{{include ? 'text-success' : 'text-danger'}}\" (click)=\"swapInclude()\">\n        {{include ? 'Include' : 'Exclude'}}\n      </span>\n      Filters {{selectedSet.size}}\n      <button class=\"pull-right btn-as-link\" (click)=\"clearSelected()\">\n        Clear all\n      </button>\n    </label>\n    <ul class=\"table-list\">\n      <li *ngFor=\"let item of selectedSet\">\n        <div class=\"table-list-item table-list-item-allow {{item['type'] === 'WHITE' ? 'text-success': 'text-danger'}}\">\n          <span *ngIf=\"!item['url']\" [title]=\"item.name\" class=\"filter-name-span\">{{item.name}}</span>\n          <span *ngIf=\"!!item['url']\" class=\"filter-name-span\"><a [title]=\"item.name\" [routerLink]=\"item.url\">{{item.name}}</a></span>\n          <button *ngIf=\"!isDisabled\" type=\"button\" class=\"close\" (click)=\"deleteFromSelected(item)\"><span aria-hidden=\"true\">\u00D7</span></button>\n        </div>\n      </li>\n    </ul>\n  </div>\n</div>\n", dependencies: [{ kind: "directive", type: i1$1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i2.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i2.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i2.NgModel, selector: "[ngModel]:not([formControlName]):not([formControl])", inputs: ["name", "disabled", "ngModel", "ngModelOptions"], outputs: ["ngModelChange"], exportAs: ["ngModel"] }, { kind: "directive", type: i1$2.RouterLinkWithHref, selector: "a[routerLink],area[routerLink]", inputs: ["target", "queryParams", "fragment", "queryParamsHandling", "state", "relativeTo", "preserveFragment", "skipLocationChange", "replaceUrl", "routerLink"] }, { kind: "pipe", type: SortByPipe, name: "sortBy" }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: SelectWithSwapComponent, decorators: [{
            type: Component,
            args: [{ selector: 'epom-popup-select-with-swap', template: "<div class=\"row row-border-top row-space-40\">\n  <div class=\"col-md-6 col-right-border\">\n    <label class=\"control-label table-list-label\">Available Filters</label>\n    <div class=\"form-group has-feedback\">\n      <input type=\"text\" class=\"form-control\" placeholder=\"Search...\" id=\"inputSuccess2\" aria-describedby=\"inputSuccess2Status\"\n             [(ngModel)]=\"searchString\" (ngModelChange)=\"filter()\">\n      <i class=\"icon-search form-control-feedback\" aria-hidden=\"true\"></i>\n    </div>\n    <ul class=\"table-list\">\n      <li *ngFor=\"let item of (filteredItems | sortBy:'name'); let index = index\">\n        <div class=\"table-list-item\" *ngIf=\"!item['hidden']\">\n          <span *ngIf=\"!item['url']\" [title]=\"item.name\" class=\"filter-name-span\">{{item.name}}</span>\n          <span *ngIf=\"!!item['url']\" class=\"filter-name-span\"><a [title]=\"item.name\" [routerLink]=\"item.url\">{{item.name}}</a></span>\n          <span class=\"status-switcher-list\">\n              <span *ngIf=\"!isDisabled\" class=\"status-switcher status-switcher-allow\" (click)=\"addToSelected(item, index, type)\">add</span>\n          </span>\n        </div>\n      </li>\n    </ul>\n  </div>\n  <div class=\"col-md-6 col-left-border\">\n    <label *ngIf=\"!isDisabled\" class=\"control-label table-list-label text-success\">\n      <span class=\"{{include ? 'text-success' : 'text-danger'}}\" (click)=\"swapInclude()\">\n        {{include ? 'Include' : 'Exclude'}}\n      </span>\n      Filters {{selectedSet.size}}\n      <button class=\"pull-right btn-as-link\" (click)=\"clearSelected()\">\n        Clear all\n      </button>\n    </label>\n    <ul class=\"table-list\">\n      <li *ngFor=\"let item of selectedSet\">\n        <div class=\"table-list-item table-list-item-allow {{item['type'] === 'WHITE' ? 'text-success': 'text-danger'}}\">\n          <span *ngIf=\"!item['url']\" [title]=\"item.name\" class=\"filter-name-span\">{{item.name}}</span>\n          <span *ngIf=\"!!item['url']\" class=\"filter-name-span\"><a [title]=\"item.name\" [routerLink]=\"item.url\">{{item.name}}</a></span>\n          <button *ngIf=\"!isDisabled\" type=\"button\" class=\"close\" (click)=\"deleteFromSelected(item)\"><span aria-hidden=\"true\">\u00D7</span></button>\n        </div>\n      </li>\n    </ul>\n  </div>\n</div>\n" }]
        }] });

class SelectWithCommonButton extends PopupSelectComponentClass {
}
SelectWithCommonButton.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: SelectWithCommonButton, deps: null, target: i0.ɵɵFactoryTarget.Component });
SelectWithCommonButton.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.3.0", type: SelectWithCommonButton, selector: "epom-popup-select-with-common", usesInheritance: true, ngImport: i0, template: "<div class=\"row row-border-top row-space-40\">\n  <div class=\"col-md-6 col-right-border pr-16\">\n    <label class=\"headline-4\">Available</label>\n    <div class=\"search-container form-control-wrapper\">\n      <input\n        type=\"text\"\n        class=\"search-control form-control\"\n        placeholder=\"Search\"\n        id=\"inputSuccess2\"\n        aria-describedby=\"inputSuccess2Status\"\n        [(ngModel)]=\"searchString\"\n        (ngModelChange)=\"onSearchInput()\"\n      />\n      <span *ngIf=\"!searchString.length\" class=\"material-icons search-icon\" aria-hidden=\"true\">search</span>\n      <span\n        *ngIf=\"searchString.length\"\n        class=\"material-icons search-icon\"\n        aria-hidden=\"true\"\n        (click)=\"clearSearchInput()\"\n        >close</span\n      >\n    </div>\n    <ul class=\"table-list\">\n      <ng-container *ngFor=\"let item of (filteredItems | sortBy: sortField || ''); let index = index\">\n        <li class=\"table-list-item-card\" *ngIf=\"!item['hidden']\">\n          <div class=\"select-rows\">\n            <span *ngIf=\"!item['url']\" [title]=\"item.name\" class=\"filter-name-span\">{{ item.name }}</span>\n            <span *ngIf=\"!!item['url']\" class=\"filter-name-span\"\n              ><a class=\"link\" [title]=\"item.name\" [routerLink]=\"item.url\">{{ item.name }}</a></span\n            >\n            <span\n              class=\"status-switcher-list\"\n              *ngIf=\"popupType !== 'filtersListMedia' && ( limitSelection === 0 || selectedSet.size < limitSelection )\"\n            >\n              <span *ngIf=\"!isDisabled\" class=\"button-link\" (click)=\"addToSelected(item, index, 'WHITE')\"\n                ><span class=\"material-icons button-icon button-icon-primary button-icon-small\">add_circle_outline</span\n                >Add</span\n              >\n              <!--<span *ngIf=\"!isDisabled\" class=\"status-switcher status-switcher-block\" (click)=\"addToSelected(item, index, 'BLACK')\">block</span>-->\n            </span>\n            <span class=\"status-switcher-list\" *ngIf=\"popupType === 'filtersListMedia'\">\n              <span *ngIf=\"!isDisabled\" class=\"status-switcher\" (click)=\"addToSelected(item, index)\">add</span>\n            </span>\n          </div>\n        </li>\n      </ng-container>\n    </ul>\n    <button\n      *ngIf=\"isShowMoreAvailable | async\"\n      class=\"button button-outlined mt-8\"\n      [attr.data-qa]=\"'showMore'\"\n      (click)=\"showMore()\"\n    >\n      Show more\n    </button>\n  </div>\n  <div class=\"col-md-6 col-left-border pl-16\">\n    <div class=\"right-column\">\n      <div>\n        <span *ngIf=\"!isDisabled\" class=\"headline-4\">Linked ({{ selectedSet.size }})</span>\n        <span class=\"button-link clear-button\" (click)=\"clearSelected()\"> Clear all </span>\n      </div>\n      <ul class=\"table-list\">\n        <li class=\"right-column-item\" *ngFor=\"let item of selectedSet\">\n          <div\n            class=\"table-list-item-card table-list-item-allow {{item['type'] === 'BLACK' ? 'text-danger' : 'text-success'}}\"\n          >\n            <span *ngIf=\"!item['url']\" [title]=\"item.name\" class=\"filter-name-span\">{{ item.name }}</span>\n            <span *ngIf=\"!!item['url']\" class=\"filter-name-span\">\n              <a [title]=\"item.name\" [routerLink]=\"item.url\" class=\"link\">{{ item.name }}</a></span\n            >\n          </div>\n          <span\n            *ngIf=\"!isDisabled\"\n            class=\"material-icons material-icons-outlined button-icon-middle button-icon-outline\"\n            (click)=\"deleteFromSelected(item)\"\n            >close</span\n          >\n        </li>\n      </ul>\n    </div>\n  </div>\n</div>\n", styles: [".search-container{margin-right:0;max-width:441px!important}.close-icon{width:18px;height:18px}.clear-button{float:right}\n"], dependencies: [{ kind: "directive", type: i1$1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i2.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i2.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i2.NgModel, selector: "[ngModel]:not([formControlName]):not([formControl])", inputs: ["name", "disabled", "ngModel", "ngModelOptions"], outputs: ["ngModelChange"], exportAs: ["ngModel"] }, { kind: "directive", type: i1$2.RouterLinkWithHref, selector: "a[routerLink],area[routerLink]", inputs: ["target", "queryParams", "fragment", "queryParamsHandling", "state", "relativeTo", "preserveFragment", "skipLocationChange", "replaceUrl", "routerLink"] }, { kind: "pipe", type: i1$1.AsyncPipe, name: "async" }, { kind: "pipe", type: SortByPipe, name: "sortBy" }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: SelectWithCommonButton, decorators: [{
            type: Component,
            args: [{ selector: 'epom-popup-select-with-common', template: "<div class=\"row row-border-top row-space-40\">\n  <div class=\"col-md-6 col-right-border pr-16\">\n    <label class=\"headline-4\">Available</label>\n    <div class=\"search-container form-control-wrapper\">\n      <input\n        type=\"text\"\n        class=\"search-control form-control\"\n        placeholder=\"Search\"\n        id=\"inputSuccess2\"\n        aria-describedby=\"inputSuccess2Status\"\n        [(ngModel)]=\"searchString\"\n        (ngModelChange)=\"onSearchInput()\"\n      />\n      <span *ngIf=\"!searchString.length\" class=\"material-icons search-icon\" aria-hidden=\"true\">search</span>\n      <span\n        *ngIf=\"searchString.length\"\n        class=\"material-icons search-icon\"\n        aria-hidden=\"true\"\n        (click)=\"clearSearchInput()\"\n        >close</span\n      >\n    </div>\n    <ul class=\"table-list\">\n      <ng-container *ngFor=\"let item of (filteredItems | sortBy: sortField || ''); let index = index\">\n        <li class=\"table-list-item-card\" *ngIf=\"!item['hidden']\">\n          <div class=\"select-rows\">\n            <span *ngIf=\"!item['url']\" [title]=\"item.name\" class=\"filter-name-span\">{{ item.name }}</span>\n            <span *ngIf=\"!!item['url']\" class=\"filter-name-span\"\n              ><a class=\"link\" [title]=\"item.name\" [routerLink]=\"item.url\">{{ item.name }}</a></span\n            >\n            <span\n              class=\"status-switcher-list\"\n              *ngIf=\"popupType !== 'filtersListMedia' && ( limitSelection === 0 || selectedSet.size < limitSelection )\"\n            >\n              <span *ngIf=\"!isDisabled\" class=\"button-link\" (click)=\"addToSelected(item, index, 'WHITE')\"\n                ><span class=\"material-icons button-icon button-icon-primary button-icon-small\">add_circle_outline</span\n                >Add</span\n              >\n              <!--<span *ngIf=\"!isDisabled\" class=\"status-switcher status-switcher-block\" (click)=\"addToSelected(item, index, 'BLACK')\">block</span>-->\n            </span>\n            <span class=\"status-switcher-list\" *ngIf=\"popupType === 'filtersListMedia'\">\n              <span *ngIf=\"!isDisabled\" class=\"status-switcher\" (click)=\"addToSelected(item, index)\">add</span>\n            </span>\n          </div>\n        </li>\n      </ng-container>\n    </ul>\n    <button\n      *ngIf=\"isShowMoreAvailable | async\"\n      class=\"button button-outlined mt-8\"\n      [attr.data-qa]=\"'showMore'\"\n      (click)=\"showMore()\"\n    >\n      Show more\n    </button>\n  </div>\n  <div class=\"col-md-6 col-left-border pl-16\">\n    <div class=\"right-column\">\n      <div>\n        <span *ngIf=\"!isDisabled\" class=\"headline-4\">Linked ({{ selectedSet.size }})</span>\n        <span class=\"button-link clear-button\" (click)=\"clearSelected()\"> Clear all </span>\n      </div>\n      <ul class=\"table-list\">\n        <li class=\"right-column-item\" *ngFor=\"let item of selectedSet\">\n          <div\n            class=\"table-list-item-card table-list-item-allow {{item['type'] === 'BLACK' ? 'text-danger' : 'text-success'}}\"\n          >\n            <span *ngIf=\"!item['url']\" [title]=\"item.name\" class=\"filter-name-span\">{{ item.name }}</span>\n            <span *ngIf=\"!!item['url']\" class=\"filter-name-span\">\n              <a [title]=\"item.name\" [routerLink]=\"item.url\" class=\"link\">{{ item.name }}</a></span\n            >\n          </div>\n          <span\n            *ngIf=\"!isDisabled\"\n            class=\"material-icons material-icons-outlined button-icon-middle button-icon-outline\"\n            (click)=\"deleteFromSelected(item)\"\n            >close</span\n          >\n        </li>\n      </ul>\n    </div>\n  </div>\n</div>\n", styles: [".search-container{margin-right:0;max-width:441px!important}.close-icon{width:18px;height:18px}.clear-button{float:right}\n"] }]
        }] });

class PopupCustomInputComponent extends PopupSelectComponentClass {
    constructor() {
        super(...arguments);
        this.isValid = true;
        this.deal = '';
    }
    addCustom(custom) {
        const item = {
            type: this.type,
            value: custom,
            name: custom,
        };
        const selectedArray = Array.from(this.selectedSet);
        const duplicateOfSelections = selectedArray.find(selection => selection.name === item.name);
        if (custom && !duplicateOfSelections) {
            this.selectedSet.add(item);
        }
        this.isValid = true;
        this.popupSelectOutput.emit(this.selectedSet);
        this.deal = '';
    }
}
PopupCustomInputComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: PopupCustomInputComponent, deps: null, target: i0.ɵɵFactoryTarget.Component });
PopupCustomInputComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.3.0", type: PopupCustomInputComponent, selector: "epom-popup-custom-input", usesInheritance: true, ngImport: i0, template: "<div class=\"select-popup-content\">\n  <div class=\"column column-left\">\n    <div class=\"form-control-wrapper\">\n      <div class=\"input-group-with-button\">\n        <input\n          type=\"text\"\n          class=\"form-control\"\n          placeholder=\"Enter Deal\"\n          (change)=\"deal = $event.target.value\"\n          [value]=\"deal\"\n        />\n        <button class=\"button button-outlined\" (click)=\"addCustom(deal)\">Add</button>\n      </div>\n      <label class=\"control-label\">Deal</label>\n    </div>\n  </div>\n\n  <hr class=\"vertical-line\" />\n\n  <div class=\"column column-right right-column\">\n    <div *ngIf=\"!isDisabled\">\n      <div class=\"headline-4\">\n        Added ({{ selectedSet.size }})\n        <span class=\"pull-right button-link\" (click)=\"clearSelected()\" *ngIf=\"selectedSet.size\"> Clear all </span>\n      </div>\n    </div>\n\n    <div *ngIf=\"!selectedSet.size\" class=\"sub-headline text-center\">No added PMP deals.</div>\n\n    <ul class=\"table-list\">\n      <li *ngFor=\"let item of selectedSet\" class=\"right-column-item\">\n        <div class=\"table-list-item-card table-list-item-allow\">\n          <span class=\"filter-name-span\">{{ item.name ? item.name : item.value }}</span>\n        </div>\n        <span\n          *ngIf=\"!isDisabled\"\n          class=\"material-icons material-icons-outlined button-icon button-icon-middle button-icon-outline\"\n          (click)=\"deleteFromSelected(item)\"\n          >close</span\n        >\n      </li>\n    </ul>\n  </div>\n</div>\n", dependencies: [{ kind: "directive", type: i1$1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: PopupCustomInputComponent, decorators: [{
            type: Component,
            args: [{ selector: 'epom-popup-custom-input', template: "<div class=\"select-popup-content\">\n  <div class=\"column column-left\">\n    <div class=\"form-control-wrapper\">\n      <div class=\"input-group-with-button\">\n        <input\n          type=\"text\"\n          class=\"form-control\"\n          placeholder=\"Enter Deal\"\n          (change)=\"deal = $event.target.value\"\n          [value]=\"deal\"\n        />\n        <button class=\"button button-outlined\" (click)=\"addCustom(deal)\">Add</button>\n      </div>\n      <label class=\"control-label\">Deal</label>\n    </div>\n  </div>\n\n  <hr class=\"vertical-line\" />\n\n  <div class=\"column column-right right-column\">\n    <div *ngIf=\"!isDisabled\">\n      <div class=\"headline-4\">\n        Added ({{ selectedSet.size }})\n        <span class=\"pull-right button-link\" (click)=\"clearSelected()\" *ngIf=\"selectedSet.size\"> Clear all </span>\n      </div>\n    </div>\n\n    <div *ngIf=\"!selectedSet.size\" class=\"sub-headline text-center\">No added PMP deals.</div>\n\n    <ul class=\"table-list\">\n      <li *ngFor=\"let item of selectedSet\" class=\"right-column-item\">\n        <div class=\"table-list-item-card table-list-item-allow\">\n          <span class=\"filter-name-span\">{{ item.name ? item.name : item.value }}</span>\n        </div>\n        <span\n          *ngIf=\"!isDisabled\"\n          class=\"material-icons material-icons-outlined button-icon button-icon-middle button-icon-outline\"\n          (click)=\"deleteFromSelected(item)\"\n          >close</span\n        >\n      </li>\n    </ul>\n  </div>\n</div>\n" }]
        }] });

class AutofocusDirective {
    constructor(el, cd) {
        this.el = el;
        this.cd = cd;
        this.isSetAutofocus = false;
        if (!el.nativeElement['focus']) {
            throw new Error('Element does not accept focus.');
        }
    }
    ngOnInit() {
        const input = this.el.nativeElement;
        if (this.isSetAutofocus) {
            this.cd.detectChanges();
            input.focus();
        }
    }
}
AutofocusDirective.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: AutofocusDirective, deps: [{ token: i0.ElementRef }, { token: i0.ChangeDetectorRef }], target: i0.ɵɵFactoryTarget.Directive });
AutofocusDirective.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "14.3.0", type: AutofocusDirective, selector: "[appAutofocus]", inputs: { isSetAutofocus: "isSetAutofocus" }, ngImport: i0 });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: AutofocusDirective, decorators: [{
            type: Directive,
            args: [{
                    selector: '[appAutofocus]',
                }]
        }], ctorParameters: function () { return [{ type: i0.ElementRef }, { type: i0.ChangeDetectorRef }]; }, propDecorators: { isSetAutofocus: [{
                type: Input
            }] } });

class PopupStripeComponentClass {
    constructor(cd, storageService) {
        this.cd = cd;
        this.storageService = storageService;
        this.newData = new EventEmitter();
        this.cardHandler = this.onChange.bind(this);
    }
    ngOnInit() {
        this.stripe = window.Stripe(this.publicKey);
        this.elements = this.stripe.elements();
    }
    ngAfterViewInit() {
        this.cardNumberElement = this.elements.create('cardNumber', {
            style: STRIPE_CARD_OPTIONS,
            classes: STRIPE_ELEMENTS_OPTIONS,
        });
        this.cardNumberElement.mount(this.cardNumber.nativeElement);
        this.cardExpiryElement = this.elements.create('cardExpiry', {
            style: STRIPE_CARD_OPTIONS,
            classes: STRIPE_ELEMENTS_OPTIONS,
        });
        this.cardExpiryElement.mount(this.cardExpiry.nativeElement);
        this.cardCVCElement = this.elements.create('cardCvc', {
            style: STRIPE_CARD_OPTIONS,
            classes: STRIPE_ELEMENTS_OPTIONS,
        });
        this.cardCVCElement.mount(this.cardCvc.nativeElement);
        this.cardNumberElement.addEventListener('change', this.cardHandler);
        this.cardExpiryElement.addEventListener('change', this.cardHandler);
        this.cardCVCElement.addEventListener('change', this.cardHandler);
    }
    ngOnDestroy() {
        this.cardNumberElement.removeEventListener('change', this.cardHandler);
        this.cardExpiryElement.removeEventListener('change', this.cardHandler);
        this.cardCVCElement.removeEventListener('change', this.cardHandler);
        this.cardNumberElement.destroy();
        this.cardExpiryElement.destroy();
        this.cardCVCElement.destroy();
    }
    onChange({ error }) {
        if (error) {
            this.error = error.message;
        }
        else {
            this.error = null;
        }
        this.cd.detectChanges();
    }
    async onSubmit() {
        const { source, error } = await this.stripe.createSource(this.cardNumberElement);
        if (error) {
            if (error.type !== 'validation_error') {
                this.newData.emit({ data: error, status: 'error' });
            }
        }
        else {
            if (USE_3D_SECURE.includes(source.card.three_d_secure)) {
                this.stripe.createSource({
                    type: 'three_d_secure',
                    amount: this.amount * 100,
                    currency: 'usd',
                    three_d_secure: {
                        card: source.id,
                    },
                    redirect: {
                        return_url: location.protocol + '//' + location.host + location.pathname,
                    },
                }).then((result) => {
                    if (result.source) {
                        this.storageService.setInLocal('stripe_client_secret', result.source.client_secret);
                        this.storageService.setInLocal('stripe_amount', this.amount);
                        window.location.replace(result.source.redirect.url);
                    }
                    else {
                        this.newData.emit({ data: result.error, status: 'error' });
                    }
                });
            }
            else {
                this.newData.emit({ data: source, status: 'success' });
            }
        }
    }
}
PopupStripeComponentClass.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: PopupStripeComponentClass, deps: [{ token: i0.ChangeDetectorRef }, { token: StorageService }], target: i0.ɵɵFactoryTarget.Component });
PopupStripeComponentClass.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.3.0", type: PopupStripeComponentClass, selector: "epom-popup-stripe", inputs: { amount: "amount", publicKey: "publicKey" }, outputs: { newData: "newDataFromStripeAPI" }, viewQueries: [{ propertyName: "cardNumber", first: true, predicate: ["cardNumber"], descendants: true }, { propertyName: "cardExpiry", first: true, predicate: ["cardExpiry"], descendants: true }, { propertyName: "cardCvc", first: true, predicate: ["cardCvc"], descendants: true }], ngImport: i0, template: "<div class=\"row row-border-top row-space-40\">\n  <div class=\"col-md-12 no-overflow\">\n    <form #checkout=\"ngForm\" (ngSubmit)=\"onSubmit()\" class=\"stripe-checkout\">\n      <div class=\"row\">\n        <div class=\"field\">\n          <div #cardNumber id=\"card-number\" class=\"input empty\"></div>\n          <label for=\"card-number\" data-tid=\"elements_examples.form.card_number_label\">Card number</label>\n          <div class=\"baseline\"></div>\n        </div>\n      </div>\n      <div class=\"row\">\n        <div class=\"field half-width\">\n          <div #cardExpiry id=\"card-expiry\" class=\"input empty\"></div>\n          <label for=\"card-expiry\" data-tid=\"elements_examples.form.card_expiry_label\">Expiration</label>\n          <div class=\"baseline\"></div>\n        </div>\n        <div class=\"field half-width\">\n          <div #cardCvc id=\"card-cvc\" class=\"input empty\"></div>\n          <label for=\"card-cvc\" data-tid=\"elements_examples.form.card_cvc_label\">CVC</label>\n          <div class=\"baseline\"></div>\n        </div>\n      </div>\n      <button type=\"submit\" data-tid=\"elements_examples.form.pay_button\">Pay ${{amount}}</button>\n      <div id=\"card-errors\" class=\"error\" role=\"alert\" *ngIf=\"error\">\n        <span class=\"message\">{{ error }}</span>\n      </div>\n    </form>\n  </div>\n</div>\n", dependencies: [{ kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i2.ɵNgNoValidate, selector: "form:not([ngNoForm]):not([ngNativeValidate])" }, { kind: "directive", type: i2.NgControlStatusGroup, selector: "[formGroupName],[formArrayName],[ngModelGroup],[formGroup],form:not([ngNoForm]),[ngForm]" }, { kind: "directive", type: i2.NgForm, selector: "form:not([ngNoForm]):not([formGroup]),ng-form,[ngForm]", inputs: ["ngFormOptions"], outputs: ["ngSubmit"], exportAs: ["ngForm"] }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: PopupStripeComponentClass, decorators: [{
            type: Component,
            args: [{ selector: 'epom-popup-stripe', template: "<div class=\"row row-border-top row-space-40\">\n  <div class=\"col-md-12 no-overflow\">\n    <form #checkout=\"ngForm\" (ngSubmit)=\"onSubmit()\" class=\"stripe-checkout\">\n      <div class=\"row\">\n        <div class=\"field\">\n          <div #cardNumber id=\"card-number\" class=\"input empty\"></div>\n          <label for=\"card-number\" data-tid=\"elements_examples.form.card_number_label\">Card number</label>\n          <div class=\"baseline\"></div>\n        </div>\n      </div>\n      <div class=\"row\">\n        <div class=\"field half-width\">\n          <div #cardExpiry id=\"card-expiry\" class=\"input empty\"></div>\n          <label for=\"card-expiry\" data-tid=\"elements_examples.form.card_expiry_label\">Expiration</label>\n          <div class=\"baseline\"></div>\n        </div>\n        <div class=\"field half-width\">\n          <div #cardCvc id=\"card-cvc\" class=\"input empty\"></div>\n          <label for=\"card-cvc\" data-tid=\"elements_examples.form.card_cvc_label\">CVC</label>\n          <div class=\"baseline\"></div>\n        </div>\n      </div>\n      <button type=\"submit\" data-tid=\"elements_examples.form.pay_button\">Pay ${{amount}}</button>\n      <div id=\"card-errors\" class=\"error\" role=\"alert\" *ngIf=\"error\">\n        <span class=\"message\">{{ error }}</span>\n      </div>\n    </form>\n  </div>\n</div>\n" }]
        }], ctorParameters: function () { return [{ type: i0.ChangeDetectorRef }, { type: StorageService }]; }, propDecorators: { cardNumber: [{
                type: ViewChild,
                args: ['cardNumber']
            }], cardExpiry: [{
                type: ViewChild,
                args: ['cardExpiry']
            }], cardCvc: [{
                type: ViewChild,
                args: ['cardCvc']
            }], amount: [{
                type: Input,
                args: ['amount']
            }], publicKey: [{
                type: Input,
                args: ['publicKey']
            }], newData: [{
                type: Output,
                args: ['newDataFromStripeAPI']
            }] } });

class UserActivityPopupComponent {
}
UserActivityPopupComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: UserActivityPopupComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
UserActivityPopupComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.3.0", type: UserActivityPopupComponent, selector: "epom-popup-user-activity", inputs: { userActivityData: "userActivityData" }, ngImport: i0, template: "<div *ngIf=\"userActivityData.system === 'DSP_ENDPOINT' || userActivityData.system === 'SSP_ENDPOINT' \">\n  <label class=\"popup-label\">EntityID: {{ userActivityData.entityId }}</label>\n</div>\n<div class=\"component-container component-table-container\" *ngIf=\"userActivityData.fieldDiffs\">\n  <div class=\"component-table-data\">\n    <div class=\"table-flex\">\n      <table class=\"table user-activity-difference-table\">\n        <thead>\n          <tr\n            *ngIf=\"userActivityData.system !== 'FEATURE_SWITCHER' && userActivityData.system !== 'DSP_ENDPOINT_PROVIDER'\"\n          >\n            <th>Field</th>\n            <th>Removed</th>\n            <th>Added</th>\n          </tr>\n          <tr *ngIf=\"userActivityData.system === 'FEATURE_SWITCHER'\">\n            <th>Feature</th>\n            <th>New State</th>\n          </tr>\n          <tr *ngIf=\"userActivityData.system === 'DSP_ENDPOINT_PROVIDER'\">\n            <th>Operation</th>\n            <th>Result</th>\n          </tr>\n        </thead>\n        <tbody\n          *ngIf=\"userActivityData.system !== 'FEATURE_SWITCHER' && userActivityData.system !== 'DSP_ENDPOINT_PROVIDER'\"\n        >\n          <tr *ngFor=\"let item of userActivityData.fieldDiffs\">\n            <td><pre>{{ item.field | json }}</pre></td>\n            <td><pre>{{ item.before | json }}</pre></td>\n            <td><pre>{{ item.after | json }}</pre></td>\n          </tr>\n        </tbody>\n      </table>\n    </div>\n  </div>\n</div>\n<div class=\"component-container\" *ngIf=\"userActivityData.callResultParsed\">\n  <p\n    *ngIf=\"userActivityData.system !== 'Feature Switcher' && userActivityData.system !== 'DSP_ENDPOINT_PROVIDER' &&\n  userActivityData.system !== 'Quotas'\"\n  >\n    {{userActivityData.callResultParsed}}\n  </p>\n\n  <table>\n    <tbody *ngIf=\"userActivityData.operation === 'User'\">\n      <tr>\n        <td><pre>{{ userActivityData.callResultParsed }}</pre></td>\n      </tr>\n    </tbody>\n    <tbody *ngIf=\"userActivityData.system === 'DSP_ENDPOINT_PROVIDER'\">\n      <tr>\n        <td><pre>{{ userActivityData.operation }}</pre></td>\n        <td><pre>{{ userActivityData.callResultParsed }}</pre></td>\n      </tr>\n    </tbody>\n    <tbody *ngIf=\"userActivityData.system === 'Feature Switcher'\">\n      <tr>\n        <td><pre> {{ userActivityData.callResultParsed.feature }}</pre></td>\n        <td><pre> {{ userActivityData.callResultParsed.newState.name }}</pre></td>\n      </tr>\n    </tbody>\n    <tbody *ngIf=\"userActivityData.system === 'Quotas'\">\n      <td><pre> {{ userActivityData.callResultParsed | json}}</pre></td>\n    </tbody>\n  </table>\n</div>\n", dependencies: [{ kind: "directive", type: i1$1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "pipe", type: i1$1.JsonPipe, name: "json" }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: UserActivityPopupComponent, decorators: [{
            type: Component,
            args: [{ selector: 'epom-popup-user-activity', template: "<div *ngIf=\"userActivityData.system === 'DSP_ENDPOINT' || userActivityData.system === 'SSP_ENDPOINT' \">\n  <label class=\"popup-label\">EntityID: {{ userActivityData.entityId }}</label>\n</div>\n<div class=\"component-container component-table-container\" *ngIf=\"userActivityData.fieldDiffs\">\n  <div class=\"component-table-data\">\n    <div class=\"table-flex\">\n      <table class=\"table user-activity-difference-table\">\n        <thead>\n          <tr\n            *ngIf=\"userActivityData.system !== 'FEATURE_SWITCHER' && userActivityData.system !== 'DSP_ENDPOINT_PROVIDER'\"\n          >\n            <th>Field</th>\n            <th>Removed</th>\n            <th>Added</th>\n          </tr>\n          <tr *ngIf=\"userActivityData.system === 'FEATURE_SWITCHER'\">\n            <th>Feature</th>\n            <th>New State</th>\n          </tr>\n          <tr *ngIf=\"userActivityData.system === 'DSP_ENDPOINT_PROVIDER'\">\n            <th>Operation</th>\n            <th>Result</th>\n          </tr>\n        </thead>\n        <tbody\n          *ngIf=\"userActivityData.system !== 'FEATURE_SWITCHER' && userActivityData.system !== 'DSP_ENDPOINT_PROVIDER'\"\n        >\n          <tr *ngFor=\"let item of userActivityData.fieldDiffs\">\n            <td><pre>{{ item.field | json }}</pre></td>\n            <td><pre>{{ item.before | json }}</pre></td>\n            <td><pre>{{ item.after | json }}</pre></td>\n          </tr>\n        </tbody>\n      </table>\n    </div>\n  </div>\n</div>\n<div class=\"component-container\" *ngIf=\"userActivityData.callResultParsed\">\n  <p\n    *ngIf=\"userActivityData.system !== 'Feature Switcher' && userActivityData.system !== 'DSP_ENDPOINT_PROVIDER' &&\n  userActivityData.system !== 'Quotas'\"\n  >\n    {{userActivityData.callResultParsed}}\n  </p>\n\n  <table>\n    <tbody *ngIf=\"userActivityData.operation === 'User'\">\n      <tr>\n        <td><pre>{{ userActivityData.callResultParsed }}</pre></td>\n      </tr>\n    </tbody>\n    <tbody *ngIf=\"userActivityData.system === 'DSP_ENDPOINT_PROVIDER'\">\n      <tr>\n        <td><pre>{{ userActivityData.operation }}</pre></td>\n        <td><pre>{{ userActivityData.callResultParsed }}</pre></td>\n      </tr>\n    </tbody>\n    <tbody *ngIf=\"userActivityData.system === 'Feature Switcher'\">\n      <tr>\n        <td><pre> {{ userActivityData.callResultParsed.feature }}</pre></td>\n        <td><pre> {{ userActivityData.callResultParsed.newState.name }}</pre></td>\n      </tr>\n    </tbody>\n    <tbody *ngIf=\"userActivityData.system === 'Quotas'\">\n      <td><pre> {{ userActivityData.callResultParsed | json}}</pre></td>\n    </tbody>\n  </table>\n</div>\n" }]
        }], propDecorators: { userActivityData: [{
                type: Input
            }] } });

class TableConfigComponent {
    constructor(formBuilder, storageService) {
        this.formBuilder = formBuilder;
        this.storageService = storageService;
        this.formUpdated = new EventEmitter();
        this.tableConfigFromStorage = {};
        this.subscriptions = new Subscription();
        this.controlsTableColumnsWithoutAdminConfig = [];
        this.columnTypes = [
            'generalColumns',
            'actionsColumns',
            'videoColumns',
            'convertions',
            'actions',
            'purchase',
            'roiRoas',
        ];
        this.actionsColumnsType = ['convertions', 'actions', 'purchase'];
        this.initedState = false;
        this.generalColumns = [];
        this.abstractData = this.formBuilder.group({});
    }
    get convertions() {
        return this.analyticTableConfig.actionsColumns.convertions.filter((convertions) => convertions);
    }
    get actions() {
        return this.analyticTableConfig.actionsColumns.actions.filter((actions) => actions);
    }
    get purchase() {
        return this.analyticTableConfig.actionsColumns.purchase.filter((purchase) => purchase);
    }
    get generalIndeterminate() {
        return this.isIndeterminate(this.filterGeneralColumns(this.abstractData.value.generalColumns));
    }
    filterGeneralColumns(obj) {
        const filteredObject = {};
        this.generalColumns.forEach((key) => {
            if (obj.hasOwnProperty(key)) {
                filteredObject[key] = obj[key];
            }
        });
        return filteredObject;
    }
    get actionsColumnsIndeterminate() {
        return this.isIndeterminate({
            ...this.abstractData.value.actionsColumns.actions,
            ...this.abstractData.value.actionsColumns.convertions,
            ...this.abstractData.value.actionsColumns.purchase,
            ...this.abstractData.value.actionsColumns.roiRoas,
        });
    }
    get actionsIndeterminate() {
        return this.isIndeterminate(this.abstractData.value.actionsColumns.actions);
    }
    get convertionsIndeterminate() {
        return this.isIndeterminate(this.abstractData.value.actionsColumns.convertions);
    }
    get purchaseIndeterminate() {
        return this.isIndeterminate(this.abstractData.value.actionsColumns.purchase);
    }
    get videoIndeterminate() {
        return this.isIndeterminate(this.abstractData.value.videoColumns);
    }
    ngOnInit() {
        if (this.analyticTableConfig.isActiveCustomization) {
            this.createForm();
        }
        this.generalColumns = cloneDeep(this.analyticTableConfig.generalColumns.map((column) => column.textContent.contentProperty));
        this.controlsTableColumnsWithoutAdminConfig = this.analyticTableConfig.columnsConfig.filter((column) => !this.extraAdminColumns.includes(column.textContent.contentProperty));
        this.formUpdated.emit(this.abstractData);
        this.subscriptions.add(this.abstractData.valueChanges.subscribe(() => {
            this.formUpdated.emit(this.abstractData);
        }));
        this.abstractData.get('generalColumnsAll').valueChanges.subscribe((value) => {
            if (this.initedState) {
                if (value) {
                    this.selectAllColumns('generalColumns');
                }
                else {
                    this.clearAllColumns('generalColumns');
                }
            }
        });
        this.abstractData.get('actionsColumnsAll').valueChanges.subscribe((value) => {
            if (this.initedState) {
                if (value) {
                    this.selectAllColumns('actionsColumns');
                }
                else {
                    this.clearAllColumns('actionsColumns');
                }
            }
        });
        this.abstractData.get('videoColumnsAll').valueChanges.subscribe((value) => {
            if (this.initedState) {
                if (value) {
                    this.selectAllColumns('videoColumns');
                }
                else {
                    this.clearAllColumns('videoColumns');
                }
            }
        });
        this.columnTypes.forEach((type) => {
            if (type !== 'roiRoas') {
                this.checkForAllInGroup(type);
            }
        });
        this.columnTypes.forEach((type) => {
            this.resetAllForColumnsCheckboxes(type);
        });
        this.actionsColumnsType.forEach((type) => {
            if (!this.abstractData.get('actionsTitles')?.value) {
                return;
            }
            this.abstractData
                .get('actionsTitles')
                ?.get(`${type}All`)
                ?.valueChanges.subscribe((value) => {
                if (this.initedState) {
                    if (value) {
                        this.selectAllColumns(type);
                    }
                    else {
                        this.clearAllColumns(type);
                    }
                }
            });
        });
    }
    ngAfterViewInit() {
        this.initedState = true;
    }
    ngOnDestroy() {
        this.subscriptions.unsubscribe();
    }
    createForm() {
        this.abstractData = this.formBuilder.group({
            itemsColumns: this.formBuilder.group(this.generateColumnCheckboxes()),
            actionsTitles: this.formBuilder.group(this.generateTitlesInputs()),
            generalColumns: this.formBuilder.group(this.generateColumnCheckboxesByType('generalColumns')),
            actionsColumns: this.formBuilder.group({
                convertions: this.formBuilder.group(this.generateActionsColumns('convertions')),
                actions: this.formBuilder.group(this.generateActionsColumns('actions')),
                purchase: this.formBuilder.group(this.generateActionsColumns('purchase')),
                roiRoas: this.formBuilder.group(this.generateActionsColumns('roiRoas')),
            }),
            videoColumns: this.formBuilder.group(this.generateColumnCheckboxesByType('videoColumns')),
            generalColumnsAll: [false],
            actionsColumnsAll: [false],
            videoColumnsAll: [false],
        });
    }
    generateActionsColumns(type) {
        return this.analyticTableConfig.actionsColumns[type]
            .filter((config) => config)
            .reduce((acc, config) => {
            const column = this.visibleColumns.find((item) => item.name === config.textContent.contentProperty);
            acc[config.textContent.contentProperty] = [column ? column.selected : false];
            return acc;
        }, {});
    }
    generateTitlesInputs() {
        const titleInputs = this.analyticTableConfig.columnsConfig.reduce((acc, config) => {
            if (config.textContent.customTitle) {
                acc[config.textContent.contentProperty] = [config.textContent.title, [Validators.required]];
                acc[`${config.textContent.contentProperty}All`] = [];
            }
            else {
                acc[`${config.textContent.relatedTitle}All`] = [];
            }
            return acc;
        }, {});
        return {
            convertions: ['Convertions'],
            actions: ['Actions'],
            purchase: ['Purchase'],
            convertionsAll: [],
            actionsAll: [],
            purchaseAll: [],
            ...titleInputs,
        };
    }
    generateColumnCheckboxesByType(type) {
        return this.analyticTableConfig[type].reduce((acc, config) => {
            const column = this.visibleColumns.find((item) => item.name === config.textContent.contentProperty);
            acc[config.textContent.contentProperty] = [column ? column.selected : false];
            return acc;
        }, {});
    }
    generateColumnCheckboxes() {
        const checkboxesGroup = this.analyticTableConfig.columnsConfig.reduce((acc, config) => {
            const column = this.visibleColumns.find((item) => item.name === config.textContent.contentProperty);
            acc[config.textContent.contentProperty] = [column ? column.selected : false];
            return acc;
        }, {});
        return checkboxesGroup;
    }
    resetAllForColumnsCheckboxes(type) {
        if (type === 'convertions' || type === 'actions' || type === 'purchase' || type === 'roiRoas') {
            let allRoiRoas = false;
            this.abstractData
                .get('actionsColumns')
                ?.get(type)
                .valueChanges.subscribe((value) => {
                if (!this.abstractData.get('actionsTitles')?.value) {
                    return;
                }
                if (Object.keys(value).find((k) => !value[k])) {
                    if (type !== 'roiRoas' && this.abstractData.get('actionsTitles')) {
                        this.abstractData.get('actionsTitles')?.get(`${type}All`)?.setValue(false);
                    }
                    this.abstractData.get('actionsColumnsAll').setValue(false);
                    allRoiRoas = false;
                }
                else {
                    if (type !== 'roiRoas' && this.abstractData.get('actionsTitles')) {
                        this.abstractData.get('actionsTitles')?.get(`${type}All`)?.setValue(true);
                    }
                    const roas = this.abstractData.get(['actionsColumns', 'roiRoas']).value;
                    if (Object.keys(roas).every((roasKey) => roas[roasKey])) {
                        allRoiRoas = true;
                    }
                }
                if (this.abstractData.get('actionsTitles')?.get('convertionsAll')?.value &&
                    this.abstractData.get('actionsTitles')?.get('actionsAll')?.value &&
                    this.abstractData.get('actionsTitles')?.get('purchaseAll')?.value) {
                    if (allRoiRoas) {
                        this.abstractData.get('actionsColumnsAll').setValue(true);
                    }
                }
            });
        }
        else {
            if (type !== 'actionsColumns') {
                this.abstractData.get(type).valueChanges.subscribe((value) => {
                    if (Object.keys(value).find((k) => !value[k])) {
                        if (this.abstractData.get(`${type}All`).value) {
                            this.abstractData.get(`${type}All`).setValue(false);
                        }
                    }
                    else {
                        if (!this.abstractData.get(`${type}All`).value) {
                            this.abstractData.get(`${type}All`).setValue(true);
                        }
                    }
                });
            }
        }
    }
    checkForAllInGroup(type) {
        if (type === 'convertions' || type === 'actions' || type === 'purchase' || type === 'roiRoas') {
            const actionsControls = this.abstractData.controls['actionsColumns']['controls']?.[type]?.['controls'];
            if (Object.keys(actionsControls).find((k) => !actionsControls[k].value)) {
                if (type !== 'roiRoas') {
                    this.abstractData.get('actionsTitles')?.get(`${type}All`)?.setValue(false);
                }
            }
            else {
                if (type !== 'roiRoas') {
                    this.abstractData.get('actionsTitles')?.get(`${type}All`)?.setValue(true);
                }
            }
        }
        else if (type === 'actionsColumns') {
            const controls = this.abstractData.get(type).value;
            const allActions = [];
            Object.keys(controls).forEach((item) => {
                if (Object.keys(controls[item]).every((k) => controls[item][k])) {
                    allActions.push(item);
                }
            });
            if (allActions.length === 4) {
                this.abstractData.get(`${type}All`).setValue(true);
            }
            else {
                this.abstractData.get(`${type}All`).setValue(false);
            }
        }
        else {
            const otherControls = this.abstractData.controls[type]['controls'];
            if (Object.keys(otherControls).find((k) => !otherControls[k].value)) {
                this.abstractData.get(`${type}All`).setValue(false);
            }
            else {
                this.abstractData.get(`${type}All`).setValue(true);
            }
        }
    }
    selectAllColumns(type) {
        if (type === 'convertions' || type === 'actions' || type === 'purchase' || type === 'roiRoas') {
            const actionControlsByType = this.abstractData.controls['actionsColumns']['controls']?.[type]?.['controls'];
            if (Object.keys(actionControlsByType).every((k) => actionControlsByType[k].value)) {
                return;
            }
            Object.keys(actionControlsByType).forEach((actionControl) => {
                actionControlsByType[actionControl].setValue(true);
            });
        }
        else {
            if (type === 'actionsColumns') {
                const actionsControls = this.abstractData.get(type).value;
                const allActions = [];
                Object.keys(actionsControls).forEach((item) => {
                    if (Object.keys(actionsControls[item]).every((k) => actionsControls[item][k])) {
                        allActions.push(item);
                    }
                });
                if (allActions.length === 4) {
                    return;
                }
                else {
                    const actionsControls = this.abstractData.controls['actionsColumns']['controls'];
                    for (const controls in actionsControls) {
                        for (const item in actionsControls[controls]['controls']) {
                            if (!actionsControls[controls]['controls'][item].value) {
                                actionsControls[controls]['controls'][item].setValue(true);
                            }
                        }
                    }
                }
            }
            else {
                const controls = this.abstractData.controls[type]['controls'];
                if (Object.keys(controls).every((k) => controls[k].value)) {
                    return;
                }
                this.analyticTableConfig[type].forEach((item) => {
                    Object.keys(controls).forEach((key) => {
                        if (item.textContent.contentProperty === key) {
                            controls[key].setValue(true);
                        }
                    });
                });
            }
        }
    }
    clearAllColumns(type) {
        if (type === 'convertions' || type === 'actions' || type === 'purchase' || type === 'roiRoas') {
            const actionControlsByType = this.abstractData.controls['actionsColumns']['controls'][type]['controls'];
            if (Object.keys(actionControlsByType).find((k) => !actionControlsByType[k].value)) {
                return;
            }
            Object.keys(actionControlsByType).forEach((actionControl) => {
                actionControlsByType[actionControl].setValue(false);
            });
        }
        else {
            if (type === 'actionsColumns') {
                const convertions = this.abstractData.get('actionsColumns')?.get('convertions').value;
                const actions = this.abstractData.get('actionsColumns')?.get('actions').value;
                const purchase = this.abstractData.get('actionsColumns')?.get('purchase').value;
                const roiRoas = this.abstractData.get('actionsColumns')?.get('roiRoas').value;
                if (Object.keys(convertions).find((k) => !convertions[k]) ||
                    Object.keys(actions).find((k) => !actions[k]) ||
                    Object.keys(purchase).find((k) => !purchase[k]) ||
                    Object.keys(roiRoas).find((k) => !roiRoas[k])) {
                    return;
                }
                else {
                    const actionsControls = this.abstractData.controls['actionsColumns']['controls'];
                    for (const controls in actionsControls) {
                        for (const item in actionsControls[controls]['controls']) {
                            if (actionsControls[controls]['controls'][item].value) {
                                actionsControls[controls]['controls'][item].setValue(false);
                            }
                        }
                    }
                }
            }
            else {
                const controls = this.abstractData.controls[type]['controls'];
                if (Object.keys(controls).find((k) => !controls[k].value)) {
                    return;
                }
                this.analyticTableConfig[type].forEach((item) => {
                    Object.keys(controls).forEach((key) => {
                        if (item.textContent.contentProperty === key) {
                            controls[key].setValue(false);
                        }
                    });
                });
            }
        }
    }
    isAdminColumn(name) {
        return this.extraAdminColumns.includes(name);
    }
    checkForAvailabilityCheckboxColumns() {
        const conrolsCheckboxes = this.abstractData.controls.itemsColumns['controls'];
        const activeControlsFilter = this.controlsTableColumnsWithoutAdminConfig.filter((control) => conrolsCheckboxes[control.textContent.contentProperty].value);
        if (activeControlsFilter.length === 1) {
            conrolsCheckboxes[activeControlsFilter[0].textContent.contentProperty].setValue(true);
        }
    }
    isIndeterminate(columns) {
        let hasTrue;
        let hasFalse;
        for (const key in columns) {
            if (columns[key] === true) {
                hasTrue = true;
            }
            else if (columns[key] === false) {
                hasFalse = true;
            }
            if (hasTrue && hasFalse) {
                return true;
            }
        }
        return false;
    }
}
TableConfigComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: TableConfigComponent, deps: [{ token: i2.FormBuilder }, { token: StorageService }], target: i0.ɵɵFactoryTarget.Component });
TableConfigComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.3.0", type: TableConfigComponent, selector: "epom-popup-table-config", inputs: { analyticTableConfig: "analyticTableConfig", visibleColumns: "visibleColumns", extraAdminColumns: "extraAdminColumns", enabledPermissions: "enabledPermissions", isDisabled: "isDisabled" }, outputs: { formUpdated: "formUpdated" }, ngImport: i0, template: "<form [formGroup]=\"abstractData\">\n  <div class=\"row-space-40 popup-table-config mr-0\">\n    <div class=\"row analytics-table-filter\" *ngIf=\"analyticTableConfig.generalColumns.length\">\n      <h3 class=\"section-title mt-0 mb-8 ml-16\">General</h3>\n      <div class=\"select-all ml-16\">\n        <mat-checkbox\n          class=\"switchers checkbox-button checkbox-item\"\n          id=\"general_columns\"\n          value=\"generalColumnsAll\"\n          formControlName=\"generalColumnsAll\"\n          [indeterminate]=\"generalIndeterminate\"\n          (change)=\"checkForAvailabilityCheckboxColumns()\"\n        >\n          Select All\n        </mat-checkbox>\n      </div>\n    </div>\n    <div class=\"col-md-12 no-overflow mt-0 mb-32 p-0\" *ngIf=\"analyticTableConfig.generalColumns.length\">\n      <ul formGroupName=\"generalColumns\" [class.rows-direction]=\"analyticTableConfig.generalColumns.length >= 6\">\n        <li *ngFor=\"let col of analyticTableConfig.generalColumns; index as i\">\n          <mat-checkbox\n            class=\"switchers checkbox-button checkbox-item\"\n            id=\"{{col.textContent.contentProperty}}-popup\"\n            formControlName=\"{{col?.textContent?.contentProperty}}\"\n            (change)=\"checkForAvailabilityCheckboxColumns()\"\n          >\n            {{col.textContent.title}}\n          </mat-checkbox>\n        </li>\n      </ul>\n    </div>\n    <ng-container *ngIf=\"convertions.length || actions.length || purchase.length\">\n      <div class=\"row analytics-table-filter\">\n        <h3 class=\"section-title mb-8 ml-16\">Actions</h3>\n        <div class=\"select-all ml-16 mb-16\">\n          <mat-checkbox\n            class=\"switchers checkbox-button checkbox-item\"\n            id=\"actionsColumnsAll\"\n            value=\"actionsColumnsAll\"\n            formControlName=\"actionsColumnsAll\"\n            [indeterminate]=\"actionsColumnsIndeterminate\"\n          >\n            Select All\n          </mat-checkbox>\n        </div>\n      </div>\n      <div formGroupName=\"actionsTitles\" class=\"col-md-12 no-overflow m-0 p-0\">\n        <div class=\"table-actions-wrapper\">\n          <div *ngIf=\"convertions.length\" class=\"mr-8 form-control-wrapper mb-8\">\n            <mat-checkbox\n              class=\"switchers checkbox-button checkbox-item\"\n              id=\"convertionsAll\"\n              value=\"convertionsAll\"\n              formControlName=\"convertionsAll\"\n              [indeterminate]=\"convertionsIndeterminate\"\n            >\n              Select All\n            </mat-checkbox>\n            <input\n              type=\"text\"\n              class=\"form-control edit-action-input checkbox-item mb-4 mt-0\"\n              id=\"action1Title\"\n              formControlName=\"convertions\"\n            />\n            <label class=\"control-label action-title\" for=\"action1Title\">Action 1 Title</label>\n          </div>\n          <div *ngIf=\"actions.length\" class=\"mr-4 ml-4 form-control-wrapper mb-8\">\n            <div class=\"mt-2\">\n              <mat-checkbox\n                class=\"switchers checkbox-button checkbox-item\"\n                id=\"actionsAll\"\n                value=\"actionsAll\"\n                formControlName=\"actionsAll\"\n                [indeterminate]=\"actionsIndeterminate\"\n              >\n                Select All\n              </mat-checkbox>\n            </div>\n            <input\n              type=\"text\"\n              class=\"form-control edit-action-input checkbox-item mb-4 mt-0\"\n              id=\"action2Title\"\n              formControlName=\"actions\"\n            />\n            <label class=\"control-label action-title\" for=\"action2Title\">Action 2 Title</label>\n          </div>\n          <div *ngIf=\"purchase.length\" class=\"ml-8 form-control-wrapper mb-8\">\n            <mat-checkbox\n              class=\"switchers checkbox-button checkbox-item\"\n              id=\"purchaseAll\"\n              value=\"purchaseAll\"\n              formControlName=\"purchaseAll\"\n              [indeterminate]=\"purchaseIndeterminate\"\n            >\n              Select All\n            </mat-checkbox>\n            <input\n              type=\"text\"\n              class=\"form-control edit-action-input checkbox-item mb-4 mt-0 mb-8\"\n              id=\"action3Title\"\n              formControlName=\"purchase\"\n            />\n            <label class=\"control-label action-title\" for=\"action3Title\">Action 3 Title</label>\n          </div>\n        </div>\n      </div>\n      <div formGroupName=\"actionsColumns\" class=\"col-md-12 no-overflow m-0 p-0\">\n        <div class=\"actions\">\n          <div style=\"display: flex\">\n            <div *ngIf=\"convertions.length\" class=\"mr-8\">\n              <ul formGroupName=\"convertions\" class=\"actions-columns\" [class.rows-direction]=\"convertions.length >= 6\">\n                <li *ngFor=\"let col of convertions; index as i\">\n                  <mat-checkbox\n                    class=\"switchers checkbox-button checkbox-item\"\n                    id=\"{{col?.textContent?.contentProperty}}-popup\"\n                    formControlName=\"{{col?.textContent?.contentProperty}}\"\n                    (change)=\"checkForAvailabilityCheckboxColumns()\"\n                  >\n                    {{col?.textContent?.title}}\n                  </mat-checkbox>\n                </li>\n              </ul>\n            </div>\n            <div *ngIf=\"actions.length\" class=\"ml-4 mr-4\">\n              <ul\n                formGroupName=\"actions\"\n                class=\"actions-columns\"\n                [class.rows-direction]=\"analyticTableConfig.actionsColumns.actions.length >= 6\"\n              >\n                <li *ngFor=\"let col of analyticTableConfig.actionsColumns.actions; index as i\">\n                  <mat-checkbox\n                    class=\"switchers checkbox-button checkbox-item\"\n                    id=\"{{col?.textContent?.contentProperty}}-popup\"\n                    formControlName=\"{{col?.textContent?.contentProperty}}\"\n                    (change)=\"checkForAvailabilityCheckboxColumns()\"\n                  >\n                    {{col.textContent.title}}\n                  </mat-checkbox>\n                </li>\n              </ul>\n            </div>\n            <div *ngIf=\"purchase.length\" class=\"ml-8\">\n              <ul\n                formGroupName=\"purchase\"\n                class=\"actions-columns\"\n                [class.rows-direction]=\"analyticTableConfig.actionsColumns.purchase.length >= 6\"\n              >\n                <li *ngFor=\"let col of analyticTableConfig.actionsColumns.purchase; index as i\">\n                  <mat-checkbox\n                    class=\"switchers checkbox-button checkbox-item\"\n                    id=\"{{col?.textContent?.contentProperty}}-popup\"\n                    formControlName=\"{{col?.textContent?.contentProperty}}\"\n                    (change)=\"checkForAvailabilityCheckboxColumns()\"\n                  >\n                    {{col.textContent.title}}\n                  </mat-checkbox>\n                </li>\n              </ul>\n            </div>\n          </div>\n        </div>\n        <div class=\"col-md-12 no-overflow m-0 p-0\">\n          <h3 class=\"other-indexes-title mt-0 mb-4\">\n            Other indexes\n            <span class=\"roi-tooltip top\" *ngIf=\"analyticTableConfig.actionsColumns.roiRoas.length\">\n              <span\n                class=\"material-icons material-icons-outlined button-icon-small button-icon button-icon-outline\"\n                matTooltip=\"Those indexers are calculated for all types of actions\"\n                matTooltipPosition=\"right\"\n                >info</span\n              >\n            </span>\n          </h3>\n\n          <div class=\"roi-wrapper mb-12 mt-0\" style=\"display: flex\">\n            <ul formGroupName=\"roiRoas\" [class.rows-direction]=\"analyticTableConfig.actionsColumns.roiRoas.length >= 6\">\n              <li *ngFor=\"let col of analyticTableConfig.actionsColumns.roiRoas; index as i\">\n                <mat-checkbox\n                  class=\"switchers checkbox-button checkbox-item\"\n                  id=\"{{col.textContent.contentProperty}}-popup\"\n                  formControlName=\"{{col?.textContent?.contentProperty}}\"\n                  (change)=\"checkForAvailabilityCheckboxColumns()\"\n                >\n                  {{col.textContent.title}}\n                </mat-checkbox>\n              </li>\n            </ul>\n          </div>\n        </div>\n      </div>\n    </ng-container>\n    <div class=\"row\" *ngIf=\"analyticTableConfig.videoColumns.length\">\n      <h3 class=\"section-title ml-16\">Video</h3>\n      <div class=\"select-all switchers-inline ml-16\">\n        <mat-checkbox\n          class=\"switchers checkbox-button checkbox-item\"\n          id=\"video_columns\"\n          value=\"videoColumnsAll\"\n          formControlName=\"videoColumnsAll\"\n          [indeterminate]=\"videoIndeterminate\"\n        >\n          Select All\n        </mat-checkbox>\n      </div>\n    </div>\n    <div class=\"col-md-12 no-overflow m-0 p-0\">\n      <ul\n        class=\"video-columns\"\n        formGroupName=\"videoColumns\"\n        [class.rows-direction]=\"analyticTableConfig.videoColumns.length >= 6\"\n      >\n        <li *ngFor=\"let col of analyticTableConfig.videoColumns; index as i\">\n          <mat-checkbox\n            class=\"switchers checkbox-button checkbox-item\"\n            id=\"{{col.textContent.contentProperty}}-popup\"\n            formControlName=\"{{col?.textContent?.contentProperty}}\"\n            (change)=\"checkForAvailabilityCheckboxColumns()\"\n          >\n            {{col.textContent.title}}\n          </mat-checkbox>\n        </li>\n      </ul>\n    </div>\n  </div>\n</form>\n", styles: [".checkbox-button{width:100%}.checkbox-item{width:206px;height:36px;margin-top:7px}.select-all{margin-bottom:8px}.roi-tooltip{position:relative;top:2px;left:2px}.roi-tooltip span{font-size:14px!important;font-style:normal;color:var(--primary-color)}.section-title{color:var(--neutral-on-main-neutral-color);font-size:14px;font-style:normal;font-weight:700;line-height:21px}.action-title{color:var(--neutral-outline-color);font-size:12px;font-style:normal;font-weight:600;line-height:18px}.other-indexes-title{color:var(--neutral-on-main-neutral-color);font-size:12px;font-style:normal;font-weight:600;line-height:18px}.button-icon{padding:3px}.form-control-wrapper{width:auto}\n"], dependencies: [{ kind: "directive", type: i1$1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i2.ɵNgNoValidate, selector: "form:not([ngNoForm]):not([ngNativeValidate])" }, { kind: "directive", type: i2.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i2.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i2.NgControlStatusGroup, selector: "[formGroupName],[formArrayName],[ngModelGroup],[formGroup],form:not([ngNoForm]),[ngForm]" }, { kind: "directive", type: i2.FormGroupDirective, selector: "[formGroup]", inputs: ["formGroup"], outputs: ["ngSubmit"], exportAs: ["ngForm"] }, { kind: "directive", type: i2.FormControlName, selector: "[formControlName]", inputs: ["formControlName", "disabled", "ngModel"], outputs: ["ngModelChange"] }, { kind: "directive", type: i2.FormGroupName, selector: "[formGroupName]", inputs: ["formGroupName"] }, { kind: "component", type: i3$1.MatCheckbox, selector: "mat-checkbox", inputs: ["disableRipple", "color", "tabIndex"], exportAs: ["matCheckbox"] }, { kind: "directive", type: i4.MatTooltip, selector: "[matTooltip]", exportAs: ["matTooltip"] }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: TableConfigComponent, decorators: [{
            type: Component,
            args: [{ selector: 'epom-popup-table-config', template: "<form [formGroup]=\"abstractData\">\n  <div class=\"row-space-40 popup-table-config mr-0\">\n    <div class=\"row analytics-table-filter\" *ngIf=\"analyticTableConfig.generalColumns.length\">\n      <h3 class=\"section-title mt-0 mb-8 ml-16\">General</h3>\n      <div class=\"select-all ml-16\">\n        <mat-checkbox\n          class=\"switchers checkbox-button checkbox-item\"\n          id=\"general_columns\"\n          value=\"generalColumnsAll\"\n          formControlName=\"generalColumnsAll\"\n          [indeterminate]=\"generalIndeterminate\"\n          (change)=\"checkForAvailabilityCheckboxColumns()\"\n        >\n          Select All\n        </mat-checkbox>\n      </div>\n    </div>\n    <div class=\"col-md-12 no-overflow mt-0 mb-32 p-0\" *ngIf=\"analyticTableConfig.generalColumns.length\">\n      <ul formGroupName=\"generalColumns\" [class.rows-direction]=\"analyticTableConfig.generalColumns.length >= 6\">\n        <li *ngFor=\"let col of analyticTableConfig.generalColumns; index as i\">\n          <mat-checkbox\n            class=\"switchers checkbox-button checkbox-item\"\n            id=\"{{col.textContent.contentProperty}}-popup\"\n            formControlName=\"{{col?.textContent?.contentProperty}}\"\n            (change)=\"checkForAvailabilityCheckboxColumns()\"\n          >\n            {{col.textContent.title}}\n          </mat-checkbox>\n        </li>\n      </ul>\n    </div>\n    <ng-container *ngIf=\"convertions.length || actions.length || purchase.length\">\n      <div class=\"row analytics-table-filter\">\n        <h3 class=\"section-title mb-8 ml-16\">Actions</h3>\n        <div class=\"select-all ml-16 mb-16\">\n          <mat-checkbox\n            class=\"switchers checkbox-button checkbox-item\"\n            id=\"actionsColumnsAll\"\n            value=\"actionsColumnsAll\"\n            formControlName=\"actionsColumnsAll\"\n            [indeterminate]=\"actionsColumnsIndeterminate\"\n          >\n            Select All\n          </mat-checkbox>\n        </div>\n      </div>\n      <div formGroupName=\"actionsTitles\" class=\"col-md-12 no-overflow m-0 p-0\">\n        <div class=\"table-actions-wrapper\">\n          <div *ngIf=\"convertions.length\" class=\"mr-8 form-control-wrapper mb-8\">\n            <mat-checkbox\n              class=\"switchers checkbox-button checkbox-item\"\n              id=\"convertionsAll\"\n              value=\"convertionsAll\"\n              formControlName=\"convertionsAll\"\n              [indeterminate]=\"convertionsIndeterminate\"\n            >\n              Select All\n            </mat-checkbox>\n            <input\n              type=\"text\"\n              class=\"form-control edit-action-input checkbox-item mb-4 mt-0\"\n              id=\"action1Title\"\n              formControlName=\"convertions\"\n            />\n            <label class=\"control-label action-title\" for=\"action1Title\">Action 1 Title</label>\n          </div>\n          <div *ngIf=\"actions.length\" class=\"mr-4 ml-4 form-control-wrapper mb-8\">\n            <div class=\"mt-2\">\n              <mat-checkbox\n                class=\"switchers checkbox-button checkbox-item\"\n                id=\"actionsAll\"\n                value=\"actionsAll\"\n                formControlName=\"actionsAll\"\n                [indeterminate]=\"actionsIndeterminate\"\n              >\n                Select All\n              </mat-checkbox>\n            </div>\n            <input\n              type=\"text\"\n              class=\"form-control edit-action-input checkbox-item mb-4 mt-0\"\n              id=\"action2Title\"\n              formControlName=\"actions\"\n            />\n            <label class=\"control-label action-title\" for=\"action2Title\">Action 2 Title</label>\n          </div>\n          <div *ngIf=\"purchase.length\" class=\"ml-8 form-control-wrapper mb-8\">\n            <mat-checkbox\n              class=\"switchers checkbox-button checkbox-item\"\n              id=\"purchaseAll\"\n              value=\"purchaseAll\"\n              formControlName=\"purchaseAll\"\n              [indeterminate]=\"purchaseIndeterminate\"\n            >\n              Select All\n            </mat-checkbox>\n            <input\n              type=\"text\"\n              class=\"form-control edit-action-input checkbox-item mb-4 mt-0 mb-8\"\n              id=\"action3Title\"\n              formControlName=\"purchase\"\n            />\n            <label class=\"control-label action-title\" for=\"action3Title\">Action 3 Title</label>\n          </div>\n        </div>\n      </div>\n      <div formGroupName=\"actionsColumns\" class=\"col-md-12 no-overflow m-0 p-0\">\n        <div class=\"actions\">\n          <div style=\"display: flex\">\n            <div *ngIf=\"convertions.length\" class=\"mr-8\">\n              <ul formGroupName=\"convertions\" class=\"actions-columns\" [class.rows-direction]=\"convertions.length >= 6\">\n                <li *ngFor=\"let col of convertions; index as i\">\n                  <mat-checkbox\n                    class=\"switchers checkbox-button checkbox-item\"\n                    id=\"{{col?.textContent?.contentProperty}}-popup\"\n                    formControlName=\"{{col?.textContent?.contentProperty}}\"\n                    (change)=\"checkForAvailabilityCheckboxColumns()\"\n                  >\n                    {{col?.textContent?.title}}\n                  </mat-checkbox>\n                </li>\n              </ul>\n            </div>\n            <div *ngIf=\"actions.length\" class=\"ml-4 mr-4\">\n              <ul\n                formGroupName=\"actions\"\n                class=\"actions-columns\"\n                [class.rows-direction]=\"analyticTableConfig.actionsColumns.actions.length >= 6\"\n              >\n                <li *ngFor=\"let col of analyticTableConfig.actionsColumns.actions; index as i\">\n                  <mat-checkbox\n                    class=\"switchers checkbox-button checkbox-item\"\n                    id=\"{{col?.textContent?.contentProperty}}-popup\"\n                    formControlName=\"{{col?.textContent?.contentProperty}}\"\n                    (change)=\"checkForAvailabilityCheckboxColumns()\"\n                  >\n                    {{col.textContent.title}}\n                  </mat-checkbox>\n                </li>\n              </ul>\n            </div>\n            <div *ngIf=\"purchase.length\" class=\"ml-8\">\n              <ul\n                formGroupName=\"purchase\"\n                class=\"actions-columns\"\n                [class.rows-direction]=\"analyticTableConfig.actionsColumns.purchase.length >= 6\"\n              >\n                <li *ngFor=\"let col of analyticTableConfig.actionsColumns.purchase; index as i\">\n                  <mat-checkbox\n                    class=\"switchers checkbox-button checkbox-item\"\n                    id=\"{{col?.textContent?.contentProperty}}-popup\"\n                    formControlName=\"{{col?.textContent?.contentProperty}}\"\n                    (change)=\"checkForAvailabilityCheckboxColumns()\"\n                  >\n                    {{col.textContent.title}}\n                  </mat-checkbox>\n                </li>\n              </ul>\n            </div>\n          </div>\n        </div>\n        <div class=\"col-md-12 no-overflow m-0 p-0\">\n          <h3 class=\"other-indexes-title mt-0 mb-4\">\n            Other indexes\n            <span class=\"roi-tooltip top\" *ngIf=\"analyticTableConfig.actionsColumns.roiRoas.length\">\n              <span\n                class=\"material-icons material-icons-outlined button-icon-small button-icon button-icon-outline\"\n                matTooltip=\"Those indexers are calculated for all types of actions\"\n                matTooltipPosition=\"right\"\n                >info</span\n              >\n            </span>\n          </h3>\n\n          <div class=\"roi-wrapper mb-12 mt-0\" style=\"display: flex\">\n            <ul formGroupName=\"roiRoas\" [class.rows-direction]=\"analyticTableConfig.actionsColumns.roiRoas.length >= 6\">\n              <li *ngFor=\"let col of analyticTableConfig.actionsColumns.roiRoas; index as i\">\n                <mat-checkbox\n                  class=\"switchers checkbox-button checkbox-item\"\n                  id=\"{{col.textContent.contentProperty}}-popup\"\n                  formControlName=\"{{col?.textContent?.contentProperty}}\"\n                  (change)=\"checkForAvailabilityCheckboxColumns()\"\n                >\n                  {{col.textContent.title}}\n                </mat-checkbox>\n              </li>\n            </ul>\n          </div>\n        </div>\n      </div>\n    </ng-container>\n    <div class=\"row\" *ngIf=\"analyticTableConfig.videoColumns.length\">\n      <h3 class=\"section-title ml-16\">Video</h3>\n      <div class=\"select-all switchers-inline ml-16\">\n        <mat-checkbox\n          class=\"switchers checkbox-button checkbox-item\"\n          id=\"video_columns\"\n          value=\"videoColumnsAll\"\n          formControlName=\"videoColumnsAll\"\n          [indeterminate]=\"videoIndeterminate\"\n        >\n          Select All\n        </mat-checkbox>\n      </div>\n    </div>\n    <div class=\"col-md-12 no-overflow m-0 p-0\">\n      <ul\n        class=\"video-columns\"\n        formGroupName=\"videoColumns\"\n        [class.rows-direction]=\"analyticTableConfig.videoColumns.length >= 6\"\n      >\n        <li *ngFor=\"let col of analyticTableConfig.videoColumns; index as i\">\n          <mat-checkbox\n            class=\"switchers checkbox-button checkbox-item\"\n            id=\"{{col.textContent.contentProperty}}-popup\"\n            formControlName=\"{{col?.textContent?.contentProperty}}\"\n            (change)=\"checkForAvailabilityCheckboxColumns()\"\n          >\n            {{col.textContent.title}}\n          </mat-checkbox>\n        </li>\n      </ul>\n    </div>\n  </div>\n</form>\n", styles: [".checkbox-button{width:100%}.checkbox-item{width:206px;height:36px;margin-top:7px}.select-all{margin-bottom:8px}.roi-tooltip{position:relative;top:2px;left:2px}.roi-tooltip span{font-size:14px!important;font-style:normal;color:var(--primary-color)}.section-title{color:var(--neutral-on-main-neutral-color);font-size:14px;font-style:normal;font-weight:700;line-height:21px}.action-title{color:var(--neutral-outline-color);font-size:12px;font-style:normal;font-weight:600;line-height:18px}.other-indexes-title{color:var(--neutral-on-main-neutral-color);font-size:12px;font-style:normal;font-weight:600;line-height:18px}.button-icon{padding:3px}.form-control-wrapper{width:auto}\n"] }]
        }], ctorParameters: function () { return [{ type: i2.FormBuilder }, { type: StorageService }]; }, propDecorators: { analyticTableConfig: [{
                type: Input
            }], visibleColumns: [{
                type: Input
            }], extraAdminColumns: [{
                type: Input
            }], enabledPermissions: [{
                type: Input
            }], isDisabled: [{
                type: Input,
                args: ['isDisabled']
            }], formUpdated: [{
                type: Output,
                args: ['formUpdated']
            }] } });

class CreativeDebugComponent {
}
CreativeDebugComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: CreativeDebugComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
CreativeDebugComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.3.0", type: CreativeDebugComponent, selector: "epom-popup-creative-debug", inputs: { creativeDebugData: "creativeDebugData" }, ngImport: i0, template: "<div *ngIf=\"creativeDebugData[0]\">\n  <table class=\"table\">\n    <thead>\n    <tr>\n      <th>Reason</th>\n      <th>% from all</th>\n    </tr>\n    </thead>\n    <tbody>\n    <tr *ngFor=\"let item of creativeDebugData[0]?.exclusions | keyValue\">\n      <td><code>{{item?.key}}</code></td>\n      <td>{{item?.value * 100 / creativeDebugData[0]?.total | number:'1.0' }} %</td>\n    </tr>\n    <tr>\n      <td>Total requests analysed:</td>\n      <td>{{creativeDebugData[0]?.total }}</td>\n    </tr>\n    </tbody>\n  </table>\n</div>\n<div *ngIf=\"!creativeDebugData[0]\">\n  <h3>No data to show</h3>\n</div>\n", dependencies: [{ kind: "directive", type: i1$1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "pipe", type: i1$1.DecimalPipe, name: "number" }, { kind: "pipe", type: KeyValuePipeClass, name: "keyValue" }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: CreativeDebugComponent, decorators: [{
            type: Component,
            args: [{ selector: 'epom-popup-creative-debug', template: "<div *ngIf=\"creativeDebugData[0]\">\n  <table class=\"table\">\n    <thead>\n    <tr>\n      <th>Reason</th>\n      <th>% from all</th>\n    </tr>\n    </thead>\n    <tbody>\n    <tr *ngFor=\"let item of creativeDebugData[0]?.exclusions | keyValue\">\n      <td><code>{{item?.key}}</code></td>\n      <td>{{item?.value * 100 / creativeDebugData[0]?.total | number:'1.0' }} %</td>\n    </tr>\n    <tr>\n      <td>Total requests analysed:</td>\n      <td>{{creativeDebugData[0]?.total }}</td>\n    </tr>\n    </tbody>\n  </table>\n</div>\n<div *ngIf=\"!creativeDebugData[0]\">\n  <h3>No data to show</h3>\n</div>\n" }]
        }], propDecorators: { creativeDebugData: [{
                type: Input
            }] } });

const minDateValidator = (minDate) => {
    return (control) => {
        const inputValue = control.value;
        if (!inputValue) {
            return null;
        }
        const min = dayjs(minDate, 'DD.MM.YYYY');
        const inputDate = dayjs(inputValue, 'DD.MM.YYYY');
        return inputDate.isAfter(min) ? null : { minDate: { valid: false } };
    };
};
const compareDates = (form) => {
    const start = form.get('dateStart').value;
    const end = form.get('dateEnd').value;
    if (!start || !end) {
        return null;
    }
    const startDate = dayjs(start, 'DD-MM-YYYY');
    const endDate = dayjs(end, 'DD-MM-YYYY');
    const startTimestamp = startDate.isValid() ? startDate.valueOf() : null;
    const endTimestamp = endDate.isValid() ? endDate.valueOf() : null;
    return startTimestamp && endTimestamp && startTimestamp <= endTimestamp ? null : { compareDates: { valid: false } };
};
class PasswordValidation {
    static confirmPasswordValidator(passwordControlName) {
        return (confirmPasswordControl) => {
            if (!confirmPasswordControl.parent) {
                return null;
            }
            const passwordControl = confirmPasswordControl.parent.get(passwordControlName);
            if (!passwordControl) {
                return null;
            }
            if (passwordControl.value !== confirmPasswordControl.value) {
                return { MatchPassword: true };
            }
            return null;
        };
    }
}
PasswordValidation.matchPassword = (passwordLength = 6) => {
    return (abstractControl) => {
        const password = abstractControl.get('password').value;
        const confirmPassword = abstractControl.get('passwordConfirm').value;
        const error = { MatchPassword: { valid: false } };
        const lengthError = { PasswordLength: { valid: false } };
        if (!password && !confirmPassword) {
            return null;
        }
        if (password && password.length < passwordLength) {
            return lengthError;
        }
        return password !== confirmPassword ? error : null;
    };
};
const XMLValidator = (control) => {
    const value = control.value;
    const parser = new DOMParser();
    const parsedDocument = parser.parseFromString(value, 'application/xml');
    const errorNode = parsedDocument.querySelector('parsererror');
    if (errorNode) {
        return { invalidXML: true };
    }
    return null;
};

class NumberValidators {
    static mustBeNumber(control) {
        return (control.value !== null || control.value !== null) && parseFloat(control.value) !== control.value
            ? { mustBeNumber: parseFloat(control.value) === control.value }
            : null;
    }
}
NumberValidators.greaterThen = (value) => {
    return (control) => {
        return control.value <= value ? { greaterThen: true } : null;
    };
};
NumberValidators.greaterThenOrNull = (value) => {
    return (control) => {
        if (!control.value) {
            return null;
        }
        else {
            return control.value <= value ? { greaterThenOrNull: true } : null;
        }
    };
};
NumberValidators.greaterThenOrEqualOrNull = (value) => {
    return (control) => {
        if (!control.value) {
            return null;
        }
        else {
            return control.value < value ? { greaterThenOrEqualOrNull: true } : null;
        }
    };
};
NumberValidators.greaterThenField = (controlTarget) => {
    return (control) => {
        return control.value <= Number(controlTarget.value) ? { greaterThenField: true } : null;
    };
};
NumberValidators.greaterThenFieldOrNull = (controlTarget) => {
    return (control) => {
        if (!control.value) {
            return null;
        }
        else {
            return control.value <= Number(controlTarget.value) ? { greaterThenFieldOrNull: true } : null;
        }
    };
};
NumberValidators.greaterOrEqualThenFieldOrNull = (controlTarget) => {
    return (control) => {
        if (!control.value) {
            return null;
        }
        else {
            return control.value < Number(controlTarget.value) ? { greaterThenFieldOrNull: true } : null;
        }
    };
};
NumberValidators.maxDecimalDigit = (value) => {
    const regexPattern = new RegExp('^((?!0)\\d{1,10}|0|\\.\\d{1,' + value + '})($|\\.$|\\.\\d{1,' + value + '}$)');
    return (control) => {
        if (!control.value) {
            return null;
        }
        else {
            return !regexPattern.test(control.value) ? { maxDecimalDigit: true } : null;
        }
    };
};

const FLOAT_REGEXP = '^[-+]?\\d+(\\.\\d+)?$';
const PRICE_REGEXT = '^[-+]?\\d+(\\.\\d{1,2})?$';
const NUMBER_REGEXP = '[0-9]+';
const NOT_CIRYLLIC_REGEX = `^[a-zA-Z0-9*-/_?!., |:
]+$`;
const SSP_LABEL_REGEX = '^[a-zA-Z0-9.-]+$';
const NOT_SPECIAL_CHARS_REGEX = `^[a-zA-Zа-яА-Я0-9*-/_?!., |:
]+$`;
const EMAIL_REGEXP = '[-a-zA-Z0-9_.+]+@[a-zA-Z0-9_.-]+?\\.[a-zA-Z]{2,}';
const EMAIL_MULTIPLE_REGEXP = '^([a-z][a-z0-9_.]+@([a-z0-9-]+\\.)+[a-z]{2,6}(, )*)+$';
const PHONE_REGEXP = '^\\+?\\d+[ \\()-]*\\d+[ \\()-]*\\d+[0-9 \\()-]+$';
const WITHOUT_WHITESPACES = /^[^\s].*[^\s]$/;
const WITHOUT_SEPCIALCHARS_NOT_ONLY_WHITESPACES = /^[^{}[\]<>+=*"]*[^\s{}[\]<>+=*"][^{}[\]<>+=*"]*$/;
const MAX_NAME_SYMBOLS = 150;
const MAX_FLOAT_SYMBOLS = 10;
const NOT_ONLY_WHITESPACES = /.*[^\s].*/;
const NOT_START_WITH_WHITESPACE = /^[^\s].*/;
const URL_REGEXP = /^(?:http(s)?:\/\/)?[\w.-]+(?:\.[\w\.-]+)+[\w\-\._~%:/?#[\]@!\\$&\'\(\)\*\+,;=.]+$/;
const URL_WITH_MACROS_REGEXP = /^(?:http(s)?:\/\/)?[\w.-]+(?:\.[\w\.-]+)+[\w\-\._~%:/?#[\]@!\\$&\'\(\)\*\+\{\},;=.]+$/;
const DOMAIN_REGEXP = /^(https?:\/\/)?([^\/]+)(\/|$)/;
const floatValidators = [Validators.pattern(FLOAT_REGEXP), Validators.maxLength(MAX_FLOAT_SYMBOLS)];
const namesValidators = [
    Validators.maxLength(MAX_NAME_SYMBOLS),
    Validators.pattern(WITHOUT_SEPCIALCHARS_NOT_ONLY_WHITESPACES),
];
const namesCiryllicValidators = [
    Validators.maxLength(MAX_NAME_SYMBOLS),
    Validators.pattern(WITHOUT_SEPCIALCHARS_NOT_ONLY_WHITESPACES),
];

class PopupFilterByConditionComponent {
    constructor() {
        this.selectType = 'and';
        this.popupSelectedOutput = new EventEmitter();
        this.metricFiltersList = [];
        this.conditionsList$ = of(CONDITIONS_METRIC_LIST);
        this.metricList$ = of();
    }
    get formData() {
        return this.form.get('metrics').controls;
    }
    ngOnInit() {
        this.metricFiltersList = this.initialData.metrics?.filter((i) => i);
        this.metricList$ = of(this.metricList);
        this.form = new FormGroup({
            type: new FormControl(this.initialData?.type || 'and'),
            metrics: new FormArray([]),
        });
        if (this.metricFiltersList?.filter((i) => i)?.length) {
            this.metricFiltersList?.forEach((m) => this.addPreselectedItem(m));
        }
        else {
            this.addItem();
        }
        this.form.get('type').valueChanges.subscribe(() => {
            this.form.updateValueAndValidity();
            this.emitData();
        });
    }
    ngAfterViewInit() {
        this.emitData();
    }
    elementValueChanged() {
        this.form.updateValueAndValidity();
        this.emitData();
    }
    emitData() {
        this.popupSelectedOutput.emit({ form: this.form, element: this.filterByConditionElement });
    }
    addItem() {
        this.metricFiltersList.push(this.metricFiltersList[0]);
        this.form.get('metrics').push(new FormGroup({
            metric: new FormControl(this.metricList[0].value),
            condition: new FormControl(CONDITIONS_METRIC_LIST[1].value),
            value: new FormControl(null, Validators.required),
        }));
    }
    addPreselectedItem(item) {
        this.form.get('metrics').push(new FormGroup({
            metric: new FormControl(item?.metric?.[0]),
            condition: new FormControl(item?.condition?.[0]),
            value: new FormControl(item?.value, [Validators.required, Validators.pattern(NUMBER_REGEXP)]),
        }));
    }
    removeItem(index) {
        this.form.get('metrics').removeAt(index);
        this.form.updateValueAndValidity();
        this.emitData();
    }
    getFormElement(formGroup, formControlName) {
        return formGroup.get(formControlName);
    }
}
PopupFilterByConditionComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: PopupFilterByConditionComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
PopupFilterByConditionComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.3.0", type: PopupFilterByConditionComponent, selector: "epom-popup-filter-by-condition", inputs: { initialData: "initialData", metricList: "metricList", selectType: "selectType" }, outputs: { popupSelectedOutput: "popupSelectedOutput" }, viewQueries: [{ propertyName: "filterByConditionElement", first: true, predicate: ["filterByConditionElement"], descendants: true }], ngImport: i0, template: "<div [formGroup]=\"form\" class=\"filter-by-condition\" #filterByConditionElement>\n  <span class=\"modal-select-options\">Select Type</span>\n\n  <div class=\"switchers-group\">\n    <div class=\"switchers-inline\">\n      <div class=\"switchers-inline\">\n        <input class=\"switchers\" id=\"type_1\" formControlName=\"type\" type=\"radio\" value=\"and\" />\n        <label for=\"type_1\">And</label>\n      </div>\n      <input class=\"switchers\" id=\"type_2\" formControlName=\"type\" type=\"radio\" value=\"or\" />\n      <label for=\"type_2\">Or</label>\n    </div>\n    <div class=\"switchers-inline\" *ngIf=\"form?.value?.metrics?.length === 1\">\n      <input class=\"switchers\" id=\"type_3\" formControlName=\"type\" type=\"radio\" value=\"not\" />\n      <label for=\"type_3\">Not</label>\n    </div>\n  </div>\n\n  <div class=\"version-labels\">\n    <div class=\"row\">\n      <div class=\"col-xs-12 col-xs-12 col-xs-12\">\n        <div class=\"metric-label p-0 pr-0 metric-field\"><label class=\"control-label mb-8\">Metric</label></div>\n        <div class=\"metric-label p-0 pl-0 pr-0 condition-field codition-header\">\n          <label class=\"control-label mb-8\">Condition</label>\n        </div>\n        <div class=\"metric-label p-0 pl-0 ml-4 value-field\">\n          <label class=\"control-label mb-8\">Value</label>\n        </div>\n      </div>\n    </div>\n  </div>\n  <main>\n    <div class=\"targeting form-group mb-0\">\n      <div\n        class=\"col-xs-12 col-xs-12 col-xs-12 targeting switchers-inline\"\n        *ngFor=\"let target of formData; let i = index\"\n      >\n        <div class=\"col-xs-4 col-md-4 col-lg-4 pr-8 targeting-group metric-field\">\n          <custom-select\n            [valuesStream]=\"metricList$\"\n            [clearLikeOption]=\"false\"\n            [multiple]=\"false\"\n            [useClear]=\"false\"\n            [search]=\"true\"\n            [selectedDefaultValue]=\"\"\n            [formElement]=\"getFormElement(target, 'metric')\"\n            (valueChanged)=\"elementValueChanged()\"\n          >\n          </custom-select>\n        </div>\n        <div class=\"col-xs-4 col-md-4 col-lg-4 pl-4 pr-4 targeting-group condition-field\">\n          <custom-select\n            [valuesStream]=\"conditionsList$\"\n            [clearLikeOption]=\"false\"\n            [multiple]=\"false\"\n            [useClear]=\"false\"\n            [search]=\"false\"\n            [withOperation]=\"true\"\n            [formElement]=\"getFormElement(target, 'condition')\"\n            [direction]=\"'options-down'\"\n            (valueChanged)=\"elementValueChanged()\"\n          >\n          </custom-select>\n        </div>\n        <div class=\"col-xs-3 col-md-3 col-lg-3 pl-8 pr-0 targeting-group form-control-wrapper value-field\">\n          <input\n            type=\"text\"\n            class=\"form-control\"\n            placeholder=\"Enter value\"\n            [formControl]=\"getFormElement(target, 'value')\"\n            (input)=\"emitData()\"\n          />\n        </div>\n        <div class=\"col-xs-1 col-md-1 col-lg-1 pl-0 remove-item\">\n          <span *ngIf=\"formData.length > 1\" class=\"label-times material-icons button-icon\" (click)=\"removeItem(i)\"\n            >highlight_off</span\n          >\n        </div>\n      </div>\n    </div>\n  </main>\n  <div class=\"add-item ml-4\" *ngIf=\"form.get('type').value !== 'not'\" (click)=\"addItem()\">\n    <span class=\"material-icons material-icons-outlined button-icon\">add_circle_outline</span>\n    <span>Add metric</span>\n  </div>\n</div>\n", styles: [".modal-select-options{font-size:12px;font-style:normal;font-weight:600;line-height:18px;color:var(--neutral-outline-color, #74777f)}.switchers-group{margin-bottom:24px;margin-top:8px}.add-item{cursor:pointer;color:var(--themePrimButtonsBg-color);font-size:12px;font-style:normal;font-weight:600;line-height:18px}.add-item:hover{color:var(--themePrimButtonsBg-hover-color)}.add-item span.material-icons{font-size:16px;font-style:normal;font-weight:600;cursor:pointer;position:relative;top:3px;right:6px}.remove-item{margin-top:8px;color:var(--neutral-outline-color)}.targeting.form-group{margin-left:-30px}.o-visible{overflow:visible}.metric-label,.targeting-group{display:inline-block;width:30%}.metric-field{width:182px}.condition-field{width:232px}.codition-header{margin-left:-10px}.value-field{width:182px}.value-field input{height:36px!important}.switchers-inline label{width:124px}:host ::ng-deep .targeting.switchers-inline label,:host ::ng-deep .targeting.switchers-inline input{height:auto}:host ::ng-deep .selected-list label{vertical-align:baseline}\n"], dependencies: [{ kind: "directive", type: i1$1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i2.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i2.RadioControlValueAccessor, selector: "input[type=radio][formControlName],input[type=radio][formControl],input[type=radio][ngModel]", inputs: ["name", "formControlName", "value"] }, { kind: "directive", type: i2.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i2.NgControlStatusGroup, selector: "[formGroupName],[formArrayName],[ngModelGroup],[formGroup],form:not([ngNoForm]),[ngForm]" }, { kind: "directive", type: i2.FormControlDirective, selector: "[formControl]", inputs: ["formControl", "disabled", "ngModel"], outputs: ["ngModelChange"], exportAs: ["ngForm"] }, { kind: "directive", type: i2.FormGroupDirective, selector: "[formGroup]", inputs: ["formGroup"], outputs: ["ngSubmit"], exportAs: ["ngForm"] }, { kind: "directive", type: i2.FormControlName, selector: "[formControlName]", inputs: ["formControlName", "disabled", "ngModel"], outputs: ["ngModelChange"] }, { kind: "component", type: SelectComponentClass, selector: "custom-select", inputs: ["valuesStream", "useClear", "clearLikeOption", "subtitle", "placeholder", "selectedDefaultIndex", "selectedDefaultValue", "formElement", "multiple", "search", "disable", "required", "direction", "maxItems", "dataQa", "canRemoveLastItem", "showFlag", "readOnly", "width", "withDescription", "withOperation", "isEmptyStateDescription", "createSelectOptionText", "selectedItemsOnTop", "startTypingText", "isSearchDelay", "dropdownPosition"], outputs: ["valueChanged", "createOptionHandler", "searchHandler"] }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: PopupFilterByConditionComponent, decorators: [{
            type: Component,
            args: [{ selector: 'epom-popup-filter-by-condition', template: "<div [formGroup]=\"form\" class=\"filter-by-condition\" #filterByConditionElement>\n  <span class=\"modal-select-options\">Select Type</span>\n\n  <div class=\"switchers-group\">\n    <div class=\"switchers-inline\">\n      <div class=\"switchers-inline\">\n        <input class=\"switchers\" id=\"type_1\" formControlName=\"type\" type=\"radio\" value=\"and\" />\n        <label for=\"type_1\">And</label>\n      </div>\n      <input class=\"switchers\" id=\"type_2\" formControlName=\"type\" type=\"radio\" value=\"or\" />\n      <label for=\"type_2\">Or</label>\n    </div>\n    <div class=\"switchers-inline\" *ngIf=\"form?.value?.metrics?.length === 1\">\n      <input class=\"switchers\" id=\"type_3\" formControlName=\"type\" type=\"radio\" value=\"not\" />\n      <label for=\"type_3\">Not</label>\n    </div>\n  </div>\n\n  <div class=\"version-labels\">\n    <div class=\"row\">\n      <div class=\"col-xs-12 col-xs-12 col-xs-12\">\n        <div class=\"metric-label p-0 pr-0 metric-field\"><label class=\"control-label mb-8\">Metric</label></div>\n        <div class=\"metric-label p-0 pl-0 pr-0 condition-field codition-header\">\n          <label class=\"control-label mb-8\">Condition</label>\n        </div>\n        <div class=\"metric-label p-0 pl-0 ml-4 value-field\">\n          <label class=\"control-label mb-8\">Value</label>\n        </div>\n      </div>\n    </div>\n  </div>\n  <main>\n    <div class=\"targeting form-group mb-0\">\n      <div\n        class=\"col-xs-12 col-xs-12 col-xs-12 targeting switchers-inline\"\n        *ngFor=\"let target of formData; let i = index\"\n      >\n        <div class=\"col-xs-4 col-md-4 col-lg-4 pr-8 targeting-group metric-field\">\n          <custom-select\n            [valuesStream]=\"metricList$\"\n            [clearLikeOption]=\"false\"\n            [multiple]=\"false\"\n            [useClear]=\"false\"\n            [search]=\"true\"\n            [selectedDefaultValue]=\"\"\n            [formElement]=\"getFormElement(target, 'metric')\"\n            (valueChanged)=\"elementValueChanged()\"\n          >\n          </custom-select>\n        </div>\n        <div class=\"col-xs-4 col-md-4 col-lg-4 pl-4 pr-4 targeting-group condition-field\">\n          <custom-select\n            [valuesStream]=\"conditionsList$\"\n            [clearLikeOption]=\"false\"\n            [multiple]=\"false\"\n            [useClear]=\"false\"\n            [search]=\"false\"\n            [withOperation]=\"true\"\n            [formElement]=\"getFormElement(target, 'condition')\"\n            [direction]=\"'options-down'\"\n            (valueChanged)=\"elementValueChanged()\"\n          >\n          </custom-select>\n        </div>\n        <div class=\"col-xs-3 col-md-3 col-lg-3 pl-8 pr-0 targeting-group form-control-wrapper value-field\">\n          <input\n            type=\"text\"\n            class=\"form-control\"\n            placeholder=\"Enter value\"\n            [formControl]=\"getFormElement(target, 'value')\"\n            (input)=\"emitData()\"\n          />\n        </div>\n        <div class=\"col-xs-1 col-md-1 col-lg-1 pl-0 remove-item\">\n          <span *ngIf=\"formData.length > 1\" class=\"label-times material-icons button-icon\" (click)=\"removeItem(i)\"\n            >highlight_off</span\n          >\n        </div>\n      </div>\n    </div>\n  </main>\n  <div class=\"add-item ml-4\" *ngIf=\"form.get('type').value !== 'not'\" (click)=\"addItem()\">\n    <span class=\"material-icons material-icons-outlined button-icon\">add_circle_outline</span>\n    <span>Add metric</span>\n  </div>\n</div>\n", styles: [".modal-select-options{font-size:12px;font-style:normal;font-weight:600;line-height:18px;color:var(--neutral-outline-color, #74777f)}.switchers-group{margin-bottom:24px;margin-top:8px}.add-item{cursor:pointer;color:var(--themePrimButtonsBg-color);font-size:12px;font-style:normal;font-weight:600;line-height:18px}.add-item:hover{color:var(--themePrimButtonsBg-hover-color)}.add-item span.material-icons{font-size:16px;font-style:normal;font-weight:600;cursor:pointer;position:relative;top:3px;right:6px}.remove-item{margin-top:8px;color:var(--neutral-outline-color)}.targeting.form-group{margin-left:-30px}.o-visible{overflow:visible}.metric-label,.targeting-group{display:inline-block;width:30%}.metric-field{width:182px}.condition-field{width:232px}.codition-header{margin-left:-10px}.value-field{width:182px}.value-field input{height:36px!important}.switchers-inline label{width:124px}:host ::ng-deep .targeting.switchers-inline label,:host ::ng-deep .targeting.switchers-inline input{height:auto}:host ::ng-deep .selected-list label{vertical-align:baseline}\n"] }]
        }], propDecorators: { filterByConditionElement: [{
                type: ViewChild,
                args: ['filterByConditionElement']
            }], initialData: [{
                type: Input,
                args: ['initialData']
            }], metricList: [{
                type: Input,
                args: ['metricList']
            }], selectType: [{
                type: Input,
                args: ['selectType']
            }], popupSelectedOutput: [{
                type: Output,
                args: ['popupSelectedOutput']
            }] } });

class PopupCheckboxGroupComponent {
    constructor(formBuilder) {
        this.formBuilder = formBuilder;
        this.popupSelectedOutput = new EventEmitter();
        this.itemsList = [];
    }
    ngOnInit() {
        this.itemsList = this.initialData;
        const itemsValue = this.itemsList.map((x) => x.checked);
        const allChecked = itemsValue.every((value) => value === true) || itemsValue.every((value) => value === false);
        this.form = this.formBuilder.group({ any: [allChecked], types: this.formBuilder.group({}) });
        this.itemsList.forEach((item) => {
            const control = new FormControl(item.checked);
            this.form.get('types').addControl(item.value, control);
        });
        if (allChecked) {
            this.form.get(['any']).setValue(true);
            this.form.get('any').disable();
        }
        this.form.get('any').valueChanges.subscribe((value) => {
            if (value && !Object.values(this.form.get('types').value).every((key) => key === false)) {
                this.itemsList.forEach((item) => this.form.get(['types', item.value]).setValue(false));
            }
            this.emitData();
        });
        this.form.get('types').valueChanges.subscribe((value) => {
            if (!this.form.get('any').value &&
                (Object.values(value).every((key) => key === true) || Object.values(value).every((key) => key === false))) {
                this.form.get(['any']).setValue(true);
                this.form.get('any').disable();
            }
            else {
                this.form.get(['any']).setValue(false);
                this.form.get('any').enable();
            }
            this.emitData();
        });
    }
    emitData() {
        const preparedData = this.itemsList.reduce((acc, device) => {
            acc[device.value] = this.form.get(['types', device.value]).value;
            return acc;
        }, {});
        this.popupSelectedOutput.emit(preparedData);
    }
}
PopupCheckboxGroupComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: PopupCheckboxGroupComponent, deps: [{ token: i2.FormBuilder }], target: i0.ɵɵFactoryTarget.Component });
PopupCheckboxGroupComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.3.0", type: PopupCheckboxGroupComponent, selector: "epom-popup-checkbox-group", inputs: { initialData: "initialData" }, outputs: { popupSelectedOutput: "popupSelectedOutput" }, ngImport: i0, template: "<div [formGroup]=\"form\">\n  <mat-checkbox class=\"select-all-items checkbox-button\"\n                formControlName=\"any\">Any\n  </mat-checkbox>\n  <div formGroupName=\"types\">\n    <ul class=\"devices-select\">\n      <li *ngFor=\"let item of itemsList\">\n        <div>\n          <mat-checkbox class=\"checkbox-button\" [formControlName]=\"item.value\">\n            {{item.name}}\n          </mat-checkbox>\n        </div>\n      </li>\n    </ul>\n  </div>\n\n</div>\n\n\n", styles: [".devices-select{list-style:none;padding-left:0}:host ::ng-deep .mat-checkbox-layout span.mat-checkbox-label{line-height:20px}:host ::ng-deep .mat-checkbox>span.mat-checkbox-layout{font-size:var(--font-body-3);font-weight:var(--font-weight-regular);line-height:20px}:host ::ng-deep span.mat-checkbox-inner-container{margin-bottom:4px}:host ::ng-deep mat-checkbox.checkbox-button{width:100%}:host ::ng-deep .mat-checkbox-layout{height:36px;border-radius:4px;border:1px solid #c4c6d0;padding:7px 12px 8px;margin-bottom:var(--space-sm);display:block}::ng-deep span.mat-checkbox-inner-container{margin-bottom:6px}\n"], dependencies: [{ kind: "directive", type: i1$1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i2.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i2.NgControlStatusGroup, selector: "[formGroupName],[formArrayName],[ngModelGroup],[formGroup],form:not([ngNoForm]),[ngForm]" }, { kind: "directive", type: i2.FormGroupDirective, selector: "[formGroup]", inputs: ["formGroup"], outputs: ["ngSubmit"], exportAs: ["ngForm"] }, { kind: "directive", type: i2.FormControlName, selector: "[formControlName]", inputs: ["formControlName", "disabled", "ngModel"], outputs: ["ngModelChange"] }, { kind: "directive", type: i2.FormGroupName, selector: "[formGroupName]", inputs: ["formGroupName"] }, { kind: "component", type: i3$1.MatCheckbox, selector: "mat-checkbox", inputs: ["disableRipple", "color", "tabIndex"], exportAs: ["matCheckbox"] }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: PopupCheckboxGroupComponent, decorators: [{
            type: Component,
            args: [{ selector: 'epom-popup-checkbox-group', template: "<div [formGroup]=\"form\">\n  <mat-checkbox class=\"select-all-items checkbox-button\"\n                formControlName=\"any\">Any\n  </mat-checkbox>\n  <div formGroupName=\"types\">\n    <ul class=\"devices-select\">\n      <li *ngFor=\"let item of itemsList\">\n        <div>\n          <mat-checkbox class=\"checkbox-button\" [formControlName]=\"item.value\">\n            {{item.name}}\n          </mat-checkbox>\n        </div>\n      </li>\n    </ul>\n  </div>\n\n</div>\n\n\n", styles: [".devices-select{list-style:none;padding-left:0}:host ::ng-deep .mat-checkbox-layout span.mat-checkbox-label{line-height:20px}:host ::ng-deep .mat-checkbox>span.mat-checkbox-layout{font-size:var(--font-body-3);font-weight:var(--font-weight-regular);line-height:20px}:host ::ng-deep span.mat-checkbox-inner-container{margin-bottom:4px}:host ::ng-deep mat-checkbox.checkbox-button{width:100%}:host ::ng-deep .mat-checkbox-layout{height:36px;border-radius:4px;border:1px solid #c4c6d0;padding:7px 12px 8px;margin-bottom:var(--space-sm);display:block}::ng-deep span.mat-checkbox-inner-container{margin-bottom:6px}\n"] }]
        }], ctorParameters: function () { return [{ type: i2.FormBuilder }]; }, propDecorators: { initialData: [{
                type: Input,
                args: ['initialData']
            }], popupSelectedOutput: [{
                type: Output,
                args: ['popupSelectedOutput']
            }] } });

class CattaxCategoryService {
    constructor(apiService) {
        this.apiService = apiService;
    }
    getCattaxListByParent(parent) {
        return this.apiService.getJson(`demand/management/resources/content_category_types/v3/${parent}/children`);
    }
    getCattaxListByName(name) {
        return this.apiService.getJson(`demand/management/resources/content_category_types/v3/search?partName=${name}`);
    }
}
CattaxCategoryService.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: CattaxCategoryService, deps: [{ token: ApiService }], target: i0.ɵɵFactoryTarget.Injectable });
CattaxCategoryService.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: CattaxCategoryService });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: CattaxCategoryService, decorators: [{
            type: Injectable
        }], ctorParameters: function () { return [{ type: ApiService }]; } });

class SearchInputComponent {
    constructor() {
        this.minWidth = null;
        this.maxWidth = null;
        this.searchString = '';
        this.debounceTime = 0;
        this.searchStringChange = new EventEmitter();
        this.search$ = new Subject();
        this.destroy$ = new Subject();
    }
    ngOnInit() {
        this.search$
            .pipe(debounceTime(this.debounceTime), distinctUntilChanged(), takeUntil(this.destroy$))
            .subscribe((searchValue) => {
            this.searchStringChange.emit(searchValue);
        });
    }
    clearSearchInput() {
        this.searchString = '';
        this.searchStringChange.emit(this.searchString);
    }
    focusSearchInput() {
        this.searchInputElement.nativeElement.focus();
    }
    onKeyup() {
        this.search$.next(this.searchString);
    }
    ngOnDestroy() {
        this.destroy$.next();
        this.destroy$.complete();
    }
}
SearchInputComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: SearchInputComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
SearchInputComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.3.0", type: SearchInputComponent, selector: "epom-search-input", inputs: { minWidth: "minWidth", maxWidth: "maxWidth", searchString: "searchString", debounceTime: "debounceTime" }, outputs: { searchStringChange: "searchStringChange" }, viewQueries: [{ propertyName: "searchInputElement", first: true, predicate: ["searchInput"], descendants: true, static: true }], ngImport: i0, template: "<div\n  class=\"custom-search-container form-control-wrapper\"\n  [ngStyle]=\"{\n    'max-width.px': maxWidth,\n    'min-width.px': minWidth\n  }\"\n>\n  <input\n    #searchInput\n    class=\"custom-search-input form-control\"\n    placeholder=\"Search\"\n    type=\"text\"\n    trim=\"blur\"\n    [attr.data-qa]=\"'search'\"\n    (keyup)=\"onKeyup()\"\n    [(ngModel)]=\"searchString\"\n  />\n\n  <span\n    *ngIf=\"!searchString.length\"\n    class=\"custom-search-icon material-icons material-icons-outlined\"\n    (click)=\"focusSearchInput()\"\n  >\n    search\n  </span>\n\n  <span\n    *ngIf=\"searchString.length\"\n    class=\"custom-search-close material-icons material-icons-outlined button-icon button-icon-outline close\"\n    aria-hidden=\"true\"\n    (click)=\"clearSearchInput()\"\n  >\n    close\n  </span>\n</div>\n", styles: [".form-control-wrapper{flex-direction:unset}.custom-search-container{display:flex;align-items:center;position:relative;width:100%}.custom-search-container .custom-search-icon{position:absolute;right:12px;font-size:var(--font-headline-2);color:var(--neutral-outline-color)}.custom-search-container .custom-search-close{font-size:var(--font-headline-2);cursor:pointer;position:absolute;right:12px;opacity:1}\n"], dependencies: [{ kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i1$1.NgStyle, selector: "[ngStyle]", inputs: ["ngStyle"] }, { kind: "directive", type: i2.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i2.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i2.NgModel, selector: "[ngModel]:not([formControlName]):not([formControl])", inputs: ["name", "disabled", "ngModel", "ngModelOptions"], outputs: ["ngModelChange"], exportAs: ["ngModel"] }, { kind: "directive", type: i3$2.InputTrimDirective, selector: "input[trim], textarea[trim]", inputs: ["trim"] }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: SearchInputComponent, decorators: [{
            type: Component,
            args: [{ selector: 'epom-search-input', template: "<div\n  class=\"custom-search-container form-control-wrapper\"\n  [ngStyle]=\"{\n    'max-width.px': maxWidth,\n    'min-width.px': minWidth\n  }\"\n>\n  <input\n    #searchInput\n    class=\"custom-search-input form-control\"\n    placeholder=\"Search\"\n    type=\"text\"\n    trim=\"blur\"\n    [attr.data-qa]=\"'search'\"\n    (keyup)=\"onKeyup()\"\n    [(ngModel)]=\"searchString\"\n  />\n\n  <span\n    *ngIf=\"!searchString.length\"\n    class=\"custom-search-icon material-icons material-icons-outlined\"\n    (click)=\"focusSearchInput()\"\n  >\n    search\n  </span>\n\n  <span\n    *ngIf=\"searchString.length\"\n    class=\"custom-search-close material-icons material-icons-outlined button-icon button-icon-outline close\"\n    aria-hidden=\"true\"\n    (click)=\"clearSearchInput()\"\n  >\n    close\n  </span>\n</div>\n", styles: [".form-control-wrapper{flex-direction:unset}.custom-search-container{display:flex;align-items:center;position:relative;width:100%}.custom-search-container .custom-search-icon{position:absolute;right:12px;font-size:var(--font-headline-2);color:var(--neutral-outline-color)}.custom-search-container .custom-search-close{font-size:var(--font-headline-2);cursor:pointer;position:absolute;right:12px;opacity:1}\n"] }]
        }], propDecorators: { minWidth: [{
                type: Input
            }], maxWidth: [{
                type: Input
            }], searchString: [{
                type: Input
            }], debounceTime: [{
                type: Input
            }], searchStringChange: [{
                type: Output
            }], searchInputElement: [{
                type: ViewChild,
                args: ['searchInput', { static: true }]
            }] } });

class SingleCattaxCategoryComponent {
    constructor() {
        this.selectedItems = [];
        this.changeSelected = new EventEmitter();
        this.categoryExtended = new EventEmitter();
        this.cantSelectList = [];
    }
    ngOnChanges(changes) {
        if (changes.selectedItems) {
            this.updateSelectedItems();
        }
    }
    calculatePadding(node) {
        const basePadding = node.level * 24;
        return basePadding + (node.expandable ? 0 : 32);
    }
    toggleVisibility(category) {
        category.hidden = !category.hidden;
        if (category.children && category.children.length) {
            category.children.forEach((item) => this.toggleChildrenRecursive(item, category.hidden));
        }
    }
    includeExcludeItem(category, include) {
        if (this.isIncludeExcludeNotAvailable(category)) {
            return;
        }
        category.include = include;
        this.toggleVisibility(category);
        this.addToSelected(category);
    }
    addToSelected(category) {
        this.changeSelected.emit(category);
        this.updateSelectedItems();
    }
    extendedCategory(category) {
        this.categoryExtended.emit(category);
    }
    extendItems(category) {
        category.isExpand = !category.isExpand;
        this.extendedCategory(category);
    }
    updateSelectedItems() {
        if (this.selectedItems && this.selectedItems.length) {
            this.cantSelectList = [];
            this.selectedItems.forEach((item) => {
                this.cantSelectList.push(...item.path);
            });
        }
        else {
            this.cantSelectList = [];
        }
    }
    isIncludeExcludeNotAvailable(category) {
        return !!this.cantSelectList.find((item) => item.value === category.value);
    }
    toggleChildrenRecursive(item, hidden) {
        item.hidden = hidden;
        if (item.children && item.children.length) {
            item.children.forEach((child) => this.toggleChildrenRecursive(child, hidden));
        }
    }
}
SingleCattaxCategoryComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: SingleCattaxCategoryComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
SingleCattaxCategoryComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.3.0", type: SingleCattaxCategoryComponent, selector: "single-cattax-category", inputs: { category: "category", selectedItems: "selectedItems" }, outputs: { changeSelected: "changeSelected", categoryExtended: "categoryExtended" }, usesOnChanges: true, ngImport: i0, template: "<div\n  *ngIf=\"!category.hidden\"\n  class=\"tree\"\n  [style.marginLeft.px]=\"calculatePadding(category)\"\n  [attr.data-qa]=\"'tree-item'\"\n>\n  <div class=\"tree-name\" (click)=\"extendItems(category)\">\n    <span\n      *ngIf=\"category.expandable\"\n      class=\"material-icons material-icons-outlined button-icon button-icon-outline button-icon-large\"\n    >\n      {{ category.isExpand ? 'arrow_drop_down' : 'arrow_right' }}</span\n    >\n    <div class=\"tree-item\" [attr.data-qa-name]=\"category.description\">\n      {{ category.description }}\n    </div>\n  </div>\n  <div class=\"select-item\">\n    <div\n      class=\"button button-exclude\"\n      [attr.data-qa]=\"'exclude'\"\n      [ngClass]=\"{disabled: isIncludeExcludeNotAvailable(category)}\"\n      matTooltip=\"Some categories are selected\"\n      matTooltipDisabled=\"{{ !isIncludeExcludeNotAvailable(category) }}\"\n      [matTooltipPosition]=\"'above'\"\n      (click)=\"includeExcludeItem(category, false)\"\n    >\n      <span class=\"material-icons material-icons-outlined\">remove_circle_outline</span>Exclude\n    </div>\n    <div\n      class=\"button button-include\"\n      [attr.data-qa]=\"'include'\"\n      [ngClass]=\"{disabled: isIncludeExcludeNotAvailable(category)}\"\n      matTooltip=\"Some categories are selected\"\n      matTooltipDisabled=\"{{ !isIncludeExcludeNotAvailable(category) }}\"\n      [matTooltipPosition]=\"'above'\"\n      (click)=\"includeExcludeItem(category, true)\"\n    >\n      <span class=\"material-icons material-icons-outlined\">add_circle_outline</span>Include\n    </div>\n  </div>\n</div>\n<div *ngIf=\"category.isExpand\">\n  <single-cattax-category\n    *ngFor=\"let child of category.children\"\n    [category]=\"child\"\n    [selectedItems]=\"selectedItems\"\n    (changeSelected)=\"addToSelected($event)\"\n    (categoryExtended)=\"extendedCategory($event)\"\n  ></single-cattax-category>\n</div>\n", styles: ["mat-icon{font-size:var(--font-body-1);line-height:22px;cursor:pointer;height:16px;width:16px}.tree-item>span{padding-right:8px;padding-bottom:6px}.mat-checkbox{margin:0 8px}.tree{display:flex;min-height:21px;line-height:21px}.select-item{font-size:var(--font-medium-button);font-weight:var(--font-weight-semibold);line-height:18px;display:flex;margin-left:auto;border-bottom:1px solid var(--neutral-outline-variant-color);min-height:32px;margin-bottom:10px;gap:4px;padding-bottom:10px}.select-item>div{cursor:pointer}.select-item .include{display:inherit;line-height:21px;color:var(--light-success);height:30px}.select-item .exclude{display:inherit;line-height:21px;margin-right:24px;color:var(--error-default-color);height:30px}.select-item div.disabled{background-color:transparent;cursor:not-allowed;color:var(--neutral-on-disable-color)}.select-item div.disabled span.material-icons:hover{cursor:not-allowed}.tree-item{font-size:var(--font-body-2);font-weight:var(--font-weight-regular);line-height:21px;width:100%;display:flex;border-bottom:1px solid var(--neutral-outline-variant-color);margin-left:8px;padding:5px 0 16.5px;color:var(--neutral-on-main-neutral-color)}.tree-name{display:flex;margin-bottom:10px;width:100%;cursor:pointer;align-items:center}.tree-name span{margin-bottom:10.5px}\n"], dependencies: [{ kind: "directive", type: i1$1.NgClass, selector: "[ngClass]", inputs: ["class", "ngClass"] }, { kind: "directive", type: i1$1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i4.MatTooltip, selector: "[matTooltip]", exportAs: ["matTooltip"] }, { kind: "component", type: SingleCattaxCategoryComponent, selector: "single-cattax-category", inputs: ["category", "selectedItems"], outputs: ["changeSelected", "categoryExtended"] }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: SingleCattaxCategoryComponent, decorators: [{
            type: Component,
            args: [{ selector: 'single-cattax-category', template: "<div\n  *ngIf=\"!category.hidden\"\n  class=\"tree\"\n  [style.marginLeft.px]=\"calculatePadding(category)\"\n  [attr.data-qa]=\"'tree-item'\"\n>\n  <div class=\"tree-name\" (click)=\"extendItems(category)\">\n    <span\n      *ngIf=\"category.expandable\"\n      class=\"material-icons material-icons-outlined button-icon button-icon-outline button-icon-large\"\n    >\n      {{ category.isExpand ? 'arrow_drop_down' : 'arrow_right' }}</span\n    >\n    <div class=\"tree-item\" [attr.data-qa-name]=\"category.description\">\n      {{ category.description }}\n    </div>\n  </div>\n  <div class=\"select-item\">\n    <div\n      class=\"button button-exclude\"\n      [attr.data-qa]=\"'exclude'\"\n      [ngClass]=\"{disabled: isIncludeExcludeNotAvailable(category)}\"\n      matTooltip=\"Some categories are selected\"\n      matTooltipDisabled=\"{{ !isIncludeExcludeNotAvailable(category) }}\"\n      [matTooltipPosition]=\"'above'\"\n      (click)=\"includeExcludeItem(category, false)\"\n    >\n      <span class=\"material-icons material-icons-outlined\">remove_circle_outline</span>Exclude\n    </div>\n    <div\n      class=\"button button-include\"\n      [attr.data-qa]=\"'include'\"\n      [ngClass]=\"{disabled: isIncludeExcludeNotAvailable(category)}\"\n      matTooltip=\"Some categories are selected\"\n      matTooltipDisabled=\"{{ !isIncludeExcludeNotAvailable(category) }}\"\n      [matTooltipPosition]=\"'above'\"\n      (click)=\"includeExcludeItem(category, true)\"\n    >\n      <span class=\"material-icons material-icons-outlined\">add_circle_outline</span>Include\n    </div>\n  </div>\n</div>\n<div *ngIf=\"category.isExpand\">\n  <single-cattax-category\n    *ngFor=\"let child of category.children\"\n    [category]=\"child\"\n    [selectedItems]=\"selectedItems\"\n    (changeSelected)=\"addToSelected($event)\"\n    (categoryExtended)=\"extendedCategory($event)\"\n  ></single-cattax-category>\n</div>\n", styles: ["mat-icon{font-size:var(--font-body-1);line-height:22px;cursor:pointer;height:16px;width:16px}.tree-item>span{padding-right:8px;padding-bottom:6px}.mat-checkbox{margin:0 8px}.tree{display:flex;min-height:21px;line-height:21px}.select-item{font-size:var(--font-medium-button);font-weight:var(--font-weight-semibold);line-height:18px;display:flex;margin-left:auto;border-bottom:1px solid var(--neutral-outline-variant-color);min-height:32px;margin-bottom:10px;gap:4px;padding-bottom:10px}.select-item>div{cursor:pointer}.select-item .include{display:inherit;line-height:21px;color:var(--light-success);height:30px}.select-item .exclude{display:inherit;line-height:21px;margin-right:24px;color:var(--error-default-color);height:30px}.select-item div.disabled{background-color:transparent;cursor:not-allowed;color:var(--neutral-on-disable-color)}.select-item div.disabled span.material-icons:hover{cursor:not-allowed}.tree-item{font-size:var(--font-body-2);font-weight:var(--font-weight-regular);line-height:21px;width:100%;display:flex;border-bottom:1px solid var(--neutral-outline-variant-color);margin-left:8px;padding:5px 0 16.5px;color:var(--neutral-on-main-neutral-color)}.tree-name{display:flex;margin-bottom:10px;width:100%;cursor:pointer;align-items:center}.tree-name span{margin-bottom:10.5px}\n"] }]
        }], propDecorators: { category: [{
                type: Input
            }], selectedItems: [{
                type: Input
            }], changeSelected: [{
                type: Output,
                args: ['changeSelected']
            }], categoryExtended: [{
                type: Output,
                args: ['categoryExtended']
            }] } });

class CattaxCategoryComponent {
    constructor(cattaxService) {
        this.cattaxService = cattaxService;
        this.initialData = [];
        this.initialSelectedSet = [];
        this.popupSelectedOutput = new EventEmitter();
        this.selectedItems = [];
        this.searchString = '';
        this.category = new BehaviorSubject([]);
    }
    ngOnInit() {
        const transformedSelectedItems = this.transformData(this.initialSelectedSet);
        transformedSelectedItems.forEach((selectedItem) => {
            if (selectedItem.children && selectedItem.children.length) {
                const currentItem = this.initialData.find((item) => item.value === selectedItem.value);
                currentItem.include = selectedItem.include;
                if (!currentItem.children) {
                    currentItem.children = selectedItem.children;
                }
                else {
                    currentItem.children.push(...selectedItem.children);
                }
                currentItem.children = this.removeDuplicates(currentItem.children);
            }
        });
        this.category.next(this.prepareDataForUi(this.initialData, 0, null));
        this.initialSelectedSet.forEach((item) => {
            const current = this.findNodeByValue(this.category.value, item.value);
            current.include = item.include;
            this.addToSelected(current);
        });
    }
    prepareDataForUi(items, level = 0, parentNode = null, isExtend = false) {
        const processedItems = items.map((item) => {
            const processedItem = { ...item };
            processedItem.hidden = !!(this.initialSelectedSet.find((x) => processedItem.value === x.value) ||
                this.selectedItems.map((cat) => cat.selected).find((x) => processedItem.value === x.value));
            processedItem.expandable = (item.children && item.children.length > 0) || item.has_children;
            processedItem.level = level;
            processedItem.isExpand = isExtend;
            processedItem.parentNode = parentNode;
            if (processedItem.children && item.children.length) {
                processedItem.children = this.prepareDataForUi(item.children, level + 1, item, isExtend);
            }
            return processedItem;
        });
        return processedItems;
    }
    clearAll() {
        this.selectedItems.forEach((item) => this.toggleVisibility(item.selected));
        this.selectedItems = [];
        this.emitData();
    }
    addToSelected(category) {
        this.selectedItems.push({ selected: category, path: this.findPathToRoot(category) });
        this.emitData();
    }
    findPathToRoot(selectedItem) {
        if (!selectedItem) {
            return false;
        }
        const path = [];
        let currentNode = this.findNodeByValue(this.category.value, selectedItem.value);
        while (currentNode) {
            path.unshift(currentNode);
            currentNode = this.findNodeByValue(this.category.value, currentNode.parentNode?.value);
        }
        return path;
    }
    findNodeByValue(data, value) {
        for (const node of data) {
            if (node.value === value) {
                return node;
            }
            if (node.children) {
                const foundNode = this.findNodeByValue(node.children, value);
                if (foundNode) {
                    return foundNode;
                }
            }
        }
        return null;
    }
    deleteFromSelected(category) {
        this.selectedItems = this.selectedItems.filter((item) => item.selected.value !== category.selected.value);
        this.toggleVisibility(category.selected);
        this.emitData();
    }
    toggleVisibility(category) {
        const current = this.findNodeByValue(this.category.value, category.value);
        current.hidden = !category.hidden;
        if (category.children && category.children.length) {
            category.children.forEach((item) => this.toggleChildrenRecursive(item, category.hidden));
        }
    }
    toggleChildrenRecursive(item, hidden) {
        item.hidden = hidden;
        if (item.children && item.children.length) {
            item.children.forEach((child) => this.toggleChildrenRecursive(child, hidden));
        }
    }
    categoryExtended(category) {
        this.cattaxService.getCattaxListByParent(category.name.replace(' ', '_')).subscribe((response) => {
            if (response && response.length) {
                category.children = this.prepareDataForUi(response, category.level + 1, category);
            }
        });
    }
    emitData() {
        const prepareSelected = [
            {
                INCLUDE: this.selectedItems.map((x) => x.selected).filter((x) => x.include),
                EXCLUDE: this.selectedItems.map((x) => x.selected).filter((x) => !x.include),
            },
        ];
        this.popupSelectedOutput.emit({ selected: prepareSelected });
    }
    searchCattaxByName(value = '') {
        this.searchString = value;
        if (this.searchString.trim()?.length > 2) {
            this.cattaxService.getCattaxListByName(this.searchString).subscribe((response) => {
                this.category.next(this.prepareDataForUi(response, 0, null, true));
            });
        }
        if (!this.searchString.trim()?.length) {
            this.clearSearchInput();
        }
    }
    clearSearchInput() {
        this.searchString = '';
        this.category.next(this.prepareDataForUi(this.initialData, 0, null));
    }
    transformData(inputData) {
        const outputData = [];
        function transformItem(item) {
            const newItem = {
                value: item.value,
                name: item.name,
                description: item.description,
                parent: item.parent,
                children: item.children,
                include: item.include,
                has_children: item.has_children,
            };
            if (item.parent) {
                if (!item.parent.children) {
                    item.parent.children = [];
                }
                item.parent.children.push(newItem);
                transformItem(item.parent);
            }
            else {
                outputData.push(newItem);
            }
        }
        inputData.forEach((item) => {
            transformItem(item);
        });
        return outputData;
    }
    removeDuplicates(array, depth = 0) {
        const uniqueValues = new Set();
        const result = [];
        array.forEach((item) => {
            if (!uniqueValues.has(item.value)) {
                uniqueValues.add(item.value);
                result.push(item);
            }
            else {
                const curr = result.find((x) => x.value === item.value);
                if (curr.children) {
                    curr.children.push(...item.children);
                }
                else {
                    curr.children = item.children;
                }
            }
        });
        result.forEach((item) => {
            if (Array.isArray(item.children)) {
                item.children = this.removeDuplicates(item.children, depth + 1);
            }
        });
        return result;
    }
    atLeastOneCategoryAvailable() {
        return !!this.category.value.find((item) => !item.hidden);
    }
}
CattaxCategoryComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: CattaxCategoryComponent, deps: [{ token: CattaxCategoryService }], target: i0.ɵɵFactoryTarget.Component });
CattaxCategoryComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.3.0", type: CattaxCategoryComponent, selector: "epom-popup-cattax-category", inputs: { initialData: "initialData", initialSelectedSet: "initialSelectedSet" }, outputs: { popupSelectedOutput: "popupSelectedOutput" }, viewQueries: [{ propertyName: "cattaxSearch", first: true, predicate: ["cattaxSearch"], descendants: true }], ngImport: i0, template: "<div class=\"row row-border-top row-space-40\">\n  <div class=\"col-md-6 col-xs-6 col-right-border\">\n    <label class=\"control-label table-list-label\" [attr.data-qa]=\"'available'\">Available</label>\n    <epom-search-input\n      [attr.data-qa]=\"'search'\"\n      [debounceTime]=\"300\"\n      [searchString]=\"searchString\"\n      (searchStringChange)=\"searchCattaxByName($event)\"\n    ></epom-search-input>\n    <div class=\"available-items-list\">\n      <div *ngFor=\"let singleCategory of category | async\">\n        <single-cattax-category\n          [category]=\"singleCategory\"\n          [selectedItems]=\"selectedItems\"\n          (changeSelected)=\"addToSelected($event)\"\n          (categoryExtended)=\"categoryExtended($event)\"\n        ></single-cattax-category>\n      </div>\n    </div>\n\n    <div [attr.data-qa]=\"'empty-state'\" class=\"empty-state\" *ngIf=\"!atLeastOneCategoryAvailable() && !searchString\">\n      No available categories.\n    </div>\n    <div class=\"empty-state\" *ngIf=\"searchString.length && !atLeastOneCategoryAvailable()\">\n      No results for \u201C<span>{{ searchString }}</span\n      >\u201D\n    </div>\n  </div>\n  <div class=\"col-md-6 col-xs-6 col-left-border\">\n    <div class=\"clear-filters\">\n      <label class=\"control-label table-list-label\" [attr.data-qa]=\"'selected'\"\n        >Selected ({{ selectedItems.length }})</label\n      >\n      <span class=\"control-label\" *ngIf=\"selectedItems.length\">\n        <a\n          class=\"pull-right button-link button-link-big button-link-primary\"\n          (click)=\"clearAll()\"\n          [attr.data-qa]=\"'clear-all'\"\n        >\n          Clear all\n        </a>\n      </span>\n    </div>\n    <div class=\"table-list\">\n      <div *ngFor=\"let category of selectedItems\" [attr.data-qa]=\"'selected-list'\">\n        <div class=\"table-item\">\n          <div class=\"item-path\" [attr.data-qa]=\"'selected-item'\">\n            <span\n              [ngClass]=\"{'last-item': i === category.path.length - 1}\"\n              *ngFor=\"let parent of category.path; let i = index\"\n              >{{ parent.description }} <label *ngIf=\"i !== category.path.length - 1\" class=\"icon\">></label></span\n            >\n          </div>\n          <span\n            [ngClass]=\"{include: category.selected.include}\"\n            *ngIf=\"category.selected.include\"\n            [attr.data-qa]=\"'included'\"\n          >\n            <label class=\"icon\">\n              <svg height=\"10\" width=\"10\" xmlns=\"http://www.w3.org/2000/svg\">\n                <circle r=\"5\" cx=\"5\" cy=\"5\" fill=\"red\" />\n              </svg> </label\n            >Included</span\n          >\n          <span\n            [ngClass]=\"{exclude: !category.selected.include}\"\n            *ngIf=\"!category.selected.include\"\n            [attr.data-qa]=\"'excluded'\"\n          >\n            <label class=\"icon\">\n              <svg height=\"10\" width=\"10\" xmlns=\"http://www.w3.org/2000/svg\">\n                <circle r=\"5\" cx=\"5\" cy=\"5\" fill=\"red\" />\n              </svg> </label\n            >Excluded</span\n          >\n        </div>\n        <span\n          class=\"material-icons material-icons-outlined button-icon button-icon-outline button-icon-large\"\n          [attr.data-qa]=\"'delete-item'\"\n          (click)=\"deleteFromSelected(category)\"\n          >close</span\n        >\n      </div>\n      <div [attr.data-qa]=\"'empty-state'\" class=\"empty-state\" *ngIf=\"!selectedItems.length\">\n        No selected categories.\n      </div>\n    </div>\n  </div>\n</div>\n", styles: [".clear-filters{display:flex;justify-content:space-between}.table-list-label{color:var(--neutral-on-main-neutral-color, #1a1c1e);font-size:14px;font-weight:700;line-height:21px}.col-left-border{border-right:0;height:580px;padding:0 16px;overflow:scroll}.col-right-border{padding:0 16px 0 0;height:580px;overflow:scroll}.row-border-top{padding:0;border:0;margin:0}.clear-filters .material-icons{margin-right:4px;font-size:16px;vertical-align:sub;color:var(--primary-color)}.clear-filters button.btn-as-link{color:var(--primary-color);font-size:var(--font-medium-button);font-weight:var(--font-weight-semibold);line-height:18px}.clear-filters .selected-label{color:var(--outline-light);font-size:var(--font-caption);font-weight:var(--font-weight-semibold);line-height:18px}.table-item{padding:15px 16px;border:1px solid var(--neutral-outline-variant-color);font-size:var(--font-caption);font-weight:var(--font-weight-regular);line-height:18px;color:var(--neutral-on-main-neutral-color);display:flex;justify-content:space-between;align-items:center;margin-right:25px;width:100%;border-radius:4px}.table-item .item-path .icon{color:var(--neutral-outline-color);padding:0 8px;margin-bottom:0}.table-item .item-path .last-item{font-weight:700;margin-right:16px}.table-item .include{color:var(--success-default-color);display:inherit}.table-item .include .icon{margin:0}.table-item .include svg>circle{fill:var(--success-default-color)}.table-item .exclude{color:var(--error-default-color);display:inherit}.table-item .exclude .icon{margin:0}.table-item .exclude svg>circle{fill:var(--error-default-color)}.icon>svg{margin-right:4px}.table-list>div>span.material-icons{font-size:18px}.table-list>div{display:flex;align-items:center;margin-bottom:8px}:host ::ng-deep .custom-search-container{margin:16px 0 24px}.empty-state{display:flex;justify-content:center;flex-direction:row;font-size:12px;color:var(--neutral-outline-color);line-height:18px;padding:0;margin:0;gap:0}.empty-state span{font-weight:var(--font-weight-semibold);color:var(--neutral-on-main-neutral-color)}\n"], dependencies: [{ kind: "directive", type: i1$1.NgClass, selector: "[ngClass]", inputs: ["class", "ngClass"] }, { kind: "directive", type: i1$1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "component", type: SearchInputComponent, selector: "epom-search-input", inputs: ["minWidth", "maxWidth", "searchString", "debounceTime"], outputs: ["searchStringChange"] }, { kind: "component", type: SingleCattaxCategoryComponent, selector: "single-cattax-category", inputs: ["category", "selectedItems"], outputs: ["changeSelected", "categoryExtended"] }, { kind: "pipe", type: i1$1.AsyncPipe, name: "async" }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: CattaxCategoryComponent, decorators: [{
            type: Component,
            args: [{ selector: 'epom-popup-cattax-category', template: "<div class=\"row row-border-top row-space-40\">\n  <div class=\"col-md-6 col-xs-6 col-right-border\">\n    <label class=\"control-label table-list-label\" [attr.data-qa]=\"'available'\">Available</label>\n    <epom-search-input\n      [attr.data-qa]=\"'search'\"\n      [debounceTime]=\"300\"\n      [searchString]=\"searchString\"\n      (searchStringChange)=\"searchCattaxByName($event)\"\n    ></epom-search-input>\n    <div class=\"available-items-list\">\n      <div *ngFor=\"let singleCategory of category | async\">\n        <single-cattax-category\n          [category]=\"singleCategory\"\n          [selectedItems]=\"selectedItems\"\n          (changeSelected)=\"addToSelected($event)\"\n          (categoryExtended)=\"categoryExtended($event)\"\n        ></single-cattax-category>\n      </div>\n    </div>\n\n    <div [attr.data-qa]=\"'empty-state'\" class=\"empty-state\" *ngIf=\"!atLeastOneCategoryAvailable() && !searchString\">\n      No available categories.\n    </div>\n    <div class=\"empty-state\" *ngIf=\"searchString.length && !atLeastOneCategoryAvailable()\">\n      No results for \u201C<span>{{ searchString }}</span\n      >\u201D\n    </div>\n  </div>\n  <div class=\"col-md-6 col-xs-6 col-left-border\">\n    <div class=\"clear-filters\">\n      <label class=\"control-label table-list-label\" [attr.data-qa]=\"'selected'\"\n        >Selected ({{ selectedItems.length }})</label\n      >\n      <span class=\"control-label\" *ngIf=\"selectedItems.length\">\n        <a\n          class=\"pull-right button-link button-link-big button-link-primary\"\n          (click)=\"clearAll()\"\n          [attr.data-qa]=\"'clear-all'\"\n        >\n          Clear all\n        </a>\n      </span>\n    </div>\n    <div class=\"table-list\">\n      <div *ngFor=\"let category of selectedItems\" [attr.data-qa]=\"'selected-list'\">\n        <div class=\"table-item\">\n          <div class=\"item-path\" [attr.data-qa]=\"'selected-item'\">\n            <span\n              [ngClass]=\"{'last-item': i === category.path.length - 1}\"\n              *ngFor=\"let parent of category.path; let i = index\"\n              >{{ parent.description }} <label *ngIf=\"i !== category.path.length - 1\" class=\"icon\">></label></span\n            >\n          </div>\n          <span\n            [ngClass]=\"{include: category.selected.include}\"\n            *ngIf=\"category.selected.include\"\n            [attr.data-qa]=\"'included'\"\n          >\n            <label class=\"icon\">\n              <svg height=\"10\" width=\"10\" xmlns=\"http://www.w3.org/2000/svg\">\n                <circle r=\"5\" cx=\"5\" cy=\"5\" fill=\"red\" />\n              </svg> </label\n            >Included</span\n          >\n          <span\n            [ngClass]=\"{exclude: !category.selected.include}\"\n            *ngIf=\"!category.selected.include\"\n            [attr.data-qa]=\"'excluded'\"\n          >\n            <label class=\"icon\">\n              <svg height=\"10\" width=\"10\" xmlns=\"http://www.w3.org/2000/svg\">\n                <circle r=\"5\" cx=\"5\" cy=\"5\" fill=\"red\" />\n              </svg> </label\n            >Excluded</span\n          >\n        </div>\n        <span\n          class=\"material-icons material-icons-outlined button-icon button-icon-outline button-icon-large\"\n          [attr.data-qa]=\"'delete-item'\"\n          (click)=\"deleteFromSelected(category)\"\n          >close</span\n        >\n      </div>\n      <div [attr.data-qa]=\"'empty-state'\" class=\"empty-state\" *ngIf=\"!selectedItems.length\">\n        No selected categories.\n      </div>\n    </div>\n  </div>\n</div>\n", styles: [".clear-filters{display:flex;justify-content:space-between}.table-list-label{color:var(--neutral-on-main-neutral-color, #1a1c1e);font-size:14px;font-weight:700;line-height:21px}.col-left-border{border-right:0;height:580px;padding:0 16px;overflow:scroll}.col-right-border{padding:0 16px 0 0;height:580px;overflow:scroll}.row-border-top{padding:0;border:0;margin:0}.clear-filters .material-icons{margin-right:4px;font-size:16px;vertical-align:sub;color:var(--primary-color)}.clear-filters button.btn-as-link{color:var(--primary-color);font-size:var(--font-medium-button);font-weight:var(--font-weight-semibold);line-height:18px}.clear-filters .selected-label{color:var(--outline-light);font-size:var(--font-caption);font-weight:var(--font-weight-semibold);line-height:18px}.table-item{padding:15px 16px;border:1px solid var(--neutral-outline-variant-color);font-size:var(--font-caption);font-weight:var(--font-weight-regular);line-height:18px;color:var(--neutral-on-main-neutral-color);display:flex;justify-content:space-between;align-items:center;margin-right:25px;width:100%;border-radius:4px}.table-item .item-path .icon{color:var(--neutral-outline-color);padding:0 8px;margin-bottom:0}.table-item .item-path .last-item{font-weight:700;margin-right:16px}.table-item .include{color:var(--success-default-color);display:inherit}.table-item .include .icon{margin:0}.table-item .include svg>circle{fill:var(--success-default-color)}.table-item .exclude{color:var(--error-default-color);display:inherit}.table-item .exclude .icon{margin:0}.table-item .exclude svg>circle{fill:var(--error-default-color)}.icon>svg{margin-right:4px}.table-list>div>span.material-icons{font-size:18px}.table-list>div{display:flex;align-items:center;margin-bottom:8px}:host ::ng-deep .custom-search-container{margin:16px 0 24px}.empty-state{display:flex;justify-content:center;flex-direction:row;font-size:12px;color:var(--neutral-outline-color);line-height:18px;padding:0;margin:0;gap:0}.empty-state span{font-weight:var(--font-weight-semibold);color:var(--neutral-on-main-neutral-color)}\n"] }]
        }], ctorParameters: function () { return [{ type: CattaxCategoryService }]; }, propDecorators: { cattaxSearch: [{
                type: ViewChild,
                args: ['cattaxSearch']
            }], initialData: [{
                type: Input,
                args: ['initialData']
            }], initialSelectedSet: [{
                type: Input,
                args: ['initialSelectedSet']
            }], popupSelectedOutput: [{
                type: Output,
                args: ['popupSelectedOutput']
            }] } });

class OptionsSelectorComponent extends PopupSelectComponentClass {
    handleInputChange(value) {
        this.searchString = value;
        if (this.isSearchDelay) {
            this.search$.next(this.searchString);
        }
        else {
            this.filter();
        }
    }
}
OptionsSelectorComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: OptionsSelectorComponent, deps: null, target: i0.ɵɵFactoryTarget.Component });
OptionsSelectorComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.3.0", type: OptionsSelectorComponent, selector: "epom-popup-options-selector", usesInheritance: true, ngImport: i0, template: "<main class=\"options-selector-container\">\n  <section class=\"options-selector__column_left\">\n    <div class=\"options-selector__column_left__title\">Available</div>\n\n    <epom-search-input\n      class=\"options-selector__search-input\"\n      [searchString]=\"searchString\"\n      (searchStringChange)=\"handleInputChange($event)\"\n    ></epom-search-input>\n\n    <ng-container *ngFor=\"let item of filteredItems | sortBy : sortField || ''; let index = index\">\n      <section *ngIf=\"!item['hidden']\" class=\"options-selector__column_left__item\">\n        <div *ngIf=\"!item['url']\" class=\"options-selector__column_left__text\" [title]=\"item.name\">{{ item.name }}</div>\n        <div\n          *ngIf=\"!!item['url']\"\n          class=\"options-selector__column_left__text\"\n          [title]=\"item.name\"\n          [routerLink]=\"item.url\"\n        >\n          {{ item.name }}\n        </div>\n        <div\n          *ngIf=\"limitSelection === 0 || selectedSet.size < limitSelection\"\n          class=\"options-selector__column_left__add\"\n        >\n          <span\n            *ngIf=\"!isDisabled\"\n            class=\"material-icons material-icons-outlined options-selector__column_left__icon\"\n            (click)=\"addToSelected(item, index, 'WHITE')\"\n          >\n            add_circle_outline\n          </span>\n          <div\n            *ngIf=\"!isDisabled\"\n            class=\"options-selector__column_left__label\"\n            (click)=\"addToSelected(item, index, 'WHITE')\"\n          >\n            Add\n          </div>\n        </div>\n      </section>\n    </ng-container>\n\n    <button\n      *ngIf=\"isShowMoreAvailable | async\"\n      class=\"button button-outlined\"\n      [attr.data-qa]=\"'showMore'\"\n      (click)=\"showMore()\"\n    >\n      Show more\n    </button>\n  </section>\n\n  <section class=\"options-selector__vertical-line\"></section>\n\n  <section class=\"options-selector__column_right\">\n    <div class=\"options-selector__column_right__title-block\">\n      <span *ngIf=\"!isDisabled\" class=\"options-selector__column_right__title-block__text\">\n        Linked ({{ selectedSet.size }})\n      </span>\n      <span class=\"options-selector__column_right__title-block__clear\" (click)=\"clearSelected()\"> Clear all </span>\n    </div>\n\n    <ng-container *ngFor=\"let item of selectedSet\">\n      <section class=\"options-selector__column_right__item\">\n        <div *ngIf=\"!item['url']\" class=\"options-selector__column_right__text\" [title]=\"item.name\">{{ item.name }}</div>\n        <div\n          *ngIf=\"!!item['url']\"\n          class=\"options-selector__column_right__text\"\n          [title]=\"item.name\"\n          [ngClass]=\"{'global-margin': item.global}\"\n        >\n          <span class=\"options-selector__column_right__url-line\" [routerLink]=\"item['url']\">\n            <span class=\"options-selector__column_right__url-line__text\">{{ item.name }}</span>\n            <span *ngIf=\"item.global\" class=\"options-selector__column_right__url-line__global\">(Global)</span>\n          </span>\n        </div>\n\n        <span\n          *ngIf=\"!isDisabled && !item.global\"\n          class=\"material-icons material-icons-outlined options-selector__column_right__close\"\n          (click)=\"deleteFromSelected(item)\"\n        >\n          close\n        </span>\n      </section>\n    </ng-container>\n  </section>\n</main>\n", styles: [".options-selector-container{display:flex;gap:32px;align-items:stretch}.options-selector__search-input{display:block;padding-bottom:32px}.options-selector__vertical-line{height:auto;width:1px;background-color:var(--neutral-outline-variant-color, #c4c6d0)}.options-selector__column_left,.options-selector__column_right{flex:1;padding-right:16px}.options-selector__column_left{overflow-y:auto;max-height:583px}.options-selector__column_left__title{font-weight:700;line-height:21px;padding-bottom:16px}.options-selector__column_left__item{display:flex;justify-content:space-between;align-items:center;height:50px;border:1px solid var(--neutral-outline-variant-color);border-radius:4px;padding:16px 24px 16px 16px;margin-bottom:8px}.options-selector__column_left__text{font-size:12px;line-height:18px;cursor:pointer}.options-selector__column_left__add{display:flex;align-items:center;gap:4px}.options-selector__column_left__icon{font-size:16px;color:var(--themePrimButtonsBg-color)}.options-selector__column_left__label{font-size:12px;color:var(--themePrimButtonsBg-color);font-weight:600;line-height:18px;cursor:pointer}.options-selector__column_right__title-block{display:flex;justify-content:space-between;align-items:center;padding-top:37px;padding-bottom:16px}.options-selector__column_right__title-block__text{font-weight:700;line-height:21px}.options-selector__column_right__title-block__clear{font-weight:600;line-height:20px;color:var(--themePrimButtonsBg-color);cursor:pointer}.options-selector__column_right__item{display:flex;justify-content:space-between;align-items:center;gap:25px;margin-bottom:8px}.options-selector__column_right__text{display:flex;align-items:center;height:50px;width:100%;padding:12px 24px 12px 16px;border:1px solid var(--neutral-outline-variant-color);border-radius:4px;font-size:12px;line-height:18px}.options-selector__column_right__url-line{display:flex;align-items:center;gap:16px}.options-selector__column_right__url-line__text{cursor:pointer}.options-selector__column_right__url-line__global{color:var(--neutral-outline-color)}.options-selector__column_right__close{font-size:18px;color:var(--neutral-outline-color)}.global-margin{margin-right:43px}\n"], dependencies: [{ kind: "directive", type: i1$1.NgClass, selector: "[ngClass]", inputs: ["class", "ngClass"] }, { kind: "directive", type: i1$1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i1$2.RouterLink, selector: ":not(a):not(area)[routerLink]", inputs: ["queryParams", "fragment", "queryParamsHandling", "state", "relativeTo", "preserveFragment", "skipLocationChange", "replaceUrl", "routerLink"] }, { kind: "component", type: SearchInputComponent, selector: "epom-search-input", inputs: ["minWidth", "maxWidth", "searchString", "debounceTime"], outputs: ["searchStringChange"] }, { kind: "pipe", type: i1$1.AsyncPipe, name: "async" }, { kind: "pipe", type: SortByPipe, name: "sortBy" }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: OptionsSelectorComponent, decorators: [{
            type: Component,
            args: [{ selector: 'epom-popup-options-selector', template: "<main class=\"options-selector-container\">\n  <section class=\"options-selector__column_left\">\n    <div class=\"options-selector__column_left__title\">Available</div>\n\n    <epom-search-input\n      class=\"options-selector__search-input\"\n      [searchString]=\"searchString\"\n      (searchStringChange)=\"handleInputChange($event)\"\n    ></epom-search-input>\n\n    <ng-container *ngFor=\"let item of filteredItems | sortBy : sortField || ''; let index = index\">\n      <section *ngIf=\"!item['hidden']\" class=\"options-selector__column_left__item\">\n        <div *ngIf=\"!item['url']\" class=\"options-selector__column_left__text\" [title]=\"item.name\">{{ item.name }}</div>\n        <div\n          *ngIf=\"!!item['url']\"\n          class=\"options-selector__column_left__text\"\n          [title]=\"item.name\"\n          [routerLink]=\"item.url\"\n        >\n          {{ item.name }}\n        </div>\n        <div\n          *ngIf=\"limitSelection === 0 || selectedSet.size < limitSelection\"\n          class=\"options-selector__column_left__add\"\n        >\n          <span\n            *ngIf=\"!isDisabled\"\n            class=\"material-icons material-icons-outlined options-selector__column_left__icon\"\n            (click)=\"addToSelected(item, index, 'WHITE')\"\n          >\n            add_circle_outline\n          </span>\n          <div\n            *ngIf=\"!isDisabled\"\n            class=\"options-selector__column_left__label\"\n            (click)=\"addToSelected(item, index, 'WHITE')\"\n          >\n            Add\n          </div>\n        </div>\n      </section>\n    </ng-container>\n\n    <button\n      *ngIf=\"isShowMoreAvailable | async\"\n      class=\"button button-outlined\"\n      [attr.data-qa]=\"'showMore'\"\n      (click)=\"showMore()\"\n    >\n      Show more\n    </button>\n  </section>\n\n  <section class=\"options-selector__vertical-line\"></section>\n\n  <section class=\"options-selector__column_right\">\n    <div class=\"options-selector__column_right__title-block\">\n      <span *ngIf=\"!isDisabled\" class=\"options-selector__column_right__title-block__text\">\n        Linked ({{ selectedSet.size }})\n      </span>\n      <span class=\"options-selector__column_right__title-block__clear\" (click)=\"clearSelected()\"> Clear all </span>\n    </div>\n\n    <ng-container *ngFor=\"let item of selectedSet\">\n      <section class=\"options-selector__column_right__item\">\n        <div *ngIf=\"!item['url']\" class=\"options-selector__column_right__text\" [title]=\"item.name\">{{ item.name }}</div>\n        <div\n          *ngIf=\"!!item['url']\"\n          class=\"options-selector__column_right__text\"\n          [title]=\"item.name\"\n          [ngClass]=\"{'global-margin': item.global}\"\n        >\n          <span class=\"options-selector__column_right__url-line\" [routerLink]=\"item['url']\">\n            <span class=\"options-selector__column_right__url-line__text\">{{ item.name }}</span>\n            <span *ngIf=\"item.global\" class=\"options-selector__column_right__url-line__global\">(Global)</span>\n          </span>\n        </div>\n\n        <span\n          *ngIf=\"!isDisabled && !item.global\"\n          class=\"material-icons material-icons-outlined options-selector__column_right__close\"\n          (click)=\"deleteFromSelected(item)\"\n        >\n          close\n        </span>\n      </section>\n    </ng-container>\n  </section>\n</main>\n", styles: [".options-selector-container{display:flex;gap:32px;align-items:stretch}.options-selector__search-input{display:block;padding-bottom:32px}.options-selector__vertical-line{height:auto;width:1px;background-color:var(--neutral-outline-variant-color, #c4c6d0)}.options-selector__column_left,.options-selector__column_right{flex:1;padding-right:16px}.options-selector__column_left{overflow-y:auto;max-height:583px}.options-selector__column_left__title{font-weight:700;line-height:21px;padding-bottom:16px}.options-selector__column_left__item{display:flex;justify-content:space-between;align-items:center;height:50px;border:1px solid var(--neutral-outline-variant-color);border-radius:4px;padding:16px 24px 16px 16px;margin-bottom:8px}.options-selector__column_left__text{font-size:12px;line-height:18px;cursor:pointer}.options-selector__column_left__add{display:flex;align-items:center;gap:4px}.options-selector__column_left__icon{font-size:16px;color:var(--themePrimButtonsBg-color)}.options-selector__column_left__label{font-size:12px;color:var(--themePrimButtonsBg-color);font-weight:600;line-height:18px;cursor:pointer}.options-selector__column_right__title-block{display:flex;justify-content:space-between;align-items:center;padding-top:37px;padding-bottom:16px}.options-selector__column_right__title-block__text{font-weight:700;line-height:21px}.options-selector__column_right__title-block__clear{font-weight:600;line-height:20px;color:var(--themePrimButtonsBg-color);cursor:pointer}.options-selector__column_right__item{display:flex;justify-content:space-between;align-items:center;gap:25px;margin-bottom:8px}.options-selector__column_right__text{display:flex;align-items:center;height:50px;width:100%;padding:12px 24px 12px 16px;border:1px solid var(--neutral-outline-variant-color);border-radius:4px;font-size:12px;line-height:18px}.options-selector__column_right__url-line{display:flex;align-items:center;gap:16px}.options-selector__column_right__url-line__text{cursor:pointer}.options-selector__column_right__url-line__global{color:var(--neutral-outline-color)}.options-selector__column_right__close{font-size:18px;color:var(--neutral-outline-color)}.global-margin{margin-right:43px}\n"] }]
        }] });

class PopupUploadHistoryComponent {
}
PopupUploadHistoryComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: PopupUploadHistoryComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
PopupUploadHistoryComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.3.0", type: PopupUploadHistoryComponent, selector: "epom-popup-upload-history", inputs: { data: "data" }, ngImport: i0, template: "<span class=\"subtitle\">Last 10 processing</span>\n<div class=\"mt-8\">\n  <div class=\"positive-upload upload-block mt-16\" *ngFor=\"let uploadItem of data\">\n    <span class=\"material-icons material-icons-outlined\"> insert_drive_file </span>\n    <div class=\"file-block\">\n      <div class=\"file-block-title\">\n        <span class=\"upload-file-name\"\n          >{{ uploadItem.fileName }}\n          <ng-container *ngIf=\"!uploadItem.success\">error processing</ng-container>\n        </span>\n        <span *ngIf=\"uploadItem.success\" class=\"positive-badge\">Processed</span>\n        <span *ngIf=\"!uploadItem.success\" class=\"negative-badge\">Not processed</span>\n      </div>\n\n      <span class=\"upload-file-records\">\n        <ng-container *ngIf=\"!uploadItem.success\"> {{ uploadItem.linesCount }} of </ng-container\n        >{{ uploadItem.processedCount }} Records have been processed.\n      </span>\n    </div>\n  </div>\n</div>\n", styles: [".file-block{display:flex;flex-direction:column;width:100%;position:relative}.file-block-title{width:100%;display:flex;justify-content:space-between}.upload-block{display:flex;width:652px;height:64px;padding:12px;align-items:flex-start;gap:8px;border-radius:4px}.positive-upload{background:var(--themePrimButtonsBg-8-color)}.positive-badge{color:var(--success-default-color)}.positive-badge:before{content:\"\";position:absolute;top:10px;right:72px;transform:translateY(-50%);width:10px;height:10px;background-color:var(--success-default-color);border-radius:50%}.negative-upload{background:var(--error-default-12-color)}.negative-badge{color:var(--error-default-color)}.negative-badge:before{content:\"\";position:absolute;top:10px;right:100px;transform:translateY(-50%);width:10px;height:10px;background-color:var(--error-default-color);border-radius:50%}.subtitle{color:var(--neutral-outline-color);font-size:14px;font-style:normal;font-weight:400;line-height:21px}.upload-file-name{color:var(--neutral-on-main-neutral-color);font-size:12px;font-style:normal;font-weight:600;line-height:18px}.upload-file-records{display:inline-block;color:var(--neutral-on-main-neutral-color);font-size:12px;font-style:normal;font-weight:400;line-height:18px}\n"], dependencies: [{ kind: "directive", type: i1$1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: PopupUploadHistoryComponent, decorators: [{
            type: Component,
            args: [{ selector: 'epom-popup-upload-history', template: "<span class=\"subtitle\">Last 10 processing</span>\n<div class=\"mt-8\">\n  <div class=\"positive-upload upload-block mt-16\" *ngFor=\"let uploadItem of data\">\n    <span class=\"material-icons material-icons-outlined\"> insert_drive_file </span>\n    <div class=\"file-block\">\n      <div class=\"file-block-title\">\n        <span class=\"upload-file-name\"\n          >{{ uploadItem.fileName }}\n          <ng-container *ngIf=\"!uploadItem.success\">error processing</ng-container>\n        </span>\n        <span *ngIf=\"uploadItem.success\" class=\"positive-badge\">Processed</span>\n        <span *ngIf=\"!uploadItem.success\" class=\"negative-badge\">Not processed</span>\n      </div>\n\n      <span class=\"upload-file-records\">\n        <ng-container *ngIf=\"!uploadItem.success\"> {{ uploadItem.linesCount }} of </ng-container\n        >{{ uploadItem.processedCount }} Records have been processed.\n      </span>\n    </div>\n  </div>\n</div>\n", styles: [".file-block{display:flex;flex-direction:column;width:100%;position:relative}.file-block-title{width:100%;display:flex;justify-content:space-between}.upload-block{display:flex;width:652px;height:64px;padding:12px;align-items:flex-start;gap:8px;border-radius:4px}.positive-upload{background:var(--themePrimButtonsBg-8-color)}.positive-badge{color:var(--success-default-color)}.positive-badge:before{content:\"\";position:absolute;top:10px;right:72px;transform:translateY(-50%);width:10px;height:10px;background-color:var(--success-default-color);border-radius:50%}.negative-upload{background:var(--error-default-12-color)}.negative-badge{color:var(--error-default-color)}.negative-badge:before{content:\"\";position:absolute;top:10px;right:100px;transform:translateY(-50%);width:10px;height:10px;background-color:var(--error-default-color);border-radius:50%}.subtitle{color:var(--neutral-outline-color);font-size:14px;font-style:normal;font-weight:400;line-height:21px}.upload-file-name{color:var(--neutral-on-main-neutral-color);font-size:12px;font-style:normal;font-weight:600;line-height:18px}.upload-file-records{display:inline-block;color:var(--neutral-on-main-neutral-color);font-size:12px;font-style:normal;font-weight:400;line-height:18px}\n"] }]
        }], propDecorators: { data: [{
                type: Input
            }] } });

const KEYCODE_ESC = 27;
const animations = [
    trigger('dropdown', [
        state('void', style({
            height: '0px',
        })),
        transition('* => *', animate(0)),
    ]),
];
class SearchInputWithOptionsComponent {
    constructor(injector, elementRef) {
        this.injector = injector;
        this.elementRef = elementRef;
        this.isOpen = false;
        this.searchString = new FormControl('');
        this.subscription = new Subscription();
    }
    onDocumentClick(event) {
        if (!this.elementRef.nativeElement.contains(event.target)) {
            this.isOpen = false;
        }
    }
    ngOnInit() {
        this.setComponentControl();
        this.filtredValues = this.values;
    }
    ngOnDestroy() {
        this.subscription.unsubscribe();
    }
    searchByString(keyEvent) {
        if (keyEvent.keyCode === KEYCODE_ESC) {
            if (document.activeElement === this.searchInput.nativeElement) {
                keyEvent.stopPropagation();
            }
            if (this.isOpen) {
                this.isOpen = false;
            }
            else {
                this.searchInput.nativeElement.blur();
            }
        }
        else {
            this.isOpen = true;
        }
        const safeRegexString = this.searchString.value?.toLowerCase().replace(/[-[\]{}()*+?.,\\^$|#\s]/g, '\\$&');
        this.filtredValues = [...this.values].filter((item) => item.name.toLowerCase().match(safeRegexString));
        if (this.filtredValues.length === 0) {
            this.isOpen = false;
        }
        const result = this.filtredValues.find((item) => item.name === this.searchString.value);
        this.formControl.setValue(result);
    }
    takeValue(option) {
        this.isOpen = false;
        this.searchString.setValue(option.name);
        this.formControl.setValue(option);
    }
    openSearch() {
        if (this.values.length) {
            this.isOpen = true;
        }
    }
    setComponentControl() {
        const injectedControl = this.injector.get(NgControl);
        switch (injectedControl.constructor) {
            case NgModel: {
                const { control, update } = injectedControl;
                this.ngModelChange = update;
                this.formControl = control;
                break;
            }
            case FormControlName: {
                this.formControl = this.injector.get(FormGroupDirective).getControl(injectedControl);
                break;
            }
            default: {
                this.formControl = injectedControl.form;
                break;
            }
        }
    }
    writeValue() {
        // default ControlValueAccessor implementation
    }
    registerOnChange() {
        // default ControlValueAccessor implementation
    }
    registerOnTouched() {
        // default ControlValueAccessor implementation
    }
}
SearchInputWithOptionsComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: SearchInputWithOptionsComponent, deps: [{ token: Injector }, { token: i0.ElementRef }], target: i0.ɵɵFactoryTarget.Component });
SearchInputWithOptionsComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.3.0", type: SearchInputWithOptionsComponent, selector: "epom-search-input-with-options", inputs: { values: "values" }, host: { listeners: { "document:click": "onDocumentClick($event)" } }, providers: [
        {
            provide: NG_VALUE_ACCESSOR,
            multi: true,
            useExisting: forwardRef(() => SearchInputWithOptionsComponent),
        },
    ], viewQueries: [{ propertyName: "searchInput", first: true, predicate: ["searchInput"], descendants: true }], ngImport: i0, template: "<input\n  #searchInput\n  class=\"form-control\"\n  type=\"text\"\n  [formControl]=\"searchString\"\n  (keyup)=\"searchByString($event)\"\n  (click)=\"openSearch()\"\n  [class.opened]=\"isOpen\"\n/>\n<div [attr.data-qa]=\"'valuesBox'\" class=\"valuesBox\" *ngIf=\"isOpen\" [@dropdown]=\"isOpen\">\n  <div [attr.data-qa]=\"'valueList'\" class=\"select-values custom-scrollbar\">\n    <div\n      [attr.data-qa]=\"'selectValue'\"\n      class=\"select-value pointer\"\n      *ngFor=\"let option of filtredValues; let i = index\"\n      (click)=\"takeValue(option)\"\n    >\n      <label [attr.data-qa]=\"'selectValueName'\" class=\"option-name\">{{ option.name }}</label>\n    </div>\n  </div>\n</div>\n", styles: [":host{width:100%;display:block;position:relative}:host .form-control.opened{border-radius:4px 4px 0 0!important}\n"], dependencies: [{ kind: "directive", type: i1$1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i2.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i2.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i2.FormControlDirective, selector: "[formControl]", inputs: ["formControl", "disabled", "ngModel"], outputs: ["ngModelChange"], exportAs: ["ngForm"] }], animations: animations });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: SearchInputWithOptionsComponent, decorators: [{
            type: Component,
            args: [{ selector: 'epom-search-input-with-options', animations: animations, providers: [
                        {
                            provide: NG_VALUE_ACCESSOR,
                            multi: true,
                            useExisting: forwardRef(() => SearchInputWithOptionsComponent),
                        },
                    ], template: "<input\n  #searchInput\n  class=\"form-control\"\n  type=\"text\"\n  [formControl]=\"searchString\"\n  (keyup)=\"searchByString($event)\"\n  (click)=\"openSearch()\"\n  [class.opened]=\"isOpen\"\n/>\n<div [attr.data-qa]=\"'valuesBox'\" class=\"valuesBox\" *ngIf=\"isOpen\" [@dropdown]=\"isOpen\">\n  <div [attr.data-qa]=\"'valueList'\" class=\"select-values custom-scrollbar\">\n    <div\n      [attr.data-qa]=\"'selectValue'\"\n      class=\"select-value pointer\"\n      *ngFor=\"let option of filtredValues; let i = index\"\n      (click)=\"takeValue(option)\"\n    >\n      <label [attr.data-qa]=\"'selectValueName'\" class=\"option-name\">{{ option.name }}</label>\n    </div>\n  </div>\n</div>\n", styles: [":host{width:100%;display:block;position:relative}:host .form-control.opened{border-radius:4px 4px 0 0!important}\n"] }]
        }], ctorParameters: function () { return [{ type: i0.Injector, decorators: [{
                    type: Inject,
                    args: [Injector]
                }] }, { type: i0.ElementRef }]; }, propDecorators: { searchInput: [{
                type: ViewChild,
                args: ['searchInput']
            }], values: [{
                type: Input
            }], onDocumentClick: [{
                type: HostListener,
                args: ['document:click', ['$event']]
            }] } });

class PickerComponent {
    constructor() {
        this.checkboxes = null;
        this.valid = true;
        this.errorMSG = 'Selection single Range of days is required.';
        this.newValuesPicked = new EventEmitter();
        this.subscriptions = new Subscription();
    }
    ngOnInit() {
        this.subscriptions = this.checkboxes.subscribe((response) => {
            this.classes = [];
            this.checkboxesList = response;
            this.checkboxesList.forEach((checkbox, index) => {
                this.classes.push(this.getClasses(checkbox.checked, index));
            });
        });
    }
    ngOnDestroy() {
        this.checkboxesList = [];
        this.subscriptions.unsubscribe();
    }
    getClasses(checked, index) {
        switch (index) {
            case 0:
                return {
                    active: checked,
                    'left-side': checked && this.checkboxesList[index + 1].checked,
                    'right-side': false,
                    'center-side': false,
                };
            case this.checkboxesList.length - 1:
                return {
                    active: checked,
                    'left-side': false,
                    'right-side': checked && this.checkboxesList[index - 1].checked,
                    'center-side': false,
                };
            default:
                return {
                    active: checked,
                    'left-side': checked && !this.checkboxesList[index - 1].checked && this.checkboxesList[index + 1].checked,
                    'right-side': checked && this.checkboxesList[index - 1].checked && !this.checkboxesList[index + 1].checked,
                    'center-side': checked && this.checkboxesList[index - 1].checked && this.checkboxesList[index + 1].checked,
                };
        }
    }
    toggle(index) {
        const checkbox = this.checkboxesList[index];
        checkbox.checked = !checkbox.checked;
        if (this.oneInterval) {
            const countChecked = this.checkboxesList.filter((item) => item.checked).length;
            if (countChecked === 2) {
                const indexes = this.checkboxesList.reduce((acc, item, index) => {
                    if (item.checked) {
                        acc.push(index);
                    }
                    return acc;
                }, []);
                this.fillCustomInterval(indexes);
            }
            if (countChecked > 2) {
                this.clearCustomInterval();
                checkbox.checked = !checkbox.checked;
            }
        }
        this.checkboxesList.forEach((checkbox, index) => {
            this.classes[index] = this.getClasses(checkbox.checked, index);
        });
        this.newValuesPicked.emit({ picked: true });
    }
    fillCustomInterval(indexes) {
        const [start, end] = indexes;
        this.checkboxesList.map((item, index) => {
            item.checked = index >= start && index <= end;
            return item;
        });
    }
    clearCustomInterval() {
        this.checkboxesList.map((item) => {
            item.checked = false;
            return item;
        });
    }
}
PickerComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: PickerComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
PickerComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.3.0", type: PickerComponent, selector: "epom-picker", inputs: { checkboxes: "checkboxes", oneInterval: "oneInterval", valid: "valid", errorMSG: "errorMSG" }, outputs: { newValuesPicked: "newValuesPicked" }, ngImport: i0, template: "<ul id=\"days-prepopulated\" class=\"checklist medium\" [ngClass]=\"{'not-valid': !valid}\">\n  <li *ngFor=\"let checkbox of checkboxesList; let i = index\" [ngClass]=\"classes[i]\" (click)=\"toggle(i)\">\n    {{ checkbox.name }}\n  </li>\n</ul>\n", styles: [".checklist::selection{background:none}.checklist::-moz-selection{background:none}.checklist{border:1px solid var(--neutral-outline-variant-color);border-radius:55px;display:inline-block;width:auto;min-width:276px;padding:4px;-webkit-touch-callout:none;-webkit-user-select:none;user-select:none;margin-bottom:0}.checklist :hover{background:var(--light-surface-primary-on-surface-opacity-8, rgba(26, 28, 30, .08));border-radius:55px}.checklist :focus{background:var(--light-surface-primary-on-surface-opacity-12, rgba(26, 28, 30, .12));border-radius:55px}.checklist :active{background:var(--light-primary-blue-opacity-12, rgba(0, 91, 192, .12))}.checklist>*{display:inline-block;padding:4px 0;line-height:21px;width:46px;cursor:pointer;text-align:center;font-size:14px}.checklist>*:not(:first-child){margin-left:0}.checklist>.right-side{border-bottom-left-radius:0;border-top-left-radius:0;border-left:1px solid transparent}.checklist>.left-side{border-bottom-right-radius:0;border-top-right-radius:0}.checklist>.center-side{border-radius:0}.checklist [data-disabled=true]{cursor:not-allowed}.checklist>.active{background-color:var(--themePrimButtonsBg-color);color:var(--on-themePrimButtonsBg-color)}\n"], dependencies: [{ kind: "directive", type: i1$1.NgClass, selector: "[ngClass]", inputs: ["class", "ngClass"] }, { kind: "directive", type: i1$1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: PickerComponent, decorators: [{
            type: Component,
            args: [{ selector: 'epom-picker', template: "<ul id=\"days-prepopulated\" class=\"checklist medium\" [ngClass]=\"{'not-valid': !valid}\">\n  <li *ngFor=\"let checkbox of checkboxesList; let i = index\" [ngClass]=\"classes[i]\" (click)=\"toggle(i)\">\n    {{ checkbox.name }}\n  </li>\n</ul>\n", styles: [".checklist::selection{background:none}.checklist::-moz-selection{background:none}.checklist{border:1px solid var(--neutral-outline-variant-color);border-radius:55px;display:inline-block;width:auto;min-width:276px;padding:4px;-webkit-touch-callout:none;-webkit-user-select:none;user-select:none;margin-bottom:0}.checklist :hover{background:var(--light-surface-primary-on-surface-opacity-8, rgba(26, 28, 30, .08));border-radius:55px}.checklist :focus{background:var(--light-surface-primary-on-surface-opacity-12, rgba(26, 28, 30, .12));border-radius:55px}.checklist :active{background:var(--light-primary-blue-opacity-12, rgba(0, 91, 192, .12))}.checklist>*{display:inline-block;padding:4px 0;line-height:21px;width:46px;cursor:pointer;text-align:center;font-size:14px}.checklist>*:not(:first-child){margin-left:0}.checklist>.right-side{border-bottom-left-radius:0;border-top-left-radius:0;border-left:1px solid transparent}.checklist>.left-side{border-bottom-right-radius:0;border-top-right-radius:0}.checklist>.center-side{border-radius:0}.checklist [data-disabled=true]{cursor:not-allowed}.checklist>.active{background-color:var(--themePrimButtonsBg-color);color:var(--on-themePrimButtonsBg-color)}\n"] }]
        }], propDecorators: { checkboxes: [{
                type: Input,
                args: ['checkboxes']
            }], oneInterval: [{
                type: Input,
                args: ['oneInterval']
            }], valid: [{
                type: Input,
                args: ['valid']
            }], errorMSG: [{
                type: Input,
                args: ['errorMSG']
            }], newValuesPicked: [{
                type: Output,
                args: ['newValuesPicked']
            }] } });

class SelectTimeComponent {
    constructor(renderer) {
        this.renderer = renderer;
        this.defaultValue = '00:00';
        this.isDisabled = false;
        this.showDropDown = false;
        this.isValidValue = true;
        this.isShowError = true;
        this.hours = Array.from({ length: 24 }, (_, i) => i.toString().padStart(2, '0'));
        this.minutes = Array.from({ length: 60 }, (_, i) => i.toString().padStart(2, '0'));
    }
    ngOnInit() {
        if (this.defaultValue) {
            this.setValues(this.defaultValue);
        }
        this.controlSubscription = this.formControl.valueChanges.subscribe((value) => {
            if (value) {
                this.setValues(value);
                this.controlSubscription.unsubscribe();
            }
        });
    }
    togglePopup(event) {
        if (this.isDisabled) {
            return;
        }
        this.showDropDown = !this.showDropDown;
        if (this.showDropDown) {
            this.timeInput.nativeElement.blur();
            setTimeout(() => {
                this.initializeScroll(this.hourList.nativeElement);
                this.initializeScroll(this.minuteList.nativeElement);
                this.checkAndSetClass();
                this.scrollToSelected();
            }, 0);
        }
    }
    selectHour(hour) {
        this.selectedHour = hour;
    }
    selectMinute(minute) {
        this.selectedMinute = minute;
    }
    closePopup(event) {
        if (this.dropDown &&
            !this.dropDown.nativeElement.contains(event.target) &&
            !this.timeInputWrapper.nativeElement.contains(event.target)) {
            this.showDropDown = false;
            this.setPreviousValue();
        }
    }
    initializeScroll(list) {
        const itemHeight = list.firstElementChild.clientHeight;
        list.scrollTop = (itemHeight * list.children.length) / 3;
    }
    scrollList(isHour) {
        const list = isHour ? this.hourList.nativeElement : this.minuteList.nativeElement;
        const scrollTop = list.scrollTop;
        const itemHeight = list.firstElementChild.clientHeight;
        const totalHeight = (itemHeight * list.children.length) / 3;
        if (scrollTop >= totalHeight * 2) {
            list.scrollTop = (scrollTop % totalHeight) + totalHeight;
        }
        else if (scrollTop < totalHeight) {
            list.scrollTop = scrollTop + totalHeight;
        }
    }
    updateValues(event) {
        this.setValues(event.target.value);
        this.applyNewValues();
    }
    checkAndSetClass() {
        this.renderer.setStyle(this.dropDown.nativeElement, 'display', 'block');
        this.renderer.removeClass(this.dropDown.nativeElement, 'drop-up');
        const offsetTop = this.dropDown.nativeElement.getBoundingClientRect().top;
        const menuHeight = this.dropDown.nativeElement.offsetHeight;
        const windowHeight = window.innerHeight;
        if (offsetTop + menuHeight > windowHeight) {
            this.renderer.addClass(this.dropDown.nativeElement, 'drop-up');
        }
        this.renderer.removeClass(this.dropDown.nativeElement, 'hidden-dropdown');
        this.renderer.removeStyle(this.dropDown.nativeElement, 'display');
    }
    setPreviousValue() {
        this.setValues(this.formControl.value);
        this.showDropDown = false;
    }
    applyNewValues(hideDropDown = false) {
        if (!this.selectedHour.length && !this.selectedMinute.length) {
            this.isValidValue = false;
            this.formControl.patchValue(null);
            this.formControl.setErrors({ incorrect: true });
        }
        else {
            this.isValidValue = true;
            const time = this.selectedHour + ':' + this.selectedMinute;
            this.formControl.patchValue(time);
            this.formControl.setErrors(null);
        }
        if (hideDropDown) {
            this.showDropDown = false;
        }
    }
    setValues(value) {
        const values = value ? value.split(':') : '';
        this.selectedHour = values[0] ? values[0] : '';
        this.selectedMinute = values[1] ? values[1] : '';
    }
    scrollToSelected() {
        const selectedHourIndex = this.hours.indexOf(this.selectedHour);
        const selectedMinuteIndex = this.minutes.indexOf(this.selectedMinute);
        this.hourList.nativeElement.scrollTop = selectedHourIndex * 34;
        this.minuteList.nativeElement.scrollTop = selectedMinuteIndex * 34;
    }
    toggleError(showError) {
        this.isShowError = showError;
    }
}
SelectTimeComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: SelectTimeComponent, deps: [{ token: i0.Renderer2 }], target: i0.ɵɵFactoryTarget.Component });
SelectTimeComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.3.0", type: SelectTimeComponent, selector: "app-select-time", inputs: { defaultValue: "defaultValue", formControl: "formControl", isDisabled: "isDisabled" }, host: { listeners: { "document:click": "closePopup($event)" } }, viewQueries: [{ propertyName: "dropDown", first: true, predicate: ["dropDown"], descendants: true }, { propertyName: "hourList", first: true, predicate: ["hourList"], descendants: true }, { propertyName: "minuteList", first: true, predicate: ["minuteList"], descendants: true }, { propertyName: "timeInput", first: true, predicate: ["timeInput"], descendants: true }, { propertyName: "timeInputWrapper", first: true, predicate: ["timeInputWrapper"], descendants: true }], ngImport: i0, template: "<div class=\"time-picker\">\n  <div #timeInputWrapper class=\"time-input-wrapper form-control-wrapper\" [ngClass]=\"{disabled: isDisabled}\">\n    <input\n      #timeInput\n      type=\"time\"\n      id=\"time-input\"\n      name=\"time-input\"\n      class=\"form-control\"\n      [attr.data-qa]=\"'time-input'\"\n      (click)=\"togglePopup($event)\"\n      [ngClass]=\"{'active-input': showDropDown, 'ng-invalid': !isValidValue && !isDisabled}\"\n      (change)=\"updateValues($event)\"\n      (focus)=\"toggleError(true)\"\n      (blur)=\"toggleError(false)\"\n      [disabled]=\"isDisabled\"\n      value=\"{{ isDisabled ? '' : selectedHour + ':' + selectedMinute }}\"\n    />\n    <span class=\"material-icons material-icons-outlined\" (click)=\"togglePopup($event)\">watch_later</span>\n  </div>\n  <label\n    class=\"form-control-error-message control-label\"\n    *ngIf=\"!isValidValue && !isDisabled && !showDropDown && !isShowError\"\n    >The time is required.\n  </label>\n  <div class=\"popup hidden-dropdown\" *ngIf=\"showDropDown\" #dropDown [attr.data-qa]=\"'time-picker'\">\n    <div class=\"titles\">\n      <span>Hour</span>\n      <span>Min</span>\n    </div>\n    <div class=\"time-lists\" [attr.data-qa]=\"'hour-list'\">\n      <div class=\"list-container\" #hourList (scroll)=\"scrollList(true)\">\n        <ul class=\"time-list\">\n          <ng-container *ngFor=\"let _ of [0, 1, 2]\">\n            <li [ngClass]=\"{active: this.selectedHour === hour}\" *ngFor=\"let hour of hours\" (click)=\"selectHour(hour)\">\n              {{ hour }}\n            </li>\n          </ng-container>\n        </ul>\n      </div>\n      <div class=\"list-container\" [attr.data-qa]=\"'minute-list'\" #minuteList (scroll)=\"scrollList(false)\">\n        <ul class=\"time-list\">\n          <ng-container *ngFor=\"let _ of [0, 1, 2]\">\n            <li\n              [ngClass]=\"{active: this.selectedMinute === minute}\"\n              *ngFor=\"let minute of minutes\"\n              (click)=\"selectMinute(minute)\"\n            >\n              {{ minute }}\n            </li>\n          </ng-container>\n        </ul>\n      </div>\n    </div>\n    <div class=\"button-list\">\n      <button class=\"button button-outlined-grey\" [attr.data-qa]=\"'cancel'\" (click)=\"setPreviousValue()\">Cancel</button>\n      <button\n        class=\"button button-primary\"\n        [attr.data-qa]=\"'apply'\"\n        [disabled]=\"!selectedHour.length || !selectedMinute.length\"\n        (click)=\"applyNewValues(true)\"\n      >\n        Apply\n      </button>\n    </div>\n  </div>\n</div>\n", styles: [":host{flex:1}.time-picker{position:relative;width:100%;max-width:196px}.form-control-wrapper input.form-control{cursor:pointer;padding:7px 48px 8px 12px}.form-control-wrapper input.form-control.ng-invalid:not(:hover){border-color:var(--error-default-color)}.form-control-wrapper span.material-icons{color:var(--themePrimButtonsBg-color);position:absolute;right:1px;top:1px;padding:7px 12px 8px 16px;width:48px;font-size:20px;height:34px}.form-control-wrapper.disabled span.material-icons{color:var(--neutral-on-disable-color)}.time-input-wrapper:hover input.form-control,.time-input-wrapper:hover input[type=time]:before{background-color:var(--neutral-on-surface-variant-4-color);border:1px solid var(--neutral-outline-variant-color)}.form-control-wrapper:hover input.form-control.ng-invalid{border-color:var(--neutral-outline-variant-color)!important}.time-input-wrapper:hover input.form-control:disabled{background-color:var(--neutral-main-neutral-color);cursor:not-allowed}.active-input{border-color:var(--themePrimButtonsBg-color)}input::placeholder{color:var(--neutral-outline-variant-color)}.popup{display:inline-flex;flex-direction:column;align-items:flex-start;position:absolute;top:calc(100% + 4px);left:0;width:196px;z-index:1000;border-radius:4px;border-top:2px solid var(--themePrimButtonsBg-color);background:var(--neutral-main-neutral-color);box-shadow:-1px 0 20px #181c220d,0 1px 5px #00000026}.popup .titles{display:flex;padding:12px;align-items:flex-start;gap:16px;border-bottom:1px solid var(--neutral-outline-variant-color);width:100%;margin-bottom:12px}.popup .titles span{display:flex;width:50%;justify-content:center;align-items:center;color:var(--neutral-outline-color);text-align:center;font-size:12px;font-weight:400;line-height:18px}.popup .time-lists{display:flex;align-items:flex-start;width:100%}.list-container{max-height:200px;overflow-y:auto;width:50%;text-align:center;padding:0 12px}.list-container:first-child{padding-right:8px}.list-container:last-child{padding-left:8px}.time-list{list-style-type:none;margin:0;padding:0}.time-list li{display:flex;width:100%;padding:6px 12px;margin-bottom:4px;justify-content:center;align-items:center;cursor:pointer;border-radius:4px;color:var(--neutral-on-main-neutral-color);font-size:12px;font-weight:400;line-height:18px}.time-list li:hover{background-color:var(--themePrimButtonsBg-8-color)}.time-list li:focus,.time-list li:active{background-color:var(--themePrimButtonsBg-12-color)}.time-list li.active{background-color:var(--themePrimButtonsBg-16-color);font-weight:600}.list-container,.time-list{-ms-overflow-style:none;scrollbar-width:none}input[type=time]::-webkit-calendar-picker-indicator{display:none}input[type=time]::-webkit-inner-spin-button,input[type=time]::-webkit-clear-button{display:none}input[type=time]:focus::-webkit-datetime-edit-hour-field,input[type=time]:focus::-webkit-datetime-edit-minute-field{background-color:transparent}input[type=time]:focus::-webkit-datetime-edit-hour-field:focus,input[type=time]:focus::-webkit-datetime-edit-minute-field:focus{background-color:var(--themePrimButtonsBg-color);color:var(--on-themePrimButtonsBg-color)}input[type=time]::-webkit-datetime-edit-hour-field,input[type=time]::-webkit-datetime-edit-minute-field{background-color:transparent;color:var(--neutral-on-main-neutral-color)}input[type=time]:disabled::-webkit-datetime-edit-hour-field,input[type=time]:disabled::-webkit-datetime-edit-minute-field{border-color:var(--neutral-on-disable-color);color:var(--neutral-on-disable-color)}input[type=time]:disabled:hover{background-color:var(--neutral-main-neutral-color);cursor:not-allowed}input[type=time]:focus-visible{outline:0}input[type=time]::-webkit-datetime-edit-text{padding:0 8px}.drop-up{bottom:40px;top:unset}.hidden-dropdown{visibility:hidden}.button-list{display:flex;padding:12px;justify-content:center;gap:8px;width:100%;border-top:1px solid var(--neutral-outline-variant-color);margin-top:12px}.button-list .button{width:82px;min-width:unset}\n"], dependencies: [{ kind: "directive", type: i1$1.NgClass, selector: "[ngClass]", inputs: ["class", "ngClass"] }, { kind: "directive", type: i1$1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: SelectTimeComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-select-time', template: "<div class=\"time-picker\">\n  <div #timeInputWrapper class=\"time-input-wrapper form-control-wrapper\" [ngClass]=\"{disabled: isDisabled}\">\n    <input\n      #timeInput\n      type=\"time\"\n      id=\"time-input\"\n      name=\"time-input\"\n      class=\"form-control\"\n      [attr.data-qa]=\"'time-input'\"\n      (click)=\"togglePopup($event)\"\n      [ngClass]=\"{'active-input': showDropDown, 'ng-invalid': !isValidValue && !isDisabled}\"\n      (change)=\"updateValues($event)\"\n      (focus)=\"toggleError(true)\"\n      (blur)=\"toggleError(false)\"\n      [disabled]=\"isDisabled\"\n      value=\"{{ isDisabled ? '' : selectedHour + ':' + selectedMinute }}\"\n    />\n    <span class=\"material-icons material-icons-outlined\" (click)=\"togglePopup($event)\">watch_later</span>\n  </div>\n  <label\n    class=\"form-control-error-message control-label\"\n    *ngIf=\"!isValidValue && !isDisabled && !showDropDown && !isShowError\"\n    >The time is required.\n  </label>\n  <div class=\"popup hidden-dropdown\" *ngIf=\"showDropDown\" #dropDown [attr.data-qa]=\"'time-picker'\">\n    <div class=\"titles\">\n      <span>Hour</span>\n      <span>Min</span>\n    </div>\n    <div class=\"time-lists\" [attr.data-qa]=\"'hour-list'\">\n      <div class=\"list-container\" #hourList (scroll)=\"scrollList(true)\">\n        <ul class=\"time-list\">\n          <ng-container *ngFor=\"let _ of [0, 1, 2]\">\n            <li [ngClass]=\"{active: this.selectedHour === hour}\" *ngFor=\"let hour of hours\" (click)=\"selectHour(hour)\">\n              {{ hour }}\n            </li>\n          </ng-container>\n        </ul>\n      </div>\n      <div class=\"list-container\" [attr.data-qa]=\"'minute-list'\" #minuteList (scroll)=\"scrollList(false)\">\n        <ul class=\"time-list\">\n          <ng-container *ngFor=\"let _ of [0, 1, 2]\">\n            <li\n              [ngClass]=\"{active: this.selectedMinute === minute}\"\n              *ngFor=\"let minute of minutes\"\n              (click)=\"selectMinute(minute)\"\n            >\n              {{ minute }}\n            </li>\n          </ng-container>\n        </ul>\n      </div>\n    </div>\n    <div class=\"button-list\">\n      <button class=\"button button-outlined-grey\" [attr.data-qa]=\"'cancel'\" (click)=\"setPreviousValue()\">Cancel</button>\n      <button\n        class=\"button button-primary\"\n        [attr.data-qa]=\"'apply'\"\n        [disabled]=\"!selectedHour.length || !selectedMinute.length\"\n        (click)=\"applyNewValues(true)\"\n      >\n        Apply\n      </button>\n    </div>\n  </div>\n</div>\n", styles: [":host{flex:1}.time-picker{position:relative;width:100%;max-width:196px}.form-control-wrapper input.form-control{cursor:pointer;padding:7px 48px 8px 12px}.form-control-wrapper input.form-control.ng-invalid:not(:hover){border-color:var(--error-default-color)}.form-control-wrapper span.material-icons{color:var(--themePrimButtonsBg-color);position:absolute;right:1px;top:1px;padding:7px 12px 8px 16px;width:48px;font-size:20px;height:34px}.form-control-wrapper.disabled span.material-icons{color:var(--neutral-on-disable-color)}.time-input-wrapper:hover input.form-control,.time-input-wrapper:hover input[type=time]:before{background-color:var(--neutral-on-surface-variant-4-color);border:1px solid var(--neutral-outline-variant-color)}.form-control-wrapper:hover input.form-control.ng-invalid{border-color:var(--neutral-outline-variant-color)!important}.time-input-wrapper:hover input.form-control:disabled{background-color:var(--neutral-main-neutral-color);cursor:not-allowed}.active-input{border-color:var(--themePrimButtonsBg-color)}input::placeholder{color:var(--neutral-outline-variant-color)}.popup{display:inline-flex;flex-direction:column;align-items:flex-start;position:absolute;top:calc(100% + 4px);left:0;width:196px;z-index:1000;border-radius:4px;border-top:2px solid var(--themePrimButtonsBg-color);background:var(--neutral-main-neutral-color);box-shadow:-1px 0 20px #181c220d,0 1px 5px #00000026}.popup .titles{display:flex;padding:12px;align-items:flex-start;gap:16px;border-bottom:1px solid var(--neutral-outline-variant-color);width:100%;margin-bottom:12px}.popup .titles span{display:flex;width:50%;justify-content:center;align-items:center;color:var(--neutral-outline-color);text-align:center;font-size:12px;font-weight:400;line-height:18px}.popup .time-lists{display:flex;align-items:flex-start;width:100%}.list-container{max-height:200px;overflow-y:auto;width:50%;text-align:center;padding:0 12px}.list-container:first-child{padding-right:8px}.list-container:last-child{padding-left:8px}.time-list{list-style-type:none;margin:0;padding:0}.time-list li{display:flex;width:100%;padding:6px 12px;margin-bottom:4px;justify-content:center;align-items:center;cursor:pointer;border-radius:4px;color:var(--neutral-on-main-neutral-color);font-size:12px;font-weight:400;line-height:18px}.time-list li:hover{background-color:var(--themePrimButtonsBg-8-color)}.time-list li:focus,.time-list li:active{background-color:var(--themePrimButtonsBg-12-color)}.time-list li.active{background-color:var(--themePrimButtonsBg-16-color);font-weight:600}.list-container,.time-list{-ms-overflow-style:none;scrollbar-width:none}input[type=time]::-webkit-calendar-picker-indicator{display:none}input[type=time]::-webkit-inner-spin-button,input[type=time]::-webkit-clear-button{display:none}input[type=time]:focus::-webkit-datetime-edit-hour-field,input[type=time]:focus::-webkit-datetime-edit-minute-field{background-color:transparent}input[type=time]:focus::-webkit-datetime-edit-hour-field:focus,input[type=time]:focus::-webkit-datetime-edit-minute-field:focus{background-color:var(--themePrimButtonsBg-color);color:var(--on-themePrimButtonsBg-color)}input[type=time]::-webkit-datetime-edit-hour-field,input[type=time]::-webkit-datetime-edit-minute-field{background-color:transparent;color:var(--neutral-on-main-neutral-color)}input[type=time]:disabled::-webkit-datetime-edit-hour-field,input[type=time]:disabled::-webkit-datetime-edit-minute-field{border-color:var(--neutral-on-disable-color);color:var(--neutral-on-disable-color)}input[type=time]:disabled:hover{background-color:var(--neutral-main-neutral-color);cursor:not-allowed}input[type=time]:focus-visible{outline:0}input[type=time]::-webkit-datetime-edit-text{padding:0 8px}.drop-up{bottom:40px;top:unset}.hidden-dropdown{visibility:hidden}.button-list{display:flex;padding:12px;justify-content:center;gap:8px;width:100%;border-top:1px solid var(--neutral-outline-variant-color);margin-top:12px}.button-list .button{width:82px;min-width:unset}\n"] }]
        }], ctorParameters: function () { return [{ type: i0.Renderer2 }]; }, propDecorators: { dropDown: [{
                type: ViewChild,
                args: ['dropDown']
            }], hourList: [{
                type: ViewChild,
                args: ['hourList']
            }], minuteList: [{
                type: ViewChild,
                args: ['minuteList']
            }], timeInput: [{
                type: ViewChild,
                args: ['timeInput']
            }], timeInputWrapper: [{
                type: ViewChild,
                args: ['timeInputWrapper']
            }], defaultValue: [{
                type: Input,
                args: ['defaultValue']
            }], formControl: [{
                type: Input,
                args: ['formControl']
            }], isDisabled: [{
                type: Input,
                args: ['isDisabled']
            }], closePopup: [{
                type: HostListener,
                args: ['document:click', ['$event']]
            }] } });

class CalculateModifiersComponent {
    constructor() {
        this.bidModifiersToCalculate = {};
        this.bidMultiplierOptions = BID_MULTIPLIER_OPTIONS;
        this.bidMultipliersEnum = BidMultipliersEnum;
        this.bidModifiersGroup = new FormGroup({});
        this.daysOfWeek = new BehaviorSubject(DAYS_OF_WEEK);
        this.timeControl = new FormControl('00:00');
        this.subscription = new Subscription();
        this.timeHour = 0;
        this.operatorsSortOrder = ['ADD', 'SUBTRACT', 'MULTIPLY', 'SET'];
    }
    ngOnInit() {
        this.campaignBidPrice = this.campaign.defaultBid;
        this.bidModifiers.forEach((item) => {
            const { type, operationValue } = item;
            item.items = [].concat(...Object.values(item.items));
            const bidModifierType = this.bidMultiplierOptions.find((option) => option.value === type);
            const hasDateTime = bidModifierType.value === this.bidMultipliersEnum.DATE_TIME_TYPE;
            if (!this.bidModifiersToCalculate[bidModifierType.value]) {
                this.bidModifiersToCalculate[bidModifierType.value] = { items: [], name: bidModifierType.name };
            }
            if (item.items) {
                const itemsWithOperationValue = item.items.map((childItem) => {
                    return {
                        name: childItem.entity,
                        value: [
                            {
                                ...childItem,
                                ...(hasDateTime && { parsedDateTime: this.parseDateTimeName(childItem.entity) }),
                                operationValue: operationValue,
                            },
                        ],
                    };
                });
                itemsWithOperationValue.forEach((newItem) => {
                    const existingItem = this.bidModifiersToCalculate[bidModifierType.value].items.find((item) => item.name === newItem.name);
                    if (existingItem) {
                        existingItem.value.push(...newItem.value);
                    }
                    else {
                        this.bidModifiersToCalculate[bidModifierType.value].items.push(newItem);
                    }
                });
            }
        });
        this.mergeSameOperations();
        for (const key in this.bidModifiersToCalculate) {
            this.bidModifiersGroup.addControl(key, new FormControl(''));
        }
        this.subscription.add(this.timeControl.valueChanges.subscribe((value) => {
            this.timeHour = parseInt(value.split(':')[0], 10);
            this.findAcceptableDateTime();
        }));
        this.subscription.add(this.bidModifiersGroup.valueChanges.subscribe((selectedBidModifiers) => {
            this.campaignBidPrice = this.campaign.defaultBid;
            let operations = [];
            for (const key in selectedBidModifiers) {
                const valuesByOperator = {};
                selectedBidModifiers[key]?.value?.forEach((item) => {
                    if (!valuesByOperator[item.operationValue.value]) {
                        valuesByOperator[item.operationValue.value] = [];
                    }
                    valuesByOperator[item.operationValue.value].push(item.multiplier);
                });
                for (const operator in valuesByOperator) {
                    const value = valuesByOperator[operator].reduce((sum, value) => sum + value, 0) / valuesByOperator[operator].length;
                    operations.push({ value, operator });
                }
            }
            const setValues = operations.filter((item) => item.operator === 'SET');
            if (setValues.length) {
                const setAverage = setValues.reduce((sum, value) => sum + value.value, 0) / setValues.length;
                operations = [...operations.filter((item) => item.operator !== 'SET'), { value: setAverage, operator: 'SET' }];
            }
            const sortedArray = operations.sort((a, b) => {
                return this.operatorsSortOrder.indexOf(a.operator) - this.operatorsSortOrder.indexOf(b.operator);
            });
            sortedArray.forEach((item) => {
                switch (item.operator) {
                    case 'ADD':
                        this.campaignBidPrice += item.value;
                        break;
                    case 'SUBTRACT':
                        this.campaignBidPrice -= item.value;
                        break;
                    case 'MULTIPLY':
                        this.campaignBidPrice *= item.value;
                        break;
                    case 'SET':
                        this.campaignBidPrice = item.value;
                        break;
                }
            });
            if (this.campaign.maxCPM && this.campaign.maxCPM < this.campaignBidPrice) {
                this.campaignBidPrice = this.campaign.maxCPM;
            }
            this.campaignBidPrice = this.twoSignAfterComma(this.campaignBidPrice);
        }));
    }
    ngOnDestroy() {
        this.subscription.unsubscribe();
    }
    datePicked(event) {
        const days = this.daysOfWeek.value.filter((day) => day.checked);
        if (event.picked && days.length > 0) {
            this.startDate = days[0].index;
            this.endDate = days[days.length - 1].index;
        }
        else {
            this.startDate = null;
            this.endDate = null;
        }
        this.findAcceptableDateTime();
    }
    parseDateTimeName(dateTimeString) {
        return {
            startDate: parseInt(dateTimeString[0], 10),
            endDate: parseInt(dateTimeString[1], 10),
            startTime: parseInt(dateTimeString.slice(2, 4), 10),
            endTime: parseInt(dateTimeString.slice(4), 10),
        };
    }
    findAcceptableDateTime() {
        const acceptableItems = [];
        this.bidModifiersToCalculate[this.bidMultipliersEnum.DATE_TIME_TYPE].items.forEach((item) => {
            if (item.value[0].parsedDateTime.startDate <= this.startDate &&
                item.value[0].parsedDateTime.endDate >= this.endDate &&
                item.value[0].parsedDateTime.startTime <= this.timeHour &&
                item.value[0].parsedDateTime.endTime >= this.timeHour) {
                acceptableItems.push(item.value);
            }
        });
        this.bidModifiersGroup.get(this.bidMultipliersEnum.DATE_TIME_TYPE).setValue({ value: acceptableItems.flat() });
    }
    mergeSameOperations() {
        for (const key in this.bidModifiersToCalculate) {
            this.bidModifiersToCalculate[key].items.forEach((item) => {
                item.value = this.mergeItems(item.value);
            });
        }
    }
    mergeItems(items) {
        const result = [];
        const grouped = items.reduce((acc, item) => {
            const groupKey = `${item.entity}:${item.operationValue.value}`;
            if (!acc[groupKey]) {
                acc[groupKey] = [];
            }
            acc[groupKey].push(item);
            return acc;
        }, {});
        for (const groupKey in grouped) {
            const group = grouped[groupKey];
            if (group.length > 1) {
                const averageMultiplier = group.reduce((sum, item) => sum + item.multiplier, 0) / group.length;
                const formattedAverageMultiplier = this.twoSignAfterComma(averageMultiplier);
                const mergedItem = {
                    ...group[0],
                    multiplier: formattedAverageMultiplier,
                };
                result.push(mergedItem);
            }
            else {
                result.push(...group);
            }
        }
        return result;
    }
    twoSignAfterComma(value) {
        return Math.round(value * 100) / 100;
    }
}
CalculateModifiersComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: CalculateModifiersComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
CalculateModifiersComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.3.0", type: CalculateModifiersComponent, selector: "epom-popup-calculate-modifiers", inputs: { campaign: "campaign", bidModifiers: "bidModifiers" }, ngImport: i0, template: "<div>\n  <h4 class=\"headline-4\">Bid Modifiers</h4>\n  <div class=\"modal-subtitle-text\">\n    <div>\n      Default \u0421ampaign Bid Price: <span class=\"currency\">${{ campaign.defaultBid }}</span>\n    </div>\n    <div>\n      Max \u0421ampaign Bid Price: <span class=\"currency\">${{ campaign.maxCPM }}</span>\n    </div>\n  </div>\n  <form [formGroup]=\"bidModifiersGroup\" class=\"bid-modifier-list\">\n    <ng-container *ngFor=\"let bidModifierType of bidModifiersToCalculate | keyvalue\">\n      <div class=\"bid-modifier-item\">\n        <div class=\"form-control-wrapper\" *ngIf=\"bidModifierType.key !== bidMultipliersEnum.DATE_TIME_TYPE\">\n          <epom-search-input-with-options\n            [attr.data-qa]=\"bidModifierType.key\"\n            [values]=\"bidModifierType.value.items\"\n            [formControlName]=\"bidModifierType.key\"\n          >\n          </epom-search-input-with-options>\n          <label class=\"control-label\">{{ bidModifierType.value.name }}</label>\n        </div>\n        <div class=\"form-control-wrapper\" *ngIf=\"bidModifierType.key === bidMultipliersEnum.DATE_TIME_TYPE\">\n          <div class=\"day-time-modifier\">\n            <epom-picker\n              [attr.data-qa]=\"bidModifierType.key\"\n              [checkboxes]=\"daysOfWeek\"\n              [oneInterval]=\"true\"\n              (newValuesPicked)=\"datePicked($event)\"\n            ></epom-picker>\n            <app-select-time ngDefaultControl [defaultValue]=\"'00:00'\" [formControl]=\"timeControl\"> </app-select-time>\n          </div>\n          <label class=\"control-label\">{{ bidModifierType.value.name }}</label>\n        </div>\n        <div>\n          <div class=\"form-control-wrapper\">\n            <div class=\"value-container\">\n              <ng-container *ngIf=\"bidModifiersGroup.get(bidModifierType.key).value\">\n                <div *ngFor=\"let value of bidModifiersGroup.get(bidModifierType.key).value.value; let i = index\">\n                  <span class=\"operation\">\n                    {{ value.operationValue.iconClass }}\n                  </span>\n                  {{ value.multiplier }}\n                  {{ i !== bidModifiersGroup.get(bidModifierType.key).value.value.length - 1 ? ';' : '' }}\n                </div>\n              </ng-container>\n            </div>\n            <label class=\"control-label\">Value</label>\n          </div>\n        </div>\n      </div>\n    </ng-container>\n  </form>\n\n  <hr />\n  <h4 class=\"headline-4\">Modifiers Calculation</h4>\n  <div class=\"modal-subtitle-text\">\n    <div>\n      Campaign Bid Price: <span class=\"currency\">${{ campaignBidPrice }}</span>\n    </div>\n  </div>\n</div>\n", styles: [".headline-4{margin-top:0}.modal-subtitle-text{color:var(--neutral-outline-color);margin:16px 0 0;display:flex;flex-direction:column;gap:8px}.modal-subtitle-text .currency{font-weight:600;color:var(--neutral-on-main-neutral-color)}hr{margin:24px 0;border-top:1px solid var(--neutral-outline-variant-color)}.bid-modifier-list{margin-top:16px;display:flex;flex-direction:column;gap:16px}.bid-modifier-item{display:grid;grid-template-columns:650px 324px;gap:12px}.form-control-wrapper{max-width:650px}.value-container{height:36px;padding:7px 12px 8px;background:var(--neutral-neutral-color);border-radius:4px;line-height:21px;display:flex;gap:16px}.value-container .operation{color:var(--themePrimButtonsBg-color);font-weight:600;margin-right:4px}.day-time-modifier{display:flex;gap:12px}\n"], dependencies: [{ kind: "directive", type: i1$1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i2.ɵNgNoValidate, selector: "form:not([ngNoForm]):not([ngNativeValidate])" }, { kind: "directive", type: i2.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i2.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i2.NgControlStatusGroup, selector: "[formGroupName],[formArrayName],[ngModelGroup],[formGroup],form:not([ngNoForm]),[ngForm]" }, { kind: "directive", type: i2.FormControlDirective, selector: "[formControl]", inputs: ["formControl", "disabled", "ngModel"], outputs: ["ngModelChange"], exportAs: ["ngForm"] }, { kind: "directive", type: i2.FormGroupDirective, selector: "[formGroup]", inputs: ["formGroup"], outputs: ["ngSubmit"], exportAs: ["ngForm"] }, { kind: "directive", type: i2.FormControlName, selector: "[formControlName]", inputs: ["formControlName", "disabled", "ngModel"], outputs: ["ngModelChange"] }, { kind: "component", type: SearchInputWithOptionsComponent, selector: "epom-search-input-with-options", inputs: ["values"] }, { kind: "component", type: PickerComponent, selector: "epom-picker", inputs: ["checkboxes", "oneInterval", "valid", "errorMSG"], outputs: ["newValuesPicked"] }, { kind: "component", type: SelectTimeComponent, selector: "app-select-time", inputs: ["defaultValue", "formControl", "isDisabled"] }, { kind: "pipe", type: i1$1.KeyValuePipe, name: "keyvalue" }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: CalculateModifiersComponent, decorators: [{
            type: Component,
            args: [{ selector: 'epom-popup-calculate-modifiers', template: "<div>\n  <h4 class=\"headline-4\">Bid Modifiers</h4>\n  <div class=\"modal-subtitle-text\">\n    <div>\n      Default \u0421ampaign Bid Price: <span class=\"currency\">${{ campaign.defaultBid }}</span>\n    </div>\n    <div>\n      Max \u0421ampaign Bid Price: <span class=\"currency\">${{ campaign.maxCPM }}</span>\n    </div>\n  </div>\n  <form [formGroup]=\"bidModifiersGroup\" class=\"bid-modifier-list\">\n    <ng-container *ngFor=\"let bidModifierType of bidModifiersToCalculate | keyvalue\">\n      <div class=\"bid-modifier-item\">\n        <div class=\"form-control-wrapper\" *ngIf=\"bidModifierType.key !== bidMultipliersEnum.DATE_TIME_TYPE\">\n          <epom-search-input-with-options\n            [attr.data-qa]=\"bidModifierType.key\"\n            [values]=\"bidModifierType.value.items\"\n            [formControlName]=\"bidModifierType.key\"\n          >\n          </epom-search-input-with-options>\n          <label class=\"control-label\">{{ bidModifierType.value.name }}</label>\n        </div>\n        <div class=\"form-control-wrapper\" *ngIf=\"bidModifierType.key === bidMultipliersEnum.DATE_TIME_TYPE\">\n          <div class=\"day-time-modifier\">\n            <epom-picker\n              [attr.data-qa]=\"bidModifierType.key\"\n              [checkboxes]=\"daysOfWeek\"\n              [oneInterval]=\"true\"\n              (newValuesPicked)=\"datePicked($event)\"\n            ></epom-picker>\n            <app-select-time ngDefaultControl [defaultValue]=\"'00:00'\" [formControl]=\"timeControl\"> </app-select-time>\n          </div>\n          <label class=\"control-label\">{{ bidModifierType.value.name }}</label>\n        </div>\n        <div>\n          <div class=\"form-control-wrapper\">\n            <div class=\"value-container\">\n              <ng-container *ngIf=\"bidModifiersGroup.get(bidModifierType.key).value\">\n                <div *ngFor=\"let value of bidModifiersGroup.get(bidModifierType.key).value.value; let i = index\">\n                  <span class=\"operation\">\n                    {{ value.operationValue.iconClass }}\n                  </span>\n                  {{ value.multiplier }}\n                  {{ i !== bidModifiersGroup.get(bidModifierType.key).value.value.length - 1 ? ';' : '' }}\n                </div>\n              </ng-container>\n            </div>\n            <label class=\"control-label\">Value</label>\n          </div>\n        </div>\n      </div>\n    </ng-container>\n  </form>\n\n  <hr />\n  <h4 class=\"headline-4\">Modifiers Calculation</h4>\n  <div class=\"modal-subtitle-text\">\n    <div>\n      Campaign Bid Price: <span class=\"currency\">${{ campaignBidPrice }}</span>\n    </div>\n  </div>\n</div>\n", styles: [".headline-4{margin-top:0}.modal-subtitle-text{color:var(--neutral-outline-color);margin:16px 0 0;display:flex;flex-direction:column;gap:8px}.modal-subtitle-text .currency{font-weight:600;color:var(--neutral-on-main-neutral-color)}hr{margin:24px 0;border-top:1px solid var(--neutral-outline-variant-color)}.bid-modifier-list{margin-top:16px;display:flex;flex-direction:column;gap:16px}.bid-modifier-item{display:grid;grid-template-columns:650px 324px;gap:12px}.form-control-wrapper{max-width:650px}.value-container{height:36px;padding:7px 12px 8px;background:var(--neutral-neutral-color);border-radius:4px;line-height:21px;display:flex;gap:16px}.value-container .operation{color:var(--themePrimButtonsBg-color);font-weight:600;margin-right:4px}.day-time-modifier{display:flex;gap:12px}\n"] }]
        }], propDecorators: { campaign: [{
                type: Input
            }], bidModifiers: [{
                type: Input
            }] } });

class PopupComponentClass extends BasePopup {
    constructor(popupService, formBuilder, renderer, router, keyboardService) {
        super();
        this.popupService = popupService;
        this.formBuilder = formBuilder;
        this.renderer = renderer;
        this.router = router;
        this.keyboardService = keyboardService;
        this.exitMessage = '';
        this.modalShowed = false;
        this.modalDisplayNone = true;
        this.popupData = {}; //todo fix IPopupSettings
        this.isSubmitAvailable = true;
        this.defaultPopupData = {
            title: '',
            subtitle: '',
            fields: [],
            body: '',
            center: false,
            buttons: false,
            buttonsPosition: 'right',
            spinner: false,
            closeButton: true,
            overlayTheme: 'gray',
            width: 'md',
            height: 'md',
            allowedMimeTypes: ['text/csv', 'text/plain'],
            limitSelection: 0, // Limit selection (0 - no limits)
        };
        this.dataStreams = {};
        this.uploader = new FileUploader({
            allowedMimeType: ['text/csv', 'text/plain'],
            url: '', //todo add url
        });
        this.hasBaseDropZoneOver = false;
        this.addFileError = false;
        this.showEmptyAllColumnsErrorMsg = false;
        this.fileuploadListeners = null;
        this.customElementForm = null;
        this.codemirrorOptions = DEFAULT_CODEMIRROR_OPTIONS;
        this.popupData = this.defaultPopupData;
        this.popupSubscription = this.popupService.popup.subscribe((x) => {
            if (x) {
                return this.createPopup(x);
            }
        });
        this.keyboardService.listen(['escape']).subscribe(() => {
            if (this.modalShowed) {
                this.close();
            }
        });
        this.uploader.onWhenAddingFileFailed = () => {
            this.addFileError = true;
            this.addFileErrorMsg = 'Invalid file type.';
        };
        this.router.events.subscribe((event) => {
            if (event instanceof NavigationStart && this.modalShowed) {
                this.close();
            }
        });
    }
    getVisibleFields() {
        return this.popupData.fields.filter((field) => !field.hidden);
    }
    fileOverBase(isOverBase) {
        this.hasBaseDropZoneOver = isOverBase;
    }
    createPopup(data) {
        this.exitMessage = '';
        if (!!data.popupClose) {
            this.sendFeedback('close-by-api');
            this.close();
            return false;
        }
        this.popupService.disableBodyOverflow();
        this.popupData = Object.assign({}, this.defaultPopupData, data);
        this.uploader = new FileUploader({
            allowedMimeType: this.popupData.allowedMimeTypes,
            url: '', //todo add url
        });
        this.uploader.onWhenAddingFileFailed = () => {
            this.addFileError = true;
            this.addFileErrorMsg = 'Invalid file type.';
        };
        this.limitSelection = this.popupData.limitSelection;
        this.hash = data.hash;
        if (this.popupData.fields) {
            const fieldsForForm = this.popupData.fields.reduce((acc, item) => {
                if (item.type === 'upload' && item.on) {
                    this.fileuploadListeners = item.on;
                }
                const defaultValue = item.type === 'select' ? (Array.isArray(item.selected) ? [...item.selected] : [item.selected]) : item.value;
                return { ...acc, [item.name]: [defaultValue, item.validators] };
            }, {});
            this.dataStreams = this.popupData.fields
                .filter((item) => item.type === 'select')
                .reduce((acc, item) => ({ ...acc, [item.name]: item.options$ ? item.options$ : of(item.options) }), {});
            this.popupForm = this.formBuilder.group(fieldsForForm);
            if (this.popupData.uploadSwitcher) {
                this.showHideUploadFields(this.popupForm.get('uploadType').value);
                this.popupForm.get('uploadType').valueChanges.subscribe((e) => this.showHideUploadFields(e));
            }
            if (this.popupForm.get(this.popupData.onDisableFieldControl)?.value) {
                this.manageDisabledControls(this.popupForm.get(this.popupData.onDisableFieldControl).value);
            }
            this.manageRadioButtons();
            if (this.popupData.onDisableFieldControl) {
                this.disabledControlsValueChanges();
            }
        }
        if (this.fileuploadListeners) {
            Object.keys(this.fileuploadListeners).forEach((fnName) => {
                const [elementName, methodToCall] = this.fileuploadListeners[fnName];
                this.uploader[fnName] = (fileItem) => {
                    if (!fileItem.file.type) {
                        this.uploader.queue = [];
                        this.addFileError = true;
                        this.addFileErrorMsg = 'Invalid file type.';
                        return;
                    }
                    this.addFileError = false;
                    this.addFileErrorMsg = null;
                    if (fileItem.file.size > 14000000) {
                        this.uploader.queue = [];
                        this.addFileError = true;
                        this.addFileErrorMsg = 'Maximal file size exceeded.';
                        return;
                    }
                    const el = this.popupForm.get(elementName);
                    this.formEl = el;
                    if (!el) {
                        return;
                    }
                    el[methodToCall]();
                    if (methodToCall === 'reset') {
                        el.disable();
                    }
                };
            });
        }
        if (this.popupData.activityDisabled) {
            this.popupForm.disable();
        }
        this.open();
    }
    showHideUploadFields(uploadType) {
        if (uploadType === 'manually') {
            this.enableManualUpload();
            this.popupData.fields.find((item) => item.name === 'list').hidden = false;
            this.popupData.fields.find((item) => item.name === 'file').hidden = true;
        }
        else if (uploadType === 'upload') {
            this.popupData.fields.find((item) => item.name === 'file').hidden = false;
            this.popupData.fields.find((item) => item.name === 'list').hidden = true;
        }
    }
    removeFile(filename) {
        this.uploader.queue = this.uploader.queue.filter((item) => item.file.name !== filename);
    }
    open() {
        this.modalDisplayNone = false;
        timer(10).subscribe(() => {
            this.modalShowed = true;
        });
    }
    closeButton() {
        this.close();
    }
    checkAvailabilityForm(isFormValid) {
        this.isSubmitAvailable = isFormValid;
    }
    sendSelectQuery(response) {
        this.sendFeedback(response.type + '|' + response.val);
    }
    close(event) {
        if (event) {
            event.stopPropagation();
        }
        this.modalShowed = false;
        timer(200).subscribe(() => {
            this.modalDisplayNone = true;
            this.showEmptyAllColumnsErrorMsg = false;
        });
        this.popupData = {};
        this.selectData = undefined;
        this.addFileError = false;
        this.addFileErrorMsg = null;
        this.popupService.enableBodyOverflow();
        this.sendFeedback('close-button');
    }
    buttonClick(message) {
        if (message === 'close-button') {
            this.close();
        }
        else {
            this.sendFeedback(message);
        }
    }
    updateSelectedItems(eventData) {
        this.selectData = eventData;
    }
    updateAbstractData(eventData) {
        this.abstractData = eventData;
        this.sendFeedback('abstract');
    }
    updateFormData(data) {
        this.customElementForm = data.element;
        this.popupForm = data.form;
    }
    sendFeedback(message) {
        this.exitMessage = message;
        const feedbackObject = { hash: this.hash, message: message };
        if (message.includes('submit') && !this.popupForm.valid) {
            if (this.customElementForm) {
                this.renderer.addClass(this.customElementForm.nativeElement, 'form-submitted');
                this.customElementForm.nativeElement.scrollIntoView({ behavior: 'smooth' });
            }
            else {
                this.renderer.addClass(this.popupFormElement.nativeElement, 'form-submitted');
                this.popupFormElement.nativeElement.scrollIntoView({ behavior: 'smooth' });
            }
            feedbackObject['formObject'] = this.popupForm;
            this.popupService.popupFeedback.next(feedbackObject);
            return false;
        }
        if (this.selectData) {
            feedbackObject['selectData'] = this.selectData;
        }
        else {
            if (this.abstractData) {
                feedbackObject['abstractData'] = this.abstractData;
            }
            else {
                feedbackObject['formObject'] = this.popupForm;
            }
        }
        if (this.uploader.queue && this.uploader.queue.length) {
            feedbackObject['uploader'] = this.uploader;
        }
        if (feedbackObject['abstractData'] && feedbackObject['abstractData'].value['generalColumns']) {
            const allTableColumns = Object.assign(feedbackObject['abstractData'].value.generalColumns, feedbackObject['abstractData'].value.actionsColumns.actions, feedbackObject['abstractData'].value.actionsColumns.convertions, feedbackObject['abstractData'].value.actionsColumns.purchase, feedbackObject['abstractData'].value.actionsColumns.roiRoas, feedbackObject['abstractData'].value.videoColumns);
            if (Object.keys(allTableColumns).every((k) => !allTableColumns[k])) {
                this.showEmptyAllColumnsErrorMsg = true;
                return;
            }
            else {
                this.showEmptyAllColumnsErrorMsg = false;
            }
        }
        this.popupService.popupFeedback.next(feedbackObject);
    }
    manageDisabledControls(response) {
        if (response === this.popupData.notDisableControlValue) {
            this.popupForm.get(this.popupData.disableFormName).enable();
        }
        else {
            this.popupForm.get(this.popupData.disableFormName).disable();
        }
    }
    disabledControlsValueChanges() {
        this.popupForm.get(this.popupData.onDisableFieldControl).valueChanges.subscribe((response) => {
            this.manageDisabledControls(response);
        });
    }
    updateData(e) {
        this.popupData.updateData(e);
    }
    offsetHandler(offset) {
        this.popupData.offsetHandler(offset);
    }
    searchHandler(text) {
        this.popupData.searchHandler(text);
    }
    manageRadioButtons() {
        this.popupForm.get('name')?.valueChanges.subscribe((type) => {
            if (type[0] === 136 || type[0] === 137) {
                const radios = this?.popupData?.fields?.find((f) => f.type === 'radio' && f.value === 'byValue')?.radios;
                if (radios) {
                    radios[0].disabled = true;
                    radios[1].name = 'By Value: True';
                    radios[2].name = 'By Value: False';
                }
            }
            else if (type[0] > 0) {
                const radios = this?.popupData?.fields?.find((f) => f.type === 'radio' && f.value === 'byValue')?.radios;
                if (radios) {
                    radios[0].disabled = false;
                    radios[1].name = 'Existing: True';
                    radios[2].name = 'Existing: False';
                }
            }
        });
    }
    enableManualUpload() {
        if (this.fileuploadListeners) {
            const element = this.popupForm.get('list');
            if (element) {
                element.enable();
            }
        }
    }
}
PopupComponentClass.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: PopupComponentClass, deps: [{ token: PopupServiceClass }, { token: i2.FormBuilder }, { token: i0.Renderer2 }, { token: i1$2.Router }, { token: KeyboardService }], target: i0.ɵɵFactoryTarget.Component });
PopupComponentClass.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.3.0", type: PopupComponentClass, selector: "epom-popup", viewQueries: [{ propertyName: "popupFormElement", first: true, predicate: ["popupFormElement"], descendants: true }], usesInheritance: true, ngImport: i0, template: "<div\n  class=\"modal fade\"\n  [ngClass]=\"{'in': modalShowed, 'hide': modalDisplayNone, 'show': !modalDisplayNone, 'modal-spinner':popupData.spinner}\"\n  tabindex=\"-1\"\n  role=\"dialog\"\n  aria-labelledby=\"myModalLabel\"\n>\n  <div class=\"double-bounce\" *ngIf=\"popupData.spinner\">\n    <div class=\"double-bounce-container\">\n      <div class=\"double-bounce1\"></div>\n      <div class=\"double-bounce2\"></div>\n    </div>\n  </div>\n  <div\n    class=\"modal-dialog modal-centered modal-{{popupData.width}}\"\n    role=\"document\"\n    *ngIf=\"!!popupData.title || !!popupData.body\"\n  >\n    <div\n      class=\"modal-content modal-height-{{popupData.height}} type-{{popupData.type}}\n{{popupData.overflow && popupData.overflow}}\"\n      [attr.data-qa]=\"'PopUpContent'\"\n    >\n      <div class=\"modal-header\">\n        <section class=\"modal-title-section\">\n          <h4 class=\"modal-title\" id=\"myModalLabel\">{{ popupData.title }}</h4>\n          <span\n            *ngIf=\"popupData.closeButton\"\n            class=\"material-icons material-icons-outlined button-icon button-icon-large button-icon-outline\"\n            (click)=\"buttonClick('close-button')\"\n          >\n            close\n          </span>\n        </section>\n\n        <section *ngIf=\"popupData.subtitle\" class=\"modal-sub-title-section\" [innerHTML]=\"popupData.subtitle\"></section>\n      </div>\n\n      <div class=\"modal-body {{popupData.overflow}}\">\n        <div\n          class=\"select-popup {{popupData.overflow}}\"\n          *ngIf=\"\n                 !!popupData.dataObject\n                 && popupData.type !== 'select-with-swap'\n                 && popupData.type !== 'select-with-common'\n                 && popupData.type !== 'options-selector'\n                 && popupData.type !== 'select-versions'\n                 && popupData.type !== 'filter-by-condition'\n                 && popupData.type !== 'checkbox-group'\n                 && popupData.type !== 'cattax-category'\n                 && popupData.type !== 'stripe'\n                 && popupData.type !== 'custom-input'\n                 && popupData.type !== 'calculate-modifiers'\n              \"\n        >\n          <epom-popup-select\n            [isSearchDelay]=\"popupData.isSearchDelay\"\n            [isDisabled]=\"popupData.activityDisabled\"\n            [filtersArr]=\"popupData.dataObject.list\"\n            [selectedSet]=\"popupData.dataObject.selected\"\n            [popupType]=\"popupData.type\"\n            [limitSelection]=\"popupData.limitSelection\"\n            [sortField]=\"popupData.sortField\"\n            [isCountrySelect]=\"popupData.isCountrySelect\"\n            [countryData]=\"popupData.countryData\"\n            [isShowMoreAvailable]=\"popupData.isShowMoreAvailable\"\n            [showFilter]=\"popupData.showFilter\"\n            [emptyListMessage]=\"popupData.dataObject.emptyListMessage\"\n            [zeroSelectedItemsText]=\"popupData.dataObject.zeroSelectedItemsText\"\n            [zeroLeftColumnItemsText]=\"popupData.dataObject.zeroLeftColumnItemsText\"\n            [rightColumnTitle]=\"popupData.dataObject?.rightColumnTitle\"\n            (updateData)=\"updateData($event)\"\n            (offsetHandler)=\"offsetHandler($event)\"\n            (searchHandler)=\"searchHandler($event)\"\n            (popupSelectOutput)=\"updateSelectedItems($event)\"\n          >\n          </epom-popup-select>\n        </div>\n\n        <div class=\"{{popupData.overflow}}\" *ngIf=\"!!popupData.userActivityData\">\n          <epom-popup-user-activity [userActivityData]=\"popupData.userActivityData\"></epom-popup-user-activity>\n        </div>\n\n        <div class=\"{{popupData.overflow}}\" *ngIf=\"!!popupData.dataObject && popupData.type === 'custom-input'\">\n          <epom-popup-custom-input\n            [isDisabled]=\"popupData.activityDisabled\"\n            [filtersArr]=\"popupData.dataObject.list\"\n            [selectedSet]=\"popupData.dataObject.selected\"\n            [limitSelection]=\"popupData.limitSelection\"\n            [popupType]=\"popupData.type\"\n            (popupSelectOutput)=\"updateSelectedItems($event)\"\n          >\n          </epom-popup-custom-input>\n        </div>\n\n        <div class=\"{{popupData.overflow}}\" *ngIf=\"!!popupData.dataObject && popupData.type === 'select-versions'\">\n          <epom-popup-select-versions\n            [targetingData]=\"popupData.dataObject.versionsData\"\n            [initialFormState]=\"popupData.dataObject.targetingForm\"\n            (checkAvailabilityForm)=\"checkAvailabilityForm($event)\"\n            (popupSelectedOutput)=\"updateSelectedItems($event)\"\n          >\n          </epom-popup-select-versions>\n        </div>\n\n        <div class=\"{{popupData.overflow}}\" *ngIf=\"!!popupData.dataObject && popupData.type === 'filter-by-condition'\">\n          <epom-popup-filter-by-condition\n            [initialData]=\"popupData.dataObject.initialData\"\n            [metricList]=\"popupData.dataObject.metricList\"\n            (popupSelectedOutput)=\"updateFormData($event)\"\n          >\n          </epom-popup-filter-by-condition>\n        </div>\n\n        <div class=\"{{popupData.overflow}}\" *ngIf=\"!!popupData.dataObject && popupData.type === 'checkbox-group'\">\n          <epom-popup-checkbox-group\n            [initialData]=\"popupData.dataObject.initialData\"\n            (popupSelectedOutput)=\"updateSelectedItems($event)\"\n          >\n          </epom-popup-checkbox-group>\n        </div>\n\n        <div class=\"{{popupData.overflow}}\" *ngIf=\"!!popupData.dataObject && popupData.type === 'cattax-category'\">\n          <epom-popup-cattax-category\n            [initialData]=\"popupData.dataObject.initialData\"\n            [initialSelectedSet]=\"popupData.dataObject.selected\"\n            (popupSelectedOutput)=\"updateSelectedItems($event)\"\n          >\n          </epom-popup-cattax-category>\n        </div>\n\n        <div class=\"{{popupData.overflow}}\" *ngIf=\"!!popupData.dataObject && popupData.type === 'calculate-modifiers'\">\n          <epom-popup-calculate-modifiers\n            [campaign]=\"popupData.dataObject.campaign\"\n            [bidModifiers]=\"popupData.dataObject.bidModifiers\"\n          >\n          </epom-popup-calculate-modifiers>\n        </div>\n\n        <div class=\"{{popupData.overflow}}\" *ngIf=\"!!popupData.dataObject && popupData.type === 'select-with-common'\">\n          <epom-popup-select-with-common\n            [isSearchDelay]=\"popupData.isSearchDelay\"\n            [isDisabled]=\"popupData.activityDisabled\"\n            [filtersArr]=\"popupData.dataObject.list\"\n            [selectedSet]=\"popupData.dataObject.selected\"\n            [isShowMoreAvailable]=\"popupData.isShowMoreAvailable\"\n            [itemType]=\"popupData.itemType\"\n            [limitSelection]=\"popupData.limitSelection\"\n            [popupType]=\"popupData.type\"\n            (offsetHandler)=\"offsetHandler($event)\"\n            (searchHandler)=\"searchHandler($event)\"\n            (popupSelectOutput)=\"updateSelectedItems($event)\"\n          >\n          </epom-popup-select-with-common>\n        </div>\n\n        <div *ngIf=\"!!popupData.dataObject && popupData.type === 'options-selector'\" class=\"{{popupData.overflow}}\">\n          <epom-popup-options-selector\n            [isSearchDelay]=\"popupData.isSearchDelay\"\n            [isDisabled]=\"popupData.activityDisabled\"\n            [filtersArr]=\"popupData.dataObject.list\"\n            [selectedSet]=\"popupData.dataObject.selected\"\n            [itemType]=\"popupData.itemType\"\n            [limitSelection]=\"popupData.limitSelection\"\n            [isShowMoreAvailable]=\"popupData.isShowMoreAvailable\"\n            [popupType]=\"popupData.type\"\n            (offsetHandler)=\"offsetHandler($event)\"\n            (searchHandler)=\"searchHandler($event)\"\n            (popupSelectOutput)=\"updateSelectedItems($event)\"\n          ></epom-popup-options-selector>\n        </div>\n\n        <div class=\"{{popupData.overflow}}\" *ngIf=\"!!popupData.dataObject && popupData.type === 'select-with-swap'\">\n          <epom-popup-select-with-swap\n            [isDisabled]=\"popupData.activityDisabled\"\n            [filtersArr]=\"popupData.dataObject.list\"\n            [selectedSet]=\"popupData.dataObject.selected\"\n            [popupType]=\"popupData.type\"\n            [includeType]=\"popupData.includeType\"\n            [limitSelection]=\"popupData.limitSelection\"\n            (popupSelectOutput)=\"updateSelectedItems($event)\"\n          >\n          </epom-popup-select-with-swap>\n        </div>\n        <div class=\"{{popupData.overflow}}\" *ngIf=\"popupData.type === 'upload-history'\">\n          <epom-popup-upload-history [data]=\"popupData.data\"> </epom-popup-upload-history>\n        </div>\n\n        <div class=\"{{popupData.overflow}} select-popup\" *ngIf=\"!!popupData.geoObject\">\n          <epom-popup-geo\n            [isDisabled]=\"popupData.activityDisabled\"\n            [countriesStream]=\"popupData.geoObject.countriesStream\"\n            [statesStream]=\"popupData.geoObject.statesStream\"\n            [citiesStream]=\"popupData.geoObject.citiesStream\"\n            [initialValues]=\"popupData.geoObject.initialValues\"\n            (chousenGeo)=\"sendSelectQuery($event)\"\n            (newTargets)=\"updateSelectedItems($event)\"\n          >\n          </epom-popup-geo>\n        </div>\n\n        <div class=\"{{popupData.overflow}}\" *ngIf=\"!!popupData.geoObjectSSP\">\n          <epom-popup-geo-ssp\n            [isDisabled]=\"popupData.activityDisabled\"\n            [countriesStream]=\"popupData.geoObjectSSP.countriesStream\"\n            [statesStream]=\"popupData.geoObjectSSP.statesStream\"\n            [citiesStream]=\"popupData.geoObjectSSP.citiesStream\"\n            [initialValues]=\"popupData.geoObjectSSP.initialValues\"\n            (chousenGeo)=\"sendSelectQuery($event)\"\n            (newTargets)=\"updateSelectedItems($event)\"\n          >\n          </epom-popup-geo-ssp>\n        </div>\n\n        <div class=\"{{popupData.overflow}}\" *ngIf=\"popupData.type === 'tableConfig'\">\n          <epom-popup-table-config\n            [analyticTableConfig]=\"popupData.analyticTableConfig\"\n            [visibleColumns]=\"popupData.visibleColumns\"\n            [extraAdminColumns]=\"popupData.extraAdminColumns\"\n            [enabledPermissions]=\"popupData.enabledPermissions\"\n            (formUpdated)=\"updateAbstractData($event)\"\n          >\n          </epom-popup-table-config>\n        </div>\n\n        <div class=\"{{popupData.overflow}}\" *ngIf=\"popupData.type === 'creativeDebug'\">\n          <epom-popup-creative-debug [creativeDebugData]=\"popupData.creativeDebugData\"></epom-popup-creative-debug>\n        </div>\n\n        <div class=\"{{popupData.overflow}}\" *ngIf=\"popupData.type === 'stripe'\">\n          <epom-popup-stripe\n            [amount]=\"popupData.amount\"\n            [publicKey]=\"popupData.publicKey\"\n            (newDataFromStripeAPI)=\"updateAbstractData($event)\"\n          >\n          </epom-popup-stripe>\n        </div>\n\n        <div\n          class=\"{{popupData.overflow}}\"\n          [innerHTML]=\"popupData.body\"\n          [ngClass]=\"{'text-center': popupData.center}\"\n          *ngIf=\"popupData.body\"\n        ></div>\n\n        <div\n          class=\"{{popupData.overflow}}\"\n          *ngIf=\"!!popupData.fields?.length &&\n        (!popupData.dataObject\n        && !popupData.geoObject\n        && popupData.type !== 'tableConfig'\n        && popupData.type !== 'preview')\"\n        >\n          <form\n            [formGroup]=\"popupForm\"\n            class=\"modal-form\"\n            #popupFormElement\n            [ngClass]=\"{'custom-popup-form': popupData.customPopupClass}\"\n          >\n            <ng-container *ngFor=\"let field of getVisibleFields()\">\n              <div\n                class=\"form-control-wrapper\"\n                *ngIf=\"!field.hiddenOnDefault || popupForm.get(field.showControlName).value === field.showControlValue\"\n              >\n                <div *ngIf=\"field.type === 'select'\">\n                  <label class=\"control-label select-label\" *ngIf=\"field.label\"\n                    >{{ field.label }}<span\n                      class=\"required-item\"\n                      [ngClass]=\"{'invalid': popupForm.get(field.name).invalid}\"\n                      *ngIf=\"field['required'] ? field['required'] : false\"\n                      >*</span\n                    >\n                  </label>\n                  <input type=\"hidden\" formControlName=\"{{field.name}}\" />\n                  <custom-select\n                    [isSearchDelay]=\"field.isSearchDelay\"\n                    [placeholder]=\"field.placeholder\"\n                    [valuesStream]=\"dataStreams[field.name]\"\n                    [search]=\"(field['search'] !== 'undefined' ? field['search'] : true)\"\n                    [formElement]=\"popupForm.get(field.name)\"\n                    [useClear]=\"field['useClear'] ? field['useClear'] : false\"\n                    [clearLikeOption]=\"field['useClear'] ? field['useClear'] : false\"\n                    [dataQa]=\"field.name\"\n                    [startTypingText]=\"field?.startTypingText\"\n                    [dropdownPosition]=\"field?.dropdownPosition\"\n                    (searchHandler)=\"searchHandler($event)\"\n                  ></custom-select>\n                </div>\n\n                <div *ngIf=\"field.type === 'upload'\">\n                  <div\n                    ng2FileDrop\n                    [ngClass]=\"{\n                    'nv-file-over': hasBaseDropZoneOver,\n                    'nv-file-error': addFileError,\n                    'hidden': uploader?.queue?.length > 0\n                    }\"\n                    (fileOver)=\"fileOverBase($event)\"\n                    [uploader]=\"uploader\"\n                    (click)=\"fileInputField.click()\"\n                    class=\"well my-drop-zone\"\n                  >\n                    <p class=\"drop-zone-text\">\n                      {{ field.placeholder ? field.placeholder : 'Drop file here or click to upload List' }}\n                    </p>\n                    <div class=\"drop-zone-format\">Format: {{ field?.format ? field.format : '(.csv, .txt)' }}</div>\n                  </div>\n                  <small *ngIf=\"addFileError\" class=\"text-danger\"><sup>*</sup> {{ addFileErrorMsg }}</small>\n\n                  <input\n                    data-qa=\"file\"\n                    type=\"file\"\n                    ng2FileSelect\n                    [uploader]=\"uploader\"\n                    multiple\n                    class=\"hidden\"\n                    #fileInputField\n                  />\n\n                  <div class=\"file-preview-wrapper\">\n                    <div class=\"file-preview\" *ngFor=\"let item of uploader.queue\">\n                      <div class=\"thumbnail\">\n                        <div class=\"caption text-left\" *ngIf=\"!item?.file?.srcLocal\">\n                          <span class=\"material-icons material-icons-outlined\"> insert_drive_file </span>\n                          <span class=\"file-name\">{{ item?.file?.name }}</span>\n                        </div>\n                      </div>\n\n                      <span\n                        class=\"material-icons material-icons-outlined button-icon button-icon-outline button-icon-large\"\n                        (click)=\"removeFile(item?.file?.name)\"\n                      >\n                        delete_outline\n                      </span>\n                    </div>\n                  </div>\n                </div>\n\n                <div class=\"form-group\" *ngIf=\"field.type === 'switcher'\">\n                  <label class=\"control-label\">{{ field.label }}</label>\n                  <div class=\"popup-switcher\">\n                    <mat-slide-toggle formControlName=\"{{field.name}}\" [checked]=\"field.value\">\n                      <div *ngIf=\"!field.hiddenValue\">\n                        <span *ngIf=\"!popupForm.get(field.name).value\" class=\"switcher-text text-off\">\n                          {{ field.switcherOptions ? field.switcherOptions.offState : 'Off' }}</span\n                        >\n                        <span *ngIf=\"popupForm.get(field.name).value\" class=\"switcher-text text-on\">\n                          {{ field.switcherOptions ? field.switcherOptions.onState : 'On' }}</span\n                        >\n                      </div>\n                    </mat-slide-toggle>\n                    <label class=\"control-label\">{{ field.placeholder }}</label>\n                  </div>\n                </div>\n\n                <div *ngIf=\"field.type === 'radio'\" [class]=\"field.class\">\n                  <div class=\"switchers-group\">\n                    <div class=\"switchers-inline\" *ngFor=\"let radio of field.radios\">\n                      <input\n                        [attr.checked]=\"radio.value === field.value ? 'checked' : null\"\n                        [attr.data-qa]=\"radio.value\"\n                        class=\"switchers\"\n                        id=\"{{radio.id}}\"\n                        formControlName=\"{{field.name}}\"\n                        type=\"radio\"\n                        value=\"{{radio.value}}\"\n                        *ngIf=\"!radio.disabled\"\n                      />\n                      <label for=\"{{radio.id}}\">{{ radio.name }}</label>\n                    </div>\n                  </div>\n                </div>\n\n                <div *ngIf=\"field.type === 'checkbox'\">\n                  <span class=\"switcher\">\n                    <input\n                      formControlName=\"{{field.name}}\"\n                      [attr.data-qa]=\"field.name\"\n                      class=\"switchers\"\n                      id=\"{{field.name}}-popup\"\n                      [checked]=\"field.value\"\n                      type=\"checkbox\"\n                    />\n                    <label class=\"bg-success column-label\" for=\"{{field.name}}-popup\">{{ field.title }}</label>\n                  </span>\n                </div>\n\n                <epom-name-form-error\n                  *ngIf=\"field.showNameErrorMessage\"\n                  [control]=\"popupForm.get(field.name)\"\n                  [isSubmitted]=\"exitMessage === 'submit'\"\n                ></epom-name-form-error>\n\n                <input\n                  *ngIf=\"field.hasOwnProperty('maxlength') && field.hasOwnProperty('mask') && field.type !== 'checkbox' && field.type !== 'textarea' && field.type !== 'select' && field.type !== 'switcher' && field.type !== 'radio' && field.type !== 'upload' && field.type !== 'number' && field.type !== 'code'\"\n                  [attr.data-qa]=\"field.name\"\n                  type=\"{{field.type}}\"\n                  formControlName=\"{{field.name}}\"\n                  value=\"{{field.value}}\"\n                  maxlength=\"{{field.maxlength}}\"\n                  appAutofocus\n                  [isSetAutofocus]=\"field.hasInputAutoFocus\"\n                  placeholder=\"{{field.placeholder}}\"\n                  class=\"form-control\"\n                  [textMask]=\"field.mask\"\n                />\n                <input\n                  *ngIf=\"!field.hasOwnProperty('maxlength') && field.hasOwnProperty('mask') && field.type !== 'checkbox' && field.type !== 'textarea' && field.type !== 'select' && field.type !== 'switcher' && field.type !== 'radio' && field.type !== 'upload' && field.type !== 'number' && field.type !== 'code'\"\n                  [attr.data-qa]=\"field.name\"\n                  type=\"{{field.type}}\"\n                  formControlName=\"{{field.name}}\"\n                  value=\"{{field.value}}\"\n                  appAutofocus\n                  [isSetAutofocus]=\"field.hasInputAutoFocus\"\n                  placeholder=\"{{field.placeholder}}\"\n                  class=\"form-control\"\n                  [textMask]=\"field.mask\"\n                />\n                <input\n                  *ngIf=\"field.hasOwnProperty('maxlength') && !field.hasOwnProperty('mask') && field.type !== 'checkbox' && field.type !== 'textarea' && field.type !== 'select' && field.type !== 'switcher' && field.type !== 'radio' && field.type !== 'upload' && field.type !== 'number' && field.type !== 'code'\"\n                  [attr.data-qa]=\"field.name\"\n                  type=\"{{field.type}}\"\n                  formControlName=\"{{field.name}}\"\n                  value=\"{{field.value}}\"\n                  maxlength=\"{{field.maxlength}}\"\n                  appAutofocus\n                  [isSetAutofocus]=\"field.hasInputAutoFocus\"\n                  placeholder=\"{{field.placeholder}}\"\n                  class=\"form-control\"\n                />\n                <input\n                  *ngIf=\"!field.trim && !field.hasOwnProperty('maxlength')\n                 && !field.hasOwnProperty('mask') && field.type !== 'checkbox'\n                 && field.type !== 'textarea' && field.type !== 'select'\n                 && field.type !== 'switcher' && field.type !== 'radio'\n                 && field.type !== 'upload' && field.type !== 'number' && field.type !== 'code'\"\n                  [attr.data-qa]=\"field.name\"\n                  type=\"{{field.type}}\"\n                  formControlName=\"{{field.name}}\"\n                  value=\"{{field.value}}\"\n                  appAutofocus\n                  [isSetAutofocus]=\"field.hasInputAutoFocus\"\n                  placeholder=\"{{field.placeholder}}\"\n                  class=\"form-control\"\n                />\n                <input\n                  *ngIf=\"field.trim && !field.hasOwnProperty('maxlength') && !field.hasOwnProperty('mask') && field.type !== 'checkbox' && field.type !== 'textarea' && field.type !== 'select' && field.type !== 'switcher' && field.type !== 'radio' && field.type !== 'upload' && field.type !== 'number' && field.type !== 'code'\"\n                  [attr.data-qa]=\"field.name\"\n                  type=\"{{field.type}}\"\n                  formControlName=\"{{field.name}}\"\n                  value=\"{{field.value}}\"\n                  appAutofocus\n                  trim=\"blur\"\n                  [isSetAutofocus]=\"field.hasInputAutoFocus\"\n                  placeholder=\"{{field.placeholder}}\"\n                  class=\"form-control\"\n                />\n\n                <div *ngIf=\"field.type === 'textarea'\">\n                  <textarea\n                    [attr.data-qa]=\"field.name\"\n                    rows=\"8\"\n                    formControlName=\"{{field.name}}\"\n                    value=\"{{field.value}}\"\n                    placeholder=\"{{field.placeholder}}\"\n                    class=\"form-control {{field.class}}\"\n                  >\n                  </textarea>\n\n                  <p *ngIf=\"field.description\" class=\"textarea-description\">{{ field.description }}</p>\n                </div>\n\n                <div *ngIf=\"field.type === 'number'\">\n                  <epom-input-counter\n                    ngDefaultControl\n                    [showQuantityButton]=\"field.showQuantityButton\"\n                    [formControl]=\"popupForm.get(field.name)\"\n                    [attr.data-qa]=\"field.name\"\n                    [placeholder]=\"field.placeholder\"\n                    [minQuantity]=\"field.minQuantity\"\n                  >\n                  </epom-input-counter>\n                </div>\n\n                <div *ngIf=\"field.type === 'code'\">\n                  <ngx-codemirror\n                    [attr.data-qa]=\"field.name\"\n                    [options]=\"codemirrorOptions\"\n                    formControlName=\"{{field.name}}\"\n                  ></ngx-codemirror>\n                </div>\n\n                <label\n                  [attr.data-qa]=\"field.name + 'Label'\"\n                  class=\"control-label\"\n                  *ngIf=\"field.type !== 'checkbox' && field.type !== 'select'\n              && field.type !== 'switcher' && field.type !== 'radio' && field.type !== 'upload'\"\n                  >{{ field.label }}<span\n                    class=\"required-item\"\n                    [ngClass]=\"{'invalid': popupForm.get(field.name).invalid}\"\n                    *ngIf=\"field['required'] ? field['required'] : false\"\n                    >*</span\n                  >\n                </label>\n              </div>\n            </ng-container>\n          </form>\n        </div>\n      </div>\n\n      <div style=\"color: red; padding-left: 20px\" *ngIf=\"showEmptyAllColumnsErrorMsg\">\n        <span>You should select at least one column.</span>\n      </div>\n\n      <div class=\"modal-footer text-{{popupData.buttonsPosition}}\" *ngIf=\"popupData.buttons\">\n        <button\n          *ngFor=\"let button of popupData.buttons\"\n          [attr.data-qa]=\"button.event\"\n          class=\"button button-{{getButton(button.class)}} modal-btn\"\n          [ngClass]=\"button.additionalClass\"\n          (click)=\"buttonClick(button.event)\"\n          [disabled]=\"button.text === 'OK' && !isSubmitAvailable\"\n        >\n          {{ button.text }}\n        </button>\n      </div>\n    </div>\n  </div>\n\n  <div\n    (click)=\"close($event)\"\n    class=\"modal-backdrop {{popupData.overlayTheme}} fade\"\n    [ngClass]=\"{'in': modalShowed, 'hide': modalDisplayNone, 'show': !modalDisplayNone, 'modal-backdrop-spinner':popupData.spinner}\"\n  ></div>\n</div>\n", styles: [":root{--palette-primary-0: #000000;--palette-primary-10: #001A41;--palette-primary-20: #002E69;--palette-primary-30: #004493;--palette-primary-40: #005BC0;--palette-primary-50: #2E74DF;--palette-primary-60: #4F8FFB;--palette-primary-70: #80ABFF;--palette-primary-80: #ADC6FF;--palette-primary-90: #D8E2FF;--palette-primary-95: #EDF0FF;--palette-primary-99: #FEFBFF;--palette-primary-100: #FFFFFF;--palette-secondary-0: #000000;--palette-secondary-10: #04006D;--palette-secondary-20: #1E2084;--palette-secondary-30: #373A9B;--palette-secondary-40: #4F54B4;--palette-secondary-50: #686DCF;--palette-secondary-60: #8287EB;--palette-secondary-70: #9FA3FF;--palette-secondary-80: #C0C1FF;--palette-secondary-90: #E1E0FF;--palette-secondary-95: #F1EFFF;--palette-secondary-99: #FFFBFF;--palette-secondary-100: #FFFFFF;--palette-tertiary-0: #000000;--palette-tertiary-10: #29132D;--palette-tertiary-20: #402843;--palette-tertiary-30: #583E5B;--palette-tertiary-40: #715573;--palette-tertiary-50: #8B6D8D;--palette-tertiary-60: #A687A8;--palette-tertiary-70: #C2A1C3;--palette-tertiary-80: #DEBCDF;--palette-tertiary-90: #FBD7FC;--palette-tertiary-95: #FFEBFC;--palette-tertiary-99: #FFFBFF;--palette-tertiary-100: #FFFFFF;--palette-error-0: #000000;--palette-error-10: #410002;--palette-error-20: #690005;--palette-error-30: #93000A;--palette-error-40: #BA1A1A;--palette-error-50: #DE3730;--palette-error-60: #FF5449;--palette-error-70: #FF897D;--palette-error-80: #FFB4AB;--palette-error-90: #FFDAD6;--palette-error-95: #FFEDEA;--palette-error-99: #FFFBFF;--palette-error-100: #FFFFFF;--palette-neutral-0: #000000;--palette-neutral-10: #1A1C1E;--palette-neutral-20: #2F3033;--palette-neutral-30: #46474A;--palette-neutral-40: #5D5E62;--palette-neutral-50: #76777A;--palette-neutral-60: #909094;--palette-neutral-70: #ABABAE;--palette-neutral-80: #C7C6CA;--palette-neutral-90: #E3E2E6;--palette-neutral-95: #F1F0F4;--palette-neutral-99: #FDFCFF;--palette-neutral-100: #FFFFFF;--palette-neutral-variant-0: #000000;--palette-neutral-variant-10: #191C22;--palette-neutral-variant-20: #2E3038;--palette-neutral-variant-30: #44474F;--palette-neutral-variant-40: #5C5E66;--palette-neutral-variant-50: #74777F;--palette-neutral-variant-60: #8E9099;--palette-neutral-variant-70: #A9ABB4;--palette-neutral-variant-80: #C4C6D0;--palette-neutral-variant-90: #E1E2EC;--palette-neutral-variant-95: #EFF0FA;--palette-neutral-variant-99: #FEFBFF;--palette-neutral-variant-100: #FFFFFF;--palette-success-0: #000000;--palette-success-10: #052100;--palette-success-20: #0D3900;--palette-success-30: #175200;--palette-success-40: #216D00;--palette-success-50: #2C8900;--palette-success-60: #48A424;--palette-success-70: #62C03E;--palette-success-80: #7DDD57;--palette-success-90: #98FA70;--palette-success-95: #CCFFB2;--palette-success-99: #F7FFED;--palette-success-100: #FFFFFF;--palette-warning-0: #000000;--palette-warning-10: #261A00;--palette-warning-20: #402D00;--palette-warning-30: #5C4300;--palette-warning-40: #795900;--palette-warning-50: #987100;--palette-warning-60: #B88900;--palette-warning-70: #D9A200;--palette-warning-80: #FBBC0C;--palette-warning-90: #FFDFA0;--palette-warning-95: #FFEFD5;--palette-warning-99: #FFFBFF;--palette-warning-100: #FFFFFF}:root{--primary-color: var(--themePrimButtonsBg-color, #005bc0);--primary-light: var(--themePrimButtonsBg-color);--on-primary-light: var(--on-themePrimButtonsBg-color);--on-primary-container-light: var(--on-themePrimButtonsBg-container-color);--error-light: var(--error-default-color);--on-error-light: var(--error-on-color);--error-container-light: var(--palette-error-90);--on-error-container-light: var(--palette-error-10);--background-light: var(--palette-neutral-100);--on-background-light: var(--neutral-on-main-neutral-color, #1a1c1e);--surface-light: var(--palette-neutral-99);--on-surface-light: var(--neutral-on-main-neutral-color, #1a1c1e);--surface-variant-light: var(--neutral-neutral-color, #e1e2ec);--surface-neutral-light-30pct: rgba(26, 28, 30, .3);--on-surface-variant-light: var(--palette-neutral-variant-30);--outline-light: var(--palette-neutral-variant-50);--disable-light: rgba(26, 28, 30, .12);--inverse-surface-light: var(--palette-neutral-20);--on-inverse-surface-light: var(--palette-neutral-variant-95);--outline-variant-light: var(--neutral-outline-variant-color);--on-disable-light: rgba(26, 28, 30, .3);--success-light: var(--success-default-color);--on-success-light: var(--palette-success-100);--primary-success-light: var(--palette-success-95);--on-success-container-light: var(--palette-success-30);--warning-light: var(--palette-warning-50);--on-warning-light: var(--palette-warning-100);--warning-container-light: var(--palette-warning-95);--on-warning-container-light: var(--palette-warning-30);--skeletons-gradient-light: linear-gradient(90deg, var(--themePrimButtonsBg-4-color) 0%, var(--themePrimButtonsBg-4-color) 50.01%, var(--themePrimButtonsBg-8-color) 100%);--overlay-light: rgba(var(--palette-neutral-10), .8);--primary-hover-light: var(--themePrimButtonsBg-hover-color);--error-hover-light: var(--error-hover-color);--success-hover-light: var(--success-hover-color);--warning-hover-light: var(--warning-hover-color);--outline-hover-light: var(--palette-neutral-variant-60);--neutral-light: var(--palette-neutral-variant-90);--success-light-12pct: rgba(44, 137, 0, .12);--surface-light-8pct: var(--neutral-on-surface-variant-8-color);--surface-light-30pct: rgba(26, 28, 30, .3);--font-headline-2: 20px;--font-headline-3: 16px;--font-headline-4: 14px;--font-small-caption: 10px;--font-weight-bold: 700;--font-weight-semibold: 600;--font-weight-regular: 400;--font-body-1: 16px;--font-body-2: 14px;--font-body-3: 13px;--font-medium-button: 12px;--font-caption: 12px;--space-md: 16px;--space-sm: 8px;--light-success: #006d3e;--dark-outline: #A9ABB4;--dark-basic: #1A1C1E;--dark-basic-on-main-neutral: #E3E2E6}.modal-sub-title-section{font-size:var(--font-body-2);font-weight:var(--font-weight-regular);line-height:21px;color:var(--outline-light);padding-top:16px;max-width:720px}.select-popup{flex:1;overflow:hidden;display:flex}.modal-body:has(.select-popup){padding:0}::ng-deep .cdk-overlay-container{z-index:100000000}.overflow-visible{overflow:visible}.modal-dialog{z-index:100000000}:host ::ng-deep p{margin:0}:host ::ng-deep .modal-sub-title-section-main-text{color:var(--neutral-on-main-neutral-color);font-weight:600}.modal-body{display:flex;flex-direction:column;gap:16px;margin:24px 0;padding:0 24px;overflow:auto}.modal-form{display:flex;flex-direction:column;gap:16px}.modal-form .form-control-wrapper{max-width:100%}.modal-form .form-control-wrapper textarea{height:124px}::ng-deep .label-name{font-weight:600;color:var(--neutral-on-main-neutral-color)}.modal-body.overflow-visible{overflow:visible}.well.my-drop-zone{border:dashed 1px var(--themePrimButtonsBg-color);padding:32px;cursor:pointer;text-align:center;align-items:center;justify-content:center;background:transparent;margin-bottom:0;box-shadow:none}.well.my-drop-zone .drop-zone-text{color:var(--themePrimButtonsBg-color);font-size:14px;font-weight:600;line-height:21px;margin-bottom:4px}.well.my-drop-zone .drop-zone-format{color:var(--palette-neutral-variant-50);font-size:12px;font-weight:400;line-height:18px}.file-preview{display:flex;align-items:center;justify-content:space-between;gap:18px}.file-preview .thumbnail{width:100%;margin-bottom:0;padding:12px;border:0;background-color:var(--themePrimButtonsBg-8-color)}.file-preview .thumbnail .caption{display:flex;align-items:center;gap:12px;padding:0;color:var(--neutral-outline-color)}.file-preview .thumbnail .caption .file-name{color:var(--neutral-on-main-neutral-color)}.well.my-drop-zone:hover{background-color:var(--themePrimButtonsBg-4-color)}.well.my-drop-zone:active{background-color:var(--themePrimButtonsBg-8-color)}.file-preview-wrapper{display:flex;flex-direction:column;gap:12px}.form-submitted .invalid{color:var(--error-default-color)}.radio-button-md .switchers-group .switchers-inline label{width:156px}.textarea-description{font-size:12px;color:var(--neutral-outline-color);line-height:18px;margin-top:4px;white-space:pre-line}.overflow-inherit{overflow:inherit}.reset-btn{float:left;font-style:normal;font-weight:600;display:flex;align-items:center;flex-wrap:nowrap;white-space:nowrap;font-size:12px;line-height:18px;color:var(--themePrimButtonsBg-color);background-color:transparent;padding-left:0}.reset-btn:hover{color:var(--themePrimButtonsBg-hover-color)}.modal-body.select-popup-overflow{padding:0}.modal-body.select-popup-overflow-fh{padding:0;height:100vh}:host ::ng-deep .CodeMirror-scroll{min-height:126px;height:auto}:host ::ng-deep .CodeMirror{min-height:126px;height:auto}\n"], dependencies: [{ kind: "directive", type: i1$1.NgClass, selector: "[ngClass]", inputs: ["class", "ngClass"] }, { kind: "directive", type: i1$1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i2.ɵNgNoValidate, selector: "form:not([ngNoForm]):not([ngNativeValidate])" }, { kind: "directive", type: i2.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i2.CheckboxControlValueAccessor, selector: "input[type=checkbox][formControlName],input[type=checkbox][formControl],input[type=checkbox][ngModel]" }, { kind: "directive", type: i2.RadioControlValueAccessor, selector: "input[type=radio][formControlName],input[type=radio][formControl],input[type=radio][ngModel]", inputs: ["name", "formControlName", "value"] }, { kind: "directive", type: i2.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i2.NgControlStatusGroup, selector: "[formGroupName],[formArrayName],[ngModelGroup],[formGroup],form:not([ngNoForm]),[ngForm]" }, { kind: "directive", type: i2.MaxLengthValidator, selector: "[maxlength][formControlName],[maxlength][formControl],[maxlength][ngModel]", inputs: ["maxlength"] }, { kind: "directive", type: i2.FormControlDirective, selector: "[formControl]", inputs: ["formControl", "disabled", "ngModel"], outputs: ["ngModelChange"], exportAs: ["ngForm"] }, { kind: "directive", type: i2.FormGroupDirective, selector: "[formGroup]", inputs: ["formGroup"], outputs: ["ngSubmit"], exportAs: ["ngForm"] }, { kind: "directive", type: i2.FormControlName, selector: "[formControlName]", inputs: ["formControlName", "disabled", "ngModel"], outputs: ["ngModelChange"] }, { kind: "directive", type: i6.MaskedInputDirective, selector: "[textMask]", inputs: ["textMask"], exportAs: ["textMask"] }, { kind: "component", type: SelectComponentClass, selector: "custom-select", inputs: ["valuesStream", "useClear", "clearLikeOption", "subtitle", "placeholder", "selectedDefaultIndex", "selectedDefaultValue", "formElement", "multiple", "search", "disable", "required", "direction", "maxItems", "dataQa", "canRemoveLastItem", "showFlag", "readOnly", "width", "withDescription", "withOperation", "isEmptyStateDescription", "createSelectOptionText", "selectedItemsOnTop", "startTypingText", "isSearchDelay", "dropdownPosition"], outputs: ["valueChanged", "createOptionHandler", "searchHandler"] }, { kind: "directive", type: i8.FileDropDirective, selector: "[ng2FileDrop]", inputs: ["uploader"], outputs: ["fileOver", "onFileDrop"] }, { kind: "directive", type: i8.FileSelectDirective, selector: "[ng2FileSelect]", inputs: ["uploader"], outputs: ["onFileSelected"] }, { kind: "component", type: i9.MatSlideToggle, selector: "mat-slide-toggle", inputs: ["disabled", "disableRipple", "color", "tabIndex"], exportAs: ["matSlideToggle"] }, { kind: "component", type: InputCounterComponent, selector: "epom-input-counter", inputs: ["step", "minQuantity", "maxQuantity", "icon", "formControl", "showIcon", "iconColor", "isMaterialIcon", "showQuantityButton", "placeholder", "isReadOnly", "iconPosition", "isIconOperationSign"] }, { kind: "component", type: NameFormErrorComponent, selector: "epom-name-form-error", inputs: ["isSubmitted", "control"] }, { kind: "directive", type: i3$2.InputTrimDirective, selector: "input[trim], textarea[trim]", inputs: ["trim"] }, { kind: "component", type: i13.CodemirrorComponent, selector: "ngx-codemirror", inputs: ["className", "name", "autoFocus", "preserveScrollPosition", "options"], outputs: ["cursorActivity", "focusChange", "scroll", "drop"] }, { kind: "component", type: PopupSelectComponentClass, selector: "epom-popup-select", inputs: ["filtersArr", "isDisabled", "selectedSet", "itemType", "popupType", "limitSelection", "includeType", "sortField", "isCountrySelect", "countryData", "isShowMoreAvailable", "showFilter", "emptyListMessage", "rightColumnTitle", "zeroSelectedItemsText", "zeroLeftColumnItemsText", "isSearchDelay"], outputs: ["popupSelectOutput", "updateData", "offsetHandler", "searchHandler"] }, { kind: "component", type: GeoSelectComponentClass, selector: "epom-popup-geo", inputs: ["isDisabled", "countriesStream", "statesStream", "citiesStream", "initialValues"], outputs: ["chousenGeo", "newTargets"] }, { kind: "component", type: GeoSspSelectComponentClass, selector: "epom-popup-geo-ssp", inputs: ["isDisabled", "countriesStream", "statesStream", "citiesStream", "initialValues"], outputs: ["chousenGeo", "newTargets"] }, { kind: "component", type: PopupSelectVersionsComponentClass, selector: "epom-popup-select-versions", inputs: ["initialFormState", "targetingData"], outputs: ["popupSelectedOutput", "checkAvailabilityForm"] }, { kind: "component", type: SelectWithSwapComponent, selector: "epom-popup-select-with-swap" }, { kind: "component", type: SelectWithCommonButton, selector: "epom-popup-select-with-common" }, { kind: "component", type: PopupCustomInputComponent, selector: "epom-popup-custom-input" }, { kind: "directive", type: AutofocusDirective, selector: "[appAutofocus]", inputs: ["isSetAutofocus"] }, { kind: "component", type: PopupStripeComponentClass, selector: "epom-popup-stripe", inputs: ["amount", "publicKey"], outputs: ["newDataFromStripeAPI"] }, { kind: "component", type: UserActivityPopupComponent, selector: "epom-popup-user-activity", inputs: ["userActivityData"] }, { kind: "component", type: TableConfigComponent, selector: "epom-popup-table-config", inputs: ["analyticTableConfig", "visibleColumns", "extraAdminColumns", "enabledPermissions", "isDisabled"], outputs: ["formUpdated"] }, { kind: "component", type: CreativeDebugComponent, selector: "epom-popup-creative-debug", inputs: ["creativeDebugData"] }, { kind: "component", type: PopupFilterByConditionComponent, selector: "epom-popup-filter-by-condition", inputs: ["initialData", "metricList", "selectType"], outputs: ["popupSelectedOutput"] }, { kind: "component", type: PopupCheckboxGroupComponent, selector: "epom-popup-checkbox-group", inputs: ["initialData"], outputs: ["popupSelectedOutput"] }, { kind: "component", type: CattaxCategoryComponent, selector: "epom-popup-cattax-category", inputs: ["initialData", "initialSelectedSet"], outputs: ["popupSelectedOutput"] }, { kind: "component", type: OptionsSelectorComponent, selector: "epom-popup-options-selector" }, { kind: "component", type: PopupUploadHistoryComponent, selector: "epom-popup-upload-history", inputs: ["data"] }, { kind: "component", type: CalculateModifiersComponent, selector: "epom-popup-calculate-modifiers", inputs: ["campaign", "bidModifiers"] }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: PopupComponentClass, decorators: [{
            type: Component,
            args: [{ selector: 'epom-popup', template: "<div\n  class=\"modal fade\"\n  [ngClass]=\"{'in': modalShowed, 'hide': modalDisplayNone, 'show': !modalDisplayNone, 'modal-spinner':popupData.spinner}\"\n  tabindex=\"-1\"\n  role=\"dialog\"\n  aria-labelledby=\"myModalLabel\"\n>\n  <div class=\"double-bounce\" *ngIf=\"popupData.spinner\">\n    <div class=\"double-bounce-container\">\n      <div class=\"double-bounce1\"></div>\n      <div class=\"double-bounce2\"></div>\n    </div>\n  </div>\n  <div\n    class=\"modal-dialog modal-centered modal-{{popupData.width}}\"\n    role=\"document\"\n    *ngIf=\"!!popupData.title || !!popupData.body\"\n  >\n    <div\n      class=\"modal-content modal-height-{{popupData.height}} type-{{popupData.type}}\n{{popupData.overflow && popupData.overflow}}\"\n      [attr.data-qa]=\"'PopUpContent'\"\n    >\n      <div class=\"modal-header\">\n        <section class=\"modal-title-section\">\n          <h4 class=\"modal-title\" id=\"myModalLabel\">{{ popupData.title }}</h4>\n          <span\n            *ngIf=\"popupData.closeButton\"\n            class=\"material-icons material-icons-outlined button-icon button-icon-large button-icon-outline\"\n            (click)=\"buttonClick('close-button')\"\n          >\n            close\n          </span>\n        </section>\n\n        <section *ngIf=\"popupData.subtitle\" class=\"modal-sub-title-section\" [innerHTML]=\"popupData.subtitle\"></section>\n      </div>\n\n      <div class=\"modal-body {{popupData.overflow}}\">\n        <div\n          class=\"select-popup {{popupData.overflow}}\"\n          *ngIf=\"\n                 !!popupData.dataObject\n                 && popupData.type !== 'select-with-swap'\n                 && popupData.type !== 'select-with-common'\n                 && popupData.type !== 'options-selector'\n                 && popupData.type !== 'select-versions'\n                 && popupData.type !== 'filter-by-condition'\n                 && popupData.type !== 'checkbox-group'\n                 && popupData.type !== 'cattax-category'\n                 && popupData.type !== 'stripe'\n                 && popupData.type !== 'custom-input'\n                 && popupData.type !== 'calculate-modifiers'\n              \"\n        >\n          <epom-popup-select\n            [isSearchDelay]=\"popupData.isSearchDelay\"\n            [isDisabled]=\"popupData.activityDisabled\"\n            [filtersArr]=\"popupData.dataObject.list\"\n            [selectedSet]=\"popupData.dataObject.selected\"\n            [popupType]=\"popupData.type\"\n            [limitSelection]=\"popupData.limitSelection\"\n            [sortField]=\"popupData.sortField\"\n            [isCountrySelect]=\"popupData.isCountrySelect\"\n            [countryData]=\"popupData.countryData\"\n            [isShowMoreAvailable]=\"popupData.isShowMoreAvailable\"\n            [showFilter]=\"popupData.showFilter\"\n            [emptyListMessage]=\"popupData.dataObject.emptyListMessage\"\n            [zeroSelectedItemsText]=\"popupData.dataObject.zeroSelectedItemsText\"\n            [zeroLeftColumnItemsText]=\"popupData.dataObject.zeroLeftColumnItemsText\"\n            [rightColumnTitle]=\"popupData.dataObject?.rightColumnTitle\"\n            (updateData)=\"updateData($event)\"\n            (offsetHandler)=\"offsetHandler($event)\"\n            (searchHandler)=\"searchHandler($event)\"\n            (popupSelectOutput)=\"updateSelectedItems($event)\"\n          >\n          </epom-popup-select>\n        </div>\n\n        <div class=\"{{popupData.overflow}}\" *ngIf=\"!!popupData.userActivityData\">\n          <epom-popup-user-activity [userActivityData]=\"popupData.userActivityData\"></epom-popup-user-activity>\n        </div>\n\n        <div class=\"{{popupData.overflow}}\" *ngIf=\"!!popupData.dataObject && popupData.type === 'custom-input'\">\n          <epom-popup-custom-input\n            [isDisabled]=\"popupData.activityDisabled\"\n            [filtersArr]=\"popupData.dataObject.list\"\n            [selectedSet]=\"popupData.dataObject.selected\"\n            [limitSelection]=\"popupData.limitSelection\"\n            [popupType]=\"popupData.type\"\n            (popupSelectOutput)=\"updateSelectedItems($event)\"\n          >\n          </epom-popup-custom-input>\n        </div>\n\n        <div class=\"{{popupData.overflow}}\" *ngIf=\"!!popupData.dataObject && popupData.type === 'select-versions'\">\n          <epom-popup-select-versions\n            [targetingData]=\"popupData.dataObject.versionsData\"\n            [initialFormState]=\"popupData.dataObject.targetingForm\"\n            (checkAvailabilityForm)=\"checkAvailabilityForm($event)\"\n            (popupSelectedOutput)=\"updateSelectedItems($event)\"\n          >\n          </epom-popup-select-versions>\n        </div>\n\n        <div class=\"{{popupData.overflow}}\" *ngIf=\"!!popupData.dataObject && popupData.type === 'filter-by-condition'\">\n          <epom-popup-filter-by-condition\n            [initialData]=\"popupData.dataObject.initialData\"\n            [metricList]=\"popupData.dataObject.metricList\"\n            (popupSelectedOutput)=\"updateFormData($event)\"\n          >\n          </epom-popup-filter-by-condition>\n        </div>\n\n        <div class=\"{{popupData.overflow}}\" *ngIf=\"!!popupData.dataObject && popupData.type === 'checkbox-group'\">\n          <epom-popup-checkbox-group\n            [initialData]=\"popupData.dataObject.initialData\"\n            (popupSelectedOutput)=\"updateSelectedItems($event)\"\n          >\n          </epom-popup-checkbox-group>\n        </div>\n\n        <div class=\"{{popupData.overflow}}\" *ngIf=\"!!popupData.dataObject && popupData.type === 'cattax-category'\">\n          <epom-popup-cattax-category\n            [initialData]=\"popupData.dataObject.initialData\"\n            [initialSelectedSet]=\"popupData.dataObject.selected\"\n            (popupSelectedOutput)=\"updateSelectedItems($event)\"\n          >\n          </epom-popup-cattax-category>\n        </div>\n\n        <div class=\"{{popupData.overflow}}\" *ngIf=\"!!popupData.dataObject && popupData.type === 'calculate-modifiers'\">\n          <epom-popup-calculate-modifiers\n            [campaign]=\"popupData.dataObject.campaign\"\n            [bidModifiers]=\"popupData.dataObject.bidModifiers\"\n          >\n          </epom-popup-calculate-modifiers>\n        </div>\n\n        <div class=\"{{popupData.overflow}}\" *ngIf=\"!!popupData.dataObject && popupData.type === 'select-with-common'\">\n          <epom-popup-select-with-common\n            [isSearchDelay]=\"popupData.isSearchDelay\"\n            [isDisabled]=\"popupData.activityDisabled\"\n            [filtersArr]=\"popupData.dataObject.list\"\n            [selectedSet]=\"popupData.dataObject.selected\"\n            [isShowMoreAvailable]=\"popupData.isShowMoreAvailable\"\n            [itemType]=\"popupData.itemType\"\n            [limitSelection]=\"popupData.limitSelection\"\n            [popupType]=\"popupData.type\"\n            (offsetHandler)=\"offsetHandler($event)\"\n            (searchHandler)=\"searchHandler($event)\"\n            (popupSelectOutput)=\"updateSelectedItems($event)\"\n          >\n          </epom-popup-select-with-common>\n        </div>\n\n        <div *ngIf=\"!!popupData.dataObject && popupData.type === 'options-selector'\" class=\"{{popupData.overflow}}\">\n          <epom-popup-options-selector\n            [isSearchDelay]=\"popupData.isSearchDelay\"\n            [isDisabled]=\"popupData.activityDisabled\"\n            [filtersArr]=\"popupData.dataObject.list\"\n            [selectedSet]=\"popupData.dataObject.selected\"\n            [itemType]=\"popupData.itemType\"\n            [limitSelection]=\"popupData.limitSelection\"\n            [isShowMoreAvailable]=\"popupData.isShowMoreAvailable\"\n            [popupType]=\"popupData.type\"\n            (offsetHandler)=\"offsetHandler($event)\"\n            (searchHandler)=\"searchHandler($event)\"\n            (popupSelectOutput)=\"updateSelectedItems($event)\"\n          ></epom-popup-options-selector>\n        </div>\n\n        <div class=\"{{popupData.overflow}}\" *ngIf=\"!!popupData.dataObject && popupData.type === 'select-with-swap'\">\n          <epom-popup-select-with-swap\n            [isDisabled]=\"popupData.activityDisabled\"\n            [filtersArr]=\"popupData.dataObject.list\"\n            [selectedSet]=\"popupData.dataObject.selected\"\n            [popupType]=\"popupData.type\"\n            [includeType]=\"popupData.includeType\"\n            [limitSelection]=\"popupData.limitSelection\"\n            (popupSelectOutput)=\"updateSelectedItems($event)\"\n          >\n          </epom-popup-select-with-swap>\n        </div>\n        <div class=\"{{popupData.overflow}}\" *ngIf=\"popupData.type === 'upload-history'\">\n          <epom-popup-upload-history [data]=\"popupData.data\"> </epom-popup-upload-history>\n        </div>\n\n        <div class=\"{{popupData.overflow}} select-popup\" *ngIf=\"!!popupData.geoObject\">\n          <epom-popup-geo\n            [isDisabled]=\"popupData.activityDisabled\"\n            [countriesStream]=\"popupData.geoObject.countriesStream\"\n            [statesStream]=\"popupData.geoObject.statesStream\"\n            [citiesStream]=\"popupData.geoObject.citiesStream\"\n            [initialValues]=\"popupData.geoObject.initialValues\"\n            (chousenGeo)=\"sendSelectQuery($event)\"\n            (newTargets)=\"updateSelectedItems($event)\"\n          >\n          </epom-popup-geo>\n        </div>\n\n        <div class=\"{{popupData.overflow}}\" *ngIf=\"!!popupData.geoObjectSSP\">\n          <epom-popup-geo-ssp\n            [isDisabled]=\"popupData.activityDisabled\"\n            [countriesStream]=\"popupData.geoObjectSSP.countriesStream\"\n            [statesStream]=\"popupData.geoObjectSSP.statesStream\"\n            [citiesStream]=\"popupData.geoObjectSSP.citiesStream\"\n            [initialValues]=\"popupData.geoObjectSSP.initialValues\"\n            (chousenGeo)=\"sendSelectQuery($event)\"\n            (newTargets)=\"updateSelectedItems($event)\"\n          >\n          </epom-popup-geo-ssp>\n        </div>\n\n        <div class=\"{{popupData.overflow}}\" *ngIf=\"popupData.type === 'tableConfig'\">\n          <epom-popup-table-config\n            [analyticTableConfig]=\"popupData.analyticTableConfig\"\n            [visibleColumns]=\"popupData.visibleColumns\"\n            [extraAdminColumns]=\"popupData.extraAdminColumns\"\n            [enabledPermissions]=\"popupData.enabledPermissions\"\n            (formUpdated)=\"updateAbstractData($event)\"\n          >\n          </epom-popup-table-config>\n        </div>\n\n        <div class=\"{{popupData.overflow}}\" *ngIf=\"popupData.type === 'creativeDebug'\">\n          <epom-popup-creative-debug [creativeDebugData]=\"popupData.creativeDebugData\"></epom-popup-creative-debug>\n        </div>\n\n        <div class=\"{{popupData.overflow}}\" *ngIf=\"popupData.type === 'stripe'\">\n          <epom-popup-stripe\n            [amount]=\"popupData.amount\"\n            [publicKey]=\"popupData.publicKey\"\n            (newDataFromStripeAPI)=\"updateAbstractData($event)\"\n          >\n          </epom-popup-stripe>\n        </div>\n\n        <div\n          class=\"{{popupData.overflow}}\"\n          [innerHTML]=\"popupData.body\"\n          [ngClass]=\"{'text-center': popupData.center}\"\n          *ngIf=\"popupData.body\"\n        ></div>\n\n        <div\n          class=\"{{popupData.overflow}}\"\n          *ngIf=\"!!popupData.fields?.length &&\n        (!popupData.dataObject\n        && !popupData.geoObject\n        && popupData.type !== 'tableConfig'\n        && popupData.type !== 'preview')\"\n        >\n          <form\n            [formGroup]=\"popupForm\"\n            class=\"modal-form\"\n            #popupFormElement\n            [ngClass]=\"{'custom-popup-form': popupData.customPopupClass}\"\n          >\n            <ng-container *ngFor=\"let field of getVisibleFields()\">\n              <div\n                class=\"form-control-wrapper\"\n                *ngIf=\"!field.hiddenOnDefault || popupForm.get(field.showControlName).value === field.showControlValue\"\n              >\n                <div *ngIf=\"field.type === 'select'\">\n                  <label class=\"control-label select-label\" *ngIf=\"field.label\"\n                    >{{ field.label }}<span\n                      class=\"required-item\"\n                      [ngClass]=\"{'invalid': popupForm.get(field.name).invalid}\"\n                      *ngIf=\"field['required'] ? field['required'] : false\"\n                      >*</span\n                    >\n                  </label>\n                  <input type=\"hidden\" formControlName=\"{{field.name}}\" />\n                  <custom-select\n                    [isSearchDelay]=\"field.isSearchDelay\"\n                    [placeholder]=\"field.placeholder\"\n                    [valuesStream]=\"dataStreams[field.name]\"\n                    [search]=\"(field['search'] !== 'undefined' ? field['search'] : true)\"\n                    [formElement]=\"popupForm.get(field.name)\"\n                    [useClear]=\"field['useClear'] ? field['useClear'] : false\"\n                    [clearLikeOption]=\"field['useClear'] ? field['useClear'] : false\"\n                    [dataQa]=\"field.name\"\n                    [startTypingText]=\"field?.startTypingText\"\n                    [dropdownPosition]=\"field?.dropdownPosition\"\n                    (searchHandler)=\"searchHandler($event)\"\n                  ></custom-select>\n                </div>\n\n                <div *ngIf=\"field.type === 'upload'\">\n                  <div\n                    ng2FileDrop\n                    [ngClass]=\"{\n                    'nv-file-over': hasBaseDropZoneOver,\n                    'nv-file-error': addFileError,\n                    'hidden': uploader?.queue?.length > 0\n                    }\"\n                    (fileOver)=\"fileOverBase($event)\"\n                    [uploader]=\"uploader\"\n                    (click)=\"fileInputField.click()\"\n                    class=\"well my-drop-zone\"\n                  >\n                    <p class=\"drop-zone-text\">\n                      {{ field.placeholder ? field.placeholder : 'Drop file here or click to upload List' }}\n                    </p>\n                    <div class=\"drop-zone-format\">Format: {{ field?.format ? field.format : '(.csv, .txt)' }}</div>\n                  </div>\n                  <small *ngIf=\"addFileError\" class=\"text-danger\"><sup>*</sup> {{ addFileErrorMsg }}</small>\n\n                  <input\n                    data-qa=\"file\"\n                    type=\"file\"\n                    ng2FileSelect\n                    [uploader]=\"uploader\"\n                    multiple\n                    class=\"hidden\"\n                    #fileInputField\n                  />\n\n                  <div class=\"file-preview-wrapper\">\n                    <div class=\"file-preview\" *ngFor=\"let item of uploader.queue\">\n                      <div class=\"thumbnail\">\n                        <div class=\"caption text-left\" *ngIf=\"!item?.file?.srcLocal\">\n                          <span class=\"material-icons material-icons-outlined\"> insert_drive_file </span>\n                          <span class=\"file-name\">{{ item?.file?.name }}</span>\n                        </div>\n                      </div>\n\n                      <span\n                        class=\"material-icons material-icons-outlined button-icon button-icon-outline button-icon-large\"\n                        (click)=\"removeFile(item?.file?.name)\"\n                      >\n                        delete_outline\n                      </span>\n                    </div>\n                  </div>\n                </div>\n\n                <div class=\"form-group\" *ngIf=\"field.type === 'switcher'\">\n                  <label class=\"control-label\">{{ field.label }}</label>\n                  <div class=\"popup-switcher\">\n                    <mat-slide-toggle formControlName=\"{{field.name}}\" [checked]=\"field.value\">\n                      <div *ngIf=\"!field.hiddenValue\">\n                        <span *ngIf=\"!popupForm.get(field.name).value\" class=\"switcher-text text-off\">\n                          {{ field.switcherOptions ? field.switcherOptions.offState : 'Off' }}</span\n                        >\n                        <span *ngIf=\"popupForm.get(field.name).value\" class=\"switcher-text text-on\">\n                          {{ field.switcherOptions ? field.switcherOptions.onState : 'On' }}</span\n                        >\n                      </div>\n                    </mat-slide-toggle>\n                    <label class=\"control-label\">{{ field.placeholder }}</label>\n                  </div>\n                </div>\n\n                <div *ngIf=\"field.type === 'radio'\" [class]=\"field.class\">\n                  <div class=\"switchers-group\">\n                    <div class=\"switchers-inline\" *ngFor=\"let radio of field.radios\">\n                      <input\n                        [attr.checked]=\"radio.value === field.value ? 'checked' : null\"\n                        [attr.data-qa]=\"radio.value\"\n                        class=\"switchers\"\n                        id=\"{{radio.id}}\"\n                        formControlName=\"{{field.name}}\"\n                        type=\"radio\"\n                        value=\"{{radio.value}}\"\n                        *ngIf=\"!radio.disabled\"\n                      />\n                      <label for=\"{{radio.id}}\">{{ radio.name }}</label>\n                    </div>\n                  </div>\n                </div>\n\n                <div *ngIf=\"field.type === 'checkbox'\">\n                  <span class=\"switcher\">\n                    <input\n                      formControlName=\"{{field.name}}\"\n                      [attr.data-qa]=\"field.name\"\n                      class=\"switchers\"\n                      id=\"{{field.name}}-popup\"\n                      [checked]=\"field.value\"\n                      type=\"checkbox\"\n                    />\n                    <label class=\"bg-success column-label\" for=\"{{field.name}}-popup\">{{ field.title }}</label>\n                  </span>\n                </div>\n\n                <epom-name-form-error\n                  *ngIf=\"field.showNameErrorMessage\"\n                  [control]=\"popupForm.get(field.name)\"\n                  [isSubmitted]=\"exitMessage === 'submit'\"\n                ></epom-name-form-error>\n\n                <input\n                  *ngIf=\"field.hasOwnProperty('maxlength') && field.hasOwnProperty('mask') && field.type !== 'checkbox' && field.type !== 'textarea' && field.type !== 'select' && field.type !== 'switcher' && field.type !== 'radio' && field.type !== 'upload' && field.type !== 'number' && field.type !== 'code'\"\n                  [attr.data-qa]=\"field.name\"\n                  type=\"{{field.type}}\"\n                  formControlName=\"{{field.name}}\"\n                  value=\"{{field.value}}\"\n                  maxlength=\"{{field.maxlength}}\"\n                  appAutofocus\n                  [isSetAutofocus]=\"field.hasInputAutoFocus\"\n                  placeholder=\"{{field.placeholder}}\"\n                  class=\"form-control\"\n                  [textMask]=\"field.mask\"\n                />\n                <input\n                  *ngIf=\"!field.hasOwnProperty('maxlength') && field.hasOwnProperty('mask') && field.type !== 'checkbox' && field.type !== 'textarea' && field.type !== 'select' && field.type !== 'switcher' && field.type !== 'radio' && field.type !== 'upload' && field.type !== 'number' && field.type !== 'code'\"\n                  [attr.data-qa]=\"field.name\"\n                  type=\"{{field.type}}\"\n                  formControlName=\"{{field.name}}\"\n                  value=\"{{field.value}}\"\n                  appAutofocus\n                  [isSetAutofocus]=\"field.hasInputAutoFocus\"\n                  placeholder=\"{{field.placeholder}}\"\n                  class=\"form-control\"\n                  [textMask]=\"field.mask\"\n                />\n                <input\n                  *ngIf=\"field.hasOwnProperty('maxlength') && !field.hasOwnProperty('mask') && field.type !== 'checkbox' && field.type !== 'textarea' && field.type !== 'select' && field.type !== 'switcher' && field.type !== 'radio' && field.type !== 'upload' && field.type !== 'number' && field.type !== 'code'\"\n                  [attr.data-qa]=\"field.name\"\n                  type=\"{{field.type}}\"\n                  formControlName=\"{{field.name}}\"\n                  value=\"{{field.value}}\"\n                  maxlength=\"{{field.maxlength}}\"\n                  appAutofocus\n                  [isSetAutofocus]=\"field.hasInputAutoFocus\"\n                  placeholder=\"{{field.placeholder}}\"\n                  class=\"form-control\"\n                />\n                <input\n                  *ngIf=\"!field.trim && !field.hasOwnProperty('maxlength')\n                 && !field.hasOwnProperty('mask') && field.type !== 'checkbox'\n                 && field.type !== 'textarea' && field.type !== 'select'\n                 && field.type !== 'switcher' && field.type !== 'radio'\n                 && field.type !== 'upload' && field.type !== 'number' && field.type !== 'code'\"\n                  [attr.data-qa]=\"field.name\"\n                  type=\"{{field.type}}\"\n                  formControlName=\"{{field.name}}\"\n                  value=\"{{field.value}}\"\n                  appAutofocus\n                  [isSetAutofocus]=\"field.hasInputAutoFocus\"\n                  placeholder=\"{{field.placeholder}}\"\n                  class=\"form-control\"\n                />\n                <input\n                  *ngIf=\"field.trim && !field.hasOwnProperty('maxlength') && !field.hasOwnProperty('mask') && field.type !== 'checkbox' && field.type !== 'textarea' && field.type !== 'select' && field.type !== 'switcher' && field.type !== 'radio' && field.type !== 'upload' && field.type !== 'number' && field.type !== 'code'\"\n                  [attr.data-qa]=\"field.name\"\n                  type=\"{{field.type}}\"\n                  formControlName=\"{{field.name}}\"\n                  value=\"{{field.value}}\"\n                  appAutofocus\n                  trim=\"blur\"\n                  [isSetAutofocus]=\"field.hasInputAutoFocus\"\n                  placeholder=\"{{field.placeholder}}\"\n                  class=\"form-control\"\n                />\n\n                <div *ngIf=\"field.type === 'textarea'\">\n                  <textarea\n                    [attr.data-qa]=\"field.name\"\n                    rows=\"8\"\n                    formControlName=\"{{field.name}}\"\n                    value=\"{{field.value}}\"\n                    placeholder=\"{{field.placeholder}}\"\n                    class=\"form-control {{field.class}}\"\n                  >\n                  </textarea>\n\n                  <p *ngIf=\"field.description\" class=\"textarea-description\">{{ field.description }}</p>\n                </div>\n\n                <div *ngIf=\"field.type === 'number'\">\n                  <epom-input-counter\n                    ngDefaultControl\n                    [showQuantityButton]=\"field.showQuantityButton\"\n                    [formControl]=\"popupForm.get(field.name)\"\n                    [attr.data-qa]=\"field.name\"\n                    [placeholder]=\"field.placeholder\"\n                    [minQuantity]=\"field.minQuantity\"\n                  >\n                  </epom-input-counter>\n                </div>\n\n                <div *ngIf=\"field.type === 'code'\">\n                  <ngx-codemirror\n                    [attr.data-qa]=\"field.name\"\n                    [options]=\"codemirrorOptions\"\n                    formControlName=\"{{field.name}}\"\n                  ></ngx-codemirror>\n                </div>\n\n                <label\n                  [attr.data-qa]=\"field.name + 'Label'\"\n                  class=\"control-label\"\n                  *ngIf=\"field.type !== 'checkbox' && field.type !== 'select'\n              && field.type !== 'switcher' && field.type !== 'radio' && field.type !== 'upload'\"\n                  >{{ field.label }}<span\n                    class=\"required-item\"\n                    [ngClass]=\"{'invalid': popupForm.get(field.name).invalid}\"\n                    *ngIf=\"field['required'] ? field['required'] : false\"\n                    >*</span\n                  >\n                </label>\n              </div>\n            </ng-container>\n          </form>\n        </div>\n      </div>\n\n      <div style=\"color: red; padding-left: 20px\" *ngIf=\"showEmptyAllColumnsErrorMsg\">\n        <span>You should select at least one column.</span>\n      </div>\n\n      <div class=\"modal-footer text-{{popupData.buttonsPosition}}\" *ngIf=\"popupData.buttons\">\n        <button\n          *ngFor=\"let button of popupData.buttons\"\n          [attr.data-qa]=\"button.event\"\n          class=\"button button-{{getButton(button.class)}} modal-btn\"\n          [ngClass]=\"button.additionalClass\"\n          (click)=\"buttonClick(button.event)\"\n          [disabled]=\"button.text === 'OK' && !isSubmitAvailable\"\n        >\n          {{ button.text }}\n        </button>\n      </div>\n    </div>\n  </div>\n\n  <div\n    (click)=\"close($event)\"\n    class=\"modal-backdrop {{popupData.overlayTheme}} fade\"\n    [ngClass]=\"{'in': modalShowed, 'hide': modalDisplayNone, 'show': !modalDisplayNone, 'modal-backdrop-spinner':popupData.spinner}\"\n  ></div>\n</div>\n", styles: [":root{--palette-primary-0: #000000;--palette-primary-10: #001A41;--palette-primary-20: #002E69;--palette-primary-30: #004493;--palette-primary-40: #005BC0;--palette-primary-50: #2E74DF;--palette-primary-60: #4F8FFB;--palette-primary-70: #80ABFF;--palette-primary-80: #ADC6FF;--palette-primary-90: #D8E2FF;--palette-primary-95: #EDF0FF;--palette-primary-99: #FEFBFF;--palette-primary-100: #FFFFFF;--palette-secondary-0: #000000;--palette-secondary-10: #04006D;--palette-secondary-20: #1E2084;--palette-secondary-30: #373A9B;--palette-secondary-40: #4F54B4;--palette-secondary-50: #686DCF;--palette-secondary-60: #8287EB;--palette-secondary-70: #9FA3FF;--palette-secondary-80: #C0C1FF;--palette-secondary-90: #E1E0FF;--palette-secondary-95: #F1EFFF;--palette-secondary-99: #FFFBFF;--palette-secondary-100: #FFFFFF;--palette-tertiary-0: #000000;--palette-tertiary-10: #29132D;--palette-tertiary-20: #402843;--palette-tertiary-30: #583E5B;--palette-tertiary-40: #715573;--palette-tertiary-50: #8B6D8D;--palette-tertiary-60: #A687A8;--palette-tertiary-70: #C2A1C3;--palette-tertiary-80: #DEBCDF;--palette-tertiary-90: #FBD7FC;--palette-tertiary-95: #FFEBFC;--palette-tertiary-99: #FFFBFF;--palette-tertiary-100: #FFFFFF;--palette-error-0: #000000;--palette-error-10: #410002;--palette-error-20: #690005;--palette-error-30: #93000A;--palette-error-40: #BA1A1A;--palette-error-50: #DE3730;--palette-error-60: #FF5449;--palette-error-70: #FF897D;--palette-error-80: #FFB4AB;--palette-error-90: #FFDAD6;--palette-error-95: #FFEDEA;--palette-error-99: #FFFBFF;--palette-error-100: #FFFFFF;--palette-neutral-0: #000000;--palette-neutral-10: #1A1C1E;--palette-neutral-20: #2F3033;--palette-neutral-30: #46474A;--palette-neutral-40: #5D5E62;--palette-neutral-50: #76777A;--palette-neutral-60: #909094;--palette-neutral-70: #ABABAE;--palette-neutral-80: #C7C6CA;--palette-neutral-90: #E3E2E6;--palette-neutral-95: #F1F0F4;--palette-neutral-99: #FDFCFF;--palette-neutral-100: #FFFFFF;--palette-neutral-variant-0: #000000;--palette-neutral-variant-10: #191C22;--palette-neutral-variant-20: #2E3038;--palette-neutral-variant-30: #44474F;--palette-neutral-variant-40: #5C5E66;--palette-neutral-variant-50: #74777F;--palette-neutral-variant-60: #8E9099;--palette-neutral-variant-70: #A9ABB4;--palette-neutral-variant-80: #C4C6D0;--palette-neutral-variant-90: #E1E2EC;--palette-neutral-variant-95: #EFF0FA;--palette-neutral-variant-99: #FEFBFF;--palette-neutral-variant-100: #FFFFFF;--palette-success-0: #000000;--palette-success-10: #052100;--palette-success-20: #0D3900;--palette-success-30: #175200;--palette-success-40: #216D00;--palette-success-50: #2C8900;--palette-success-60: #48A424;--palette-success-70: #62C03E;--palette-success-80: #7DDD57;--palette-success-90: #98FA70;--palette-success-95: #CCFFB2;--palette-success-99: #F7FFED;--palette-success-100: #FFFFFF;--palette-warning-0: #000000;--palette-warning-10: #261A00;--palette-warning-20: #402D00;--palette-warning-30: #5C4300;--palette-warning-40: #795900;--palette-warning-50: #987100;--palette-warning-60: #B88900;--palette-warning-70: #D9A200;--palette-warning-80: #FBBC0C;--palette-warning-90: #FFDFA0;--palette-warning-95: #FFEFD5;--palette-warning-99: #FFFBFF;--palette-warning-100: #FFFFFF}:root{--primary-color: var(--themePrimButtonsBg-color, #005bc0);--primary-light: var(--themePrimButtonsBg-color);--on-primary-light: var(--on-themePrimButtonsBg-color);--on-primary-container-light: var(--on-themePrimButtonsBg-container-color);--error-light: var(--error-default-color);--on-error-light: var(--error-on-color);--error-container-light: var(--palette-error-90);--on-error-container-light: var(--palette-error-10);--background-light: var(--palette-neutral-100);--on-background-light: var(--neutral-on-main-neutral-color, #1a1c1e);--surface-light: var(--palette-neutral-99);--on-surface-light: var(--neutral-on-main-neutral-color, #1a1c1e);--surface-variant-light: var(--neutral-neutral-color, #e1e2ec);--surface-neutral-light-30pct: rgba(26, 28, 30, .3);--on-surface-variant-light: var(--palette-neutral-variant-30);--outline-light: var(--palette-neutral-variant-50);--disable-light: rgba(26, 28, 30, .12);--inverse-surface-light: var(--palette-neutral-20);--on-inverse-surface-light: var(--palette-neutral-variant-95);--outline-variant-light: var(--neutral-outline-variant-color);--on-disable-light: rgba(26, 28, 30, .3);--success-light: var(--success-default-color);--on-success-light: var(--palette-success-100);--primary-success-light: var(--palette-success-95);--on-success-container-light: var(--palette-success-30);--warning-light: var(--palette-warning-50);--on-warning-light: var(--palette-warning-100);--warning-container-light: var(--palette-warning-95);--on-warning-container-light: var(--palette-warning-30);--skeletons-gradient-light: linear-gradient(90deg, var(--themePrimButtonsBg-4-color) 0%, var(--themePrimButtonsBg-4-color) 50.01%, var(--themePrimButtonsBg-8-color) 100%);--overlay-light: rgba(var(--palette-neutral-10), .8);--primary-hover-light: var(--themePrimButtonsBg-hover-color);--error-hover-light: var(--error-hover-color);--success-hover-light: var(--success-hover-color);--warning-hover-light: var(--warning-hover-color);--outline-hover-light: var(--palette-neutral-variant-60);--neutral-light: var(--palette-neutral-variant-90);--success-light-12pct: rgba(44, 137, 0, .12);--surface-light-8pct: var(--neutral-on-surface-variant-8-color);--surface-light-30pct: rgba(26, 28, 30, .3);--font-headline-2: 20px;--font-headline-3: 16px;--font-headline-4: 14px;--font-small-caption: 10px;--font-weight-bold: 700;--font-weight-semibold: 600;--font-weight-regular: 400;--font-body-1: 16px;--font-body-2: 14px;--font-body-3: 13px;--font-medium-button: 12px;--font-caption: 12px;--space-md: 16px;--space-sm: 8px;--light-success: #006d3e;--dark-outline: #A9ABB4;--dark-basic: #1A1C1E;--dark-basic-on-main-neutral: #E3E2E6}.modal-sub-title-section{font-size:var(--font-body-2);font-weight:var(--font-weight-regular);line-height:21px;color:var(--outline-light);padding-top:16px;max-width:720px}.select-popup{flex:1;overflow:hidden;display:flex}.modal-body:has(.select-popup){padding:0}::ng-deep .cdk-overlay-container{z-index:100000000}.overflow-visible{overflow:visible}.modal-dialog{z-index:100000000}:host ::ng-deep p{margin:0}:host ::ng-deep .modal-sub-title-section-main-text{color:var(--neutral-on-main-neutral-color);font-weight:600}.modal-body{display:flex;flex-direction:column;gap:16px;margin:24px 0;padding:0 24px;overflow:auto}.modal-form{display:flex;flex-direction:column;gap:16px}.modal-form .form-control-wrapper{max-width:100%}.modal-form .form-control-wrapper textarea{height:124px}::ng-deep .label-name{font-weight:600;color:var(--neutral-on-main-neutral-color)}.modal-body.overflow-visible{overflow:visible}.well.my-drop-zone{border:dashed 1px var(--themePrimButtonsBg-color);padding:32px;cursor:pointer;text-align:center;align-items:center;justify-content:center;background:transparent;margin-bottom:0;box-shadow:none}.well.my-drop-zone .drop-zone-text{color:var(--themePrimButtonsBg-color);font-size:14px;font-weight:600;line-height:21px;margin-bottom:4px}.well.my-drop-zone .drop-zone-format{color:var(--palette-neutral-variant-50);font-size:12px;font-weight:400;line-height:18px}.file-preview{display:flex;align-items:center;justify-content:space-between;gap:18px}.file-preview .thumbnail{width:100%;margin-bottom:0;padding:12px;border:0;background-color:var(--themePrimButtonsBg-8-color)}.file-preview .thumbnail .caption{display:flex;align-items:center;gap:12px;padding:0;color:var(--neutral-outline-color)}.file-preview .thumbnail .caption .file-name{color:var(--neutral-on-main-neutral-color)}.well.my-drop-zone:hover{background-color:var(--themePrimButtonsBg-4-color)}.well.my-drop-zone:active{background-color:var(--themePrimButtonsBg-8-color)}.file-preview-wrapper{display:flex;flex-direction:column;gap:12px}.form-submitted .invalid{color:var(--error-default-color)}.radio-button-md .switchers-group .switchers-inline label{width:156px}.textarea-description{font-size:12px;color:var(--neutral-outline-color);line-height:18px;margin-top:4px;white-space:pre-line}.overflow-inherit{overflow:inherit}.reset-btn{float:left;font-style:normal;font-weight:600;display:flex;align-items:center;flex-wrap:nowrap;white-space:nowrap;font-size:12px;line-height:18px;color:var(--themePrimButtonsBg-color);background-color:transparent;padding-left:0}.reset-btn:hover{color:var(--themePrimButtonsBg-hover-color)}.modal-body.select-popup-overflow{padding:0}.modal-body.select-popup-overflow-fh{padding:0;height:100vh}:host ::ng-deep .CodeMirror-scroll{min-height:126px;height:auto}:host ::ng-deep .CodeMirror{min-height:126px;height:auto}\n"] }]
        }], ctorParameters: function () { return [{ type: PopupServiceClass }, { type: i2.FormBuilder }, { type: i0.Renderer2 }, { type: i1$2.Router }, { type: KeyboardService }]; }, propDecorators: { popupFormElement: [{
                type: ViewChild,
                args: ['popupFormElement']
            }] } });

class PopupSizeComponentClass extends PopupSelectComponentClass {
    constructor() {
        super(...arguments);
        this.isValid = true;
    }
    checkInputValidity(width, height) {
        return (!isNaN(parseInt(width, 10)) && !isNaN(parseInt(height, 10)));
    }
    addCustom(width, height) {
        if (this.checkInputValidity(width, height)) {
            const item = {
                type: this.type,
                value: {
                    width,
                    height,
                },
                name: `${width}x${height}`,
            };
            this.selectedSet.add(item);
            this.isValid = true;
            this.popupSelectOutput.emit(this.selectedSet);
        }
        else {
            this.isValid = false;
        }
    }
}
PopupSizeComponentClass.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: PopupSizeComponentClass, deps: null, target: i0.ɵɵFactoryTarget.Component });
PopupSizeComponentClass.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.3.0", type: PopupSizeComponentClass, selector: "epom-popup-size", usesInheritance: true, ngImport: i0, template: "" });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: PopupSizeComponentClass, decorators: [{
            type: Component,
            args: [{ selector: 'epom-popup-size', template: "" }]
        }] });

class PopupCridComponentClass extends PopupSelectComponentClass {
    constructor() {
        super(...arguments);
        this.isValid = true;
    }
    addId(targetTextarea) {
        this.targetTextarea = targetTextarea;
        if (targetTextarea && targetTextarea.value.trim() !== '') {
            const cridsArray = targetTextarea.value.match(/[^\r\n]+/g);
            cridsArray.forEach((crid) => {
                if (crid) {
                    this.selectedSet.add({
                        type: this.type,
                        name: `${crid}`,
                    });
                }
            });
            this.isValid = true;
            this.popupSelectOutput.emit(this.selectedSet);
            targetTextarea.value = '';
        }
        else {
            this.isValid = false;
        }
    }
    deleteFromSelected(item) {
        this.popupSelectOutput.emit(this.selectedSet);
        this.selectedSet.delete(item);
    }
}
PopupCridComponentClass.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: PopupCridComponentClass, deps: null, target: i0.ɵɵFactoryTarget.Component });
PopupCridComponentClass.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.3.0", type: PopupCridComponentClass, selector: "epom-popup-crid", usesInheritance: true, ngImport: i0, template: "<div class=\"row row-border-top row-space-40\">\n  <div class=\"col-md-6 col-right-border\">\n    <label class=\"control-label table-list-label\">CRIDs</label>\n    <div class=\"form-group\">\n      <div class=\"row has-feedback\">\n        <div class=\"col-md-10\">\n          <textarea\n            class=\"form-control\"\n            rows=\"6\"\n            (change)=\"targetTextarea = $event.target\"\n            placeholder=\"Enter CRIDs\"\n          ></textarea>\n        </div>\n        <div class=\"col-md-2\">\n          <button link-preventer class=\"btn btn-default pull-right\" (click)=\"addId(targetTextarea)\">Add</button>\n        </div>\n      </div>\n    </div>\n  </div>\n  <div class=\"col-md-6 col-left-border\">\n    <label *ngIf=\"!isDisabled\" class=\"control-label table-list-label text-success\">\n      <span class=\"{{include ? 'text-success' : 'text-danger'}}\" (click)=\"swapInclude()\">\n        {{include ? 'INCLUDE' : 'EXCLUDE'}}\n      </span>\n      Filters {{selectedSet.size}}\n      <a class=\"pull-right gray-text\" (click)=\"clearSelected()\"> Clear all </a>\n    </label>\n    <ul class=\"table-list\">\n      <li *ngFor=\"let item of selectedSet\">\n        <div class=\"table-list-item table-list-item-allow {{item['type'] === 'WHITE' ? 'text-success': 'text-danger'}}\">\n          <span class=\"filter-name-span\" *ngIf=\"item.name\">{{item.name}}</span>\n          <button *ngIf=\"!isDisabled\" type=\"button\" class=\"close\" (click)=\"deleteFromSelected(item)\">\n            <span aria-hidden=\"true\">\u00D7</span>\n          </button>\n        </div>\n      </li>\n    </ul>\n  </div>\n</div>\n", dependencies: [{ kind: "directive", type: i1$1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: LinkPreventer, selector: "[link-preventer]" }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: PopupCridComponentClass, decorators: [{
            type: Component,
            args: [{ selector: 'epom-popup-crid', template: "<div class=\"row row-border-top row-space-40\">\n  <div class=\"col-md-6 col-right-border\">\n    <label class=\"control-label table-list-label\">CRIDs</label>\n    <div class=\"form-group\">\n      <div class=\"row has-feedback\">\n        <div class=\"col-md-10\">\n          <textarea\n            class=\"form-control\"\n            rows=\"6\"\n            (change)=\"targetTextarea = $event.target\"\n            placeholder=\"Enter CRIDs\"\n          ></textarea>\n        </div>\n        <div class=\"col-md-2\">\n          <button link-preventer class=\"btn btn-default pull-right\" (click)=\"addId(targetTextarea)\">Add</button>\n        </div>\n      </div>\n    </div>\n  </div>\n  <div class=\"col-md-6 col-left-border\">\n    <label *ngIf=\"!isDisabled\" class=\"control-label table-list-label text-success\">\n      <span class=\"{{include ? 'text-success' : 'text-danger'}}\" (click)=\"swapInclude()\">\n        {{include ? 'INCLUDE' : 'EXCLUDE'}}\n      </span>\n      Filters {{selectedSet.size}}\n      <a class=\"pull-right gray-text\" (click)=\"clearSelected()\"> Clear all </a>\n    </label>\n    <ul class=\"table-list\">\n      <li *ngFor=\"let item of selectedSet\">\n        <div class=\"table-list-item table-list-item-allow {{item['type'] === 'WHITE' ? 'text-success': 'text-danger'}}\">\n          <span class=\"filter-name-span\" *ngIf=\"item.name\">{{item.name}}</span>\n          <button *ngIf=\"!isDisabled\" type=\"button\" class=\"close\" (click)=\"deleteFromSelected(item)\">\n            <span aria-hidden=\"true\">\u00D7</span>\n          </button>\n        </div>\n      </li>\n    </ul>\n  </div>\n</div>\n" }]
        }] });

class TagsInputFieldService {
    hexToRgb(hex) {
        const result = /^#?([a-f\d]{2})([a-f\d]{2})([a-f\d]{2})$/i.exec(hex);
        return result
            ? {
                red: parseInt(result[1], 16),
                green: parseInt(result[2], 16),
                blue: parseInt(result[3], 16),
            }
            : null;
    }
    getContrastColor(hex) {
        const backgroundColor = this.hexToRgb(`#${hex}`);
        const brightness = Math.round((backgroundColor.red * 299 + backgroundColor.green * 587 + backgroundColor.blue * 114) / 1000);
        return brightness > 125 ? 'var(--dark-basic)' : 'var(--neutral-main-neutral-color)';
    }
    filterListForTypeahead(searchString, targetList) {
        const safeRegexString = searchString.toLowerCase().replace(/[-[\]{}()*+?.,\\^$|#\s]/g, '\\$&');
        return targetList.filter((item) => item.text.toLowerCase().match(safeRegexString));
    }
}
TagsInputFieldService.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: TagsInputFieldService, deps: [], target: i0.ɵɵFactoryTarget.Injectable });
TagsInputFieldService.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: TagsInputFieldService });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: TagsInputFieldService, decorators: [{
            type: Injectable
        }] });

const CUSTOM_INPUT_CONTROL_VALUE_ACCESSOR = {
    provide: NG_VALUE_ACCESSOR,
    useExisting: forwardRef(() => TagsInputFieldComponent),
    multi: true,
};
class TagsInputFieldComponent {
    constructor(notifier, tagsInputFieldService, changeDetectorRef) {
        this.notifier = notifier;
        this.tagsInputFieldService = tagsInputFieldService;
        this.changeDetectorRef = changeDetectorRef;
        this.separator = ';';
        this.removeLastOnBackspace = true;
        this.canDeleteTags = true;
        this.disable = false;
        this.placeholder = '';
        this.connectedTagsList = [];
        this.onTagsChanged = new EventEmitter();
        this.onMaxTagsReached = new EventEmitter();
        this.tagsArrayOutput = [];
        this.tagsArray = [];
        this.focusElement = -1;
        this.onTouchedCallback = () => {
            return;
        };
        this.onChangeCallback = () => {
            return;
        };
        this.isOptions = false;
        this.isOptionObject = false;
        this.optionList = [];
        this.optionListInitial = [];
        this.optionListAllInitial = [];
        this.openDropdown = false;
    }
    ngOnInit() {
        if (this.optionsConfig) {
            this.optionsConfig.optionsSubject.subscribe((response) => {
                this.isOptions = true;
                this.isOptionObject = response.length > 0 && typeof response[0] === 'object';
                if (this.isOptionObject) {
                    this.optionsConfig.displayProperty =
                        this.optionsConfig.displayProperty || this.optionsConfig.outputProperty;
                }
                this.optionListAllInitial = response.map((tag) => ({
                    value: tag[this.optionsConfig.outputProperty],
                    text: tag[this.optionsConfig.displayProperty],
                    background: this.optionsConfig.backgroundProperty ? tag[this.optionsConfig.backgroundProperty] : null,
                }));
                this.optionListInitial = this.optionListAllInitial;
                if (this.isOptionObject) {
                    this.tagsArray = this.optionListInitial.filter((option) => this.tagsArrayOutput.includes(option.value));
                }
                else {
                    this.tagsArray = this.tagsArrayOutput.map((tag) => ({ value: tag, text: tag }));
                }
                this.optionListInitial = this.getUpdatedOptionList();
                this.optionList = this.optionListInitial;
            }, (_) => {
                this.notifier.pushNotify('Error getting option list for tag-field', 'error');
            });
        }
        else {
            this.tagsArray = this.tagsArrayOutput.map((tag) => ({ value: tag, text: tag }));
        }
    }
    ngAfterViewChecked() {
        this.changeDetectorRef.detectChanges();
    }
    keyDownHandler(tagInput, $event) {
        switch ($event.key) {
            case 'Backspace':
                this.removeLastTag(tagInput);
                this.focusElement = 0;
                break;
            case 'Enter':
                this.createTags($event);
                break;
            case 'ArrowUp':
                this.onArrowUp();
                break;
            case 'ArrowDown':
                this.onArrowDown();
        }
    }
    keyUpHandler(tagInput, $event) {
        if (this.isOptions && tagInput.value.length > 0) {
            this.openDropdown = true;
            this.optionList = this.tagsInputFieldService.filterListForTypeahead(tagInput.value, this.optionListInitial);
        }
        if (this.isOptions && (tagInput.value.length === 0 || this.optionList.length === 0)) {
            this.openDropdown = false;
            this.optionList = this.optionListInitial;
        }
        this.incrementSizeOfInput();
        if ($event.key === this.separator) {
            this.createTags($event);
        }
    }
    getPlaceHolder() {
        if (this.tagsArrayOutput && this.tagsArrayOutput.length > 0) {
            return '';
        }
        return this.placeholder;
    }
    tagsChanged(type, tag) {
        this.tagsArrayOutput = this.tagsArray.map((tag) => tag.value);
        this.writeValue(this.tagsArrayOutput);
        this.optionListInitial = this.getUpdatedOptionList();
        this.onTagsChanged.emit({
            change: type,
            tag,
        });
        if (this.maximumOfTagsReached()) {
            this.onMaxTagsReached.emit();
        }
    }
    removeLastTag(tagInput) {
        if (!this.removeLastOnBackspace || !this.tagsArray.length) {
            return;
        }
        if (tagInput.value === '') {
            this.removeTag(this.tagsArray[this.tagsArray.length - 1]);
        }
    }
    getUpdatedOptionList() {
        const connectedTags = this.connectedTagsList && this.connectedTagsList.length > 0 ? this.connectedTagsList : [];
        return this.optionListAllInitial.filter((option) => !this.tagsArrayOutput.includes(option.value) && !connectedTags.includes(option.value));
    }
    findTagInOptionsList(tag) {
        return this.optionListInitial.find((option) => option.text.toLowerCase() === tag.toLowerCase());
    }
    createTags($event) {
        if ($event) {
            $event.preventDefault();
        }
        if (this.openDropdown && this.focusElement >= 0) {
            this.input.nativeElement.value = this.optionList[this.focusElement].text;
        }
        const tags = this.input.nativeElement.value.split(this.separator);
        tags.forEach((tag) => {
            if (tag.trim() !== '') {
                if (this.isOptions) {
                    const firstTag = this.findTagInOptionsList(tag);
                    if (firstTag) {
                        this.addTagValue(firstTag);
                        this.resetInput();
                        this.focusElement = 0;
                    }
                }
                else {
                    this.addTagValue(tag);
                    this.resetInput();
                }
            }
        });
    }
    resetInput() {
        const inputNativeElement = this.input.nativeElement;
        inputNativeElement.value = '';
        inputNativeElement.setAttribute('size', '3');
    }
    incrementSizeOfInput() {
        const inputNativeElement = this.input.nativeElement;
        const size = inputNativeElement.value.length + 3;
        inputNativeElement.setAttribute('size', size.toString());
        inputNativeElement.setAttribute('style', 'width: auto');
    }
    addTagValue(tag) {
        if (!this.maximumOfTagsReached()) {
            if (this.isOptions) {
                this.openDropdown = false;
                this.getUpdatedOptionList();
            }
            this.tagsArray.push(tag);
            this.tagsChanged('add', tag);
            this.optionList = this.optionListInitial;
        }
    }
    removeTag(tagToRemove, event) {
        event?.stopPropagation();
        if (!this.isDeletable(tagToRemove)) {
            return;
        }
        this.tagsArray = this.tagsArray.filter((tag) => tagToRemove.value !== tag.value);
        this.tagsChanged('remove', tagToRemove);
        this.openDropdown = !this.openDropdown;
        this.optionList = this.optionListInitial;
    }
    maximumOfTagsReached() {
        return typeof this.maxTags !== 'undefined' && this.tagsArray.length >= this.maxTags;
    }
    isDeletable(tag) {
        if (typeof tag.deleteable !== 'undefined' && !tag.deleteable) {
            return false;
        }
        return this.canDeleteTags;
    }
    getContrastColor(hex) {
        return this.tagsInputFieldService.getContrastColor(hex);
    }
    onLocationFocus() {
        this.optionListInitial = this.getUpdatedOptionList();
        this.focusElement = 0;
        if (this.optionList.length) {
            this.openDropdown = !this.openDropdown;
        }
    }
    onLocationBlur() {
        this.focusElement = -1;
    }
    onArrowUp() {
        if (this.focusElement > 0 && this.openDropdown) {
            this.focusElement--;
        }
    }
    onArrowDown() {
        if (this.focusElement <= this.optionList.length - 2 && this.openDropdown) {
            this.focusElement++;
        }
    }
    addClickedItem($event, index) {
        this.focusElement = index;
        this.createTags($event);
        this.resetInput();
    }
    writeValue(value) {
        if (value) {
            this.tagsArrayOutput = value;
            if (!this.isOptionObject) {
                this.tagsArray = this.tagsArrayOutput.map((tag) => ({ value: tag, text: tag }));
            }
            this.onChangeCallback(value);
        }
    }
    registerOnChange(fn) {
        this.onChangeCallback = fn;
    }
    registerOnTouched(fn) {
        this.onTouchedCallback = fn;
    }
}
TagsInputFieldComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: TagsInputFieldComponent, deps: [{ token: NotifierService }, { token: TagsInputFieldService }, { token: i0.ChangeDetectorRef }], target: i0.ɵɵFactoryTarget.Component });
TagsInputFieldComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.3.0", type: TagsInputFieldComponent, selector: "tags-input", inputs: { maxTags: "maxTags", separator: "separator", removeLastOnBackspace: "removeLastOnBackspace", canDeleteTags: "canDeleteTags", disable: "disable", placeholder: "placeholder", connectedTagsList: "connectedTagsList", optionsConfig: "optionsConfig" }, outputs: { onTagsChanged: "onTagsChanged", onMaxTagsReached: "onMaxTagsReached" }, providers: [CUSTOM_INPUT_CONTROL_VALUE_ACCESSOR], viewQueries: [{ propertyName: "input", first: true, predicate: ["tagInput"], descendants: true }], ngImport: i0, template: "<div #toogleButton class=\"dropdown dropdown-wrapper\" [ngClass]=\"{'disabled': disable}\" (click)=\"tagInput.focus();\">\n  <div class=\"tags-input-wrapper\">\n    <ng-container *ngFor=\"let tag of tagsArray\">\n      <span\n        class=\"tags-input-tag label label-primary pulse\"\n        [style.background-color]=\"isOptionObject && tag.background ? '#' + tag.background : ''\"\n        [style.color]=\"isOptionObject && tag.background ? getContrastColor(tag.background) : ''\"\n      >\n        <span class=\"tags-input-tag-text\"> {{ tag.text }} </span>\n        <span\n          *ngIf=\"isDeletable(tag)\"\n          role=\"button\"\n          class=\"material-icons material-icons-outlined tag-close-icon\"\n          [ngClass]=\"isOptionObject && tag.background && getContrastColor(tag.background) === 'var(--dark-basic)'\n           ? 'dark-basic' : 'neutral-main-neutral-color'\"\n          (click)=\"removeTag(tag, $event)\"\n        >\n          close\n        </span>\n      </span>\n    </ng-container>\n    <input\n      autocomplete=\"off\"\n      class=\"tags-input-input-field\"\n      size=\"3\"\n      type=\"text\"\n      placeholder=\"{{ getPlaceHolder() }}\"\n      name=\"tags\"\n      (focus)=\"onLocationFocus()\"\n      (blur)=\"onLocationBlur()\"\n      (keydown)=\"keyDownHandler(tagInput, $event)\"\n      (keyup)=\"keyUpHandler(tagInput, $event)\"\n      [disabled]=\"maximumOfTagsReached() || disable\"\n      [hidden]=\"maximumOfTagsReached()\"\n      #tagInput\n      [class.open]=\"openDropdown\"\n    />\n    <span\n      [class.opened]=\"openDropdown\"\n      class=\"dropdown-icon material-icons material-icons-outlined\"\n      data-qa=\"dropDownArrow\"\n    >\n      arrow_drop_down\n    </span>\n  </div>\n  <epom-dropdown\n    [toggleButton]=\"toogleButton\"\n    (visibilityChange)=\"openDropdown = $event\"\n    [marginTop]=\"'4px'\"\n    class=\"tags-input-dropdown\"\n  >\n    <ul class=\"dropdown\">\n      <li\n        *ngFor=\"let option of optionList; let i = index\"\n        (click)=\"addClickedItem($event,i);\"\n        #item\n        tabindex=\"{{i}}\"\n        [ngClass]=\"{'hover': focusElement == item.tabIndex}\"\n      >\n        <a class=\"tags-input-item dropdown-item\">\n          <ng-container *ngIf=\"isOptionObject\">\n            <div\n              class=\"tags-input-item-indicator\"\n              [style.background-color]=\"isOptionObject && option.background ? '#' + option.background : ''\"\n            ></div>\n            <div>{{ option.text }}</div>\n          </ng-container>\n          <span *ngIf=\"!isOptionObject\">{{ option.text }}</span>\n        </a>\n      </li>\n    </ul>\n    <div *ngIf=\"!optionList.length\" class=\"no-labels\">No available Labels.</div>\n  </epom-dropdown>\n</div>\n", styles: [".tags-input-wrapper:hover{background:var(--neutral-on-main-neutral-4-color)}.tags-input-wrapper:hover .tags-input-input-field{background:unset}.tags-input-wrapper:focus-within{background:unset;border:1px solid var(--themePrimButtonsBg-color)}.tags-input-wrapper{border:1px solid var(--neutral-outline-variant-color);min-height:50px;padding:11px 40px 11px 12px;border-radius:4px;display:flex;flex-wrap:wrap;gap:4px;position:relative}.tags-input-wrapper .dropdown-icon{font-size:20px;color:var(--neutral-outline-color);position:absolute;top:calc(50% - 11px);right:0;transform:translate(-50%)}.tags-input-wrapper .dropdown-icon.opened{transform:translate(-50%) rotate(180deg)}.tags-input-tag{display:flex;align-items:center;gap:4px;padding:4px 8px;height:26px}.tags-input-tag .tags-input-tag-text{overflow:hidden;text-overflow:ellipsis}.tags-input-input-field{font-size:14px;border:none;flex-grow:1;outline:none}.tags-input-input-field::placeholder{color:var(--neutral-outline-color)}.tags-input-item-indicator{width:16px;height:16px;border-radius:4px}.pulse{animation-name:pulse;animation-duration:.8s;animation-fill-mode:both}.tags-input-wrapper.disabled{border:1px solid var(--neutral-on-disable-color)}.disabled .tags-input-input-field::placeholder{color:var(--neutral-on-disable-color)}.tags-input-wrapper.disabled:hover{cursor:not-allowed}.tags-input-item{padding:7px 12px 8px;height:36px;display:flex;align-items:center;gap:8px}.tag-close-icon{font-size:16px}.tag-close-icon.dark-basic{color:var(--neutral-outline-color)}.tag-close-icon.dark-basic:hover{color:var(--neutral-on-main-neutral-color)}.tag-close-icon.neutral-main-neutral-color{color:var(--dark-outline)}.tag-close-icon.neutral-main-neutral-color:hover{color:var(--dark-basic-on-main-neutral)}.no-labels{margin:auto;padding:16px;font-size:12px;color:var(--neutral-outline-color)}\n"], dependencies: [{ kind: "directive", type: i1$1.NgClass, selector: "[ngClass]", inputs: ["class", "ngClass"] }, { kind: "directive", type: i1$1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "component", type: DropdownComponentClass, selector: "epom-dropdown", inputs: ["toggleButton", "position", "marginTop", "width", "state", "closeDropdownOnSelection"], outputs: ["close", "visibilityChange"] }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: TagsInputFieldComponent, decorators: [{
            type: Component,
            args: [{ selector: 'tags-input', providers: [CUSTOM_INPUT_CONTROL_VALUE_ACCESSOR], template: "<div #toogleButton class=\"dropdown dropdown-wrapper\" [ngClass]=\"{'disabled': disable}\" (click)=\"tagInput.focus();\">\n  <div class=\"tags-input-wrapper\">\n    <ng-container *ngFor=\"let tag of tagsArray\">\n      <span\n        class=\"tags-input-tag label label-primary pulse\"\n        [style.background-color]=\"isOptionObject && tag.background ? '#' + tag.background : ''\"\n        [style.color]=\"isOptionObject && tag.background ? getContrastColor(tag.background) : ''\"\n      >\n        <span class=\"tags-input-tag-text\"> {{ tag.text }} </span>\n        <span\n          *ngIf=\"isDeletable(tag)\"\n          role=\"button\"\n          class=\"material-icons material-icons-outlined tag-close-icon\"\n          [ngClass]=\"isOptionObject && tag.background && getContrastColor(tag.background) === 'var(--dark-basic)'\n           ? 'dark-basic' : 'neutral-main-neutral-color'\"\n          (click)=\"removeTag(tag, $event)\"\n        >\n          close\n        </span>\n      </span>\n    </ng-container>\n    <input\n      autocomplete=\"off\"\n      class=\"tags-input-input-field\"\n      size=\"3\"\n      type=\"text\"\n      placeholder=\"{{ getPlaceHolder() }}\"\n      name=\"tags\"\n      (focus)=\"onLocationFocus()\"\n      (blur)=\"onLocationBlur()\"\n      (keydown)=\"keyDownHandler(tagInput, $event)\"\n      (keyup)=\"keyUpHandler(tagInput, $event)\"\n      [disabled]=\"maximumOfTagsReached() || disable\"\n      [hidden]=\"maximumOfTagsReached()\"\n      #tagInput\n      [class.open]=\"openDropdown\"\n    />\n    <span\n      [class.opened]=\"openDropdown\"\n      class=\"dropdown-icon material-icons material-icons-outlined\"\n      data-qa=\"dropDownArrow\"\n    >\n      arrow_drop_down\n    </span>\n  </div>\n  <epom-dropdown\n    [toggleButton]=\"toogleButton\"\n    (visibilityChange)=\"openDropdown = $event\"\n    [marginTop]=\"'4px'\"\n    class=\"tags-input-dropdown\"\n  >\n    <ul class=\"dropdown\">\n      <li\n        *ngFor=\"let option of optionList; let i = index\"\n        (click)=\"addClickedItem($event,i);\"\n        #item\n        tabindex=\"{{i}}\"\n        [ngClass]=\"{'hover': focusElement == item.tabIndex}\"\n      >\n        <a class=\"tags-input-item dropdown-item\">\n          <ng-container *ngIf=\"isOptionObject\">\n            <div\n              class=\"tags-input-item-indicator\"\n              [style.background-color]=\"isOptionObject && option.background ? '#' + option.background : ''\"\n            ></div>\n            <div>{{ option.text }}</div>\n          </ng-container>\n          <span *ngIf=\"!isOptionObject\">{{ option.text }}</span>\n        </a>\n      </li>\n    </ul>\n    <div *ngIf=\"!optionList.length\" class=\"no-labels\">No available Labels.</div>\n  </epom-dropdown>\n</div>\n", styles: [".tags-input-wrapper:hover{background:var(--neutral-on-main-neutral-4-color)}.tags-input-wrapper:hover .tags-input-input-field{background:unset}.tags-input-wrapper:focus-within{background:unset;border:1px solid var(--themePrimButtonsBg-color)}.tags-input-wrapper{border:1px solid var(--neutral-outline-variant-color);min-height:50px;padding:11px 40px 11px 12px;border-radius:4px;display:flex;flex-wrap:wrap;gap:4px;position:relative}.tags-input-wrapper .dropdown-icon{font-size:20px;color:var(--neutral-outline-color);position:absolute;top:calc(50% - 11px);right:0;transform:translate(-50%)}.tags-input-wrapper .dropdown-icon.opened{transform:translate(-50%) rotate(180deg)}.tags-input-tag{display:flex;align-items:center;gap:4px;padding:4px 8px;height:26px}.tags-input-tag .tags-input-tag-text{overflow:hidden;text-overflow:ellipsis}.tags-input-input-field{font-size:14px;border:none;flex-grow:1;outline:none}.tags-input-input-field::placeholder{color:var(--neutral-outline-color)}.tags-input-item-indicator{width:16px;height:16px;border-radius:4px}.pulse{animation-name:pulse;animation-duration:.8s;animation-fill-mode:both}.tags-input-wrapper.disabled{border:1px solid var(--neutral-on-disable-color)}.disabled .tags-input-input-field::placeholder{color:var(--neutral-on-disable-color)}.tags-input-wrapper.disabled:hover{cursor:not-allowed}.tags-input-item{padding:7px 12px 8px;height:36px;display:flex;align-items:center;gap:8px}.tag-close-icon{font-size:16px}.tag-close-icon.dark-basic{color:var(--neutral-outline-color)}.tag-close-icon.dark-basic:hover{color:var(--neutral-on-main-neutral-color)}.tag-close-icon.neutral-main-neutral-color{color:var(--dark-outline)}.tag-close-icon.neutral-main-neutral-color:hover{color:var(--dark-basic-on-main-neutral)}.no-labels{margin:auto;padding:16px;font-size:12px;color:var(--neutral-outline-color)}\n"] }]
        }], ctorParameters: function () { return [{ type: NotifierService }, { type: TagsInputFieldService }, { type: i0.ChangeDetectorRef }]; }, propDecorators: { maxTags: [{
                type: Input
            }], separator: [{
                type: Input
            }], removeLastOnBackspace: [{
                type: Input
            }], canDeleteTags: [{
                type: Input
            }], disable: [{
                type: Input
            }], placeholder: [{
                type: Input
            }], connectedTagsList: [{
                type: Input
            }], optionsConfig: [{
                type: Input
            }], onTagsChanged: [{
                type: Output
            }], onMaxTagsReached: [{
                type: Output
            }], input: [{
                type: ViewChild,
                args: ['tagInput']
            }] } });

class AutoLinkingComponentClass {
    constructor(formBuilder, changeDetectionRef) {
        this.formBuilder = formBuilder;
        this.changeDetectionRef = changeDetectionRef;
        this.allLabels = [];
        this.endpointLabels = [];
        this.excludedLabels = [];
        this.optionsConfig = {};
        this.submitAutoLinkingRules = new EventEmitter();
        this.autoLinkingForm = this.formBuilder.group({
            endpointLabels: [[]],
            excludedLabels: [[]],
        }, { validator: this.atLeastOneRequired });
    }
    ngAfterViewInit() {
        this.autoLinkingForm.patchValue({
            endpointLabels: this.endpointLabels,
            excludedLabels: this.excludedLabels,
        });
        this.optionsConfig.optionsSubject.next(this.allLabels);
        this.submitAutoLinkingRules.emit({ data: this.autoLinkingForm, status: 'success' });
        this.changeDetectionRef.detectChanges();
    }
    tagsChanges() {
        this.submitAutoLinkingRules.emit({ data: this.autoLinkingForm, status: 'success' });
    }
    atLeastOneRequired(group) {
        if (group) {
            if (group.controls['endpointLabels'].value.length || group.controls['excludedLabels'].value.length) {
                return null;
            }
        }
        return { 'error': true };
    }
}
AutoLinkingComponentClass.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: AutoLinkingComponentClass, deps: [{ token: i2.FormBuilder }, { token: i0.ChangeDetectorRef }], target: i0.ɵɵFactoryTarget.Component });
AutoLinkingComponentClass.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.3.0", type: AutoLinkingComponentClass, selector: "epom-popup-auto-linking", inputs: { allLabels: "allLabels", endpointLabels: "endpointLabels", excludedLabels: "excludedLabels", optionsConfig: "optionsConfig" }, outputs: { submitAutoLinkingRules: "submitAutoLinkingRules" }, ngImport: i0, template: "<div class=\"row row-space-40 auto-linking-form\">\n  <form [formGroup]=\"autoLinkingForm\" [ngClass]=\"{'form-submitted': !autoLinkingForm.valid}\" >\n    <div class=\"col-md-12 \">\n      <div class=\"form-group\" [attr.data-qa]=\"'Endpoint Labels'\">\n        <label class=\"control-label\">Endpoint Labels</label>\n        <tags-input\n          class=\"form-control input-lg tags-control\"\n          [formControl]=\"autoLinkingForm.get('endpointLabels')\"\n          [separator]=\"';'\"\n          [connectedTagsList]=\"excludedLabelsTag.tagsArrayOutput\"\n          [optionsConfig] = \"optionsConfig\"\n          (onTagsChanged)= \"tagsChanges()\"\n          #endpointLabelsTag\n        >\n        </tags-input>\n      </div>\n    </div>\n    <div class=\"col-md-12\">\n      <div class=\"form-group\" [attr.data-qa]=\"'Exclude Labels'\">\n        <label class=\"control-label\">Exclude Labels</label>\n        <tags-input\n          class=\"form-control input-lg tags-control\"\n          [formControl]=\"autoLinkingForm.get('excludedLabels')\"\n          [separator]=\"';'\"\n          [optionsConfig] = \"optionsConfig\"\n          [connectedTagsList]=\"endpointLabelsTag.tagsArrayOutput\"\n          (onTagsChanged)= \"tagsChanges()\"\n          #excludedLabelsTag\n        >\n        </tags-input>\n      </div>\n    </div>\n  </form>\n</div>\n", dependencies: [{ kind: "directive", type: i1$1.NgClass, selector: "[ngClass]", inputs: ["class", "ngClass"] }, { kind: "directive", type: i2.ɵNgNoValidate, selector: "form:not([ngNoForm]):not([ngNativeValidate])" }, { kind: "directive", type: i2.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i2.NgControlStatusGroup, selector: "[formGroupName],[formArrayName],[ngModelGroup],[formGroup],form:not([ngNoForm]),[ngForm]" }, { kind: "directive", type: i2.FormControlDirective, selector: "[formControl]", inputs: ["formControl", "disabled", "ngModel"], outputs: ["ngModelChange"], exportAs: ["ngForm"] }, { kind: "directive", type: i2.FormGroupDirective, selector: "[formGroup]", inputs: ["formGroup"], outputs: ["ngSubmit"], exportAs: ["ngForm"] }, { kind: "component", type: TagsInputFieldComponent, selector: "tags-input", inputs: ["maxTags", "separator", "removeLastOnBackspace", "canDeleteTags", "disable", "placeholder", "connectedTagsList", "optionsConfig"], outputs: ["onTagsChanged", "onMaxTagsReached"] }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: AutoLinkingComponentClass, decorators: [{
            type: Component,
            args: [{ selector: 'epom-popup-auto-linking', template: "<div class=\"row row-space-40 auto-linking-form\">\n  <form [formGroup]=\"autoLinkingForm\" [ngClass]=\"{'form-submitted': !autoLinkingForm.valid}\" >\n    <div class=\"col-md-12 \">\n      <div class=\"form-group\" [attr.data-qa]=\"'Endpoint Labels'\">\n        <label class=\"control-label\">Endpoint Labels</label>\n        <tags-input\n          class=\"form-control input-lg tags-control\"\n          [formControl]=\"autoLinkingForm.get('endpointLabels')\"\n          [separator]=\"';'\"\n          [connectedTagsList]=\"excludedLabelsTag.tagsArrayOutput\"\n          [optionsConfig] = \"optionsConfig\"\n          (onTagsChanged)= \"tagsChanges()\"\n          #endpointLabelsTag\n        >\n        </tags-input>\n      </div>\n    </div>\n    <div class=\"col-md-12\">\n      <div class=\"form-group\" [attr.data-qa]=\"'Exclude Labels'\">\n        <label class=\"control-label\">Exclude Labels</label>\n        <tags-input\n          class=\"form-control input-lg tags-control\"\n          [formControl]=\"autoLinkingForm.get('excludedLabels')\"\n          [separator]=\"';'\"\n          [optionsConfig] = \"optionsConfig\"\n          [connectedTagsList]=\"endpointLabelsTag.tagsArrayOutput\"\n          (onTagsChanged)= \"tagsChanges()\"\n          #excludedLabelsTag\n        >\n        </tags-input>\n      </div>\n    </div>\n  </form>\n</div>\n" }]
        }], ctorParameters: function () { return [{ type: i2.FormBuilder }, { type: i0.ChangeDetectorRef }]; }, propDecorators: { allLabels: [{
                type: Input,
                args: ['allLabels']
            }], endpointLabels: [{
                type: Input,
                args: ['endpointLabels']
            }], excludedLabels: [{
                type: Input,
                args: ['excludedLabels']
            }], optionsConfig: [{
                type: Input,
                args: ['optionsConfig']
            }], submitAutoLinkingRules: [{
                type: Output,
                args: ['submitAutoLinkingRules']
            }] } });

class GeoedgePopupComponent {
}
GeoedgePopupComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: GeoedgePopupComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
GeoedgePopupComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.3.0", type: GeoedgePopupComponent, selector: "epom-popup-geoedge", inputs: { geoedgeData: "geoedgeData" }, ngImport: i0, template: "<div class=\"component-container component-table-container\">\n  <div class=\"component-table-data\">\n    <table class=\"user-activity-difference-table\">\n      <thead>\n      <tr>\n        <th>Trigger Name</th>\n        <th>Crids Count</th>\n        <th>Bid count since last scan</th>\n        <th>Total bid count</th>\n      </tr>\n      </thead>\n      <tbody>\n      <tr *ngFor=\"let item of geoedgeData.counts | keyValue\">\n        <td>{{item.key}}</td>\n        <td class=\"count\">{{item.value.count}}</td>\n        <td class=\"active\">{{item.value.activeFrequency}}</td>\n        <td class=\"total\">{{item.value.totalFrequency}}</td>\n      </tr>\n      </tbody>\n    </table>\n  </div>\n</div>\n", dependencies: [{ kind: "directive", type: i1$1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "pipe", type: KeyValuePipeClass, name: "keyValue" }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: GeoedgePopupComponent, decorators: [{
            type: Component,
            args: [{ selector: 'epom-popup-geoedge', template: "<div class=\"component-container component-table-container\">\n  <div class=\"component-table-data\">\n    <table class=\"user-activity-difference-table\">\n      <thead>\n      <tr>\n        <th>Trigger Name</th>\n        <th>Crids Count</th>\n        <th>Bid count since last scan</th>\n        <th>Total bid count</th>\n      </tr>\n      </thead>\n      <tbody>\n      <tr *ngFor=\"let item of geoedgeData.counts | keyValue\">\n        <td>{{item.key}}</td>\n        <td class=\"count\">{{item.value.count}}</td>\n        <td class=\"active\">{{item.value.activeFrequency}}</td>\n        <td class=\"total\">{{item.value.totalFrequency}}</td>\n      </tr>\n      </tbody>\n    </table>\n  </div>\n</div>\n" }]
        }], propDecorators: { geoedgeData: [{
                type: Input
            }] } });

class TagsInputFieldModule {
}
TagsInputFieldModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: TagsInputFieldModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
TagsInputFieldModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "14.3.0", ngImport: i0, type: TagsInputFieldModule, declarations: [TagsInputFieldComponent], imports: [CommonModule, DropdownModule], exports: [TagsInputFieldComponent] });
TagsInputFieldModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: TagsInputFieldModule, providers: [TagsInputFieldService], imports: [CommonModule, DropdownModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: TagsInputFieldModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [CommonModule, DropdownModule],
                    declarations: [TagsInputFieldComponent],
                    providers: [TagsInputFieldService],
                    exports: [TagsInputFieldComponent],
                    schemas: [CUSTOM_ELEMENTS_SCHEMA],
                }]
        }] });

var FILTER_STATUSES_ENUM;
(function (FILTER_STATUSES_ENUM) {
    FILTER_STATUSES_ENUM["ALL"] = "all";
    FILTER_STATUSES_ENUM["ACTIVE"] = "ACTIVE";
    FILTER_STATUSES_ENUM["PAUSED"] = "PAUSED";
    FILTER_STATUSES_ENUM["DISAPPROVED"] = "DISAPPROVED";
    FILTER_STATUSES_ENUM["PENDING_APPROVAL"] = "PENDING_APPROVAL";
})(FILTER_STATUSES_ENUM || (FILTER_STATUSES_ENUM = {}));

const DEFAULT_CONFIG = {
    showDefaultPlaceholder: false,
    pagination: {
        enabled: true,
        perPage: 10,
        paginatorDropdownEnabled: true,
    },
    isActiveCustomization: false,
    fixedRow: {
        top: false,
        bottom: false,
    },
    cellsVerticalAlign: 'top',
};
const DEFAULT_COLUMN_CONFIG = {
    checkboxContent: {
        body: false,
        contentProperty: '',
    },
    textContent: {
        header: false,
        body: false,
        isHeaderLink: false,
        isBodyLink: false,
        isBodyAction: false,
        showMoreText: false,
    },
    iconsContent: {
        header: false,
        body: false,
        isHeaderLink: false,
        isBodyLink: false,
    },
    wrapper: {
        class: '',
        classProperty: '',
    },
    tooltipContent: {
        tooltip: false,
        iconContent: '',
        text: '',
    },
    imagesContent: {
        header: false,
        body: false,
        isHeaderLink: false,
        isBodyLink: false,
    },
    wrapperLink: {
        header: false,
        body: false,
        isHeaderLink: false,
        isBodyLink: false,
    },
    buttonsContent: {
        body: false,
        buttonList: [],
        textButtonsList: [],
        togglTextButtonsList: [],
    },
    customClass: {
        bodyClassProperty: '',
    },
    tdCustomClass: {
        tdCustomClassProperty: '',
    },
    sort: {
        active: false,
    },
    filter: {
        active: false,
    },
};
const DEFAULT_SPINNER_PLACEHOLDER_CONFIG = {
    header: [150, 150, 150, 70],
    body: [150, 150, 150, 70],
    align: ['', '', '', 'right'],
};
const TABLES_CONFIG = 'tablesConfig';
const PAGINATOR_OPTIONS_ROWS = [
    { name: '10', value: 10 },
    { name: '25', value: 25 },
    { name: '50', value: 50 },
    { name: '100', value: 100 },
];

class BannerInfoComponent {
    constructor() {
        this.smallSize = true;
        this.textBanner = false;
        this.showIcon = true;
        this.showCloseButton = true;
        this.textInfo = '';
        this.status = 'info';
        this.bannerWrapperClass = '';
        this.showBanner = true;
    }
    getIconName() {
        return this.status === 'success' ? 'check_circle' : this.status;
    }
    closeBanner() {
        this.showBanner = false;
    }
}
BannerInfoComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: BannerInfoComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
BannerInfoComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.3.0", type: BannerInfoComponent, selector: "app-banner-info", inputs: { smallSize: "smallSize", textBanner: "textBanner", showIcon: "showIcon", showCloseButton: "showCloseButton", textInfo: "textInfo", status: "status", bannerWrapperClass: "bannerWrapperClass" }, ngImport: i0, template: "<div\n  *ngIf=\"showBanner\"\n  class=\"info-banner {{ status }} {{ bannerWrapperClass }}\"\n  [ngClass]=\"{small: smallSize, 'text-banner': textBanner}\"\n>\n  <span *ngIf=\"showIcon\" class=\"status material-icons\">{{ getIconName() }}</span>\n  <span [innerHTML]=\"textInfo\"></span>\n  <span *ngIf=\"showCloseButton\" (click)=\"closeBanner()\" class=\"material-icons close-button\">close</span>\n</div>\n", styles: ["div.info-banner{display:flex;padding:16px;align-items:flex-start;gap:16px;flex:1 0 0;border-radius:4px;width:-moz-fit-content;width:fit-content;line-height:20px;font-weight:var(--font-weight-regular);font-size:var(--font-body-2);max-width:720px;color:var(--neutral-on-main-neutral-color)}div.info-banner.small{gap:4px;padding:4px 8px;line-height:18px;font-size:var(--font-caption)}div.info-banner.text-banner{padding:0;background-color:transparent;font-size:var(--font-caption);line-height:21px}.info{background:var(--on-themePrimButtonsBg-color)}.info .material-icons.status{color:var(--themePrimButtonsBg-color)}.success{background:var(--success-container-color)}.success .material-icons.status{color:var(--success-default-color)}.warning{background:var(--warning-container-color)}.warning .material-icons.status{color:var(--warning-default-color)}.error{background:var(--error-container-color)}.error .material-icons.status{color:var(--error-default-color)}.material-icons{font-size:var(--font-body-1);line-height:21px}.material-icons.close-button{cursor:pointer;color:var(--neutral-outline-color)}div.info-banner.warning-wrapper{padding:4px 8px}div.info-banner.warning-wrapper-warning{background:var(--warning-container-color)}div.info-banner.warning-wrapper-info{background:var(--info-container-color)}\n"], dependencies: [{ kind: "directive", type: i1$1.NgClass, selector: "[ngClass]", inputs: ["class", "ngClass"] }, { kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: BannerInfoComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-banner-info', template: "<div\n  *ngIf=\"showBanner\"\n  class=\"info-banner {{ status }} {{ bannerWrapperClass }}\"\n  [ngClass]=\"{small: smallSize, 'text-banner': textBanner}\"\n>\n  <span *ngIf=\"showIcon\" class=\"status material-icons\">{{ getIconName() }}</span>\n  <span [innerHTML]=\"textInfo\"></span>\n  <span *ngIf=\"showCloseButton\" (click)=\"closeBanner()\" class=\"material-icons close-button\">close</span>\n</div>\n", styles: ["div.info-banner{display:flex;padding:16px;align-items:flex-start;gap:16px;flex:1 0 0;border-radius:4px;width:-moz-fit-content;width:fit-content;line-height:20px;font-weight:var(--font-weight-regular);font-size:var(--font-body-2);max-width:720px;color:var(--neutral-on-main-neutral-color)}div.info-banner.small{gap:4px;padding:4px 8px;line-height:18px;font-size:var(--font-caption)}div.info-banner.text-banner{padding:0;background-color:transparent;font-size:var(--font-caption);line-height:21px}.info{background:var(--on-themePrimButtonsBg-color)}.info .material-icons.status{color:var(--themePrimButtonsBg-color)}.success{background:var(--success-container-color)}.success .material-icons.status{color:var(--success-default-color)}.warning{background:var(--warning-container-color)}.warning .material-icons.status{color:var(--warning-default-color)}.error{background:var(--error-container-color)}.error .material-icons.status{color:var(--error-default-color)}.material-icons{font-size:var(--font-body-1);line-height:21px}.material-icons.close-button{cursor:pointer;color:var(--neutral-outline-color)}div.info-banner.warning-wrapper{padding:4px 8px}div.info-banner.warning-wrapper-warning{background:var(--warning-container-color)}div.info-banner.warning-wrapper-info{background:var(--info-container-color)}\n"] }]
        }], propDecorators: { smallSize: [{
                type: Input,
                args: ['smallSize']
            }], textBanner: [{
                type: Input,
                args: ['textBanner']
            }], showIcon: [{
                type: Input,
                args: ['showIcon']
            }], showCloseButton: [{
                type: Input,
                args: ['showCloseButton']
            }], textInfo: [{
                type: Input,
                args: ['textInfo']
            }], status: [{
                type: Input,
                args: ['status']
            }], bannerWrapperClass: [{
                type: Input,
                args: ['bannerWrapperClass']
            }] } });

class ShowMoreTextComponent {
    constructor(cdr) {
        this.cdr = cdr;
        this.isExpanded = false;
        this.showMore = false;
        this.firstChecked = true;
    }
    ngOnInit() {
        this.text = this.text.replace(/\n/g, '<br>');
    }
    ngAfterViewChecked() {
        if (this.firstChecked) {
            this.isExpanded = this.textContainer.nativeElement.scrollHeight > this.textContainer.nativeElement.clientHeight;
            this.cdr.detectChanges();
        }
    }
    toggle() {
        this.firstChecked = false;
        this.showMore = !this.showMore;
    }
}
ShowMoreTextComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: ShowMoreTextComponent, deps: [{ token: i0.ChangeDetectorRef }], target: i0.ɵɵFactoryTarget.Component });
ShowMoreTextComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.3.0", type: ShowMoreTextComponent, selector: "epom-show-more-text", inputs: { text: "text" }, viewQueries: [{ propertyName: "textContainer", first: true, predicate: ["textContainer"], descendants: true }], ngImport: i0, template: "<div #textContainer class=\"text-container\" [innerHTML]=\"text\" [ngClass]=\"{'show-more': showMore}\"></div>\n<div *ngIf=\"isExpanded\" class=\"expand-button\" (click)=\"toggle()\">\n  {{ showMore ? 'Show less' : 'Show more' }}\n</div>\n", styles: [".text-container{display:-webkit-box;-webkit-box-orient:vertical;overflow:hidden;text-overflow:ellipsis;-webkit-line-clamp:3}.text-container.show-more{-webkit-line-clamp:unset}.expand-button{color:var(--themePrimButtonsBg-color);font-size:12px;font-weight:600;line-height:18px;margin-top:4px;cursor:pointer}\n"], dependencies: [{ kind: "directive", type: i1$1.NgClass, selector: "[ngClass]", inputs: ["class", "ngClass"] }, { kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: ShowMoreTextComponent, decorators: [{
            type: Component,
            args: [{ selector: 'epom-show-more-text', template: "<div #textContainer class=\"text-container\" [innerHTML]=\"text\" [ngClass]=\"{'show-more': showMore}\"></div>\n<div *ngIf=\"isExpanded\" class=\"expand-button\" (click)=\"toggle()\">\n  {{ showMore ? 'Show less' : 'Show more' }}\n</div>\n", styles: [".text-container{display:-webkit-box;-webkit-box-orient:vertical;overflow:hidden;text-overflow:ellipsis;-webkit-line-clamp:3}.text-container.show-more{-webkit-line-clamp:unset}.expand-button{color:var(--themePrimButtonsBg-color);font-size:12px;font-weight:600;line-height:18px;margin-top:4px;cursor:pointer}\n"] }]
        }], ctorParameters: function () { return [{ type: i0.ChangeDetectorRef }]; }, propDecorators: { text: [{
                type: Input
            }], textContainer: [{
                type: ViewChild,
                args: ['textContainer']
            }] } });

class TableComponent {
    constructor(spinner, formBuilder, storageService, popupService, cdr) {
        this.spinner = spinner;
        this.formBuilder = formBuilder;
        this.storageService = storageService;
        this.popupService = popupService;
        this.cdr = cdr;
        this.incomingData = null;
        this.useDefaultSpinner = false;
        this.checkboxesVisible = false;
        this.sortTimeout = 0;
        this.tablePlaceholderConfig = DEFAULT_SPINNER_PLACEHOLDER_CONFIG;
        this.showCheckboxes = false;
        this.pushedBulkList = new EventEmitter();
        this.allCheckboxesSelected = new EventEmitter();
        this.sortKey = null;
        this.showDefaultNoDataSpinner = false;
        this.searchString = null;
        this.paginatorOptionsRows = PAGINATOR_OPTIONS_ROWS;
        this.changeSortKey = new EventEmitter();
        this.changePaginatorSettings = new EventEmitter();
        this.defaultConfig = DEFAULT_CONFIG;
        this.defaultColumnConfig = DEFAULT_COLUMN_CONFIG;
        this.dataArray$ = new BehaviorSubject([]);
        this.paginatedArray$ = new BehaviorSubject([]);
        this.visibleColumns = [];
        this.tableConfigFromStorage = {};
        this.currentFilterStatus = FILTER_STATUSES_ENUM.ALL;
        this.dropDownState = { visible: false, readyToClose: false };
        // sort part
        this.currentSortColumn = '';
        this.directionASC = true;
        this.bulkList = [];
        this.oneItemSelected = false;
        this.allItemsSelected = false;
        this.destroy$ = new Subject();
        this.logger = loggerCreate(this.constructor['name']);
        this.logger.log('Init Table component');
    }
    ngOnInit() {
        this.incomingDataSubscription = this.incomingData.subscribe((response) => {
            this.tableConfig = merge(cloneDeep(this.defaultConfig), this.userConfig);
            this.tableConfig.columnsConfig = this.tableConfig.columnsConfig.map((column) => {
                return merge(cloneDeep(this.defaultColumnConfig), column);
            });
            this.dataArray = response;
            let sortedResponse;
            if (this.sortKey && this.sortKey.key) {
                this.directionASC = this.sortKey.directionASC;
                sortedResponse = this.sort(this.dataArray, this.sortKey.key, false);
            }
            else {
                sortedResponse =
                    this.currentSortColumn !== '' ? this.sort(this.dataArray, this.currentSortColumn, false) : response;
            }
            this.sortedItems = sortedResponse;
            this.clearBulkList();
            this.pushedBulkList.emit(this.bulkList);
            if (this.tableConfig.pagination.enabled) {
                this.dataArray$.next(sortedResponse);
            }
            else {
                this.paginatedArray$.next(sortedResponse);
            }
            this.cdr.detectChanges();
            if (this.showDefaultNoDataSpinner && !sortedResponse?.length) {
                this.spinner.open('table-default-no-data-state');
            }
            else {
                this.spinner.close('table-default-no-data-state');
            }
        }, (error) => {
            this.logger.log(error);
        });
        if (this.userConfig.isActiveCustomization) {
            this.setBaseColumnsConfig();
            this.createForm();
        }
    }
    ngOnDestroy() {
        this.destroy$.next();
        this.destroy$.complete();
        this.incomingDataSubscription.unsubscribe();
    }
    selectAll(event) {
        this.sortedItems.forEach((item) => {
            item.checked = event.checked;
            this.updateBulkList(item);
        });
        this.updateAllComplete();
        this.pushedBulkList.emit(this.bulkList);
    }
    updateAllComplete() {
        this.oneItemSelected = this.sortedItems.some((t) => t.checked);
        this.allItemsSelected = this.sortedItems.every((t) => t.checked);
        this.allCheckboxesSelected.emit(this.allItemsSelected);
    }
    fillBulkList(item) {
        this.updateBulkList(item);
        this.pushedBulkList.emit(this.bulkList);
    }
    sort(array, prop, changeDirection = true) {
        if (changeDirection) {
            this.directionASC = this.currentSortColumn === prop ? !this.directionASC : true;
        }
        this.currentSortColumn = prop;
        const sortColumn = this.tableConfig.columnsConfig.find((item) => item.sort.sortKey === prop) ||
            this.tableConfig.columnsConfig.find((item) => item.sort.active);
        const arrayWithWarningMessage = this.sortArray(array.filter((item) => item.warningArray?.length), sortColumn);
        const arrayWithoutWarningMessage = this.sortArray(array.filter((item) => !item.warningArray?.length), sortColumn);
        const sorted = [...arrayWithWarningMessage, ...arrayWithoutWarningMessage];
        this.changeSortKey.emit({ key: prop, directionASC: this.directionASC });
        return sorted;
    }
    compare(a, b) {
        if (a === null && b !== null) {
            return this.directionASC ? -1 : 1;
        }
        if (a !== null && b === null) {
            return this.directionASC ? 1 : -1;
        }
        if (a > b) {
            return this.directionASC ? 1 : -1;
        }
        if (a < b) {
            return this.directionASC ? -1 : 1;
        }
        return 0;
    }
    compareString(a, b) {
        const propA = a.toLowerCase();
        const propB = b.toLowerCase();
        if (propA > propB) {
            return this.directionASC ? 1 : -1;
        }
        if (propA < propB) {
            return this.directionASC ? -1 : 1;
        }
        if (a > b) {
            return this.directionASC ? 1 : -1;
        }
        if (a < b) {
            return this.directionASC ? -1 : 1;
        }
        return 0;
    }
    sortWithTimeout(column) {
        if (!column.filter.active && column.sort.active) {
            if (this.useDefaultSpinner) {
                this.spinner.open();
            }
            else {
                this.spinner.open('table-placeholder');
            }
            setTimeout(() => {
                if (this.useDefaultSpinner) {
                    this.spinner.close();
                }
                else {
                    this.spinner.close('table-placeholder');
                }
                this.sortItems(column);
                this.clearBulkList();
                this.pushedBulkList.emit(this.bulkList);
            }, this.sortTimeout);
        }
    }
    sortItems(column) {
        if (column.sort.active) {
            const sorted = this.sort(this.dataArray, column.sort.sortKey);
            if (this.tableConfig.pagination.enabled) {
                this.dataArray$.next(sorted);
            }
            else {
                this.paginatedArray$.next(sorted);
            }
        }
    }
    getTdClass(column) {
        return column.commonOptions ? column.commonOptions.class : '';
    }
    getThClass(column) {
        const sort = column.sort.active ? 'sort' : '';
        return `${sort} ${this.getTdClass(column)}`;
    }
    setThClassForLast(isLast) {
        return isLast && this.userConfig.isActiveCustomization;
    }
    getMacrosedLink(row, linkArr) {
        return linkArr.map((item) => {
            if (typeof item === 'object') {
                return `${row[item.property]}`;
            }
            return item;
        });
    }
    applyAction(row, alias) {
        this.currentFilterStatus = row;
        this.actionList[alias](row);
    }
    selectFormControl(values, row, alias) {
        const selectedValue = values.find((item) => item.value === row.campaignId).value;
        const control = new FormControl([selectedValue]);
        control.valueChanges.pipe(takeUntil(this.destroy$)).subscribe((item) => {
            row = {
                ...row,
                selectedId: item[0],
            };
            this.applyAction(row, alias);
        });
        return control;
    }
    /**
     * Handling form submit, show columns by config and set to local storage
     * @param form
     */
    columnsFormSubmit() {
        const items = this.columnsForm.value.items.map((selected, i) => {
            return {
                name: this.tableConfig.columnsConfig[i].textContent.title,
                selected,
            };
        });
        this.visibleColumns = items;
        this.formingAndSetDataToStorage();
        this.dropDownState = {
            visible: false,
            readyToClose: false,
        };
    }
    closeDropDownEvent() {
        this.setDefaultControlsState();
    }
    cancelSelection() {
        this.setDefaultControlsState();
        this.dropDownState = {
            visible: false,
            readyToClose: false,
        };
    }
    /**
     * Set all controls (checkbox) value false
     */
    clearAllOptionsForColumns() {
        this.columnsForm.reset();
    }
    /**
     * Set all controls (checkbox) value true
     */
    selectAllOptionsForColumns() {
        this.columnsForm.controls['items'].controls.forEach((control) => control.setValue(true));
    }
    /**
     * Check all controls from form and set selected value from visibleColumns array
     */
    setDefaultControlsState() {
        this.columnsForm.controls['items'].controls.forEach((control, i) => {
            control.setValue(this.visibleColumns[i].selected);
        });
    }
    /**
     * Check in template is visible this column or not
     * @param columnName: string
     */
    isVisibleCurrentColumn(columnName) {
        const column = this.visibleColumns.find((column) => column.name === columnName);
        return column && column.selected;
    }
    /**
     * Init all columns (show all columns) in table
     */
    initAndSelectAllColumns() {
        this.visibleColumns = this.tableConfig.columnsConfig.map((column) => {
            return {
                name: column.textContent.title,
                selected: true,
            };
        });
    }
    /**
     * Check data from local storage and set this data to our model
     */
    setBaseColumnsConfig() {
        const columnStorageConfig = this.storageService.get(TABLES_CONFIG);
        if (columnStorageConfig) {
            this.tableConfigFromStorage = columnStorageConfig;
            if (this.tableConfigFromStorage.hasOwnProperty(this.userConfig.tableName)) {
                this.visibleColumns = this.tableConfigFromStorage[this.userConfig.tableName];
            }
            else {
                this.initAndFormingData();
            }
        }
        else {
            this.initAndFormingData();
        }
    }
    initAndFormingData() {
        this.initAndSelectAllColumns();
        this.formingAndSetDataToStorage();
    }
    /**
     * Initialize form with dynamically count of controls
     */
    createForm() {
        this.columnsForm = this.formBuilder.group({
            items: this.formBuilder.array(this.getColumnsArray()),
        });
    }
    /**
     * If data in local storage is exist - init controls with selected state
     * If data is not exist - init defauld control
     */
    getColumnsArray() {
        const columnsArray = this.tableConfig.columnsConfig.map((config, i) => {
            if (this.visibleColumns.length > 0) {
                return new FormControl(this.visibleColumns[i].selected);
            }
            return new FormControl();
        });
        return columnsArray;
    }
    /**
     * Set values to local storage
     * @param data Array<FormConfig>
     */
    formingAndSetDataToStorage() {
        this.tableConfigFromStorage[this.userConfig.tableName] = this.visibleColumns;
        this.storageService.setInLocal(TABLES_CONFIG, this.tableConfigFromStorage);
    }
    createVideoPopup(title, url) {
        const videoTag = `<video controls="controls" class="video-in-popup"><source src="${url}" ></video>`;
        return this.popupService.popupCreate({
            title,
            body: videoTag,
            buttonsPosition: 'right',
            closeButton: true,
            width: 'md',
        });
    }
    getLabelTextColor(hex) {
        const backgroundColor = this.hexToRgb(`#${hex}`);
        const brightness = Math.round((backgroundColor.red * 299 + backgroundColor.green * 587 + backgroundColor.blue * 114) / 1000);
        return brightness > 125 ? '#1A1C1E' : '#FFF';
    }
    hexToRgb(hex) {
        const result = /^#?([a-f\d]{2})([a-f\d]{2})([a-f\d]{2})$/i.exec(hex);
        return result
            ? {
                red: parseInt(result[1], 16),
                green: parseInt(result[2], 16),
                blue: parseInt(result[3], 16),
            }
            : null;
    }
    sortArray(array, sortColumn) {
        return array.sort((a, b) => {
            if (sortColumn.sort.reverseSort) {
                [a, b] = [b, a];
            }
            if (typeof a[this.currentSortColumn] === 'string' && typeof b[this.currentSortColumn] === 'string') {
                return this.compareString(a[this.currentSortColumn], b[this.currentSortColumn]);
            }
            else {
                return this.compare(a[this.currentSortColumn], b[this.currentSortColumn]);
            }
        });
    }
    updateBulkList(item) {
        if (item.checked && !this.bulkList.find((creative) => creative.id === item.id)) {
            this.bulkList.push(item);
        }
        else {
            this.bulkList = this.bulkList.filter((creative) => creative.id !== item.id);
        }
    }
    clearBulkList() {
        this.bulkList = [];
        this.oneItemSelected = false;
        this.allItemsSelected = false;
    }
    changePerPageEmitter(event) {
        event.currentPageIndex++;
        this.changePaginatorSettings.emit(event);
    }
}
TableComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: TableComponent, deps: [{ token: SpinnerService }, { token: i2.FormBuilder }, { token: StorageService }, { token: PopupServiceClass }, { token: i0.ChangeDetectorRef }], target: i0.ɵɵFactoryTarget.Component });
TableComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.3.0", type: TableComponent, selector: "ng2-table", inputs: { incomingData: ["incoming", "incomingData"], userConfig: ["tableConfig", "userConfig"], actionList: "actionList", valueList: "valueList", useDefaultSpinner: "useDefaultSpinner", checkboxesVisible: "checkboxesVisible", sortTimeout: "sortTimeout", tablePlaceholderConfig: "tablePlaceholderConfig", showCheckboxes: "showCheckboxes", sortKey: "sortKey", showDefaultNoDataSpinner: "showDefaultNoDataSpinner", searchString: "searchString", paginatorOptionsRows: "paginatorOptionsRows" }, outputs: { pushedBulkList: "pushedBulkList", allCheckboxesSelected: "allCheckboxesSelected", changeSortKey: "changeSortKey", changePaginatorSettings: "changePaginatorSettings" }, ngImport: i0, template: "<div class=\"component-container component-table-container\">\n  <div class=\"component-data component-table-data\" #tableData>\n    <div class=\"table-flex\" [ngClass]=\"{'no-data' : !this.paginatedArray$.value?.length}\">\n      <table class=\"table table-component\" [ngClass]=\"tableConfig.cellsVerticalAlign\">\n        <thead>\n          <tr>\n            <ng-container *ngFor=\"let column of tableConfig.columnsConfig; let lastIndex = last\">\n              <th\n                [style.width]=\"column.columnWidth\"\n                [ngClass]=\"getThClass(column)\"\n                [class.last-th]=\"setThClassForLast(lastIndex)\"\n                [class.select-th]=\"showCheckboxes && column.checkboxContent.header && (paginatedArray$ | async)?.length !== 0\"\n                *ngIf=\"!visibleColumns.length || isVisibleCurrentColumn(column.textContent.title)\"\n                (click)=\"sortWithTimeout(column)\"\n              >\n                <span *ngIf=\"column.HTMLContent?.header\">{{ column.HTMLContent.title }}</span>\n                <span\n                  *ngIf=\"!column.filter.active && column.textContent.header &&\n                         column.iconsContent.header && !column.tooltipContent.tooltip\"\n                  class=\"table-header-with-icon\"\n                >\n                  <span\n                    class=\"material-icons material-icons-outlined button-icon button-icon-outline button-icon-small\"\n                    [matTooltip]=\"column.iconsContent.title\"\n                    matTooltipPosition=\"above\"\n                    >{{ column.iconsContent.headerClass }}</span\n                  >\n                  <span>{{ column.textContent.title }}</span>\n                </span>\n                <span\n                  class=\"text-with-icon\"\n                  style=\"display: flex; align-items: center\"\n                  *ngIf=\"!column.filter.active &&\n              column.textContent.header && column.tooltipContent.tooltip\"\n                >\n                  {{ column.textContent.title }}\n                  <span class=\"wrapper\">\n                    <i\n                      [ngClass]=\"column.tooltipContent.iconContent\"\n                      *ngIf=\"column.tooltipContent.iconContent\"\n                      class=\"tooltip-icon\"\n                    ></i>\n                    <div class=\"tooltip\">{{ column.tooltipContent.text }}</div>\n                  </span>\n                </span>\n                <span\n                  *ngIf=\"!column.filter.active && column.textContent.header &&\n                         !column.iconsContent.header && !column.tooltipContent.tooltip\"\n                >\n                  {{ column.textContent.title }}\n                </span>\n                <span\n                  *ngIf=\"!column.filter.active && column.iconsContent.header &&\n                         !column.textContent.header && !column.tooltipContent.tooltip\"\n                  class=\"only-icon\"\n                >\n                  <i [ngClass]=\"column.iconsContent.headerClass\"></i>\n                </span>\n                <div *ngIf=\"column.filter.active\" class=\"th-filter dropdown\" dropDown>\n                  <div *ngIf=\"column.filter.active\" class=\"th-filter dropdown\" #dropDownButton>\n                    <span\n                      *ngIf=\"column.textContent.header &&\n                              column.iconsContent.header && column.filter.activeValueAlias\"\n                      class=\"{{valueList[column.filter.activeValueAlias]}} text-capitalize\"\n                    >\n                      <i class=\"status-icon\"></i>\n                    </span>\n                    <span\n                      class=\"material-icons material-icons-outlined button-icon button-icon-primary button-icon-large filter-icon\"\n                      *ngIf=\"column.textContent.header &&\n                              column.iconsContent.header && !column.filter.activeValueAlias\"\n                    >\n                      filter_list\n                    </span>\n\n                    <epom-dropdown\n                      [toggleButton]=\"dropDownButton\"\n                      [position]=\"'dropdown-left'\"\n                      [width]=\"'auto'\"\n                      [marginTop]=\"0\"\n                    >\n                      <ul class=\"dropdown dropdown-left\">\n                        <li\n                          *ngFor=\"let filter of column.filter.filterList\"\n                          [ngClass]=\"{'dropdown-filter-active' : currentFilterStatus === filter.name}\"\n                        >\n                          <a (click)=\"applyAction(filter.name, column.filter.alias)\">\n                            <span class=\"{{filter.class}} text-capitalize\">\n                              <i class=\"status-icon\"></i>{{ filter.description }}\n                            </span>\n                          </a>\n                        </li>\n                      </ul>\n                    </epom-dropdown>\n                  </div>\n                </div>\n                <mat-checkbox\n                  *ngIf=\"showCheckboxes && column.checkboxContent.header && (paginatedArray$ | async)?.length !== 0\"\n                  matTooltip=\"{{column.checkboxContent.headerCheckboxMessage}}\"\n                  matTooltipDisabled=\"{{!column.checkboxContent.headerCheckboxMessage ||\n                            !column.checkboxContent.headerCheckboxMessage.length}}\"\n                  [indeterminate]=\"allItemsSelected || oneItemSelected\"\n                  [disabled]=\"column.checkboxContent.disabledCheckbox\"\n                  [(ngModel)]=\"allItemsSelected || oneItemSelected\"\n                  (change)=\"selectAll($event)\"\n                >\n                </mat-checkbox>\n              </th>\n            </ng-container>\n            <div class=\"customization-table dropdown\" *ngIf=\"userConfig.isActiveCustomization\">\n              <button class=\"dropdown-button\" #dropDownButton>\n                <i class=\"icon-cog\"></i>\n              </button>\n              <form [formGroup]=\"columnsForm\" (submit)=\"columnsFormSubmit();\">\n                <epom-dropdown [state]=\"dropDownState\" (close)=\"closeDropDownEvent()\" [toggleButton]=\"dropDownButton\">\n                  <div class=\"actions-container\">\n                    <button type=\"button\" class=\"select-all-button\" (click)=\"selectAllOptionsForColumns()\">\n                      Select all\n                    </button>\n                    <button type=\"button\" class=\"clear-all-button\" (click)=\"clearAllOptionsForColumns()\">\n                      Clear all\n                    </button>\n                  </div>\n                  <ul\n                    formArrayName=\"items\"\n                    class=\"dropdown dropdown-left\"\n                    [class.rows-direction]=\"tableConfig.columnsConfig.length >= 6\"\n                  >\n                    <li *ngFor=\"let col of tableConfig.columnsConfig; index as i\">\n                      <input\n                        [formControlName]=\"i\"\n                        class=\"switchers\"\n                        id=\"{{col.textContent.title}}\"\n                        type=\"checkbox\"\n                        value=\"{{col.textContent.title}}\"\n                        formControlName=\"col.textContent.title\"\n                      />\n                      <label for=\"{{col.textContent.title}}\">{{ col.textContent.title }}</label>\n                    </li>\n                  </ul>\n                  <div class=\"content-footer\">\n                    <button type=\"button\" (click)=\"cancelSelection()\" class=\"btn btn-default\">Cancel</button>\n                    <button type=\"submit\" class=\"btn btn-default\">Save</button>\n                  </div>\n                </epom-dropdown>\n              </form>\n            </div>\n          </tr>\n        </thead>\n        <tbody>\n          <tr *ngIf=\"tableConfig.fixedRow.top\" class=\"total\">\n            <ng-container *ngFor=\"let column of tableConfig.columnsConfig\">\n              <td *ngIf=\"!visibleColumns.length || isVisibleCurrentColumn(column.textContent.title)\">\n                <span class=\"{{tableConfig.fixedRow.class}}\">\n                  {{ tableConfig.fixedRow.cells[column.textContent.contentProperty] }}\n                </span>\n              </td>\n            </ng-container>\n          </tr>\n          <ng-container *ngFor=\"let row of paginatedArray$ | async\">\n            <tr\n              class=\"{{row.activeClass}}\"\n              [attr.data-qa]=\"'ssp-ep-item'\"\n              [class.previous-row-hover]=\"row.warningArray?.length\"\n            >\n              <ng-container *ngFor=\"let column of tableConfig.columnsConfig\">\n                <td\n                  *ngIf=\"!visibleColumns.length || isVisibleCurrentColumn(column.textContent.title)\"\n                  [ngClass]=\"getTdClass(column)\"\n                  [class.select-th]=\"showCheckboxes && column.checkboxContent.header && (paginatedArray$ | async)?.length !== 0\"\n                  class=\"{{row[column.tdCustomClass.tdCustomClassProperty]}}\"\n                >\n                  <div [ngClass]=\"(column?.wrapper?.class || '') + ' ' + (row[column?.wrapper?.classProperty] || '')\">\n                    <span *ngIf=\"column.HTMLContent?.body\" [innerHTML]=\"row[column.HTMLContent.contentProperty]\"></span>\n                    <span\n                      *ngIf=\"column.labelContent && column.labelContent.body\"\n                      class=\"{{row[column.customClass.bodyClassProperty]}}\"\n                    >\n                      <ul class=\"list-labels\" *ngIf=\"row[column.labelContent.contentProperty].length\">\n                        <li class=\"label-enpoint\" *ngFor=\"let label of row[column.labelContent.contentProperty]\">\n                          <span\n                            [style.background-color]=\"'#' + label[column.labelContent.backgroundProperty]\"\n                            class=\"label label-enpoint\"\n                            [style.color]=\"getLabelTextColor(label[column.labelContent.backgroundProperty])\"\n                          >\n                            {{ label[column.labelContent.titleProperty] }}\n                          </span>\n                        </li>\n                      </ul>\n                      <ng-container *ngIf=\"!row[column.labelContent.contentProperty].length\">-</ng-container>\n                    </span>\n                    <div *ngIf=\"column.endpointsListContent && column.endpointsListContent.body\">\n                      <ul class=\"table-endpoint-list\">\n                        <li *ngFor=\"let endpoint of row[column.endpointsListContent.contentProperty]\">\n                          <a\n                            title=\"{{endpoint[column.endpointsListContent.name]}}\"\n                            [routerLink]=\"endpoint[column.endpointsListContent.link]\"\n                          >\n                            {{ endpoint[column.endpointsListContent.name] }}</a\n                          >\n                        </li>\n                      </ul>\n                    </div>\n                    <div *ngIf=\"column.inputContent as input\" class=\"form-control-wrapper\">\n                      <epom-input-counter\n                        *ngIf=\"input.type === 'number'\"\n                        ngDefaultControl\n                        [showIcon]=\"input.showIcon\"\n                        [isMaterialIcon]=\"input.isMaterialIcon\"\n                        [icon]=\"row[input.iconProperty]\"\n                        [formControl]=\"row[input.formControlProperty]\"\n                      >\n                      </epom-input-counter>\n                      <custom-select\n                        class=\"table-custom-select\"\n                        *ngIf=\"input.type === 'select'\"\n                        [formElement]=\"row[input.formControlProperty]\"\n                        [valuesStream]=\"row[input.valuesStreamProperty]\"\n                        [placeholder]=\"input.placeholder\"\n                      >\n                      </custom-select>\n                    </div>\n                    <span\n                      *ngIf=\"!column.textContent.body &&\n                         !column.iconsContent.body &&\n                         !column.imagesContent.body &&\n                         column.videosContent?.body &&\n                         !column.videosContent?.isBodyLink\"\n                      class=\"{{row[column.customClass.bodyClassProperty]}}\"\n                    >\n                      <span\n                        *ngFor=\"let videoProperty of column.videosContent.bodyProperties\"\n                        (click)=\"createVideoPopup('Video',row[videoProperty])\"\n                        class=\"video-preview\"\n                      >\n                        <video class=\"image-in-td\">\n                          <source [src]=\"row[videoProperty]\" />\n                        </video>\n                      </span>\n                    </span>\n\n                    <a *ngIf=\"column.imagesContent.isBodyLink\" href=\"row[column.imagesContent.bodyLinkProperty]\">\n                      <span\n                        *ngIf=\"!column.textContent.body &&\n                           !column.iconsContent.body &&\n                           !column.videosContent?.body &&\n                            column.imagesContent.body\"\n                        class=\"{{row[column.customClass.bodyClassProperty]}}\"\n                      >\n                        <img\n                          *ngFor=\"let imageProperty of column.imagesContent.bodyProperties\"\n                          [src]=\"row[imageProperty]\"\n                          class=\"image-in-td\"\n                        />\n                      </span>\n                    </a>\n\n                    <span\n                      *ngIf=\"!column.iconsContent.body &&\n                         !column.videosContent?.body &&\n                         column.imagesContent.body &&\n                         !column.imagesContent.isBodyLink\"\n                      class=\"{{row[column.customClass.bodyClassProperty]}}\"\n                    >\n                      <img\n                        *ngFor=\"let imageProperty of column.imagesContent.bodyProperties\"\n                        [src]=\"row[imageProperty]\"\n                        class=\"image-in-td\"\n                      />\n                    </span>\n\n                    <a *ngIf=\"column.iconsContent.isBodyLink\" href=\"row[column.iconsContent.bodyLinkProperty]\">\n                      <span\n                        *ngIf=\"!column.textContent.body &&\n                          !column.imagesContent.body &&\n                         column.iconsContent.body\"\n                        class=\"{{row[column.customClass.bodyClassProperty]}}\"\n                      >\n                        <i\n                          *ngFor=\"let iconProperty of column.iconsContent.bodyProperties\"\n                          [ngClass]=\"row[iconProperty]\"\n                        ></i>\n                      </span>\n                    </a>\n                    <div *ngIf=\"column.iconsContent.isBodyAction && row[column.textContent.showProperty]\">\n                      <div class=\"table-hyperlink\" (click)=\"applyAction(row, column.textContent.alias)\">\n                        <span class=\"material-icons material-icons-outlined\"\n                          >{{ column.iconsContent.bodyLinkProperty }}</span\n                        >\n                        <span class=\"table-text-item ml-4\">{{column.iconsContent.title}}</span>\n                      </div>\n                      <span>{{ row[column.textContent.contentProperty] }}</span>\n                    </div>\n\n                    <span\n                      *ngIf=\"!column.imagesContent.body &&\n                         column.iconsContent.body &&\n                         !column.iconsContent.isBodyLink\"\n                      class=\"{{row[column.customClass.bodyClassProperty]}} table-info-icon tooltip-wrapper d-flex\"\n                      [attr.title]=\"column.iconsContent.titleProperty ? row[column.iconsContent.titleProperty] : ''\"\n                    >\n                      <ng-container *ngIf=\"!column.iconsContent.material\">\n                        <!-- todo remove after changing all icons to material -->\n                        <i\n                          *ngFor=\"let iconProperty of column.iconsContent.bodyProperties\"\n                          [ngClass]=\"row[iconProperty]\"\n                        ></i>\n                      </ng-container>\n                      <ng-container *ngIf=\"column.iconsContent.material\">\n                        <span\n                          *ngFor=\"let iconProperty of column.iconsContent.bodyProperties\"\n                          class=\"material-icons material-icons-outlined\"\n                        >\n                          {{ row[iconProperty] }}</span\n                        >\n                      </ng-container>\n                      <span *ngIf=\"column.tooltipContent.body\" class=\"tooltip-toggle\">{{ row.uiType }} </span>\n                    </span>\n                    <a\n                      class=\"table-link\"\n                      *ngIf=\"column.textContent.isBodyLink\"\n                      [routerLink]=\"row[column.textContent.bodyLinkProperty]\"\n                      [queryParams]=\"row[column.textContent.queryParamsProperty]\"\n                      [ngClass]=\"{'disabled-Link': !row[column.textContent.bodyLinkProperty]?.length}\"\n                    >\n                      <span\n                        *ngIf=\"column.textContent.body &&\n                           !column.textContent.isBodyAction &&\n                           !column.iconsContent.body\"\n                        class=\"{{row[column.customClass.bodyClassProperty]}}\"\n                      >\n                        {{ row[column.textContent.contentProperty] }}\n                      </span>\n                    </a>\n                    <span\n                      *ngIf=\"column.textContent.isBodyLink &&\n                            column.textContent.body &&\n                            column.textContent.isBodyAction &&\n                           !column.iconsContent.body\"\n                      class=\"{{row[column.customClass.bodyClassProperty]}} body-action-text\"\n                      (click)=\"applyAction(row, column.textContent.alias)\"\n                    >\n                      {{ row[column.textContent.contentProperty] }}\n                    </span>\n\n                    <span\n                      *ngIf=\"column.textContent.body && column.textContent.isStatus\"\n                      class=\"status-wrapper\"\n                      [ngClass]=\"row[column.customClass.bodyClassProperty]\"\n                    >\n                      <span class=\"material-icons\">circle</span>\n                      <span>{{ row[column.textContent.contentProperty] }}</span>\n                    </span>\n\n                    <span\n                      *ngIf=\"column.textContent.body &&\n                         !column.iconsContent.body &&\n                         !column.textContent.isBodyLink &&\n                         !column.textContent.showMoreText &&\n                         !column.textContent.isStatus\"\n                      class=\"{{row[column.customClass.bodyClassProperty]}}\"\n                    >\n                      {{ row[column.textContent.contentProperty] }}\n                    </span>\n                    <span\n                      *ngIf=\"column.textContent.body &&\n                        !column.imagesContent.body &&\n                         column.iconsContent.body\"\n                      class=\"{{row[column.customClass.bodyClassProperty]}}\"\n                    >\n                      <i\n                        *ngFor=\"let iconProperty of column.iconsContent.bodyProperties\"\n                        [ngClass]=\"row[iconProperty]\"\n                      ></i>\n                      {{ row[column.textContent.contentProperty] }}\n                    </span>\n                    <epom-show-more-text\n                      *ngIf=\"column.textContent.body && column.textContent.showMoreText\"\n                      [text]=\"row[column.textContent.contentProperty]\"\n                    >\n                    </epom-show-more-text>\n                    <mat-checkbox\n                      *ngIf=\"showCheckboxes && column.checkboxContent.body\"\n                      matTooltip=\"{{row.disabledCheckboxMessage}}\"\n                      matTooltipDisabled=\"{{!row.disabledCheckboxMessage || !row.disabledCheckboxMessage.length}}\"\n                      [disabled]=\"row.disabledCheckbox\"\n                      [(ngModel)]=\"row.checked\"\n                      (change)=\"fillBulkList(row)\"\n                      (ngModelChange)=\"updateAllComplete()\"\n                    >\n                    </mat-checkbox>\n                    <ul class=\"actions-list\" *ngIf=\"column.buttonsContent.body\" [class]=\"column.buttonsContent.class\">\n                      <li\n                        *ngFor=\"let button of column.buttonsContent.togglTextButtonList\"\n                        (click)=\"applyAction(row, button.alias)\"\n                      >\n                        <button\n                          *ngIf=\"row[button.showProperty]\"\n                          [attr.data-qa]=\"button.alias\"\n                          [class]=\"'status-switcher-on ' + button.class\"\n                        >\n                          <epom-spinner-button\n                            *ngIf=\"button.spinner && row.spinnerPlaceholderName\"\n                            [placement]=\"row.spinnerPlaceholderName\"\n                          ></epom-spinner-button>\n                          <mat-slide-toggle [checked]=\"row.status === 'Active'\">\n                            <span *ngIf=\"row.status !== 'Active'\" class=\"switcher-text text-on-off\">Off</span>\n                            <span *ngIf=\"row.status === 'Active'\" class=\"switcher-text text-on\">On</span>\n                          </mat-slide-toggle>\n                        </button>\n                      </li>\n\n                      <li *ngIf=\"column.buttonsContent.select as select\" class=\"table-custom-select\">\n                        <custom-select\n                          [dataQa]=\"select?.alias\"\n                          [valuesStream]=\"select?.availableData$\"\n                          [useClear]=\"select?.useClear\"\n                          [clearLikeOption]=\"select?.clearLikeOption\"\n                          [multiple]=\"select?.multiple\"\n                          [search]=\"select?.search\"\n                          [placeholder]=\"select?.placeholder\"\n                          [formElement]=\"selectFormControl((select?.availableData$ | async), row, select?.alias)\"\n                        ></custom-select>\n                      </li>\n\n                      <li\n                        *ngFor=\"let button of column.buttonsContent.textButtonList\"\n                        (click)=\"applyAction(row, button.alias)\"\n                      >\n                        <span *ngIf=\"row[button.showProperty]\" class=\"text\">{{ button.text }}</span>\n                      </li>\n                      <li\n                        *ngFor=\"let button of column.buttonsContent.buttonList\"\n                        matTooltip=\"{{button.title}}\"\n                        matTooltipPosition=\"above\"\n                        [attr.data-qa]=\"button.alias\"\n                        [matTooltipClass]=\"'table-tooltip'\"\n                        matTooltipDisabled=\"{{!row[button.showProperty] || !button.title?.length || !button.showMatTooltip}}\"\n                        class=\"{{button.class}}\"\n                        [ngClass]=\"{'ml-0': !row[button.showProperty]}\"\n                        (click)=\"applyAction(row, button.alias)\"\n                      >\n                        <button *ngIf=\"column.textContent.material\" [attr.data-qa]=\"button.alias\" class=\"icon-btn\">\n                          <span\n                            *ngIf=\"row[button.showProperty]\"\n                            class=\"material-icons material-icons-outlined button-icon button-icon-large\"\n                            [class]=\"button.iconClass\"\n                            >{{ button.icon }}</span\n                          >\n                        </button>\n\n                        <ng-container *ngIf=\"!column.textContent.material\">\n                          <!-- todo remove after changing all icons to material -->\n                          <span *ngIf=\"row[button.showProperty]\" class=\"icon\"><i [ngClass]=\"button.icon\"></i></span>\n                        </ng-container>\n                      </li>\n                    </ul>\n                  </div>\n                </td>\n              </ng-container>\n            </tr>\n            <tr *ngIf=\"row.warningArray?.length\" [attr.data-qa]=\"'warning-msg'\" class=\"next-row-hover\">\n              <td [attr.colspan]=\"tableConfig.columnsConfig.length\" class=\"warning-cell\">\n                <div class=\"warnings-container\">\n                  <app-banner-info\n                    *ngFor=\"let warning of row.warningArray\"\n                    [textBanner]=\"true\"\n                    [showIcon]=\"true\"\n                    [showCloseButton]=\"false\"\n                    [status]=\"warning.warningIcon\"\n                    [textInfo]=\"warning.warningMessage\"\n                    [bannerWrapperClass]=\"warning.warningClass\"\n                  ></app-banner-info>\n                </div>\n              </td>\n            </tr>\n            <tr *ngIf=\"row.uploadingStarted\" class=\"upload-row\" [attr.data-qa]=\"'warning-msg'\">\n              <td [attr.colspan]=\"tableConfig.columnsConfig.length\">\n                <ng-container *ngIf=\"row.uploadingStarted && row.uploadItems?.length\">\n                  <span>Uploading items:</span>\n\n                  <div class=\"upload-table-item mt-8\" *ngFor=\"let uploadItem of row.uploadItems\">\n                    <ng-container *ngIf=\"!uploadItem.uploadedWithError\">\n                      <div class=\"mb-8\">\n                        <span class=\"material-icons material-icons-outlined upload-table-item-icon\">\n                          insert_drive_file\n                        </span>\n                        <div class=\"upload-table-text-block\" *ngIf=\"uploadItem?.linesCount\">\n                          <span class=\"upload-table-item-name\">{{uploadItem?.fileName}}</span>\n                          <div class=\"upload-file-records\">\n                            Processed {{uploadItem?.processedCount}} of {{ uploadItem?.linesCount}} Records.\n                          </div>\n                        </div>\n                        <span class=\"upload-table-item-name\" *ngIf=\"!uploadItem?.linesCount\"\n                          >{{uploadItem?.fileName}}</span\n                        >\n                        <mat-spinner\n                          class=\"upload-item-spinner\"\n                          [diameter]=\"24\"\n                          *ngIf=\"!uploadItem?.linesCount\"\n                        ></mat-spinner>\n                      </div>\n                      <div class=\"progress\">\n                        <div\n                          class=\"progress-bar\"\n                          role=\"progressbar\"\n                          [ngStyle]=\"{width: uploadItem?.processedCount/uploadItem?.linesCount*100 + '%'}\"\n                        ></div>\n                      </div>\n                    </ng-container>\n\n                    <ng-container *ngIf=\"uploadItem.uploadedWithError\">\n                      <app-banner-info\n                        [smallSize]=\"false\"\n                        [showIcon]=\"true\"\n                        [showCloseButton]=\"false\"\n                        [status]=\"'error'\"\n                        [textInfo]=\"'Upload ' + uploadItem?.fileName + ' failed'\"\n                      >\n                      </app-banner-info>\n                    </ng-container>\n                  </div>\n                </ng-container>\n              </td>\n            </tr>\n          </ng-container>\n          <tr *ngIf=\"tableConfig.fixedRow.bottom\" class=\"total\">\n            <ng-container *ngFor=\"let column of tableConfig.columnsConfig\">\n              <td *ngIf=\"!visibleColumns.length || isVisibleCurrentColumn(column.textContent.title)\">\n                <span class=\"{{tableConfig.fixedRow.class}}\">\n                  {{ tableConfig.fixedRow.cells[column.textContent.contentProperty] }}\n                </span>\n              </td>\n            </ng-container>\n          </tr>\n          <tr\n            *ngIf=\"(paginatedArray$ | async)?.length === 0 && tableConfig.showDefaultPlaceholder && !showDefaultNoDataSpinner\"\n            class=\"no-hover\"\n          >\n            <td [attr.colspan]=\"tableConfig.columnsConfig.length\">\n              <div class=\"config-no-data\">No available data to show</div>\n            </td>\n          </tr>\n        </tbody>\n      </table>\n    </div>\n  </div>\n  <epom-spinner-table-placeholder\n    placement=\"table-placeholder\"\n    [autoopen]=\"false\"\n    [config]=\"tablePlaceholderConfig\"\n    [toggleFadeElement]=\"tableData\"\n  ></epom-spinner-table-placeholder>\n  <epom-spinner-table-no-data\n    *ngIf=\"showDefaultNoDataSpinner\"\n    [searchData]=\"searchString\"\n    placement=\"table-default-no-data-state\"\n  ></epom-spinner-table-no-data>\n  <epom-paginator\n    [ngClass]=\"{'no-data': !this.paginatedArray$.value?.length && !tableConfig.showDefaultPlaceholder}\"\n    *ngIf=\"tableConfig.pagination.enabled\"\n    [incoming]=\"dataArray$\"\n    [outcoming]=\"paginatedArray$\"\n    [perPage]=\"tableConfig.pagination.perPage\"\n    [pageValue]=\"tableConfig.pagination.pageValue || 1\"\n    [isShowPaginatorOptions]=\"tableConfig.pagination.paginatorDropdownEnabled\"\n    [optionsRows]=\"paginatorOptionsRows\"\n    (changePageEvent)=\"changePerPageEmitter($event)\"\n  ></epom-paginator>\n</div>\n", styles: [".table-component{border-radius:3px}.table-component ul.actions-list>li>span.icon{display:block;width:36px;height:36px;text-align:center;border-radius:50px;color:var(--outline-light);overflow:hidden;position:relative;cursor:pointer}.component-table-data,.component-data{z-index:1}.table-component ul.actions-list>li>span.text{display:block;line-height:36px;height:36px;text-align:center;border-radius:50px;color:#d6d6d6;overflow:hidden;position:relative;cursor:pointer;padding:0 10px;text-transform:uppercase}.table-component ul.actions-list>li>span>i{line-height:37px}.table-component ul.actions-list>li>span:hover{background:#ececec}.table-component thead span{position:relative}.table-component th{vertical-align:middle;text-align:left;white-space:nowrap}.table-component .only-icon{display:block;margin-top:3px}.table-component .image-in-td{max-width:100%}.customization-table{position:absolute;top:7px;right:15px;margin-left:1em}.customization-table>.dropdown-button{outline:none;border:none;padding:0;margin:0;background-color:transparent;cursor:pointer}ul.dropdown>li{list-style:none;width:100%}input.switchers+label{width:100%;text-align:left}.customization-table ul{display:flex;flex-direction:column;align-items:baseline;padding:0;width:100%}.switchers{width:100%}.customization-table .content-footer{padding:0;border:none;text-align:center;width:100%}.customization-table .content-footer>button{color:#fff;background:#6f79dd;outline:none}.customization-table .actions-container{width:100%;display:flex;justify-content:space-around;align-items:center;flex-direction:row}.customization-table .actions-container>button{border:none;color:#24b47e;outline:none;background-color:#fff}.customization-table ul.rows-direction{display:flex;justify-content:center;flex-direction:row;flex-wrap:wrap}.customization-table ul.rows-direction li{width:45%;margin:3px}.last-th{padding-right:5em}.select-th{text-align:center!important}.video-preview{cursor:pointer}.body-action-text{color:#43a0de;cursor:pointer}.wrapper{position:relative}.wrapper .tooltip{background:#23323f;bottom:100%;color:#fff;display:block;left:-90px;width:212px;margin-bottom:15px;opacity:0;padding:20px;pointer-events:none;position:absolute;font-size:12px;font-family:Open Sans,sans-serif;transform:translateY(10px);transition:all .25s ease-out;-ms-box-shadow:2px 2px 6px rgba(0,0,0,.28);-o-box-shadow:2px 2px 6px rgba(0,0,0,.28);box-shadow:2px 2px 6px #00000047}.wrapper .tooltip:before{bottom:-20px;content:\" \";display:block;height:20px;left:0;position:absolute;width:100%}.wrapper .tooltip:after{border-left:solid transparent 10px;border-right:solid transparent 10px;border-top:solid #23323f 10px;bottom:-10px;content:\" \";height:0;left:50%;margin-left:-13px;position:absolute;width:0}.wrapper:hover .tooltip{opacity:1;pointer-events:auto;transform:translateY(0)}.lte8 .wrapper .tooltip{display:none}.lte8 .wrapper:hover .tooltip{display:block}.icon-info.tooltip-icon{padding-left:4px}li.label-enpoint{max-width:190px;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;cursor:pointer}.list-labels{display:flex;gap:4px;flex-wrap:wrap}.tooltip-wrapper{position:relative;display:inline-block;cursor:pointer}.status-wrapper{display:flex;align-items:center}.align-buttons-left{justify-content:flex-start!important;margin-left:-6px}thead tr:first-child th:first-child{border-top-left-radius:2px}thead tr:first-child th:last-child{border-top-right-radius:2px}.tooltip-wrapper .tooltip-toggle{visibility:hidden;background-color:#333;color:#fff;text-align:center;border-radius:2px;padding:4px;position:fixed;z-index:1;opacity:.6;font-size:10px}.tooltip-wrapper:hover .tooltip-toggle{visibility:visible}.table-endpoint-list{padding:0;margin:0}.table-endpoint-list li{list-style-type:none;max-width:270px;overflow:hidden;white-space:nowrap;text-overflow:ellipsis}.config-no-data{color:var(--outline-light);font-size:var(--font-caption);font-weight:var(--font-weight-regular);line-height:12px;text-align:center;height:34px;display:flex;align-items:center;justify-content:center}.status>span.material-icons{color:var(--themePrimButtonsBg-color);font-size:20px;line-height:20px;vertical-align:middle}.material-icons-outlined{vertical-align:middle}.table>tbody>tr.warning-message>td{background-color:var(--warning-container-color);padding-top:0}label.mat-checkbox-layout{margin-bottom:2px}.actions-list button.icon-btn{padding:0}.status-switcher{text-transform:capitalize;height:20px;line-height:20px;padding:0}.table>tbody>tr>td>span{display:inline-block}ul.actions-list{justify-content:flex-end;height:20px;align-items:center}ul.switcher-cell{justify-content:flex-start}::ng-deep .status-switcher label.mat-slide-toggle-label{margin-bottom:0}::ng-deep .mat-slide-toggle{height:20px;line-height:20px}.table-header-with-icon{height:18px;display:flex;align-items:center}.table-header-with-icon .material-icons{margin-right:6px}ul.actions-list>li.ml-0{margin-left:0}.table-flex.no-data{border-radius:3px 3px 0 0}.table-custom-select{min-width:292px;max-width:292px}.table-flex table{border-radius:3px}thead th:first-child{border-top-left-radius:2px}thead th:last-child{border-top-right-radius:2px}.table-hyperlink{color:var(--themePrimButtonsBg-color);cursor:pointer;white-space:nowrap;.material-icons {font-size: 16px; margin-bottom: 2px;} .table-text-item {font-size: 12px; font-weight: 600;} &:hover {color: var(--themePrimButtonsBg-hover-color);}}.table-flex{overflow:visible!important}.table-link{width:-webkit-fill-available}.table-link span{overflow:hidden;text-overflow:ellipsis}.status{display:flex;align-items:center}.warning-cell{padding:0 0 8px 12px}.table>tbody>tr.no-border{border-bottom:0}.warnings-container{display:flex;flex-direction:column;gap:8px}.table>tbody>tr.previous-row-hover:hover+tr>td{background:var(--neutral-on-main-neutral-4-color)}.table>tbody>tr:has(+ tr.next-row-hover:hover)>td{background:var(--neutral-on-main-neutral-4-color)}.th-filter{position:relative!important}.filter-icon{margin:0 0 0 8px;position:absolute!important;transform:translate(-50%,-50%)}.dropdown{position:unset}table.top>tbody>tr>td{vertical-align:top}table.middle>tbody>tr>td{vertical-align:middle}.dropdown-filter{height:auto;padding:4px;margin-top:12px;overflow-y:auto;border-top-color:var(--themePrimButtonsBg-color)}.dropdown-filter-active{background-color:var(--themePrimButtonsBg-12-color)}.upload-table-item{max-width:720px;border-radius:4px;background:var(--themePrimButtonsBg-8-color);padding:12px}.upload-item-spinner{float:right}.upload-table-item-name{color:var(--neutral-on-main-neutral-color);font-size:12px;font-style:normal;font-weight:400;line-height:18px;margin-left:12px}.upload-table-item-icon{color:var(--neutral-outline-color);font-size:24px}.file-block{display:flex;flex-direction:column;width:100%;position:relative;height:40px}.file-block-title{width:100%;display:flex;justify-content:space-between;height:40px}.upload-table-text-block{display:inline-block;width:95%}.upload-file-records{float:inline-end}\n"], dependencies: [{ kind: "directive", type: i1$1.NgClass, selector: "[ngClass]", inputs: ["class", "ngClass"] }, { kind: "directive", type: i1$1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i1$1.NgStyle, selector: "[ngStyle]", inputs: ["ngStyle"] }, { kind: "directive", type: i1$2.RouterLinkWithHref, selector: "a[routerLink],area[routerLink]", inputs: ["target", "queryParams", "fragment", "queryParamsHandling", "state", "relativeTo", "preserveFragment", "skipLocationChange", "replaceUrl", "routerLink"] }, { kind: "component", type: PaginatorComponentClass, selector: "epom-paginator", inputs: ["viewStartLimit", "incoming", "outcoming", "optionsRows", "isShowPaginatorOptions", "pageValue", "perPage", "usePaginatorSpinner", "noDataMode", "totalRows"], outputs: ["changePageEvent"] }, { kind: "directive", type: DropdownDirective, selector: "[dropDown]" }, { kind: "component", type: SpinnerButtonComponent, selector: "epom-spinner-button", inputs: ["placement", "config", "toggleFadeElement", "autoopen"] }, { kind: "component", type: SpinnerTablePlaceholderComponent, selector: "epom-spinner-table-placeholder", inputs: ["placement", "config", "toggleFadeElement", "autoopen", "subscription"] }, { kind: "component", type: SpinnerTableNoDataComponent, selector: "epom-spinner-table-no-data", inputs: ["placement", "config", "toggleFadeElement", "autoopen", "searchData", "openStatePosition"] }, { kind: "directive", type: i2.ɵNgNoValidate, selector: "form:not([ngNoForm]):not([ngNativeValidate])" }, { kind: "directive", type: i2.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i2.CheckboxControlValueAccessor, selector: "input[type=checkbox][formControlName],input[type=checkbox][formControl],input[type=checkbox][ngModel]" }, { kind: "directive", type: i2.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i2.NgControlStatusGroup, selector: "[formGroupName],[formArrayName],[ngModelGroup],[formGroup],form:not([ngNoForm]),[ngForm]" }, { kind: "directive", type: i2.FormControlDirective, selector: "[formControl]", inputs: ["formControl", "disabled", "ngModel"], outputs: ["ngModelChange"], exportAs: ["ngForm"] }, { kind: "directive", type: i2.FormGroupDirective, selector: "[formGroup]", inputs: ["formGroup"], outputs: ["ngSubmit"], exportAs: ["ngForm"] }, { kind: "directive", type: i2.FormControlName, selector: "[formControlName]", inputs: ["formControlName", "disabled", "ngModel"], outputs: ["ngModelChange"] }, { kind: "directive", type: i2.FormArrayName, selector: "[formArrayName]", inputs: ["formArrayName"] }, { kind: "directive", type: i2.NgModel, selector: "[ngModel]:not([formControlName]):not([formControl])", inputs: ["name", "disabled", "ngModel", "ngModelOptions"], outputs: ["ngModelChange"], exportAs: ["ngModel"] }, { kind: "component", type: DropdownComponentClass, selector: "epom-dropdown", inputs: ["toggleButton", "position", "marginTop", "width", "state", "closeDropdownOnSelection"], outputs: ["close", "visibilityChange"] }, { kind: "component", type: i9.MatSlideToggle, selector: "mat-slide-toggle", inputs: ["disabled", "disableRipple", "color", "tabIndex"], exportAs: ["matSlideToggle"] }, { kind: "component", type: i3$1.MatCheckbox, selector: "mat-checkbox", inputs: ["disableRipple", "color", "tabIndex"], exportAs: ["matCheckbox"] }, { kind: "directive", type: i4.MatTooltip, selector: "[matTooltip]", exportAs: ["matTooltip"] }, { kind: "component", type: BannerInfoComponent, selector: "app-banner-info", inputs: ["smallSize", "textBanner", "showIcon", "showCloseButton", "textInfo", "status", "bannerWrapperClass"] }, { kind: "component", type: ShowMoreTextComponent, selector: "epom-show-more-text", inputs: ["text"] }, { kind: "component", type: i3.MatProgressSpinner, selector: "mat-progress-spinner, mat-spinner", inputs: ["color", "diameter", "strokeWidth", "mode", "value"], exportAs: ["matProgressSpinner"] }, { kind: "component", type: InputCounterComponent, selector: "epom-input-counter", inputs: ["step", "minQuantity", "maxQuantity", "icon", "formControl", "showIcon", "iconColor", "isMaterialIcon", "showQuantityButton", "placeholder", "isReadOnly", "iconPosition", "isIconOperationSign"] }, { kind: "component", type: SelectComponentClass, selector: "custom-select", inputs: ["valuesStream", "useClear", "clearLikeOption", "subtitle", "placeholder", "selectedDefaultIndex", "selectedDefaultValue", "formElement", "multiple", "search", "disable", "required", "direction", "maxItems", "dataQa", "canRemoveLastItem", "showFlag", "readOnly", "width", "withDescription", "withOperation", "isEmptyStateDescription", "createSelectOptionText", "selectedItemsOnTop", "startTypingText", "isSearchDelay", "dropdownPosition"], outputs: ["valueChanged", "createOptionHandler", "searchHandler"] }, { kind: "pipe", type: i1$1.AsyncPipe, name: "async" }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: TableComponent, decorators: [{
            type: Component,
            args: [{ selector: 'ng2-table', template: "<div class=\"component-container component-table-container\">\n  <div class=\"component-data component-table-data\" #tableData>\n    <div class=\"table-flex\" [ngClass]=\"{'no-data' : !this.paginatedArray$.value?.length}\">\n      <table class=\"table table-component\" [ngClass]=\"tableConfig.cellsVerticalAlign\">\n        <thead>\n          <tr>\n            <ng-container *ngFor=\"let column of tableConfig.columnsConfig; let lastIndex = last\">\n              <th\n                [style.width]=\"column.columnWidth\"\n                [ngClass]=\"getThClass(column)\"\n                [class.last-th]=\"setThClassForLast(lastIndex)\"\n                [class.select-th]=\"showCheckboxes && column.checkboxContent.header && (paginatedArray$ | async)?.length !== 0\"\n                *ngIf=\"!visibleColumns.length || isVisibleCurrentColumn(column.textContent.title)\"\n                (click)=\"sortWithTimeout(column)\"\n              >\n                <span *ngIf=\"column.HTMLContent?.header\">{{ column.HTMLContent.title }}</span>\n                <span\n                  *ngIf=\"!column.filter.active && column.textContent.header &&\n                         column.iconsContent.header && !column.tooltipContent.tooltip\"\n                  class=\"table-header-with-icon\"\n                >\n                  <span\n                    class=\"material-icons material-icons-outlined button-icon button-icon-outline button-icon-small\"\n                    [matTooltip]=\"column.iconsContent.title\"\n                    matTooltipPosition=\"above\"\n                    >{{ column.iconsContent.headerClass }}</span\n                  >\n                  <span>{{ column.textContent.title }}</span>\n                </span>\n                <span\n                  class=\"text-with-icon\"\n                  style=\"display: flex; align-items: center\"\n                  *ngIf=\"!column.filter.active &&\n              column.textContent.header && column.tooltipContent.tooltip\"\n                >\n                  {{ column.textContent.title }}\n                  <span class=\"wrapper\">\n                    <i\n                      [ngClass]=\"column.tooltipContent.iconContent\"\n                      *ngIf=\"column.tooltipContent.iconContent\"\n                      class=\"tooltip-icon\"\n                    ></i>\n                    <div class=\"tooltip\">{{ column.tooltipContent.text }}</div>\n                  </span>\n                </span>\n                <span\n                  *ngIf=\"!column.filter.active && column.textContent.header &&\n                         !column.iconsContent.header && !column.tooltipContent.tooltip\"\n                >\n                  {{ column.textContent.title }}\n                </span>\n                <span\n                  *ngIf=\"!column.filter.active && column.iconsContent.header &&\n                         !column.textContent.header && !column.tooltipContent.tooltip\"\n                  class=\"only-icon\"\n                >\n                  <i [ngClass]=\"column.iconsContent.headerClass\"></i>\n                </span>\n                <div *ngIf=\"column.filter.active\" class=\"th-filter dropdown\" dropDown>\n                  <div *ngIf=\"column.filter.active\" class=\"th-filter dropdown\" #dropDownButton>\n                    <span\n                      *ngIf=\"column.textContent.header &&\n                              column.iconsContent.header && column.filter.activeValueAlias\"\n                      class=\"{{valueList[column.filter.activeValueAlias]}} text-capitalize\"\n                    >\n                      <i class=\"status-icon\"></i>\n                    </span>\n                    <span\n                      class=\"material-icons material-icons-outlined button-icon button-icon-primary button-icon-large filter-icon\"\n                      *ngIf=\"column.textContent.header &&\n                              column.iconsContent.header && !column.filter.activeValueAlias\"\n                    >\n                      filter_list\n                    </span>\n\n                    <epom-dropdown\n                      [toggleButton]=\"dropDownButton\"\n                      [position]=\"'dropdown-left'\"\n                      [width]=\"'auto'\"\n                      [marginTop]=\"0\"\n                    >\n                      <ul class=\"dropdown dropdown-left\">\n                        <li\n                          *ngFor=\"let filter of column.filter.filterList\"\n                          [ngClass]=\"{'dropdown-filter-active' : currentFilterStatus === filter.name}\"\n                        >\n                          <a (click)=\"applyAction(filter.name, column.filter.alias)\">\n                            <span class=\"{{filter.class}} text-capitalize\">\n                              <i class=\"status-icon\"></i>{{ filter.description }}\n                            </span>\n                          </a>\n                        </li>\n                      </ul>\n                    </epom-dropdown>\n                  </div>\n                </div>\n                <mat-checkbox\n                  *ngIf=\"showCheckboxes && column.checkboxContent.header && (paginatedArray$ | async)?.length !== 0\"\n                  matTooltip=\"{{column.checkboxContent.headerCheckboxMessage}}\"\n                  matTooltipDisabled=\"{{!column.checkboxContent.headerCheckboxMessage ||\n                            !column.checkboxContent.headerCheckboxMessage.length}}\"\n                  [indeterminate]=\"allItemsSelected || oneItemSelected\"\n                  [disabled]=\"column.checkboxContent.disabledCheckbox\"\n                  [(ngModel)]=\"allItemsSelected || oneItemSelected\"\n                  (change)=\"selectAll($event)\"\n                >\n                </mat-checkbox>\n              </th>\n            </ng-container>\n            <div class=\"customization-table dropdown\" *ngIf=\"userConfig.isActiveCustomization\">\n              <button class=\"dropdown-button\" #dropDownButton>\n                <i class=\"icon-cog\"></i>\n              </button>\n              <form [formGroup]=\"columnsForm\" (submit)=\"columnsFormSubmit();\">\n                <epom-dropdown [state]=\"dropDownState\" (close)=\"closeDropDownEvent()\" [toggleButton]=\"dropDownButton\">\n                  <div class=\"actions-container\">\n                    <button type=\"button\" class=\"select-all-button\" (click)=\"selectAllOptionsForColumns()\">\n                      Select all\n                    </button>\n                    <button type=\"button\" class=\"clear-all-button\" (click)=\"clearAllOptionsForColumns()\">\n                      Clear all\n                    </button>\n                  </div>\n                  <ul\n                    formArrayName=\"items\"\n                    class=\"dropdown dropdown-left\"\n                    [class.rows-direction]=\"tableConfig.columnsConfig.length >= 6\"\n                  >\n                    <li *ngFor=\"let col of tableConfig.columnsConfig; index as i\">\n                      <input\n                        [formControlName]=\"i\"\n                        class=\"switchers\"\n                        id=\"{{col.textContent.title}}\"\n                        type=\"checkbox\"\n                        value=\"{{col.textContent.title}}\"\n                        formControlName=\"col.textContent.title\"\n                      />\n                      <label for=\"{{col.textContent.title}}\">{{ col.textContent.title }}</label>\n                    </li>\n                  </ul>\n                  <div class=\"content-footer\">\n                    <button type=\"button\" (click)=\"cancelSelection()\" class=\"btn btn-default\">Cancel</button>\n                    <button type=\"submit\" class=\"btn btn-default\">Save</button>\n                  </div>\n                </epom-dropdown>\n              </form>\n            </div>\n          </tr>\n        </thead>\n        <tbody>\n          <tr *ngIf=\"tableConfig.fixedRow.top\" class=\"total\">\n            <ng-container *ngFor=\"let column of tableConfig.columnsConfig\">\n              <td *ngIf=\"!visibleColumns.length || isVisibleCurrentColumn(column.textContent.title)\">\n                <span class=\"{{tableConfig.fixedRow.class}}\">\n                  {{ tableConfig.fixedRow.cells[column.textContent.contentProperty] }}\n                </span>\n              </td>\n            </ng-container>\n          </tr>\n          <ng-container *ngFor=\"let row of paginatedArray$ | async\">\n            <tr\n              class=\"{{row.activeClass}}\"\n              [attr.data-qa]=\"'ssp-ep-item'\"\n              [class.previous-row-hover]=\"row.warningArray?.length\"\n            >\n              <ng-container *ngFor=\"let column of tableConfig.columnsConfig\">\n                <td\n                  *ngIf=\"!visibleColumns.length || isVisibleCurrentColumn(column.textContent.title)\"\n                  [ngClass]=\"getTdClass(column)\"\n                  [class.select-th]=\"showCheckboxes && column.checkboxContent.header && (paginatedArray$ | async)?.length !== 0\"\n                  class=\"{{row[column.tdCustomClass.tdCustomClassProperty]}}\"\n                >\n                  <div [ngClass]=\"(column?.wrapper?.class || '') + ' ' + (row[column?.wrapper?.classProperty] || '')\">\n                    <span *ngIf=\"column.HTMLContent?.body\" [innerHTML]=\"row[column.HTMLContent.contentProperty]\"></span>\n                    <span\n                      *ngIf=\"column.labelContent && column.labelContent.body\"\n                      class=\"{{row[column.customClass.bodyClassProperty]}}\"\n                    >\n                      <ul class=\"list-labels\" *ngIf=\"row[column.labelContent.contentProperty].length\">\n                        <li class=\"label-enpoint\" *ngFor=\"let label of row[column.labelContent.contentProperty]\">\n                          <span\n                            [style.background-color]=\"'#' + label[column.labelContent.backgroundProperty]\"\n                            class=\"label label-enpoint\"\n                            [style.color]=\"getLabelTextColor(label[column.labelContent.backgroundProperty])\"\n                          >\n                            {{ label[column.labelContent.titleProperty] }}\n                          </span>\n                        </li>\n                      </ul>\n                      <ng-container *ngIf=\"!row[column.labelContent.contentProperty].length\">-</ng-container>\n                    </span>\n                    <div *ngIf=\"column.endpointsListContent && column.endpointsListContent.body\">\n                      <ul class=\"table-endpoint-list\">\n                        <li *ngFor=\"let endpoint of row[column.endpointsListContent.contentProperty]\">\n                          <a\n                            title=\"{{endpoint[column.endpointsListContent.name]}}\"\n                            [routerLink]=\"endpoint[column.endpointsListContent.link]\"\n                          >\n                            {{ endpoint[column.endpointsListContent.name] }}</a\n                          >\n                        </li>\n                      </ul>\n                    </div>\n                    <div *ngIf=\"column.inputContent as input\" class=\"form-control-wrapper\">\n                      <epom-input-counter\n                        *ngIf=\"input.type === 'number'\"\n                        ngDefaultControl\n                        [showIcon]=\"input.showIcon\"\n                        [isMaterialIcon]=\"input.isMaterialIcon\"\n                        [icon]=\"row[input.iconProperty]\"\n                        [formControl]=\"row[input.formControlProperty]\"\n                      >\n                      </epom-input-counter>\n                      <custom-select\n                        class=\"table-custom-select\"\n                        *ngIf=\"input.type === 'select'\"\n                        [formElement]=\"row[input.formControlProperty]\"\n                        [valuesStream]=\"row[input.valuesStreamProperty]\"\n                        [placeholder]=\"input.placeholder\"\n                      >\n                      </custom-select>\n                    </div>\n                    <span\n                      *ngIf=\"!column.textContent.body &&\n                         !column.iconsContent.body &&\n                         !column.imagesContent.body &&\n                         column.videosContent?.body &&\n                         !column.videosContent?.isBodyLink\"\n                      class=\"{{row[column.customClass.bodyClassProperty]}}\"\n                    >\n                      <span\n                        *ngFor=\"let videoProperty of column.videosContent.bodyProperties\"\n                        (click)=\"createVideoPopup('Video',row[videoProperty])\"\n                        class=\"video-preview\"\n                      >\n                        <video class=\"image-in-td\">\n                          <source [src]=\"row[videoProperty]\" />\n                        </video>\n                      </span>\n                    </span>\n\n                    <a *ngIf=\"column.imagesContent.isBodyLink\" href=\"row[column.imagesContent.bodyLinkProperty]\">\n                      <span\n                        *ngIf=\"!column.textContent.body &&\n                           !column.iconsContent.body &&\n                           !column.videosContent?.body &&\n                            column.imagesContent.body\"\n                        class=\"{{row[column.customClass.bodyClassProperty]}}\"\n                      >\n                        <img\n                          *ngFor=\"let imageProperty of column.imagesContent.bodyProperties\"\n                          [src]=\"row[imageProperty]\"\n                          class=\"image-in-td\"\n                        />\n                      </span>\n                    </a>\n\n                    <span\n                      *ngIf=\"!column.iconsContent.body &&\n                         !column.videosContent?.body &&\n                         column.imagesContent.body &&\n                         !column.imagesContent.isBodyLink\"\n                      class=\"{{row[column.customClass.bodyClassProperty]}}\"\n                    >\n                      <img\n                        *ngFor=\"let imageProperty of column.imagesContent.bodyProperties\"\n                        [src]=\"row[imageProperty]\"\n                        class=\"image-in-td\"\n                      />\n                    </span>\n\n                    <a *ngIf=\"column.iconsContent.isBodyLink\" href=\"row[column.iconsContent.bodyLinkProperty]\">\n                      <span\n                        *ngIf=\"!column.textContent.body &&\n                          !column.imagesContent.body &&\n                         column.iconsContent.body\"\n                        class=\"{{row[column.customClass.bodyClassProperty]}}\"\n                      >\n                        <i\n                          *ngFor=\"let iconProperty of column.iconsContent.bodyProperties\"\n                          [ngClass]=\"row[iconProperty]\"\n                        ></i>\n                      </span>\n                    </a>\n                    <div *ngIf=\"column.iconsContent.isBodyAction && row[column.textContent.showProperty]\">\n                      <div class=\"table-hyperlink\" (click)=\"applyAction(row, column.textContent.alias)\">\n                        <span class=\"material-icons material-icons-outlined\"\n                          >{{ column.iconsContent.bodyLinkProperty }}</span\n                        >\n                        <span class=\"table-text-item ml-4\">{{column.iconsContent.title}}</span>\n                      </div>\n                      <span>{{ row[column.textContent.contentProperty] }}</span>\n                    </div>\n\n                    <span\n                      *ngIf=\"!column.imagesContent.body &&\n                         column.iconsContent.body &&\n                         !column.iconsContent.isBodyLink\"\n                      class=\"{{row[column.customClass.bodyClassProperty]}} table-info-icon tooltip-wrapper d-flex\"\n                      [attr.title]=\"column.iconsContent.titleProperty ? row[column.iconsContent.titleProperty] : ''\"\n                    >\n                      <ng-container *ngIf=\"!column.iconsContent.material\">\n                        <!-- todo remove after changing all icons to material -->\n                        <i\n                          *ngFor=\"let iconProperty of column.iconsContent.bodyProperties\"\n                          [ngClass]=\"row[iconProperty]\"\n                        ></i>\n                      </ng-container>\n                      <ng-container *ngIf=\"column.iconsContent.material\">\n                        <span\n                          *ngFor=\"let iconProperty of column.iconsContent.bodyProperties\"\n                          class=\"material-icons material-icons-outlined\"\n                        >\n                          {{ row[iconProperty] }}</span\n                        >\n                      </ng-container>\n                      <span *ngIf=\"column.tooltipContent.body\" class=\"tooltip-toggle\">{{ row.uiType }} </span>\n                    </span>\n                    <a\n                      class=\"table-link\"\n                      *ngIf=\"column.textContent.isBodyLink\"\n                      [routerLink]=\"row[column.textContent.bodyLinkProperty]\"\n                      [queryParams]=\"row[column.textContent.queryParamsProperty]\"\n                      [ngClass]=\"{'disabled-Link': !row[column.textContent.bodyLinkProperty]?.length}\"\n                    >\n                      <span\n                        *ngIf=\"column.textContent.body &&\n                           !column.textContent.isBodyAction &&\n                           !column.iconsContent.body\"\n                        class=\"{{row[column.customClass.bodyClassProperty]}}\"\n                      >\n                        {{ row[column.textContent.contentProperty] }}\n                      </span>\n                    </a>\n                    <span\n                      *ngIf=\"column.textContent.isBodyLink &&\n                            column.textContent.body &&\n                            column.textContent.isBodyAction &&\n                           !column.iconsContent.body\"\n                      class=\"{{row[column.customClass.bodyClassProperty]}} body-action-text\"\n                      (click)=\"applyAction(row, column.textContent.alias)\"\n                    >\n                      {{ row[column.textContent.contentProperty] }}\n                    </span>\n\n                    <span\n                      *ngIf=\"column.textContent.body && column.textContent.isStatus\"\n                      class=\"status-wrapper\"\n                      [ngClass]=\"row[column.customClass.bodyClassProperty]\"\n                    >\n                      <span class=\"material-icons\">circle</span>\n                      <span>{{ row[column.textContent.contentProperty] }}</span>\n                    </span>\n\n                    <span\n                      *ngIf=\"column.textContent.body &&\n                         !column.iconsContent.body &&\n                         !column.textContent.isBodyLink &&\n                         !column.textContent.showMoreText &&\n                         !column.textContent.isStatus\"\n                      class=\"{{row[column.customClass.bodyClassProperty]}}\"\n                    >\n                      {{ row[column.textContent.contentProperty] }}\n                    </span>\n                    <span\n                      *ngIf=\"column.textContent.body &&\n                        !column.imagesContent.body &&\n                         column.iconsContent.body\"\n                      class=\"{{row[column.customClass.bodyClassProperty]}}\"\n                    >\n                      <i\n                        *ngFor=\"let iconProperty of column.iconsContent.bodyProperties\"\n                        [ngClass]=\"row[iconProperty]\"\n                      ></i>\n                      {{ row[column.textContent.contentProperty] }}\n                    </span>\n                    <epom-show-more-text\n                      *ngIf=\"column.textContent.body && column.textContent.showMoreText\"\n                      [text]=\"row[column.textContent.contentProperty]\"\n                    >\n                    </epom-show-more-text>\n                    <mat-checkbox\n                      *ngIf=\"showCheckboxes && column.checkboxContent.body\"\n                      matTooltip=\"{{row.disabledCheckboxMessage}}\"\n                      matTooltipDisabled=\"{{!row.disabledCheckboxMessage || !row.disabledCheckboxMessage.length}}\"\n                      [disabled]=\"row.disabledCheckbox\"\n                      [(ngModel)]=\"row.checked\"\n                      (change)=\"fillBulkList(row)\"\n                      (ngModelChange)=\"updateAllComplete()\"\n                    >\n                    </mat-checkbox>\n                    <ul class=\"actions-list\" *ngIf=\"column.buttonsContent.body\" [class]=\"column.buttonsContent.class\">\n                      <li\n                        *ngFor=\"let button of column.buttonsContent.togglTextButtonList\"\n                        (click)=\"applyAction(row, button.alias)\"\n                      >\n                        <button\n                          *ngIf=\"row[button.showProperty]\"\n                          [attr.data-qa]=\"button.alias\"\n                          [class]=\"'status-switcher-on ' + button.class\"\n                        >\n                          <epom-spinner-button\n                            *ngIf=\"button.spinner && row.spinnerPlaceholderName\"\n                            [placement]=\"row.spinnerPlaceholderName\"\n                          ></epom-spinner-button>\n                          <mat-slide-toggle [checked]=\"row.status === 'Active'\">\n                            <span *ngIf=\"row.status !== 'Active'\" class=\"switcher-text text-on-off\">Off</span>\n                            <span *ngIf=\"row.status === 'Active'\" class=\"switcher-text text-on\">On</span>\n                          </mat-slide-toggle>\n                        </button>\n                      </li>\n\n                      <li *ngIf=\"column.buttonsContent.select as select\" class=\"table-custom-select\">\n                        <custom-select\n                          [dataQa]=\"select?.alias\"\n                          [valuesStream]=\"select?.availableData$\"\n                          [useClear]=\"select?.useClear\"\n                          [clearLikeOption]=\"select?.clearLikeOption\"\n                          [multiple]=\"select?.multiple\"\n                          [search]=\"select?.search\"\n                          [placeholder]=\"select?.placeholder\"\n                          [formElement]=\"selectFormControl((select?.availableData$ | async), row, select?.alias)\"\n                        ></custom-select>\n                      </li>\n\n                      <li\n                        *ngFor=\"let button of column.buttonsContent.textButtonList\"\n                        (click)=\"applyAction(row, button.alias)\"\n                      >\n                        <span *ngIf=\"row[button.showProperty]\" class=\"text\">{{ button.text }}</span>\n                      </li>\n                      <li\n                        *ngFor=\"let button of column.buttonsContent.buttonList\"\n                        matTooltip=\"{{button.title}}\"\n                        matTooltipPosition=\"above\"\n                        [attr.data-qa]=\"button.alias\"\n                        [matTooltipClass]=\"'table-tooltip'\"\n                        matTooltipDisabled=\"{{!row[button.showProperty] || !button.title?.length || !button.showMatTooltip}}\"\n                        class=\"{{button.class}}\"\n                        [ngClass]=\"{'ml-0': !row[button.showProperty]}\"\n                        (click)=\"applyAction(row, button.alias)\"\n                      >\n                        <button *ngIf=\"column.textContent.material\" [attr.data-qa]=\"button.alias\" class=\"icon-btn\">\n                          <span\n                            *ngIf=\"row[button.showProperty]\"\n                            class=\"material-icons material-icons-outlined button-icon button-icon-large\"\n                            [class]=\"button.iconClass\"\n                            >{{ button.icon }}</span\n                          >\n                        </button>\n\n                        <ng-container *ngIf=\"!column.textContent.material\">\n                          <!-- todo remove after changing all icons to material -->\n                          <span *ngIf=\"row[button.showProperty]\" class=\"icon\"><i [ngClass]=\"button.icon\"></i></span>\n                        </ng-container>\n                      </li>\n                    </ul>\n                  </div>\n                </td>\n              </ng-container>\n            </tr>\n            <tr *ngIf=\"row.warningArray?.length\" [attr.data-qa]=\"'warning-msg'\" class=\"next-row-hover\">\n              <td [attr.colspan]=\"tableConfig.columnsConfig.length\" class=\"warning-cell\">\n                <div class=\"warnings-container\">\n                  <app-banner-info\n                    *ngFor=\"let warning of row.warningArray\"\n                    [textBanner]=\"true\"\n                    [showIcon]=\"true\"\n                    [showCloseButton]=\"false\"\n                    [status]=\"warning.warningIcon\"\n                    [textInfo]=\"warning.warningMessage\"\n                    [bannerWrapperClass]=\"warning.warningClass\"\n                  ></app-banner-info>\n                </div>\n              </td>\n            </tr>\n            <tr *ngIf=\"row.uploadingStarted\" class=\"upload-row\" [attr.data-qa]=\"'warning-msg'\">\n              <td [attr.colspan]=\"tableConfig.columnsConfig.length\">\n                <ng-container *ngIf=\"row.uploadingStarted && row.uploadItems?.length\">\n                  <span>Uploading items:</span>\n\n                  <div class=\"upload-table-item mt-8\" *ngFor=\"let uploadItem of row.uploadItems\">\n                    <ng-container *ngIf=\"!uploadItem.uploadedWithError\">\n                      <div class=\"mb-8\">\n                        <span class=\"material-icons material-icons-outlined upload-table-item-icon\">\n                          insert_drive_file\n                        </span>\n                        <div class=\"upload-table-text-block\" *ngIf=\"uploadItem?.linesCount\">\n                          <span class=\"upload-table-item-name\">{{uploadItem?.fileName}}</span>\n                          <div class=\"upload-file-records\">\n                            Processed {{uploadItem?.processedCount}} of {{ uploadItem?.linesCount}} Records.\n                          </div>\n                        </div>\n                        <span class=\"upload-table-item-name\" *ngIf=\"!uploadItem?.linesCount\"\n                          >{{uploadItem?.fileName}}</span\n                        >\n                        <mat-spinner\n                          class=\"upload-item-spinner\"\n                          [diameter]=\"24\"\n                          *ngIf=\"!uploadItem?.linesCount\"\n                        ></mat-spinner>\n                      </div>\n                      <div class=\"progress\">\n                        <div\n                          class=\"progress-bar\"\n                          role=\"progressbar\"\n                          [ngStyle]=\"{width: uploadItem?.processedCount/uploadItem?.linesCount*100 + '%'}\"\n                        ></div>\n                      </div>\n                    </ng-container>\n\n                    <ng-container *ngIf=\"uploadItem.uploadedWithError\">\n                      <app-banner-info\n                        [smallSize]=\"false\"\n                        [showIcon]=\"true\"\n                        [showCloseButton]=\"false\"\n                        [status]=\"'error'\"\n                        [textInfo]=\"'Upload ' + uploadItem?.fileName + ' failed'\"\n                      >\n                      </app-banner-info>\n                    </ng-container>\n                  </div>\n                </ng-container>\n              </td>\n            </tr>\n          </ng-container>\n          <tr *ngIf=\"tableConfig.fixedRow.bottom\" class=\"total\">\n            <ng-container *ngFor=\"let column of tableConfig.columnsConfig\">\n              <td *ngIf=\"!visibleColumns.length || isVisibleCurrentColumn(column.textContent.title)\">\n                <span class=\"{{tableConfig.fixedRow.class}}\">\n                  {{ tableConfig.fixedRow.cells[column.textContent.contentProperty] }}\n                </span>\n              </td>\n            </ng-container>\n          </tr>\n          <tr\n            *ngIf=\"(paginatedArray$ | async)?.length === 0 && tableConfig.showDefaultPlaceholder && !showDefaultNoDataSpinner\"\n            class=\"no-hover\"\n          >\n            <td [attr.colspan]=\"tableConfig.columnsConfig.length\">\n              <div class=\"config-no-data\">No available data to show</div>\n            </td>\n          </tr>\n        </tbody>\n      </table>\n    </div>\n  </div>\n  <epom-spinner-table-placeholder\n    placement=\"table-placeholder\"\n    [autoopen]=\"false\"\n    [config]=\"tablePlaceholderConfig\"\n    [toggleFadeElement]=\"tableData\"\n  ></epom-spinner-table-placeholder>\n  <epom-spinner-table-no-data\n    *ngIf=\"showDefaultNoDataSpinner\"\n    [searchData]=\"searchString\"\n    placement=\"table-default-no-data-state\"\n  ></epom-spinner-table-no-data>\n  <epom-paginator\n    [ngClass]=\"{'no-data': !this.paginatedArray$.value?.length && !tableConfig.showDefaultPlaceholder}\"\n    *ngIf=\"tableConfig.pagination.enabled\"\n    [incoming]=\"dataArray$\"\n    [outcoming]=\"paginatedArray$\"\n    [perPage]=\"tableConfig.pagination.perPage\"\n    [pageValue]=\"tableConfig.pagination.pageValue || 1\"\n    [isShowPaginatorOptions]=\"tableConfig.pagination.paginatorDropdownEnabled\"\n    [optionsRows]=\"paginatorOptionsRows\"\n    (changePageEvent)=\"changePerPageEmitter($event)\"\n  ></epom-paginator>\n</div>\n", styles: [".table-component{border-radius:3px}.table-component ul.actions-list>li>span.icon{display:block;width:36px;height:36px;text-align:center;border-radius:50px;color:var(--outline-light);overflow:hidden;position:relative;cursor:pointer}.component-table-data,.component-data{z-index:1}.table-component ul.actions-list>li>span.text{display:block;line-height:36px;height:36px;text-align:center;border-radius:50px;color:#d6d6d6;overflow:hidden;position:relative;cursor:pointer;padding:0 10px;text-transform:uppercase}.table-component ul.actions-list>li>span>i{line-height:37px}.table-component ul.actions-list>li>span:hover{background:#ececec}.table-component thead span{position:relative}.table-component th{vertical-align:middle;text-align:left;white-space:nowrap}.table-component .only-icon{display:block;margin-top:3px}.table-component .image-in-td{max-width:100%}.customization-table{position:absolute;top:7px;right:15px;margin-left:1em}.customization-table>.dropdown-button{outline:none;border:none;padding:0;margin:0;background-color:transparent;cursor:pointer}ul.dropdown>li{list-style:none;width:100%}input.switchers+label{width:100%;text-align:left}.customization-table ul{display:flex;flex-direction:column;align-items:baseline;padding:0;width:100%}.switchers{width:100%}.customization-table .content-footer{padding:0;border:none;text-align:center;width:100%}.customization-table .content-footer>button{color:#fff;background:#6f79dd;outline:none}.customization-table .actions-container{width:100%;display:flex;justify-content:space-around;align-items:center;flex-direction:row}.customization-table .actions-container>button{border:none;color:#24b47e;outline:none;background-color:#fff}.customization-table ul.rows-direction{display:flex;justify-content:center;flex-direction:row;flex-wrap:wrap}.customization-table ul.rows-direction li{width:45%;margin:3px}.last-th{padding-right:5em}.select-th{text-align:center!important}.video-preview{cursor:pointer}.body-action-text{color:#43a0de;cursor:pointer}.wrapper{position:relative}.wrapper .tooltip{background:#23323f;bottom:100%;color:#fff;display:block;left:-90px;width:212px;margin-bottom:15px;opacity:0;padding:20px;pointer-events:none;position:absolute;font-size:12px;font-family:Open Sans,sans-serif;transform:translateY(10px);transition:all .25s ease-out;-ms-box-shadow:2px 2px 6px rgba(0,0,0,.28);-o-box-shadow:2px 2px 6px rgba(0,0,0,.28);box-shadow:2px 2px 6px #00000047}.wrapper .tooltip:before{bottom:-20px;content:\" \";display:block;height:20px;left:0;position:absolute;width:100%}.wrapper .tooltip:after{border-left:solid transparent 10px;border-right:solid transparent 10px;border-top:solid #23323f 10px;bottom:-10px;content:\" \";height:0;left:50%;margin-left:-13px;position:absolute;width:0}.wrapper:hover .tooltip{opacity:1;pointer-events:auto;transform:translateY(0)}.lte8 .wrapper .tooltip{display:none}.lte8 .wrapper:hover .tooltip{display:block}.icon-info.tooltip-icon{padding-left:4px}li.label-enpoint{max-width:190px;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;cursor:pointer}.list-labels{display:flex;gap:4px;flex-wrap:wrap}.tooltip-wrapper{position:relative;display:inline-block;cursor:pointer}.status-wrapper{display:flex;align-items:center}.align-buttons-left{justify-content:flex-start!important;margin-left:-6px}thead tr:first-child th:first-child{border-top-left-radius:2px}thead tr:first-child th:last-child{border-top-right-radius:2px}.tooltip-wrapper .tooltip-toggle{visibility:hidden;background-color:#333;color:#fff;text-align:center;border-radius:2px;padding:4px;position:fixed;z-index:1;opacity:.6;font-size:10px}.tooltip-wrapper:hover .tooltip-toggle{visibility:visible}.table-endpoint-list{padding:0;margin:0}.table-endpoint-list li{list-style-type:none;max-width:270px;overflow:hidden;white-space:nowrap;text-overflow:ellipsis}.config-no-data{color:var(--outline-light);font-size:var(--font-caption);font-weight:var(--font-weight-regular);line-height:12px;text-align:center;height:34px;display:flex;align-items:center;justify-content:center}.status>span.material-icons{color:var(--themePrimButtonsBg-color);font-size:20px;line-height:20px;vertical-align:middle}.material-icons-outlined{vertical-align:middle}.table>tbody>tr.warning-message>td{background-color:var(--warning-container-color);padding-top:0}label.mat-checkbox-layout{margin-bottom:2px}.actions-list button.icon-btn{padding:0}.status-switcher{text-transform:capitalize;height:20px;line-height:20px;padding:0}.table>tbody>tr>td>span{display:inline-block}ul.actions-list{justify-content:flex-end;height:20px;align-items:center}ul.switcher-cell{justify-content:flex-start}::ng-deep .status-switcher label.mat-slide-toggle-label{margin-bottom:0}::ng-deep .mat-slide-toggle{height:20px;line-height:20px}.table-header-with-icon{height:18px;display:flex;align-items:center}.table-header-with-icon .material-icons{margin-right:6px}ul.actions-list>li.ml-0{margin-left:0}.table-flex.no-data{border-radius:3px 3px 0 0}.table-custom-select{min-width:292px;max-width:292px}.table-flex table{border-radius:3px}thead th:first-child{border-top-left-radius:2px}thead th:last-child{border-top-right-radius:2px}.table-hyperlink{color:var(--themePrimButtonsBg-color);cursor:pointer;white-space:nowrap;.material-icons {font-size: 16px; margin-bottom: 2px;} .table-text-item {font-size: 12px; font-weight: 600;} &:hover {color: var(--themePrimButtonsBg-hover-color);}}.table-flex{overflow:visible!important}.table-link{width:-webkit-fill-available}.table-link span{overflow:hidden;text-overflow:ellipsis}.status{display:flex;align-items:center}.warning-cell{padding:0 0 8px 12px}.table>tbody>tr.no-border{border-bottom:0}.warnings-container{display:flex;flex-direction:column;gap:8px}.table>tbody>tr.previous-row-hover:hover+tr>td{background:var(--neutral-on-main-neutral-4-color)}.table>tbody>tr:has(+ tr.next-row-hover:hover)>td{background:var(--neutral-on-main-neutral-4-color)}.th-filter{position:relative!important}.filter-icon{margin:0 0 0 8px;position:absolute!important;transform:translate(-50%,-50%)}.dropdown{position:unset}table.top>tbody>tr>td{vertical-align:top}table.middle>tbody>tr>td{vertical-align:middle}.dropdown-filter{height:auto;padding:4px;margin-top:12px;overflow-y:auto;border-top-color:var(--themePrimButtonsBg-color)}.dropdown-filter-active{background-color:var(--themePrimButtonsBg-12-color)}.upload-table-item{max-width:720px;border-radius:4px;background:var(--themePrimButtonsBg-8-color);padding:12px}.upload-item-spinner{float:right}.upload-table-item-name{color:var(--neutral-on-main-neutral-color);font-size:12px;font-style:normal;font-weight:400;line-height:18px;margin-left:12px}.upload-table-item-icon{color:var(--neutral-outline-color);font-size:24px}.file-block{display:flex;flex-direction:column;width:100%;position:relative;height:40px}.file-block-title{width:100%;display:flex;justify-content:space-between;height:40px}.upload-table-text-block{display:inline-block;width:95%}.upload-file-records{float:inline-end}\n"] }]
        }], ctorParameters: function () { return [{ type: SpinnerService }, { type: i2.FormBuilder }, { type: StorageService }, { type: PopupServiceClass }, { type: i0.ChangeDetectorRef }]; }, propDecorators: { incomingData: [{
                type: Input,
                args: ['incoming']
            }], userConfig: [{
                type: Input,
                args: ['tableConfig']
            }], actionList: [{
                type: Input,
                args: ['actionList']
            }], valueList: [{
                type: Input,
                args: ['valueList']
            }], useDefaultSpinner: [{
                type: Input,
                args: ['useDefaultSpinner']
            }], checkboxesVisible: [{
                type: Input,
                args: ['checkboxesVisible']
            }], sortTimeout: [{
                type: Input
            }], tablePlaceholderConfig: [{
                type: Input
            }], showCheckboxes: [{
                type: Input
            }], pushedBulkList: [{
                type: Output
            }], allCheckboxesSelected: [{
                type: Output
            }], sortKey: [{
                type: Input,
                args: ['sortKey']
            }], showDefaultNoDataSpinner: [{
                type: Input,
                args: ['showDefaultNoDataSpinner']
            }], searchString: [{
                type: Input,
                args: ['searchString']
            }], paginatorOptionsRows: [{
                type: Input,
                args: ['paginatorOptionsRows']
            }], changeSortKey: [{
                type: Output
            }], changePaginatorSettings: [{
                type: Output,
                args: ['changePaginatorSettings']
            }] } });

class BannerInfoModule {
}
BannerInfoModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: BannerInfoModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
BannerInfoModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "14.3.0", ngImport: i0, type: BannerInfoModule, declarations: [BannerInfoComponent], imports: [CommonModule], exports: [BannerInfoComponent] });
BannerInfoModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: BannerInfoModule, imports: [CommonModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: BannerInfoModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [
                        CommonModule,
                    ],
                    declarations: [
                        BannerInfoComponent,
                    ],
                    exports: [
                        BannerInfoComponent,
                    ],
                    providers: [],
                }]
        }] });

class ShowMoreTextModule {
}
ShowMoreTextModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: ShowMoreTextModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
ShowMoreTextModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "14.3.0", ngImport: i0, type: ShowMoreTextModule, declarations: [ShowMoreTextComponent], imports: [CommonModule], exports: [ShowMoreTextComponent] });
ShowMoreTextModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: ShowMoreTextModule, imports: [CommonModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: ShowMoreTextModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [ShowMoreTextComponent],
                    exports: [ShowMoreTextComponent],
                    imports: [CommonModule],
                }]
        }] });

class TableModule {
}
TableModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: TableModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
TableModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "14.3.0", ngImport: i0, type: TableModule, declarations: [TableComponent], imports: [CommonModule,
        BrowserModule,
        RouterModule,
        PaginatorModule,
        PipesDirectivesModule,
        SpinnerModule,
        ReactiveFormsModule,
        FormsModule,
        DropdownModule,
        MatSlideToggleModule,
        MatSliderModule,
        MatCheckboxModule,
        MatTooltipModule,
        BannerInfoModule,
        ShowMoreTextModule,
        MatProgressSpinnerModule,
        InputCounterModule,
        SelectModule], exports: [TableComponent] });
TableModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: TableModule, imports: [CommonModule,
        BrowserModule,
        RouterModule,
        PaginatorModule,
        PipesDirectivesModule,
        SpinnerModule,
        ReactiveFormsModule,
        FormsModule,
        DropdownModule,
        MatSlideToggleModule,
        MatSliderModule,
        MatCheckboxModule,
        MatTooltipModule,
        BannerInfoModule,
        ShowMoreTextModule,
        MatProgressSpinnerModule,
        InputCounterModule,
        SelectModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: TableModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [
                        CommonModule,
                        BrowserModule,
                        RouterModule,
                        PaginatorModule,
                        PipesDirectivesModule,
                        SpinnerModule,
                        ReactiveFormsModule,
                        FormsModule,
                        DropdownModule,
                        MatSlideToggleModule,
                        MatSliderModule,
                        MatCheckboxModule,
                        MatTooltipModule,
                        BannerInfoModule,
                        ShowMoreTextModule,
                        MatProgressSpinnerModule,
                        InputCounterModule,
                        SelectModule,
                    ],
                    declarations: [TableComponent],
                    providers: [],
                    exports: [TableComponent],
                }]
        }] });

function tableSearchByParameters(configsList, searchString, searchParameters) {
    const searchArray = searchString
        .trim()
        .split(' ')
        .filter((item) => item);
    return configsList.filter((item) => {
        return searchArray.every((value) => {
            const lowerValue = value.toLowerCase();
            return searchParameters.some((param) => {
                const paramToCheck = item[param]?.toString().toLowerCase() || '';
                return paramToCheck.includes(lowerValue);
            });
        });
    });
}

class SearchInputModule {
}
SearchInputModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: SearchInputModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
SearchInputModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "14.3.0", ngImport: i0, type: SearchInputModule, declarations: [SearchInputComponent], imports: [CommonModule, FormsModule, InputTrimModule], exports: [SearchInputComponent] });
SearchInputModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: SearchInputModule, imports: [CommonModule, FormsModule, InputTrimModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: SearchInputModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [SearchInputComponent],
                    imports: [CommonModule, FormsModule, InputTrimModule],
                    exports: [SearchInputComponent],
                }]
        }] });

class NameFormErrorModule {
}
NameFormErrorModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: NameFormErrorModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
NameFormErrorModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "14.3.0", ngImport: i0, type: NameFormErrorModule, declarations: [NameFormErrorComponent], imports: [CommonModule, FormsModule], exports: [NameFormErrorComponent] });
NameFormErrorModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: NameFormErrorModule, imports: [CommonModule, FormsModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: NameFormErrorModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [NameFormErrorComponent],
                    imports: [CommonModule, FormsModule],
                    exports: [NameFormErrorComponent],
                }]
        }] });

class SearchInputWithOptionsModule {
}
SearchInputWithOptionsModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: SearchInputWithOptionsModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
SearchInputWithOptionsModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "14.3.0", ngImport: i0, type: SearchInputWithOptionsModule, declarations: [SearchInputWithOptionsComponent], imports: [CommonModule, MatCheckboxModule, ReactiveFormsModule], exports: [SearchInputWithOptionsComponent] });
SearchInputWithOptionsModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: SearchInputWithOptionsModule, imports: [CommonModule, MatCheckboxModule, ReactiveFormsModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: SearchInputWithOptionsModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [SearchInputWithOptionsComponent],
                    imports: [CommonModule, MatCheckboxModule, ReactiveFormsModule],
                    exports: [SearchInputWithOptionsComponent],
                }]
        }] });

class PickerModule {
}
PickerModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: PickerModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
PickerModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "14.3.0", ngImport: i0, type: PickerModule, declarations: [PickerComponent], imports: [CommonModule], exports: [PickerComponent] });
PickerModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: PickerModule, imports: [CommonModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: PickerModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [CommonModule],
                    declarations: [PickerComponent],
                    exports: [PickerComponent],
                }]
        }] });

class SelectTimeModule {
}
SelectTimeModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: SelectTimeModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
SelectTimeModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "14.3.0", ngImport: i0, type: SelectTimeModule, declarations: [SelectTimeComponent], imports: [CommonModule, ReactiveFormsModule], exports: [SelectTimeComponent] });
SelectTimeModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: SelectTimeModule, imports: [CommonModule, ReactiveFormsModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: SelectTimeModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [CommonModule, ReactiveFormsModule],
                    declarations: [SelectTimeComponent],
                    exports: [SelectTimeComponent],
                    providers: [],
                }]
        }] });

class CheckboxButtonModule {
}
CheckboxButtonModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: CheckboxButtonModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
CheckboxButtonModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "14.3.0", ngImport: i0, type: CheckboxButtonModule, declarations: [CheckboxButtonComponent], imports: [CommonModule, ReactiveFormsModule, MatCheckboxModule, FormsModule, MatTooltipModule], exports: [CheckboxButtonComponent] });
CheckboxButtonModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: CheckboxButtonModule, imports: [CommonModule, ReactiveFormsModule, MatCheckboxModule, FormsModule, MatTooltipModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: CheckboxButtonModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [CheckboxButtonComponent],
                    imports: [CommonModule, ReactiveFormsModule, MatCheckboxModule, FormsModule, MatTooltipModule],
                    exports: [CheckboxButtonComponent],
                }]
        }] });

class PopupModule {
}
PopupModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: PopupModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
PopupModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "14.3.0", ngImport: i0, type: PopupModule, declarations: [PopupComponentClass,
        PopupSelectComponentClass,
        GeoSelectComponentClass,
        GeoSspSelectComponentClass,
        AutoLinkingComponentClass,
        PopupSelectVersionsComponentClass,
        PopupSizeComponentClass,
        PopupCridComponentClass,
        SelectWithSwapComponent,
        SelectWithCommonButton,
        PopupCustomInputComponent,
        AutofocusDirective,
        PopupStripeComponentClass,
        UserActivityPopupComponent,
        TableConfigComponent,
        GeoedgePopupComponent,
        CreativeDebugComponent,
        SortByPipe,
        PopupFilterByConditionComponent,
        PopupCheckboxGroupComponent,
        CattaxCategoryComponent,
        SingleCattaxCategoryComponent,
        OptionsSelectorComponent,
        SingleCattaxCategoryComponent,
        PopupUploadHistoryComponent,
        CalculateModifiersComponent], imports: [CommonModule,
        ReactiveFormsModule,
        BrowserModule,
        FormsModule,
        PipesDirectivesModule,
        FormsModule,
        TextMaskModule,
        TagsInputFieldModule,
        TableModule,
        SelectModule,
        FileUploadModule,
        RouterModule,
        MatSlideToggleModule,
        MatCheckboxModule,
        MatTreeModule,
        MatFormFieldModule,
        MatIconModule,
        MatButtonModule,
        MatTooltipModule,
        SearchInputModule,
        MatTooltipModule,
        InputCounterModule,
        CheckboxButtonModule,
        NameFormErrorModule,
        InputTrimModule,
        SearchInputWithOptionsModule,
        PickerModule,
        SelectTimeModule,
        CodemirrorModule,
        CheckboxButtonModule], exports: [PopupComponentClass] });
PopupModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: PopupModule, providers: [LanguageService, PopupServiceClass, RouterLinkWithHref, CattaxCategoryService], imports: [CommonModule,
        ReactiveFormsModule,
        BrowserModule,
        FormsModule,
        PipesDirectivesModule,
        FormsModule,
        TextMaskModule,
        TagsInputFieldModule,
        TableModule,
        SelectModule,
        FileUploadModule,
        RouterModule,
        MatSlideToggleModule,
        MatCheckboxModule,
        MatTreeModule,
        MatFormFieldModule,
        MatIconModule,
        MatButtonModule,
        MatTooltipModule,
        SearchInputModule,
        MatTooltipModule,
        InputCounterModule,
        CheckboxButtonModule,
        NameFormErrorModule,
        InputTrimModule,
        SearchInputWithOptionsModule,
        PickerModule,
        SelectTimeModule,
        CodemirrorModule,
        CheckboxButtonModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: PopupModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [
                        CommonModule,
                        ReactiveFormsModule,
                        BrowserModule,
                        FormsModule,
                        PipesDirectivesModule,
                        FormsModule,
                        TextMaskModule,
                        TagsInputFieldModule,
                        TableModule,
                        SelectModule,
                        FileUploadModule,
                        RouterModule,
                        MatSlideToggleModule,
                        MatCheckboxModule,
                        MatTreeModule,
                        MatFormFieldModule,
                        MatIconModule,
                        MatButtonModule,
                        MatTooltipModule,
                        SearchInputModule,
                        MatTooltipModule,
                        InputCounterModule,
                        CheckboxButtonModule,
                        NameFormErrorModule,
                        InputTrimModule,
                        SearchInputWithOptionsModule,
                        PickerModule,
                        SelectTimeModule,
                        CodemirrorModule,
                        CheckboxButtonModule,
                    ],
                    exports: [PopupComponentClass],
                    declarations: [
                        PopupComponentClass,
                        PopupSelectComponentClass,
                        GeoSelectComponentClass,
                        GeoSspSelectComponentClass,
                        AutoLinkingComponentClass,
                        PopupSelectVersionsComponentClass,
                        PopupSizeComponentClass,
                        PopupCridComponentClass,
                        SelectWithSwapComponent,
                        SelectWithCommonButton,
                        PopupCustomInputComponent,
                        AutofocusDirective,
                        PopupStripeComponentClass,
                        UserActivityPopupComponent,
                        TableConfigComponent,
                        GeoedgePopupComponent,
                        CreativeDebugComponent,
                        SortByPipe,
                        PopupFilterByConditionComponent,
                        PopupCheckboxGroupComponent,
                        CattaxCategoryComponent,
                        SingleCattaxCategoryComponent,
                        OptionsSelectorComponent,
                        SingleCattaxCategoryComponent,
                        PopupUploadHistoryComponent,
                        CalculateModifiersComponent,
                    ],
                    providers: [LanguageService, PopupServiceClass, RouterLinkWithHref, CattaxCategoryService],
                }]
        }] });

// export * from './select-versions/targeting-options-os-and-browser.type';
// export const PopupComponent = PopupComponentClass;
// export const PopupService = PopupServiceClass;
// export const PopupModule = PopupModule; // todo rename

class PubSubService {
    constructor() {
        this.eventMap = new Map();
    }
    $sub(eventName, callback) {
        if (!this.eventMap.has(eventName)) {
            this.eventMap.set(eventName, new Subject());
        }
        const eventSubject = this.eventMap.get(eventName);
        const subscription = eventSubject.subscribe((data) => {
            callback(data);
        });
        eventSubject.subscribe({
            complete: () => {
                subscription.unsubscribe();
            },
        });
    }
    $pub(eventName, data) {
        if (this.eventMap.has(eventName)) {
            this.eventMap.get(eventName).next(data);
        }
    }
}
PubSubService.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: PubSubService, deps: [], target: i0.ɵɵFactoryTarget.Injectable });
PubSubService.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: PubSubService, providedIn: 'root' });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: PubSubService, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root',
                }]
        }] });

class ResourcesService {
    constructor(storageService, api) {
        this.storageService = storageService;
        this.api = api;
    }
    loadAsResource(resourceURI, resourceName, options) {
        const savedResource$ = of(cloneDeep(this.storageService.getResource(resourceName)));
        const loadResource$ = this.api.getJson(resourceURI, options).pipe(tap$1((response) => {
            this.storageService.setResource(resourceName, response);
        }));
        return savedResource$.pipe(switchMap((resource) => {
            if (resource) {
                return (resource) ? savedResource$ : loadResource$;
            }
            else {
                return loadResource$;
            }
        }));
    }
    getGeoFromIp2Data(link, code, limit = 1000) {
        return this.loadAsResource('demand/management/resources/ip2data_integration_endpoint', 'ip2Data')
            .pipe(switchMap((geoApi) => this.api.getJson('//' + geoApi.restApiDomain + geoApi.restApiContext + link + code + '&limit=' + limit)));
    }
}
ResourcesService.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: ResourcesService, deps: [{ token: StorageService }, { token: ApiService }], target: i0.ɵɵFactoryTarget.Injectable });
ResourcesService.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: ResourcesService });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: ResourcesService, decorators: [{
            type: Injectable
        }], ctorParameters: function () { return [{ type: StorageService }, { type: ApiService }]; } });

class ResourcesServiceModule {
}
ResourcesServiceModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: ResourcesServiceModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
ResourcesServiceModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "14.3.0", ngImport: i0, type: ResourcesServiceModule, imports: [HttpClientModule] });
ResourcesServiceModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: ResourcesServiceModule, providers: [
        ResourcesService,
    ], imports: [HttpClientModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: ResourcesServiceModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [],
                    imports: [
                        HttpClientModule,
                    ],
                    exports: [],
                    providers: [
                        ResourcesService,
                    ],
                }]
        }] });

class SubMenuService {
    constructor() {
        this.subMenu = new BehaviorSubject(0);
    }
    updateSubMenu(data) {
        this.subMenu.next(data);
    }
}
SubMenuService.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: SubMenuService, deps: [], target: i0.ɵɵFactoryTarget.Injectable });
SubMenuService.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: SubMenuService });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: SubMenuService, decorators: [{
            type: Injectable
        }] });

class SubMenuComponent {
    constructor(submenuService) {
        this.submenuService = submenuService;
        this.typeMenu = 'list';
        this.activeName = 'Select';
        this.newDataSubscription = this.submenuService.subMenu.subscribe((subscription) => this.processData(subscription));
    }
    processData(data) {
        setTimeout(() => (this.subMenuData = data), 10);
    }
    ngOnDestroy() {
        this.newDataSubscription.unsubscribe();
    }
}
SubMenuComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: SubMenuComponent, deps: [{ token: SubMenuService }], target: i0.ɵɵFactoryTarget.Component });
SubMenuComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.3.0", type: SubMenuComponent, selector: "epom-sub-menu", inputs: { typeMenu: "typeMenu", activeName: "activeName" }, ngImport: i0, template: "<ul class=\"nav navbar-nav\" *ngIf=\"typeMenu === 'list'\">\n  <li\n    *ngFor=\"let item of subMenuData; let i = index\"\n    routerLinkActive=\"active\"\n    [routerLinkActiveOptions]=\"{exact:!item.exactTurnOff}\"\n  >\n    <a [routerLink]=\"item.path\" [queryParams]=\"item.queryParams\" *ngIf=\"item.path\">{{item.name}} </a>\n    <i *ngIf=\"item.badge && item.badge > 0\">\n      <span class=\"bubble tabs-bubble\">{{item.badge}}</span>\n    </i>\n    <span *ngIf=\"!item.path\">{{item.name}}</span>\n  </li>\n</ul>\n\n<div class=\"dropdown submenu-dropdown page-actions\" dropDown *ngIf=\"typeMenu === 'dropdown'\">\n  <button class=\"btn btn-default dropdown-toggle\" type=\"button\" id=\"dropdownMenu1\" data-toggle=\"dropdown\">\n    {{activeName}}\n    <span class=\"caret\"></span>\n  </button>\n  <ul class=\"dropdown-menu dropdown-menu-right\" aria-labelledby=\"dropdownMenu1\">\n    <li *ngFor=\"let item of subMenuData\" routerLinkActive=\"active\">\n      <a routerLinkActive=\"active\" [routerLink]=\"item.path\" *ngIf=\"item.path\">{{item.name}}</a>\n      <span *ngIf=\"!item.path\">{{item.name}}</span>\n    </li>\n  </ul>\n</div>\n", styles: [".nav-wrapper{width:100%}@media (min-width: 768px){.navbar-nav{float:none}}li{display:flex;gap:4px}li .bubble.tabs-bubble{font-style:normal;background-color:var(--error-default-color);color:var(--error-on-color);font-weight:var(--font-weight-semibold);position:relative;display:block;bottom:unset;right:unset}\n"], dependencies: [{ kind: "directive", type: i1$1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i1$2.RouterLinkWithHref, selector: "a[routerLink],area[routerLink]", inputs: ["target", "queryParams", "fragment", "queryParamsHandling", "state", "relativeTo", "preserveFragment", "skipLocationChange", "replaceUrl", "routerLink"] }, { kind: "directive", type: i1$2.RouterLinkActive, selector: "[routerLinkActive]", inputs: ["routerLinkActiveOptions", "ariaCurrentWhenActive", "routerLinkActive"], outputs: ["isActiveChange"], exportAs: ["routerLinkActive"] }, { kind: "directive", type: DropdownDirective, selector: "[dropDown]" }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: SubMenuComponent, decorators: [{
            type: Component,
            args: [{ selector: 'epom-sub-menu', template: "<ul class=\"nav navbar-nav\" *ngIf=\"typeMenu === 'list'\">\n  <li\n    *ngFor=\"let item of subMenuData; let i = index\"\n    routerLinkActive=\"active\"\n    [routerLinkActiveOptions]=\"{exact:!item.exactTurnOff}\"\n  >\n    <a [routerLink]=\"item.path\" [queryParams]=\"item.queryParams\" *ngIf=\"item.path\">{{item.name}} </a>\n    <i *ngIf=\"item.badge && item.badge > 0\">\n      <span class=\"bubble tabs-bubble\">{{item.badge}}</span>\n    </i>\n    <span *ngIf=\"!item.path\">{{item.name}}</span>\n  </li>\n</ul>\n\n<div class=\"dropdown submenu-dropdown page-actions\" dropDown *ngIf=\"typeMenu === 'dropdown'\">\n  <button class=\"btn btn-default dropdown-toggle\" type=\"button\" id=\"dropdownMenu1\" data-toggle=\"dropdown\">\n    {{activeName}}\n    <span class=\"caret\"></span>\n  </button>\n  <ul class=\"dropdown-menu dropdown-menu-right\" aria-labelledby=\"dropdownMenu1\">\n    <li *ngFor=\"let item of subMenuData\" routerLinkActive=\"active\">\n      <a routerLinkActive=\"active\" [routerLink]=\"item.path\" *ngIf=\"item.path\">{{item.name}}</a>\n      <span *ngIf=\"!item.path\">{{item.name}}</span>\n    </li>\n  </ul>\n</div>\n", styles: [".nav-wrapper{width:100%}@media (min-width: 768px){.navbar-nav{float:none}}li{display:flex;gap:4px}li .bubble.tabs-bubble{font-style:normal;background-color:var(--error-default-color);color:var(--error-on-color);font-weight:var(--font-weight-semibold);position:relative;display:block;bottom:unset;right:unset}\n"] }]
        }], ctorParameters: function () { return [{ type: SubMenuService }]; }, propDecorators: { typeMenu: [{
                type: Input
            }], activeName: [{
                type: Input
            }] } });

class SubMenuModule {
}
SubMenuModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: SubMenuModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
SubMenuModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "14.3.0", ngImport: i0, type: SubMenuModule, declarations: [SubMenuComponent], imports: [CommonModule, RouterModule, PipesDirectivesModule], exports: [SubMenuComponent] });
SubMenuModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: SubMenuModule, providers: [SubMenuService], imports: [CommonModule, RouterModule, PipesDirectivesModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: SubMenuModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [CommonModule, RouterModule, PipesDirectivesModule],
                    exports: [SubMenuComponent],
                    declarations: [SubMenuComponent],
                    providers: [SubMenuService],
                    schemas: [CUSTOM_ELEMENTS_SCHEMA],
                }]
        }] });

var TermsType;
(function (TermsType) {
    TermsType[TermsType["popup"] = 0] = "popup";
    TermsType[TermsType["redirect"] = 1] = "redirect";
})(TermsType || (TermsType = {}));

class TermsPopup {
    constructor(popupService) {
        this.popupService = popupService;
        this.config = null;
        this.transformConfig = (config) => {
            return { ...config.popupSettings, body: config.text };
        };
    }
    setConfig(config) {
        this.config = this.transformConfig(config);
    }
    open() {
        this.popupService.popupCreate(this.config);
    }
}
TermsPopup.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: TermsPopup, deps: [{ token: PopupServiceClass }], target: i0.ɵɵFactoryTarget.Injectable });
TermsPopup.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: TermsPopup });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: TermsPopup, decorators: [{
            type: Injectable
        }], ctorParameters: function () { return [{ type: PopupServiceClass }]; } });

class TermsRedirect {
    constructor(router) {
        this.router = router;
        this.config = {};
    }
    setConfig(config) {
        this.config = config;
    }
    open() {
        if (!this.config.link) {
            return;
        }
        if (typeof this.config.link === 'string') {
            this.router.navigateByUrl(this.config.link);
            return;
        }
        const { path, params } = this.config.link;
        this.router.navigate(path, { queryParams: params });
    }
}
TermsRedirect.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: TermsRedirect, deps: [{ token: i1$2.Router }], target: i0.ɵɵFactoryTarget.Injectable });
TermsRedirect.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: TermsRedirect });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: TermsRedirect, decorators: [{
            type: Injectable
        }], ctorParameters: function () { return [{ type: i1$2.Router }]; } });

class TermsButton {
    constructor(injector, changeDetectorRef) {
        this.changeDetectorRef = changeDetectorRef;
        this.configStream = new BehaviorSubject(null);
        this.type = TermsType.popup;
        const strategy = this.getCurrentStrategy(this.type);
        this.termsStrategy = injector.get(strategy);
    }
    getCurrentStrategy(type) {
        return (type === TermsType.popup) ? TermsPopup : TermsRedirect;
    }
    ngAfterViewInit() {
        if (this.config) {
            this.configStream.next(this.config);
        }
        this.configStream.subscribe(config => {
            this.title = config.title;
            this.termsStrategy.setConfig(config);
            if (!this.changeDetectorRef['destroyed']) {
                this.changeDetectorRef.detectChanges();
            }
        });
    }
    openTerms() {
        this.termsStrategy.open();
    }
}
TermsButton.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: TermsButton, deps: [{ token: i0.Injector }, { token: i0.ChangeDetectorRef }], target: i0.ɵɵFactoryTarget.Component });
TermsButton.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.3.0", type: TermsButton, selector: "terms", inputs: { config: "config", configStream: "configStream", type: "type" }, providers: [TermsPopup, TermsRedirect], ngImport: i0, template: '<button class="transparent-button" type="button" (click)="openTerms()">{{title}}</button>', isInline: true });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: TermsButton, decorators: [{
            type: Component,
            args: [{
                    selector: 'terms',
                    template: '<button class="transparent-button" type="button" (click)="openTerms()">{{title}}</button>',
                    providers: [TermsPopup, TermsRedirect],
                }]
        }], ctorParameters: function () { return [{ type: i0.Injector }, { type: i0.ChangeDetectorRef }]; }, propDecorators: { config: [{
                type: Input,
                args: ['config']
            }], configStream: [{
                type: Input,
                args: ['configStream']
            }], type: [{
                type: Input,
                args: ['type']
            }] } });

class TermsModule {
}
TermsModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: TermsModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
TermsModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "14.3.0", ngImport: i0, type: TermsModule, declarations: [TermsButton], imports: [CommonModule,
        BrowserModule,
        RouterModule], exports: [TermsButton] });
TermsModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: TermsModule, imports: [CommonModule,
        BrowserModule,
        RouterModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: TermsModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [
                        CommonModule,
                        BrowserModule,
                        RouterModule,
                    ],
                    declarations: [
                        TermsButton,
                    ],
                    exports: [
                        TermsButton,
                    ],
                }]
        }] });

const PAGES_WITHOUT_TOKEN = [
    'auth/login',
    'auth/logout',
    'user/register',
    'config/isMarket',
    'ip2data/rest/geo/country',
    'ip2data_integration_endpoint',
    'user/passwordchange',
    '/demand/management/campaigns/moderation/creatives',
];

class TokenService {
    constructor(storageService, router, http) {
        this.storageService = storageService;
        this.router = router;
        this.http = http;
        this.tokenIsRenewing = false;
    }
    mustRenewToken(url, isGetRequest) {
        const tokenExpire = this.storageService.get('tokenExpire');
        const MINUTES_UNTIL_EXPIRE = 25 * 60 * 1000;
        const expireDateInterval = new Date(tokenExpire - MINUTES_UNTIL_EXPIRE);
        const currentDate = new Date();
        if ((PAGES_WITHOUT_TOKEN.filter((item) => url.includes(item)).length > 0)
            || (url.includes('auth/renew') && tokenExpire)
            || !isGetRequest
            || (isGetRequest && currentDate < expireDateInterval)) {
            return false;
        }
        if (!tokenExpire || (currentDate > new Date(tokenExpire))) {
            this.router.navigate(['/logout']);
            return false;
        }
        if (!this.tokenIsRenewing) {
            this.generateRenewStream();
        }
        return true;
    }
    getTokenStream() {
        return this.token$;
    }
    generateTokenHeaders(options, isFile = false) {
        if (options === null) {
            options = new HttpRequest('GET', '');
        }
        if (!options.headers) {
            let headers = new HttpHeaders();
            headers = headers.append(this.getTokenKey(), this.storageService.get('token'));
            if (!isFile) {
                headers = headers.append('Content-Type', 'application/json');
            }
            headers = headers.append('accept', 'application/json');
            options = options.clone({ headers });
        }
        return options;
    }
    generateRenewStream() {
        this.tokenIsRenewing = true;
        const headers = new HttpHeaders();
        headers.set(this.getTokenKey(), this.storageService.get('token'));
        const apiDomain = this.storageService.get('apiDomain');
        const request = new HttpRequest('GET', `${apiDomain}/auth/renew`, { headers });
        this.token$ = this.http.request(request).pipe(map$1((response) => {
            response = response.body;
            this.storageService.setInLocal('token', response['token']);
            this.storageService.setInLocal('tokenExpire', response['tokenExpiredAt']);
            this.tokenIsRenewing = false;
        }));
    }
    getTokenKey() {
        return this.storageService.get('tokenKey') ? this.storageService.get('tokenKey') : 'edsp-auth-token';
    }
}
TokenService.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: TokenService, deps: [{ token: StorageService }, { token: i1$2.Router }, { token: i1.HttpClient }], target: i0.ɵɵFactoryTarget.Injectable });
TokenService.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: TokenService });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: TokenService, decorators: [{
            type: Injectable
        }], ctorParameters: function () { return [{ type: StorageService }, { type: i1$2.Router }, { type: i1.HttpClient }]; } });

/*
 * Public API Surface of epom-ng2-token-service
 */

class UrlParamsService {
    constructor(activated, router) {
        this.activated = activated;
        this.router = router;
        //subject instead of urlParametersSubject, because UrlParamsService.subject.subscribe() {}
        this.subject = new BehaviorSubject({});
        this.activated.queryParams.subscribe((params) => {
            this.save(params);
            this.publish(params);
        });
    }
    get(paramName) {
        return this.urlParameters[paramName] ? this.urlParameters[paramName] : null;
    }
    getAll() {
        return this.urlParameters;
    }
    set(params) {
        // TODO: http://localhost:4200/analytics?placement=2982&groupby=day%2Bos to
        // http://localhost:4200/analytics?placement=2982&groupby=day+os or
        // http://localhost:4200/analytics?placement=2982&groupby=day,os
        // https://stackoverflow.com/questions/41476193/angular-2-disable-url-encoding
        this.navigate(params);
    }
    setWithout(params, without) {
        const exclude = {};
        without
            .filter(x => this.urlParameters[x])
            .forEach(x => exclude[x] = this.urlParameters[x]);
        this.navigate({ ...exclude, ...params });
    }
    add(params) {
        this.navigate({ ...this.urlParameters, ...params });
    }
    remove(paramKeys) {
        const params = Object.keys(this.urlParameters)
            .filter(key => !paramKeys.includes(key))
            .reduce((acc, curr) => ({ ...acc, [curr]: this.urlParameters[curr] }), {});
        this.navigate(params);
    }
    // TODO: Refactor to .filter().length === original.length
    contains(paramKeys) {
        return paramKeys.every(paramKey => Object.keys(this.urlParameters).includes(paramKey));
    }
    // TODO: Refactor to .filter().length > 0
    containsAnyOf(paramKeys) {
        return paramKeys.some(paramKey => Object.keys(this.urlParameters).includes(paramKey));
    }
    save(params) {
        this.urlParameters = params;
    }
    publish(params) {
        this.subject.next(params);
    }
    navigate(queryParams) {
        this.router.navigate([], {
            queryParams,
        });
    }
}
UrlParamsService.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: UrlParamsService, deps: [{ token: i1$2.ActivatedRoute }, { token: i1$2.Router }], target: i0.ɵɵFactoryTarget.Injectable });
UrlParamsService.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: UrlParamsService });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: UrlParamsService, decorators: [{
            type: Injectable
        }], ctorParameters: function () { return [{ type: i1$2.ActivatedRoute }, { type: i1$2.Router }]; } });

class LimitCounterComponent {
    constructor() {
        this.limit = 0;
        this.lettersLeft = 0;
    }
    ngOnInit() {
        this.formControl.valueChanges.subscribe(value => {
            this.lettersLeft = value ? this.limit <= value.length ? this.limit : value.length : 0;
        });
    }
}
LimitCounterComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: LimitCounterComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
LimitCounterComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.3.0", type: LimitCounterComponent, selector: "limit-counter", inputs: { limit: "limit", formControl: ["controlName", "formControl"] }, ngImport: i0, template: "<span class=\"limit-counter\">{{lettersLeft}}/{{limit}}</span>\n", styles: [".limit-counter{float:right;margin-top:4px;color:var(--outline-light);font-size:var(--font-caption);font-weight:var(--font-weight-regular);line-height:16px}\n"] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: LimitCounterComponent, decorators: [{
            type: Component,
            args: [{ selector: 'limit-counter', template: "<span class=\"limit-counter\">{{lettersLeft}}/{{limit}}</span>\n", styles: [".limit-counter{float:right;margin-top:4px;color:var(--outline-light);font-size:var(--font-caption);font-weight:var(--font-weight-regular);line-height:16px}\n"] }]
        }], propDecorators: { limit: [{
                type: Input,
                args: ['limit']
            }], formControl: [{
                type: Input,
                args: ['controlName']
            }] } });

class LimitCounterModule {
}
LimitCounterModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: LimitCounterModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
LimitCounterModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "14.3.0", ngImport: i0, type: LimitCounterModule, declarations: [LimitCounterComponent], exports: [LimitCounterComponent] });
LimitCounterModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: LimitCounterModule });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: LimitCounterModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [],
                    declarations: [
                        LimitCounterComponent,
                    ],
                    exports: [
                        LimitCounterComponent,
                    ],
                    providers: [],
                }]
        }] });

class DatepickerComponent {
    constructor() {
        this.opens = 'left';
        this.drops = 'down';
        this.maxDate = null;
        this.minDate = null;
        this.formControl = new FormControl(null);
        this.locale = {
            format: 'YYYY-MM-DD',
            displayFormat: 'YYYY-MM-DD',
            cancelLabel: 'Cancel',
            applyLabel: 'Apply',
        };
        this.isOpen = false;
    }
    set setMaxDate(val) {
        if (val) {
            const day = val?.split('.');
            this.maxDate = dayjs([day?.[1], day?.[0], day?.[2]].join('-'))
                .add(23, 'hour')
                .add(59, 'minute')
                .add(59, 'second');
        }
        else {
            this.maxDate = null;
        }
    }
    set setMinDate(val) {
        if (val) {
            const day = val?.split('.');
            this.minDate = dayjs([day?.[1], day?.[0], day?.[2]].join('-'))
                .add(23, 'hour')
                .add(59, 'minute')
                .add(59, 'second');
        }
        else {
            this.minDate = null;
        }
    }
    onDocumentClick(event) {
        this.isOpen = this.datePicker.nativeElement.contains(event.target) && this.datePickerDirective?.picker.isShown;
    }
    ngOnInit() {
        this.formElement.valueChanges.pipe(take(1)).subscribe((date) => {
            if (date) {
                const parsedDate = dayjs(date, 'DD.MM.YYYY').format('YYYY-MM-DD');
                this.formControl.setValue({
                    startDate: parsedDate,
                    endDate: parsedDate,
                });
            }
        });
        this.subscription = this.formControl.valueChanges.subscribe((date) => {
            if (date) {
                const parsedDate = dayjs(date.startDate, 'YYYY-MM-DD').format('DD.MM.YYYY');
                this.formElement.setValue(parsedDate);
            }
            else {
                this.formElement.setValue(null);
            }
            timer(0).subscribe(() => {
                this.datePickerDirective.hide();
                this.isOpen = false;
            });
        });
    }
    ngAfterViewInit() {
        this.changeButtonsClass();
    }
    ngOnDestroy() {
        this.subscription.unsubscribe();
    }
    changeButtonsClass() {
        const cancelButton = this.datePicker.nativeElement.querySelector('.btn.btn-default');
        const applyButton = this.datePicker.nativeElement.querySelector('.btn:not(.btn-default)');
        if (cancelButton) {
            cancelButton.className = 'button button-outlined';
        }
        if (applyButton) {
            applyButton.className = 'button button-primary';
        }
    }
    onEnterSubmit(e) {
        this.datePickerDirective.picker.clickApply(e);
    }
    onChange(event) {
        if (event.target) {
            const parsedDate = dayjs(event.target.value, 'YYYY-MM-DD').format('DD.MM.YYYY');
            if (parsedDate === 'Invalid Date') {
                this.formElement.setValue(null);
            }
            else {
                this.formElement.setValue(parsedDate);
            }
        }
    }
    open(event) {
        if (this.isOpen && event.pointerId === 1) {
            this.datePickerDirective.hide(event);
            this.isOpen = false;
        }
        else {
            this.datePickerInput.nativeElement.blur();
        }
    }
    onBlur() {
        if (this.formElement.value) {
            this.formControl.markAsDirty();
        }
    }
}
DatepickerComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: DatepickerComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
DatepickerComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.3.0", type: DatepickerComponent, selector: "epom-datepicker", inputs: { opens: "opens", drops: "drops", formElement: "formElement", name: "name", setMaxDate: ["maxDate", "setMaxDate"], setMinDate: ["minDate", "setMinDate"] }, host: { listeners: { "document:click": "onDocumentClick($event)" } }, viewQueries: [{ propertyName: "datePickerDirective", first: true, predicate: DaterangepickerDirective, descendants: true }, { propertyName: "datePicker", first: true, predicate: ["datePicker"], descendants: true }, { propertyName: "datePickerInput", first: true, predicate: ["datePickerInput"], descendants: true }], ngImport: i0, template: "<div #datePicker class=\"input-with-icon datepicker-input\">\n  <label>\n    <input\n      #datePickerInput\n      [class.focused-input]=\"datePickerDirective?.picker.isShown\"\n      max=\"9999-12-31\"\n      [class.ng-invalid]=\"formElement.invalid || (name === 'dateEnd' && formElement.parent.hasError('compareDates'))\"\n      type=\"date\"\n      class=\"form-control\"\n      [attr.required]=\"'required'\"\n      ngxDaterangepickerMd\n      [formControl]=\"formControl\"\n      [singleDatePicker]=\"true\"\n      [locale]=\"locale\"\n      [opens]=\"opens\"\n      [drops]=\"drops\"\n      [showCancel]=\"false\"\n      [autoApply]=\"true\"\n      [maxDate]=\"maxDate\"\n      [minDate]=\"minDate\"\n      placeholder=\"DD.MM.YYYY\"\n      (keyup.enter)=\"onEnterSubmit($event)\"\n      (change)=\"onChange($event)\"\n      (click)=\"open($event)\"\n      (blur)=\"onBlur()\"\n    />\n    <span class=\"material-icons calendar-icon\">event</span>\n  </label>\n</div>\n", styles: ["input[type=date]::-webkit-inner-spin-button,input[type=date]::-webkit-calendar-picker-indicator{display:none;-webkit-appearance:none}input[type=date]:focus::-webkit-datetime-edit-year-field:focus,input[type=date]:focus::-webkit-datetime-edit-month-field:focus,input[type=date]:focus::-webkit-datetime-edit-day-field:focus{background-color:var(--themePrimButtonsBg-color);color:var(--on-themePrimButtonsBg-color)}input[type=date]:invalid{color:var(--neutral-outline-color)}.datepicker-input{width:196px}.datepicker-input input{text-transform:uppercase}.datepicker-input label{margin-bottom:0;width:100%}.datepicker-input .calendar-icon{color:var(--themePrimButtonsBg-color)!important}.datepicker-input .focused-input{box-shadow:none;border-color:var(--themePrimButtonsBg-color)}:host ::ng-deep .md-drppicker{width:276px!important;height:320px;justify-content:center}:host ::ng-deep .md-drppicker .ltr{text-align:unset}:host ::ng-deep .md-drppicker .buttons{text-align:unset!important;top:321px;right:0}:host ::ng-deep .md-drppicker .button{width:122px}\n"], dependencies: [{ kind: "directive", type: i1$3.DaterangepickerDirective, selector: "input[ngxDaterangepickerMd]", inputs: ["minDate", "maxDate", "autoApply", "alwaysShowCalendars", "showCustomRangeLabel", "linkedCalendars", "dateLimit", "singleDatePicker", "showWeekNumbers", "showISOWeekNumbers", "showDropdowns", "isInvalidDate", "isCustomDate", "isTooltipDate", "showClearButton", "customRangeDirection", "ranges", "opens", "drops", "firstMonthDayClass", "lastMonthDayClass", "emptyWeekRowClass", "emptyWeekColumnClass", "firstDayOfNextMonthClass", "lastDayOfPreviousMonthClass", "keepCalendarOpeningWithRange", "showRangeLabelOnInput", "showCancel", "lockStartDate", "timePicker", "timePicker24Hour", "timePickerIncrement", "timePickerSeconds", "closeOnAutoApply", "endKeyHolder", "startKey", "locale", "endKey"], outputs: ["change", "rangeClicked", "datesUpdated", "startDateChanged", "endDateChanged", "clearClicked"] }, { kind: "directive", type: i2.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i2.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i2.RequiredValidator, selector: ":not([type=checkbox])[required][formControlName],:not([type=checkbox])[required][formControl],:not([type=checkbox])[required][ngModel]", inputs: ["required"] }, { kind: "directive", type: i2.FormControlDirective, selector: "[formControl]", inputs: ["formControl", "disabled", "ngModel"], outputs: ["ngModelChange"], exportAs: ["ngForm"] }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: DatepickerComponent, decorators: [{
            type: Component,
            args: [{ selector: 'epom-datepicker', template: "<div #datePicker class=\"input-with-icon datepicker-input\">\n  <label>\n    <input\n      #datePickerInput\n      [class.focused-input]=\"datePickerDirective?.picker.isShown\"\n      max=\"9999-12-31\"\n      [class.ng-invalid]=\"formElement.invalid || (name === 'dateEnd' && formElement.parent.hasError('compareDates'))\"\n      type=\"date\"\n      class=\"form-control\"\n      [attr.required]=\"'required'\"\n      ngxDaterangepickerMd\n      [formControl]=\"formControl\"\n      [singleDatePicker]=\"true\"\n      [locale]=\"locale\"\n      [opens]=\"opens\"\n      [drops]=\"drops\"\n      [showCancel]=\"false\"\n      [autoApply]=\"true\"\n      [maxDate]=\"maxDate\"\n      [minDate]=\"minDate\"\n      placeholder=\"DD.MM.YYYY\"\n      (keyup.enter)=\"onEnterSubmit($event)\"\n      (change)=\"onChange($event)\"\n      (click)=\"open($event)\"\n      (blur)=\"onBlur()\"\n    />\n    <span class=\"material-icons calendar-icon\">event</span>\n  </label>\n</div>\n", styles: ["input[type=date]::-webkit-inner-spin-button,input[type=date]::-webkit-calendar-picker-indicator{display:none;-webkit-appearance:none}input[type=date]:focus::-webkit-datetime-edit-year-field:focus,input[type=date]:focus::-webkit-datetime-edit-month-field:focus,input[type=date]:focus::-webkit-datetime-edit-day-field:focus{background-color:var(--themePrimButtonsBg-color);color:var(--on-themePrimButtonsBg-color)}input[type=date]:invalid{color:var(--neutral-outline-color)}.datepicker-input{width:196px}.datepicker-input input{text-transform:uppercase}.datepicker-input label{margin-bottom:0;width:100%}.datepicker-input .calendar-icon{color:var(--themePrimButtonsBg-color)!important}.datepicker-input .focused-input{box-shadow:none;border-color:var(--themePrimButtonsBg-color)}:host ::ng-deep .md-drppicker{width:276px!important;height:320px;justify-content:center}:host ::ng-deep .md-drppicker .ltr{text-align:unset}:host ::ng-deep .md-drppicker .buttons{text-align:unset!important;top:321px;right:0}:host ::ng-deep .md-drppicker .button{width:122px}\n"] }]
        }], propDecorators: { opens: [{
                type: Input,
                args: ['opens']
            }], drops: [{
                type: Input,
                args: ['drops']
            }], formElement: [{
                type: Input
            }], name: [{
                type: Input
            }], datePickerDirective: [{
                type: ViewChild,
                args: [DaterangepickerDirective]
            }], datePicker: [{
                type: ViewChild,
                args: ['datePicker']
            }], datePickerInput: [{
                type: ViewChild,
                args: ['datePickerInput']
            }], setMaxDate: [{
                type: Input,
                args: ['maxDate']
            }], setMinDate: [{
                type: Input,
                args: ['minDate']
            }], onDocumentClick: [{
                type: HostListener,
                args: ['document:click', ['$event']]
            }] } });

class DatePickerModule {
}
DatePickerModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: DatePickerModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
DatePickerModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "14.3.0", ngImport: i0, type: DatePickerModule, declarations: [DatepickerComponent], imports: [CommonModule, i1$3.NgxDaterangepickerMd, FormsModule, ReactiveFormsModule], exports: [DatepickerComponent] });
DatePickerModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: DatePickerModule, imports: [CommonModule, NgxDaterangepickerMd.forRoot(), FormsModule, ReactiveFormsModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: DatePickerModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [DatepickerComponent],
                    exports: [DatepickerComponent],
                    imports: [CommonModule, NgxDaterangepickerMd.forRoot(), FormsModule, ReactiveFormsModule],
                }]
        }] });

var Severity;
(function (Severity) {
    Severity[Severity["ERROR"] = 0] = "ERROR";
    Severity[Severity["ALERT"] = 1] = "ALERT";
    Severity[Severity["INFO"] = 2] = "INFO";
})(Severity || (Severity = {}));
var CreativeExcludeReason;
(function (CreativeExcludeReason) {
    CreativeExcludeReason["PAYMENT_MODEL_DISABLED"] = "PAYMENT_MODEL_DISABLED";
    CreativeExcludeReason["MODERATION_WAIT"] = "MODERATION_WAIT";
    CreativeExcludeReason["MODERATION_REJECTED"] = "MODERATION_REJECTED";
})(CreativeExcludeReason || (CreativeExcludeReason = {}));

var CreativeApproval;
(function (CreativeApproval) {
    CreativeApproval[CreativeApproval["APPROVED"] = 0] = "APPROVED";
    CreativeApproval[CreativeApproval["PENDING_APPROVAL"] = 1] = "PENDING_APPROVAL";
    CreativeApproval[CreativeApproval["DISAPPROVED"] = 2] = "DISAPPROVED";
})(CreativeApproval || (CreativeApproval = {}));
var apiKeys;
(function (apiKeys) {
    apiKeys[apiKeys["CATEGORY"] = 0] = "CATEGORY";
    apiKeys[apiKeys["FOLD_POSITION"] = 1] = "FOLD_POSITION";
    apiKeys[apiKeys["CONNECTION_TYPE"] = 2] = "CONNECTION_TYPE";
    apiKeys[apiKeys["CARRIER"] = 3] = "CARRIER";
    apiKeys[apiKeys["DEVICE_TYPE"] = 4] = "DEVICE_TYPE";
    apiKeys[apiKeys["TRAFFIC_TYPE"] = 5] = "TRAFFIC_TYPE";
    apiKeys[apiKeys["INTERSTITIAL"] = 6] = "INTERSTITIAL";
    apiKeys[apiKeys["VIDEO_MIME"] = 7] = "VIDEO_MIME";
    apiKeys[apiKeys["VIDEO_COMPANION_TYPE"] = 8] = "VIDEO_COMPANION_TYPE";
    apiKeys[apiKeys["VIDEO_PROTOCOL"] = 9] = "VIDEO_PROTOCOL";
    apiKeys[apiKeys["VIDEO_API"] = 10] = "VIDEO_API";
    apiKeys[apiKeys["VIDEO_REWARDED"] = 11] = "VIDEO_REWARDED";
    apiKeys[apiKeys["VIDEO_MIN_DURATION"] = 12] = "VIDEO_MIN_DURATION";
    apiKeys[apiKeys["VIDEO_MAX_DURATION"] = 13] = "VIDEO_MAX_DURATION";
    apiKeys[apiKeys["BANNER_API"] = 14] = "BANNER_API";
})(apiKeys || (apiKeys = {}));
var creativeTypes;
(function (creativeTypes) {
    creativeTypes[creativeTypes["BANNER"] = 'Banner'] = "BANNER";
    creativeTypes[creativeTypes["POP"] = 'Popunder'] = "POP";
    creativeTypes[creativeTypes["VIDEO"] = 'Video'] = "VIDEO";
    creativeTypes[creativeTypes["NATIVE"] = 'Native'] = "NATIVE";
    creativeTypes[creativeTypes["PUSH"] = 'Push'] = "PUSH";
    creativeTypes[creativeTypes["INTERSTITIAL"] = 'Interstitial'] = "INTERSTITIAL";
})(creativeTypes || (creativeTypes = {}));
var bannerTypes;
(function (bannerTypes) {
    bannerTypes[bannerTypes["TAG"] = 'Tag'] = "TAG";
    bannerTypes[bannerTypes["FILE"] = 'File'] = "FILE";
    bannerTypes[bannerTypes["UPLOAD"] = 'Upload'] = "UPLOAD";
})(bannerTypes || (bannerTypes = {}));
var ORIENTATION_TYPES;
(function (ORIENTATION_TYPES) {
    ORIENTATION_TYPES["VERTICAL"] = "VERTICAL";
    ORIENTATION_TYPES["HORIZONTAL"] = "HORIZONTAL";
})(ORIENTATION_TYPES || (ORIENTATION_TYPES = {}));
var bannerStatusType;
(function (bannerStatusType) {
    bannerStatusType["ACTIVE"] = "active";
    bannerStatusType["PAUSED"] = "paused";
    bannerStatusType["ARCHIVED"] = "archived";
})(bannerStatusType || (bannerStatusType = {}));
var bannerIncluded;
(function (bannerIncluded) {
    bannerIncluded["TARGETING_DEVICE_TYPE"] = "TARGETING_DEVICE_TYPE";
    bannerIncluded["TARGETING_TRAFFIC_TYPE"] = "TARGETING_TRAFFIC_TYPE";
    bannerIncluded["TARGETING_FOLD_POSITION"] = "TARGETING_FOLD_POSITION";
    bannerIncluded["TARGETING_CONNECTION_TYPE"] = "TARGETING_CONNECTION_TYPE";
    bannerIncluded["TARGETING_CATEGORY"] = "TARGETING_CATEGORY";
    bannerIncluded["TARGETING_BANNER_API"] = "TARGETING_BANNER_API";
})(bannerIncluded || (bannerIncluded = {}));
var nativeIncluded;
(function (nativeIncluded) {
    nativeIncluded["TARGETING_DEVICE_TYPE"] = "TARGETING_DEVICE_TYPE";
    nativeIncluded["TARGETING_TRAFFIC_TYPE"] = "TARGETING_TRAFFIC_TYPE";
    nativeIncluded["TARGETING_CONNECTION_TYPE"] = "TARGETING_CONNECTION_TYPE";
    nativeIncluded["TARGETING_CATEGORY"] = "TARGETING_CATEGORY";
})(nativeIncluded || (nativeIncluded = {}));
var popupIncluded;
(function (popupIncluded) {
    popupIncluded["TARGETING_DEVICE_TYPE"] = "TARGETING_DEVICE_TYPE";
    popupIncluded["TARGETING_TRAFFIC_TYPE"] = "TARGETING_TRAFFIC_TYPE";
    popupIncluded["TARGETING_CONNECTION_TYPE"] = "TARGETING_CONNECTION_TYPE";
    popupIncluded["TARGETING_CATEGORY"] = "TARGETING_CATEGORY";
})(popupIncluded || (popupIncluded = {}));
var videoIncluded;
(function (videoIncluded) {
    videoIncluded["TARGETING_DEVICE_TYPE"] = "TARGETING_DEVICE_TYPE";
    videoIncluded["TARGETING_TRAFFIC_TYPE"] = "TARGETING_TRAFFIC_TYPE";
    videoIncluded["TARGETING_FOLD_POSITION"] = "TARGETING_FOLD_POSITION";
    videoIncluded["TARGETING_CONNECTION_TYPE"] = "TARGETING_CONNECTION_TYPE";
    videoIncluded["TARGETING_CATEGORY"] = "TARGETING_CATEGORY";
    videoIncluded["TARGETING_VIDEO_MIN_DURATION"] = "TARGETING_VIDEO_MIN_DURATION";
    videoIncluded["TARGETING_VIDEO_MAX_DURATION"] = "TARGETING_VIDEO_MAX_DURATION";
    videoIncluded["TARGETING_VIDEO_COMPANION_TYPE"] = "TARGETING_VIDEO_COMPANION_TYPE";
    videoIncluded["TARGETING_VIDEO_MIME"] = "TARGETING_VIDEO_MIME";
    videoIncluded["TARGETING_VIDEO_PROTOCOL"] = "TARGETING_VIDEO_PROTOCOL";
    videoIncluded["TARGETING_VIDEO_API"] = "TARGETING_VIDEO_API";
    videoIncluded["TARGETING_VIDEO_REWARDED"] = "TARGETING_VIDEO_REWARDED";
    videoIncluded["TARGETING_INTERSTITIAL"] = "TARGETING_INTERSTITIAL";
})(videoIncluded || (videoIncluded = {}));

class IncludeExcludeButtonComponent {
    constructor() {
        this.isExcluded = false;
        this.formElement = null;
        this.stateHandler = new EventEmitter();
        this.destroy$ = new Subject();
    }
    ngOnInit() {
        if (this.formElement) {
            this.formElement.valueChanges.pipe(takeUntil$1(this.destroy$)).subscribe((value) => {
                this.isExcluded = value;
            });
            this.isExcluded = this.formElement.value;
        }
    }
    toggle(state) {
        if (this.isExcluded !== state) {
            this.isExcluded = state;
            this.stateHandler.emit(state);
            if (this.formElement) {
                this.formElement.setValue(state, { emitEvent: false });
            }
        }
    }
    ngOnDestroy() {
        this.destroy$.next();
        this.destroy$.complete();
    }
}
IncludeExcludeButtonComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: IncludeExcludeButtonComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
IncludeExcludeButtonComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.3.0", type: IncludeExcludeButtonComponent, selector: "epom-include-exclude-button", inputs: { isExcluded: "isExcluded", formElement: "formElement" }, outputs: { stateHandler: "stateHandler" }, ngImport: i0, template: "<section class=\"include-exclude-section\">\n  <div\n    class=\"include-exclude-button include-button\"\n    [class.include-active]=\"!isExcluded\"\n    [attr.data-qa]=\"'include'\"\n    (click)=\"toggle(false)\"\n  >\n    Include\n  </div>\n\n  <div\n    class=\"include-exclude-button exclude-button\"\n    [class.exclude-active]=\"isExcluded\"\n    [attr.data-qa]=\"'exclude'\"\n    (click)=\"toggle(true)\"\n  >\n    Exclude\n  </div>\n</section>\n", styles: [".include-exclude-section{display:flex;justify-content:center;align-items:center;border-radius:4px;height:36px;width:202px;position:relative;outline:1px solid var(--neutral-outline-variant-color)}.include-exclude-button{display:flex;align-items:center;justify-content:center;padding:7.5px 8px;position:relative;color:var(--neutral-on-main-neutral-color);text-overflow:ellipsis;font-size:14px;line-height:21px;cursor:pointer;height:36px;width:100%}.include-button:hover{background-color:var(--success-default-12-color)}.exclude-button:hover{background-color:var(--error-default-12-color)}.include-active{border-radius:4px;color:var(--success-default-color);background-color:var(--success-default-12-color);outline:1px solid var(--success-default-color)}.exclude-active{border-radius:4px;color:var(--error-default-color);background-color:var(--error-default-12-color);outline:1px solid var(--error-default-color)}\n"] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: IncludeExcludeButtonComponent, decorators: [{
            type: Component,
            args: [{ selector: 'epom-include-exclude-button', template: "<section class=\"include-exclude-section\">\n  <div\n    class=\"include-exclude-button include-button\"\n    [class.include-active]=\"!isExcluded\"\n    [attr.data-qa]=\"'include'\"\n    (click)=\"toggle(false)\"\n  >\n    Include\n  </div>\n\n  <div\n    class=\"include-exclude-button exclude-button\"\n    [class.exclude-active]=\"isExcluded\"\n    [attr.data-qa]=\"'exclude'\"\n    (click)=\"toggle(true)\"\n  >\n    Exclude\n  </div>\n</section>\n", styles: [".include-exclude-section{display:flex;justify-content:center;align-items:center;border-radius:4px;height:36px;width:202px;position:relative;outline:1px solid var(--neutral-outline-variant-color)}.include-exclude-button{display:flex;align-items:center;justify-content:center;padding:7.5px 8px;position:relative;color:var(--neutral-on-main-neutral-color);text-overflow:ellipsis;font-size:14px;line-height:21px;cursor:pointer;height:36px;width:100%}.include-button:hover{background-color:var(--success-default-12-color)}.exclude-button:hover{background-color:var(--error-default-12-color)}.include-active{border-radius:4px;color:var(--success-default-color);background-color:var(--success-default-12-color);outline:1px solid var(--success-default-color)}.exclude-active{border-radius:4px;color:var(--error-default-color);background-color:var(--error-default-12-color);outline:1px solid var(--error-default-color)}\n"] }]
        }], propDecorators: { isExcluded: [{
                type: Input
            }], formElement: [{
                type: Input
            }], stateHandler: [{
                type: Output
            }] } });

class IncludeExcludeButtonModule {
}
IncludeExcludeButtonModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: IncludeExcludeButtonModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
IncludeExcludeButtonModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "14.3.0", ngImport: i0, type: IncludeExcludeButtonModule, declarations: [IncludeExcludeButtonComponent], imports: [CommonModule, FormsModule], exports: [IncludeExcludeButtonComponent] });
IncludeExcludeButtonModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: IncludeExcludeButtonModule, imports: [CommonModule, FormsModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: IncludeExcludeButtonModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [IncludeExcludeButtonComponent],
                    imports: [CommonModule, FormsModule],
                    exports: [IncludeExcludeButtonComponent],
                }]
        }] });

class SingleAccordionComponent {
    constructor() {
        this.title = '';
        this.isOpen = true;
        this.size = 'lg';
    }
    toogle() {
        this.isOpen = !this.isOpen;
    }
}
SingleAccordionComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: SingleAccordionComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
SingleAccordionComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.3.0", type: SingleAccordionComponent, selector: "epom-single-accordion", inputs: { title: "title", isOpen: "isOpen", size: "size" }, ngImport: i0, template: "<div class=\"block-toggle block-toggle-big\" (click)=\"toogle()\" [ngClass]=\"{'small-accordion': size === 'sm'}\">\n  <span [ngClass]=\"{rotate: isOpen}\" class=\"material-icons material-icons-outlined\">arrow_right</span>\n  <div class=\"accordion-title\" [ngClass]=\"{'headline-3': size === 'lg'}\" [attr.data-qa]=\"isOpen ? 'shown' : 'hidden'\">\n    {{ title }}\n  </div>\n</div>\n<div class=\"accordion-content\" *ngIf=\"isOpen\">\n  <ng-content></ng-content>\n</div>\n", styles: [".headline-3,.block-toggle{margin:0}.small-accordion .accordion-title{font-weight:600;font-size:14px;line-height:21px}\n"], dependencies: [{ kind: "directive", type: i1$1.NgClass, selector: "[ngClass]", inputs: ["class", "ngClass"] }, { kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: SingleAccordionComponent, decorators: [{
            type: Component,
            args: [{ selector: 'epom-single-accordion', template: "<div class=\"block-toggle block-toggle-big\" (click)=\"toogle()\" [ngClass]=\"{'small-accordion': size === 'sm'}\">\n  <span [ngClass]=\"{rotate: isOpen}\" class=\"material-icons material-icons-outlined\">arrow_right</span>\n  <div class=\"accordion-title\" [ngClass]=\"{'headline-3': size === 'lg'}\" [attr.data-qa]=\"isOpen ? 'shown' : 'hidden'\">\n    {{ title }}\n  </div>\n</div>\n<div class=\"accordion-content\" *ngIf=\"isOpen\">\n  <ng-content></ng-content>\n</div>\n", styles: [".headline-3,.block-toggle{margin:0}.small-accordion .accordion-title{font-weight:600;font-size:14px;line-height:21px}\n"] }]
        }], propDecorators: { title: [{
                type: Input,
                args: ['title']
            }], isOpen: [{
                type: Input,
                args: ['isOpen']
            }], size: [{
                type: Input,
                args: ['size']
            }] } });

class SingleAccordionModule {
}
SingleAccordionModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: SingleAccordionModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
SingleAccordionModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "14.3.0", ngImport: i0, type: SingleAccordionModule, declarations: [SingleAccordionComponent], imports: [CommonModule], exports: [SingleAccordionComponent] });
SingleAccordionModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: SingleAccordionModule, imports: [CommonModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: SingleAccordionModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [SingleAccordionComponent],
                    imports: [CommonModule],
                    exports: [SingleAccordionComponent],
                }]
        }] });

/*
 * Public API Surface of epom-ui-foundation
 */

/**
 * Generated bundle index. Do not edit.
 */

export { ApiService, BID_MULTIPLIER_OPTIONS, BannerInfoComponent, BannerInfoModule, BasePopup, BidMultipliersEnum, BreadcrumbsService, ButtonWithCounterComponent, CONDITIONS_LIST, CONDITIONS_METRIC_LIST, CapitalizePipeClass, ChartsComponentClass, ChartsModule, ChartsService, CheckboxButtonComponent, CheckboxButtonModule, CreativeApproval, CreativeExcludeReason, CustomFormatPipeClass, DAYS_OF_WEEK, DEFAULT_CLASSES, DEFAULT_CODEMIRROR_OPTIONS, DEFAULT_COLUMN_CONFIG, DEFAULT_CONFIG, DEFAULT_SPINNER_PLACEHOLDER_CONFIG, DIRECTION_ENUM, DOMAIN_REGEXP, DROPDOWN_OPTIONS, DataRangeComponentClass, DataRangeModule, DatePickerModule, DatepickerComponent, DelayedActionsService, DiagramComponent, DiagramTypes, DiagramsModule, DiagramsService, DropdownComponentClass, DropdownDirective, DropdownModule, EMAIL_MULTIPLE_REGEXP, EMAIL_REGEXP, FILTER_ENUM, FILTER_STATUSES_ENUM, FILTER_TYPES, FLOAT_REGEXP, FocusDirective, FocusToInvalidInputDirective, HTMLMetaService, IncludeExcludeButtonComponent, IncludeExcludeButtonModule, InputCounterComponent, InputCounterModule, KeyValuePipeClass, KeyboardService, LAYOUT_MEDIATOR_EVENTS, LINKED_FILTERS_POPUP_SETTINGS, LanguageService, LayoutChangeMediator, LimitCounterComponent, LimitCounterModule, LinkPreventer, MAX_FLOAT_SYMBOLS, MAX_NAME_SYMBOLS, MS_DAYTIME_INTERVAL, NOT_CIRYLLIC_REGEX, NOT_ONLY_WHITESPACES, NOT_SPECIAL_CHARS_REGEX, NOT_START_WITH_WHITESPACE, NUMBER_REGEXP, NameFormErrorComponent, NameFormErrorModule, NotifierComponentClass, NotifierModule, NotifierService, NumberSuffixPipe, NumberValidators, ORIENTATION_TYPES, PAGINATOR_OPTIONS_ROWS, PHONE_REGEXP, POPUP_DEFAULTS, POPUP_MESSAGES, PRICE_REGEXT, PaginatorComponentClass, PaginatorModule, PasswordValidation, PickerComponent, PickerModule, PipesDirectivesModule, PopupComponentClass, PopupModule, PopupServiceClass, PubSubService, RemoveParamsPipeClass, ResourcesService, ResourcesServiceModule, SSP_LABEL_REGEX, STATES, STRIPE_CARD_OPTIONS, STRIPE_ELEMENTS_OPTIONS, SafePipeClass, SearchInputComponent, SearchInputModule, SelectComponentClass, SelectModule, SelectTimeComponent, SelectTimeModule, Severity, SingleAccordionComponent, SingleAccordionModule, SpinnerButtonComponent, SpinnerChartsNoDataComponent, SpinnerChartsPlaceholderComponent, SpinnerDefaultComponent, SpinnerDirective, SpinnerForAnalyticsQueryComponent, SpinnerImagePlaceholderComponent, SpinnerModule, SpinnerService, SpinnerTableNoDataComponent, SpinnerTablePlaceholderComponent, SpinnerTilesNoDataComponent, SpinnerTilesPlaceholderComponent, StorageService, SubMenuComponent, SubMenuModule, SubMenuService, TABLES_CONFIG, TableComponent, TableModule, TagsInputFieldComponent, TagsInputFieldModule, TagsInputFieldService, TermsButton, TermsModule, TermsPopup, TermsRedirect, TermsType, ToggleDirective, TokenService, Type, URL_REGEXP, URL_WITH_MACROS_REGEXP, USER_MEDIATOR_EVENTS, USE_3D_SECURE, UrlParamsService, UsersChangedMediator, WITHOUT_SEPCIALCHARS_NOT_ONLY_WHITESPACES, WITHOUT_WHITESPACES, XMLValidator, apiKeys, bannerIncluded, bannerStatusType, bannerTypes, chartValues, chartValuesSumm, compareDates, creativeTypes, floatValidators, keyboardCodes, loggerConfig, loggerCreate, loggerLevelsArray, minDateValidator, namesCiryllicValidators, namesValidators, nativeIncluded, popupIncluded, tableSearchByParameters, videoIncluded };
//# sourceMappingURL=epom-ui-foundation.mjs.map
